// Copyright 2019 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import './InspectElementModeController.js';
import './ColorSwatchPopoverIcon.js';
import './ComputedStyleModel.js';
import './DOMLinkifier.js';
import './DOMPath.js';
import './ElementsSidebarPane.js';
import './ElementsTreeElement.js';
import './ElementsTreeOutline.js';
import './EventListenersWidget.js';
import './MarkerDecorator.js';
import './MetricsSidebarPane.js';
import './PlatformFontsWidget.js';
import './PropertiesWidget.js';
import './NodeStackTraceWidget.js';
import './StylePropertiesSection.js';
import './StylePropertyHighlighter.js';
import './StylesSidebarPane.js';
import './StylePropertyTreeElement.js';
import './ComputedStyleWidget.js';
import './ElementsPanel.js';
import './ClassesPaneWidget.js';
import './ElementStatePaneWidget.js';
import './ElementsTreeElementHighlighter.js';

import * as ClassesPaneWidget from './ClassesPaneWidget.js';
import * as ColorSwatchPopoverIcon from './ColorSwatchPopoverIcon.js';
import * as ComputedStyleModel from './ComputedStyleModel.js';
import * as ComputedStyleWidget from './ComputedStyleWidget.js';
import * as DOMLinkifier from './DOMLinkifier.js';
import * as DOMPath from './DOMPath.js';
import * as ElementsPanel from './ElementsPanel.js';
import * as ElementsSidebarPane from './ElementsSidebarPane.js';
import * as ElementStatePaneWidget from './ElementStatePaneWidget.js';
import * as ElementsTreeElement from './ElementsTreeElement.js';
import * as ElementsTreeElementHighlighter from './ElementsTreeElementHighlighter.js';
import * as ElementsTreeOutline from './ElementsTreeOutline.js';
import * as EventListenersWidget from './EventListenersWidget.js';
import * as InspectElementModeController from './InspectElementModeController.js';
import * as LayersWidget from './LayersWidget.js';
import * as LayoutSidebarPane from './LayoutSidebarPane.js';
import * as MarkerDecorator from './MarkerDecorator.js';
import * as MetricsSidebarPane from './MetricsSidebarPane.js';
import * as NodeStackTraceWidget from './NodeStackTraceWidget.js';
import * as PlatformFontsWidget from './PlatformFontsWidget.js';
import * as PropertiesWidget from './PropertiesWidget.js';
import * as StyleEditorWidget from './StyleEditorWidget.js';
import * as StylePropertiesSection from './StylePropertiesSection.js';
import * as StylePropertyHighlighter from './StylePropertyHighlighter.js';
import * as StylePropertyTreeElement from './StylePropertyTreeElement.js';
import * as StylePropertyUtils from './StylePropertyUtils.js';
import * as StylesSidebarPane from './StylesSidebarPane.js';

export {
  ClassesPaneWidget,
  ColorSwatchPopoverIcon,
  ComputedStyleModel,
  ComputedStyleWidget,
  DOMLinkifier,
  DOMPath,
  ElementsPanel,
  ElementsSidebarPane,
  ElementStatePaneWidget,
  ElementsTreeElement,
  ElementsTreeElementHighlighter,
  ElementsTreeOutline,
  EventListenersWidget,
  InspectElementModeController,
  LayersWidget,
  LayoutSidebarPane,
  MarkerDecorator,
  MetricsSidebarPane,
  NodeStackTraceWidget,
  PlatformFontsWidget,
  PropertiesWidget,
  StyleEditorWidget,
  StylePropertiesSection,
  StylePropertyHighlighter,
  StylePropertyTreeElement,
  StylePropertyUtils,
  StylesSidebarPane,
};
