/**
 * Lighthouse v9.6.2 bf2665f0c6dfe20f969f2891b42d23650c10fcfd (Jun 08 2022)
 *
 * Automated auditing, performance metrics, and best practices for the web.
 *
 * @homepage https://github.com/GoogleChrome/lighthouse#readme
 * @author   The Lighthouse Authors
 * @license  Apache-2.0
 */
!function(){"use strict";var e="undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{},t=[],r=[],a="undefined"!=typeof Uint8Array?Uint8Array:Array,n=!1;function init$1(){n=!0;for(var e="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",a=0,i=e.length;a<i;++a)t[a]=e[a],r[e.charCodeAt(a)]=a;r["-".charCodeAt(0)]=62,r["_".charCodeAt(0)]=63}function encodeChunk(e,r,a){for(var n,i,o=[],s=r;s<a;s+=3)n=(e[s]<<16)+(e[s+1]<<8)+e[s+2],o.push(t[(i=n)>>18&63]+t[i>>12&63]+t[i>>6&63]+t[63&i]);return o.join("")}function fromByteArray(e){var r;n||init$1();for(var a=e.length,i=a%3,o="",s=[],c=16383,l=0,u=a-i;l<u;l+=c)s.push(encodeChunk(e,l,l+c>u?u:l+c));return 1===i?(r=e[a-1],o+=t[r>>2],o+=t[r<<4&63],o+="=="):2===i&&(r=(e[a-2]<<8)+e[a-1],o+=t[r>>10],o+=t[r>>4&63],o+=t[r<<2&63],o+="="),s.push(o),s.join("")}function read(e,t,r,a,n){var i,o,s=8*n-a-1,c=(1<<s)-1,l=c>>1,u=-7,d=r?n-1:0,m=r?-1:1,p=e[t+d];for(d+=m,i=p&(1<<-u)-1,p>>=-u,
u+=s;u>0;i=256*i+e[t+d],d+=m,u-=8);for(o=i&(1<<-u)-1,i>>=-u,u+=a;u>0;o=256*o+e[t+d],d+=m,u-=8);if(0===i)i=1-l;else{if(i===c)return o?NaN:1/0*(p?-1:1);o+=Math.pow(2,a),i-=l}return(p?-1:1)*o*Math.pow(2,i-a)}function write(e,t,r,a,n,i){var o,s,c,l=8*i-n-1,u=(1<<l)-1,d=u>>1,m=23===n?Math.pow(2,-24)-Math.pow(2,-77):0,p=a?0:i-1,h=a?1:-1,f=t<0||0===t&&1/t<0?1:0;for(t=Math.abs(t),isNaN(t)||t===1/0?(s=isNaN(t)?1:0,o=u):(o=Math.floor(Math.log(t)/Math.LN2),t*(c=Math.pow(2,-o))<1&&(o--,c*=2),(t+=o+d>=1?m/c:m*Math.pow(2,1-d))*c>=2&&(o++,c/=2),o+d>=u?(s=0,o=u):o+d>=1?(s=(t*c-1)*Math.pow(2,n),o+=d):(s=t*Math.pow(2,d-1)*Math.pow(2,n),o=0));n>=8;e[r+p]=255&s,p+=h,s/=256,n-=8);for(o=o<<n|s,l+=n;l>0;e[r+p]=255&o,p+=h,o/=256,l-=8);e[r+p-h]|=128*f}var i={}.toString,o=Array.isArray||function(e){return"[object Array]"==i.call(e)};Buffer$2.TYPED_ARRAY_SUPPORT=void 0===e.TYPED_ARRAY_SUPPORT||e.TYPED_ARRAY_SUPPORT;var s=kMaxLength();function kMaxLength(){return Buffer$2.TYPED_ARRAY_SUPPORT?2147483647:1073741823
}function createBuffer(e,t){if(kMaxLength()<t)throw new RangeError("Invalid typed array length");return Buffer$2.TYPED_ARRAY_SUPPORT?(e=new Uint8Array(t)).__proto__=Buffer$2.prototype:(null===e&&(e=new Buffer$2(t)),e.length=t),e}function Buffer$2(e,t,r){if(!(Buffer$2.TYPED_ARRAY_SUPPORT||this instanceof Buffer$2))return new Buffer$2(e,t,r);if("number"==typeof e){if("string"==typeof t)throw new Error("If encoding is specified then the first argument must be a string");return allocUnsafe(this,e)}return from(this,e,t,r)}function from(e,t,r,a){if("number"==typeof t)throw new TypeError('"value" argument must not be a number');return"undefined"!=typeof ArrayBuffer&&t instanceof ArrayBuffer?function fromArrayBuffer(e,t,r,a){if(t.byteLength,r<0||t.byteLength<r)throw new RangeError("'offset' is out of bounds");if(t.byteLength<r+(a||0))throw new RangeError("'length' is out of bounds");t=void 0===r&&void 0===a?new Uint8Array(t):void 0===a?new Uint8Array(t,r):new Uint8Array(t,r,a)
;Buffer$2.TYPED_ARRAY_SUPPORT?(e=t).__proto__=Buffer$2.prototype:e=fromArrayLike(e,t);return e}(e,t,r,a):"string"==typeof t?function fromString(e,t,r){"string"==typeof r&&""!==r||(r="utf8");if(!Buffer$2.isEncoding(r))throw new TypeError('"encoding" must be a valid string encoding');var a=0|byteLength(t,r),n=(e=createBuffer(e,a)).write(t,r);n!==a&&(e=e.slice(0,n));return e}(e,t,r):function fromObject(e,t){if(internalIsBuffer(t)){var r=0|checked(t.length);return 0===(e=createBuffer(e,r)).length||t.copy(e,0,0,r),e}if(t){if("undefined"!=typeof ArrayBuffer&&t.buffer instanceof ArrayBuffer||"length"in t)return"number"!=typeof t.length||function isnan(e){return e!=e}(t.length)?createBuffer(e,0):fromArrayLike(e,t);if("Buffer"===t.type&&o(t.data))return fromArrayLike(e,t.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}(e,t)}function assertSize(e){if("number"!=typeof e)throw new TypeError('"size" argument must be a number')
;if(e<0)throw new RangeError('"size" argument must not be negative')}function allocUnsafe(e,t){if(assertSize(t),e=createBuffer(e,t<0?0:0|checked(t)),!Buffer$2.TYPED_ARRAY_SUPPORT)for(var r=0;r<t;++r)e[r]=0;return e}function fromArrayLike(e,t){var r=t.length<0?0:0|checked(t.length);e=createBuffer(e,r);for(var a=0;a<r;a+=1)e[a]=255&t[a];return e}function checked(e){if(e>=kMaxLength())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+kMaxLength().toString(16)+" bytes");return 0|e}function internalIsBuffer(e){return!(null==e||!e._isBuffer)}function byteLength(e,t){if(internalIsBuffer(e))return e.length;if("undefined"!=typeof ArrayBuffer&&"function"==typeof ArrayBuffer.isView&&(ArrayBuffer.isView(e)||e instanceof ArrayBuffer))return e.byteLength;"string"!=typeof e&&(e=""+e);var r=e.length;if(0===r)return 0;for(var a=!1;;)switch(t){case"ascii":case"latin1":case"binary":return r;case"utf8":case"utf-8":case void 0:return utf8ToBytes(e).length;case"ucs2":
case"ucs-2":case"utf16le":case"utf-16le":return 2*r;case"hex":return r>>>1;case"base64":return base64ToBytes(e).length;default:if(a)return utf8ToBytes(e).length;t=(""+t).toLowerCase(),a=!0}}function slowToString(e,t,r){var a=!1;if((void 0===t||t<0)&&(t=0),t>this.length)return"";if((void 0===r||r>this.length)&&(r=this.length),r<=0)return"";if((r>>>=0)<=(t>>>=0))return"";for(e||(e="utf8");;)switch(e){case"hex":return hexSlice(this,t,r);case"utf8":case"utf-8":return utf8Slice(this,t,r);case"ascii":return asciiSlice(this,t,r);case"latin1":case"binary":return latin1Slice(this,t,r);case"base64":return base64Slice(this,t,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return utf16leSlice(this,t,r);default:if(a)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),a=!0}}function swap(e,t,r){var a=e[t];e[t]=e[r],e[r]=a}function bidirectionalIndexOf(e,t,r,a,n){if(0===e.length)return-1;if("string"==typeof r?(a=r,r=0):r>2147483647?r=2147483647:r<-2147483648&&(r=-2147483648),
r=+r,isNaN(r)&&(r=n?0:e.length-1),r<0&&(r=e.length+r),r>=e.length){if(n)return-1;r=e.length-1}else if(r<0){if(!n)return-1;r=0}if("string"==typeof t&&(t=Buffer$2.from(t,a)),internalIsBuffer(t))return 0===t.length?-1:arrayIndexOf(e,t,r,a,n);if("number"==typeof t)return t&=255,Buffer$2.TYPED_ARRAY_SUPPORT&&"function"==typeof Uint8Array.prototype.indexOf?n?Uint8Array.prototype.indexOf.call(e,t,r):Uint8Array.prototype.lastIndexOf.call(e,t,r):arrayIndexOf(e,[t],r,a,n);throw new TypeError("val must be string, number or Buffer")}function arrayIndexOf(e,t,r,a,n){var i,o=1,s=e.length,c=t.length;if(void 0!==a&&("ucs2"===(a=String(a).toLowerCase())||"ucs-2"===a||"utf16le"===a||"utf-16le"===a)){if(e.length<2||t.length<2)return-1;o=2,s/=2,c/=2,r/=2}function read(e,t){return 1===o?e[t]:e.readUInt16BE(t*o)}if(n){var l=-1;for(i=r;i<s;i++)if(read(e,i)===read(t,-1===l?0:i-l)){if(-1===l&&(l=i),i-l+1===c)return l*o}else-1!==l&&(i-=i-l),l=-1}else for(r+c>s&&(r=s-c),i=r;i>=0;i--){
for(var u=!0,d=0;d<c;d++)if(read(e,i+d)!==read(t,d)){u=!1;break}if(u)return i}return-1}function hexWrite(e,t,r,a){r=Number(r)||0;var n=e.length-r;a?(a=Number(a))>n&&(a=n):a=n;var i=t.length;if(i%2!=0)throw new TypeError("Invalid hex string");a>i/2&&(a=i/2);for(var o=0;o<a;++o){var s=parseInt(t.substr(2*o,2),16);if(isNaN(s))return o;e[r+o]=s}return o}function utf8Write(e,t,r,a){return blitBuffer(utf8ToBytes(t,e.length-r),e,r,a)}function asciiWrite(e,t,r,a){return blitBuffer(function asciiToBytes(e){for(var t=[],r=0;r<e.length;++r)t.push(255&e.charCodeAt(r));return t}(t),e,r,a)}function latin1Write(e,t,r,a){return asciiWrite(e,t,r,a)}function base64Write(e,t,r,a){return blitBuffer(base64ToBytes(t),e,r,a)}function ucs2Write(e,t,r,a){return blitBuffer(function utf16leToBytes(e,t){for(var r,a,n,i=[],o=0;o<e.length&&!((t-=2)<0);++o)a=(r=e.charCodeAt(o))>>8,n=r%256,i.push(n),i.push(a);return i}(t,e.length-r),e,r,a)}function base64Slice(e,t,r){
return 0===t&&r===e.length?fromByteArray(e):fromByteArray(e.slice(t,r))}function utf8Slice(e,t,r){r=Math.min(e.length,r);for(var a=[],n=t;n<r;){var i,o,s,l,u=e[n],d=null,m=u>239?4:u>223?3:u>191?2:1;if(n+m<=r)switch(m){case 1:u<128&&(d=u);break;case 2:128==(192&(i=e[n+1]))&&(l=(31&u)<<6|63&i)>127&&(d=l);break;case 3:i=e[n+1],o=e[n+2],128==(192&i)&&128==(192&o)&&(l=(15&u)<<12|(63&i)<<6|63&o)>2047&&(l<55296||l>57343)&&(d=l);break;case 4:i=e[n+1],o=e[n+2],s=e[n+3],128==(192&i)&&128==(192&o)&&128==(192&s)&&(l=(15&u)<<18|(63&i)<<12|(63&o)<<6|63&s)>65535&&l<1114112&&(d=l)}null===d?(d=65533,m=1):d>65535&&(d-=65536,a.push(d>>>10&1023|55296),d=56320|1023&d),a.push(d),n+=m}return function decodeCodePointsArray(e){var t=e.length;if(t<=c)return String.fromCharCode.apply(String,e);var r="",a=0;for(;a<t;)r+=String.fromCharCode.apply(String,e.slice(a,a+=c));return r}(a)}Buffer$2.poolSize=8192,Buffer$2._augment=function(e){return e.__proto__=Buffer$2.prototype,e},Buffer$2.from=function(e,t,r){
return from(null,e,t,r)},Buffer$2.TYPED_ARRAY_SUPPORT&&(Buffer$2.prototype.__proto__=Uint8Array.prototype,Buffer$2.__proto__=Uint8Array),Buffer$2.alloc=function(e,t,r){return function alloc(e,t,r,a){return assertSize(t),t<=0?createBuffer(e,t):void 0!==r?"string"==typeof a?createBuffer(e,t).fill(r,a):createBuffer(e,t).fill(r):createBuffer(e,t)}(null,e,t,r)},Buffer$2.allocUnsafe=function(e){return allocUnsafe(null,e)},Buffer$2.allocUnsafeSlow=function(e){return allocUnsafe(null,e)},Buffer$2.isBuffer=isBuffer$4,Buffer$2.compare=function compare(e,t){if(!internalIsBuffer(e)||!internalIsBuffer(t))throw new TypeError("Arguments must be Buffers");if(e===t)return 0;for(var r=e.length,a=t.length,n=0,i=Math.min(r,a);n<i;++n)if(e[n]!==t[n]){r=e[n],a=t[n];break}return r<a?-1:a<r?1:0},Buffer$2.isEncoding=function isEncoding(e){switch(String(e).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":
return!0;default:return!1}},Buffer$2.concat=function concat(e,t){if(!o(e))throw new TypeError('"list" argument must be an Array of Buffers');if(0===e.length)return Buffer$2.alloc(0);var r;if(void 0===t)for(t=0,r=0;r<e.length;++r)t+=e[r].length;var a=Buffer$2.allocUnsafe(t),n=0;for(r=0;r<e.length;++r){var i=e[r];if(!internalIsBuffer(i))throw new TypeError('"list" argument must be an Array of Buffers');i.copy(a,n),n+=i.length}return a},Buffer$2.byteLength=byteLength,Buffer$2.prototype._isBuffer=!0,Buffer$2.prototype.swap16=function swap16(){var e=this.length;if(e%2!=0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var t=0;t<e;t+=2)swap(this,t,t+1);return this},Buffer$2.prototype.swap32=function swap32(){var e=this.length;if(e%4!=0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var t=0;t<e;t+=4)swap(this,t,t+3),swap(this,t+1,t+2);return this},Buffer$2.prototype.swap64=function swap64(){var e=this.length
;if(e%8!=0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var t=0;t<e;t+=8)swap(this,t,t+7),swap(this,t+1,t+6),swap(this,t+2,t+5),swap(this,t+3,t+4);return this},Buffer$2.prototype.toString=function toString(){var e=0|this.length;return 0===e?"":0===arguments.length?utf8Slice(this,0,e):slowToString.apply(this,arguments)},Buffer$2.prototype.equals=function equals(e){if(!internalIsBuffer(e))throw new TypeError("Argument must be a Buffer");return this===e||0===Buffer$2.compare(this,e)},Buffer$2.prototype.inspect=function inspect(){var e="";return this.length>0&&(e=this.toString("hex",0,50).match(/.{2}/g).join(" "),this.length>50&&(e+=" ... ")),"<Buffer "+e+">"},Buffer$2.prototype.compare=function compare(e,t,r,a,n){if(!internalIsBuffer(e))throw new TypeError("Argument must be a Buffer");if(void 0===t&&(t=0),void 0===r&&(r=e?e.length:0),void 0===a&&(a=0),void 0===n&&(n=this.length),t<0||r>e.length||a<0||n>this.length)throw new RangeError("out of range index")
;if(a>=n&&t>=r)return 0;if(a>=n)return-1;if(t>=r)return 1;if(this===e)return 0;for(var i=(n>>>=0)-(a>>>=0),o=(r>>>=0)-(t>>>=0),s=Math.min(i,o),c=this.slice(a,n),l=e.slice(t,r),u=0;u<s;++u)if(c[u]!==l[u]){i=c[u],o=l[u];break}return i<o?-1:o<i?1:0},Buffer$2.prototype.includes=function includes(e,t,r){return-1!==this.indexOf(e,t,r)},Buffer$2.prototype.indexOf=function indexOf(e,t,r){return bidirectionalIndexOf(this,e,t,r,!0)},Buffer$2.prototype.lastIndexOf=function lastIndexOf(e,t,r){return bidirectionalIndexOf(this,e,t,r,!1)},Buffer$2.prototype.write=function write(e,t,r,a){if(void 0===t)a="utf8",r=this.length,t=0;else if(void 0===r&&"string"==typeof t)a=t,r=this.length,t=0;else{if(!isFinite(t))throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");t|=0,isFinite(r)?(r|=0,void 0===a&&(a="utf8")):(a=r,r=void 0)}var n=this.length-t;if((void 0===r||r>n)&&(r=n),
e.length>0&&(r<0||t<0)||t>this.length)throw new RangeError("Attempt to write outside buffer bounds");a||(a="utf8");for(var i=!1;;)switch(a){case"hex":return hexWrite(this,e,t,r);case"utf8":case"utf-8":return utf8Write(this,e,t,r);case"ascii":return asciiWrite(this,e,t,r);case"latin1":case"binary":return latin1Write(this,e,t,r);case"base64":return base64Write(this,e,t,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return ucs2Write(this,e,t,r);default:if(i)throw new TypeError("Unknown encoding: "+a);a=(""+a).toLowerCase(),i=!0}},Buffer$2.prototype.toJSON=function toJSON(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var c=4096;function asciiSlice(e,t,r){var a="";r=Math.min(e.length,r);for(var n=t;n<r;++n)a+=String.fromCharCode(127&e[n]);return a}function latin1Slice(e,t,r){var a="";r=Math.min(e.length,r);for(var n=t;n<r;++n)a+=String.fromCharCode(e[n]);return a}function hexSlice(e,t,r){var a=e.length;(!t||t<0)&&(t=0),(!r||r<0||r>a)&&(r=a)
;for(var n="",i=t;i<r;++i)n+=toHex(e[i]);return n}function utf16leSlice(e,t,r){for(var a=e.slice(t,r),n="",i=0;i<a.length;i+=2)n+=String.fromCharCode(a[i]+256*a[i+1]);return n}function checkOffset(e,t,r){if(e%1!=0||e<0)throw new RangeError("offset is not uint");if(e+t>r)throw new RangeError("Trying to access beyond buffer length")}function checkInt(e,t,r,a,n,i){if(!internalIsBuffer(e))throw new TypeError('"buffer" argument must be a Buffer instance');if(t>n||t<i)throw new RangeError('"value" argument is out of bounds');if(r+a>e.length)throw new RangeError("Index out of range")}function objectWriteUInt16(e,t,r,a){t<0&&(t=65535+t+1);for(var n=0,i=Math.min(e.length-r,2);n<i;++n)e[r+n]=(t&255<<8*(a?n:1-n))>>>8*(a?n:1-n)}function objectWriteUInt32(e,t,r,a){t<0&&(t=4294967295+t+1);for(var n=0,i=Math.min(e.length-r,4);n<i;++n)e[r+n]=t>>>8*(a?n:3-n)&255}function checkIEEE754(e,t,r,a,n,i){if(r+a>e.length)throw new RangeError("Index out of range")
;if(r<0)throw new RangeError("Index out of range")}function writeFloat(e,t,r,a,n){return n||checkIEEE754(e,0,r,4),write(e,t,r,a,23,4),r+4}function writeDouble(e,t,r,a,n){return n||checkIEEE754(e,0,r,8),write(e,t,r,a,52,8),r+8}Buffer$2.prototype.slice=function slice(e,t){var r,a=this.length;if((e=~~e)<0?(e+=a)<0&&(e=0):e>a&&(e=a),(t=void 0===t?a:~~t)<0?(t+=a)<0&&(t=0):t>a&&(t=a),t<e&&(t=e),Buffer$2.TYPED_ARRAY_SUPPORT)(r=this.subarray(e,t)).__proto__=Buffer$2.prototype;else{var n=t-e;r=new Buffer$2(n,void 0);for(var i=0;i<n;++i)r[i]=this[i+e]}return r},Buffer$2.prototype.readUIntLE=function readUIntLE(e,t,r){e|=0,t|=0,r||checkOffset(e,t,this.length);for(var a=this[e],n=1,i=0;++i<t&&(n*=256);)a+=this[e+i]*n;return a},Buffer$2.prototype.readUIntBE=function readUIntBE(e,t,r){e|=0,t|=0,r||checkOffset(e,t,this.length);for(var a=this[e+--t],n=1;t>0&&(n*=256);)a+=this[e+--t]*n;return a},Buffer$2.prototype.readUInt8=function readUInt8(e,t){return t||checkOffset(e,1,this.length),this[e]},
Buffer$2.prototype.readUInt16LE=function readUInt16LE(e,t){return t||checkOffset(e,2,this.length),this[e]|this[e+1]<<8},Buffer$2.prototype.readUInt16BE=function readUInt16BE(e,t){return t||checkOffset(e,2,this.length),this[e]<<8|this[e+1]},Buffer$2.prototype.readUInt32LE=function readUInt32LE(e,t){return t||checkOffset(e,4,this.length),(this[e]|this[e+1]<<8|this[e+2]<<16)+16777216*this[e+3]},Buffer$2.prototype.readUInt32BE=function readUInt32BE(e,t){return t||checkOffset(e,4,this.length),16777216*this[e]+(this[e+1]<<16|this[e+2]<<8|this[e+3])},Buffer$2.prototype.readIntLE=function readIntLE(e,t,r){e|=0,t|=0,r||checkOffset(e,t,this.length);for(var a=this[e],n=1,i=0;++i<t&&(n*=256);)a+=this[e+i]*n;return a>=(n*=128)&&(a-=Math.pow(2,8*t)),a},Buffer$2.prototype.readIntBE=function readIntBE(e,t,r){e|=0,t|=0,r||checkOffset(e,t,this.length);for(var a=t,n=1,i=this[e+--a];a>0&&(n*=256);)i+=this[e+--a]*n;return i>=(n*=128)&&(i-=Math.pow(2,8*t)),i},
Buffer$2.prototype.readInt8=function readInt8(e,t){return t||checkOffset(e,1,this.length),128&this[e]?-1*(255-this[e]+1):this[e]},Buffer$2.prototype.readInt16LE=function readInt16LE(e,t){t||checkOffset(e,2,this.length);var r=this[e]|this[e+1]<<8;return 32768&r?4294901760|r:r},Buffer$2.prototype.readInt16BE=function readInt16BE(e,t){t||checkOffset(e,2,this.length);var r=this[e+1]|this[e]<<8;return 32768&r?4294901760|r:r},Buffer$2.prototype.readInt32LE=function readInt32LE(e,t){return t||checkOffset(e,4,this.length),this[e]|this[e+1]<<8|this[e+2]<<16|this[e+3]<<24},Buffer$2.prototype.readInt32BE=function readInt32BE(e,t){return t||checkOffset(e,4,this.length),this[e]<<24|this[e+1]<<16|this[e+2]<<8|this[e+3]},Buffer$2.prototype.readFloatLE=function readFloatLE(e,t){return t||checkOffset(e,4,this.length),read(this,e,!0,23,4)},Buffer$2.prototype.readFloatBE=function readFloatBE(e,t){return t||checkOffset(e,4,this.length),read(this,e,!1,23,4)},
Buffer$2.prototype.readDoubleLE=function readDoubleLE(e,t){return t||checkOffset(e,8,this.length),read(this,e,!0,52,8)},Buffer$2.prototype.readDoubleBE=function readDoubleBE(e,t){return t||checkOffset(e,8,this.length),read(this,e,!1,52,8)},Buffer$2.prototype.writeUIntLE=function writeUIntLE(e,t,r,a){(e=+e,t|=0,r|=0,a)||checkInt(this,e,t,r,Math.pow(2,8*r)-1,0);var n=1,i=0;for(this[t]=255&e;++i<r&&(n*=256);)this[t+i]=e/n&255;return t+r},Buffer$2.prototype.writeUIntBE=function writeUIntBE(e,t,r,a){(e=+e,t|=0,r|=0,a)||checkInt(this,e,t,r,Math.pow(2,8*r)-1,0);var n=r-1,i=1;for(this[t+n]=255&e;--n>=0&&(i*=256);)this[t+n]=e/i&255;return t+r},Buffer$2.prototype.writeUInt8=function writeUInt8(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,1,255,0),Buffer$2.TYPED_ARRAY_SUPPORT||(e=Math.floor(e)),this[t]=255&e,t+1},Buffer$2.prototype.writeUInt16LE=function writeUInt16LE(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,2,65535,0),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t]=255&e,
this[t+1]=e>>>8):objectWriteUInt16(this,e,t,!0),t+2},Buffer$2.prototype.writeUInt16BE=function writeUInt16BE(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,2,65535,0),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t]=e>>>8,this[t+1]=255&e):objectWriteUInt16(this,e,t,!1),t+2},Buffer$2.prototype.writeUInt32LE=function writeUInt32LE(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,4,4294967295,0),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t+3]=e>>>24,this[t+2]=e>>>16,this[t+1]=e>>>8,this[t]=255&e):objectWriteUInt32(this,e,t,!0),t+4},Buffer$2.prototype.writeUInt32BE=function writeUInt32BE(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,4,4294967295,0),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t]=e>>>24,this[t+1]=e>>>16,this[t+2]=e>>>8,this[t+3]=255&e):objectWriteUInt32(this,e,t,!1),t+4},Buffer$2.prototype.writeIntLE=function writeIntLE(e,t,r,a){if(e=+e,t|=0,!a){var n=Math.pow(2,8*r-1);checkInt(this,e,t,r,n-1,-n)}var i=0,o=1,s=0;for(this[t]=255&e;++i<r&&(o*=256);)e<0&&0===s&&0!==this[t+i-1]&&(s=1),this[t+i]=(e/o>>0)-s&255
;return t+r},Buffer$2.prototype.writeIntBE=function writeIntBE(e,t,r,a){if(e=+e,t|=0,!a){var n=Math.pow(2,8*r-1);checkInt(this,e,t,r,n-1,-n)}var i=r-1,o=1,s=0;for(this[t+i]=255&e;--i>=0&&(o*=256);)e<0&&0===s&&0!==this[t+i+1]&&(s=1),this[t+i]=(e/o>>0)-s&255;return t+r},Buffer$2.prototype.writeInt8=function writeInt8(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,1,127,-128),Buffer$2.TYPED_ARRAY_SUPPORT||(e=Math.floor(e)),e<0&&(e=255+e+1),this[t]=255&e,t+1},Buffer$2.prototype.writeInt16LE=function writeInt16LE(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,2,32767,-32768),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t]=255&e,this[t+1]=e>>>8):objectWriteUInt16(this,e,t,!0),t+2},Buffer$2.prototype.writeInt16BE=function writeInt16BE(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,2,32767,-32768),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t]=e>>>8,this[t+1]=255&e):objectWriteUInt16(this,e,t,!1),t+2},Buffer$2.prototype.writeInt32LE=function writeInt32LE(e,t,r){return e=+e,t|=0,
r||checkInt(this,e,t,4,2147483647,-2147483648),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t]=255&e,this[t+1]=e>>>8,this[t+2]=e>>>16,this[t+3]=e>>>24):objectWriteUInt32(this,e,t,!0),t+4},Buffer$2.prototype.writeInt32BE=function writeInt32BE(e,t,r){return e=+e,t|=0,r||checkInt(this,e,t,4,2147483647,-2147483648),e<0&&(e=4294967295+e+1),Buffer$2.TYPED_ARRAY_SUPPORT?(this[t]=e>>>24,this[t+1]=e>>>16,this[t+2]=e>>>8,this[t+3]=255&e):objectWriteUInt32(this,e,t,!1),t+4},Buffer$2.prototype.writeFloatLE=function writeFloatLE(e,t,r){return writeFloat(this,e,t,!0,r)},Buffer$2.prototype.writeFloatBE=function writeFloatBE(e,t,r){return writeFloat(this,e,t,!1,r)},Buffer$2.prototype.writeDoubleLE=function writeDoubleLE(e,t,r){return writeDouble(this,e,t,!0,r)},Buffer$2.prototype.writeDoubleBE=function writeDoubleBE(e,t,r){return writeDouble(this,e,t,!1,r)},Buffer$2.prototype.copy=function copy(e,t,r,a){if(r||(r=0),a||0===a||(a=this.length),t>=e.length&&(t=e.length),t||(t=0),a>0&&a<r&&(a=r),a===r)return 0
;if(0===e.length||0===this.length)return 0;if(t<0)throw new RangeError("targetStart out of bounds");if(r<0||r>=this.length)throw new RangeError("sourceStart out of bounds");if(a<0)throw new RangeError("sourceEnd out of bounds");a>this.length&&(a=this.length),e.length-t<a-r&&(a=e.length-t+r);var n,i=a-r;if(this===e&&r<t&&t<a)for(n=i-1;n>=0;--n)e[n+t]=this[n+r];else if(i<1e3||!Buffer$2.TYPED_ARRAY_SUPPORT)for(n=0;n<i;++n)e[n+t]=this[n+r];else Uint8Array.prototype.set.call(e,this.subarray(r,r+i),t);return i},Buffer$2.prototype.fill=function fill(e,t,r,a){if("string"==typeof e){if("string"==typeof t?(a=t,t=0,r=this.length):"string"==typeof r&&(a=r,r=this.length),1===e.length){var n=e.charCodeAt(0);n<256&&(e=n)}if(void 0!==a&&"string"!=typeof a)throw new TypeError("encoding must be a string");if("string"==typeof a&&!Buffer$2.isEncoding(a))throw new TypeError("Unknown encoding: "+a)}else"number"==typeof e&&(e&=255)
;if(t<0||this.length<t||this.length<r)throw new RangeError("Out of range index");if(r<=t)return this;var i;if(t>>>=0,r=void 0===r?this.length:r>>>0,e||(e=0),"number"==typeof e)for(i=t;i<r;++i)this[i]=e;else{var o=internalIsBuffer(e)?e:utf8ToBytes(new Buffer$2(e,a).toString()),s=o.length;for(i=0;i<r-t;++i)this[i+t]=o[i%s]}return this};var l=/[^+\/0-9A-Za-z-_]/g;function toHex(e){return e<16?"0"+e.toString(16):e.toString(16)}function utf8ToBytes(e,t){var r;t=t||1/0;for(var a=e.length,n=null,i=[],o=0;o<a;++o){if((r=e.charCodeAt(o))>55295&&r<57344){if(!n){if(r>56319){(t-=3)>-1&&i.push(239,191,189);continue}if(o+1===a){(t-=3)>-1&&i.push(239,191,189);continue}n=r;continue}if(r<56320){(t-=3)>-1&&i.push(239,191,189),n=r;continue}r=65536+(n-55296<<10|r-56320)}else n&&(t-=3)>-1&&i.push(239,191,189);if(n=null,r<128){if((t-=1)<0)break;i.push(r)}else if(r<2048){if((t-=2)<0)break;i.push(r>>6|192,63&r|128)}else if(r<65536){if((t-=3)<0)break;i.push(r>>12|224,r>>6&63|128,63&r|128)}else{
if(!(r<1114112))throw new Error("Invalid code point");if((t-=4)<0)break;i.push(r>>18|240,r>>12&63|128,r>>6&63|128,63&r|128)}}return i}function base64ToBytes(e){return function toByteArray(e){var t,i,o,s,c,l;n||init$1();var u=e.length;if(u%4>0)throw new Error("Invalid string. Length must be a multiple of 4");c="="===e[u-2]?2:"="===e[u-1]?1:0,l=new a(3*u/4-c),o=c>0?u-4:u;var d=0;for(t=0,i=0;t<o;t+=4,i+=3)s=r[e.charCodeAt(t)]<<18|r[e.charCodeAt(t+1)]<<12|r[e.charCodeAt(t+2)]<<6|r[e.charCodeAt(t+3)],l[d++]=s>>16&255,l[d++]=s>>8&255,l[d++]=255&s;return 2===c?(s=r[e.charCodeAt(t)]<<2|r[e.charCodeAt(t+1)]>>4,l[d++]=255&s):1===c&&(s=r[e.charCodeAt(t)]<<10|r[e.charCodeAt(t+1)]<<4|r[e.charCodeAt(t+2)]>>2,l[d++]=s>>8&255,l[d++]=255&s),l}(function base64clean(e){if((e=function stringtrim(e){return e.trim?e.trim():e.replace(/^\s+|\s+$/g,"")}(e).replace(l,"")).length<2)return"";for(;e.length%4!=0;)e+="=";return e}(e))}function blitBuffer(e,t,r,a){
for(var n=0;n<a&&!(n+r>=t.length||n>=e.length);++n)t[n+r]=e[n];return n}function isBuffer$4(e){return null!=e&&(!!e._isBuffer||isFastBuffer(e)||function isSlowBuffer(e){return"function"==typeof e.readFloatLE&&"function"==typeof e.slice&&isFastBuffer(e.slice(0,0))}(e))}function isFastBuffer(e){return!!e.constructor&&"function"==typeof e.constructor.isBuffer&&e.constructor.isBuffer(e)}var u=Object.freeze({__proto__:null,Buffer:Buffer$2,INSPECT_MAX_BYTES:50,SlowBuffer:function SlowBuffer(e){return+e!=e&&(e=0),Buffer$2.alloc(+e)},isBuffer:isBuffer$4,kMaxLength:s});function getAugmentedNamespace(e){if(e.__esModule)return e;var t=Object.defineProperty({},"__esModule",{value:!0});return Object.keys(e).forEach((function(r){var a=Object.getOwnPropertyDescriptor(e,r);Object.defineProperty(t,r,a.get?a:{enumerable:!0,get:function(){return e[r]}})})),t}var d=function listCacheClear$1(){this.__data__=[],this.size=0};var m=function eq$2(e,t){return e===t||e!=e&&t!=t},p=m
;var h=function assocIndexOf$4(e,t){for(var r=e.length;r--;)if(p(e[r][0],t))return r;return-1},f=h,y=Array.prototype.splice;var v=h;var b=h;var w=h;var S=d,T=function listCacheDelete$1(e){var t=this.__data__,r=f(t,e);return!(r<0)&&(r==t.length-1?t.pop():y.call(t,r,1),--this.size,!0)},E=function listCacheGet$1(e){var t=this.__data__,r=v(t,e);return r<0?void 0:t[r][1]},x=function listCacheHas$1(e){return b(this.__data__,e)>-1},_=function listCacheSet$1(e,t){var r=this.__data__,a=w(r,e);return a<0?(++this.size,r.push([e,t])):r[a][1]=t,this};function ListCache$4(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var a=e[t];this.set(a[0],a[1])}}ListCache$4.prototype.clear=S,ListCache$4.prototype.delete=T,ListCache$4.prototype.get=E,ListCache$4.prototype.has=x,ListCache$4.prototype.set=_;var A=ListCache$4,R=A;var k=function stackClear$1(){this.__data__=new R,this.size=0};var D=function stackDelete$1(e){var t=this.__data__,r=t.delete(e);return this.size=t.size,r}
;var C=function stackGet$1(e){return this.__data__.get(e)};var I=function stackHas$1(e){return this.__data__.has(e)},N="object"==typeof e&&e&&e.Object===Object&&e,L=N,M="object"==typeof self&&self&&self.Object===Object&&self,P=L||M||Function("return this")(),O=P.Symbol,F=O,U=Object.prototype,j=U.hasOwnProperty,B=U.toString,$=F?F.toStringTag:void 0;var q=function getRawTag$1(e){var t=j.call(e,$),r=e[$];try{e[$]=void 0;var a=!0}catch(e){}var n=B.call(e);return a&&(t?e[$]=r:delete e[$]),n},z=Object.prototype.toString;var V=q,W=function objectToString$2(e){return z.call(e)},G=O?O.toStringTag:void 0;var H=function baseGetTag$4(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":G&&G in Object(e)?V(e):W(e)};var Y=function isObject$3(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)},K=H,J=Y;var X,Z=function isFunction$3(e){if(!J(e))return!1;var t=K(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t
},Q=P["__core-js_shared__"],ee=(X=/[^.]+$/.exec(Q&&Q.keys&&Q.keys.IE_PROTO||""))?"Symbol(src)_1."+X:"";var te=function isMasked$1(e){return!!ee&&ee in e},re=Function.prototype.toString;var ae=function toSource$2(e){if(null!=e){try{return re.call(e)}catch(e){}try{return e+""}catch(e){}}return""},ne=Z,ie=te,oe=Y,se=ae,ce=/^\[object .+?Constructor\]$/,le=Function.prototype,ue=Object.prototype,de=le.toString,me=ue.hasOwnProperty,pe=RegExp("^"+de.call(me).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");var he=function baseIsNative$1(e){return!(!oe(e)||ie(e))&&(ne(e)?pe:ce).test(se(e))},ge=function getValue$1(e,t){return null==e?void 0:e[t]};var fe=function getNative$6(e,t){var r=ge(e,t);return he(r)?r:void 0},ye=fe(P,"Map"),ve=fe(Object,"create"),be=ve;var we=function hashClear$1(){this.__data__=be?be(null):{},this.size=0};var Se=function hashDelete$1(e){var t=this.has(e)&&delete this.__data__[e];return this.size-=t?1:0,t
},Te=ve,Ee=Object.prototype.hasOwnProperty;var xe=function hashGet$1(e){var t=this.__data__;if(Te){var r=t[e];return"__lodash_hash_undefined__"===r?void 0:r}return Ee.call(t,e)?t[e]:void 0},_e=ve,Ae=Object.prototype.hasOwnProperty;var Re=ve;var ke=we,De=Se,Ce=xe,Ie=function hashHas$1(e){var t=this.__data__;return _e?void 0!==t[e]:Ae.call(t,e)},Ne=function hashSet$1(e,t){var r=this.__data__;return this.size+=this.has(e)?0:1,r[e]=Re&&void 0===t?"__lodash_hash_undefined__":t,this};function Hash$1(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var a=e[t];this.set(a[0],a[1])}}Hash$1.prototype.clear=ke,Hash$1.prototype.delete=De,Hash$1.prototype.get=Ce,Hash$1.prototype.has=Ie,Hash$1.prototype.set=Ne;var Le=Hash$1,Me=A,Pe=ye;var Oe=function isKeyable$1(e){var t=typeof e;return"string"==t||"number"==t||"symbol"==t||"boolean"==t?"__proto__"!==e:null===e};var Fe=function getMapData$4(e,t){var r=e.__data__;return Oe(t)?r["string"==typeof t?"string":"hash"]:r.map},Ue=Fe;var je=Fe
;var Be=Fe;var $e=Fe;var qe=function mapCacheClear$1(){this.size=0,this.__data__={hash:new Le,map:new(Pe||Me),string:new Le}},ze=function mapCacheDelete$1(e){var t=Ue(this,e).delete(e);return this.size-=t?1:0,t},Ve=function mapCacheGet$1(e){return je(this,e).get(e)},We=function mapCacheHas$1(e){return Be(this,e).has(e)},Ge=function mapCacheSet$1(e,t){var r=$e(this,e),a=r.size;return r.set(e,t),this.size+=r.size==a?0:1,this};function MapCache$2(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var a=e[t];this.set(a[0],a[1])}}MapCache$2.prototype.clear=qe,MapCache$2.prototype.delete=ze,MapCache$2.prototype.get=Ve,MapCache$2.prototype.has=We,MapCache$2.prototype.set=Ge;var He=MapCache$2,Ye=A,Ke=ye,Je=He;var Xe=A,Ze=k,Qe=D,et=C,tt=I,rt=function stackSet$1(e,t){var r=this.__data__;if(r instanceof Ye){var a=r.__data__;if(!Ke||a.length<199)return a.push([e,t]),this.size=++r.size,this;r=this.__data__=new Je(a)}return r.set(e,t),this.size=r.size,this};function Stack$1(e){
var t=this.__data__=new Xe(e);this.size=t.size}Stack$1.prototype.clear=Ze,Stack$1.prototype.delete=Qe,Stack$1.prototype.get=et,Stack$1.prototype.has=tt,Stack$1.prototype.set=rt;var at=Stack$1;var nt=He,it=function setCacheAdd$1(e){return this.__data__.set(e,"__lodash_hash_undefined__"),this},ot=function setCacheHas$1(e){return this.__data__.has(e)};function SetCache$1(e){var t=-1,r=null==e?0:e.length;for(this.__data__=new nt;++t<r;)this.add(e[t])}SetCache$1.prototype.add=SetCache$1.prototype.push=it,SetCache$1.prototype.has=ot;var st=SetCache$1,ct=function arraySome$1(e,t){for(var r=-1,a=null==e?0:e.length;++r<a;)if(t(e[r],r,e))return!0;return!1},ut=function cacheHas$1(e,t){return e.has(t)};var dt=function equalArrays$2(e,t,r,a,n,i){var o=1&r,s=e.length,c=t.length;if(s!=c&&!(o&&c>s))return!1;var l=i.get(e),u=i.get(t);if(l&&u)return l==t&&u==e;var d=-1,m=!0,p=2&r?new st:void 0;for(i.set(e,t),i.set(t,e);++d<s;){var h=e[d],f=t[d];if(a)var y=o?a(f,h,d,t,e,i):a(h,f,d,e,t,i);if(void 0!==y){
if(y)continue;m=!1;break}if(p){if(!ct(t,(function(e,t){if(!ut(p,t)&&(h===e||n(h,e,r,a,i)))return p.push(t)}))){m=!1;break}}else if(h!==f&&!n(h,f,r,a,i)){m=!1;break}}return i.delete(e),i.delete(t),m};var mt=P.Uint8Array,pt=m,ht=dt,ft=function mapToArray$1(e){var t=-1,r=Array(e.size);return e.forEach((function(e,a){r[++t]=[a,e]})),r},yt=function setToArray$1(e){var t=-1,r=Array(e.size);return e.forEach((function(e){r[++t]=e})),r},vt=O?O.prototype:void 0,bt=vt?vt.valueOf:void 0;var wt=function equalByTag$1(e,t,r,a,n,i,o){switch(r){case"[object DataView]":if(e.byteLength!=t.byteLength||e.byteOffset!=t.byteOffset)return!1;e=e.buffer,t=t.buffer;case"[object ArrayBuffer]":return!(e.byteLength!=t.byteLength||!i(new mt(e),new mt(t)));case"[object Boolean]":case"[object Date]":case"[object Number]":return pt(+e,+t);case"[object Error]":return e.name==t.name&&e.message==t.message;case"[object RegExp]":case"[object String]":return e==t+"";case"[object Map]":var s=ft;case"[object Set]":var c=1&a
;if(s||(s=yt),e.size!=t.size&&!c)return!1;var l=o.get(e);if(l)return l==t;a|=2,o.set(e,t);var u=ht(s(e),s(t),a,n,i,o);return o.delete(e),u;case"[object Symbol]":if(bt)return bt.call(e)==bt.call(t)}return!1};var St=function arrayPush$1(e,t){for(var r=-1,a=t.length,n=e.length;++r<a;)e[n+r]=t[r];return e},Tt=Array.isArray,Et=St,xt=Tt;var _t=function baseGetAllKeys$1(e,t,r){var a=t(e);return xt(e)?a:Et(a,r(e))};var At=function arrayFilter$1(e,t){for(var r=-1,a=null==e?0:e.length,n=0,i=[];++r<a;){var o=e[r];t(o,r,e)&&(i[n++]=o)}return i},Rt=function stubArray$1(){return[]},kt=Object.prototype.propertyIsEnumerable,Dt=Object.getOwnPropertySymbols,Ct=Dt?function(e){return null==e?[]:(e=Object(e),At(Dt(e),(function(t){return kt.call(e,t)})))}:Rt;var It=function baseTimes$1(e,t){for(var r=-1,a=Array(e);++r<e;)a[r]=t(r);return a};var Nt=function isObjectLike$4(e){return null!=e&&"object"==typeof e},Lt=H,Mt=Nt;var Pt=function baseIsArguments$1(e){return Mt(e)&&"[object Arguments]"==Lt(e)
},Ot=Nt,Ft=Object.prototype,Ut=Ft.hasOwnProperty,jt=Ft.propertyIsEnumerable,Bt=Pt(function(){return arguments}())?Pt:function(e){return Ot(e)&&Ut.call(e,"callee")&&!jt.call(e,"callee")},$t={exports:{}};var zt=function stubFalse(){return!1};!function(e,t){var r=P,a=zt,n=t&&!t.nodeType&&t,i=n&&e&&!e.nodeType&&e,o=i&&i.exports===n?r.Buffer:void 0,s=(o?o.isBuffer:void 0)||a;e.exports=s}($t,$t.exports);var Vt=/^(?:0|[1-9]\d*)$/;var Wt=function isIndex$1(e,t){var r=typeof e;return!!(t=null==t?9007199254740991:t)&&("number"==r||"symbol"!=r&&Vt.test(e))&&e>-1&&e%1==0&&e<t};var Gt=function isLength$2(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991},Ht=H,Yt=Gt,Kt=Nt,Jt={};Jt["[object Float32Array]"]=Jt["[object Float64Array]"]=Jt["[object Int8Array]"]=Jt["[object Int16Array]"]=Jt["[object Int32Array]"]=Jt["[object Uint8Array]"]=Jt["[object Uint8ClampedArray]"]=Jt["[object Uint16Array]"]=Jt["[object Uint32Array]"]=!0,
Jt["[object Arguments]"]=Jt["[object Array]"]=Jt["[object ArrayBuffer]"]=Jt["[object Boolean]"]=Jt["[object DataView]"]=Jt["[object Date]"]=Jt["[object Error]"]=Jt["[object Function]"]=Jt["[object Map]"]=Jt["[object Number]"]=Jt["[object Object]"]=Jt["[object RegExp]"]=Jt["[object Set]"]=Jt["[object String]"]=Jt["[object WeakMap]"]=!1;var Xt=function baseIsTypedArray$1(e){return Kt(e)&&Yt(e.length)&&!!Jt[Ht(e)]};var Zt=function baseUnary$1(e){return function(t){return e(t)}},Qt={exports:{}};!function(e,t){var r=N,a=t&&!t.nodeType&&t,n=a&&e&&!e.nodeType&&e,i=n&&n.exports===a&&r.process,o=function(){try{var e=n&&n.require&&n.require("util").types;return e||i&&i.binding&&i.binding("util")}catch(e){}}();e.exports=o}(Qt,Qt.exports);var er=Xt,tr=Zt,rr=Qt.exports,ar=rr&&rr.isTypedArray,nr=ar?tr(ar):er,ir=It,or=Bt,sr=Tt,cr=$t.exports,lr=Wt,ur=nr,dr=Object.prototype.hasOwnProperty;var mr=function arrayLikeKeys$1(e,t){
var r=sr(e),a=!r&&or(e),n=!r&&!a&&cr(e),i=!r&&!a&&!n&&ur(e),o=r||a||n||i,s=o?ir(e.length,String):[],c=s.length;for(var l in e)!t&&!dr.call(e,l)||o&&("length"==l||n&&("offset"==l||"parent"==l)||i&&("buffer"==l||"byteLength"==l||"byteOffset"==l)||lr(l,c))||s.push(l);return s},pr=Object.prototype;var hr=function isPrototype$1(e){var t=e&&e.constructor;return e===("function"==typeof t&&t.prototype||pr)};var gr=function overArg$1(e,t){return function(r){return e(t(r))}}(Object.keys,Object),fr=hr,yr=gr,vr=Object.prototype.hasOwnProperty;var br=Z,wr=Gt;var Sr=mr,Tr=function baseKeys$1(e){if(!fr(e))return yr(e);var t=[];for(var r in Object(e))vr.call(e,r)&&"constructor"!=r&&t.push(r);return t},Er=function isArrayLike$1(e){return null!=e&&wr(e.length)&&!br(e)};var xr=_t,_r=Ct,Ar=function keys$2(e){return Er(e)?Sr(e):Tr(e)};var Rr=function getAllKeys$1(e){return xr(e,Ar,_r)},kr=Object.prototype.hasOwnProperty;var Dr=function equalObjects$1(e,t,r,a,n,i){var o=1&r,s=Rr(e),c=s.length
;if(c!=Rr(t).length&&!o)return!1;for(var l=c;l--;){var u=s[l];if(!(o?u in t:kr.call(t,u)))return!1}var d=i.get(e),m=i.get(t);if(d&&m)return d==t&&m==e;var p=!0;i.set(e,t),i.set(t,e);for(var h=o;++l<c;){var f=e[u=s[l]],y=t[u];if(a)var v=o?a(y,f,u,t,e,i):a(f,y,u,e,t,i);if(!(void 0===v?f===y||n(f,y,r,a,i):v)){p=!1;break}h||(h="constructor"==u)}if(p&&!h){var b=e.constructor,w=t.constructor;b==w||!("constructor"in e)||!("constructor"in t)||"function"==typeof b&&b instanceof b&&"function"==typeof w&&w instanceof w||(p=!1)}return i.delete(e),i.delete(t),p},Cr=fe(P,"DataView"),Ir=ye,Nr=fe(P,"Promise"),Lr=fe(P,"Set"),Mr=fe(P,"WeakMap"),Pr=H,Or=ae,Fr="[object Map]",Ur="[object Promise]",jr="[object Set]",Br="[object WeakMap]",$r="[object DataView]",qr=Or(Cr),zr=Or(Ir),Vr=Or(Nr),Wr=Or(Lr),Gr=Or(Mr),Hr=Pr;(Cr&&Hr(new Cr(new ArrayBuffer(1)))!=$r||Ir&&Hr(new Ir)!=Fr||Nr&&Hr(Nr.resolve())!=Ur||Lr&&Hr(new Lr)!=jr||Mr&&Hr(new Mr)!=Br)&&(Hr=function(e){
var t=Pr(e),r="[object Object]"==t?e.constructor:void 0,a=r?Or(r):"";if(a)switch(a){case qr:return $r;case zr:return Fr;case Vr:return Ur;case Wr:return jr;case Gr:return Br}return t});var Yr=at,Kr=dt,Jr=wt,Xr=Dr,Zr=Hr,Qr=Tt,ea=$t.exports,ta=nr,ra="[object Arguments]",aa="[object Array]",na="[object Object]",ia=Object.prototype.hasOwnProperty;var oa=function baseIsEqualDeep$1(e,t,r,a,n,i){var o=Qr(e),s=Qr(t),c=o?aa:Zr(e),l=s?aa:Zr(t),u=(c=c==ra?na:c)==na,d=(l=l==ra?na:l)==na,m=c==l;if(m&&ea(e)){if(!ea(t))return!1;o=!0,u=!1}if(m&&!u)return i||(i=new Yr),o||ta(e)?Kr(e,t,r,a,n,i):Jr(e,t,c,r,a,n,i);if(!(1&r)){var p=u&&ia.call(e,"__wrapped__"),h=d&&ia.call(t,"__wrapped__");if(p||h){var f=p?e.value():e,y=h?t.value():t;return i||(i=new Yr),n(f,y,r,a,i)}}return!!m&&(i||(i=new Yr),Xr(e,t,r,a,n,i))},sa=Nt;var ca=function baseIsEqual$1(e,t,r,a,n){return e===t||(null==e||null==t||!sa(e)&&!sa(t)?e!=e&&t!=t:oa(e,t,r,a,baseIsEqual$1,n))};var la=function isEqual(e,t){return ca(e,t)}
;function defaultSetTimout(){throw new Error("setTimeout has not been defined")}function defaultClearTimeout(){throw new Error("clearTimeout has not been defined")}var ua=defaultSetTimout,da=defaultClearTimeout;function runTimeout(e){if(ua===setTimeout)return setTimeout(e,0);if((ua===defaultSetTimout||!ua)&&setTimeout)return ua=setTimeout,setTimeout(e,0);try{return ua(e,0)}catch(t){try{return ua.call(null,e,0)}catch(t){return ua.call(this,e,0)}}}"function"==typeof e.setTimeout&&(ua=setTimeout),"function"==typeof e.clearTimeout&&(da=clearTimeout);var ma,pa=[],ha=!1,ga=-1;function cleanUpNextTick(){ha&&ma&&(ha=!1,ma.length?pa=ma.concat(pa):ga=-1,pa.length&&drainQueue())}function drainQueue(){if(!ha){var e=runTimeout(cleanUpNextTick);ha=!0;for(var t=pa.length;t;){for(ma=pa,pa=[];++ga<t;)ma&&ma[ga].run();ga=-1,t=pa.length}ma=null,ha=!1,function runClearTimeout(e){if(da===clearTimeout)return clearTimeout(e);if((da===defaultClearTimeout||!da)&&clearTimeout)return da=clearTimeout,
clearTimeout(e);try{return da(e)}catch(t){try{return da.call(null,e)}catch(t){return da.call(this,e)}}}(e)}}function nextTick(e){var t=new Array(arguments.length-1);if(arguments.length>1)for(var r=1;r<arguments.length;r++)t[r-1]=arguments[r];pa.push(new Item(e,t)),1!==pa.length||ha||runTimeout(drainQueue)}function Item(e,t){this.fun=e,this.array=t}Item.prototype.run=function(){this.fun.apply(null,this.array)};var fa="browser",ya="browser",va={},ba=[],wa={},Sa={},Ta={};function noop$1(){}var Ea=noop$1,xa=noop$1,_a=noop$1,Aa=noop$1,Ra=noop$1,ka=noop$1,Da=noop$1;function binding$1(e){throw new Error("process.binding is not supported")}function cwd(){return"/"}function chdir(e){throw new Error("process.chdir is not supported")}function umask(){return 0}var Ca=e.performance||{},Ia=Ca.now||Ca.mozNow||Ca.msNow||Ca.oNow||Ca.webkitNow||function(){return(new Date).getTime()};function hrtime$1(e){var t=.001*Ia.call(Ca),r=Math.floor(t),a=Math.floor(t%1*1e9);return e&&(r-=e[0],(a-=e[1])<0&&(r--,
a+=1e9)),[r,a]}var Na=new Date;function uptime(){return(new Date-Na)/1e3}var La={nextTick,title:fa,browser:true,env:va,argv:ba,version:"",versions:wa,on:Ea,addListener:xa,once:_a,off:Aa,removeListener:Ra,removeAllListeners:ka,emit:Da,binding:binding$1,cwd,chdir,umask,hrtime:hrtime$1,platform:ya,release:Sa,config:Ta,uptime},Ma=Object.freeze({__proto__:null,addListener:xa,argv:ba,binding:binding$1,browser:true,chdir,config:Ta,cwd,default:La,emit:Da,env:va,hrtime:hrtime$1,nextTick,off:Aa,on:Ea,once:_a,platform:ya,release:Sa,removeAllListeners:ka,removeListener:Ra,title:fa,umask,uptime,version:"",versions:wa}),Pa={exports:{}},Oa=1e3,Fa=60*Oa,Ua=60*Fa,ja=24*Ua,Ba=7*ja,$a=365.25*ja,ms=function(e,t){t=t||{};var r=typeof e;if("string"===r&&e.length>0)return function parse$3(e){if((e=String(e)).length>100)return;var t=/^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(e);if(!t)return;var r=parseFloat(t[1])
;switch((t[2]||"ms").toLowerCase()){case"years":case"year":case"yrs":case"yr":case"y":return r*$a;case"weeks":case"week":case"w":return r*Ba;case"days":case"day":case"d":return r*ja;case"hours":case"hour":case"hrs":case"hr":case"h":return r*Ua;case"minutes":case"minute":case"mins":case"min":case"m":return r*Fa;case"seconds":case"second":case"secs":case"sec":case"s":return r*Oa;case"milliseconds":case"millisecond":case"msecs":case"msec":case"ms":return r;default:return}}(e);if("number"===r&&isFinite(e))return t.long?function fmtLong(e){var t=Math.abs(e);if(t>=ja)return plural(e,t,ja,"day");if(t>=Ua)return plural(e,t,Ua,"hour");if(t>=Fa)return plural(e,t,Fa,"minute");if(t>=Oa)return plural(e,t,Oa,"second");return e+" ms"}(e):function fmtShort(e){var t=Math.abs(e);if(t>=ja)return Math.round(e/ja)+"d";if(t>=Ua)return Math.round(e/Ua)+"h";if(t>=Fa)return Math.round(e/Fa)+"m";if(t>=Oa)return Math.round(e/Oa)+"s";return e+"ms"}(e)
;throw new Error("val is not a non-empty string or a valid number. val="+JSON.stringify(e))};function plural(e,t,r,a){var n=t>=1.5*r;return Math.round(e/r)+" "+a+(n?"s":"")}var qa=function setup(e){function createDebug(e){let t,r,a,n=null;function debug(...e){if(!debug.enabled)return;const r=debug,a=Number(new Date),n=a-(t||a);r.diff=n,r.prev=t,r.curr=a,t=a,e[0]=createDebug.coerce(e[0]),"string"!=typeof e[0]&&e.unshift("%O");let i=0;e[0]=e[0].replace(/%([a-zA-Z%])/g,((t,a)=>{if("%%"===t)return"%";i++;const n=createDebug.formatters[a];if("function"==typeof n){const a=e[i];t=n.call(r,a),e.splice(i,1),i--}return t})),createDebug.formatArgs.call(r,e);(r.log||createDebug.log).apply(r,e)}return debug.namespace=e,debug.useColors=createDebug.useColors(),debug.color=createDebug.selectColor(e),debug.extend=extend,debug.destroy=createDebug.destroy,Object.defineProperty(debug,"enabled",{enumerable:!0,configurable:!1,get:()=>null!==n?n:(r!==createDebug.namespaces&&(r=createDebug.namespaces,
a=createDebug.enabled(e)),a),set:e=>{n=e}}),"function"==typeof createDebug.init&&createDebug.init(debug),debug}function extend(e,t){const r=createDebug(this.namespace+(void 0===t?":":t)+e);return r.log=this.log,r}function toNamespace(e){return e.toString().substring(2,e.toString().length-2).replace(/\.\*\?$/,"*")}return createDebug.debug=createDebug,createDebug.default=createDebug,createDebug.coerce=function coerce(e){if(e instanceof Error)return e.stack||e.message;return e},createDebug.disable=function disable(){const e=[...createDebug.names.map(toNamespace),...createDebug.skips.map(toNamespace).map((e=>"-"+e))].join(",");return createDebug.enable(""),e},createDebug.enable=function enable(e){let t;createDebug.save(e),createDebug.namespaces=e,createDebug.names=[],createDebug.skips=[];const r=("string"==typeof e?e:"").split(/[\s,]+/),a=r.length
;for(t=0;t<a;t++)r[t]&&("-"===(e=r[t].replace(/\*/g,".*?"))[0]?createDebug.skips.push(new RegExp("^"+e.substr(1)+"$")):createDebug.names.push(new RegExp("^"+e+"$")))},createDebug.enabled=function enabled(e){if("*"===e[e.length-1])return!0;let t,r;for(t=0,r=createDebug.skips.length;t<r;t++)if(createDebug.skips[t].test(e))return!1;for(t=0,r=createDebug.names.length;t<r;t++)if(createDebug.names[t].test(e))return!0;return!1},createDebug.humanize=ms,createDebug.destroy=function destroy(){console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.")},Object.keys(e).forEach((t=>{createDebug[t]=e[t]})),createDebug.names=[],createDebug.skips=[],createDebug.formatters={},createDebug.selectColor=function selectColor(e){let t=0;for(let r=0;r<e.length;r++)t=(t<<5)-t+e.charCodeAt(r),t|=0;return createDebug.colors[Math.abs(t)%createDebug.colors.length]},createDebug.enable(createDebug.load()),createDebug}
;!function(e,t){t.formatArgs=function formatArgs(t){if(t[0]=(this.useColors?"%c":"")+this.namespace+(this.useColors?" %c":" ")+t[0]+(this.useColors?"%c ":" ")+"+"+e.exports.humanize(this.diff),!this.useColors)return;const r="color: "+this.color;t.splice(1,0,r,"color: inherit");let a=0,n=0;t[0].replace(/%[a-zA-Z%]/g,(e=>{"%%"!==e&&(a++,"%c"===e&&(n=a))})),t.splice(n,0,r)},t.save=function save(e){try{e?t.storage.setItem("debug",e):t.storage.removeItem("debug")}catch(e){}},t.load=function load(){let e;try{e=t.storage.getItem("debug")}catch(e){}!e&&void 0!==La&&"env"in La&&(e=La.env.DEBUG);return e},t.useColors=function useColors(){if("undefined"!=typeof window&&window.process&&("renderer"===window.process.type||window.process.__nwjs))return!0;if("undefined"!=typeof navigator&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/))return!1
;return"undefined"!=typeof document&&document.documentElement&&document.documentElement.style&&document.documentElement.style.WebkitAppearance||"undefined"!=typeof window&&window.console&&(window.console.firebug||window.console.exception&&window.console.table)||"undefined"!=typeof navigator&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/)&&parseInt(RegExp.$1,10)>=31||"undefined"!=typeof navigator&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/)},t.storage=function localstorage(){try{return localStorage}catch(e){}}(),t.destroy=(()=>{let e=!1;return()=>{e||(e=!0,console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`."))}})(),
t.colors=["#0000CC","#0000FF","#0033CC","#0033FF","#0066CC","#0066FF","#0099CC","#0099FF","#00CC00","#00CC33","#00CC66","#00CC99","#00CCCC","#00CCFF","#3300CC","#3300FF","#3333CC","#3333FF","#3366CC","#3366FF","#3399CC","#3399FF","#33CC00","#33CC33","#33CC66","#33CC99","#33CCCC","#33CCFF","#6600CC","#6600FF","#6633CC","#6633FF","#66CC00","#66CC33","#9900CC","#9900FF","#9933CC","#9933FF","#99CC00","#99CC33","#CC0000","#CC0033","#CC0066","#CC0099","#CC00CC","#CC00FF","#CC3300","#CC3333","#CC3366","#CC3399","#CC33CC","#CC33FF","#CC6600","#CC6633","#CC9900","#CC9933","#CCCC00","#CCCC33","#FF0000","#FF0033","#FF0066","#FF0099","#FF00CC","#FF00FF","#FF3300","#FF3333","#FF3366","#FF3399","#FF33CC","#FF33FF","#FF6600","#FF6633","#FF9900","#FF9933","#FFCC00","#FFCC33"],t.log=console.debug||console.log||(()=>{}),e.exports=qa(t);const{formatters:r}=e.exports;r.j=function(e){try{return JSON.stringify(e)}catch(e){return"[UnexpectedJSONParseError]: "+e.message}}}(Pa,Pa.exports)
;var za,Va,Wa,Ga,Ha=Pa.exports,Ya="undefined"!=typeof performance&&performance,Ka=La.hrtime,getNanoSeconds=function(){var e=Ka();return 1e9*e[0]+e[1]},Ja=getNanoSeconds(),now=function(){return(getNanoSeconds()-Ja)/1e6};function throwIfEmpty(e){if(!e)throw new Error("name must be non-empty")}if(Ya&&Ya.mark&&Ya.getEntriesByName&&Ya.getEntriesByType&&Ya.clearMeasures)za=function(e){throwIfEmpty(e),Ya.mark("start "+e)},Va=function(e){throwIfEmpty(e),Ya.mark("end "+e),Ya.measure(e,"start "+e,"end "+e);var t=Ya.getEntriesByName(e);return t[t.length-1]},Wa=function(){return Ya.getEntriesByType("measure")},Ga=function(){Ya.clearMarks(),Ya.clearMeasures()};else{var Xa={},Za=[];za=function(e){throwIfEmpty(e);var t=now();Xa["$"+e]=t},Va=function(e){throwIfEmpty(e);var t=now(),r=Xa["$"+e];if(!r)throw new Error("no known mark: "+e);var a={startTime:r,name:e,duration:t-r,entryType:"measure"};return function insertSorted(e,t){for(var r,a=0,n=e.length;a<n;)e[r=a+n>>>1].startTime<t.startTime?a=r+1:n=r
;e.splice(a,0,t)}(Za,a),a},Wa=function(){return Za},Ga=function(){Xa={},Za=[]}}function EventHandlers(){}function EventEmitter$4(){EventEmitter$4.init.call(this)}function $getMaxListeners(e){return void 0===e._maxListeners?EventEmitter$4.defaultMaxListeners:e._maxListeners}function emitNone(e,t,r){if(t)e.call(r);else for(var a=e.length,n=arrayClone(e,a),i=0;i<a;++i)n[i].call(r)}function emitOne(e,t,r,a){if(t)e.call(r,a);else for(var n=e.length,i=arrayClone(e,n),o=0;o<n;++o)i[o].call(r,a)}function emitTwo(e,t,r,a,n){if(t)e.call(r,a,n);else for(var i=e.length,o=arrayClone(e,i),s=0;s<i;++s)o[s].call(r,a,n)}function emitThree(e,t,r,a,n,i){if(t)e.call(r,a,n,i);else for(var o=e.length,s=arrayClone(e,o),c=0;c<o;++c)s[c].call(r,a,n,i)}function emitMany(e,t,r,a){if(t)e.apply(r,a);else for(var n=e.length,i=arrayClone(e,n),o=0;o<n;++o)i[o].apply(r,a)}function _addListener(e,t,r,a){var n,i,o;if("function"!=typeof r)throw new TypeError('"listener" argument must be a function')
;if((i=e._events)?(i.newListener&&(e.emit("newListener",t,r.listener?r.listener:r),i=e._events),o=i[t]):(i=e._events=new EventHandlers,e._eventsCount=0),o){if("function"==typeof o?o=i[t]=a?[r,o]:[o,r]:a?o.unshift(r):o.push(r),!o.warned&&(n=$getMaxListeners(e))&&n>0&&o.length>n){o.warned=!0;var s=new Error("Possible EventEmitter memory leak detected. "+o.length+" "+t+" listeners added. Use emitter.setMaxListeners() to increase limit");s.name="MaxListenersExceededWarning",s.emitter=e,s.type=t,s.count=o.length,function emitWarning(e){"function"==typeof console.warn?console.warn(e):console.log(e)}(s)}}else o=i[t]=r,++e._eventsCount;return e}function _onceWrap(e,t,r){var a=!1;function g(){e.removeListener(t,g),a||(a=!0,r.apply(e,arguments))}return g.listener=r,g}function listenerCount$1(e){var t=this._events;if(t){var r=t[e];if("function"==typeof r)return 1;if(r)return r.length}return 0}function arrayClone(e,t){for(var r=new Array(t);t--;)r[t]=e[t];return r}
EventHandlers.prototype=Object.create(null),EventEmitter$4.EventEmitter=EventEmitter$4,EventEmitter$4.usingDomains=!1,EventEmitter$4.prototype.domain=void 0,EventEmitter$4.prototype._events=void 0,EventEmitter$4.prototype._maxListeners=void 0,EventEmitter$4.defaultMaxListeners=10,EventEmitter$4.init=function(){this.domain=null,EventEmitter$4.usingDomains&&undefined.active,this._events&&this._events!==Object.getPrototypeOf(this)._events||(this._events=new EventHandlers,this._eventsCount=0),this._maxListeners=this._maxListeners||void 0},EventEmitter$4.prototype.setMaxListeners=function setMaxListeners(e){if("number"!=typeof e||e<0||isNaN(e))throw new TypeError('"n" argument must be a positive number');return this._maxListeners=e,this},EventEmitter$4.prototype.getMaxListeners=function getMaxListeners(){return $getMaxListeners(this)},EventEmitter$4.prototype.emit=function emit(e){var t,r,a,n,i,o,s,c="error"===e;if(o=this._events)c=c&&null==o.error;else if(!c)return!1;if(s=this.domain,c){
if(t=arguments[1],!s){if(t instanceof Error)throw t;var l=new Error('Uncaught, unspecified "error" event. ('+t+")");throw l.context=t,l}return t||(t=new Error('Uncaught, unspecified "error" event')),t.domainEmitter=this,t.domain=s,t.domainThrown=!1,s.emit("error",t),!1}if(!(r=o[e]))return!1;var u="function"==typeof r;switch(a=arguments.length){case 1:emitNone(r,u,this);break;case 2:emitOne(r,u,this,arguments[1]);break;case 3:emitTwo(r,u,this,arguments[1],arguments[2]);break;case 4:emitThree(r,u,this,arguments[1],arguments[2],arguments[3]);break;default:for(n=new Array(a-1),i=1;i<a;i++)n[i-1]=arguments[i];emitMany(r,u,this,n)}return!0},EventEmitter$4.prototype.addListener=function addListener(e,t){return _addListener(this,e,t,!1)},EventEmitter$4.prototype.on=EventEmitter$4.prototype.addListener,EventEmitter$4.prototype.prependListener=function prependListener(e,t){return _addListener(this,e,t,!0)},EventEmitter$4.prototype.once=function once(e,t){
if("function"!=typeof t)throw new TypeError('"listener" argument must be a function');return this.on(e,_onceWrap(this,e,t)),this},EventEmitter$4.prototype.prependOnceListener=function prependOnceListener(e,t){if("function"!=typeof t)throw new TypeError('"listener" argument must be a function');return this.prependListener(e,_onceWrap(this,e,t)),this},EventEmitter$4.prototype.removeListener=function removeListener(e,t){var r,a,n,i,o;if("function"!=typeof t)throw new TypeError('"listener" argument must be a function');if(!(a=this._events))return this;if(!(r=a[e]))return this;if(r===t||r.listener&&r.listener===t)0==--this._eventsCount?this._events=new EventHandlers:(delete a[e],a.removeListener&&this.emit("removeListener",e,r.listener||t));else if("function"!=typeof r){for(n=-1,i=r.length;i-- >0;)if(r[i]===t||r[i].listener&&r[i].listener===t){o=r[i].listener,n=i;break}if(n<0)return this;if(1===r.length){if(r[0]=void 0,0==--this._eventsCount)return this._events=new EventHandlers,this
;delete a[e]}else!function spliceOne(e,t){for(var r=t,a=r+1,n=e.length;a<n;r+=1,a+=1)e[r]=e[a];e.pop()}(r,n);a.removeListener&&this.emit("removeListener",e,o||t)}return this},EventEmitter$4.prototype.off=function(e,t){return this.removeListener(e,t)},EventEmitter$4.prototype.removeAllListeners=function removeAllListeners(e){var t,r;if(!(r=this._events))return this;if(!r.removeListener)return 0===arguments.length?(this._events=new EventHandlers,this._eventsCount=0):r[e]&&(0==--this._eventsCount?this._events=new EventHandlers:delete r[e]),this;if(0===arguments.length){for(var a,n=Object.keys(r),i=0;i<n.length;++i)"removeListener"!==(a=n[i])&&this.removeAllListeners(a);return this.removeAllListeners("removeListener"),this._events=new EventHandlers,this._eventsCount=0,this}if("function"==typeof(t=r[e]))this.removeListener(e,t);else if(t)do{this.removeListener(e,t[t.length-1])}while(t[0]);return this},EventEmitter$4.prototype.listeners=function listeners(e){var t,r=this._events
;return r&&(t=r[e])?"function"==typeof t?[t.listener||t]:function unwrapListeners(e){for(var t=new Array(e.length),r=0;r<t.length;++r)t[r]=e[r].listener||e[r];return t}(t):[]},EventEmitter$4.listenerCount=function(e,t){return"function"==typeof e.listenerCount?e.listenerCount(t):listenerCount$1.call(e,t)},EventEmitter$4.prototype.listenerCount=listenerCount$1,EventEmitter$4.prototype.eventNames=function eventNames(){return this._eventsCount>0?Reflect.ownKeys(this._events):[]};var Qa=Object.freeze({__proto__:null,default:EventEmitter$4,EventEmitter:EventEmitter$4});const en="win32"===La.platform,tn=La.browser,rn={red:tn?"crimson":1,yellow:tn?"gold":3,cyan:tn?"darkturquoise":6,green:tn?"forestgreen":2,blue:tn?"steelblue":4,magenta:tn?"palevioletred":5};Ha.colors=[rn.cyan,rn.green,rn.blue,rn.magenta];const an={};let nn;class Log{static _logToStdErr(e,t){Log.loggerfn(e)(...t)}static loggerfn(e){let t=an[e=`LH:${e}`];return t||(t=Ha(e),an[e]=t,
e.endsWith("error")?t.color=rn.red:e.endsWith("warn")&&(t.color=rn.yellow)),t}static setLevel(e){switch(nn=e,e){case"silent":Ha.enable("-LH:*");break;case"verbose":Ha.enable("LH:*");break;case"error":Ha.enable("-LH:*, LH:*:error");break;default:Ha.enable("LH:*, -LH:*:verbose")}}static formatProtocol(e,t,r){const a=!La||La.browser?1/0:La.stdout.columns,n=t.method||"?????",i=a-n.length-e.length-25,o=t.params&&"IO.read"!==n?JSON.stringify(t.params).substr(0,i):"";Log._logToStdErr(`${e}:${r||""}`,[n,o])}static isVerbose(){return"verbose"===nn}static time({msg:e,id:t,args:r=[]},a="log"){za(t),Log[a]("status",e,...r)}static timeEnd({msg:e,id:t,args:r=[]},a="verbose"){Log[a]("statusEnd",e,...r),Va(t)}static log(e,...t){return Log.events.issueStatus(e,t),Log._logToStdErr(e,t)}static warn(e,...t){return Log.events.issueWarning(e,t),Log._logToStdErr(`${e}:warn`,t)}static error(e,...t){return Log._logToStdErr(`${e}:error`,t)}static verbose(e,...t){return Log.events.issueStatus(e,t),
Log._logToStdErr(`${e}:verbose`,t)}static greenify(e){return`${Log.green}${e}${Log.reset}`}static redify(e){return`${Log.red}${e}${Log.reset}`}static get green(){return"[32m"}static get red(){return"[31m"}static get yellow(){return"[33m"}static get purple(){return"[95m"}static get reset(){return"[0m"}static get bold(){return"[1m"}static get dim(){return"[2m"}static get tick(){return en?"√":"✓"}static get cross(){return en?"×":"✘"}static get whiteSmallSquare(){return en?"·":"▫"}static get heavyHorizontal(){return en?"─":"━"}static get heavyVertical(){return en?"│ ":"┃ "}static get heavyUpAndRight(){return en?"└":"┗"}static get heavyVerticalAndRight(){return en?"├":"┣"}static get heavyDownAndHorizontal(){return en?"┬":"┳"}static get doubleLightHorizontal(){return"──"}}Log.events=new class Emitter extends EventEmitter$4{issueStatus(e,t){"status"!==e&&"statusEnd"!==e||this.emit(e,[e,...t])}issueWarning(e,t){this.emit("warning",[e,...t])}},Log.takeTimeEntries=()=>{const e=Wa()
;return Ga(),e},Log.getTimeEntries=()=>Wa();var on=getAugmentedNamespace(Object.freeze({__proto__:null,default:Log}));const sn=3.75,cn=.9,ln={DEVTOOLS_RTT_ADJUSTMENT_FACTOR:sn,DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR:cn,mobileSlow4G:{rttMs:150,throughputKbps:1638.4,requestLatencyMs:562.5,downloadThroughputKbps:1474.5600000000002,uploadThroughputKbps:675,cpuSlowdownMultiplier:4},mobileRegular3G:{rttMs:300,throughputKbps:700,requestLatencyMs:1125,downloadThroughputKbps:630,uploadThroughputKbps:630,cpuSlowdownMultiplier:4},desktopDense4G:{rttMs:40,throughputKbps:10240,cpuSlowdownMultiplier:1,requestLatencyMs:0,downloadThroughputKbps:0,uploadThroughputKbps:0}},un={mobile:{mobile:!0,width:360,height:640,deviceScaleFactor:2.625,disabled:!1},desktop:{mobile:!1,width:1350,height:940,deviceScaleFactor:1,disabled:!1}},dn={mobile:"Mozilla/5.0 (Linux; Android 7.0; Moto G (4)) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/98.0.4695.0 Mobile Safari/537.36 Chrome-Lighthouse",
desktop:"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/98.0.4695.0 Safari/537.36 Chrome-Lighthouse"};var mn={throttling:ln,screenEmulationMetrics:un,userAgents:dn,defaultSettings:{output:"json",maxWaitForFcp:3e4,maxWaitForLoad:45e3,formFactor:"mobile",throttling:ln.mobileSlow4G,throttlingMethod:"simulate",screenEmulation:un.mobile,emulatedUserAgent:dn.mobile,auditMode:!1,gatherMode:!1,disableStorageReset:!1,debugNavigation:!1,channel:"node",budgets:null,locale:"en-US",blockedUrlPatterns:null,additionalTraceCategories:null,extraHeaders:null,precomputedLanternData:null,onlyAudits:null,onlyCategories:null,skipAudits:null},defaultPassConfig:{passName:"defaultPass",loadFailureMode:"fatal",recordTrace:!1,useThrottling:!1,pauseAfterFcpMs:0,pauseAfterLoadMs:0,networkQuietThresholdMs:0,cpuQuietThresholdMs:0,blockedUrlPatterns:[],blankPage:"about:blank",gatherers:[]},defaultNavigationConfig:{id:"default",loadFailureMode:"fatal",
disableThrottling:!1,disableStorageReset:!1,pauseAfterFcpMs:0,pauseAfterLoadMs:0,networkQuietThresholdMs:0,cpuQuietThresholdMs:0,blockedUrlPatterns:[],blankPage:"about:blank",artifacts:[]},nonSimulatedPassConfigOverrides:{pauseAfterFcpMs:5250,pauseAfterLoadMs:5250,networkQuietThresholdMs:5250,cpuQuietThresholdMs:5250}};function wrapRuntimeEvalErrorInBrowser(e){return e&&"string"!=typeof e||(e=new Error(e)),{__failedInBrowser:!0,name:e.name||"Error",message:e.message||"unknown error",stack:e.stack}}function getElementsInDocument(e){const t=window.__ElementMatches||window.Element.prototype.matches,r=[],_findAllElements=a=>{for(let n,i=0;n=a[i];++i){if(!e||t.call(n,e)){const e=n;r.push(e)}n.shadowRoot&&_findAllElements(n.shadowRoot.querySelectorAll("*"))}};return _findAllElements(document.querySelectorAll("*")),r}function getOuterHTMLSnippet(e,t=[],r=500){const a=["autofill-information","autofill-prediction","title"];e instanceof ShadowRoot&&(e=e.host);try{const n=e.cloneNode()
;e.ownerDocument.createElement("template").content.append(n),t.concat(a).forEach((e=>{n.removeAttribute(e)}));let i=0;for(const t of n.getAttributeNames()){if(i>r){n.removeAttribute(t);continue}let a=n.getAttribute(t);if(null===a)continue;let o=!1;if("src"===t&&"currentSrc"in e){const t=e,r=t.currentSrc,n=t.ownerDocument.location.href;new URL(a,n).toString()!==r&&(a=r,o=!0)}if(a.length>75&&(a=a.slice(0,74)+"…",o=!0),o)if("style"===t){n.style.cssText=a}else n.setAttribute(t,a);i+=t.length+a.length}const o=/^[\s\S]*?>/,[s]=n.outerHTML.match(o)||[];return s&&i>r?s.slice(0,s.length-1)+" …>":s||""}catch(t){return`<${e.localName}>`}}function computeBenchmarkIndex(){return(function benchmarkIndexGC(){const e=Date.now();let t=0;for(;Date.now()-e<500;){let e="";for(let t=0;t<1e4;t++)e+="a";if(1===e.length)throw new Error("will never happen, but prevents compiler optimizations");t++}const r=(Date.now()-e)/1e3;return Math.round(t/10/r)}()+function benchmarkIndexNoGC(){const e=[],t=[]
;for(let r=0;r<1e5;r++)e[r]=t[r]=r;const r=Date.now();let a=0;for(;a%10!=0||Date.now()-r<500;){const r=a%2==0?e:t,n=a%2==0?t:e;for(let e=0;e<r.length;e++)n[e]=r[e];a++}const n=(Date.now()-r)/1e3;return Math.round(a/10/n)}())/2}function getNodePath(e){const isShadowRoot=e=>e.nodeType===Node.DOCUMENT_FRAGMENT_NODE,getNodeParent=e=>isShadowRoot(e)?e.host:e.parentNode;function getNodeIndex(e){if(isShadowRoot(e))return"a";let t,r=0;for(;t=e.previousSibling;)(e=t).nodeType===Node.TEXT_NODE&&0===(e.nodeValue||"").trim().length||r++;return r}let t=e;const r=[];for(;t&&getNodeParent(t);){const e=getNodeIndex(t);r.push([e,t.nodeName]),t=getNodeParent(t)}return r.reverse(),r.join(",")}function getNodeSelector(e){function getSelectorPart(e){let t=e.tagName.toLowerCase();return e.id?t+="#"+e.id:e.classList.length>0&&(t+="."+e.classList[0]),t}const t=[];for(;t.length<4&&(t.unshift(getSelectorPart(e)),e.parentElement)&&"HTML"!==(e=e.parentElement).tagName;);return t.join(" > ")}
function isPositionFixed(e){function getStyleAttrValue(e,t){return e.style[t]||window.getComputedStyle(e)[t]}const t=document.querySelector("html");if(!t)throw new Error("html element not found in document");if(t.scrollHeight<=t.clientHeight||!["scroll","auto","visible"].includes(getStyleAttrValue(t,"overflowY")))return!1;let r=e;for(;r;){const e=getStyleAttrValue(r,"position");if("fixed"===e||"sticky"===e)return!0;r=r.parentElement}return!1}function getNodeLabel(e){const t=e.tagName.toLowerCase();if("html"!==t&&"body"!==t){const t=e instanceof HTMLElement&&e.innerText||e.getAttribute("alt")||e.getAttribute("aria-label");if(t)return function truncate(e,t){return e.length<=t?e:Array.from(e).slice(0,t-1).join("")+"…"}(t,80);{const t=e.querySelector("[alt], [aria-label]");if(t)return getNodeLabel(t)}}return null}function getBoundingClientRect(e){const t=e.getBoundingClientRect();return{top:Math.round(t.top),bottom:Math.round(t.bottom),left:Math.round(t.left),right:Math.round(t.right),
width:Math.round(t.width),height:Math.round(t.height)}}function getNodeDetails(e){window.__lighthouseNodesDontTouchOrAllVarianceGoesAway||(window.__lighthouseNodesDontTouchOrAllVarianceGoesAway=new Map);const t=getNodeSelector(e=e instanceof ShadowRoot?e.host:e);let r=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.get(e);r||(r=[void 0!==window.__lighthouseExecutionContextId?window.__lighthouseExecutionContextId:"page",window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.size,e.tagName].join("-"),window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.set(e,r));return{lhId:r,devtoolsNodePath:getNodePath(e),selector:t,boundingRect:getBoundingClientRect(e),snippet:getOuterHTMLSnippet(e),nodeLabel:getNodeLabel(e)||t}}
const pn=`function getNodeDetails(element) {\n  ${getNodePath.toString()};\n  ${getNodeSelector.toString()};\n  ${getBoundingClientRect.toString()};\n  ${getOuterHTMLSnippet.toString()};\n  ${getNodeLabel.toString()};\n  return (${getNodeDetails.toString()})(element);\n}`;var hn={wrapRuntimeEvalErrorInBrowserString:wrapRuntimeEvalErrorInBrowser.toString(),wrapRuntimeEvalErrorInBrowser,getElementsInDocument,getElementsInDocumentString:getElementsInDocument.toString(),getOuterHTMLSnippetString:getOuterHTMLSnippet.toString(),getOuterHTMLSnippet,computeBenchmarkIndex,computeBenchmarkIndexString:computeBenchmarkIndex.toString(),getMaxTextureSize:function getMaxTextureSize(){try{const e=document.createElement("canvas").getContext("webgl");if(!e)throw new Error("no webgl");return e.getParameter(e.MAX_TEXTURE_SIZE)}catch(e){return 4095}},getNodeDetailsString:pn,getNodeDetails,getNodePathString:getNodePath.toString(),getNodeSelectorString:getNodeSelector.toString(),getNodePath,getNodeSelector,
getNodeLabel,getNodeLabelString:getNodeLabel.toString(),isPositionFixedString:isPositionFixed.toString(),wrapRequestIdleCallback:function wrapRequestIdleCallback(e){const t=Math.floor(40/e),r=window.requestIdleCallback;window.requestIdleCallback=(e,a)=>r((r=>{const a=Date.now();r.__timeRemaining=r.timeRemaining,r.timeRemaining=()=>{const e=r.__timeRemaining();return Math.min(e,Math.max(0,t-(Date.now()-a)))},r.timeRemaining.toString=()=>"function timeRemaining() { [native code] }",e(r)}),a),window.requestIdleCallback.toString=()=>"function requestIdleCallback() { [native code] }"},getBoundingClientRectString:getBoundingClientRect.toString()};function normalizeArray(e,t){for(var r=0,a=e.length-1;a>=0;a--){var n=e[a];"."===n?e.splice(a,1):".."===n?(e.splice(a,1),r++):r&&(e.splice(a,1),r--)}if(t)for(;r--;r)e.unshift("..");return e}var gn=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/,splitPath=function(e){return gn.exec(e).slice(1)};function resolve(){
for(var e="",t=!1,r=arguments.length-1;r>=-1&&!t;r--){var a=r>=0?arguments[r]:"/";if("string"!=typeof a)throw new TypeError("Arguments to path.resolve must be strings");a&&(e=a+"/"+e,t="/"===a.charAt(0))}return(t?"/":"")+(e=normalizeArray(filter(e.split("/"),(function(e){return!!e})),!t).join("/"))||"."}function normalize(e){var t=isAbsolute(e),r="/"===vn(e,-1);return(e=normalizeArray(filter(e.split("/"),(function(e){return!!e})),!t).join("/"))||t||(e="."),e&&r&&(e+="/"),(t?"/":"")+e}function isAbsolute(e){return"/"===e.charAt(0)}function join(){var e=Array.prototype.slice.call(arguments,0);return normalize(filter(e,(function(e,t){if("string"!=typeof e)throw new TypeError("Arguments to path.join must be strings");return e})).join("/"))}function relative(e,t){function trim(e){for(var t=0;t<e.length&&""===e[t];t++);for(var r=e.length-1;r>=0&&""===e[r];r--);return t>r?[]:e.slice(t,r-t+1)}e=resolve(e).substr(1),t=resolve(t).substr(1)
;for(var r=trim(e.split("/")),a=trim(t.split("/")),n=Math.min(r.length,a.length),i=n,o=0;o<n;o++)if(r[o]!==a[o]){i=o;break}var s=[];for(o=i;o<r.length;o++)s.push("..");return(s=s.concat(a.slice(i))).join("/")}function dirname(e){var t=splitPath(e),r=t[0],a=t[1];return r||a?(a&&(a=a.substr(0,a.length-1)),r+a):"."}function basename(e,t){var r=splitPath(e)[2];return t&&r.substr(-1*t.length)===t&&(r=r.substr(0,r.length-t.length)),r}function extname(e){return splitPath(e)[3]}var fn={extname,basename,dirname,sep:"/",delimiter:":",relative,join,isAbsolute,normalize,resolve};function filter(e,t){if(e.filter)return e.filter(t);for(var r=[],a=0;a<e.length;a++)t(e[a],a,e)&&r.push(e[a]);return r}var yn,vn="b"==="ab".substr(-1)?function(e,t,r){return e.substr(t,r)}:function(e,t,r){return t<0&&(t=e.length+t),e.substr(t,r)},bn=getAugmentedNamespace(Object.freeze({__proto__:null,resolve,normalize,isAbsolute,join,relative,sep:"/",delimiter:":",dirname,basename,extname,default:fn
})),wn=getAugmentedNamespace(Object.freeze({__proto__:null,default:{}})),Sn=function(){function peg$SyntaxError(e,t,r,a){this.message=e,this.expected=t,this.found=r,this.location=a,this.name="SyntaxError","function"==typeof Error.captureStackTrace&&Error.captureStackTrace(this,peg$SyntaxError)}return function peg$subclass(e,t){function ctor(){this.constructor=e}ctor.prototype=t.prototype,e.prototype=new ctor}(peg$SyntaxError,Error),peg$SyntaxError.buildMessage=function(e,t){var r={literal:function(e){return'"'+literalEscape(e.text)+'"'},class:function(e){var t,r="";for(t=0;t<e.parts.length;t++)r+=e.parts[t]instanceof Array?classEscape(e.parts[t][0])+"-"+classEscape(e.parts[t][1]):classEscape(e.parts[t]);return"["+(e.inverted?"^":"")+r+"]"},any:function(e){return"any character"},end:function(e){return"end of input"},other:function(e){return e.description}};function hex(e){return e.charCodeAt(0).toString(16).toUpperCase()}function literalEscape(e){
return e.replace(/\\/g,"\\\\").replace(/"/g,'\\"').replace(/\0/g,"\\0").replace(/\t/g,"\\t").replace(/\n/g,"\\n").replace(/\r/g,"\\r").replace(/[\x00-\x0F]/g,(function(e){return"\\x0"+hex(e)})).replace(/[\x10-\x1F\x7F-\x9F]/g,(function(e){return"\\x"+hex(e)}))}function classEscape(e){return e.replace(/\\/g,"\\\\").replace(/\]/g,"\\]").replace(/\^/g,"\\^").replace(/-/g,"\\-").replace(/\0/g,"\\0").replace(/\t/g,"\\t").replace(/\n/g,"\\n").replace(/\r/g,"\\r").replace(/[\x00-\x0F]/g,(function(e){return"\\x0"+hex(e)})).replace(/[\x10-\x1F\x7F-\x9F]/g,(function(e){return"\\x"+hex(e)}))}return"Expected "+function describeExpected(e){var t,a,n,i=new Array(e.length);for(t=0;t<e.length;t++)i[t]=(n=e[t],r[n.type](n));if(i.sort(),i.length>0){for(t=1,a=1;t<i.length;t++)i[t-1]!==i[t]&&(i[a]=i[t],a++);i.length=a}switch(i.length){case 1:return i[0];case 2:return i[0]+" or "+i[1];default:return i.slice(0,-1).join(", ")+", or "+i[i.length-1]}}(e)+" but "+function describeFound(e){
return e?'"'+literalEscape(e)+'"':"end of input"}(t)+" found."},{SyntaxError:peg$SyntaxError,parse:function peg$parse(e,t){t=void 0!==t?t:{};var r,a={},n={start:peg$parsestart},i=peg$parsestart,peg$c3=function(e){return e.join("")
},o=peg$literalExpectation("{",!1),s=",",c=peg$literalExpectation(",",!1),l=peg$literalExpectation("}",!1),u="number",d=peg$literalExpectation("number",!1),m="date",p=peg$literalExpectation("date",!1),h="time",f=peg$literalExpectation("time",!1),y="plural",v=peg$literalExpectation("plural",!1),b="selectordinal",w=peg$literalExpectation("selectordinal",!1),S="select",T=peg$literalExpectation("select",!1),E=peg$literalExpectation("=",!1),x="offset:",_=peg$literalExpectation("offset:",!1),A=peg$otherExpectation("whitespace"),R=/^[ \t\n\r]/,k=peg$classExpectation([" ","\t","\n","\r"],!1,!1),D=peg$otherExpectation("optionalWhitespace"),C=/^[0-9]/,I=peg$classExpectation([["0","9"]],!1,!1),N=/^[0-9a-f]/i,L=peg$classExpectation([["0","9"],["a","f"]],!1,!0),M=peg$literalExpectation("0",!1),P=/^[1-9]/,O=peg$classExpectation([["1","9"]],!1,!1),F="'",U=peg$literalExpectation("'",!1),j=/^[ \t\n\r,.+={}#]/,B=peg$classExpectation([" ","\t","\n","\r",",",".","+","=","{","}","#"],!1,!1),$={type:"any"
},q=/^[^{}\\\0-\x1F\x7F \t\n\r]/,z=peg$classExpectation(["{","}","\\",["\0",""],""," ","\t","\n","\r"],!0,!1),V=peg$literalExpectation("\\\\",!1),W=peg$literalExpectation("\\#",!1),G=peg$literalExpectation("\\{",!1),H=peg$literalExpectation("\\}",!1),Y=peg$literalExpectation("\\u",!1),K=0,J=0,X=[{line:1,column:1}],Z=0,Q=[],ee=0;if("startRule"in t){if(!(t.startRule in n))throw new Error("Can't start parsing from rule \""+t.startRule+'".');i=n[t.startRule]}function location(){return peg$computeLocation(J,K)}function peg$literalExpectation(e,t){return{type:"literal",text:e,ignoreCase:t}}function peg$classExpectation(e,t,r){return{type:"class",parts:e,inverted:t,ignoreCase:r}}function peg$otherExpectation(e){return{type:"other",description:e}}function peg$computePosDetails(t){var r,a=X[t];if(a)return a;for(r=t-1;!X[r];)r--;for(a={line:(a=X[r]).line,column:a.column};r<t;)10===e.charCodeAt(r)?(a.line++,a.column=1):a.column++,r++;return X[t]=a,a}function peg$computeLocation(e,t){
var r=peg$computePosDetails(e),a=peg$computePosDetails(t);return{start:{offset:e,line:r.line,column:r.column},end:{offset:t,line:a.line,column:a.column}}}function peg$fail(e){K<Z||(K>Z&&(Z=K,Q=[]),Q.push(e))}function peg$parsestart(){return peg$parsemessageFormatPattern()}function peg$parsemessageFormatPattern(){var e,t,r;for(e=K,t=[],r=peg$parsemessageFormatElement();r!==a;)t.push(r),r=peg$parsemessageFormatElement();return t!==a&&(J=e,t={type:"messageFormatPattern",elements:t,location:location()}),e=t}function peg$parsemessageFormatElement(){var t;return(t=function peg$parsemessageTextElement(){var t,r;t=K,(r=function peg$parsemessageText(){var t,r,n,i,o,s;t=K,r=[],n=K,(i=peg$parse_())!==a&&(o=peg$parsechars())!==a&&(s=peg$parse_())!==a?n=i=[i,o,s]:(K=n,n=a);if(n!==a)for(;n!==a;)r.push(n),n=K,(i=peg$parse_())!==a&&(o=peg$parsechars())!==a&&(s=peg$parse_())!==a?n=i=[i,o,s]:(K=n,n=a);else r=a;r!==a&&(J=t,r=r.reduce((function(e,t){return e.concat(t)}),[]).join(""));(t=r)===a&&(t=K,
t=(r=peg$parsews())!==a?e.substring(t,K):r);return t}())!==a&&(J=t,r={type:"messageTextElement",value:r,location:location()});return t=r}())===a&&(t=function peg$parseargumentElement(){var t,r,n,i,E,x,_;t=K,123===e.charCodeAt(K)?(r="{",K++):(r=a,0===ee&&peg$fail(o));r!==a&&peg$parse_()!==a&&(n=function peg$parseargument(){var e,t,r;if((e=peg$parsenumber())===a){for(e=K,t=[],r=peg$parsequoteEscapedChar();r!==a;)t.push(r),r=peg$parsequoteEscapedChar();t!==a&&(J=e,t=peg$c3(t)),e=t}return e}())!==a&&peg$parse_()!==a?(i=K,44===e.charCodeAt(K)?(E=s,K++):(E=a,0===ee&&peg$fail(c)),E!==a&&(x=peg$parse_())!==a&&(_=function peg$parseelementFormat(){var t;(t=function peg$parsesimpleFormat(){var t,r,n,i,o,l;t=K,e.substr(K,6)===u?(r=u,K+=6):(r=a,0===ee&&peg$fail(d));r===a&&(e.substr(K,4)===m?(r=m,K+=4):(r=a,0===ee&&peg$fail(p)),r===a&&(e.substr(K,4)===h?(r=h,K+=4):(r=a,0===ee&&peg$fail(f))));r!==a&&peg$parse_()!==a?(n=K,44===e.charCodeAt(K)?(i=s,K++):(i=a,0===ee&&peg$fail(c)),
i!==a&&(o=peg$parse_())!==a&&(l=peg$parsechars())!==a?n=i=[i,o,l]:(K=n,n=a),n===a&&(n=null),n!==a?(J=t,t=r={type:r+"Format",style:(y=n)&&y[2],location:location()}):(K=t,t=a)):(K=t,t=a);var y;return t}())===a&&(t=function peg$parsepluralFormat(){var t,r,n,i;t=K,e.substr(K,6)===y?(r=y,K+=6):(r=a,0===ee&&peg$fail(v));r!==a&&peg$parse_()!==a?(44===e.charCodeAt(K)?(n=s,K++):(n=a,0===ee&&peg$fail(c)),n!==a&&peg$parse_()!==a&&(i=peg$parsepluralStyle())!==a?(J=t,t=r={type:(o=i).type,ordinal:!1,offset:o.offset||0,options:o.options,location:location()}):(K=t,t=a)):(K=t,t=a);var o;return t}())===a&&(t=function peg$parseselectOrdinalFormat(){var t,r,n,i;t=K,e.substr(K,13)===b?(r=b,K+=13):(r=a,0===ee&&peg$fail(w));r!==a&&peg$parse_()!==a?(44===e.charCodeAt(K)?(n=s,K++):(n=a,0===ee&&peg$fail(c)),n!==a&&peg$parse_()!==a&&(i=peg$parsepluralStyle())!==a?(J=t,t=r={type:(o=i).type,ordinal:!0,offset:o.offset||0,options:o.options,location:location()}):(K=t,t=a)):(K=t,t=a);var o;return t
}())===a&&(t=function peg$parseselectFormat(){var t,r,n,i,o;t=K,e.substr(K,6)===S?(r=S,K+=6):(r=a,0===ee&&peg$fail(T));if(r!==a)if(peg$parse_()!==a)if(44===e.charCodeAt(K)?(n=s,K++):(n=a,0===ee&&peg$fail(c)),n!==a)if(peg$parse_()!==a){if(i=[],(o=peg$parseoptionalFormatPattern())!==a)for(;o!==a;)i.push(o),o=peg$parseoptionalFormatPattern();else i=a;i!==a?(J=t,t=r=function(e){return{type:"selectFormat",options:e,location:location()}}(i)):(K=t,t=a)}else K=t,t=a;else K=t,t=a;else K=t,t=a;else K=t,t=a;return t}());return t}())!==a?i=E=[E,x,_]:(K=i,i=a),i===a&&(i=null),i!==a&&(E=peg$parse_())!==a?(125===e.charCodeAt(K)?(x="}",K++):(x=a,0===ee&&peg$fail(l)),x!==a?(J=t,t=r=function(e,t){return{type:"argumentElement",id:e,format:t&&t[2],location:location()}}(n,i)):(K=t,t=a)):(K=t,t=a)):(K=t,t=a);return t}()),t}function peg$parseoptionalFormatPattern(){var t,r,n,i,s;return t=K,peg$parse_()!==a&&(r=function peg$parseselector(){var t,r,n,i;return t=K,r=K,61===e.charCodeAt(K)?(n="=",K++):(n=a,
0===ee&&peg$fail(E)),n!==a&&(i=peg$parsenumber())!==a?r=n=[n,i]:(K=r,r=a),(t=r!==a?e.substring(t,K):r)===a&&(t=peg$parsechars()),t}())!==a&&peg$parse_()!==a?(123===e.charCodeAt(K)?(n="{",K++):(n=a,0===ee&&peg$fail(o)),n!==a&&(i=peg$parsemessageFormatPattern())!==a?(125===e.charCodeAt(K)?(s="}",K++):(s=a,0===ee&&peg$fail(l)),s!==a?(J=t,t={type:"optionalFormatPattern",selector:r,value:i,location:location()}):(K=t,t=a)):(K=t,t=a)):(K=t,t=a),t}function peg$parsepluralStyle(){var t,r,n,i;if(t=K,(r=function peg$parseoffset(){var t,r,n;return t=K,e.substr(K,7)===x?(r=x,K+=7):(r=a,0===ee&&peg$fail(_)),r!==a&&peg$parse_()!==a&&(n=peg$parsenumber())!==a?(J=t,t=r=n):(K=t,t=a),t}())===a&&(r=null),r!==a)if(peg$parse_()!==a){if(n=[],(i=peg$parseoptionalFormatPattern())!==a)for(;i!==a;)n.push(i),i=peg$parseoptionalFormatPattern();else n=a;n!==a?(J=t,t=r=function(e,t){return{type:"pluralFormat",offset:e,options:t,location:location()}}(r,n)):(K=t,t=a)}else K=t,t=a;else K=t,t=a;return t}
function peg$parsews(){var t,r;if(ee++,t=[],R.test(e.charAt(K))?(r=e.charAt(K),K++):(r=a,0===ee&&peg$fail(k)),r!==a)for(;r!==a;)t.push(r),R.test(e.charAt(K))?(r=e.charAt(K),K++):(r=a,0===ee&&peg$fail(k));else t=a;return ee--,t===a&&(r=a,0===ee&&peg$fail(A)),t}function peg$parse_(){var t,r,n;for(ee++,t=K,r=[],n=peg$parsews();n!==a;)r.push(n),n=peg$parsews();return t=r!==a?e.substring(t,K):r,ee--,t===a&&(r=a,0===ee&&peg$fail(D)),t}function peg$parsedigit(){var t;return C.test(e.charAt(K))?(t=e.charAt(K),K++):(t=a,0===ee&&peg$fail(I)),t}function peg$parsehexDigit(){var t;return N.test(e.charAt(K))?(t=e.charAt(K),K++):(t=a,0===ee&&peg$fail(L)),t}function peg$parsenumber(){var t,r,n,i,o,s;if(t=K,48===e.charCodeAt(K)?(r="0",K++):(r=a,0===ee&&peg$fail(M)),r===a){if(r=K,n=K,P.test(e.charAt(K))?(i=e.charAt(K),K++):(i=a,0===ee&&peg$fail(O)),i!==a){for(o=[],s=peg$parsedigit();s!==a;)o.push(s),s=peg$parsedigit();o!==a?n=i=[i,o]:(K=n,n=a)}else K=n,n=a;r=n!==a?e.substring(r,K):n}return r!==a&&(J=t,
r=parseInt(r,10)),t=r}function peg$parsequoteEscapedChar(){var t,r,n;return t=K,r=K,ee++,39===e.charCodeAt(K)?(n=F,K++):(n=a,0===ee&&peg$fail(U)),n===a&&(j.test(e.charAt(K))?(n=e.charAt(K),K++):(n=a,0===ee&&peg$fail(B))),ee--,n===a?r=void 0:(K=r,r=a),r!==a?(e.length>K?(n=e.charAt(K),K++):(n=a,0===ee&&peg$fail($)),n!==a?(J=t,t=r=n):(K=t,t=a)):(K=t,t=a),t===a&&(t=K,39===e.charCodeAt(K)?(r=F,K++):(r=a,0===ee&&peg$fail(U)),r!==a&&(n=function peg$parseescape(){var t;j.test(e.charAt(K))?(t=e.charAt(K),K++):(t=a,0===ee&&peg$fail(B));t===a&&(t=peg$parseapostrophe());return t}())!==a?(J=t,t=r=n):(K=t,t=a)),t}function peg$parseapostrophe(){var t;return 39===e.charCodeAt(K)?(t=F,K++):(t=a,0===ee&&peg$fail(U)),t}function peg$parsechar(){var t,r,n,i,o,s,c,l,u;return t=K,39===e.charCodeAt(K)?(r=F,K++):(r=a,0===ee&&peg$fail(U)),r!==a&&(n=peg$parseapostrophe())!==a?(J=t,t=r=n):(K=t,t=a),t===a&&(q.test(e.charAt(K))?(t=e.charAt(K),K++):(t=a,0===ee&&peg$fail(z)),t===a&&(t=K,
"\\\\"===e.substr(K,2)?(r="\\\\",K+=2):(r=a,0===ee&&peg$fail(V)),r!==a&&(J=t,r="\\"),(t=r)===a&&(t=K,"\\#"===e.substr(K,2)?(r="\\#",K+=2):(r=a,0===ee&&peg$fail(W)),r!==a&&(J=t,r="\\#"),(t=r)===a&&(t=K,"\\{"===e.substr(K,2)?(r="\\{",K+=2):(r=a,0===ee&&peg$fail(G)),r!==a&&(J=t,r="{"),(t=r)===a&&(t=K,"\\}"===e.substr(K,2)?(r="\\}",K+=2):(r=a,0===ee&&peg$fail(H)),r!==a&&(J=t,r="}"),(t=r)===a&&(t=K,"\\u"===e.substr(K,2)?(r="\\u",K+=2):(r=a,0===ee&&peg$fail(Y)),r!==a?(n=K,i=K,(o=peg$parsehexDigit())!==a&&(s=peg$parsehexDigit())!==a&&(c=peg$parsehexDigit())!==a&&(l=peg$parsehexDigit())!==a?i=o=[o,s,c,l]:(K=i,i=a),(n=i!==a?e.substring(n,K):i)!==a?(J=t,u=n,t=r=String.fromCharCode(parseInt(u,16))):(K=t,t=a)):(K=t,t=a))))))),t}function peg$parsechars(){var e,t,r;if(e=K,t=[],(r=peg$parsechar())!==a)for(;r!==a;)t.push(r),r=peg$parsechar();else t=a;return t!==a&&(J=e,t=peg$c3(t)),e=t}if((r=i())!==a&&K===e.length)return r;throw r!==a&&K<e.length&&peg$fail({type:"end"}),
function peg$buildStructuredError(e,t,r){return new peg$SyntaxError(peg$SyntaxError.buildMessage(e,t),e,t,r)}(Q,Z<e.length?e.charAt(Z):null,Z<e.length?peg$computeLocation(Z,Z+1):peg$computeLocation(Z,Z))}}}(),Tn=globalThis&&globalThis.__extends||(yn=function(e,t){return(yn=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r])})(e,t)},function(e,t){function __(){this.constructor=e}yn(e,t),e.prototype=null===t?Object.create(t):(__.prototype=t.prototype,new __)}),En=function(){function Compiler(e,t,r){this.locales=[],this.formats={number:{},date:{},time:{}},this.pluralNumberFormat=null,this.currentPlural=null,this.pluralStack=[],this.locales=e,this.formats=t,this.formatters=r}return Compiler.prototype.compile=function(e){return this.pluralStack=[],this.currentPlural=null,this.pluralNumberFormat=null,this.compileMessage(e)},Compiler.prototype.compileMessage=function(e){var t=this
;if(!e||"messageFormatPattern"!==e.type)throw new Error('Message AST is not of type: "messageFormatPattern"');var r=e.elements,a=r.filter((function(e){return"messageTextElement"===e.type||"argumentElement"===e.type})).map((function(e){return"messageTextElement"===e.type?t.compileMessageText(e):t.compileArgument(e)}));if(a.length!==r.length)throw new Error("Message element does not have a valid type");return a},Compiler.prototype.compileMessageText=function(e){return this.currentPlural&&/(^|[^\\])#/g.test(e.value)?(this.pluralNumberFormat||(this.pluralNumberFormat=new Intl.NumberFormat(this.locales)),new Rn(this.currentPlural.id,this.currentPlural.format.offset,this.pluralNumberFormat,e.value)):e.value.replace(/\\#/g,"#")},Compiler.prototype.compileArgument=function(e){var t=e.format,r=e.id,a=this.formatters;if(!t)return new _n(r);var n=this.formats,i=this.locales;switch(t.type){case"numberFormat":return{id:r,format:a.getNumberFormat(i,n.number[t.style]).format};case"dateFormat":return{
id:r,format:a.getDateTimeFormat(i,n.date[t.style]).format};case"timeFormat":return{id:r,format:a.getDateTimeFormat(i,n.time[t.style]).format};case"pluralFormat":return new An(r,t.offset,this.compileOptions(e),a.getPluralRules(i,{type:t.ordinal?"ordinal":"cardinal"}));case"selectFormat":return new kn(r,this.compileOptions(e));default:throw new Error("Message element does not have a valid format type")}},Compiler.prototype.compileOptions=function(e){var t=this,r=e.format,a=r.options;this.pluralStack.push(this.currentPlural),this.currentPlural="pluralFormat"===r.type?e:null;var n=a.reduce((function(e,r){return e[r.selector]=t.compileMessage(r.value),e}),{});return this.currentPlural=this.pluralStack.pop(),n},Compiler}(),xn=function xn(e){this.id=e},_n=function(e){function StringFormat(){return null!==e&&e.apply(this,arguments)||this}return Tn(StringFormat,e),StringFormat.prototype.format=function(e){return e||"number"==typeof e?"string"==typeof e?e:String(e):""},StringFormat
}(xn),An=function(){function PluralFormat(e,t,r,a){this.id=e,this.offset=t,this.options=r,this.pluralRules=a}return PluralFormat.prototype.getOption=function(e){var t=this.options;return t["="+e]||t[this.pluralRules.select(e-this.offset)]||t.other},PluralFormat}(),Rn=function(e){function PluralOffsetString(t,r,a,n){var i=e.call(this,t)||this;return i.offset=r,i.numberFormat=a,i.string=n,i}return Tn(PluralOffsetString,e),PluralOffsetString.prototype.format=function(e){var t=this.numberFormat.format(e-this.offset);return this.string.replace(/(^|[^\\])#/g,"$1"+t).replace(/\\#/g,"#")},PluralOffsetString}(xn),kn=function(){function SelectFormat(e,t){this.id=e,this.options=t}return SelectFormat.prototype.getOption=function(e){var t=this.options;return t[e]||t.other},SelectFormat}();var Dn=globalThis&&globalThis.__extends||function(){var extendStatics=function(e,t){return(extendStatics=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){
for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r])})(e,t)};return function(e,t){function __(){this.constructor=e}extendStatics(e,t),e.prototype=null===t?Object.create(t):(__.prototype=t.prototype,new __)}}(),Cn=globalThis&&globalThis.__assign||function(){return(Cn=Object.assign||function(e){for(var t,r=1,a=arguments.length;r<a;r++)for(var n in t=arguments[r])Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n]);return e}).apply(this,arguments)};function resolveLocale(e){"string"==typeof e&&(e=[e]);try{return Intl.NumberFormat.supportedLocalesOf(e,{localeMatcher:"best fit"})[0]}catch(e){return Nn.defaultLocale}}function formatPatterns(e,t){for(var r="",a=0,n=e;a<n.length;a++){var i=n[a];if("string"!=typeof i){var o=i.id;if(!t||!(o in t))throw new In("A value must be provided for: "+o,o);var s=t[o];i.options?r+=formatPatterns(i.getOption(s),t):r+=i.format(s)}else r+=i}return r}function mergeConfigs(e,t){return t?Object.keys(e).reduce((function(r,a){return r[a]=function mergeConfig(e,t){
return t?Cn({},e||{},t||{},Object.keys(e).reduce((function(r,a){return r[a]=Cn({},e[a],t[a]||{}),r}),{})):e}(e[a],t[a]),r}),Cn({},e)):e}var In=function(e){function FormatError(t,r){var a=e.call(this,t)||this;return a.variableId=r,a}return Dn(FormatError,e),FormatError}(Error);function createDefaultFormatters(){return{getNumberFormat:function(){for(var e,t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];return new((e=Intl.NumberFormat).bind.apply(e,[void 0].concat(t)))},getDateTimeFormat:function(){for(var e,t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];return new((e=Intl.DateTimeFormat).bind.apply(e,[void 0].concat(t)))},getPluralRules:function(){for(var e,t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];return new((e=Intl.PluralRules).bind.apply(e,[void 0].concat(t)))}}}var Nn=function(){function IntlMessageFormat(e,t,r,a){var n=this;if(void 0===t&&(t=IntlMessageFormat.defaultLocale),this.format=function(e){try{return formatPatterns(n.pattern,e)}catch(e){
throw e.variableId?new Error("The intl string context variable '"+e.variableId+"' was not provided to the string '"+n.message+"'"):e}},"string"==typeof e){if(!IntlMessageFormat.__parse)throw new TypeError("IntlMessageFormat.__parse must be set to process `message` of type `string`");this.ast=IntlMessageFormat.__parse(e)}else this.ast=e;if(this.message=e,!this.ast||"messageFormatPattern"!==this.ast.type)throw new TypeError("A message must be provided as a String or AST.");var i=mergeConfigs(IntlMessageFormat.formats,r);this.locale=resolveLocale(t||[]);var o=a&&a.formatters||createDefaultFormatters();this.pattern=new En(t,i,o).compile(this.ast)}return IntlMessageFormat.prototype.resolvedOptions=function(){return{locale:this.locale}},IntlMessageFormat.prototype.getAst=function(){return this.ast},IntlMessageFormat.defaultLocale="en",IntlMessageFormat.__parse=void 0,IntlMessageFormat.formats={number:{currency:{style:"currency"},percent:{style:"percent"}},date:{short:{month:"numeric",
day:"numeric",year:"2-digit"},medium:{month:"short",day:"numeric",year:"numeric"},long:{month:"long",day:"numeric",year:"numeric"},full:{weekday:"long",month:"long",day:"numeric",year:"numeric"}},time:{short:{hour:"numeric",minute:"numeric"},medium:{hour:"numeric",minute:"numeric",second:"numeric"},long:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"},full:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"}}},IntlMessageFormat}();Nn.__parse=Sn.parse;var Ln=getAugmentedNamespace(Object.freeze({__proto__:null,default:Nn,createDefaultFormatters,IntlMessageFormat:Nn}));var Mn={isObjectOfUnknownValues:function isObjectOfUnknownValues$1(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)},isObjectOrArrayOfUnknownValues:function isObjectOrArrayOfUnknownValues$1(e){return"object"==typeof e&&null!==e}},Pn=getAugmentedNamespace(Object.freeze({__proto__:null,default:{}}))
;const On=Ln,{isObjectOfUnknownValues:Fn,isObjectOrArrayOfUnknownValues:Un}=Mn,jn=Pn.default||Pn,Bn="en-US",$n=["ar-XB.json","ar.json","bg.json","ca.json","cs.json","da.json","de.json","el.json","en-GB.json","en-US.json","en-XA.json","en-XL.json","es-419.json","es.json","fi.json","fil.json","fr.json","he.json","hi.json","hr.json","hu.json","id.json","it.json","ja.json","ko.json","lt.json","lv.json","nl.json","no.json","pl.json","pt-PT.json","pt.json","ro.json","ru.json","sk.json","sl.json","sr-Latn.json","sr.json","sv.json","ta.json","te.json","th.json","tr.json","uk.json","vi.json","zh-HK.json","zh-TW.json","zh.json"].filter((e=>e.endsWith(".json")&&!e.endsWith(".ctc.json"))).map((e=>e.replace(".json",""))).sort(),qn=/ | [^\s]+$/,zn={number:{bytes:{maximumFractionDigits:0},milliseconds:{maximumFractionDigits:0},seconds:{minimumFractionDigits:1,maximumFractionDigits:1},extendedPercent:{maximumFractionDigits:2,style:"percent"}}};function collectAllCustomElementsFromICU(e,t=new Map){
for(const r of e)if("argumentElement"===r.type&&(t.set(r.id,r),r.format&&"pluralFormat"===r.format.type))for(const e of r.format.options)collectAllCustomElementsFromICU(e.value.elements,t);return t}function formatMessage$1(e,t={},r){const a="en-XA"===r||"en-XL"===r?"de-DE":r,n=new(On.IntlMessageFormat||On)(e,a,zn),i=function _preformatValues(e,t,r){const a=[...collectAllCustomElementsFromICU(e.getAst().elements).values()],n={};for(const{id:e,format:i}of a){if(e&&e in t==0)throw new Error(`ICU Message "${r}" contains a value reference ("${e}") that wasn't provided`);const a=t[e];if(i&&"numberFormat"===i.type){if("number"!=typeof a)throw new Error(`ICU Message "${r}" contains a numeric reference ("${e}") but provided value was not a number`);"milliseconds"===i.style?n[e]=10*Math.round(a/10):"seconds"===i.style&&"timeInMs"===e?n[e]=Math.round(a/100)/10:"bytes"===i.style?n[e]=a/1024:n[e]=a}else n[e]=a}for(const e of Object.keys(t))if(!(e in n)){
if("errorCode"!==e)throw new Error(`Provided value "${e}" does not match any placeholder in ICU message "${r}"`);n.errorCode=t.errorCode}return n}(n,t,e);return n.format(i)}function isIcuMessage$2(e){if(!Fn(e))return!1;const{i18nId:t,values:r,formattedDefault:a}=e;if("string"!=typeof t)return!1;if("string"!=typeof a)return!1;if(void 0!==r){if(!Fn(r))return!1;for(const e of Object.values(r))if("string"!=typeof e&&"number"!=typeof e)return!1}return qn.test(t)}function getFormatted(e,t){if(isIcuMessage$2(e))return function _localizeIcuMessage(e,t){const r=_getLocaleMessages(t)[e.i18nId];return r?formatMessage$1(r.message,e.values,t):e.formattedDefault}(e,t);if("string"==typeof e)return e;throw new Error("Attempted to format invalid icuMessage type")}function _formatPathAsString(e){let t="";for(const r of e)if(/^[a-z]+$/i.test(r))t.length&&(t+="."),t+=r;else{if(/]|"|'|\s/.test(r))throw new Error(`Cannot handle "${r}" in i18n`);t+=`[${r}]`}return t}function _getLocaleMessages(e){
const t=jn[e];if(!t){if(e===Bn)return{};throw new Error(`Unsupported locale '${e}'`)}return t}function getIcuMessageIdParts(e){if(!qn.test(e))throw Error(`"${e}" does not appear to be a valid ICU message id`);const[t,r]=e.split(" | ");return{filename:t,key:r}}var Vn={DEFAULT_LOCALE:Bn,_formatPathAsString,collectAllCustomElementsFromICU,isIcuMessage:isIcuMessage$2,getFormatted,getRendererFormattedStrings:function getRendererFormattedStrings(e){const t=_getLocaleMessages(e),r=Object.keys(t).filter((e=>e.startsWith("report/"))),a={};for(const e of r){const{filename:r,key:n}=getIcuMessageIdParts(e);if(!r.endsWith("util.js"))throw new Error(`Unexpected message: ${e}`);a[n]=t[e].message}return a},replaceIcuMessages:function replaceIcuMessages(e,t){const r={};return function replaceInObject(e,r,a=[]){if(Un(e))for(const[n,i]of Object.entries(e)){const o=a.concat([n]);if(isIcuMessage$2(i)){const a=getFormatted(i,t),s=r[i.i18nId]||[],c=_formatPathAsString(o);s.push(i.values?{values:i.values,
path:c}:c),e[n]=a,r[i.i18nId]=s}else replaceInObject(i,r,o)}}(e,r),r},hasLocale:function hasLocale(e){if(e===Bn)return!0;const t=Intl.NumberFormat.supportedLocalesOf([e]).length>0,r=Boolean(jn[e]);return t&&r},registerLocaleData:function registerLocaleData(e,t){jn[e]=t},formatMessage:formatMessage$1,getIcuMessageIdParts,getAvailableLocales:function getAvailableLocales$1(){return[...new Set([...Object.keys(jn),Bn])].sort()},getCanonicalLocales:function getCanonicalLocales(){return $n}};const Wn=globalThis.URL;var Gn=getAugmentedNamespace(Object.freeze({__proto__:null,URL:Wn}));const Hn=wn,Yn=bn,Kn=Gn;var Jn={LH_ROOT:"",readJson(e,t){const r=t?Yn.dirname(Kn.fileURLToPath(t.url)):"";return e=Yn.resolve(r,e),JSON.parse(Hn.readFileSync(e,"utf-8"))}};const Xn=bn,Zn=function lookupClosestLocale(e,t){if("string"==typeof e&&t[e])return e;for(var r=[].concat(e||[]),a=0,n=r.length;a<n;++a)for(var i=r[a].split("-");i.length;){var o=i.join("-");if(t[o])return o;i.pop()}
},{getAvailableLocales:Qn}=Vn,ei=on.default,{LH_ROOT:ti}=Jn,{isIcuMessage:ri,formatMessage:ai,DEFAULT_LOCALE:ni}=Vn,ii={ms:"{timeInMs, number, milliseconds} ms",seconds:"{timeInMs, number, seconds} s",displayValueByteSavings:"Potential savings of {wastedBytes, number, bytes} KiB",displayValueMsSavings:"Potential savings of {wastedMs, number, milliseconds} ms",displayValueElementsFound:"{nodeCount, plural, =1 {1 element found} other {# elements found}}",columnURL:"URL",columnSize:"Size",columnResourceSize:"Resource Size",columnTransferSize:"Transfer Size",columnCacheTTL:"Cache TTL",columnWastedBytes:"Potential Savings",columnWastedMs:"Potential Savings",columnBlockingTime:"Main-Thread Blocking Time",columnTimeSpent:"Time Spent",columnLocation:"Location",columnResourceType:"Resource Type",columnRequests:"Requests",columnName:"Name",columnSource:"Source",columnOverBudget:"Over Budget",columnElement:"Element",columnStartTime:"Start Time",columnDuration:"Duration",
columnFailingElem:"Failing Elements",columnDescription:"Description",totalResourceType:"Total",documentResourceType:"Document",scriptResourceType:"Script",stylesheetResourceType:"Stylesheet",imageResourceType:"Image",mediaResourceType:"Media",fontResourceType:"Font",otherResourceType:"Other",thirdPartyResourceType:"Third-party",otherResourcesLabel:"Other resources",firstContentfulPaintMetric:"First Contentful Paint",interactiveMetric:"Time to Interactive",firstMeaningfulPaintMetric:"First Meaningful Paint",totalBlockingTimeMetric:"Total Blocking Time",maxPotentialFIDMetric:"Max Potential First Input Delay",speedIndexMetric:"Speed Index",largestContentfulPaintMetric:"Largest Contentful Paint",cumulativeLayoutShiftMetric:"Cumulative Layout Shift",interactionToNextPaint:"Interaction to Next Paint",itemSeverityLow:"Low",itemSeverityMedium:"Medium",itemSeverityHigh:"High"};function createIcuMessageFn(e,t){const r={...ii,...t};return(a,n)=>{const i=Object.keys(r).find((e=>r[e]===a))
;if(!i)throw new Error(`Could not locate: ${a}`);const o=i in t?e:"lighthouse-core/lib/i18n/i18n.js";return{i18nId:`${Xn.relative(ti,o).replace(/\\/g,"/")} | ${i}`,values:n,formattedDefault:ai(a,n,ni)}}}var oi={UIStrings:ii,lookupLocale:function lookupLocale(e,t){if("object"!=typeof Intl)throw new Error("Lighthouse must be run in Node with `Intl` support. See https://nodejs.org/api/intl.html for help");const r=Intl.getCanonicalLocales(e),a=Intl.NumberFormat.supportedLocalesOf(r),n=t||Qn(),i=Object.fromEntries(n.map((e=>[e,{}]))),o=Zn(a,i);return o||(0===Intl.NumberFormat.supportedLocalesOf("es").length&&ei.warn("i18n","Requested locale not available in this version of node. The `full-icu` npm module can provide additional locales. For help, see https://github.com/GoogleChrome/lighthouse/blob/master/readme.md#how-do-i-get-localized-lighthouse-results-via-the-cli"),ei.warn("i18n",`locale(s) '${e}' not available. Falling back to default '${ni}'`)),o||ni},createIcuMessageFn,
isStringOrIcuMessage:function isStringOrIcuMessage(e){return"string"==typeof e||ri(e)},createMessageInstanceIdFn:createIcuMessageFn};const si=on.default,ci=mn,li=hn,ui={warningSlowHostCpu:"The tested device appears to have a slower CPU than  Lighthouse expects. This can negatively affect your performance score. Learn more about [calibrating an appropriate CPU slowdown multiplier](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},di=oi.createMessageInstanceIdFn("lighthouse-core/gather/driver/environment.js",ui);function getSlowHostCpuWarning(e){const{settings:t,baseArtifacts:r}=e,{throttling:a,throttlingMethod:n}=t,i=ci.defaultSettings.throttling;if("cli"!==t.channel)return;const o="simulate"===n||"devtools"===n,s=a.cpuSlowdownMultiplier===i.cpuSlowdownMultiplier;return!o||!s||r.BenchmarkIndex>1e3?void 0:di(ui.warningSlowHostCpu)}var mi={UIStrings:ui,getBrowserVersion:async function getBrowserVersion$3(e){const t={msg:"Getting browser version",
id:"lh:gather:getVersion"};si.time(t,"verbose");const r=await e.sendCommand("Browser.getVersion"),a=r.product.match(/\/(\d+)/),n=a?parseInt(a[1]):0;return si.timeEnd(t),Object.assign(r,{milestone:n})},getBenchmarkIndex:async function getBenchmarkIndex$2(e){const t={msg:"Benchmarking machine",id:"lh:gather:getBenchmarkIndex"};si.time(t);const r=await e.evaluate(li.computeBenchmarkIndex,{args:[]});return si.timeEnd(t),r},getSlowHostCpuWarning,getEnvironmentWarnings:function getEnvironmentWarnings$2(e){return[getSlowHostCpuWarning(e)].filter((e=>!!e))}};
/**
   * @license Copyright 2020 Google Inc. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   */const pi=on.default,{getBrowserVersion:hi}=mi;var gi=class Fetcher$2{constructor(e,t){this.session=e,this.executionContext=t,this._onRequestPausedHandlers=new Map,this._onRequestPaused=this._onRequestPaused.bind(this),this._enabled=!1}async enable(){this._enabled||(this._enabled=!0,await this.session.sendCommand("Fetch.enable",{patterns:[{requestStage:"Request"},{requestStage:"Response"}]}),await this.session.on("Fetch.requestPaused",this._onRequestPaused))}async disable(){this._enabled&&(this._enabled=!1,await this.session.off("Fetch.requestPaused",this._onRequestPaused),await this.session.sendCommand("Fetch.disable"),this._onRequestPausedHandlers.clear())}async _setOnRequestPausedHandler(e,t){this._onRequestPausedHandlers.set(e,t)}_onRequestPaused(e){const t=this._onRequestPausedHandlers.get(e.request.url);t?t(e):this.session.sendCommand("Fetch.continueRequest",{requestId:e.requestId}).catch((e=>{pi.error("Fetcher",`Failed to continueRequest: ${e.message}`)}))}
async shouldUseLegacyFetcher(){const{milestone:e}=await hi(this.session);return e<92||Boolean(globalThis.isLightrider)}async fetchResource(e,t={timeout:2e3}){if(!this._enabled)throw new Error("Must call `enable` before using fetchResource");return await this.shouldUseLegacyFetcher()?this._fetchResourceIframe(e,t):this._fetchResourceOverProtocol(e,t)}async _readIOStream(e,t={timeout:2e3}){const r=Date.now();let a,n="";for(;!a||!a.eof;){if(Date.now()-r>t.timeout)throw new Error("Waiting for the end of the IO stream exceeded the allotted time.");a=await this.session.sendCommand("IO.read",{handle:e});const i=a.base64Encoded?Buffer.from(a.data,"base64").toString("utf-8"):a.data;n=n.concat(i)}return n}async _loadNetworkResource(e){const t=await this.session.sendCommand("Page.getFrameTree"),r=await this.session.sendCommand("Network.loadNetworkResource",{frameId:t.frameTree.frame.id,url:e,options:{disableCache:!0,includeCredentials:!0}});return{
stream:r.resource.success&&r.resource.stream||null,status:r.resource.httpStatusCode||null}}async _resolveResponseBody(e){const t=await this.session.sendCommand("Fetch.getResponseBody",{requestId:e});return t.base64Encoded?Buffer.from(t.body,"base64").toString():t.body}async _fetchResourceOverProtocol(e,t){const r=Date.now();let a;const n=new Promise(((e,r)=>{a=setTimeout(r,t.timeout,new Error("Timed out fetching resource"))})),i=this._loadNetworkResource(e),o=await Promise.race([i,n]).finally((()=>clearTimeout(a))),s=o.status&&o.status>=200&&o.status<=299;if(!o.stream||!s)return{status:o.status,content:null};const c=t.timeout-(Date.now()-r),l=await this._readIOStream(o.stream,{timeout:c});return{status:o.status,content:l}}async _fetchResourceIframe(e,t){const r=new Promise(((t,r)=>{const handlerAsync=async e=>{const{requestId:r,responseStatusCode:a}=e;if(a)t(a>=200&&a<=299?{status:a,content:await this._resolveResponseBody(r)}:{status:a,content:null}),
await this.session.sendCommand("Fetch.failRequest",{requestId:r,errorReason:"Aborted"});else{const t=Object.entries(e.request.headers).filter((([e])=>"Cookie"!==e)).map((([e,t])=>({name:e,value:t})));await this.session.sendCommand("Fetch.continueRequest",{requestId:r,headers:t})}};this._setOnRequestPausedHandler(e,(e=>handlerAsync(e).catch(r)))}));let a;const n=new Promise(((e,r)=>{a=setTimeout(r,t.timeout,new Error("Timed out fetching resource."))})),i=Promise.race([n,r]).finally((()=>clearTimeout(a)));await this.session.sendCommand("Target.setAutoAttach",{autoAttach:!1,waitForDebuggerOnStart:!1});const o=this.executionContext.evaluate((function injectIframe(e){const t=document.createElement("iframe");t.style.display="none",t.style.visibility="hidden",t.style.position="absolute",t.style.top="-1000px",t.style.left="-1000px",t.style.width="1px",t.style.height="1px",t.src=e,t.onload=t.onerror=()=>{t.remove(),t.onload=null,t.onerror=null},document.body.appendChild(t)}),{args:[e],
useIsolation:!0}),[s]=await Promise.all([i,o]);return await this.session.sendCommand("Target.setAutoAttach",{flatten:!0,autoAttach:!0,waitForDebuggerOnStart:!0}),s}};const fi=hn;class ExecutionContext$3{constructor(e){this._session=e,this._executionContextId=void 0,e.on("Page.frameNavigated",(()=>this.clearContextId())),e.on("Runtime.executionContextDestroyed",(e=>{e.executionContextId===this._executionContextId&&this.clearContextId()}))}getContextId(){return this._executionContextId}clearContextId(){this._executionContextId=void 0}async _getOrCreateIsolatedContextId(){if("number"==typeof this._executionContextId)return this._executionContextId;await this._session.sendCommand("Page.enable"),await this._session.sendCommand("Runtime.enable");const e=(await this._session.sendCommand("Page.getResourceTree")).frameTree.frame.id,t=await this._session.sendCommand("Page.createIsolatedWorld",{frameId:e,worldName:"lighthouse_isolated_context"})
;return this._executionContextId=t.executionContextId,t.executionContextId}async _evaluateInContext(e,t){const r=this._session.hasNextProtocolTimeout()?this._session.getNextProtocolTimeout():6e4,a={expression:`(function wrapInNativePromise() {\n        ${ExecutionContext$3._cachedNativesPreamble};\n        globalThis.__lighthouseExecutionContextId = ${t};\n        return new Promise(function (resolve) {\n          return Promise.resolve()\n            .then(_ => ${e})\n            .catch(${fi.wrapRuntimeEvalErrorInBrowserString})\n            .then(resolve);\n        });\n      }())`,includeCommandLineAPI:!0,awaitPromise:!0,returnByValue:!0,timeout:r,contextId:t};this._session.setNextProtocolTimeout(r);const n=await this._session.sendCommand("Runtime.evaluate",a);if(n.exceptionDetails){const e=n.exceptionDetails.exception?n.exceptionDetails.exception.description:n.exceptionDetails.text;return Promise.reject(new Error(`Evaluation exception: ${e}`))}
if(void 0===n.result)return Promise.reject(new Error('Runtime.evaluate response did not contain a "result" object'));const i=n.result.value;return i?.__failedInBrowser?Promise.reject(Object.assign(new Error,i)):i}async evaluateAsync(e,t={}){const r=t.useIsolation?await this._getOrCreateIsolatedContextId():void 0;try{return await this._evaluateInContext(e,r)}catch(t){if(r&&t.message.includes("Cannot find context")){this.clearContextId();const t=await this._getOrCreateIsolatedContextId();return this._evaluateInContext(e,t)}throw t}}evaluate(e,t){const r=ExecutionContext$3.serializeArguments(t.args),a=`(() => {\n      ${t.deps?t.deps.join("\n"):""}\n      return (${e})(${r});\n    })()`;return this.evaluateAsync(a,t)}async evaluateOnNewDocument(e,t){const r=ExecutionContext$3.serializeArguments(t.args),a=t.deps?t.deps.join("\n"):"",n=`(() => {\n      ${ExecutionContext$3._cachedNativesPreamble};\n      ${a};\n      (${e})(${r});\n    })()`
;await this._session.sendCommand("Page.addScriptToEvaluateOnNewDocument",{source:n})}async cacheNativesOnNewDocument(){await this.evaluateOnNewDocument((()=>{window.__nativePromise=window.Promise,window.__nativeURL=window.URL,window.__nativePerformance=window.performance,window.__nativeFetch=window.fetch,window.__ElementMatches=window.Element.prototype.matches;const e=window.performance,t=window.performance.now;Object.defineProperty(e,"now",{value:()=>t.call(e),writable:!1})}),{args:[]})}static _cachedNativesPreamble=["const Promise = globalThis.__nativePromise || globalThis.Promise","const URL = globalThis.__nativeURL || globalThis.URL","const performance = globalThis.__nativePerformance || globalThis.performance","const fetch = globalThis.__nativeFetch || globalThis.fetch"].join(";\n");static serializeArguments(e){return e.map((e=>void 0===e?"undefined":JSON.stringify(e))).join(",")}}var yi=ExecutionContext$3,vi={exports:{}};const bi={
didntCollectScreenshots:"Chrome didn't collect any screenshots during the page load. Please make sure there is content visible on the page, and then try re-running Lighthouse. ({errorCode})",badTraceRecording:"Something went wrong with recording the trace over your page load. Please run Lighthouse again. ({errorCode})",noFcp:"The page did not paint any content. Please ensure you keep the browser window in the foreground during the load and try again. ({errorCode})",pageLoadTookTooLong:"Your page took too long to load. Please follow the opportunities in the report to reduce your page load time, and then try re-running Lighthouse. ({errorCode})",pageLoadFailed:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests.",
pageLoadFailedWithStatusCode:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Status code: {statusCode})",pageLoadFailedWithDetails:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Details: {errorDetails})",pageLoadFailedInsecure:"The URL you have provided does not have a valid security certificate. {securityMessages}",pageLoadFailedInterstitial:"Chrome prevented page load with an interstitial. Make sure you are testing the correct URL and that the server is properly responding to all requests.",internalChromeError:"An internal Chrome error occurred. Please restart Chrome and try re-running Lighthouse.",requestContentTimeout:"Fetching resource content has exceeded the allotted time",
notHtml:"The page provided is not HTML (served as MIME type {mimeType}).",urlInvalid:"The URL you have provided appears to be invalid.",protocolTimeout:"Waiting for DevTools protocol response has exceeded the allotted time. (Method: {protocolMethod})",dnsFailure:"DNS servers could not resolve the provided domain.",pageLoadFailedHung:"Lighthouse was unable to reliably load the URL you requested because the page stopped responding.",criTimeout:"Timeout waiting for initial Debugger Protocol connection.",missingRequiredArtifact:"Required {artifactName} gatherer did not run.",erroredRequiredArtifact:"Required {artifactName} gatherer encountered an error: {errorMessage}",oldChromeDoesNotSupportFeature:"This version of Chrome is too old to support '{featureName}'. Use a newer version to see full results."},wi=oi.createMessageInstanceIdFn("lighthouse-core/lib/lh-error.js",bi),Si="__LighthouseErrorSentinel",Ti="__ErrorSentinel";class LighthouseError$2 extends Error{constructor(e,t){
super(e.code),this.name="LHError",this.code=e.code,this.friendlyMessage=wi(e.message,{errorCode:this.code,...t}),this.lhrRuntimeError=!!e.lhrRuntimeError,t&&Object.assign(this,t),Error.captureStackTrace(this,LighthouseError$2)}static fromProtocolMessage(e,t){const r=Object.values(LighthouseError$2.errors).filter((e=>e.pattern)).find((e=>e.pattern&&e.pattern.test(t.message)));if(r)return new LighthouseError$2(r);let a=`(${e}): ${t.message}`;t.data&&(a+=` (${t.data})`);const n=new Error(`Protocol error ${a}`);return Object.assign(n,{protocolMethod:e,protocolError:t.message})}static stringifyReplacer(e){if(e instanceof LighthouseError$2){const{name:t,code:r,message:a,friendlyMessage:n,lhrRuntimeError:i,stack:o,...s}=e;return{sentinel:Si,code:r,stack:o,...s}}if(e instanceof Error){const{message:t,stack:r}=e,a=e.code;return{sentinel:Ti,message:t,code:a,stack:r}}throw new Error("Invalid value for LHError stringification")}static parseReviver(e,t){if("object"==typeof t&&null!==t){
if(t.sentinel===Si){const{sentinel:e,code:r,stack:a,...n}=t,i=LighthouseError$2.errors[r],o=new LighthouseError$2(i,n);return o.stack=a,o}if(t.sentinel===Ti){const{message:e,code:r,stack:a}=t,n=new Error(e);return Object.assign(n,{code:r,stack:a}),n}}return t}}const Ei={NO_SPEEDLINE_FRAMES:{code:"NO_SPEEDLINE_FRAMES",message:bi.didntCollectScreenshots,lhrRuntimeError:!0},SPEEDINDEX_OF_ZERO:{code:"SPEEDINDEX_OF_ZERO",message:bi.didntCollectScreenshots,lhrRuntimeError:!0},NO_SCREENSHOTS:{code:"NO_SCREENSHOTS",message:bi.didntCollectScreenshots,lhrRuntimeError:!0},INVALID_SPEEDLINE:{code:"INVALID_SPEEDLINE",message:bi.didntCollectScreenshots,lhrRuntimeError:!0},NO_TRACING_STARTED:{code:"NO_TRACING_STARTED",message:bi.badTraceRecording,lhrRuntimeError:!0},NO_RESOURCE_REQUEST:{code:"NO_RESOURCE_REQUEST",message:bi.badTraceRecording,lhrRuntimeError:!0},NO_NAVSTART:{code:"NO_NAVSTART",message:bi.badTraceRecording,lhrRuntimeError:!0},NO_FCP:{code:"NO_FCP",message:bi.noFcp,lhrRuntimeError:!0},
NO_DCL:{code:"NO_DCL",message:bi.badTraceRecording,lhrRuntimeError:!0},NO_FMP:{code:"NO_FMP",message:bi.badTraceRecording},NO_LCP:{code:"NO_LCP",message:bi.badTraceRecording},NO_LCP_ALL_FRAMES:{code:"NO_LCP_ALL_FRAMES",message:bi.badTraceRecording},UNSUPPORTED_OLD_CHROME:{code:"UNSUPPORTED_OLD_CHROME",message:bi.oldChromeDoesNotSupportFeature},NO_TTI_CPU_IDLE_PERIOD:{code:"NO_TTI_CPU_IDLE_PERIOD",message:bi.pageLoadTookTooLong},NO_TTI_NETWORK_IDLE_PERIOD:{code:"NO_TTI_NETWORK_IDLE_PERIOD",message:bi.pageLoadTookTooLong},NO_DOCUMENT_REQUEST:{code:"NO_DOCUMENT_REQUEST",message:bi.pageLoadFailed,lhrRuntimeError:!0},FAILED_DOCUMENT_REQUEST:{code:"FAILED_DOCUMENT_REQUEST",message:bi.pageLoadFailedWithDetails,lhrRuntimeError:!0},ERRORED_DOCUMENT_REQUEST:{code:"ERRORED_DOCUMENT_REQUEST",message:bi.pageLoadFailedWithStatusCode,lhrRuntimeError:!0},INSECURE_DOCUMENT_REQUEST:{code:"INSECURE_DOCUMENT_REQUEST",message:bi.pageLoadFailedInsecure,lhrRuntimeError:!0},CHROME_INTERSTITIAL_ERROR:{
code:"CHROME_INTERSTITIAL_ERROR",message:bi.pageLoadFailedInterstitial,lhrRuntimeError:!0},PAGE_HUNG:{code:"PAGE_HUNG",message:bi.pageLoadFailedHung,lhrRuntimeError:!0},NOT_HTML:{code:"NOT_HTML",message:bi.notHtml,lhrRuntimeError:!0},TRACING_ALREADY_STARTED:{code:"TRACING_ALREADY_STARTED",message:bi.internalChromeError,pattern:/Tracing.*started/,lhrRuntimeError:!0},PARSING_PROBLEM:{code:"PARSING_PROBLEM",message:bi.internalChromeError,pattern:/Parsing problem/,lhrRuntimeError:!0},READ_FAILED:{code:"READ_FAILED",message:bi.internalChromeError,pattern:/Read failed/,lhrRuntimeError:!0},INVALID_URL:{code:"INVALID_URL",message:bi.urlInvalid},PROTOCOL_TIMEOUT:{code:"PROTOCOL_TIMEOUT",message:bi.protocolTimeout,lhrRuntimeError:!0},DNS_FAILURE:{code:"DNS_FAILURE",message:bi.dnsFailure,lhrRuntimeError:!0},CRI_TIMEOUT:{code:"CRI_TIMEOUT",message:bi.criTimeout,lhrRuntimeError:!0},MISSING_REQUIRED_ARTIFACT:{code:"MISSING_REQUIRED_ARTIFACT",message:bi.missingRequiredArtifact},
ERRORED_REQUIRED_ARTIFACT:{code:"ERRORED_REQUIRED_ARTIFACT",message:bi.erroredRequiredArtifact}};LighthouseError$2.errors=Ei,LighthouseError$2.NO_ERROR="NO_ERROR",LighthouseError$2.UNKNOWN_ERROR="UNKNOWN_ERROR",vi.exports=LighthouseError$2,vi.exports.UIStrings=bi;const xi="…",_i="data:image/jpeg;base64,",Ai={label:"pass",minScore:.9},Ri={label:"average",minScore:.5},ki={label:"fail"},Di={label:"error"},Ci=["com","co","gov","edu","ac","org","go","gob","or","net","in","ne","nic","gouv","web","spb","blog","jus","kiev","mil","wi","qc","ca","bel","on"];class Util$3{static i18n=null;static get PASS_THRESHOLD(){return.9}static get MS_DISPLAY_VALUE(){return"%10d ms"}static prepareReportResult(e){const t=JSON.parse(JSON.stringify(e));t.configSettings.locale||(t.configSettings.locale="en"),t.configSettings.formFactor||(t.configSettings.formFactor=t.configSettings.emulatedFormFactor)
;for(const e of Object.values(t.audits))if("not_applicable"!==e.scoreDisplayMode&&"not-applicable"!==e.scoreDisplayMode||(e.scoreDisplayMode="notApplicable"),e.details&&(void 0!==e.details.type&&"diagnostic"!==e.details.type||(e.details.type="debugdata"),"filmstrip"===e.details.type))for(const t of e.details.items)t.data.startsWith(_i)||(t.data=_i+t.data);if("object"!=typeof t.categories)throw new Error("No categories provided.");const r=new Map,[a]=t.lighthouseVersion.split(".").map(Number),n=t.categories.performance;if(a<9&&n){t.categoryGroups||(t.categoryGroups={}),t.categoryGroups.hidden={title:""};for(const e of n.auditRefs)e.group?["load-opportunities","diagnostics"].includes(e.group)&&delete e.group:e.group="hidden"}for(const e of Object.values(t.categories))e.auditRefs.forEach((e=>{e.relevantAudits&&e.relevantAudits.forEach((t=>{const a=r.get(t)||[];a.push(e),r.set(t,a)}))})),e.auditRefs.forEach((e=>{const a=t.audits[e.id];e.result=a,
r.has(e.id)&&(e.relevantMetrics=r.get(e.id)),t.stackPacks&&t.stackPacks.forEach((t=>{t.descriptions[e.id]&&(e.stackPacks=e.stackPacks||[],e.stackPacks.push({title:t.title,iconDataURL:t.iconDataURL,description:t.descriptions[e.id]}))}))}));return t}static showAsPassed(e){switch(e.scoreDisplayMode){case"manual":case"notApplicable":return!0;case"error":case"informative":return!1;case"numeric":case"binary":default:return Number(e.score)>=Ai.minScore}}static calculateRating(e,t){if("manual"===t||"notApplicable"===t)return Ai.label;if("error"===t)return Di.label;if(null===e)return ki.label;let r=ki.label;return e>=Ai.minScore?r=Ai.label:e>=Ri.minScore&&(r=Ri.label),r}static splitMarkdownCodeSpans(e){const t=[],r=e.split(/`(.*?)`/g);for(let e=0;e<r.length;e++){const a=r[e];if(!a)continue;const n=e%2!=0;t.push({isCode:n,text:a})}return t}static splitMarkdownLink(e){const t=[],r=e.split(/\[([^\]]+?)\]\((https?:\/\/.*?)\)/g);for(;r.length;){const[e,a,n]=r.splice(0,3);e&&t.push({isLink:!1,text:e
}),a&&n&&t.push({isLink:!0,text:a,linkHref:n})}return t}static getURLDisplayName(e,t){const r=void 0!==(t=t||{numPathParts:void 0,preserveQuery:void 0,preserveHost:void 0}).numPathParts?t.numPathParts:2,a=void 0===t.preserveQuery||t.preserveQuery,n=t.preserveHost||!1;let i;if("about:"===e.protocol||"data:"===e.protocol)i=e.href;else{i=e.pathname;const t=i.split("/").filter((e=>e.length));r&&t.length>r&&(i=xi+t.slice(-1*r).join("/")),n&&(i=`${e.host}/${i.replace(/^\//,"")}`),a&&(i=`${i}${e.search}`)}if("data:"!==e.protocol&&(i=i.replace(/([a-f0-9]{7})[a-f0-9]{13}[a-f0-9]*/g,"$1…"),i=i.replace(/([a-zA-Z0-9-_]{9})(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])[a-zA-Z0-9-_]{10,}/g,"$1…"),i=i.replace(/(\d{3})\d{6,}/g,"$1…"),i=i.replace(/\u2026+/g,xi),i.length>64&&i.includes("?")&&(i=i.replace(/\?([^=]*)(=)?.*/,"?$1$2…"),i.length>64&&(i=i.replace(/\?.*/,"?…")))),i.length>64){const e=i.lastIndexOf(".");i=e>=0?i.slice(0,63-(i.length-e))+`…${i.slice(e)}`:i.slice(0,63)+xi}return i}static parseURL(e){
const t=new URL(e);return{file:Util$3.getURLDisplayName(t),hostname:t.hostname,origin:t.origin}}static createOrReturnURL(e){return e instanceof URL?e:new URL(e)}static getTld(e){const t=e.split(".").slice(-2);return Ci.includes(t[0])?`.${t.join(".")}`:`.${t[t.length-1]}`}static getRootDomain(e){const t=Util$3.createOrReturnURL(e).hostname,r=Util$3.getTld(t).split(".");return t.split(".").slice(-r.length).join(".")}static getEmulationDescriptions(e){let t,r,a;const n=e.throttling;switch(e.throttlingMethod){case"provided":a=r=t=Util$3.i18n.strings.throttlingProvided;break;case"devtools":{const{cpuSlowdownMultiplier:e,requestLatencyMs:i}=n;t=`${Util$3.i18n.formatNumber(e)}x slowdown (DevTools)`,r=`${Util$3.i18n.formatNumber(i)} ms HTTP RTT, ${Util$3.i18n.formatNumber(n.downloadThroughputKbps)} Kbps down, ${Util$3.i18n.formatNumber(n.uploadThroughputKbps)} Kbps up (DevTools)`
;a=(()=>562.5===i&&n.downloadThroughputKbps===1638.4*.9&&675===n.uploadThroughputKbps)()?Util$3.i18n.strings.runtimeSlow4g:Util$3.i18n.strings.runtimeCustom;break}case"simulate":{const{cpuSlowdownMultiplier:e,rttMs:i,throughputKbps:o}=n;t=`${Util$3.i18n.formatNumber(e)}x slowdown (Simulated)`,r=`${Util$3.i18n.formatNumber(i)} ms TCP RTT, ${Util$3.i18n.formatNumber(o)} Kbps throughput (Simulated)`;a=(()=>150===i&&1638.4===o)()?Util$3.i18n.strings.runtimeSlow4g:Util$3.i18n.strings.runtimeCustom;break}default:a=t=r=Util$3.i18n.strings.runtimeUnknown}return{deviceEmulation:{mobile:Util$3.i18n.strings.runtimeMobileEmulation,desktop:Util$3.i18n.strings.runtimeDesktopEmulation}[e.formFactor]||Util$3.i18n.strings.runtimeNoEmulation,cpuThrottling:t,networkThrottling:r,summary:a}}static filterRelevantLines(e,t,r){if(0===t.length)return e.slice(0,2*r+1);const a=new Set;return(t=t.sort(((e,t)=>(e.lineNumber||0)-(t.lineNumber||0)))).forEach((({lineNumber:e})=>{let t=e-r,n=e+r;for(;t<1;)t++,n++
;a.has(t-3-1)&&(t-=3);for(let e=t;e<=n;e++){const t=e;a.add(t)}})),e.filter((e=>a.has(e.lineNumber)))}static isPluginCategory(e){return e.startsWith("lighthouse-plugin-")}static shouldDisplayAsFraction(e){return"timespan"===e||"snapshot"===e}static calculateCategoryFraction(e){let t=0,r=0,a=0,n=0;for(const i of e.auditRefs){const e=Util$3.showAsPassed(i.result);"hidden"!==i.group&&"manual"!==i.result.scoreDisplayMode&&"notApplicable"!==i.result.scoreDisplayMode&&("informative"!==i.result.scoreDisplayMode?(++t,n+=i.weight,e&&r++):e||++a)}return{numPassed:r,numPassableAudits:t,numInformative:a,totalWeight:n}}}Util$3.reportJson=null,Util$3.getUniqueSuffix=(()=>{let e=0;return function(){return e++}})();const Ii={varianceDisclaimer:"Values are estimated and may vary. The [performance score is calculated](https://web.dev/performance-scoring/) directly from these metrics.",calculatorLink:"See calculator.",showRelevantAudits:"Show audits relevant to:",
opportunityResourceColumnLabel:"Opportunity",opportunitySavingsColumnLabel:"Estimated Savings",errorMissingAuditInfo:"Report error: no audit information",errorLabel:"Error!",warningHeader:"Warnings: ",warningAuditsGroupTitle:"Passed audits but with warnings",passedAuditsGroupTitle:"Passed audits",notApplicableAuditsGroupTitle:"Not applicable",manualAuditsGroupTitle:"Additional items to manually check",toplevelWarningsMessage:"There were issues affecting this run of Lighthouse:",crcInitialNavigation:"Initial Navigation",crcLongestDurationLabel:"Maximum critical path latency:",snippetExpandButtonLabel:"Expand snippet",snippetCollapseButtonLabel:"Collapse snippet",lsPerformanceCategoryDescription:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) analysis of the current page on an emulated mobile network. Values are estimated and may vary.",labDataTitle:"Lab Data",thirdPartyResourcesLabel:"Show 3rd-party resources",viewTreemapLabel:"View Treemap",
viewTraceLabel:"View Trace",viewOriginalTraceLabel:"View Original Trace",dropdownPrintSummary:"Print Summary",dropdownPrintExpanded:"Print Expanded",dropdownCopyJSON:"Copy JSON",dropdownSaveHTML:"Save as HTML",dropdownSaveJSON:"Save as JSON",dropdownViewer:"Open in Viewer",dropdownSaveGist:"Save as Gist",dropdownDarkTheme:"Toggle Dark Theme",runtimeSettingsDevice:"Device",runtimeSettingsNetworkThrottling:"Network throttling",runtimeSettingsCPUThrottling:"CPU throttling",runtimeSettingsUANetwork:"User agent (network)",runtimeSettingsBenchmark:"CPU/Memory Power",runtimeSettingsAxeVersion:"Axe version",footerIssue:"File an issue",runtimeNoEmulation:"No emulation",runtimeMobileEmulation:"Emulated Moto G4",runtimeDesktopEmulation:"Emulated Desktop",runtimeUnknown:"Unknown",runtimeSingleLoad:"Single page load",runtimeAnalysisWindow:"Initial page load",runtimeSingleLoadTooltip:"This data is taken from a single page load, as opposed to field data summarizing many sessions.",
throttlingProvided:"Provided by environment",show:"Show",hide:"Hide",expandView:"Expand view",collapseView:"Collapse view",runtimeSlow4g:"Slow 4G throttling",runtimeCustom:"Custom throttling"};Util$3.UIStrings=Ii;var Ni={Util:Util$3,UIStrings:Ii};const{Util:Li}=Ni,Mi=vi.exports,Pi=["https:","http:","chrome:","chrome-extension:"],Oi=["data","https","wss","blob","chrome","chrome-extension","about","filesystem"],Fi=["localhost","127.0.0.1"],Ui=["blob","data","intent","file","filesystem"];function rewriteChromeInternalUrl(e){return e&&e.startsWith("chrome://")?(e.endsWith("/")&&(e=e.replace(/\/$/,"")),e.replace(/^chrome:\/\/chrome\//,"chrome://")):e}class URLShim extends URL{static isValid(e){try{return new URL(e),!0}catch(e){return!1}}static hostsMatch(e,t){try{return new URL(e).host===new URL(t).host}catch(e){return!1}}static originsMatch(e,t){try{return new URL(e).origin===new URL(t).origin}catch(e){return!1}}static getOrigin(e){try{const t=new URL(e);return t.host&&t.origin||null
}catch(e){return null}}static rootDomainsMatch(e,t){let r,a;try{r=Li.createOrReturnURL(e),a=Li.createOrReturnURL(t)}catch(e){return!1}if(!r.hostname||!a.hostname)return!1;return Li.getRootDomain(r)===Li.getRootDomain(a)}static getURLDisplayName(e,t){return Li.getURLDisplayName(new URL(e),t)}static elideDataURI(e){try{return"data:"===new URL(e).protocol?e.slice(0,100):e}catch(t){return e}}static equalWithExcludedFragments(e,t){[e,t]=[e,t].map(rewriteChromeInternalUrl);try{const r=new URL(e);r.hash="";const a=new URL(t);return a.hash="",r.href===a.href}catch(e){return!1}}static isProtocolAllowed(e){try{const t=new URL(e);return Pi.includes(t.protocol)}catch(e){return!1}}static isLikeLocalhost(e){return Fi.includes(e)||e.endsWith(".localhost")}static isSecureScheme(e){return Oi.includes(e)}static isNonNetworkProtocol(e){const t=e.includes(":")?e.slice(0,e.indexOf(":")):e;return Ui.includes(t)}static guessMimeType(e){let t;try{t=new URL(e)}catch{return}if("data:"===t.protocol){
const e=t.pathname.match(/image\/(png|jpeg|svg\+xml|webp|gif|avif)(?=;)/);if(!e)return;return e[0]}const r=t.pathname.toLowerCase().match(/\.(png|jpeg|jpg|svg|webp|gif|avif)$/);if(!r)return;const a=r[1];return"svg"===a?"image/svg+xml":"jpg"===a?"image/jpeg":`image/${a}`}static normalizeUrl(e){if(e&&this.isValid(e)&&this.isProtocolAllowed(e))return new URL(e).href;throw new Mi(Mi.errors.INVALID_URL)}}URLShim.URL=URL,URLShim.INVALID_URL_DEBUG_STRING="Lighthouse was unable to determine the URL of some script executions. It's possible a Chrome extension or other eval'd code is the source.";var ji=URLShim;const Bi=ji,$i="X-TCPMs",qi="X-SSLMs",zi="X-RequestMs",Vi="X-ResponseMs",Wi="X-TotalMs",Gi="X-TotalFetchedSize",Hi="X-ProtocolIsH2",Yi={XHR:"XHR",Fetch:"Fetch",EventSource:"EventSource",Script:"Script",Stylesheet:"Stylesheet",Image:"Image",Media:"Media",Font:"Font",Document:"Document",TextTrack:"TextTrack",WebSocket:"WebSocket",Other:"Other",Manifest:"Manifest",
SignedExchange:"SignedExchange",Ping:"Ping",Preflight:"Preflight",CSPViolationReport:"CSPViolationReport"};class NetworkRequest$p{constructor(){this.requestId="",this.connectionId="0",this.connectionReused=!1,this.url="",this.protocol="",this.isSecure=!1,this.isValid=!1,this.parsedURL={scheme:""},this.documentURL="",this.startTime=-1,this.endTime=-1,this.responseReceivedTime=-1,this.transferSize=0,this.resourceSize=0,this.fromDiskCache=!1,this.fromMemoryCache=!1,this.fromPrefetchCache=!1,this.lrStatistics=void 0,this.finished=!1,this.requestMethod="",this.statusCode=-1,this.redirectSource=void 0,this.redirectDestination=void 0,this.redirects=void 0,this.failed=!1,this.localizedFailDescription="",this.initiator={type:"other"},this.timing=void 0,this.resourceType=void 0,this.mimeType="",this.priority="Low",this.initiatorRequest=void 0,this.responseHeaders=[],this.responseHeadersText="",this.fetchedViaServiceWorker=!1,this.frameId="",this.sessionId=void 0,this.isLinkPreload=!1}
hasErrorStatusCode(){return this.statusCode>=400}setInitiatorRequest(e){this.initiatorRequest=e}onRequestWillBeSent(e){let t;this.requestId=e.requestId;try{t=new Bi(e.request.url)}catch(e){return}this.url=e.request.url,this.documentURL=e.documentURL,this.parsedURL={scheme:t.protocol.split(":")[0],host:t.hostname,securityOrigin:t.origin},this.isSecure=Bi.isSecureScheme(this.parsedURL.scheme),this.startTime=e.timestamp,this.requestMethod=e.request.method,this.initiator=e.initiator,this.resourceType=e.type&&Yi[e.type],this.priority=e.request.initialPriority,this.frameId=e.frameId,this.isLinkPreload="preload"===e.initiator.type||!!e.request.isLinkPreload,this.isValid=!0}onRequestServedFromCache(){this.fromMemoryCache=!0}onResponseReceived(e){this._onResponse(e.response,e.timestamp,e.type),this._updateProtocolForLightrider(),this.frameId=e.frameId}onDataReceived(e){this.resourceSize+=e.dataLength,-1!==e.encodedDataLength&&(this.transferSize+=e.encodedDataLength)}onLoadingFinished(e){
this.finished||(this.finished=!0,this.endTime=e.timestamp,e.encodedDataLength>=0&&(this.transferSize=e.encodedDataLength),this._updateResponseReceivedTimeIfNecessary(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onLoadingFailed(e){this.finished||(this.finished=!0,this.endTime=e.timestamp,this.failed=!0,this.resourceType=e.type&&Yi[e.type],this.localizedFailDescription=e.errorText,this._updateResponseReceivedTimeIfNecessary(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onResourceChangedPriority(e){this.priority=e.newPriority}onRedirectResponse(e){if(!e.redirectResponse)throw new Error("Missing redirectResponse data");this._onResponse(e.redirectResponse,e.timestamp,e.type),this.resourceType=void 0,this.finished=!0,this.endTime=e.timestamp,this._updateResponseReceivedTimeIfNecessary()}setSession(e){this.sessionId=e}_onResponse(e,t,r){this.url=e.url,this.connectionId=String(e.connectionId),
this.connectionReused=e.connectionReused,e.protocol&&(this.protocol=e.protocol),this.responseReceivedTime=t,this.transferSize=e.encodedDataLength,"boolean"==typeof e.fromDiskCache&&(this.fromDiskCache=e.fromDiskCache),"boolean"==typeof e.fromPrefetchCache&&(this.fromPrefetchCache=e.fromPrefetchCache),this.statusCode=e.status,this.timing=e.timing,r&&(this.resourceType=Yi[r]),this.mimeType=e.mimeType,this.responseHeadersText=e.headersText||"",this.responseHeaders=NetworkRequest$p._headersDictToHeadersArray(e.headers),this.fetchedViaServiceWorker=!!e.fromServiceWorker,this.fromMemoryCache&&(this.timing=void 0),this.timing&&this._recomputeTimesWithResourceTiming(this.timing)}_recomputeTimesWithResourceTiming(e){if(0===e.requestTime||-1===e.receiveHeadersEnd)return;this.startTime=e.requestTime;const t=e.requestTime+e.receiveHeadersEnd/1e3;(!this.responseReceivedTime||this.responseReceivedTime<0)&&(this.responseReceivedTime=t),this.responseReceivedTime=Math.min(this.responseReceivedTime,t),
this.responseReceivedTime=Math.max(this.responseReceivedTime,this.startTime),this.endTime=Math.max(this.endTime,this.responseReceivedTime)}_updateResponseReceivedTimeIfNecessary(){this.responseReceivedTime=Math.min(this.endTime,this.responseReceivedTime)}_updateTransferSizeForLightrider(){if(!globalThis.isLightrider)return;const e=this.responseHeaders.find((e=>e.name===Gi));if(!e)return;const t=parseFloat(e.value);isNaN(t)||(this.transferSize=t)}_updateProtocolForLightrider(){globalThis.isLightrider&&this.responseHeaders.some((e=>e.name===Hi))&&(this.protocol="h2")}_updateTimingsForLightrider(){if(!globalThis.isLightrider)return;const e=this.responseHeaders.find((e=>e.name===Wi));if(!e)return
;const t=parseInt(e.value),r=this.responseHeaders.find((e=>e.name===$i)),a=this.responseHeaders.find((e=>e.name===qi)),n=this.responseHeaders.find((e=>e.name===zi)),i=this.responseHeaders.find((e=>e.name===Vi)),o=r?Math.max(0,parseInt(r.value)):0,s=a?Math.max(0,parseInt(a.value)):0,c=n?Math.max(0,parseInt(n.value)):0,l=i?Math.max(0,parseInt(i.value)):0;o+c+l===t&&(s>o||(this.lrStatistics={endTimeDeltaMs:1e3*(this.endTime-(this.startTime+t/1e3)),TCPMs:o,requestMs:c,responseMs:l}))}static getRequestIdForBackend(e){return e.replace(/(:redirect)+$/,"")}static _headersDictToHeadersArray(e){const t=[];for(const r of Object.keys(e)){const a=e[r].split("\n");for(let e=0;e<a.length;++e)t.push({name:r,value:a[e]})}return t}static get TYPES(){return Yi}static isNonNetworkRequest(e){return Bi.isNonNetworkProtocol(e.protocol)||Bi.isNonNetworkProtocol(e.parsedURL.scheme)}static isSecureRequest(e){
return Bi.isSecureScheme(e.parsedURL.scheme)||Bi.isSecureScheme(e.protocol)||Bi.isLikeLocalhost(e.parsedURL.host)||NetworkRequest$p.isHstsRequest(e)}static isHstsRequest(e){const t=e.redirectDestination;if(!t)return!1;return"HSTS"===e.responseHeaders.find((e=>"Non-Authoritative-Reason"===e.name))?.value&&NetworkRequest$p.isSecureRequest(t)}static getResourceSizeOnNetwork(e){return Math.min(e.resourceSize||0,e.transferSize||1/0)}}NetworkRequest$p.HEADER_TCP=$i,NetworkRequest$p.HEADER_SSL=qi,NetworkRequest$p.HEADER_REQ=zi,NetworkRequest$p.HEADER_RES=Vi,NetworkRequest$p.HEADER_TOTAL=Wi,NetworkRequest$p.HEADER_FETCHED_SIZE=Gi,NetworkRequest$p.HEADER_PROTOCOL_IS_H2=Hi;var Ki=NetworkRequest$p;const Ji=Ki;var Xi={fetchResponseBodyFromCache:async function fetchResponseBodyFromCache$4(e,t,r=1e3){return t=Ji.getRequestIdForBackend(t),e.setNextProtocolTimeout(r),(await e.sendCommand("Network.getResponseBody",{requestId:t})).body}},Zi=getAugmentedNamespace(Qa);var Qi=class DevtoolsLog$a{
constructor(e){this._filter=e,this._messages=[],this._isRecording=!1}get messages(){return this._messages}reset(){this._messages=[]}beginRecording(){this._isRecording=!0}endRecording(){this._isRecording=!1}record(e){this._isRecording&&"string"==typeof e.method&&(this._filter&&!this._filter.test(e.method)||this._messages.push(e))}};var eo=class FRGatherer$C{meta={supportedModes:[]};startInstrumentation(e){}startSensitiveInstrumentation(e){}stopSensitiveInstrumentation(e){}stopInstrumentation(e){}getArtifact(e){}get name(){let e=this.constructor.name;return e.includes("$")&&(e=e.substr(0,e.indexOf("$"))),e}async beforePass(e){await this.startInstrumentation({...e,dependencies:{}}),await this.startSensitiveInstrumentation({...e,dependencies:{}})}pass(e){}async afterPass(e,t){if("dependencies"in this.meta)throw Error("Gatherer with dependencies should override afterPass");return await this.stopSensitiveInstrumentation({...e,dependencies:{}}),await this.stopInstrumentation({...e,
dependencies:{}}),this.getArtifact({...e,dependencies:{}})}};const to=on.default,ro=/^(chrome|https?):/;class TraceProcessor$5{static get TIMESPAN_MARKER_ID(){return"__lighthouseTimespanStart__"}static createNoNavstartError(){return new Error("No navigationStart event found")}static createNoResourceSendRequestError(){return new Error("No ResourceSendRequest event found")}static createNoTracingStartedError(){return new Error("No tracingStartedInBrowser event found")}static createNoFirstContentfulPaintError(){return new Error("No FirstContentfulPaint event found")}static createNoLighthouseMarkerError(){return new Error("No Lighthouse timespan marker event found")}static _isNavigationStartOfInterest(e){return"navigationStart"===e.name&&(void 0===e.args.data?.documentLoaderURL||!!e.args.data?.documentLoaderURL&&ro.test(e.args.data.documentLoaderURL))}static _sortTimestampEventGroup(e,t,r,a){
const lookupArrayIndexByTsIndex=e=>t[e],lookupEventByTsIndex=e=>a[lookupArrayIndexByTsIndex(e)],n=[],i=[],o=[];for(const t of e){const e=lookupArrayIndexByTsIndex(t),r=lookupEventByTsIndex(t);"E"===r.ph?n.push(e):"X"===r.ph||"B"===r.ph?i.push(e):o.push(e)}const s=new Map;for(const n of i){const i=a[n];if("X"===i.ph)s.set(n,i.dur);else{let a=Number.MAX_SAFE_INTEGER,o=0;for(let n=r+e.length;n<t.length;n++){const e=lookupEventByTsIndex(n);if(e.name===i.name&&e.pid===i.pid&&e.tid===i.tid){if("E"===e.ph&&0===o){a=e.ts-i.ts;break}"E"===e.ph?o--:"B"===e.ph&&o++}}s.set(n,a)}}return i.sort(((e,t)=>(s.get(t)||0)-(s.get(e)||0)||e-t)),o.sort(((e,t)=>e-t)),[...n,...i,...o]}static filteredTraceSort(e,t){const r=[];for(let a=0;a<e.length;a++)t(e[a])&&r.push(a);r.sort(((t,r)=>e[t].ts-e[r].ts));for(let t=0;t<r.length-1;t++){const a=e[r[t]].ts,n=[t];for(let i=t+1;i<r.length&&e[r[i]].ts===a;i++)n.push(i);if(1===n.length)continue;const i=TraceProcessor$5._sortTimestampEventGroup(n,r,t,e)
;r.splice(t,i.length,...i),t+=n.length-1}const a=[];for(let t=0;t<r.length;t++)a.push(e[r[t]]);return a}static assertHasToplevelEvents(e){if(!e.some(this.isScheduleableTask))throw new Error("Could not find any top level events")}static _riskPercentiles(e,t,r,a=0){let n=0;for(let t=0;t<e.length;t++)n+=e[t];n-=a;let i=t-n,o=0,s=i;const c=[];let l=-1,u=e.length+1;a>0&&u--;for(const n of r){const r=n*t;for(;s<r&&l<e.length-1;)i+=o,u-=o<0?-1:1,a>0&&a<e[l+1]?(o=-a,a=0):(l++,o=e[l]),s=i+Math.abs(o)*u;c.push({percentile:n,time:Math.max(0,(r-i)/u)+16})}return c}static getRiskToResponsiveness(e,t,r,a=[.5,.75,.9,.99,1]){const n=r-t;a.sort(((e,t)=>e-t));const i=this.getMainThreadTopLevelEventDurations(e,t,r);return this._riskPercentiles(i.durations,n,a,i.clippedLength)}static getMainThreadTopLevelEventDurations(e,t=0,r=1/0){const a=[];let n=0;for(const i of e){if(i.end<t||i.start>r)continue;let e=i.duration,o=i.start;o<t&&(o=t,e=i.end-t),i.end>r&&(n=e-(r-o)),a.push(e)}return a.sort(((e,t)=>e-t)),{
durations:a,clippedLength:n}}static getMainThreadTopLevelEvents(e,t=0,r=1/0){const a=[];for(const n of e.mainThreadEvents){if(!this.isScheduleableTask(n)||!n.dur)continue;const i=(n.ts-e.timeOriginEvt.ts)/1e3,o=(n.ts+n.dur-e.timeOriginEvt.ts)/1e3;i>r||o<t||a.push({start:i,end:o,duration:n.dur/1e3})}return a}static findMainFrameIds(e){const t=e.find((e=>"TracingStartedInBrowser"===e.name));if(t?.args.data?.frames){const r=t.args.data.frames.find((e=>!e.parent)),a=r?.frame,n=r?.processId,i=e.find((e=>e.pid===n&&"M"===e.ph&&"__metadata"===e.cat&&"thread_name"===e.name&&"CrRendererMain"===e.args.name))?.tid;if(n&&i&&a)return{pid:n,tid:i,frameId:a}}const r=e.find((e=>"TracingStartedInPage"===e.name));if(r?.args?.data){const e=r.args.data.page;if(e)return{pid:r.pid,tid:r.tid,frameId:e}}const a=e.find((e=>this._isNavigationStartOfInterest(e)&&e.args.data?.isLoadingMainFrame)),n=e.find((e=>"ResourceSendRequest"===e.name));if(a?.args?.data&&n&&n.pid===a.pid&&n.tid===a.tid){const e=a.args.frame
;if(e)return{pid:a.pid,tid:a.tid,frameId:e}}throw this.createNoTracingStartedError()}static isScheduleableTask(e){return"RunTask"===e.name||"ThreadControllerImpl::RunTask"===e.name||"ThreadControllerImpl::DoWork"===e.name||"TaskQueueManager::ProcessTaskFromWorkQueue"===e.name}static isLCPEvent(e){return("largestContentfulPaint::Invalidate"===e.name||"largestContentfulPaint::Candidate"===e.name)&&Boolean(e.args?.frame)}static isLCPCandidateEvent(e){return Boolean("largestContentfulPaint::Candidate"===e.name&&e.args?.frame&&e.args.data&&void 0!==e.args.data.size)}static computeValidLCPAllFrames(e,t){const r=e.filter(this.isLCPEvent).reverse(),a=new Map;for(const e of r){if(e.ts<=t.ts)break;const r=e.args.frame;a.has(r)||a.set(r,e)}let n;for(const e of a.values())this.isLCPCandidateEvent(e)&&(!n||e.args.data.size>n.args.data.size)&&(n=e);return{lcp:n,invalidated:Boolean(!n&&a.size)}}static resolveRootFrames(e){const t=new Map;for(const r of e)r.parent&&t.set(r.id,r.parent);const r=new Map
;for(const a of e){let e=a.id;for(;t.has(e);)e=t.get(e);r.set(a.id,e)}return r}static processTrace(e,t){const{timeOriginDeterminationMethod:r="auto"}=t||{},a=this.filteredTraceSort(e.traceEvents,(e=>e.cat.includes("blink.user_timing")||e.cat.includes("loading")||e.cat.includes("devtools.timeline")||"__metadata"===e.cat)),n=this.findMainFrameIds(a),i=new Map,o=a.find((e=>"TracingStartedInBrowser"===e.name))?.args?.data?.frames;if(o)for(const e of o)i.set(e.frame,{id:e.frame,url:e.url,parent:e.parent});a.filter((e=>Boolean("FrameCommittedInBrowser"===e.name&&e.args.data?.frame&&e.args.data.url))).forEach((e=>{i.set(e.args.data.frame,{id:e.args.data.frame,url:e.args.data.url,parent:e.args.data.parent})}));const s=[...i.values()],c=this.resolveRootFrames(s),l=a.filter((e=>e.args.frame===n.frameId));let u=[];c.has(n.frameId)?u=a.filter((e=>e.args.frame&&c.get(e.args.frame)===n.frameId)):(to.warn("trace-of-tab","frameTreeEvents may be incomplete, make sure the trace has frame events"),
c.set(n.frameId,n.frameId),u=l);const d=this.computeTimeOrigin({keyEvents:a,frameEvents:l,mainFrameIds:n},r),m=TraceProcessor$5.filteredTraceSort(e.traceEvents,(e=>e.pid===n.pid)),p=m.filter((e=>e.tid===n.tid)),h=this.computeTraceEnd(e.traceEvents,d);return{frames:s,mainThreadEvents:p,frameEvents:l,frameTreeEvents:u,processEvents:m,mainFrameIds:n,timeOriginEvt:d,timings:{timeOrigin:0,traceEnd:h.timing},timestamps:{timeOrigin:d.ts,traceEnd:h.timestamp}}}static processNavigation(e){const{frameEvents:t,frameTreeEvents:r,timeOriginEvt:a,timings:n,timestamps:i}=e,o=this.computeNavigationTimingsForFrame(t,{timeOriginEvt:a}),s=r.find((e=>"firstContentfulPaint"===e.name&&e.ts>a.ts));if(!s)throw this.createNoFirstContentfulPaintError();const c=this.computeValidLCPAllFrames(r,a).lcp,getTiming=e=>(e-a.ts)/1e3;return{timings:{timeOrigin:n.timeOrigin,firstPaint:o.timings.firstPaint,firstContentfulPaint:o.timings.firstContentfulPaint,firstContentfulPaintAllFrames:getTiming(s.ts),
firstMeaningfulPaint:o.timings.firstMeaningfulPaint,largestContentfulPaint:o.timings.largestContentfulPaint,largestContentfulPaintAllFrames:(l=c?.ts,void 0===l?void 0:getTiming(l)),load:o.timings.load,domContentLoaded:o.timings.domContentLoaded,traceEnd:n.traceEnd},timestamps:{timeOrigin:i.timeOrigin,firstPaint:o.timestamps.firstPaint,firstContentfulPaint:o.timestamps.firstContentfulPaint,firstContentfulPaintAllFrames:s.ts,firstMeaningfulPaint:o.timestamps.firstMeaningfulPaint,largestContentfulPaint:o.timestamps.largestContentfulPaint,largestContentfulPaintAllFrames:c?.ts,load:o.timestamps.load,domContentLoaded:o.timestamps.domContentLoaded,traceEnd:i.traceEnd},firstPaintEvt:o.firstPaintEvt,firstContentfulPaintEvt:o.firstContentfulPaintEvt,firstContentfulPaintAllFramesEvt:s,firstMeaningfulPaintEvt:o.firstMeaningfulPaintEvt,largestContentfulPaintEvt:o.largestContentfulPaintEvt,largestContentfulPaintAllFramesEvt:c,loadEvt:o.loadEvt,domContentLoadedEvt:o.domContentLoadedEvt,
fmpFellBack:o.fmpFellBack,lcpInvalidated:o.lcpInvalidated};var l}static computeTraceEnd(e,t){let r=-1/0;for(const t of e)r=Math.max(t.ts+(t.dur||0),r);return{timestamp:r,timing:(r-t.ts)/1e3}}static computeTimeOrigin(e,t){const lastNavigationStart=()=>e.frameEvents.filter(this._isNavigationStartOfInterest).pop(),lighthouseMarker=()=>e.keyEvents.find((e=>"clock_sync"===e.name&&e.args.sync_id===TraceProcessor$5.TIMESPAN_MARKER_ID));switch(t){case"firstResourceSendRequest":{const t=e.keyEvents.find((t=>{if("ResourceSendRequest"!==t.name)return!1;return(t.args.data||{}).frame===e.mainFrameIds.frameId}));if(!t)throw this.createNoResourceSendRequestError();return t}case"lastNavigationStart":{const e=lastNavigationStart();if(!e)throw this.createNoNavstartError();return e}case"lighthouseMarker":{const e=lighthouseMarker();if(!e)throw this.createNoLighthouseMarkerError();return e}case"auto":{const e=lighthouseMarker()||lastNavigationStart();if(!e)throw this.createNoNavstartError();return e}}}
static computeNavigationTimingsForFrame(e,t){const{timeOriginEvt:r}=t,a=e.find((e=>"firstPaint"===e.name&&e.ts>r.ts)),n=e.find((e=>"firstContentfulPaint"===e.name&&e.ts>r.ts));if(!n)throw this.createNoFirstContentfulPaintError();let i=e.find((e=>"firstMeaningfulPaint"===e.name&&e.ts>r.ts)),o=!1;if(!i){const t="firstMeaningfulPaintCandidate";o=!0,to.verbose("trace-of-tab",`No firstMeaningfulPaint found, falling back to last ${t}`);const r=e.filter((e=>e.name===t)).pop();r||to.verbose("trace-of-tab","No `firstMeaningfulPaintCandidate` events found in trace"),i=r}const s=this.computeValidLCPAllFrames(e,r),c=e.find((e=>"loadEventEnd"===e.name&&e.ts>r.ts)),l=e.find((e=>"domContentLoadedEventEnd"===e.name&&e.ts>r.ts)),getTimestamp=e=>e?.ts,u={timeOrigin:r.ts,firstPaint:getTimestamp(a),firstContentfulPaint:n.ts,firstMeaningfulPaint:getTimestamp(i),largestContentfulPaint:getTimestamp(s.lcp),load:getTimestamp(c),domContentLoaded:getTimestamp(l)
},getTiming=e=>(e-r.ts)/1e3,maybeGetTiming=e=>void 0===e?void 0:getTiming(e);return{timings:{timeOrigin:0,firstPaint:maybeGetTiming(u.firstPaint),firstContentfulPaint:getTiming(u.firstContentfulPaint),firstMeaningfulPaint:maybeGetTiming(u.firstMeaningfulPaint),largestContentfulPaint:maybeGetTiming(u.largestContentfulPaint),load:maybeGetTiming(u.load),domContentLoaded:maybeGetTiming(u.domContentLoaded)},timestamps:u,timeOriginEvt:r,firstPaintEvt:a,firstContentfulPaintEvt:n,firstMeaningfulPaintEvt:i,largestContentfulPaintEvt:s.lcp,loadEvt:c,domContentLoadedEvt:l,fmpFellBack:o,lcpInvalidated:s.invalidated}}}var ao=TraceProcessor$5;const no=eo,io=ao;class Trace$2 extends no{_trace={traceEvents:[]};static getDefaultTraceCategories(){
return["-*","disabled-by-default-lighthouse","loading","v8","v8.execute","blink.user_timing","blink.console","devtools.timeline","disabled-by-default-devtools.timeline","disabled-by-default-devtools.screenshot","disabled-by-default-devtools.timeline.stack","disabled-by-default-devtools.timeline.frame","latencyInfo"]}static async endTraceAndCollectEvents(e){const t=[],dataListener=function(e){t.push(...e.value)};return e.on("Tracing.dataCollected",dataListener),new Promise(((r,a)=>{e.once("Tracing.tracingComplete",(a=>{e.off("Tracing.dataCollected",dataListener),r({traceEvents:t})})),e.sendCommand("Tracing.end").catch(a)}))}static symbol=Symbol("Trace");meta={symbol:Trace$2.symbol,supportedModes:["timespan","navigation"]};async startSensitiveInstrumentation({driver:e,gatherMode:t,settings:r}){const a=Trace$2.getDefaultTraceCategories().concat(r.additionalTraceCategories||[]);await e.defaultSession.sendCommand("Page.enable"),await e.defaultSession.sendCommand("Tracing.start",{
categories:a.join(","),options:"sampling-frequency=10000"}),"timespan"===t&&await e.defaultSession.sendCommand("Tracing.recordClockSyncMarker",{syncId:io.TIMESPAN_MARKER_ID})}async stopSensitiveInstrumentation({driver:e}){this._trace=await Trace$2.endTraceAndCollectEvents(e.defaultSession)}getArtifact(){return this._trace}}var oo=Trace$2;const so=Zi.EventEmitter,co=on.default,lo=vi.exports;var uo=class Connection$1{constructor(){this._lastCommandId=0,this._callbacks=new Map,this._eventEmitter=new so}connect(){return Promise.reject(new Error("Not implemented"))}disconnect(){return Promise.reject(new Error("Not implemented"))}wsEndpoint(){return Promise.reject(new Error("Not implemented"))}sendCommand(e,t,...r){const a=r.length?r[0]:void 0;co.formatProtocol("method => browser",{method:e,params:a},"verbose");const n=++this._lastCommandId,i=JSON.stringify({id:n,sessionId:t,method:e,params:a});return this.sendRawMessage(i),new Promise((t=>{this._callbacks.set(n,{method:e,resolve:t})}))}
on(e,t){if("protocolevent"!==e)throw new Error('Only supports "protocolevent" events');if(!this._eventEmitter)throw new Error("Attempted to add event listener after connection disposed.");this._eventEmitter.on(e,t)}off(e,t){if("protocolevent"!==e)throw new Error('Only supports "protocolevent" events');if(!this._eventEmitter)throw new Error("Attempted to remove event listener after connection disposed.");this._eventEmitter.removeListener(e,t)}sendRawMessage(e){throw new Error("Not implemented")}handleRawMessage(e){const t=JSON.parse(e);if(!("id"in t))return co.formatProtocol("<= event",{method:t.method,params:t.params},"verbose"),void this.emitProtocolEvent(t);const r=this._callbacks.get(t.id);if(r)this._callbacks.delete(t.id),r.resolve(Promise.resolve().then((e=>{if(t.error)throw co.formatProtocol("method <= browser ERR",{method:r.method},"error"),lo.fromProtocolMessage(r.method,t.error);return co.formatProtocol("method <= browser OK",{method:r.method,params:t.result},"verbose"),
t.result})));else{const e=t.error?.message;co.formatProtocol("disowned method <= browser "+(e?"ERR":"OK"),{method:"UNKNOWN",params:e||t.result},"verbose")}}emitProtocolEvent(e){if(!this._eventEmitter)throw new Error("Attempted to emit event after connection disposed.");this._eventEmitter.emit("protocolevent",e)}dispose(){this._eventEmitter&&(this._eventEmitter.removeAllListeners(),this._eventEmitter=null)}};const mo=gi,po=yi,ho=vi.exports,{fetchResponseBodyFromCache:go}=Xi,fo=Zi.EventEmitter,yo=on.default,vo=Qi,bo=oo,{getBrowserVersion:wo}=mi,So=3e4;var To=class Driver$5{_eventEmitter=new fo;_devtoolsLog=new vo(/^(Page|Network)\./);_domainEnabledCounts=new Map;_nextProtocolTimeout=So;online=!0;executionContext=new po(this);defaultSession=this;fetcher=new mo(this.defaultSession,this.executionContext);constructor(e){this._connection=e,this.on("Target.attachedToTarget",(e=>{this._handleTargetAttached(e).catch(this._handleEventError)})),this.on("Page.frameNavigated",(e=>{
e.frame.parentId||this.sendCommand("Target.setAutoAttach",{flatten:!0,autoAttach:!0,waitForDebuggerOnStart:!0}).catch(this._handleEventError)})),e.on("protocolevent",this._handleProtocolEvent.bind(this)),this.evaluate=this.executionContext.evaluate.bind(this.executionContext),this.evaluateAsync=this.executionContext.evaluateAsync.bind(this.executionContext)}static get traceCategories(){return bo.getDefaultTraceCategories()}async getBrowserVersion(){return wo(this)}async connect(){const e={msg:"Connecting to browser",id:"lh:init:connect"};yo.time(e),await this._connection.connect(),yo.timeEnd(e)}disconnect(){return this._connection.disconnect()}dispose(){return this.disconnect()}wsEndpoint(){return this._connection.wsEndpoint()}on(e,t){if(null===this._eventEmitter)throw new Error("connect() must be called before attempting to listen to events.");yo.formatProtocol("listen for event =>",{method:e},"verbose"),this._eventEmitter.on(e,t)}once(e,t){
if(null===this._eventEmitter)throw new Error("connect() must be called before attempting to listen to events.");yo.formatProtocol("listen once for event =>",{method:e},"verbose"),this._eventEmitter.once(e,t)}off(e,t){if(null===this._eventEmitter)throw new Error("connect() must be called before attempting to remove an event listener.");this._eventEmitter.removeListener(e,t)}addProtocolMessageListener(e){this._connection.on("protocolevent",e)}removeProtocolMessageListener(e){this._connection.off("protocolevent",e)}setTargetInfo(e){}addSessionAttachedListener(e){}removeSessionAttachedListener(e){}_shouldToggleDomain(e,t,r){const a=e+(t||""),n=(this._domainEnabledCounts.get(a)||0)+(r?1:-1);return this._domainEnabledCounts.set(a,Math.max(0,n)),r&&1===n||!r&&0===n?(yo.verbose("Driver",`${e}.${r?"enable":"disable"}`),!0):(n<0&&yo.error("Driver",`Attempted to disable domain '${e}' when already disabled.`),!1)}hasNextProtocolTimeout(){return this._nextProtocolTimeout!==So}
getNextProtocolTimeout(){return this._nextProtocolTimeout}setNextProtocolTimeout(e){this._nextProtocolTimeout=e}_handleProtocolEvent(e){this._devtoolsLog.record(e),this._eventEmitter.emit(e.method,e.params)}_handleEventError(e){yo.error("Driver","Unhandled event error",e.message)}async _handleTargetAttached(e){"iframe"===e.targetInfo.type?await Promise.all([this.sendCommandToSession("Network.enable",e.sessionId),this.sendCommandToSession("Target.setAutoAttach",e.sessionId,{autoAttach:!0,flatten:!0,waitForDebuggerOnStart:!0}),this.sendCommandToSession("Runtime.runIfWaitingForDebugger",e.sessionId)]):await this.sendCommandToSession("Runtime.runIfWaitingForDebugger",e.sessionId)}sendCommandToSession(e,t,...r){const a=this._nextProtocolTimeout;let n;this._nextProtocolTimeout=So;const i=new Promise(((t,r)=>{a!==1/0&&(n=setTimeout(r,a,new ho(ho.errors.PROTOCOL_TIMEOUT,{protocolMethod:e})))}));return Promise.race([this._innerSendCommand(e,t,...r),i]).finally((()=>{n&&clearTimeout(n)}))}
sendCommand(e,...t){return this.sendCommandToSession(e,void 0,...t)}_innerSendCommand(e,t,...r){const a=/^(\w+)\.(enable|disable)$/.exec(e);if(a){const e="enable"===a[2];if(!this._shouldToggleDomain(a[1],t,e))return Promise.resolve()}return this._connection.sendCommand(e,t,...r)}isDomainEnabled(e){return!!this._domainEnabledCounts.get(e)}async getRequestContent(e,t=1e3){return go(this.defaultSession,e,t)}scrollTo(e){const t=`window.scrollTo(${e.x}, ${e.y})`;return this.executionContext.evaluateAsync(t,{useIsolation:!0})}getScrollPosition(){return this.executionContext.evaluateAsync("({x: window.scrollX, y: window.scrollY})",{useIsolation:!0})}async beginTrace(e){const t=e?.additionalTraceCategories&&e.additionalTraceCategories.split(",")||[],r=bo.getDefaultTraceCategories().concat(t),a=Array.from(new Set(r));if(this.isDomainEnabled("CSS"))throw new Error("CSS domain enabled when starting trace");if(this.isDomainEnabled("DOM"))throw new Error("DOM domain enabled when starting trace")
;return this.sendCommand("Page.enable").then((e=>this.sendCommand("Tracing.start",{categories:a.join(","),options:"sampling-frequency=10000"})))}endTrace(){return bo.endTraceAndCollectEvents(this.defaultSession)}beginDevtoolsLog(){this._devtoolsLog.reset(),this._devtoolsLog.beginRecording()}endDevtoolsLog(){return this._devtoolsLog.endRecording(),this._devtoolsLog.messages}};const Eo=la;class ArbitraryEqualityMap$1{constructor(){this._equalsFn=ArbitraryEqualityMap$1.deepEquals,this._entries=[]}setEqualityFn(e){this._equalsFn=e}has(e){return-1!==this._findIndexOf(e)}get(e){return this._entries[this._findIndexOf(e)]?.value}set(e,t){let r=this._findIndexOf(e);-1===r&&(r=this._entries.length),this._entries[r]={key:e,value:t}}_findIndexOf(e){for(let t=0;t<this._entries.length;t++)if(this._equalsFn(e,this._entries[t].key))return t;return-1}static deepEquals(e,t){return Eo(e,t)}}const xo=ArbitraryEqualityMap$1,_o=on.default;var Ao=function makeComputedArtifact$J(e,t){return Object.assign(e,{
request:(r,a)=>{const n=t?Object.fromEntries(t.map((e=>[e,r[e]]))):r,i=a.computedCache,o=e.name,s=i.get(o)||new xo;i.set(o,s);const c=s.get(n);if(c)return c;const l={msg:`Computing artifact: ${o}`,id:`lh:computed:${o}`};_o.time(l,"verbose");const u=e.compute_(n,a);return s.set(n,u),u.then((()=>_o.timeEnd(l))).catch((()=>_o.timeEnd(l))),u}})};const Ro=on.default,ko=Ki,Do=Zi.EventEmitter;class NetworkRecorder$2 extends Do{constructor(){super(),this._records=[],this._recordsById=new Map,this._mainSessionId=null}getRawRecords(){return Array.from(this._records)}on(e,t){return super.on(e,t)}once(e,t){return super.once(e,t)}onRequestStarted(e){this._records.push(e),this._recordsById.set(e.requestId,e),this.emit("requeststarted",e)}onRequestFinished(e){this.emit("requestloaded",e)}onRequestWillBeSent(e){const t=e.params,r=this._findRealRequestAndSetSession(t.requestId,e.sessionId);if(!r){const r=new ko;return r.onRequestWillBeSent(t),r.sessionId=e.sessionId,this.onRequestStarted(r),
void Ro.verbose("network",`request will be sent to ${r.url}`)}if(!t.redirectResponse)return;const a={...t,initiator:r.initiator,requestId:`${r.requestId}:redirect`},n=new ko;n.onRequestWillBeSent(a),r.onRedirectResponse(t),Ro.verbose("network",`${r.url} redirected to ${n.url}`),r.redirectDestination=n,n.redirectSource=r,this.onRequestStarted(n),this.onRequestFinished(r)}onRequestServedFromCache(e){const t=e.params,r=this._findRealRequestAndSetSession(t.requestId,e.sessionId);r&&(Ro.verbose("network",`${r.url} served from cache`),r.onRequestServedFromCache())}onResponseReceived(e){const t=e.params,r=this._findRealRequestAndSetSession(t.requestId,e.sessionId);r&&(Ro.verbose("network",`${r.url} response received`),r.onResponseReceived(t))}onDataReceived(e){const t=e.params,r=this._findRealRequestAndSetSession(t.requestId,e.sessionId);r&&(Ro.verbose("network",`${r.url} data received`),r.onDataReceived(t))}onLoadingFinished(e){
const t=e.params,r=this._findRealRequestAndSetSession(t.requestId,e.sessionId);r&&(Ro.verbose("network",`${r.url} loading finished`),r.onLoadingFinished(t),this.onRequestFinished(r))}onLoadingFailed(e){const t=e.params,r=this._findRealRequestAndSetSession(t.requestId,e.sessionId);r&&(Ro.verbose("network",`${r.url} loading failed`),r.onLoadingFailed(t),this.onRequestFinished(r))}onResourceChangedPriority(e){const t=e.params,r=this._findRealRequestAndSetSession(t.requestId,e.sessionId);r&&r.onResourceChangedPriority(t)}dispatch(e){switch(e.method){case"Network.requestWillBeSent":return this.onRequestWillBeSent(e);case"Network.requestServedFromCache":return this.onRequestServedFromCache(e);case"Network.responseReceived":return this.onResponseReceived(e);case"Network.dataReceived":return this.onDataReceived(e);case"Network.loadingFinished":return this.onLoadingFinished(e);case"Network.loadingFailed":return this.onLoadingFailed(e);case"Network.resourceChangedPriority":
return this.onResourceChangedPriority(e);default:return}}_findRealRequestAndSetSession(e,t){null===this._mainSessionId&&(this._mainSessionId=t),this._mainSessionId===t&&(t=void 0);let r=this._recordsById.get(e);if(r&&r.isValid){for(;r.redirectDestination;)r=r.redirectDestination;return r.setSession(t),r}}static _chooseInitiatorRequest(e,t){if(e.redirectSource)return e.redirectSource;const r=e.initiator.stack?.callFrames||[],a=e.initiator.url||r[0]?.url;let n=t.get(a)||[];if(n=n.filter((t=>t.responseReceivedTime<=e.startTime)),n.length>1){const e=n.filter((e=>e.resourceType!==ko.TYPES.Other));e.length&&(n=e)}if(n.length>1){const t=n.filter((t=>t.frameId===e.frameId));t.length&&(n=t)}if(n.length>1&&"parser"===e.initiator.type){const e=n.filter((e=>e.resourceType===ko.TYPES.Document));e.length&&(n=e)}return 1===n.length?n[0]:null}static recordsFromLogs(e){const t=new NetworkRecorder$2;e.forEach((e=>t.dispatch(e)));const r=t.getRawRecords().filter((e=>e.isValid)),a=new Map
;for(const e of r){const t=a.get(e.url)||[];t.push(e),a.set(e.url,t)}for(const e of r){const t=NetworkRecorder$2._chooseInitiatorRequest(e,a);t&&e.setInitiatorRequest(t);let r=e;for(;r.redirectDestination;)r=r.redirectDestination;if(r===e||r.redirects)continue;const n=[];for(let e=r.redirectSource;e;e=e.redirectSource)n.unshift(e);r.redirects=n}return r}}var Co=NetworkRecorder$2;const Io=Ao,No=Co;var Lo=Io(class NetworkRecords$N{static async compute_(e){return No.recordsFromLogs(e)}},null);const Mo=Ki,Po=ji,Oo={Document:.9,XHR:.9,Fetch:.9};class NetworkAnalyzer$b{static get SUMMARY(){return"__SUMMARY__"}static groupByOrigin(e){const t=new Map;return e.forEach((e=>{const r=e.parsedURL.securityOrigin,a=t.get(r)||[];a.push(e),t.set(r,a)})),t}static getSummary(e){return e.sort(((e,t)=>e-t)),{min:e[0],max:e[e.length-1],avg:e.reduce(((e,t)=>e+t),0)/e.length,median:e[Math.floor((e.length-1)/2)]}}static summarize(e){const t=new Map,r=[]
;for(const[a,n]of e)t.set(a,NetworkAnalyzer$b.getSummary(n)),r.push(...n);return t.set(NetworkAnalyzer$b.SUMMARY,NetworkAnalyzer$b.getSummary(r)),t}static _estimateValueByOrigin(e,t){const r=NetworkAnalyzer$b.estimateIfConnectionWasReused(e),a=NetworkAnalyzer$b.groupByOrigin(e),n=new Map;for(const[e,i]of a.entries()){let a=[];for(const e of i){const n=e.timing;if(!n)continue;const i=t({record:e,timing:n,connectionReused:r.get(e.requestId)});void 0!==i&&(a=a.concat(i))}a.length&&n.set(e,a)}return n}static _estimateRTTByOriginViaTCPTiming(e){return NetworkAnalyzer$b._estimateValueByOrigin(e,(({timing:e,connectionReused:t})=>{if(!t)return e.sslStart>0&&e.sslEnd>0?[e.connectEnd-e.sslStart,e.sslStart-e.connectStart]:e.connectStart>0&&e.connectEnd>0?e.connectEnd-e.connectStart:void 0}))}static _estimateRTTByOriginViaDownloadTiming(e){return NetworkAnalyzer$b._estimateValueByOrigin(e,(({record:e,timing:t,connectionReused:r})=>{if(r)return;if(e.transferSize<=14336)return
;if(!Number.isFinite(t.receiveHeadersEnd)||t.receiveHeadersEnd<0)return;const a=1e3*(e.endTime-e.startTime)-t.receiveHeadersEnd,n=Math.log2(e.transferSize/14336);return n>5?void 0:a/n}))}static _estimateRTTByOriginViaSendStartTiming(e){return NetworkAnalyzer$b._estimateValueByOrigin(e,(({record:e,timing:t,connectionReused:r})=>{if(r)return;if(!Number.isFinite(t.sendStart)||t.sendStart<0)return;let a=2;return"https"===e.parsedURL.scheme&&(a+=1),t.sendStart/a}))}static _estimateRTTByOriginViaHeadersEndTiming(e){return NetworkAnalyzer$b._estimateValueByOrigin(e,(({record:e,timing:t,connectionReused:r})=>{if(!Number.isFinite(t.receiveHeadersEnd)||t.receiveHeadersEnd<0)return;if(!e.resourceType)return;const a=Oo[e.resourceType]||.4,n=t.receiveHeadersEnd*a;let i=1;return r||(i+=1,"https"===e.parsedURL.scheme&&(i+=1),i+=1),Math.max((t.receiveHeadersEnd-n)/i,3)}))}static _estimateResponseTimeByOrigin(e,t){return NetworkAnalyzer$b._estimateValueByOrigin(e,(({record:e,timing:r})=>{
if(!Number.isFinite(r.receiveHeadersEnd)||r.receiveHeadersEnd<0)return;if(!Number.isFinite(r.sendEnd)||r.sendEnd<0)return;const a=r.receiveHeadersEnd-r.sendEnd,n=e.parsedURL.securityOrigin,i=t.get(n)||t.get(NetworkAnalyzer$b.SUMMARY)||0;return Math.max(a-i,0)}))}static canTrustConnectionInformation(e){const t=new Map;for(const r of e){const e=t.get(r.connectionId)||!r.connectionReused;t.set(r.connectionId,e)}return!(t.size<=1)&&Array.from(t.values()).every((e=>e))}static estimateIfConnectionWasReused(e,t){const{forceCoarseEstimates:r=!1}=t||{};if(!r&&NetworkAnalyzer$b.canTrustConnectionInformation(e))return new Map(e.map((e=>[e.requestId,!!e.connectionReused])));const a=new Map,n=NetworkAnalyzer$b.groupByOrigin(e);for(const[e,t]of n.entries()){const e=t.map((e=>e.endTime)).reduce(((e,t)=>Math.min(e,t)),1/0);for(const r of t)a.set(r.requestId,r.startTime>=e||"h2"===r.protocol);const r=t.reduce(((e,t)=>e.startTime>t.startTime?t:e));a.set(r.requestId,!1)}return a}
static estimateRTTByOrigin(e,t){const{forceCoarseEstimates:r=!1,coarseEstimateMultiplier:a=.3,useDownloadEstimates:n=!0,useSendStartEstimates:i=!0,useHeadersEndEstimates:o=!0}=t||{};let s=NetworkAnalyzer$b._estimateRTTByOriginViaTCPTiming(e);if(!s.size||r){s=new Map;const t=NetworkAnalyzer$b._estimateRTTByOriginViaDownloadTiming(e),r=NetworkAnalyzer$b._estimateRTTByOriginViaSendStartTiming(e),c=NetworkAnalyzer$b._estimateRTTByOriginViaHeadersEndTiming(e);for(const[e,r]of t.entries())n&&s.set(e,r);for(const[e,t]of r.entries()){if(!i)continue;const r=s.get(e)||[];s.set(e,r.concat(t))}for(const[e,t]of c.entries()){if(!o)continue;const r=s.get(e)||[];s.set(e,r.concat(t))}for(const e of s.values())e.forEach(((t,r)=>e[r]=t*a))}if(!s.size)throw new Error("No timing information available");return NetworkAnalyzer$b.summarize(s)}static estimateServerResponseTimeByOrigin(e,t){let r=(t||{}).rttByOrigin;if(!r){r=new Map;const a=NetworkAnalyzer$b.estimateRTTByOrigin(e,t)
;for(const[e,t]of a.entries())r.set(e,t.min)}const a=NetworkAnalyzer$b._estimateResponseTimeByOrigin(e,r);return NetworkAnalyzer$b.summarize(a)}static estimateThroughput(e){let t=0;const r=e.reduce(((e,r)=>("data"===r.parsedURL?.scheme||r.failed||!r.finished||r.statusCode>300||!r.transferSize||(t+=r.transferSize,e.push({time:r.responseReceivedTime,isStart:!0}),e.push({time:r.endTime,isStart:!1})),e)),[]).sort(((e,t)=>e.time-t.time));if(!r.length)return 1/0;let a=0,n=0,i=0;return r.forEach((e=>{e.isStart?(0===a&&(n=e.time),a++):(a--,0===a&&(i+=e.time-n))})),8*t/i}static findMainDocument(e,t){const r=NetworkAnalyzer$b.findOptionalMainDocument(e,t);if(!r)throw new Error("Unable to identify the main resource");return r}static findOptionalMainDocument(e,t){if(t){const r=e.find((e=>t.startsWith(e.url)&&Po.equalWithExcludedFragments(e.url,t)));if(r)return r}const r=e.filter((e=>e.resourceType===Mo.TYPES.Document));if(r.length)return r.reduce(((e,t)=>t.startTime<e.startTime?t:e))}
static resolveRedirects(e){for(;e.redirectDestination;)e=e.redirectDestination;return e}}var Fo=NetworkAnalyzer$b;const Uo=vi.exports,jo=Fo;function getNetworkError(e){if(!e)return new Uo(Uo.errors.NO_DOCUMENT_REQUEST);if(e.failed){const t=e.localizedFailDescription;return"net::ERR_NAME_NOT_RESOLVED"===t||"net::ERR_NAME_RESOLUTION_FAILED"===t||t.startsWith("net::ERR_DNS_")?new Uo(Uo.errors.DNS_FAILURE):new Uo(Uo.errors.FAILED_DOCUMENT_REQUEST,{errorDetails:t})}return e.hasErrorStatusCode()?new Uo(Uo.errors.ERRORED_DOCUMENT_REQUEST,{statusCode:`${e.statusCode}`}):void 0}function getInterstitialError(e,t){if(!e)return;return t.find((e=>e.documentURL.startsWith("chrome-error://")))&&e.failed?e.localizedFailDescription.startsWith("net::ERR_CERT")?new Uo(Uo.errors.INSECURE_DOCUMENT_REQUEST,{securityMessages:e.localizedFailDescription}):new Uo(Uo.errors.CHROME_INTERSTITIAL_ERROR):void 0}function getNonHtmlError(e){if(e)return"text/html"!==e.mimeType?new Uo(Uo.errors.NOT_HTML,{
mimeType:e.mimeType}):void 0}var Bo={getNetworkError,getInterstitialError,getPageLoadError:function getPageLoadError$2(e,t){const{url:r,loadFailureMode:a,networkRecords:n}=t;let i,o;try{i=jo.findMainDocument(n,r)}catch(e){}i&&(o=jo.resolveRedirects(i));const s=getNetworkError(i),c=getInterstitialError(i,n),l=getNonHtmlError(o);if("ignore"!==a)return c||(s||(l||e))},getNonHtmlError};var $o=getAugmentedNamespace(Object.freeze({__proto__:null,version:"9.6.2"}));const{version:qo}=$o,zo={latency:0,downloadThroughput:0,uploadThroughput:0,offline:!1},Vo={rate:1};function parseUseragentIntoMetadata(e,t){const r=e.match(/Chrome\/([\d.]+)/)?.[1]||"99.0.1234.0",[a]=r.split(".",1),n="mobile"===t;return{brands:[{brand:"Chromium",version:a},{brand:"Google Chrome",version:a},{brand:"Lighthouse",version:qo}],fullVersion:r,...n?{platform:"Android",platformVersion:"6.0",architecture:"",model:"Moto G4"}:{platform:"macOS",platformVersion:"10.15.7",architecture:"x86",model:""},mobile:n}}
function enableNetworkThrottling(e,t){const r={offline:!1,latency:t.requestLatencyMs||0,downloadThroughput:t.downloadThroughputKbps||0,uploadThroughput:t.uploadThroughputKbps||0};return r.downloadThroughput=Math.floor(1024*r.downloadThroughput/8),r.uploadThroughput=Math.floor(1024*r.uploadThroughput/8),e.sendCommand("Network.emulateNetworkConditions",r)}function clearNetworkThrottling(e){return e.sendCommand("Network.emulateNetworkConditions",zo)}function enableCPUThrottling(e,t){const r=t.cpuSlowdownMultiplier;return e.sendCommand("Emulation.setCPUThrottlingRate",{rate:r})}function clearCPUThrottling(e){return e.sendCommand("Emulation.setCPUThrottlingRate",Vo)}var Wo={emulate:async function emulate(e,t){if(!1!==t.emulatedUserAgent){const r=t.emulatedUserAgent;await e.sendCommand("Network.setUserAgentOverride",{userAgent:r,userAgentMetadata:parseUseragentIntoMetadata(r,t.formFactor)})}if(!0!==t.screenEmulation.disabled){
const{width:r,height:a,deviceScaleFactor:n,mobile:i}=t.screenEmulation,o={width:r,height:a,deviceScaleFactor:n,mobile:i};await e.sendCommand("Emulation.setDeviceMetricsOverride",o),await e.sendCommand("Emulation.setTouchEmulationEnabled",{enabled:o.mobile})}},throttle:async function throttle(e,t){if("devtools"!==t.throttlingMethod)return clearNetworkThrottling(e);await Promise.all([enableNetworkThrottling(e,t.throttling),enableCPUThrottling(e,t.throttling)])},clearThrottling:async function clearThrottling(e){await Promise.all([clearNetworkThrottling(e),clearCPUThrottling(e)])},enableNetworkThrottling,clearNetworkThrottling,enableCPUThrottling,clearCPUThrottling};const Go=on.default,Ho={
warningData:"{locationCount, plural,\n    =1 {There may be stored data affecting loading performance in this location: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}\n    other {There may be stored data affecting loading performance in these locations: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}\n  }"},Yo=oi.createMessageInstanceIdFn("lighthouse-core/gather/driver/storage.js",Ho);var Ko={clearDataForOrigin:async function clearDataForOrigin(e,t){const r={msg:"Cleaning origin data",id:"lh:storage:clearDataForOrigin"};Go.time(r);const a=new URL(t).origin,n=["file_systems","shader_cache","service_workers","cache_storage"].join(",");e.setNextProtocolTimeout(5e3);try{await e.sendCommand("Storage.clearDataForOrigin",{origin:a,storageTypes:n})}catch(e){if("PROTOCOL_TIMEOUT"!==e.code)throw e;Go.warn("Driver","clearDataForOrigin timed out")}finally{Go.timeEnd(r)}},
clearBrowserCaches:async function clearBrowserCaches(e){const t={msg:"Cleaning browser cache",id:"lh:storage:clearBrowserCaches"};Go.time(t),await e.sendCommand("Network.clearBrowserCache"),await e.sendCommand("Network.setCacheDisabled",{cacheDisabled:!0}),await e.sendCommand("Network.setCacheDisabled",{cacheDisabled:!1}),Go.timeEnd(t)},getImportantStorageWarning:async function getImportantStorageWarning(e,t){const r=await e.sendCommand("Storage.getUsageAndQuota",{origin:t}),a={local_storage:"Local Storage",indexeddb:"IndexedDB",websql:"Web SQL"},n=r.usageBreakdown.filter((e=>e.usage)).map((e=>a[e.storageType]||"")).filter(Boolean);if(n.length)return Yo(Ho.warningData,{locations:n.join(", "),locationCount:n.length})},UIStrings:Ho};const Jo=on.default,Xo=Ko,Zo=Wo,Qo=hn;async function prepareThrottlingAndNetwork(e,t,r){const a={msg:"Preparing network conditions",id:"lh:gather:prepareThrottlingAndNetwork"};Jo.time(a),r.disableThrottling?await Zo.clearThrottling(e):await Zo.throttle(e,t)
;const n=(r.blockedUrlPatterns||[]).concat(t.blockedUrlPatterns||[]);await e.sendCommand("Network.setBlockedURLs",{urls:n});const i=t.extraHeaders;i&&await e.sendCommand("Network.setExtraHTTPHeaders",{headers:i}),Jo.timeEnd(a)}async function prepareDeviceEmulationAndAsyncStacks(e,t){await e.defaultSession.sendCommand("Network.enable"),await Zo.emulate(e.defaultSession,t),await async function enableAsyncStacks(e){const enable=async()=>{await e.sendCommand("Debugger.enable"),await e.sendCommand("Debugger.setSkipAllPauses",{skip:!0}),await e.sendCommand("Debugger.setAsyncCallStackDepth",{maxDepth:8})};e.on("Debugger.paused",(()=>e.sendCommand("Debugger.resume"))),e.on("Page.frameNavigated",(e=>{e.frame.parentId||enable().catch((e=>Jo.error("Driver",e)))})),await enable()}(e.defaultSession)}var es={prepareThrottlingAndNetwork,prepareTargetForTimespanMode:async function prepareTargetForTimespanMode$1(e,t){const r={msg:"Preparing target for timespan mode",id:"lh:prepare:timespanMode"}
;Jo.time(r),await prepareDeviceEmulationAndAsyncStacks(e,t),await prepareThrottlingAndNetwork(e.defaultSession,t,{disableThrottling:!1,blockedUrlPatterns:void 0}),Jo.timeEnd(r)},prepareTargetForNavigationMode:async function prepareTargetForNavigationMode(e,t){const r={msg:"Preparing target for navigation mode",id:"lh:prepare:navigationMode"};Jo.time(r),await prepareDeviceEmulationAndAsyncStacks(e,t),await async function dismissJavaScriptDialogs(e){e.on("Page.javascriptDialogOpening",(t=>{Jo.warn("Driver",`${t.type} dialog opened by the page automatically suppressed.`),e.sendCommand("Page.handleJavaScriptDialog",{accept:!0,promptText:"Lighthouse prompt response"}).catch((e=>Jo.warn("Driver",e)))})),await e.sendCommand("Page.enable")}(e.defaultSession),await e.executionContext.cacheNativesOnNewDocument(),"simulate"===t.throttlingMethod&&await async function shimRequestIdleCallbackOnNewDocument(e,t){await e.executionContext.evaluateOnNewDocument(Qo.wrapRequestIdleCallback,{
args:[t.throttling.cpuSlowdownMultiplier]})}(e,t),Jo.timeEnd(r)},prepareTargetForIndividualNavigation:async function prepareTargetForIndividualNavigation(e,t,r){const a={msg:"Preparing target for navigation",id:"lh:prepare:navigation"};Jo.time(a);const n=[],{requestor:i}=r;if(!t.disableStorageReset&&!r.disableStorageReset&&"string"==typeof i){const t=i,{warnings:r}=await async function resetStorageForUrl(e,t){const r=[],a=await Xo.getImportantStorageWarning(e,t);return a&&r.push(a),await Xo.clearDataForOrigin(e,t),await Xo.clearBrowserCaches(e),{warnings:r}}(e,t);n.push(...r)}return await prepareThrottlingAndNetwork(e,t,r),Jo.timeEnd(a),{warnings:n}}};const ts=on.default;var rs=class TargetManager$1{constructor(e){this._enabled=!1,this._session=e,this._listeners=[],this._onSessionAttached=this._onSessionAttached.bind(this),this._targets=new Map,this._onFrameNavigated=async e=>{e.frame.parentId||await this._session.sendCommand("Target.setAutoAttach",{autoAttach:!0,flatten:!0,
waitForDebuggerOnStart:!0})}}async _onSessionAttached(e){try{const t=await e.sendCommand("Target.getTargetInfo").catch((()=>null)),r=t?.targetInfo?.type,a="page"===r||"iframe"===r;if(!t||!a)return;const n=t.targetInfo.targetId;if(e.setTargetInfo(t.targetInfo),this._targets.has(n))return;const i=t.targetInfo.url||t.targetInfo.targetId;ts.verbose("target-manager",`target ${i} attached`);const o={target:t.targetInfo,session:e};this._targets.set(n,o);for(const e of this._listeners)await e(o);await e.sendCommand("Target.setAutoAttach",{autoAttach:!0,flatten:!0,waitForDebuggerOnStart:!0})}catch(e){if(/Target closed/.test(e.message))return;throw e}finally{await e.sendCommand("Runtime.runIfWaitingForDebugger").catch((()=>{}))}}async enable(){this._enabled||(this._enabled=!0,this._targets=new Map,this._session.on("Page.frameNavigated",this._onFrameNavigated),this._session.addSessionAttachedListener(this._onSessionAttached),await this._session.sendCommand("Page.enable"),
await this._onSessionAttached(this._session))}async disable(){this._session.off("Page.frameNavigated",this._onFrameNavigated),this._session.removeSessionAttachedListener(this._onSessionAttached),this._enabled=!1,this._targets=new Map}addTargetAttachedListener(e){this._listeners.push(e)}removeTargetAttachedListener(e){this._listeners=this._listeners.filter((t=>t!==e))}};const as=on.default,{EventEmitter:ns}=Zi,is=Co,os=Ki,ss=ji,cs=rs;var ls=class NetworkMonitor$4{_networkRecorder=void 0;_targetManager=void 0;_frameNavigations=[];constructor(e){this._session=e,this._onTargetAttached=this._onTargetAttached.bind(this),this._sessions=new Map,this._onFrameNavigated=e=>this._frameNavigations.push(e.frame),this._onProtocolMessage=e=>{this.emit("protocolmessage",e),this._networkRecorder&&this._networkRecorder.dispatch(e)};const t=new ns;this.emit=t.emit.bind(t),this.on=t.on.bind(t),this.once=t.once.bind(t),this.off=t.off.bind(t),this.addListener=t.addListener.bind(t),
this.removeListener=t.removeListener.bind(t),this.removeAllListeners=t.removeAllListeners.bind(t)}async _onTargetAttached({session:e,target:t}){const r=t.targetId;this._sessions.set(r,e),e.addProtocolMessageListener(this._onProtocolMessage),await e.sendCommand("Network.enable")}async enable(){if(this._targetManager)return;this._frameNavigations=[],this._sessions=new Map,this._networkRecorder=new is,this._targetManager=new cs(this._session);const reEmit=e=>t=>{this.emit(e,t),this._emitNetworkStatus()};this._networkRecorder.on("requeststarted",reEmit("requeststarted")),this._networkRecorder.on("requestloaded",reEmit("requestloaded")),this._session.on("Page.frameNavigated",this._onFrameNavigated),this._targetManager.addTargetAttachedListener(this._onTargetAttached),await this._session.sendCommand("Page.enable"),await this._targetManager.enable()}async disable(){if(this._targetManager){this._session.off("Page.frameNavigated",this._onFrameNavigated),
this._targetManager.removeTargetAttachedListener(this._onTargetAttached);for(const e of this._sessions.values())e.removeProtocolMessageListener(this._onProtocolMessage);await this._targetManager.disable(),this._frameNavigations=[],this._networkRecorder=void 0,this._targetManager=void 0,this._sessions=new Map}}async getNavigationUrls(){const e=this._frameNavigations;if(!e.length)return{};const t=(await this._session.sendCommand("Page.getResourceTree")).frameTree.frame.id,r=e.filter((e=>e.id===t));return r.length||as.warn("NetworkMonitor","No detected navigations"),{requestedUrl:r[0]?.url,finalUrl:r[r.length-1]?.url}}getInflightRequests(){return this._networkRecorder?this._networkRecorder.getRawRecords().filter((e=>!e.finished)):[]}isIdle(){return this._isActiveIdlePeriod(0)}isCriticalIdle(){if(!this._networkRecorder)return!1;const e=this._networkRecorder.getRawRecords().find((e=>"Document"===e.resourceType))?.frameId
;return this._isActiveIdlePeriod(0,(t=>t.frameId===e&&("VeryHigh"===t.priority||"High"===t.priority)))}is2Idle(){return this._isActiveIdlePeriod(2)}_isActiveIdlePeriod(e,t){if(!this._networkRecorder)return!1;const r=this._networkRecorder.getRawRecords();let a=0;for(let e=0;e<r.length;e++){const n=r[e];n.finished||(t&&!t(n)||os.isNonNetworkRequest(n)||a++)}return a<=e}_emitNetworkStatus(){const e=this.isIdle(),t=this.is2Idle(),r=this.isCriticalIdle();this.emit(e?"networkidle":"networkbusy"),this.emit(t?"network-2-idle":"network-2-busy"),this.emit(r?"network-critical-idle":"network-critical-busy"),t&&e?as.verbose("NetworkRecorder","network fully-quiet"):t&&!e?as.verbose("NetworkRecorder","network semi-quiet"):as.verbose("NetworkRecorder","network busy")}static findNetworkQuietPeriods(e,t,r=1/0){let a=[];e.forEach((e=>{ss.isNonNetworkProtocol(e.protocol)||"ws"!==e.protocol&&"wss"!==e.protocol&&(a.push({time:1e3*e.startTime,isStart:!0}),e.finished&&a.push({time:1e3*e.endTime,isStart:!1}))
})),a=a.filter((e=>e.time<=r)).sort(((e,t)=>e.time-t.time));let n=0,i=0;const o=[];return a.forEach((e=>{e.isStart?(n===t&&o.push({start:i,end:e.time}),n++):(n--,n===t&&(i=e.time))})),n<=t&&o.push({start:i,end:r}),o.filter((e=>e.start!==e.end))}};const us=on.default,ds=vi.exports,ps=yi;function waitForNothing(){return{promise:Promise.resolve(),cancel(){}}}function waitForFcp(e,t,r){let cancel=()=>{throw new Error("waitForFcp.cancel() called before it was defined")};return{promise:new Promise(((a,n)=>{const i=setTimeout((()=>{n(new ds(ds.errors.NO_FCP))}),r);let o;const lifecycleListener=e=>{"firstContentfulPaint"===e.name&&(o=setTimeout((()=>{a(),cancel()}),t))};e.on("Page.lifecycleEvent",lifecycleListener);let s=!1;cancel=()=>{s||(s=!0,e.off("Page.lifecycleEvent",lifecycleListener),i&&clearTimeout(i),o&&clearTimeout(o),n(new Error("Wait for FCP canceled")))}})),cancel}}function waitForNetworkIdle$1(e,t,r){let a,n=!1,cancel=()=>{
throw new Error("waitForNetworkIdle.cancel() called before it was defined")};const{networkQuietThresholdMs:i,busyEvent:o,idleEvent:s,isIdle:c}=r;return{promise:new Promise(((l,u)=>{const onIdle=()=>{t.once(o,onBusy),a=setTimeout((()=>{cancel(),l()}),i)},onBusy=()=>{t.once(s,onIdle),a&&clearTimeout(a)},domContentLoadedListener=()=>{n=!0,c(t)?onIdle():onBusy()},logStatus=()=>{if(!n)return void us.verbose("waitFor","Waiting on DomContentLoaded");const e=t.getInflightRequests();if(e.length<20)for(const t of e)us.verbose("waitFor",`Waiting on ${t.url.slice(0,120)} to finish`)};t.on("requeststarted",logStatus),t.on("requestloaded",logStatus),t.on(o,logStatus),r.pretendDCLAlreadyFired?domContentLoadedListener():e.once("Page.domContentEventFired",domContentLoadedListener);let d=!1;cancel=()=>{d||(d=!0,a&&clearTimeout(a),r.pretendDCLAlreadyFired||e.off("Page.domContentEventFired",domContentLoadedListener),t.removeListener(o,onBusy),t.removeListener(s,onIdle),
t.removeListener("requeststarted",logStatus),t.removeListener("requestloaded",logStatus),t.removeListener(o,logStatus))}})),cancel}}function waitForCPUIdle(e,t){if(!t)return{promise:Promise.resolve(),cancel:()=>{}};let r,a=!1;async function checkForQuiet(e,n){if(a)return;const i=await e.evaluate(checkTimeSinceLastLongTaskInPage,{args:[]});if(!a&&"number"==typeof i)if(i>=t)us.verbose("waitFor",`CPU has been idle for ${i} ms`),n();else{us.verbose("waitFor",`CPU has been idle for ${i} ms`);r=setTimeout((()=>checkForQuiet(e,n)),t-i)}}let cancel=()=>{throw new Error("waitForCPUIdle.cancel() called before it was defined")};const n=new ps(e);return{promise:new Promise(((e,t)=>{n.evaluate(registerPerformanceObserverInPage,{args:[]}).then((()=>checkForQuiet(n,e))).catch(t),cancel=()=>{a||(a=!0,r&&clearTimeout(r),t(new Error("Wait for CPU idle canceled")))}})),cancel}}function registerPerformanceObserverInPage(){if(void 0!==window.____lastLongTask)return;window.____lastLongTask=performance.now()
;new window.PerformanceObserver((e=>{const t=e.getEntries();for(const e of t)if("longtask"===e.entryType){const t=e.startTime+e.duration;window.____lastLongTask=Math.max(window.____lastLongTask||0,t)}})).observe({type:"longtask",buffered:!0})}function checkTimeSinceLastLongTaskInPage(){return new Promise((e=>{const t=performance.now(),r=window.____lastLongTask||0;setTimeout((()=>{const a=window.____lastLongTask||0;e(r===a?t-r:0)}),150)}))}function waitForLoadEvent(e,t){let cancel=()=>{throw new Error("waitForLoadEvent.cancel() called before it was defined")};return{promise:new Promise(((r,a)=>{let n;const loadListener=function(){n=setTimeout(r,t)};e.once("Page.loadEventFired",loadListener);let i=!1;cancel=()=>{i||(i=!0,e.off("Page.loadEventFired",loadListener),n&&clearTimeout(n))}})),cancel}}const hs={waitForFcp,waitForLoadEvent,waitForCPUIdle,waitForNetworkIdle:waitForNetworkIdle$1};var gs={waitForNothing,waitForFrameNavigated:function waitForFrameNavigated$1(e){let cancel=()=>{
throw new Error("waitForFrameNavigated.cancel() called before it was defined")};return{promise:new Promise(((t,r)=>{e.once("Page.frameNavigated",t),cancel=()=>{e.off("Page.frameNavigated",t),r(new Error("Wait for navigated cancelled"))}})),cancel}},waitForFcp,waitForLoadEvent,waitForNetworkIdle:waitForNetworkIdle$1,waitForCPUIdle,waitForFullyLoaded:async function waitForFullyLoaded$1(e,t,r){const{pauseAfterFcpMs:a,pauseAfterLoadMs:n,networkQuietThresholdMs:i,cpuQuietThresholdMs:o,maxWaitForLoadedMs:s,maxWaitForFcpMs:c}=r,{waitForFcp:l,waitForLoadEvent:u,waitForNetworkIdle:d,waitForCPUIdle:m}=r._waitForTestOverrides||hs;let p;const h=c?l(e,a,c):waitForNothing(),f=u(e,n),y=d(e,t,{networkQuietThresholdMs:i,busyEvent:"network-2-busy",idleEvent:"network-2-idle",isIdle:e=>e.is2Idle()}),v=d(e,t,{networkQuietThresholdMs:i,busyEvent:"network-critical-busy",idleEvent:"network-critical-idle",isIdle:e=>e.isCriticalIdle()});let b=waitForNothing()
;const w=Promise.all([h.promise,f.promise,y.promise,v.promise]).then((()=>(b=m(e,o),b.promise))).then((()=>async function(){return us.verbose("waitFor","loadEventFired and network considered idle"),{timedOut:!1}})).catch((e=>function(){throw e})),S=new Promise(((e,t)=>{p=setTimeout(e,s)})).then((t=>async()=>{if(us.warn("waitFor","Timed out waiting for page load. Checking if page is hung..."),await async function isPageHung(e){try{return e.setNextProtocolTimeout(1e3),await e.sendCommand("Runtime.evaluate",{expression:'"ping"',returnByValue:!0,timeout:1e3}),!1}catch(e){return!0}}(e))throw us.warn("waitFor","Page appears to be hung, killing JavaScript..."),await e.sendCommand("Emulation.setScriptExecutionDisabled",{value:!0}),await e.sendCommand("Runtime.terminateExecution"),new ds(ds.errors.PAGE_HUNG);return{timedOut:!0}})),T=await Promise.race([w,S]);return p&&clearTimeout(p),h.cancel(),f.cancel(),y.cancel(),b.cancel(),T()},waitForUserToContinue:function waitForUserToContinue$1(e){
return e.defaultSession.setNextProtocolTimeout(2**31-1),e.executionContext.evaluate((function createInPagePromise(){let resolve=()=>{};const e=new Promise((e=>resolve=e));return console.log(["You have enabled Lighthouse navigation debug mode.",'When you have finished inspecting the page, evaluate "continueLighthouseRun()"',"in the console to continue with the Lighthouse run."].join(" ")),window.continueLighthouseRun=resolve,e}),{args:[]})}};const fs=on.default,ys=ls,{waitForFullyLoaded:vs,waitForFrameNavigated:bs,waitForUserToContinue:ws}=gs,Ss=mn,Ts=ji,Es={warningRedirected:"The page may not be loading as expected because your test URL ({requested}) was redirected to {final}. Try testing the second URL directly.",warningTimeout:"The page loaded too slowly to finish within the time limit. Results may be incomplete."},xs=oi.createMessageInstanceIdFn("lighthouse-core/gather/driver/navigation.js",Es);function getNavigationWarnings(e){const{requestedUrl:t,finalUrl:r}=e,a=[]
;return e.timedOut&&a.push(xs(Es.warningTimeout)),Ts.equalWithExcludedFragments(t,r)||a.push(xs(Es.warningRedirected,{requested:t,final:r})),a}var _s={gotoURL:async function gotoURL$1(e,t,r){const a="string"==typeof t?{msg:`Navigating to ${t}`,id:"lh:driver:navigate"}:{msg:"Navigating using a user defined function",id:"lh:driver:navigate"};fs.time(a);const n=e.defaultSession,i=new ys(e.defaultSession);let o;await i.enable(),await n.sendCommand("Page.enable"),await n.sendCommand("Page.setLifecycleEventsEnabled",{enabled:!0}),"string"==typeof t?(n.setNextProtocolTimeout(1/0),o=n.sendCommand("Page.navigate",{url:t})):o=t();const s=r.waitUntil.includes("navigated"),c=r.waitUntil.includes("load"),l=r.waitUntil.includes("fcp"),u=[];if(s){const e=bs(n).promise;u.push(e.then((()=>({timedOut:!1}))))}if(c){const e=function resolveWaitForFullyLoadedOptions(e){let{pauseAfterFcpMs:t,pauseAfterLoadMs:r,networkQuietThresholdMs:a,cpuQuietThresholdMs:n}=e,i=e.maxWaitForLoad,o=e.maxWaitForFcp
;return"number"!=typeof t&&(t=0),"number"!=typeof r&&(r=0),"number"!=typeof a&&(a=5e3),"number"!=typeof n&&(n=0),"number"!=typeof i&&(i=Ss.defaultSettings.maxWaitForLoad),"number"!=typeof o&&(o=Ss.defaultSettings.maxWaitForFcp),e.waitUntil.includes("fcp")||(o=void 0),{pauseAfterFcpMs:t,pauseAfterLoadMs:r,networkQuietThresholdMs:a,cpuQuietThresholdMs:n,maxWaitForLoadedMs:i,maxWaitForFcpMs:o}}(r);u.push(vs(n,i,e))}else if(l)throw new Error("Cannot wait for FCP without waiting for page load");const d=(await Promise.all(u)).some((e=>e.timedOut)),m=await i.getNavigationUrls();let p=m.requestedUrl;if("string"==typeof t&&(t!==p&&fs.error("Navigation","Provided URL did not match initial navigation URL"),p=t),!p)throw Error("No navigations detected when running user defined requestor.");const h=m.finalUrl||p;return await o,await i.disable(),r.debugNavigation&&await ws(e),fs.timeEnd(a),{requestedUrl:p,finalUrl:h,warnings:getNavigationWarnings({timedOut:d,finalUrl:h,requestedUrl:p})}},
getNavigationWarnings,UIStrings:Es};var As={getServiceWorkerVersions:function getServiceWorkerVersions(e){return new Promise(((t,r)=>{const versionUpdatedListener=a=>{const n=a.versions.filter((e=>"redundant"!==e.status)),i=n.find((e=>"activated"===e.status));n.length&&!i||(e.off("ServiceWorker.workerVersionUpdated",versionUpdatedListener),e.sendCommand("ServiceWorker.disable").then((e=>t(a)),r))};e.on("ServiceWorker.workerVersionUpdated",versionUpdatedListener),e.sendCommand("ServiceWorker.enable").catch(r)}))},getServiceWorkerRegistrations:function getServiceWorkerRegistrations(e){return new Promise(((t,r)=>{e.once("ServiceWorker.workerRegistrationUpdated",(a=>{e.sendCommand("ServiceWorker.disable").then((e=>t(a)),r)})),e.sendCommand("ServiceWorker.enable").catch(r)}))}
},Rs={},ks=["aliceblue","antiquewhite","aqua","aquamarine","azure","beige","bisque","black","blanchedalmond","blue","blueviolet","brown","burlywood","cadetblue","chartreuse","chocolate","coral","cornflowerblue","cornsilk","crimson","cyan","darkblue","darkcyan","darkgoldenrod","darkgray","darkgreen","darkgrey","darkkhaki","darkmagenta","darkolivegreen","darkorange","darkorchid","darkred","darksalmon","darkseagreen","darkslateblue","darkslategray","darkslategrey","darkturquoise","darkviolet","deeppink","deepskyblue","dimgray","dimgrey","dodgerblue","firebrick","floralwhite","forestgreen","fuchsia","gainsboro","ghostwhite","gold","goldenrod","gray","green","greenyellow","grey","honeydew","hotpink","indianred","indigo","ivory","khaki","lavender","lavenderblush","lawngreen","lemonchiffon","lightblue","lightcoral","lightcyan","lightgoldenrodyellow","lightgray","lightgreen","lightgrey","lightpink","lightsalmon","lightseagreen","lightskyblue","lightslategray","lightslategrey","lightsteelblue","lightyellow","lime","limegreen","linen","magenta","maroon","mediumaquamarine","mediumblue","mediumorchid","mediumpurple","mediumseagreen","mediumslateblue","mediumspringgreen","mediumturquoise","mediumvioletred","midnightblue","mintcream","mistyrose","moccasin","navajowhite","navy","oldlace","olive","olivedrab","orange","orangered","orchid","palegoldenrod","palegreen","paleturquoise","palevioletred","papayawhip","peachpuff","peru","pink","plum","powderblue","purple","rebeccapurple","red","rosybrown","royalblue","saddlebrown","salmon","sandybrown","seagreen","seashell","sienna","silver","skyblue","slateblue","slategray","slategrey","snow","springgreen","steelblue","tan","teal","thistle","tomato","turquoise","violet","wheat","white","whitesmoke","yellow","yellowgreen"]
;!function(e){const t=ks;e.TYPES={INTEGER:1,NUMBER:2,LENGTH:3,PERCENT:4,URL:5,COLOR:6,STRING:7,ANGLE:8,KEYWORD:9,NULL_OR_EMPTY_STR:10};var r=/^[-+]?[0-9]+$/,a=/^[-+]?[0-9]*\.[0-9]+$/,n=/^(0|[-+]?[0-9]*\.?[0-9]+(in|cm|em|mm|pt|pc|px|ex|rem|vh|vw))$/,i=/^[-+]?[0-9]*\.?[0-9]+%$/,o=/^url\(\s*([^)]*)\s*\)$/,s=/^("[^"]*"|'[^']*')$/,c=/^#[0-9a-fA-F][0-9a-fA-F][0-9a-fA-F]([0-9a-fA-F][0-9a-fA-F][0-9a-fA-F])?$/,l=/^rgb\(([^)]*)\)$/,u=/^rgba\(([^)]*)\)$/,d=/^hsla?\(\s*(-?\d+|-?\d*.\d+)\s*,\s*(-?\d+|-?\d*.\d+)%\s*,\s*(-?\d+|-?\d*.\d+)%\s*(,\s*(-?\d+|-?\d*.\d+)\s*)?\)/,m=/^([-+]?[0-9]*\.?[0-9]+)(deg|grad|rad)$/;e.valueType=function valueType(p){if(""===p||null===p)return e.TYPES.NULL_OR_EMPTY_STR;if("number"==typeof p&&(p=p.toString()),"string"==typeof p){if(r.test(p))return e.TYPES.INTEGER;if(a.test(p))return e.TYPES.NUMBER;if(n.test(p))return e.TYPES.LENGTH;if(i.test(p))return e.TYPES.PERCENT;if(o.test(p))return e.TYPES.URL;if(s.test(p))return e.TYPES.STRING;if(m.test(p))return e.TYPES.ANGLE
;if(c.test(p))return e.TYPES.COLOR;var h,f=l.exec(p);if(null!==f){if(3!==(h=f[1].split(/\s*,\s*/)).length)return;return h.every(i.test.bind(i))||h.every(r.test.bind(r))?e.TYPES.COLOR:void 0}if(null!==(f=u.exec(p))){if(4!==(h=f[1].split(/\s*,\s*/)).length)return;return(h.slice(0,3).every(i.test.bind(i))||h.every(r.test.bind(r)))&&a.test(h[3])?e.TYPES.COLOR:void 0}if(d.test(p))return e.TYPES.COLOR;if(p=p.toLowerCase(),t.includes(p))return e.TYPES.COLOR;switch(p){case"activeborder":case"activecaption":case"appworkspace":case"background":case"buttonface":case"buttonhighlight":case"buttonshadow":case"buttontext":case"captiontext":case"graytext":case"highlight":case"highlighttext":case"inactiveborder":case"inactivecaption":case"inactivecaptiontext":case"infobackground":case"infotext":case"menu":case"menutext":case"scrollbar":case"threeddarkshadow":case"threedface":case"threedhighlight":case"threedlightshadow":case"threedshadow":case"window":case"windowframe":case"windowtext":
return e.TYPES.COLOR;default:return e.TYPES.KEYWORD}}},e.parseInteger=function parseInteger(t){var r=e.valueType(t);return r===e.TYPES.NULL_OR_EMPTY_STR?t:r===e.TYPES.INTEGER?String(parseInt(t,10)):void 0},e.parseNumber=function parseNumber(t){var r=e.valueType(t);return r===e.TYPES.NULL_OR_EMPTY_STR?t:r===e.TYPES.NUMBER||r===e.TYPES.INTEGER?String(parseFloat(t)):void 0},e.parseLength=function parseLength(t){if(0===t||"0"===t)return"0px";var r=e.valueType(t);return r===e.TYPES.NULL_OR_EMPTY_STR||r===e.TYPES.LENGTH?t:void 0},e.parsePercent=function parsePercent(t){if(0===t||"0"===t)return"0%";var r=e.valueType(t);return r===e.TYPES.NULL_OR_EMPTY_STR||r===e.TYPES.PERCENT?t:void 0},e.parseMeasurement=function parseMeasurement(t){var r=e.parseLength(t);return void 0!==r?r:e.parsePercent(t)},e.parseUrl=function parseUrl(t){if(e.valueType(t)===e.TYPES.NULL_OR_EMPTY_STR)return t;var r=o.exec(t);if(r){var a=r[1];if('"'!==a[0]&&"'"!==a[0]||a[0]===a[a.length-1]){var n
;for('"'!==a[0]&&"'"!==a[0]||(a=a.substr(1,a.length-2)),n=0;n<a.length;n++)switch(a[n]){case"(":case")":case" ":case"\t":case"\n":case"'":case'"':return;case"\\":n++}return"url("+a+")"}}},e.parseString=function parseString(t){var r=e.valueType(t);if(r===e.TYPES.NULL_OR_EMPTY_STR)return t;if(r===e.TYPES.STRING){var a;for(a=1;a<t.length-1;a++)switch(t[a]){case t[0]:return;case"\\":for(a++;a<t.length-1&&/[0-9A-Fa-f]/.test(t[a]);)a++}if(!(a>=t.length))return t}},e.parseColor=function parseColor(t){var n=e.valueType(t);if(n===e.TYPES.NULL_OR_EMPTY_STR)return t;var o,s,m,p,h,f,y,v=1,b=c.exec(t);if(b){var w=t.substr(1);return 3===w.length&&(w=w[0]+w[0]+w[1]+w[1]+w[2]+w[2]),"rgb("+(o=parseInt(w.substr(0,2),16))+", "+(s=parseInt(w.substr(2,2),16))+", "+(m=parseInt(w.substr(4,2),16))+")"}if(b=l.exec(t)){if(3!==(y=b[1].split(/\s*,\s*/)).length)return;if(y.every(i.test.bind(i)))o=Math.floor(255*parseFloat(y[0].slice(0,-1))/100),s=Math.floor(255*parseFloat(y[1].slice(0,-1))/100),
m=Math.floor(255*parseFloat(y[2].slice(0,-1))/100);else{if(!y.every(r.test.bind(r)))return;o=parseInt(y[0],10),s=parseInt(y[1],10),m=parseInt(y[2],10)}return"rgb("+(o=Math.min(255,Math.max(0,o)))+", "+(s=Math.min(255,Math.max(0,s)))+", "+(m=Math.min(255,Math.max(0,m)))+")"}if(b=u.exec(t)){if(4!==(y=b[1].split(/\s*,\s*/)).length)return;if(y.slice(0,3).every(i.test.bind(i)))o=Math.floor(255*parseFloat(y[0].slice(0,-1))/100),s=Math.floor(255*parseFloat(y[1].slice(0,-1))/100),m=Math.floor(255*parseFloat(y[2].slice(0,-1))/100),v=parseFloat(y[3]);else{if(!y.slice(0,3).every(r.test.bind(r)))return;o=parseInt(y[0],10),s=parseInt(y[1],10),m=parseInt(y[2],10),v=parseFloat(y[3])}return isNaN(v)&&(v=1),o=Math.min(255,Math.max(0,o)),s=Math.min(255,Math.max(0,s)),m=Math.min(255,Math.max(0,m)),1===(v=Math.min(1,Math.max(0,v)))?"rgb("+o+", "+s+", "+m+")":"rgba("+o+", "+s+", "+m+", "+v+")"}if(b=d.exec(t)){const[,e,t,r,n=""]=b,i=parseFloat(n.replace(",","").trim());if(!e||!t||!r)return
;return p=parseFloat(e),h=parseInt(t,10),f=parseInt(r,10),i&&a.test(i)&&(v=parseFloat(i)),n&&1!==v?"hsla("+p+", "+h+"%, "+f+"%, "+v+")":"hsl("+p+", "+h+"%, "+f+"%)"}return n===e.TYPES.COLOR?t:void 0},e.parseAngle=function parseAngle(t){var r=e.valueType(t);if(r===e.TYPES.NULL_OR_EMPTY_STR)return t;if(r===e.TYPES.ANGLE){var a=m.exec(t),n=parseFloat(a[1]);for("rad"===a[2]?n*=180/Math.PI:"grad"===a[2]&&(n*=.9);n<0;)n+=360;for(;n>360;)n-=360;return n+"deg"}},e.parseKeyword=function parseKeyword(t,r){var a,n=e.valueType(t);if(n===e.TYPES.NULL_OR_EMPTY_STR)return t;if(n===e.TYPES.KEYWORD)for(t=t.toString().toLowerCase(),a=0;a<r.length;a++)if(r[a].toLowerCase()===t)return r[a]};var dashedToCamelCase=function(e){var t,r="",a=!1;for(t=0;t<e.length;t++)"-"!==e[t]?(r+=a?e[t].toUpperCase():e[t],a=!1):a=!0;return r};e.dashedToCamelCase=dashedToCamelCase;var p=/\s/,h=['"',"'","("],f=['"',"'",")"],getParts=function(e){var t,r,a,n=[],i=e.length,o=[],s="";for(t=0;t<i;t++)r=h.indexOf(e[t]),
a=f.indexOf(e[t]),p.test(e[t])?0===n.length?(""!==s&&o.push(s),s=""):s+=e[t]:"\\"===e[t]?s+=e[++t]:(s+=e[t],-1!==a&&a===n[n.length-1]?n.pop():-1!==r&&n.push(r));return""!==s&&o.push(s),o};e.shorthandParser=function parse(t,r){var a={};if(e.valueType(t)===e.TYPES.NULL_OR_EMPTY_STR)return Object.keys(r).forEach((function(e){a[e]=""})),a;if("number"==typeof t&&(t=t.toString()),"string"==typeof t){if("inherit"===t.toLowerCase())return{};var n=getParts(t),i=!0;if(n.forEach((function(e,t){var n=!1;Object.keys(r).forEach((function(i){r[i].isValid(e,t)&&(n=!0,a[i]=e)})),i=i&&n})),i)return a}},e.shorthandSetter=function(t,r){return function(a){var n=e.shorthandParser(a,r);if(void 0!==n){Object.keys(n).forEach((function(e){var t=dashedToCamelCase(e);this[t]=n[e],n[e]=this[t],this.removeProperty(e),""!==n[e]&&(this._values[e]=n[e])}),this),Object.keys(r).forEach((function(e){n.hasOwnProperty(e)||(this.removeProperty(e),delete this._values[e])}),this),this.removeProperty(t)
;var i=e.shorthandGetter(t,r).call(this);""!==i&&this._setProperty(t,i)}}},e.shorthandGetter=function(e,t){return function(){return void 0!==this._values[e]?this.getPropertyValue(e):Object.keys(t).map((function(e){return this.getPropertyValue(e)}),this).filter((function(e){return""!==e})).join(" ")}},e.implicitSetter=function(e,t,r,a){""!==(t=t||"")&&(t="-"+t);var n=["top","right","bottom","left"];return function(i){var o;if(("number"==typeof i&&(i=i.toString()),"string"==typeof i)&&(!((o="inherit"===i.toLowerCase()||""===i?[i]:getParts(i)).length<1||o.length>4)&&o.every(r))){o=o.map((function(e){return a(e)})),this._setProperty(e+t,o.join(" ")),1===o.length&&(o[1]=o[0]),2===o.length&&(o[2]=o[0]),3===o.length&&(o[3]=o[1]);for(var s=0;s<4;s++){var c=e+"-"+n[s]+t;this.removeProperty(c),""!==o[s]&&(this._values[c]=o[s])}return i}}},e.subImplicitSetter=function(e,t,r,a){var n=e+"-"+t,i=[e+"-top",e+"-right",e+"-bottom",e+"-left"];return function(t){if("number"==typeof t&&(t=t.toString()),
"string"==typeof t&&r(t)){t=a(t),this._setProperty(n,t);for(var o=[],s=0;s<4&&(null!=this._values[i[s]]&&""!==this._values[i[s]]);s++)o.push(this._values[i[s]]);if(4===o.length){for(s=0;s<4;s++)this.removeProperty(i[s]),this._values[i[s]]=o[s];this._setProperty(e,o.join(" "))}return t}}};var y=/[A-Z]/g,v=/^\([^-]\)-/,b=["o","moz","ms","webkit"];e.camelToDashed=function(e){var t,r=e.replace(y,"-$&").toLowerCase();return(t=r.match(v))&&-1!==b.indexOf(t[1])&&(r="-"+r),r}}(Rs);const Ds=ji,Cs=Rs,Is=["fullscreen","standalone","minimal-ui","browser"],Ns="browser",Ls=["any","natural","landscape","portrait","portrait-primary","portrait-secondary","landscape-primary","landscape-secondary"];function parseString(e,t){let r,a;return"string"==typeof e?r=t?e.trim():e:(void 0!==e&&(a="ERROR: expected a string."),r=void 0),{raw:e,value:r,warning:a}}function parseColor(e){const t=parseString(e);return void 0===t.value||function isValidColor(e){return Cs.valueType(e)===Cs.TYPES.COLOR
}(t.raw)||(t.value=void 0,t.warning="ERROR: color parsing failed."),t}function parseName(e){return parseString(e.name,!0)}function parseShortName(e){return parseString(e.short_name,!0)}function parseStartUrl(e,t,r){const a=e.start_url;if(""===a)return{raw:a,value:r,warning:"ERROR: start_url string empty"};if(void 0===a)return{raw:a,value:r};if("string"!=typeof a)return{raw:a,value:r,warning:"ERROR: expected a string."};let n;try{n=new Ds(a,t).href}catch(e){return{raw:a,value:r,warning:`ERROR: invalid start_url relative to ${t}`}}return function checkSameOrigin(e,t){const r=new Ds(e),a=new Ds(t);return r.origin===a.origin}(n,r)?{raw:a,value:n}:{raw:a,value:r,warning:"ERROR: start_url must be same-origin as document"}}function parseDisplay(e){const t=parseString(e.display,!0),r=t.value;if(!r)return{raw:e,value:Ns,warning:t.warning};const a=r.toLowerCase();return Is.includes(a)?{raw:e,value:a,warning:void 0}:{raw:e,value:Ns,
warning:"ERROR: 'display' has invalid value "+a+". will fall back to browser."}}function parseOrientation(e){const t=parseString(e.orientation,!0);return t.value&&!Ls.includes(t.value.toLowerCase())&&(t.value=void 0,t.warning="ERROR: 'orientation' has an invalid value, will be ignored."),t}function parseIcons(e,t){const r=e.icons;if(void 0===r)return{raw:r,value:[],warning:void 0};if(!Array.isArray(r))return{raw:r,value:[],warning:"ERROR: 'icons' expected to be an array but is not."};const a=r.filter((e=>void 0!==e.src)).map((e=>function parseIcon(e,t){const r=parseString(e.src,!0);if(""===r.value&&(r.value=void 0),r.value)try{r.value=new Ds(r.value,t).href}catch(t){r.warning=`ERROR: invalid icon url will be ignored: '${e.src}'`,r.value=void 0}const a=parseString(e.type,!0),n=parseString(e.purpose),i={raw:e.purpose,value:["any"],warning:void 0};void 0!==n.value&&(i.value=n.value.split(/\s+/).map((e=>e.toLowerCase())));const o={raw:e.density,value:1,warning:void 0};let s
;void 0!==o.raw&&(o.value=parseFloat(o.raw),(isNaN(o.value)||!isFinite(o.value)||o.value<=0)&&(o.value=1,o.warning="ERROR: icon density cannot be NaN, +∞, or less than or equal to +0."));const c=parseString(e.sizes);if(void 0!==c.value){const t=new Set;c.value.trim().split(/\s+/).forEach((e=>t.add(e.toLowerCase()))),s={raw:e.sizes,value:t.size>0?Array.from(t):void 0,warning:void 0}}else s={...c,value:void 0};return{raw:e,value:{src:r,type:a,density:o,sizes:s,purpose:i},warning:void 0}}(e,t))),n=a.filter((e=>{const t=[e.warning,e.value.type.warning,e.value.src.warning,e.value.sizes.warning,e.value.density.warning].filter(Boolean),r=!!e.value.src.value;return!!t.length&&!r}));return{raw:r,value:a.filter((e=>void 0!==e.value.src.value)),warning:n.length?"WARNING: Some icons were ignored due to warnings.":void 0}}function parseApplication(e){const t=parseString(e.platform,!0),r=parseString(e.id,!0),a=parseString(e.url,!0);if(a.value)try{a.value=new Ds(a.value).href}catch(t){a.value=void 0,
a.warning=`ERROR: invalid application URL ${e.url}`}return{raw:e,value:{platform:t,id:r,url:a},warning:void 0}}function parseRelatedApplications(e){const t=e.related_applications;if(void 0===t)return{raw:t,value:void 0,warning:void 0};if(!Array.isArray(t))return{raw:t,value:void 0,warning:"ERROR: 'related_applications' expected to be an array but is not."};const r=t.filter((e=>!!e.platform)).map(parseApplication).filter((e=>!!e.value.id.value||!!e.value.url.value));return{raw:t,value:r,warning:void 0}}function parsePreferRelatedApplications(e){const t=e.prefer_related_applications;let r,a;return"boolean"==typeof t?r=t:(void 0!==t&&(a="ERROR: 'prefer_related_applications' expected to be a boolean."),r=void 0),{raw:t,value:r,warning:a}}function parseThemeColor(e){return parseColor(e.theme_color)}function parseBackgroundColor(e){return parseColor(e.background_color)}var Ms=function parse$2(e,t,r){
if(void 0===t||void 0===r)throw new Error("Manifest and document URLs required for manifest parsing.");let a;try{a=JSON.parse(e)}catch(r){return{raw:e,value:void 0,warning:"ERROR: file isn't valid JSON: "+r,url:t}}const n={name:parseName(a),short_name:parseShortName(a),start_url:parseStartUrl(a,t,r),display:parseDisplay(a),orientation:parseOrientation(a),icons:parseIcons(a,t),related_applications:parseRelatedApplications(a),prefer_related_applications:parsePreferRelatedApplications(a),theme_color:parseThemeColor(a),background_color:parseBackgroundColor(a)};let i;try{new Ds(t).protocol.startsWith("http")||(i="WARNING: manifest URL not available over a valid network protocol")}catch(e){i=`ERROR: invalid manifest URL: '${t}'`}return{raw:e,value:n,warning:i,url:t}};const Ps=on.default,Os=Ms,Fs=eo;class WebAppManifest$1 extends Fs{meta={supportedModes:["snapshot","navigation"]};static async fetchAppManifest(e){let t;e.setNextProtocolTimeout(1e4);try{
t=await e.sendCommand("Page.getAppManifest")}catch(e){if("PROTOCOL_TIMEOUT"===e.code)return Ps.error("WebAppManifest","Failed fetching manifest",e),null;throw e}let r=t.data;if(!r)return null;return 65279===r.charCodeAt(0)&&(r=Buffer.from(r).slice(3).toString()),{...t,data:r}}static async getWebAppManifest(e,t){const r={msg:"Get webapp manifest",id:"lh:gather:getWebAppManifest"};Ps.time(r);const a=await WebAppManifest$1.fetchAppManifest(e);if(!a)return null;const n=Os(a.data,a.url,t);return Ps.timeEnd(r),n}getArtifact(e){const t=e.driver;return WebAppManifest$1.getWebAppManifest(t.defaultSession,e.url)}}var Us=WebAppManifest$1;const js=on.default,Bs=eo;class InstallabilityErrors$1 extends Bs{meta={supportedModes:["snapshot","navigation"]};static async getInstallabilityErrors(e){const t={msg:"Get webapp installability errors",id:"lh:gather:getInstallabilityErrors"};js.time(t);const r=(await e.sendCommand("Page.getInstallabilityErrors")).installabilityErrors;return js.timeEnd(t),{
errors:r}}getArtifact(e){const t=e.driver;return InstallabilityErrors$1.getInstallabilityErrors(t.defaultSession)}}var $s=InstallabilityErrors$1;const qs=ls,zs=Qi,Vs=eo;class DevtoolsLog$8 extends Vs{static symbol=Symbol("DevtoolsLog");meta={symbol:DevtoolsLog$8.symbol,supportedModes:["timespan","navigation"]};constructor(){super(),this._networkMonitor=void 0,this._messageLog=new zs(/^(Page|Network)\./),this._onProtocolMessage=e=>this._messageLog.record(e)}async startSensitiveInstrumentation({driver:e}){this._messageLog.reset(),this._messageLog.beginRecording(),this._networkMonitor=new qs(e.defaultSession),this._networkMonitor.on("protocolmessage",this._onProtocolMessage),this._networkMonitor.enable()}async stopSensitiveInstrumentation(){this._networkMonitor&&(this._messageLog.endRecording(),this._networkMonitor.disable(),this._networkMonitor.off("protocolmessage",this._onProtocolMessage))}async getArtifact(){return this._messageLog.messages}}var Ws=DevtoolsLog$8;const Gs=eo,Hs=Ws
;class NetworkUserAgent$1 extends Gs{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Hs.symbol}};static getNetworkUserAgent(e){for(const t of e){if("Network.requestWillBeSent"!==t.method)continue;const e=t.params.request.headers["User-Agent"];if(e)return e}return""}async getArtifact(e){return NetworkUserAgent$1.getNetworkUserAgent(e.dependencies.DevtoolsLog)}}var Ys=NetworkUserAgent$1;const Ks=on.default,Js=eo;async function detectLibraries(){const e=[],t=d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests;for(const[r,a]of Object.entries(t))try{let t;const n=new Promise((e=>t=setTimeout((()=>e(!1)),1e3))),i=await Promise.race([a.test(window),n]);t&&clearTimeout(t),i&&e.push({id:a.id,name:r,version:i.version,npm:a.npm})}catch(e){}return e}class Stacks$1 extends Js{constructor(){super(),this.meta={supportedModes:["snapshot","navigation"]}}static async collectStacks(e){const t={msg:"Collect stacks",id:"lh:gather:collectStacks"};Ks.time(t)
;const r=(await e.evaluate(detectLibraries,{args:[],
deps:['function _createTimeoutHelper(){let e;return{timeoutPromise:new Promise(((t,o)=>{e=setTimeout((()=>o(new Error("Timed out"))),5e3)})),clearTimeout:()=>clearTimeout(e)}}var UNKNOWN_VERSION=null,d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests={GWT:{id:"gwt",icon:"gwt",url:"http://www.gwtproject.org/",test:function(e){var t=e.document,o=t.getElementById("__gwt_historyFrame"),r=t.gwt_uid,n=t.body.__listener,i=t.body.__eventBits,s=e.__gwt_activeModules,c=e.__gwt_jsonp__,u=e.__gwt_scriptsLoaded||e.__gwt_stylesLoaded||e.__gwt_activeModules;if(o||r||n||i||s||c||u){for(var a=t.getElementsByTagName("iframe"),l=UNKNOWN_VERSION,N=0;N<a.length;N++)try{if(a[N].tabIndex<0&&a[N].contentWindow&&a[N].contentWindow.$gwt_version){l=a[N].contentWindow.$gwt_version;break}}catch(e){}return"0.0.999"==l&&(l="Google Internal"),{version:l}}return!1}},Ink:{id:"ink",icon:"ink",url:"http://ink.sapo.pt/",test:function(e){return!(!e.Ink||!e.Ink.createModule)&&{version:UNKNOWN_VERSION}}},Vaadin:{id:"vaadin",icon:"vaadin",url:"https://vaadin.com/",test:function(e){return!(!e.vaadin||!e.vaadin.registerWidgetset)&&{version:UNKNOWN_VERSION}}},Bootstrap:{id:"bootstrap",icon:"bootstrap",url:"http://getbootstrap.com/",npm:"bootstrap",test:function(e){var t,o=e.$&&e.$.fn;if(o&&(["affix","alert","button","carousel","collapse","dropdown","modal","popover","scrollspy","tab","tooltip"].some((function(o){if(e.$.fn[o]){if(e.$.fn[o].Constructor&&e.$.fn[o].Constructor.VERSION)return t=e.$.fn[o].Constructor.VERSION,!0;if(new RegExp("\\\\$this\\\\.data\\\\((?:\'|\\")(?:bs\\\\.){1}"+o).test(e.$.fn[o].toString()))return t=">= 3.0.0 & <= 3.1.1",!0;if(new RegExp("\\\\$this\\\\.data\\\\((?:\'|\\")"+o).test(e.$.fn[o].toString()))return t=">= 2.0.0 & <= 2.3.2",!0}return!1})),t))return{version:t};return!1}},Zurb:{id:"zurb",icon:"zurb",url:"https://foundation.zurb.com/",npm:"foundation-sites",test:function(e){return!(!e.Foundation||!e.Foundation.Toggler)&&{version:e.Foundation.version||UNKNOWN_VERSION}}},Polymer:{id:"polymer",icon:"polymer",url:"https://www.polymer-project.org/",npm:"@polymer/polymer",test:function(e){return!(!e.Polymer||!e.Polymer.dom)&&{version:e.Polymer.version||UNKNOWN_VERSION}}},LitElement:{id:"litelement",icon:"polymer",url:"https://lit-element.polymer-project.org/",npm:"lit-element",test:function(e){if(e.litElementVersions&&e.litElementVersions.length){var t=[...e.litElementVersions].sort(((e,t)=>e.localeCompare(t,void 0,{numeric:!0})));return{version:t[t.length-1]}}return!1}},"lit-html":{id:"lit-html",icon:"polymer",url:"https://lit-html.polymer-project.org/",npm:"lit-element",test:function(e){if(e.litHtmlVersions&&e.litHtmlVersions.length){var t=[...e.litHtmlVersions].sort(((e,t)=>e.localeCompare(t,void 0,{numeric:!0})));return{version:t[t.length-1]}}return!1}},Highcharts:{id:"highcharts",icon:"highcharts",url:"http://www.highcharts.com",npm:"highcharts",test:function(e){return!(!e.Highcharts||!e.Highcharts.Point)&&{version:e.Highcharts.version||UNKNOWN_VERSION}}},InfoVis:{id:"jit",icon:"jit",url:"http://philogb.github.com/jit/",test:function(e){return!(!e.$jit||!e.$jit.PieChart)&&{version:e.$jit.version||UNKNOWN_VERSION}}},FlotCharts:{id:"flotcharts",icon:"flotcharts",url:"http://www.flotcharts.org/",npm:"flot",test:function(e){return!(!e.$||!e.$.plot)&&{version:e.$.plot.version||UNKNOWN_VERSION}}},CreateJS:{id:"createjs",icon:"createjs",url:"https://createjs.com/",npm:"createjs",test:function(e){return!(!e.createjs||!e.createjs.promote)&&{version:UNKNOWN_VERSION}}},"Google Maps":{id:"gmaps",icon:"gmaps",url:"https://developers.google.com/maps/",test:function(e){return!(!e.google||!e.google.maps)&&{version:e.google.maps.version||UNKNOWN_VERSION}}},jQuery:{id:"jquery",icon:"jquery",url:"http://jquery.com",npm:"jquery",test:function(e){var t=e.jQuery||e.$;return!!(t&&t.fn&&t.fn.jquery)&&{version:t.fn.jquery.replace(/[^\\d+\\.+]/g,"")||UNKNOWN_VERSION}}},"jQuery (Fast path)":{id:"jquery-fast",icon:"jquery",url:"http://jquery.com",npm:"jquery",test:function(e){var t=e.jQuery||e.$;return!(!t||!t.fn)&&{version:UNKNOWN_VERSION}}},"jQuery UI":{id:"jquery_ui",icon:"jquery_ui",url:"http://jqueryui.com",npm:"jquery-ui",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;if(t&&t.fn&&t.fn.jquery&&t.ui){for(var o="accordion,datepicker,dialog,draggable,droppable,progressbar,resizable,selectable,slider,menu,grid,tabs".split(","),r=[],n=0;n<o.length;n++)t.ui[o[n]]&&r.push(o[n].substr(0,1).toUpperCase()+o[n].substr(1));return{version:t.ui.version||UNKNOWN_VERSION,details:r.length?"Plugins used: "+r.join(","):""}}return!1}},Dojo:{id:"dojo",icon:"dojo",url:"http://dojotoolkit.org",npm:"dojo",test:function(e){return!(!e.dojo||!e.dojo.delegate)&&{version:e.dojo.version?e.dojo.version.toString():UNKNOWN_VERSION,details:"Details: "+(e.dijit?"Uses Dijit":"none")}}},Prototype:{id:"prototype",icon:"prototype",url:"http://prototypejs.org",test:function(e){return!(!e.Prototype||!e.Prototype.BrowserFeatures)&&{version:e.Prototype.Version||UNKNOWN_VERSION}}},Scriptaculous:{id:"scriptaculous",icon:"scriptaculous",url:"http://script.aculo.us",test:function(e){return!(!e.Scriptaculous||!e.Scriptaculous.load)&&{version:e.Scriptaculous.Version||UNKNOWN_VERSION}}},MooTools:{id:"mootools",icon:"mootools",url:"https://mootools.net/",test:function(e){return!(!e.MooTools||!e.MooTools.build)&&{version:e.MooTools.version||UNKNOWN_VERSION}}},Spry:{id:"spry",icon:"spry",url:"http://labs.adobe.com/technologies/spry",test:function(e){return!(!e.Spry||!e.Spry.Data)&&{version:UNKNOWN_VERSION}}},"YUI 2":{id:"yui",icon:"yui",url:"http://developer.yahoo.com/yui/2/",test:function(e){return!(!e.YAHOO||!e.YAHOO.util)&&{version:e.YAHOO.VERSION||UNKNOWN_VERSION}}},"YUI 3":{id:"yui3",icon:"yui3",url:"https://yuilibrary.com/",npm:"yui",test:function(e){return!(!e.YUI||!e.YUI.Env)&&{version:e.YUI.version||UNKNOWN_VERSION}}},Qooxdoo:{id:"qooxdoo",icon:"qooxdoo",url:"http://www.qooxdoo.org/",npm:"qooxdoo",test:function(e){return!(!e.qx||!e.qx.Bootstrap)&&{version:UNKNOWN_VERSION}}},"Ext JS":{id:"extjs",icon:"extjs",url:"https://www.sencha.com/products/extjs/",test:function(e){return e.Ext&&e.Ext.versions?{version:e.Ext.versions.core.version}:!!e.Ext&&{version:e.Ext.version||UNKNOWN_VERSION}}},Ezoic:{id:"ezoic",icon:"ezoic",url:"https://www.ezoic.com/",test:function(e){return!(!e.__ez||!e.__ez.template)&&{version:UNKNOWN_VERSION}}},base2:{id:"base2",icon:"base2",url:"http://code.google.com/p/base2",test:function(e){return!(!e.base2||!e.base2.dom)&&{version:e.base2.version||UNKNOWN_VERSION}}},"Closure Library":{id:"closure",icon:"closure",url:"https://developers.google.com/closure/library/",npm:"google-closure-library",test:function(e){return!(!e.goog||!e.goog.provide)&&{version:UNKNOWN_VERSION}}},"Rapha&euml;l":{id:"raphael",icon:"raphael",url:"http://dmitrybaranovskiy.github.io/raphael/",test:function(e){return!(!e.Raphael||!e.Raphael.circle)&&{version:e.Raphael.version||UNKNOWN_VERSION}}},React:{id:"react",icon:"react",url:"https://reactjs.org/",npm:"react",test:function(e){function t(e){return null!=e&&null!=e._reactRootContainer}var o=document.getElementById("react-root"),r=document.querySelector("*[data-reactroot]");return!!(t(document.body)||t(document.body.firstElementChild)||null!=document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return t(e)?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()||o&&o.innerText.length>0||r||e.React&&e.React.Component)&&{version:e.React&&e.React.version||UNKNOWN_VERSION}}},"React (Fast path)":{id:"react-fast",icon:"react",url:"https://reactjs.org/",npm:"react",test:function(e){function t(e){return null!=e&&null!=e._reactRootContainer}var o=document.getElementById("react-root"),r=document.querySelector("*[data-reactroot]");return!!(t(document.body)||t(document.body.firstElementChild)||o||r||e.React)&&{version:e.React&&e.React.version||UNKNOWN_VERSION}}},"Next.js":{id:"next",icon:"next",url:"https://nextjs.org/",npm:"next",test:function(e){return!(!e.__NEXT_DATA__||!e.__NEXT_DATA__.buildId)&&{version:window.next&&window.next.version||UNKNOWN_VERSION}}},"Next.js (Fast path)":{id:"next-fast",icon:"next",url:"https://nextjs.org/",npm:"next",test:function(e){return!!e.__NEXT_DATA__&&{version:UNKNOWN_VERSION}}},Preact:{id:"preact",icon:"preact",url:"https://preactjs.com/",npm:"preact",test:function(e){var t="undefined"!=typeof Symbol&&Symbol.for&&Symbol.for("preactattr");function o(e){return"__k"in e&&"props"in e.__k&&"type"in e.__k||("_component"in e||"__preactattr_"in e||t&&null!=e[t])}function r(e){return null!=e&&o(e)&&e}var n=r(document.body)||r(document.body.firstElementChild);if(n||(n=document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return o(e)?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()),n||e.preact){var i=UNKNOWN_VERSION;return n&&("__k"in n&&(i="10"),"__preactattr_"in n&&(i="8"),t&&null!=n[t]&&(i="7")),{version:i}}return!1}},"Preact (Fast path)":{id:"preact-fast",icon:"preact",url:"https://preactjs.com/",npm:"preact",test:function(e){var t=UNKNOWN_VERSION;function o(e){return null!=e&&function(e){return null!=e.__k?(t="10",!0):null!=e._component||null!=e.__preactattr_}(e)}return!(!o(document.body)&&!o(document.body.firstElementChild)&&!e.preact)&&{version:t}}},Modernizr:{id:"modernizr",icon:"modernizr",url:"https://modernizr.com/",npm:"modernizr",test:function(e){return!(!e.Modernizr||!e.Modernizr.addTest)&&{version:e.Modernizr._version||UNKNOWN_VERSION}}},"Processing.js":{id:"processingjs",icon:"processingjs",url:"http://processingjs.org",npm:"processing-js",test:function(e){return!(!e.Processing||!e.Processing.box)&&{version:Processing.version||UNKNOWN_VERSION}}},Backbone:{id:"backbone",icon:"backbone",url:"http://backbonejs.org/",npm:"backbone",test:function(e){return!(!e.Backbone||!e.Backbone.Model.extend)&&{version:e.Backbone.VERSION||UNKNOWN_VERSION}}},Leaflet:{id:"leaflet",icon:"leaflet",url:"http://leafletjs.com",npm:"leaflet",test:function(e){return!(!e.L||!e.L.GeoJSON||!e.L.marker&&!e.L.Marker)&&{version:e.L.version||e.L.VERSION||UNKNOWN_VERSION}}},Mapbox:{id:"mapbox",icon:"mapbox",url:"https://www.mapbox.com/",npm:"mapbox-gl",test:function(e){return!!(e.L&&e.L.mapbox&&e.L.mapbox.geocoder)&&{version:e.L.mapbox.VERSION||UNKNOWN_VERSION}}},"Lo-Dash":{id:"lodash",icon:"lodash",url:"https://lodash.com/",npm:"lodash",test:function(e){var t="function"==typeof(t=e._)&&t,o="function"==typeof(o=t&&t.chain)&&o,r=(o||t||function(){return{}})(1);return!(!t||!r.__wrapped__)&&{version:t.VERSION||UNKNOWN_VERSION}}},Underscore:{id:"underscore",icon:"underscore",url:"http://underscorejs.org/",npm:"underscore",test:function(e){return!(!e._||"function"!=typeof e._.tap||d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests["Lo-Dash"].test(e))&&{version:e._.VERSION||UNKNOWN_VERSION}}},Sammy:{id:"sammy",icon:"sammy",url:"http://sammyjs.org",test:function(e){return!(!e.Sammy||!e.Sammy.Application.curry)&&{version:e.Sammy.VERSION||UNKNOWN_VERSION}}},Rico:{id:"rico",icon:"rico",url:"http://openrico.sourceforge.net/examples/index.html",test:function(e){return!(!e.Rico||!window.Rico.checkIfComplete)&&{version:e.Rico.Version||UNKNOWN_VERSION}}},MochiKit:{id:"mochikit",icon:"mochikit",url:"https://mochi.github.io/mochikit/",test:function(e){return!(!e.MochiKit||!e.MochiKit.Base.module)&&{version:MochiKit.VERSION||UNKNOWN_VERSION}}},"gRapha&euml;l":{id:"graphael",icon:"graphael",url:"https://github.com/DmitryBaranovskiy/g.raphael",test:function(e){return!(!e.Raphael||!e.Raphael.fn.g)&&{version:UNKNOWN_VERSION}}},Glow:{id:"glow",icon:"glow",url:"http://www.bbc.co.uk/glow/",test:function(e){return e.gloader&&e.gloader.getRequests?{version:UNKNOWN_VERSION}:e.glow&&e.glow.dom?{version:e.glow.VERSION||UNKNOWN_VERSION}:!!e.Glow&&{version:e.Glow.version||UNKNOWN_VERSION}}},"Socket.IO":{id:"socketio",icon:"socketio",url:"https://socket.io/",npm:"socket.io",test:function(e){return!(!e.io||!e.io.sockets&&!e.io.Socket)&&{version:e.io.version||UNKNOWN_VERSION}}},Mustache:{id:"mustache",icon:"mustache",url:"http://mustache.github.io/",npm:"mustache",test:function(e){return!(!e.Mustache||!e.Mustache.to_html)&&{version:e.Mustache.version||UNKNOWN_VERSION}}},"Fabric.js":{id:"fabricjs",icon:"icon38",url:"http://fabricjs.com/",npm:"fabric",test:function(e){return!(!e.fabric||!e.fabric.util)&&{version:e.fabric.version||UNKNOWN_VERSION}}},FuseJS:{id:"fusejs",icon:"fusejs",url:"http://fusejs.io/",npm:"fuse.js",test:function(e){return!!e.Fuse&&{version:UNKNOWN_VERSION}}},"Tween.js":{id:"tweenjs",icon:"icon38",url:"https://github.com/tweenjs/tween.js",npm:"tween.js",test:function(e){return!(!e.TWEEN||!e.TWEEN.Easing)&&{version:UNKNOWN_VERSION}}},SproutCore:{id:"sproutcore",icon:"sproutcore",url:"http://sproutcore.com/",test:function(e){return!(!e.SC||!e.SC.Application)&&{version:UNKNOWN_VERSION}}},"Zepto.js":{id:"zepto",icon:"zepto",url:"http://zeptojs.com",npm:"zepto",test:function(e){return!(!e.Zepto||!e.Zepto.fn)&&{version:UNKNOWN_VERSION}}},"three.js":{id:"threejs",icon:"icon38",url:"https://threejs.org/",npm:"three",test:function(e){return e.THREE&&e.THREE.REVISION?{version:"r"+e.THREE.REVISION}:!!e.THREE&&{version:UNKNOWN_VERSION}}},PhiloGL:{id:"philogl",icon:"philogl",url:"http://www.senchalabs.org/philogl/",npm:"philogl",test:function(e){return!(!e.PhiloGL||!e.PhiloGL.Camera)&&{version:e.PhiloGL.version||UNKNOWN_VERSION}}},CamanJS:{id:"camanjs",icon:"camanjs",url:"http://camanjs.com/",npm:"caman",test:function(e){return e.Caman&&e.Caman.version?{version:e.Caman.version.release}:!!e.Caman&&{version:UNKNOWN_VERSION}}},yepnope:{id:"yepnope",icon:"yepnope",url:"http://yepnopejs.com/",test:function(e){return!(!e.yepnope||!e.yepnope.injectJs)&&{version:UNKNOWN_VERSION}}},LABjs:{id:"labjs",icon:"icon38",url:"https://github.com/getify/LABjs",test:function(e){return!(!e.$LAB||!e.$LAB.setOptions)&&{version:UNKNOWN_VERSION}}},"Head JS":{id:"headjs",icon:"headjs",url:"http://headjs.com/",npm:"headjs",test:function(e){return!(!e.head||!e.head.js)&&{version:UNKNOWN_VERSION}}},ControlJS:{id:"controljs",icon:"icon38",url:"http://stevesouders.com/controljs/",test:function(e){return!(!e.CJS||!e.CJS.start)&&{version:UNKNOWN_VERSION}}},RequireJS:{id:"requirejs",icon:"requirejs",url:"http://requirejs.org/",npm:"requirejs",test:function(e){var t=e.require||e.requirejs;return!(!t||!(t.load||t.s&&t.s.contexts&&t.s.contexts._&&(t.s.contexts._.loaded||t.s.contexts._.load)))&&{version:t.version||UNKNOWN_VERSION}}},RightJS:{id:"rightjs",icon:"rightjs",url:"http://rightjs.org/",test:function(e){return!(!e.RightJS||!e.RightJS.isNode)&&{version:e.RightJS.version||UNKNOWN_VERSION}}},"jQuery Tools":{id:"jquerytools",icon:"jquerytools",url:"http://jquerytools.github.io/",test:function(e){var t=e.jQuery||e.$;return!(!t||!t.tools)&&{version:t.tools.version||UNKNOWN_VERSION}}},Pusher:{id:"pusher",icon:"pusher",url:"https://pusher.com/docs/",npm:"pusher-js",test:function(e){return!(!e.Pusher||!e.Pusher.Channel)&&{version:e.Pusher.VERSION||UNKNOWN_VERSION}}},"Paper.js":{id:"paperjs",icon:"paperjs",url:"http://paperjs.org/",npm:"paper",test:function(e){return!(!e.paper||!e.paper.Point)&&{version:e.paper.version||UNKNOWN_VERSION}}},Swiffy:{id:"swiffy",icon:"icon38",url:"https://developers.google.com/swiffy/",test:function(e){return!(!e.swiffy||!e.swiffy.Stage)&&{version:UNKNOWN_VERSION}}},Move:{id:"move",icon:"move",url:"https://github.com/rsms/move",npm:"move",test:function(e){return!(!e.move||!e.move.compile)&&{version:e.move.version()||UNKNOWN_VERSION}}},AmplifyJS:{id:"amplifyjs",icon:"amplifyjs",url:"http://amplifyjs.com/",npm:"amplifyjs",test:function(e){return!(!e.amplify||!e.amplify.publish)&&{version:UNKNOWN_VERSION}}},"Popcorn.js":{id:"popcornjs",icon:"popcornjs",url:"https://github.com/mozilla/popcorn-js/",test:function(e){return!(!e.Popcorn||!e.Popcorn.Events)&&{version:e.Popcorn.version||UNKNOWN_VERSION}}},D3:{id:"d3",icon:"d3",url:"https://d3js.org/",npm:"d3",test:function(e){return!(!e.d3||!e.d3.select)&&{version:e.d3.version||UNKNOWN_VERSION}}},Handlebars:{id:"handlebars",icon:"handlebars",url:"http://handlebarsjs.com/",npm:"handlebars",test:function(e){return!(!e.Handlebars||!e.Handlebars.compile)&&{version:e.Handlebars.VERSION||UNKNOWN_VERSION}}},Knockout:{id:"knockout",icon:"knockout",url:"http://knockoutjs.com/",npm:"knockout",test:function(e){return!(!e.ko||!e.ko.applyBindings)&&{version:e.ko.version||UNKNOWN_VERSION}}},Spine:{id:"spine",icon:"icon38",url:"http://spine.github.io/",test:function(e){return!(!e.Spine||!e.Spine.Controller)&&{version:e.Spine.version||UNKNOWN_VERSION}}},"jQuery Mobile":{id:"jquery-mobile",icon:"jquery_mobile",url:"http://jquerymobile.com/",npm:"jquery-mobile",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;return!!(t&&t.fn&&t.fn.jquery&&t.mobile)&&{version:t.mobile.version||UNKNOWN_VERSION}}},"WebFont Loader":{id:"webfontloader",icon:"icon38",url:"https://github.com/typekit/webfontloader",npm:"webfontloader",test:function(e){return!(!e.WebFont||!e.WebFont.load)&&{version:UNKNOWN_VERSION}}},Angular:{id:"angular",icon:"angular",url:"https://angular.io/",npm:"@angular/core",test:function(e){var t=e.document.querySelector("[ng-version]");return t?{version:t.getAttribute("ng-version")||UNKNOWN_VERSION}:!!(e.ng&&e.ng.probe instanceof Function)&&{version:UNKNOWN_VERSION}}},AngularJS:{id:"angularjs",icon:"angularjs",url:"https://angularjs.org/",npm:"angular",test:function(e){var t=e.angular;return t&&t.version&&t.version.full?{version:t.version.full}:!!t&&{version:UNKNOWN_VERSION}}},"Ember.js":{id:"emberjs",icon:"emberjs",url:"https://emberjs.com/",npm:"ember-source",test:function(e){var t=e.Ember||e.Em;return!(!t||!t.GUID_KEY)&&{version:t.VERSION||UNKNOWN_VERSION}}},"Hammer.js":{id:"hammerjs",icon:"hammerjs",url:"http://eightmedia.github.io/hammer.js/",npm:"hammerjs",test:function(e){return!(!e.Hammer||!e.Hammer.Pinch)&&{version:e.Hammer.VERSION||"&lt; 1.0.10"}}},"Visibility.js":{id:"visibilityjs",icon:"icon38",url:"https://github.com/ai/visibilityjs",npm:"visibilityjs",test:function(e){return!(!e.Visibility||!e.Visibility.every)&&{version:UNKNOWN_VERSION}}},"Velocity.js":{id:"velocityjs",icon:"icon38",url:"http://velocityjs.org/",npm:"velocity-animate",test:function(e){var t=e.jQuery||e.$,o=t?t.Velocity:e.Velocity;return o&&o.RegisterEffect&&o.version?{version:o.version.major+"."+o.version.minor+"."+o.version.patch}:!(!o||!o.RegisterEffect)&&{version:UNKNOWN_VERSION}}},"IfVisible.js":{id:"ifvisiblejs",icon:"icon38",url:"http://serkanyersen.github.io/ifvisible.js/",npm:"ifvisible.js",test:function(e){var t=e.ifvisible;return!(!t||"ifvisible.object.event.identifier"!==t.__ceGUID)&&{version:UNKNOWN_VERSION}}},"Pixi.js":{id:"pixi",icon:"pixi",url:"http://www.pixijs.com/",npm:"pixi.js",test:function(e){var t=e.PIXI;return!!(t&&t.WebGLRenderer&&t.VERSION)&&{version:t.VERSION.replace("v","")||UNKNOWN_VERSION}}},"DC.js":{id:"dcjs",icon:"dcjs",url:"http://dc-js.github.io/dc.js/",npm:"dc",test:function(e){var t=e.dc;return!(!t||!t.registerChart)&&{version:t.version||UNKNOWN_VERSION}}},"GreenSock JS":{id:"greensock",icon:"greensock",url:"https://greensock.com/gsap",npm:"gsap",test:function(e){return!(!e.TweenMax||!e.TweenMax.pauseAll)&&{version:e.TweenMax.version||UNKNOWN_VERSION}}},FastClick:{id:"fastclick",icon:"fastclick",url:"https://github.com/ftlabs/fastclick",npm:"fastclick",test:function(e){return!(!e.FastClick||!e.FastClick.notNeeded)&&{version:UNKNOWN_VERSION}}},Isotope:{id:"isotope",icon:"isotope",url:"https://isotope.metafizzy.co/",npm:"isotope-layout",test:function(e){return!!(e.Isotope||null!=e.$&&e.$.Isotope)&&{version:UNKNOWN_VERSION}}},Marionette:{id:"marionette",icon:"marionette",url:"https://marionettejs.com/",npm:"backbone.marionette",test:function(e){return!(!e.Marionette||!e.Marionette.Application)&&{version:e.Marionette.VERSION||UNKNOWN_VERSION}}},Can:{id:"canjs",icon:"canjs",url:"https://canjs.com/",npm:"can",test:function(e){return!(!e.can||!e.can.Construct)&&{version:e.can.VERSION||UNKNOWN_VERSION}}},Vue:{id:"vue",icon:"vue",url:"https://vuejs.org/",npm:"vue",test:function(e){return!(null===document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return null!=e.__vue__?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()&&!e.Vue)&&{version:e.Vue&&e.Vue.version||UNKNOWN_VERSION}}},"Vue (Fast path)":{id:"vue-fast",icon:"vue",url:"https://vuejs.org/",npm:"vue",test:function(e){return!!e.Vue&&{version:e.Vue&&e.Vue.version||UNKNOWN_VERSION}}},"Nuxt.js":{id:"nuxt",icon:"nuxt",url:"https://nuxtjs.org/",npm:"nuxt",test:function(e){return!!(e.__NUXT__||e.$nuxt||[...e.document.querySelectorAll("*")].some((e=>e.__vue__?.nuxt)))&&{version:UNKNOWN_VERSION}}},"Nuxt.js (Fast path)":{id:"nuxt-fast",icon:"nuxt",url:"https://nuxtjs.org/",npm:"nuxt",test:function(e){return!(!e.__NUXT__&&!e.$nuxt)&&{version:UNKNOWN_VERSION}}},Two:{id:"two",icon:"two",url:"https://two.js.org/",npm:"two.js",test:function(e){return!(!e.Two||!e.Two.Utils)&&{version:e.Two.Version||UNKNOWN_VERSION}}},Brewser:{id:"brewser",icon:"brewser",url:"https://robertpataki.github.io/brewser/",npm:"brewser",test:function(e){return!(!e.BREWSER||!e.BREWSER.ua)&&{version:BREWSER.VERSION||UNKNOWN_VERSION}}},"Material Design Lite":{id:"materialdesignlite",icon:"mdl",url:"https://getmdl.io/",npm:"material-design-lite",test:function(e){return!(!e.componentHandler||!e.componentHandler.upgradeElement)&&{version:UNKNOWN_VERSION}}},"Kendo UI":{id:"kendoui",icon:"kendoui",url:"https://github.com/telerik/kendo-ui-core",npm:"kendo-ui-core",test:function(e){return!!(e.kendo&&e.kendo.View&&e.kendo.View.extend)&&{version:e.kendo.version||UNKNOWN_VERSION}}},"Matter.js":{id:"matterjs",icon:"matter-js",url:"http://brm.io/matter-js/",npm:"matter-js",test:function(e){return!(!e.Matter||!e.Matter.Engine)&&{version:UNKNOWN_VERSION}}},Riot:{id:"riot",icon:"riot",url:"http://riotjs.com/",npm:"riot",test:function(e){return!(!e.riot||!e.riot.mixin)&&{version:e.riot.version||UNKNOWN_VERSION}}},"Sea.js":{id:"seajs",icon:"icon38",url:"https://seajs.github.io/seajs/docs/",npm:"seajs",test:function(e){return!(!e.seajs||!e.seajs.use)&&{version:e.seajs.version||UNKNOWN_VERSION}}},"Moment.js":{id:"momentjs",icon:"momentjs",url:"http://momentjs.com/",npm:"moment",test:function(e){return!(!e.moment||!e.moment.isMoment&&!e.moment.lang)&&{version:e.moment.version||UNKNOWN_VERSION}}},"Moment Timezone":{id:"moment-timezone",icon:"momentjs",url:"http://momentjs.com/timezone/",npm:"moment-timezone",test:function(e){return!(!e.moment||!e.moment.tz)&&{version:e.moment.tz.version||UNKNOWN_VERSION}}},ScrollMagic:{id:"scrollmagic",icon:"scrollmagic",url:"http://scrollmagic.io/",npm:"scrollmagic",test:function(e){return!(!e.ScrollMagic||!e.ScrollMagic.Controller)&&{version:ScrollMagic.version||UNKNOWN_VERSION}}},SWFObject:{id:"swfobject",icon:"icon38",url:"https://github.com/swfobject/swfobject",test:function(e){return e.swfobject&&e.swfobject.embedSWF?{version:e.swfobject.version||UNKNOWN_VERSION}:!(!e.deconcept||!e.deconcept.SWFObject)&&{version:UNKNOWN_VERSION}}},FlexSlider:{id:"flexslider",icon:"icon38",url:"https://woocommerce.com/flexslider/",npm:"flexslider",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;return!!(t&&t.fn&&t.fn.jquery&&t.flexslider)&&{version:UNKNOWN_VERSION}}},SPF:{id:"spf",icon:"icon38",url:"https://youtube.github.io/spfjs/",npm:"spf",test:function(e){return!(!e.spf||!e.spf.init)&&{version:UNKNOWN_VERSION}}},"Numeral.js":{id:"numeraljs",icon:"icon38",url:"http://numeraljs.com/",npm:"numeraljs",test:function(e){return!(!e.numeral||!e.isNumeral)&&{version:e.numeral.version||UNKNOWN_VERSION}}},"boomerang.js":{id:"boomerangjs",icon:"icon38",url:"https://soasta.github.io/boomerang/",npm:"boomerangjs",test:function(e){return!!(e.BOOMR&&e.BOOMR.utils&&e.BOOMR.init)&&{version:e.BOOMR.version||UNKNOWN_VERSION}}},Framer:{id:"framer",icon:"framer",url:"https://framer.com/",npm:"framerjs",test:function(e){return!(!e.Framer||!e.Framer.Layer)&&{version:e.Framer.Version.build||UNKNOWN_VERSION}}},Marko:{id:"marko",icon:"marko",url:"https://markojs.com/",npm:"marko",test:function(e){return!!document.querySelector("[data-marko-key], [data-marko]")&&{version:UNKNOWN_VERSION}}},AMP:{id:"amp",icon:"amp",url:"https://amp.dev/",npm:"https://www.npmjs.com/org/ampproject",test:function(e){var t=e.document.documentElement.getAttribute("amp-version");return!!t&&{version:t}}},Gatsby:{id:"gatsby",icon:"gatsby",url:"https://www.gatsbyjs.org/",npm:"gatsby",test:function(e){return!!document.getElementById("___gatsby")&&{version:UNKNOWN_VERSION}}},Shopify:{id:"shopify",icon:"shopify",url:"https://www.shopify.com/",npm:null,test:function(e){return!(!e.Shopify||!e.Shopify.shop)&&{version:UNKNOWN_VERSION}}},Magento:{id:"magento",icon:"magento",url:"https://magento.com/",npm:null,test:function(e){const t=/\\/static(?:\\/version\\d+)?\\/frontend\\/.+\\/.+\\/requirejs\\/require(?:\\.min)?\\.js/;return!!Array.from(document.querySelectorAll("script[src]")||[]).some((e=>t.test(e.src)))&&{version:2}}},WordPress:{id:"wordpress",icon:"wordpress",url:"https://wordpress.org/",npm:null,test:function(e){const t=!!document.querySelector(\'link[rel="https://api.w.org/"]\'),o=!!document.querySelectorAll(\'link[href*="wp-includes"], script[src*="wp-includes"]\').length;if(!t&&!o)return!1;const r=document.querySelector(\'meta[name=generator][content^="WordPress"]\');return{version:r?r.getAttribute("content").replace(/^\\w+\\s/,""):UNKNOWN_VERSION}}},Wix:{id:"wix",icon:"wix",url:"https://www.wix.com/",npm:null,test:function(e){return!!e.wixBiSession&&{version:UNKNOWN_VERSION}}},Workbox:{id:"workbox",icon:"workbox",url:"https://developers.google.com/web/tools/workbox/",npm:"workbox-sw",test:async function(e){var t=e.navigator;if(!("serviceWorker"in t))return!1;const{timeoutPromise:o,clearTimeout:r}=_createTimeoutHelper(),n=t.serviceWorker.getRegistration().then((function(e){var o=t.serviceWorker.controller?t.serviceWorker.controller.scriptURL:e.active.scriptURL;return fetch(o,{credentials:"include",headers:{"service-worker":"script"}}).then((function(e){return e.text()})).then((function(e){if(/new Workbox|new workbox|workbox\\.precaching\\.|workbox\\.strategies/gm.test(e)){var t=/workbox.*?\\b((0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)(-(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*)(\\.(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*))*)?(\\+[0-9a-zA-Z-]+(\\.[0-9a-zA-Z-]+)*)?)\\b/gim.exec(e),o=UNKNOWN_VERSION;return Array.isArray(t)&&t.length>1&&t[1]&&(o=t[1]),{version:o}}return!1}))})).catch((function(e){return!1}));return Promise.race([n,o]).catch((function(e){return!1})).finally((e=>(r(),e)))}},Boq:{id:"boq",icon:"icon38",url:"https://github.com/johnmichel/Library-Detector-for-Chrome/pull/143",npm:null,test:function(e){return!!e.WIZ_global_data&&{version:UNKNOWN_VERSION}}},Wiz:{id:"wiz",icon:"icon38",url:"https://github.com/johnmichel/Library-Detector-for-Chrome/pull/147",npm:null,test:function(e){return!!document.__wizdispatcher&&{version:UNKNOWN_VERSION}}},"core-js":{id:"corejs",icon:"icon38",url:"https://github.com/zloirock/core-js",npm:"core-js",test:function(e){const t=e["__core-js_shared__"],o=e.core;if(t){const e=t.versions;return{version:Array.isArray(e)?e.map((e=>`core-js-${e.mode}@${e.version}`)).join("; "):UNKNOWN_VERSION}}return!!o&&{version:o.version||UNKNOWN_VERSION}}},Drupal:{id:"drupal",icon:"drupal",url:"https://www.drupal.org/",npm:null,test:function(e){const t=document.querySelector(\'meta[name="generator"][content^="Drupal"]\'),o=t?t.getAttribute("content").replace(/\\D+/gi,""):UNKNOWN_VERSION,r=/\\/sites\\/(?:default|all)\\/(?:themes|modules|files)/,n=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(n.some((e=>r.test(e.src)))||n.some((e=>r.test(e.href)))||t||e.Drupal&&e.Drupal.behaviors)&&{version:o}}},TYPO3:{id:"typo3",icon:"typo3",url:"https://typo3.org/",npm:null,test:function(e){const t=document.querySelector(\'meta[name="generator"][content^="TYPO3"]\'),o=/\\/(typo3conf|typo3temp|fileadmin)/,r=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(t||r.some((e=>o.test(e.src)))||r.some((e=>o.test(e.href))))&&{version:UNKNOWN_VERSION}}},"Create React App":{id:"create-react-app",icon:"cra",url:"https://create-react-app.dev/",npm:"react-scripts",test:function(e){let t,o,r=e.document.body.firstElementChild;do{"noscript"===r.localName?t=r:"root"===r.id&&(o=r)}while(r=r.nextElementSibling);return!!(o&&t&&/You need to enable JavaScript to run this app/.test(t.textContent))&&{version:UNKNOWN_VERSION}}},"Guess.js":{id:"guessjs",icon:"guessjs",url:"https://guess-js.github.io/",test:function(e){return!(!e.__GUESS__||!e.__GUESS__.guess)&&{version:UNKNOWN_VERSION}}},"October CMS":{id:"octobercms",icon:"octobercms",url:"https://octobercms.com/",npm:null,test:function(e){const t=document.querySelector(\'meta[name="generator"][content^="OctoberCMS"]\'),o=document.querySelector(\'meta[name="generator"][content^="October CMS"]\'),r=/\\/modules\\/system\\/assets\\/(css|js)\\/framework(\\.extras|\\.combined)?(-min)?/,n=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(t||o||n.some((e=>r.test(e.src||e.href))))&&{version:UNKNOWN_VERSION}}},Joomla:{id:"joomla",icon:"joomla",url:"https://www.joomla.org/",npm:null,test:function(e){const t=document.querySelector(\'meta[name=generator][content^="Joomla"]\'),o=!!document.querySelectorAll(\'script[src*="/media/jui/js/bootstrap.min.js"]\').length;return t?{version:t.getAttribute("content").replace(/^\\w+\\s/,"")}:!(!e.Joomla&&!o)&&{version:UNKNOWN_VERSION}}},Sugar:{id:"sugar",icon:"sugar",url:"https://sugarjs.com",npm:"sugar",test:function(e){return e.Sugar?{version:e.Sugar.VERSION||UNKNOWN_VERSION}:!!e.Array.SugarMethods&&{version:UNKNOWN_VERSION}}},Bento:{id:"bentojs",icon:"bentojs",url:"https://bentojs.dev",npm:"https://www.npmjs.com/org/bentoproject",test:function(e){return!(!e.BENTO||!e.BENTO.push)&&{version:UNKNOWN_VERSION}}}};']
})).map((e=>({detector:"js",id:e.id,name:e.name,version:"number"==typeof e.version?String(e.version):e.version||void 0,npm:e.npm||void 0})));return Ks.timeEnd(t),r}async getArtifact(e){return Stacks$1.collectStacks(e.driver.executionContext)}}var Xs=Stacks$1;const Zs=on.default,Qs=la,{getBrowserVersion:ec,getBenchmarkIndex:tc,getEnvironmentWarnings:rc}=mi;var ac={getBaseArtifacts:async function getBaseArtifacts$3(e,t,r){const a=await tc(t.executionContext),{userAgent:n}=await ec(t.defaultSession);return{fetchTime:(new Date).toJSON(),Timing:[],LighthouseRunWarnings:[],settings:e.settings,BenchmarkIndex:a,HostUserAgent:n,HostFormFactor:n.includes("Android")||n.includes("Mobile")?"mobile":"desktop",URL:{requestedUrl:"",finalUrl:""},PageLoadError:null,GatherContext:r,Stacks:[],NetworkUserAgent:"",WebAppManifest:null,InstallabilityErrors:{errors:[]},traces:{},devtoolsLogs:{}}},finalizeArtifacts:function finalizeArtifacts$4(e,t){
const r=e.LighthouseRunWarnings.concat(t.LighthouseRunWarnings||[]).concat(rc({settings:e.settings,baseArtifacts:e})),a={...e,...t};if(a.Timing=Zs.getTimeEntries(),a.LighthouseRunWarnings=function deduplicateWarnings(e){const t=[];for(const r of e)t.some((e=>Qs(r,e)))||t.push(r);return t}(r),a.PageLoadError&&!a.URL.finalUrl&&(a.URL.finalUrl=a.URL.requestedUrl),!a.URL.requestedUrl)throw new Error("Runner did not set requestedUrl");if(!a.URL.finalUrl)throw new Error("Runner did not set finalUrl");return a}};const nc=on.default,ic=Lo,{getPageLoadError:oc}=Bo,sc=Wo,cc=mn,lc=Vn,{getBenchmarkIndex:uc,getEnvironmentWarnings:dc}=mi,mc=es,pc=Ko,hc=_s,gc=As,fc=Us,yc=$s,vc=Ys,bc=Xs,{finalizeArtifacts:wc}=ac;class GatherRunner$1{static async loadBlank(e,t=cc.defaultPassConfig.blankPage){const r={msg:"Resetting state with about:blank",id:"lh:gather:loadBlank"};nc.time(r),await hc.gotoURL(e,t,{waitUntil:["navigated"]}),nc.timeEnd(r)}static async loadPage(e,t){const r={
msg:"Loading page & waiting for onload",id:`lh:gather:loadPage-${t.passConfig.passName}`};nc.time(r);try{const a=t.url,{finalUrl:n,warnings:i}=await hc.gotoURL(e,a,{waitUntil:t.passConfig.recordTrace?["load","fcp"]:["load"],debugNavigation:t.settings.debugNavigation,maxWaitForFcp:t.settings.maxWaitForFcp,maxWaitForLoad:t.settings.maxWaitForLoad,...t.passConfig});t.url=n,"fatal"===t.passConfig.loadFailureMode&&t.LighthouseRunWarnings.push(...i)}catch(e){if("NO_FCP"===e.code||"PAGE_HUNG"===e.code)return{navigationError:e};throw e}finally{nc.timeEnd(r)}return{}}static assertNoSameOriginServiceWorkerClients(e,t){let r,a;return gc.getServiceWorkerRegistrations(e).then((e=>{r=e.registrations})).then((t=>gc.getServiceWorkerVersions(e))).then((e=>{a=e.versions})).then((e=>{const n=new URL(t).origin;r.filter((e=>{const t=new URL(e.scopeURL).origin;return n===t})).forEach((e=>{a.forEach((t=>{
if(t.registrationId===e.registrationId&&t.controlledClients&&t.controlledClients.length>0)throw new Error("You probably have multiple tabs open to the same origin.")}))}))}))}static async setupDriver(e,t){const r={msg:"Initializing…",id:"lh:gather:setupDriver"};nc.time(r);const a=e.defaultSession;await GatherRunner$1.assertNoSameOriginServiceWorkerClients(a,t.requestedUrl),await mc.prepareTargetForNavigationMode(e,t.settings),nc.timeEnd(r)}static async disposeDriver(e,t){const r={msg:"Disconnecting from browser...",id:"lh:gather:disconnect"};nc.time(r);try{const r=e.defaultSession;!t.settings.disableStorageReset&&await pc.clearDataForOrigin(r,t.requestedUrl),await e.fetcher.disable(),await e.disconnect()}catch(e){/close\/.*status: (500|404)$/.test(e.message)||nc.error("GatherRunner disconnect",e.message)}nc.timeEnd(r)}static async beginRecording(e){const t={msg:"Beginning devtoolsLog and trace",id:"lh:gather:beginRecording"};nc.time(t);const{driver:r,passConfig:a,settings:n}=e
;await r.beginDevtoolsLog(),a.recordTrace&&await r.beginTrace(n),nc.timeEnd(t)}static async endRecording(e){const{driver:t,passConfig:r}=e;let a;if(r.recordTrace){const e={msg:"Gathering trace",id:"lh:gather:getTrace"};nc.time(e),a=await t.endTrace(),nc.timeEnd(e)}const n={msg:"Gathering devtoolsLog & network records",id:"lh:gather:getDevtoolsLog"};nc.time(n);const i=t.endDevtoolsLog(),o=await ic.request(i,e);return nc.timeEnd(n),{networkRecords:o,devtoolsLog:i,trace:a}}static async beforePass(e,t){const r={msg:"Running beforePass methods",id:"lh:gather:beforePass"};nc.time(r,"verbose");for(const r of e.passConfig.gatherers){const a=r.instance,n={msg:`Gathering setup: ${a.name}`,id:`lh:gather:beforePass:${a.name}`};nc.time(n,"verbose");const i=Promise.resolve().then((t=>a.beforePass(e)));t[a.name]=[i],await i.catch((()=>{})),nc.timeEnd(n)}nc.timeEnd(r)}static async pass(e,t){const r=e.passConfig.gatherers,a={msg:"Running pass methods",id:"lh:gather:pass"};nc.time(a,"verbose")
;for(const a of r){const r=a.instance,n={msg:`Gathering in-page: ${r.name}`,id:`lh:gather:pass:${r.name}`};nc.time(n);const i=Promise.resolve().then((t=>r.pass(e))),o=t[r.name]||[];o.push(i),t[r.name]=o,await i.catch((()=>{}))}nc.timeEnd(a)}static async afterPass(e,t,r){const a=e.driver,n=e.passConfig.gatherers,i={msg:"Running afterPass methods",id:"lh:gather:afterPass"};nc.time(i,"verbose");const o=await a.getScrollPosition();for(const i of n){const n=i.instance,s={msg:`Gathering: ${n.name}`,id:`lh:gather:afterPass:${n.name}`};nc.time(s);const c=Promise.resolve().then((r=>n.afterPass(e,t))),l=r[n.name]||[];l.push(c),r[n.name]=l,await c.catch((()=>{})),await a.scrollTo(o),nc.timeEnd(s)}nc.timeEnd(i)}static async collectArtifacts(e){const t={},r=Object.entries(e);for(const[e,a]of r){try{const r=(await Promise.all(a)).filter((e=>void 0!==e)),n=r[r.length-1];t[e]=n}catch(r){t[e]=r}if(void 0===t[e])throw new Error(`${e} failed to provide an artifact.`)}return{artifacts:t}}
static async initializeBaseArtifacts(e){const t=(await e.driver.getBrowserVersion()).userAgent,r=t.includes("Android")||t.includes("Mobile")?"mobile":"desktop";return{fetchTime:(new Date).toJSON(),LighthouseRunWarnings:[],HostFormFactor:r,HostUserAgent:t,NetworkUserAgent:"",BenchmarkIndex:0,WebAppManifest:null,InstallabilityErrors:{errors:[]},Stacks:[],traces:{},devtoolsLogs:{},settings:e.settings,GatherContext:{gatherMode:"navigation"},URL:{requestedUrl:e.requestedUrl,finalUrl:e.requestedUrl},Timing:[],PageLoadError:null}}static async populateBaseArtifacts(e){const t={msg:"Populate base artifacts",id:"lh:gather:populateBaseArtifacts"};nc.time(t);const r=e.baseArtifacts;r.URL.finalUrl=e.url;try{r.WebAppManifest=await fc.getWebAppManifest(e.driver.defaultSession,e.url)}catch(e){nc.error("GatherRunner WebAppManifest",e),r.WebAppManifest=null}try{r.InstallabilityErrors=await yc.getInstallabilityErrors(e.driver.defaultSession)}catch(e){nc.error("GatherRunner InstallabilityErrors",e),
r.InstallabilityErrors={errors:[{errorId:"protocol-timeout",errorArguments:[]}]}}try{r.Stacks=await bc.collectStacks(e.driver.executionContext)}catch(e){nc.error("GatherRunner Stacks",e),r.Stacks=[]}const a=r.devtoolsLogs[e.passConfig.passName];r.NetworkUserAgent=vc.getNetworkUserAgent(a);const n=dc(e);r.LighthouseRunWarnings.push(...n),nc.timeEnd(t)}static async run(e,t){const r=t.driver,a={};try{await r.connect(),await GatherRunner$1.loadBlank(r);const n=await GatherRunner$1.initializeBaseArtifacts(t);n.BenchmarkIndex=await uc(r.executionContext),await GatherRunner$1.setupDriver(r,t);let i=!0;for(const o of e){const e={gatherMode:"navigation",driver:r,url:t.requestedUrl,settings:t.settings,passConfig:o,baseArtifacts:n,computedCache:t.computedCache,LighthouseRunWarnings:n.LighthouseRunWarnings},s=await GatherRunner$1.runPass(e);if(Object.assign(a,s.artifacts),s.pageLoadError&&"fatal"===o.loadFailureMode){n.PageLoadError=s.pageLoadError;break}
i&&(await GatherRunner$1.populateBaseArtifacts(e),i=!1),await r.fetcher.disable()}return await GatherRunner$1.disposeDriver(r,t),wc(n,a)}catch(e){throw GatherRunner$1.disposeDriver(r,t),e}}static _addLoadDataToBaseArtifacts(e,t,r){const a=e.baseArtifacts;a.devtoolsLogs[r]=t.devtoolsLog,t.trace&&(a.traces[r]=t.trace)}static async runPass(e){const t={msg:`Running ${e.passConfig.passName} pass`,id:`lh:gather:runPass-${e.passConfig.passName}`,args:[e.passConfig.gatherers.map((e=>e.instance.name)).join(", ")]};nc.time(t);const r={},{driver:a,passConfig:n}=e;await GatherRunner$1.loadBlank(a,n.blankPage);const{warnings:i}=await mc.prepareTargetForIndividualNavigation(a.defaultSession,e.settings,{requestor:e.url,disableStorageReset:!n.useThrottling,disableThrottling:!n.useThrottling,blockedUrlPatterns:n.blockedUrlPatterns});e.LighthouseRunWarnings.push(...i),await GatherRunner$1.beforePass(e,r),await GatherRunner$1.beginRecording(e);const{navigationError:o}=await GatherRunner$1.loadPage(a,e)
;await GatherRunner$1.pass(e,r);const s=await GatherRunner$1.endRecording(e);await sc.clearThrottling(a.defaultSession);const c=oc(o,{url:e.url,loadFailureMode:n.loadFailureMode,networkRecords:s.networkRecords});if(c){const r=lc.getFormatted(c.friendlyMessage,e.settings.locale);return nc.error("GatherRunner",r,e.url),e.LighthouseRunWarnings.push(c.friendlyMessage),GatherRunner$1._addLoadDataToBaseArtifacts(e,s,`pageLoadError-${n.passName}`),nc.timeEnd(t),{artifacts:{},pageLoadError:c}}GatherRunner$1._addLoadDataToBaseArtifacts(e,s,n.passName),await GatherRunner$1.afterPass(e,s,r);const l=GatherRunner$1.collectArtifacts(r);return nc.timeEnd(t),l}}var Sc=GatherRunner$1;const Tc=getAugmentedNamespace(Ma);var Ec={isUnderTest:!!Tc.env.CI||"test"===Tc.env.NODE_ENV};var xc={linearInterpolation:function linearInterpolation$2(e,t,r,a,n){return t+(n-e)*((a-t)/(r-e))},getLogNormalScore:function getLogNormalScore({median:e,p10:t},r){if(e<=0)throw new Error("median must be greater than zero")
;if(t<=0)throw new Error("p10 must be greater than zero");if(t>=e)throw new Error("p10 must be less than the median");if(r<=0)return 1;const a=Math.max(Number.MIN_VALUE,r/e),n=Math.log(a),i=Math.max(Number.MIN_VALUE,t/e),o=(1-function erf(e){const t=Math.sign(e),r=1/(1+.3275911*(e=Math.abs(e)));return t*(1-r*(.254829592+r*(r*(1.421413741+r*(1.061405429*r-1.453152027))-.284496736))*Math.exp(-e*e))}(.9061938024368232*n/-Math.log(i)))/2;let s;return s=r<=t?Math.max(.9,Math.min(1,o)):r<=e?Math.max(.5,Math.min(.8999999999999999,o)):Math.max(0,Math.min(.49999999999999994,o)),s}};const{isUnderTest:_c}=Ec,Ac=xc,{Util:Rc}=Ni;class Audit$1P{static get DEFAULT_PASS(){return"defaultPass"}static get SCORING_MODES(){return{NUMERIC:"numeric",BINARY:"binary",MANUAL:"manual",INFORMATIVE:"informative",NOT_APPLICABLE:"notApplicable",ERROR:"error"}}static get meta(){throw new Error("Audit meta information must be overridden.")}static get defaultOptions(){return{}}static audit(e,t){
throw new Error("audit() method must be overriden")}static computeLogNormalScore(e,t){let r=Ac.getLogNormalScore(e,t);return r>.9&&(r+=.05*(r-.9)),Math.floor(100*r)/100}static assertHeadingKeysExist(e,t){if(t.length&&_c)for(const r of e){if(null===r.key)continue;const e=r.key;if(!t.some((t=>e in t)))throw new Error(`"${r.key}" is missing from items`)}}static makeTableDetails(e,t,r){return 0===t.length?{type:"table",headings:[],items:[],summary:r}:(Audit$1P.assertHeadingKeysExist(e,t),{type:"table",headings:e,items:t,summary:r})}static makeListDetails(e){return{type:"list",items:e}}static makeSnippetDetails({content:e,title:t,lineMessages:r,generalMessages:a,node:n,maxLineLength:i=200,maxLinesAroundMessage:o=20}){const s=Audit$1P._makeSnippetLinesArray(e,i);return{type:"snippet",lines:Rc.filterRelevantLines(s,r,o),title:t,lineMessages:r,generalMessages:a,lineCount:s.length,node:n}}static _makeSnippetLinesArray(e,t){return e.split("\n").map(((e,r)=>{const a=r+1,n={content:e.slice(0,t),
lineNumber:a};return e.length>t&&(n.truncated=!0),n}))}static makeOpportunityDetails(e,t,r,a){return Audit$1P.assertHeadingKeysExist(e,t),{type:"opportunity",headings:0===t.length?[]:e,items:t,overallSavingsMs:r,overallSavingsBytes:a}}static makeNodeItem(e){return{type:"node",lhId:e.lhId,path:e.devtoolsNodePath,selector:e.selector,boundingRect:e.boundingRect,snippet:e.snippet,nodeLabel:e.nodeLabel}}static _findOriginalLocation(e,t,r){const a=e?.map.findEntry(t,r);if(a)return{file:a.sourceURL||"",line:a.sourceLineNumber||0,column:a.sourceColumnNumber||0}}static makeSourceLocation(e,t,r,a){return{type:"source-location",url:e,urlProvider:"network",line:t,column:r,original:a&&this._findOriginalLocation(a,t,r)}}static makeSourceLocationFromConsoleMessage(e,t){if(!e.url)return;const r=e.lineNumber||0,a=e.columnNumber||0;return this.makeSourceLocation(e.url,r,a,t)}static _normalizeAuditScore(e,t,r){if(t!==Audit$1P.SCORING_MODES.BINARY&&t!==Audit$1P.SCORING_MODES.NUMERIC)return null
;if(null===e||!Number.isFinite(e))throw new Error(`Invalid score for ${r}: ${e}`);if(e>1)throw new Error(`Audit score for ${r} is > 1`);if(e<0)throw new Error(`Audit score for ${r} is < 0`);var a;return a=e,e=Math.round(100*a)/100}static generateErrorAuditResult(e,t){return Audit$1P.generateAuditResult(e,{score:null,errorMessage:t})}static generateAuditResult(e,t){if(void 0===t.score)throw new Error("generateAuditResult requires a score");let r=e.meta.scoreDisplayMode||Audit$1P.SCORING_MODES.BINARY;t.errorMessage?r=Audit$1P.SCORING_MODES.ERROR:t.notApplicable&&(r=Audit$1P.SCORING_MODES.NOT_APPLICABLE);const a=Audit$1P._normalizeAuditScore(t.score,r,e.meta.id);let n=e.meta.title;e.meta.failureTitle&&null!==a&&a<Rc.PASS_THRESHOLD&&(n=e.meta.failureTitle);const i="numericUnit"in t?t:void 0;return{id:e.meta.id,title:n,description:e.meta.description,score:a,scoreDisplayMode:r,numericValue:i?.numericValue,numericUnit:i?.numericUnit,displayValue:t.displayValue,explanation:t.explanation,
errorMessage:t.errorMessage,warnings:t.warnings,details:t.details}}}var kc=Audit$1P;const Dc=kc;class ReportScoring$1{static arithmeticMean(e){if((e=e.filter((e=>e.weight>0))).some((e=>null===e.score)))return null;const t=e.reduce(((e,t)=>{const r=t.score,a=t.weight;return{weight:e.weight+a,sum:e.sum+r*a}}),{weight:0,sum:0});return r=t.sum/t.weight||0,Math.round(100*r)/100;var r}static scoreAllCategories(e,t){const r={};for(const[a,n]of Object.entries(e)){const e=n.auditRefs.map((e=>{const r={...e},a=t[r.id];return a.scoreDisplayMode!==Dc.SCORING_MODES.NOT_APPLICABLE&&a.scoreDisplayMode!==Dc.SCORING_MODES.INFORMATIVE&&a.scoreDisplayMode!==Dc.SCORING_MODES.MANUAL||(r.weight=0),r})),i=e.map((e=>({score:t[e.id].score,weight:e.weight}))),o=ReportScoring$1.arithmeticMean(i);r[a]={...n,auditRefs:e,id:a,score:o}}return r}}var Cc=ReportScoring$1;var Ic=[{id:"amp",title:"AMP",
icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 256"%3E%3Cpath d="M171.887 116.28l-53.696 89.36h-9.728l9.617-58.227-30.2.047a4.852 4.852 0 01-4.855-4.855c0-1.152 1.07-3.102 1.07-3.102l53.52-89.254 9.9.043-9.86 58.317 30.413-.043a4.852 4.852 0 014.855 4.855c0 1.088-.427 2.044-1.033 2.854l.004.004zM128 0C57.306 0 0 57.3 0 128s57.306 128 128 128 128-57.306 128-128S198.7 0 128 0z" fill="%230379c4" fill-rule="evenodd"/%3E%3C/svg%3E',UIStrings:{"modern-image-formats":"Consider displaying all [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) components in WebP formats while specifying an appropriate fallback for other browsers. [Learn more](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image).",
"offscreen-images":"Ensure that you are using [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) for images to automatically lazy-load. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images).","render-blocking-resources":"Use tools such as [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) to [server-side render AMP layouts](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/).","unminified-css":"Refer to the [AMP documentation](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) to ensure all styles are supported.","efficient-animated-content":"For animated content, use [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) to minimize CPU usage when the content is offscreen.",
"uses-responsive-images":"The [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) component supports the [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) attribute to specify which image assets to use based on the screen size. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."}},{id:"angular",title:"Angular",icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 250 250"%3E%3Cpath fill="%23dd0031" d="M125 30L31.9 63.2l14.2 123.1L125 230l78.9-43.7 14.2-123.1z"/%3E%3Cpath fill="%23c3002f" d="M125 30v22.2-.1V230l78.9-43.7 14.2-123.1L125 30z"/%3E%3Cpath d="M125 52.1L66.8 182.6h21.7l11.7-29.2h49.4l11.7 29.2H183L125 52.1zm17 83.3h-34l17-40.9 17 40.9z" fill="%23fff"/%3E%3C/svg%3E',UIStrings:{
"total-byte-weight":"Apply [route-level code splitting](https://web.dev/route-level-code-splitting-in-angular/) to minimize the size of your JavaScript bundles. Also, consider precaching assets with the [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/).","unminified-warning":"If you are using Angular CLI, ensure that builds are generated in production mode. [Learn more](https://angular.io/guide/deployment#enable-runtime-production-mode).","unused-javascript":"If you are using Angular CLI, include source maps in your production build to inspect your bundles. [Learn more](https://angular.io/guide/deployment#inspect-the-bundles).","uses-responsive-images":"Consider using the `BreakpointObserver` utility in the Component Dev Kit (CDK) to manage image breakpoints. [Learn more](https://material.angular.io/cdk/layout/overview).",
"uses-rel-preload":"Preload routes ahead of time to speed up navigation. [Learn more](https://web.dev/route-preloading-in-angular/).","dom-size":"Consider virtual scrolling with the Component Dev Kit (CDK) if very large lists are being rendered. [Learn more](https://web.dev/virtualize-lists-with-angular-cdk/)."}},{id:"drupal",title:"Drupal",
icon:'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 186.525 243.713"><g><path d="M131.64 51.91C114.491 34.769 98.13 18.429 93.26 0c-4.87 18.429-21.234 34.769-38.38 51.91C29.16 77.613 0 106.743 0 150.434a93.263 93.263 0 1 0 186.525 0c0-43.688-29.158-72.821-54.885-98.524m-92 120.256c-5.719-.194-26.824-36.571 12.329-75.303l25.909 28.3a2.215 2.215 0 0 1-.173 3.306c-6.183 6.34-32.534 32.765-35.81 41.902-.675 1.886-1.663 1.815-2.256 1.795m53.624 47.943a32.075 32.075 0 0 1-32.076-32.075 33.423 33.423 0 0 1 7.995-21.187c5.784-7.072 24.077-26.963 24.077-26.963s18.012 20.183 24.033 26.896a31.368 31.368 0 0 1 8.046 21.254 32.076 32.076 0 0 1-32.075 32.075m61.392-52.015c-.691 1.512-2.26 4.036-4.376 4.113-3.773.138-4.176-1.796-6.965-5.923-6.122-9.06-59.551-64.9-69.545-75.699-8.79-9.498-1.238-16.195 2.266-19.704 4.395-4.403 17.224-17.225 17.224-17.225s38.255 36.296 54.19 61.096 10.444 46.26 7.206 53.342" fill="%23009cde"/></g></svg>',UIStrings:{
"unused-css-rules":"Consider removing unused CSS rules and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the stylesheet when CSS aggregation is disabled in your Drupal site. Look out for themes/modules that have many stylesheets in the list which have a lot of red in code coverage. A theme/module should only enqueue a stylesheet if it is actually used on the page.",
"unused-javascript":"Consider removing unused JavaScript assets and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous JavaScript, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the script when JavaScript aggregation is disabled in your Drupal site. Look out for themes/modules that have many scripts in the list which have a lot of red in code coverage. A theme/module should only enqueue a script if it is actually used on the page.",
"modern-image-formats":"Consider configuring [WebP image formats with a Convert image style](https://www.drupal.org/docs/core-modules-and-themes/core-modules/image-module/working-with-images#styles) on your site.","offscreen-images":"Install [a Drupal module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) that can lazy load images. Such modules provide the ability to defer any offscreen images to improve performance.","total-byte-weight":"Consider using [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) to reduce the size of images loaded on your page. If you are using Views to show multiple content items on a page, consider implementing pagination to limit the number of content items shown on a given page.",
"render-blocking-resources":"Consider using a module to inline critical CSS and JavaScript, or potentially load assets asynchronously via JavaScript such as the [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg) module. Beware that optimizations provided by this module may break your site, so you will likely need to make code changes.","unminified-css":'Ensure you have enabled "Aggregate CSS files" in the "Administration » Configuration » Development" page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying, and compressing your CSS styles.',
"unminified-javascript":'Ensure you have enabled "Aggregate JavaScript files" in the "Administration » Configuration » Development" page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying, and compressing your JavaScript assets.',"efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.",
"uses-long-cache-ttl":'Set the "Browser and proxy cache maximum age" in the "Administration » Configuration » Development" page. Read about [Drupal cache and optimizing for performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).',"uses-optimized-images":"Consider using [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) that automatically optimizes and reduces the size of images uploaded through the site while retaining quality. Also, ensure you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above) for all images rendered on the site.",
"uses-responsive-images":"Ensure that you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above). Use the Responsive Image Styles when rendering image fields through view modes, views, or images uploaded through the WYSIWYG editor.","server-response-time":"Themes, modules, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization module, and/or upgrading your server. Your hosting servers should make use of PHP opcode caching, memory-caching to reduce database query times such as Redis or Memcached, as well as optimized application logic to prepare pages faster.",
"uses-rel-preconnect":"Preconnect or dns-prefetch resource hints can be added by installing and configuring [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) that provides facilities for user agent resource hints.","font-display":"Specify `@font-display` when defining custom fonts in your theme."}},{id:"ezoic",title:"Ezoic",
icon:'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 82 82"><path d="M81.37 48.117C85.301 25.821 70.413 4.56 48.117.63 25.821-3.3 4.56 11.586.63 33.883-3.3 56.178 11.586 77.44 33.883 81.37 56.18 85.301 77.44 70.412 81.37 48.117Zm-8.935-14.17c2.77 12.357-1.942 25.721-12.96 33.436-14.57 10.203-34.656 6.662-44.859-7.909a32.434 32.434 0 0 1-2.869-4.98l28.7-20.097a6.53 6.53 0 1 0-3.744-5.347L9.564 48.054c-2.768-12.359 1.943-25.724 12.96-33.439 14.572-10.203 34.656-6.662 44.86 7.91a32.349 32.349 0 0 1 2.868 4.98L41.554 47.6A6.53 6.53 0 1 0 45.3 52.95l27.136-19.003Z" fill="#5FA624" fill-rule="evenodd"/></svg>',UIStrings:{"unused-css-rules":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Remove Unused CSS` to help with this issue. It will identify the CSS classes that are actually used on each page of your site, and remove any others to keep the file size small.",
"modern-image-formats":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Next-Gen Formats` to convert images to WebP.","offscreen-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Lazy Load Images` to defer loading off-screen images until they are needed.","render-blocking-resources":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Critical CSS` and `Script Delay` to defer non-critical JS/CSS.","unminified-css":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Minify CSS` to automatically minify your CSS to reduce network payload sizes.","unminified-javascript":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Minify Javascript` to automatically minify your JS to reduce network payload sizes.","uses-long-cache-ttl":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Efficient Static Cache Policy` to set recommended values in the caching header for static assests.",
"uses-optimized-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Next-Gen Formats` to convert images to WebP.","uses-responsive-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Resize Images` to resize images to a device appropriate size, reducing network payload sizes.","server-response-time":"Use [Ezoic Cloud Caching](https://pubdash.ezoic.com/speed/caching) to cache your content across our world wide network, improving time to first byte.","uses-rel-preconnect":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Pre-Connect Origins` to automatically add `preconnect` resource hints to establish early connections to important third-party origins.","uses-rel-preload":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Preload Fonts` and `Preload Background Images` to add `preload` links to prioritize fetching resources that are currently requested later in page load.",
"font-display":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Optimize Fonts` to automatically leverage the `font-display` CSS feature to ensure text is user-visible while webfonts are loading."}},{id:"joomla",title:"Joomla",
icon:"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' preserveAspectRatio='xMidYMid' viewBox='0 0 256 258'%3E%3Cpath d='M255.7 35.6a33.7 33.7 0 00-67-4.8l-.4-.2c-27.6-12.4-50.8 9.6-50.8 9.6l-61.4 61.7 24.3 23.4 49.4-48.6c23-23 35.6-7.4 35.6-7.4 17.4 14.6.6 32 .6 32l24.9 24c20.3-22 21.5-41.1 15.3-56.3a33.7 33.7 0 0029.5-33.4' fill='%23F9AE41'/%3E%3Cpath d='M226.5 190.5l.2-.3c12.4-27.6-9.6-50.8-9.6-50.8L155.4 78l-23.3 24.3 48.5 49.4c23 23 7.5 35.6 7.5 35.6-14.7 17.4-32 .6-32 .6l-24 24.9c21.9 20.3 41 21.5 56.2 15.3a33.7 33.7 0 1038.2-37.6' fill='%23EE4035'/%3E%3Cpath d='M156 133l-49.5 48.6c-23 23-35.6 7.4-35.6 7.4-17.4-14.6-.6-32-.6-32l-24.9-24c-20.3 22-21.4 41.1-15.3 56.3a33.7 33.7 0 1037.6 38.2l.3.2c27.6 12.4 50.8-9.6 50.8-9.6l61.4-61.7-24.3-23.4' fill='%234F91CD'/%3E%3Cpath d='M75.7 106.6c-23-23-7.4-35.6-7.4-35.6 14.6-17.4 32-.6 32-.6l24-24.9c-22-20.3-41-21.5-56.3-15.3a33.7 33.7 0 10-38.2 37.6l-.2.3C17.2 95.7 39.2 119 39.2 119l61.7 61.4 23.4-24.3-48.6-49.4' fill='%237AC043'/%3E%3C/svg%3E",
UIStrings:{"unused-css-rules":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused CSS in your page. To identify extensions that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using a [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) or service that will automatically convert your uploaded images to the optimal formats.",
"offscreen-images":"Install a [lazy-load Joomla plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) that provides the ability to defer any offscreen images, or switch to a template that provides that functionality. Starting with Joomla 4.0, all new images will [automatically](https://github.com/joomla/joomla-cms/pull/30748) get the `loading` attribute from the core.","total-byte-weight":"Consider showing excerpts in your article categories (e.g. via the read more link), reducing the number of articles shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.",
"render-blocking-resources":"There are a number of Joomla plugins that can help you [inline critical assets](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) or [defer less important resources](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Beware that optimizations provided by these plugins may break features of your templates or plugins, so you will need to test these thoroughly.","unminified-css":"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your css styles. There are also templates that provide this functionality.","unminified-javascript":"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your scripts. There are also templates that provide this functionality.",
"efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","unused-javascript":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the extension responsible from the URL of the script. Look out for extensions that have many scripts in the list which have a lot of red in code coverage. An extension should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in Joomla](https://docs.joomla.org/Cache).",
"uses-optimized-images":"Consider using an [image optimization plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) that compresses your images while retaining quality.","uses-text-compression":"You can enable text compression by enabling Gzip Page Compression in Joomla (System > Global configuration > Server).","uses-responsive-images":"Consider using a [responsive images plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) to use responsive images in your content.","server-response-time":"Templates, extensions, and server specifications all contribute to server response time. Consider finding a more optimized template, carefully selecting an optimization extension, and/or upgrading your server."}},{id:"magento",title:"Magento",
icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" fill="%23f26322" viewBox="0 0 1000 1000"%3E%3Cpath d="M916.9 267.4v465.3l-111.3 67.4V331.4l-1.5-.9-303.9-189-304.6 189.2-1.2.8V799L83.1 732.6V267.4l.7-.4L500.3 10l416 257 .6.4zM560.7 468.5v383.3L500.3 890l-61-38.2V306.7l-136 84.3v476.6l197 122.5 196.4-122.5V391l-136-84.3v161.8z"/%3E%3C/svg%3E',UIStrings:{"modern-image-formats":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) for a variety of third-party extensions to leverage newer image formats.","offscreen-images":"Consider modifying your product and catalog templates to make use of the web platform's [lazy loading](https://web.dev/native-lazy-loading) feature.","disable-bundling":"Disable Magento's built-in [JavaScript bundling and minification](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), and consider using [baler](https://github.com/magento/baler/) instead.",
"unminified-css":'Enable the "Minify CSS Files" option in your store\'s Developer settings. [Learn more](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).',"unminified-javascript":"Use [Terser](https://www.npmjs.com/package/terser) to minify all JavaScript assets from static content deployment, and disable the built-in minification feature.","unused-javascript":"Disable Magento's built-in [JavaScript bundling](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html).","uses-optimized-images":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) for a variety of third party extensions to optimize images.","server-response-time":"Use Magento's [Varnish integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html).",
"uses-rel-preconnect":"Preconnect or dns-prefetch resource hints can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","uses-rel-preload":"`<link rel=preload>` tags can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","critical-request-chains":"If you are not bundling your JavaScript assets, consider using [baler](https://github.com/magento/baler).","font-display":"Specify `@font-display` when [defining custom fonts](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."}},{id:"next.js",title:"Next.js",
icon:'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 207 124"><path d="M48.942 32.632h38.96v3.082h-35.39v23.193H85.79v3.082H52.513v25.464h35.794v3.081H48.942V32.632Zm42.45 0h4.139l18.343 25.464 18.749-25.464L158.124.287l-41.896 60.485 21.59 29.762h-4.302l-19.642-27.086L94.15 90.534h-4.22l21.751-29.762-20.29-28.14Zm47.967 3.082v-3.082h44.397v3.082h-20.453v54.82h-3.571v-54.82h-20.373ZM.203 32.632h4.464l61.557 91.671-25.439-33.769L3.936 37.011l-.162 53.523H.203zm183.194 53.891c.738 0 1.276-.563 1.276-1.29 0-.727-.538-1.29-1.276-1.29-.73 0-1.277.563-1.277 1.29 0 .727.547 1.29 1.277 1.29Zm3.509-3.393c0 2.146 1.555 3.549 3.822 3.549 2.414 0 3.874-1.446 3.874-3.956v-8.837h-1.946v8.828c0 1.394-.704 2.138-1.946 2.138-1.112 0-1.867-.692-1.893-1.722h-1.911Zm10.24-.113c.14 2.233 2.007 3.662 4.787 3.662 2.97 0 4.83-1.498 4.83-3.887 0-1.878-1.06-2.917-3.632-3.514l-1.38-.338c-1.634-.38-2.294-.891-2.294-1.783 0-1.125 1.025-1.86 2.563-1.86 1.459 0 2.466.718 2.649 1.869h1.893c-.113-2.103-1.971-3.583-4.516-3.583-2.737 0-4.56 1.48-4.56 3.704 0 1.835 1.033 2.926 3.3 3.454l1.616.39c1.659.389 2.388.96 2.388 1.912 0 1.108-1.146 1.913-2.71 1.913-1.676 0-2.84-.753-3.005-1.939h-1.928Z" fill="%23000"/></svg>',
UIStrings:{"unused-css-rules":"Consider setting up `PurgeCSS` in `Next.js` configuration to remove unused rules from stylesheets. [Learn more](https://purgecss.com/guides/next.html).","modern-image-formats":"Use the `next/image` component instead of `<img>` to automatically optimize image format. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","offscreen-images":"Use the `next/image` component instead of `<img>` to automatically lazy-load images. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","render-blocking-resources":"Use the `next/script` component to defer loading of non-critical third-party scripts. [Learn more](https://nextjs.org/docs/basic-features/script).","unused-javascript":"Use `Webpack Bundle Analyzer` to detect unused JavaScript code. [Learn more](https://github.com/vercel/next.js/tree/canary/packages/next-bundle-analyzer)",
"uses-long-cache-ttl":"Configure caching for immutable assets and `Server-side Rendered` (SSR) pages. [Learn more](https://nextjs.org/docs/going-to-production#caching).","uses-optimized-images":"Use the `next/image` component instead of `<img>` to adjust image quality. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","uses-text-compression":"Enable compression on your Next.js server. [Learn more](https://nextjs.org/docs/api-reference/next.config.js/compression).","uses-responsive-images":"Use the `next/image` component to set the appropriate `sizes`. [Learn more](https://nextjs.org/docs/api-reference/next/image#sizes).","user-timings":"Consider using `Next.js Analytics` to measure your app's real-world performance. [Learn more](https://nextjs.org/docs/advanced-features/measuring-performance).",
"preload-lcp-image":'Use the `next/image` component and set "priority" to true to preload LCP image. [Learn more](https://nextjs.org/docs/api-reference/next/image#priority).',"unsized-images":"Use the `next/image` component to make sure images are always sized appropriately. [Learn more](https://nextjs.org/docs/api-reference/next/image#width)."}},{id:"nuxt",title:"Nuxt",icon:'data:image/svg+xml,<svg fill="none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 124 124"><path fill-rule="evenodd" clip-rule="evenodd" d="M55.75 27.155c-3.222-5.54-11.278-5.54-14.5 0L6.134 87.535C2.912 93.075 6.94 100 13.384 100h27.413c-2.753-2.407-3.773-6.57-1.69-10.142L65.704 44.27 55.75 27.155Z" fill="%2380EEC0"/><path d="M78 40.4c2.667-4.533 9.333-4.533 12 0L119.06 89.8c2.667 4.533-.666 10.199-5.999 10.199H54.938c-5.333 0-8.666-5.666-6-10.199L78 40.4Z" fill="%2300DC82"/></svg>',UIStrings:{
"modern-image-formats":'Use the `nuxt/image` component and set `format="webp"`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#format).',"offscreen-images":'Use the `nuxt/image` component and set `loading="lazy"` for offscreen images. [Learn more](https://image.nuxtjs.org/components/nuxt-img#loading).',"uses-optimized-images":"Use the `nuxt/image` component and set the appropriate `quality`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#quality).","uses-responsive-images":"Use the `nuxt/image` component and set the appropriate `sizes`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#sizes).","preload-lcp-image":"Use the `nuxt/image` component and specify `preload` for LCP image. [Learn more](https://image.nuxtjs.org/components/nuxt-img#preload).","unsized-images":"Use the `nuxt/image` component and specify explicit `width` and `height`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#width--height)."}},{id:"octobercms",title:"October CMS",
icon:'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 310 310"><path fill="none" d="M-1-1h802v602H-1z"/><g><path fill="%23de6c26" d="M135 6.9c-14.2 4.4-34.9 21.8-49.9 42C55.8 88.5 39.6 135.8 41.4 177c.8 20.2 4.9 35.5 14.4 54.5 13.6 27.4 40.8 55.1 65.5 66.9 14.1 6.7 13.4 6.9 14.1-2.8.3-4.4 1-32.4 1.6-62.1 2.7-137.3 4.4-176 8.2-191.3.6-2.3 1.4-4.2 1.9-4.2 1.2 0 3.6 9.1 4.9 18.3.5 4.3 1 17.7 1 29.8 0 12 .3 21.9.7 21.9.3 0 5.7-5 11.9-11 6.9-6.8 12-11 13.3-11 1.8 0 1.9.3 1 2.7-1.2 3.1-7.9 13.2-19.1 28.5L153 128l.1 31.2c.1 17.2.4 37.4.8 44.9l.6 13.7 11-12.6c14-16 35.1-37.1 39.5-39.6l3.3-1.9-.6 3.2c-2 9.8-9.5 20.7-37.4 54.3L154 240.8v31.1c0 18.3.4 31.1.9 31.1 2.8 0 19.3-6.4 26.8-10.5 13.8-7.3 23.8-15 38.3-29.5 15.7-15.7 24.4-27.4 33.4-45.2 20.5-40 21-80.3 1.6-119-17.8-35.6-54.6-72.1-87.8-86.9-11.7-5.3-24.6-7.3-32.2-5z"/></g></svg>',UIStrings:{
"unused-css-rules":"Consider reviewing the [plugins](https://octobercms.com/plugins) loading unused CSS on the website. To identify plugins that add unnecessary CSS, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the stylesheet URL. Look for plugins with many stylesheets with lots of red in code coverage. A plugin should only add a stylesheet if it is actually used on the web page.","modern-image-formats":"Consider using a [plugin](https://octobercms.com/plugins?search=image) or service that will automatically convert the uploaded images to the optimal formats. [WebP lossless images](https://developers.google.com/speed/webp) are 26% smaller in size compared to PNGs and 25-34% smaller than comparable JPEG images at the equivalent SSIM quality index. Another next-gen image format to consider is [AVIF](https://jakearchibald.com/2020/avif-has-landed/).",
"offscreen-images":"Consider installing an [image lazy loading plugin](https://octobercms.com/plugins?search=lazy) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages).","total-byte-weight":"Consider showing excerpts in the post lists (e.g. using a `show more` button), reducing the number of posts shown on a given web page, breaking long posts into multiple web pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are many plugins that help [inline critical assets](https://octobercms.com/plugins?search=css). These plugins may break other plugins, so you should test thoroughly.",
"unminified-css":"There are many [plugins](https://octobercms.com/plugins?search=css) that can speed up a website by concatenating, minifying and compressing the styles. Using a build process to do this minification up-front can speed up development.","unminified-javascript":"There are many [plugins](https://octobercms.com/plugins?search=javascript) that can speed up a website by concatenating, minifying and compressing the scripts. Using a build process to do this minification up-front can speed up development.","efficient-animated-content":"[Replace animated GIFs with video](https://web.dev/replace-gifs-with-videos/) for faster web page loads and consider using modern file formats such as [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) or [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) to improve compression efficiency by greater than 30% over the current state-of-the-art video codec, VP9.",
"unused-javascript":"Consider reviewing the [plugins](https://octobercms.com/plugins?search=javascript) that load unused JavaScript in the web page. To identify plugins that add unnecessary JavaScript, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the URL of the script. Look for plugins with many scripts with lots of red in code coverage. A plugin should only add a script if it is actually used on the web page.","uses-long-cache-ttl":"Read about [preventing unnecessary network requests with the HTTP Cache](https://web.dev/http-cache/#caching-checklist). There are many [plugins](https://octobercms.com/plugins?search=Caching) that can be used to speed up caching.","uses-optimized-images":"Consider using an [image optimization plugin](https://octobercms.com/plugins?search=image) to compresses images while retaining the quality.",
"uses-text-compression":"Enable text compression in the web server configuration.","uses-responsive-images":"Upload images directly in the media manager to ensure the required image sizes are available. Consider using the [resize filter](https://octobercms.com/docs/markup/filter-resize) or an [image resizing plugin](https://octobercms.com/plugins?search=image) to ensure the optimal image sizes are used.","server-response-time":"Themes, plugins and server specifications all contribute to the server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin and/or upgrade the server. October CMS also allows developers to use [`Queues`](https://octobercms.com/docs/services/queues) to defer the processing of a time consuming task, such as sending an e-mail. This drastically speeds up web requests."}},{id:"react",title:"React",
icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3"%3E %3Cg fill="%2361DAFB"%3E%3Cpath d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/%3E %3Ccircle cx="420.9" cy="296.5" r="45.7"/%3E %3Cpath d="M520.5 78.1z"/%3E%3C/g%3E%3C/svg%3E',
UIStrings:{"unminified-css":"If your build system minifies CSS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unminified-javascript":"If your build system minifies JS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unused-javascript":"If you are not server-side rendering, [split your JavaScript bundles](https://web.dev/code-splitting-suspense/) with `React.lazy()`. Otherwise, code-split using a third-party library such as [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/).",
"server-response-time":"If you are server-side rendering any React components, consider using `renderToNodeStream()` or `renderToStaticNodeStream()` to allow the client to receive and hydrate different parts of the markup instead of all at once. [Learn more](https://reactjs.org/docs/react-dom-server.html#rendertonodestream).",redirects:"If you are using React Router, minimize usage of the `<Redirect>` component for [route navigations](https://reacttraining.com/react-router/web/api/Redirect).","user-timings":"Use the React DevTools Profiler, which makes use of the Profiler API, to measure the rendering performance of your components. [Learn more.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)",
"dom-size":'Consider using a "windowing" library like `react-window` to minimize the number of DOM nodes created if you are rendering many repeated elements on the page. [Learn more](https://web.dev/virtualize-long-lists-react-window/). Also, minimize unnecessary re-renders using [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), or [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) and [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) only until certain dependencies have changed if you are using the `Effect` hook to improve runtime performance.'}},{id:"wordpress",title:"WordPress",
icon:'data:image/svg+xml,%3Csvg viewBox="0 0 122.5 122.5" xmlns="http://www.w3.org/2000/svg"%3E%3Cg fill="%232f3439"%3E%3Cpath d="M8.7 61.3c0 20.8 12.1 38.7 29.6 47.3l-25-68.7c-3 6.5-4.6 13.7-4.6 21.4zM96.7 58.6c0-6.5-2.3-11-4.3-14.5-2.7-4.3-5.2-8-5.2-12.3 0-4.8 3.7-9.3 8.9-9.3h.7a52.4 52.4 0 0 0-79.4 9.9h3.3c5.5 0 14-.6 14-.6 2.9-.2 3.2 4 .4 4.3 0 0-2.9.4-6 .5l19.1 57L59.7 59l-8.2-22.5c-2.8-.1-5.5-.5-5.5-.5-2.8-.1-2.5-4.5.3-4.3 0 0 8.7.7 13.9.7 5.5 0 14-.7 14-.7 2.8-.2 3.2 4 .3 4.3 0 0-2.8.4-6 .5l19 56.5 5.2-17.5c2.3-7.3 4-12.5 4-17z"/%3E%3Cpath d="M62.2 65.9l-15.8 45.8a52.6 52.6 0 0 0 32.3-.9l-.4-.7zM107.4 36a49.6 49.6 0 0 1-3.6 24.2l-16.1 46.5A52.5 52.5 0 0 0 107.4 36z"/%3E%3Cpath d="M61.3 0a61.3 61.3 0 1 0 .1 122.7A61.3 61.3 0 0 0 61.3 0zm0 119.7a58.5 58.5 0 1 1 .1-117 58.5 58.5 0 0 1-.1 117z"/%3E%3C/g%3E%3C/svg%3E',UIStrings:{
"unused-css-rules":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused CSS in your page. To identify plugins that are adding extraneous CSS, try running [code coverage](https://developer.chrome.com/docs/devtools/coverage/) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using a [plugin](https://wordpress.org/plugins/search/convert+webp/) or service that will automatically convert your uploaded images to the optimal formats.",
"offscreen-images":"Install a [lazy-load WordPress plugin](https://wordpress.org/plugins/search/lazy+load/) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://wordpress.org/plugins/amp/).","total-byte-weight":"Consider showing excerpts in your post lists (e.g. via the more tag), reducing the number of posts shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are a number of WordPress plugins that can help you [inline critical assets](https://wordpress.org/plugins/search/critical+css/) or [defer less important resources](https://wordpress.org/plugins/search/defer+css+javascript/). Beware that optimizations provided by these plugins may break features of your theme or plugins, so you will likely need to make code changes.",
"unminified-css":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+css/) can speed up your site by concatenating, minifying, and compressing your styles. You may also want to use a build process to do this minification up-front if possible.","unminified-javascript":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+javascript/) can speed up your site by concatenating, minifying, and compressing your scripts. You may also want to use a build process to do this minification up front if possible.","efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.",
"unused-javascript":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developer.chrome.com/docs/devtools/coverage/) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the script. Look out for plugins that have many scripts in the list which have a lot of red in code coverage. A plugin should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching).","uses-optimized-images":"Consider using an [image optimization WordPress plugin](https://wordpress.org/plugins/search/optimize+images/) that compresses your images while retaining quality.","uses-text-compression":"You can enable text compression in your web server configuration.",
"uses-responsive-images":"Upload images directly through the [media library](https://wordpress.org/support/article/media-library-screen/) to ensure that the required image sizes are available, and then insert them from the media library or use the image widget to ensure the optimal image sizes are used (including those for the responsive breakpoints). Avoid using `Full Size` images unless the dimensions are adequate for their usage. [Learn More](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/).","server-response-time":"Themes, plugins, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin, and/or upgrading your server."}}];const Nc=on.default,Lc=Ic,Mc=oi,Pc=[{packId:"wordpress",requiredStacks:["js:wordpress"]},{packId:"ezoic",requiredStacks:["js:ezoic"]},{packId:"drupal",requiredStacks:["js:drupal"]},{packId:"amp",requiredStacks:["js:amp"]},{packId:"magento",
requiredStacks:["js:magento"]},{packId:"octobercms",requiredStacks:["js:octobercms"]},{packId:"joomla",requiredStacks:["js:joomla"]},{packId:"next.js",requiredStacks:["js:next"]},{packId:"nuxt",requiredStacks:["js:nuxt"]},{packId:"angular",requiredStacks:["js:@angular/core"]},{packId:"react",requiredStacks:["js:react"]}];var Oc={getStackPacks:function getStackPacks(e){const t=[];for(const r of e){const e=Pc.find((e=>e.requiredStacks.includes(`${r.detector}:${r.id}`)));if(!e)continue;const a=Lc.find((t=>t.id===e.packId));if(!a){Nc.warn("StackPacks",`'${e.packId}' stack pack was matched but is not found in stack-packs lib`);continue}const n=Mc.createMessageInstanceIdFn(`node_modules/lighthouse-stack-packs/packs/${a.id}.js`,a.UIStrings),i={},o=a.UIStrings;for(const e in o)o[e]&&(i[e]=n(o[e]));t.push({id:a.id,title:a.title,iconDataURL:a.icon,descriptions:i})}return t},stackPacksToInclude:Pc},Fc="function"==typeof Object.create?function inherits(e,t){e.super_=t,
e.prototype=Object.create(t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}})}:function inherits(e,t){e.super_=t;var TempCtor=function(){};TempCtor.prototype=t.prototype,e.prototype=new TempCtor,e.prototype.constructor=e},Uc=/%[sdj%]/g;function format$4(e){if(!isString(e)){for(var t=[],r=0;r<arguments.length;r++)t.push(inspect(arguments[r]));return t.join(" ")}r=1;for(var a=arguments,n=a.length,i=String(e).replace(Uc,(function(e){if("%%"===e)return"%";if(r>=n)return e;switch(e){case"%s":return String(a[r++]);case"%d":return Number(a[r++]);case"%j":try{return JSON.stringify(a[r++])}catch(e){return"[Circular]"}default:return e}})),o=a[r];r<n;o=a[++r])isNull(o)||!isObject(o)?i+=" "+o:i+=" "+inspect(o);return i}function deprecate(t,r){if(isUndefined(e.process))return function(){return deprecate(t,r).apply(this,arguments)};if(!0===La.noDeprecation)return t;var a=!1;return function deprecated(){if(!a){if(La.throwDeprecation)throw new Error(r)
;La.traceDeprecation?console.trace(r):console.error(r),a=!0}return t.apply(this,arguments)}}var jc,Bc={};function debuglog(e){if(isUndefined(jc)&&(jc=La.env.NODE_DEBUG||""),e=e.toUpperCase(),!Bc[e])if(new RegExp("\\b"+e+"\\b","i").test(jc)){Bc[e]=function(){var t=format$4.apply(null,arguments);console.error("%s %d: %s",e,0,t)}}else Bc[e]=function(){};return Bc[e]}function inspect(e,t){var r={seen:[],stylize:stylizeNoColor};return arguments.length>=3&&(r.depth=arguments[2]),arguments.length>=4&&(r.colors=arguments[3]),isBoolean(t)?r.showHidden=t:t&&_extend(r,t),isUndefined(r.showHidden)&&(r.showHidden=!1),isUndefined(r.depth)&&(r.depth=2),isUndefined(r.colors)&&(r.colors=!1),isUndefined(r.customInspect)&&(r.customInspect=!0),r.colors&&(r.stylize=stylizeWithColor),formatValue(r,e,r.depth)}function stylizeWithColor(e,t){var r=inspect.styles[t];return r?"["+inspect.colors[r][0]+"m"+e+"["+inspect.colors[r][1]+"m":e}function stylizeNoColor(e,t){return e}function formatValue(e,t,r){
if(e.customInspect&&t&&isFunction(t.inspect)&&t.inspect!==inspect&&(!t.constructor||t.constructor.prototype!==t)){var a=t.inspect(r,e);return isString(a)||(a=formatValue(e,a,r)),a}var n=function formatPrimitive(e,t){if(isUndefined(t))return e.stylize("undefined","undefined");if(isString(t)){var r="'"+JSON.stringify(t).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'";return e.stylize(r,"string")}if(isNumber$1(t))return e.stylize(""+t,"number");if(isBoolean(t))return e.stylize(""+t,"boolean");if(isNull(t))return e.stylize("null","null")}(e,t);if(n)return n;var i=Object.keys(t),o=function arrayToHash(e){var t={};return e.forEach((function(e,r){t[e]=!0})),t}(i);if(e.showHidden&&(i=Object.getOwnPropertyNames(t)),isError(t)&&(i.indexOf("message")>=0||i.indexOf("description")>=0))return formatError(t);if(0===i.length){if(isFunction(t)){var s=t.name?": "+t.name:"";return e.stylize("[Function"+s+"]","special")}
if(isRegExp(t))return e.stylize(RegExp.prototype.toString.call(t),"regexp");if(isDate(t))return e.stylize(Date.prototype.toString.call(t),"date");if(isError(t))return formatError(t)}var c,l="",u=!1,d=["{","}"];(isArray$1(t)&&(u=!0,d=["[","]"]),isFunction(t))&&(l=" [Function"+(t.name?": "+t.name:"")+"]");return isRegExp(t)&&(l=" "+RegExp.prototype.toString.call(t)),isDate(t)&&(l=" "+Date.prototype.toUTCString.call(t)),isError(t)&&(l=" "+formatError(t)),0!==i.length||u&&0!=t.length?r<0?isRegExp(t)?e.stylize(RegExp.prototype.toString.call(t),"regexp"):e.stylize("[Object]","special"):(e.seen.push(t),c=u?function formatArray(e,t,r,a,n){for(var i=[],o=0,s=t.length;o<s;++o)hasOwnProperty$1(t,String(o))?i.push(formatProperty(e,t,r,a,String(o),!0)):i.push("");return n.forEach((function(n){n.match(/^\d+$/)||i.push(formatProperty(e,t,r,a,n,!0))})),i}(e,t,r,o,i):i.map((function(a){return formatProperty(e,t,r,o,a,u)})),e.seen.pop(),function reduceToSingleString(e,t,r){if(e.reduce((function(e,t){
return t.indexOf("\n"),e+t.replace(/\u001b\[\d\d?m/g,"").length+1}),0)>60)return r[0]+(""===t?"":t+"\n ")+" "+e.join(",\n  ")+" "+r[1];return r[0]+t+" "+e.join(", ")+" "+r[1]}(c,l,d)):d[0]+l+d[1]}function formatError(e){return"["+Error.prototype.toString.call(e)+"]"}function formatProperty(e,t,r,a,n,i){var o,s,c;if((c=Object.getOwnPropertyDescriptor(t,n)||{value:t[n]}).get?s=c.set?e.stylize("[Getter/Setter]","special"):e.stylize("[Getter]","special"):c.set&&(s=e.stylize("[Setter]","special")),hasOwnProperty$1(a,n)||(o="["+n+"]"),s||(e.seen.indexOf(c.value)<0?(s=isNull(r)?formatValue(e,c.value,null):formatValue(e,c.value,r-1)).indexOf("\n")>-1&&(s=i?s.split("\n").map((function(e){return"  "+e})).join("\n").substr(2):"\n"+s.split("\n").map((function(e){return"   "+e})).join("\n")):s=e.stylize("[Circular]","special")),isUndefined(o)){if(i&&n.match(/^\d+$/))return s;(o=JSON.stringify(""+n)).match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(o=o.substr(1,o.length-2),
o=e.stylize(o,"name")):(o=o.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),o=e.stylize(o,"string"))}return o+": "+s}function isArray$1(e){return Array.isArray(e)}function isBoolean(e){return"boolean"==typeof e}function isNull(e){return null===e}function isNullOrUndefined(e){return null==e}function isNumber$1(e){return"number"==typeof e}function isString(e){return"string"==typeof e}function isSymbol(e){return"symbol"==typeof e}function isUndefined(e){return void 0===e}function isRegExp(e){return isObject(e)&&"[object RegExp]"===objectToString(e)}function isObject(e){return"object"==typeof e&&null!==e}function isDate(e){return isObject(e)&&"[object Date]"===objectToString(e)}function isError(e){return isObject(e)&&("[object Error]"===objectToString(e)||e instanceof Error)}function isFunction(e){return"function"==typeof e}function isPrimitive(e){return null===e||"boolean"==typeof e||"number"==typeof e||"string"==typeof e||"symbol"==typeof e||void 0===e}
function isBuffer(e){return Buffer$2.isBuffer(e)}function objectToString(e){return Object.prototype.toString.call(e)}function pad(e){return e<10?"0"+e.toString(10):e.toString(10)}inspect.colors={bold:[1,22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]},inspect.styles={special:"cyan",number:"yellow",boolean:"yellow",undefined:"grey",null:"bold",string:"green",date:"magenta",regexp:"red"};var $c=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];function timestamp(){var e=new Date,t=[pad(e.getHours()),pad(e.getMinutes()),pad(e.getSeconds())].join(":");return[e.getDate(),$c[e.getMonth()],t].join(" ")}function log$l(){console.log("%s - %s",timestamp(),format$4.apply(null,arguments))}function _extend(e,t){if(!t||!isObject(t))return e;for(var r=Object.keys(t),a=r.length;a--;)e[r[a]]=t[r[a]];return e}function hasOwnProperty$1(e,t){
return Object.prototype.hasOwnProperty.call(e,t)}var qc={inherits:Fc,_extend,log:log$l,isBuffer,isPrimitive,isFunction,isError,isDate,isObject,isRegExp,isUndefined,isSymbol,isString,isNumber:isNumber$1,isNullOrUndefined,isNull,isBoolean,isArray:isArray$1,inspect,deprecate,format:format$4,debuglog},zc=Object.freeze({__proto__:null,format:format$4,deprecate,debuglog,inspect,isArray:isArray$1,isBoolean,isNull,isNullOrUndefined,isNumber:isNumber$1,isString,isSymbol,isUndefined,isRegExp,isObject,isDate,isError,isFunction,isPrimitive,isBuffer,log:log$l,inherits:Fc,_extend,default:qc});function BufferList(){this.head=null,this.tail=null,this.length=0}BufferList.prototype.push=function(e){var t={data:e,next:null};this.length>0?this.tail.next=t:this.head=t,this.tail=t,++this.length},BufferList.prototype.unshift=function(e){var t={data:e,next:this.head};0===this.length&&(this.tail=t),this.head=t,++this.length},BufferList.prototype.shift=function(){if(0!==this.length){var e=this.head.data
;return 1===this.length?this.head=this.tail=null:this.head=this.head.next,--this.length,e}},BufferList.prototype.clear=function(){this.head=this.tail=null,this.length=0},BufferList.prototype.join=function(e){if(0===this.length)return"";for(var t=this.head,r=""+t.data;t=t.next;)r+=e+t.data;return r},BufferList.prototype.concat=function(e){if(0===this.length)return Buffer$2.alloc(0);if(1===this.length)return this.head.data;for(var t=Buffer$2.allocUnsafe(e>>>0),r=this.head,a=0;r;)r.data.copy(t,a),a+=r.data.length,r=r.next;return t};var Vc=Buffer$2.isEncoding||function(e){switch(e&&e.toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":case"raw":return!0;default:return!1}};function StringDecoder(e){switch(this.encoding=(e||"utf8").toLowerCase().replace(/[-_]/,""),function assertEncoding(e){if(e&&!Vc(e))throw new Error("Unknown encoding: "+e)}(e),this.encoding){case"utf8":this.surrogateSize=3;break
;case"ucs2":case"utf16le":this.surrogateSize=2,this.detectIncompleteChar=utf16DetectIncompleteChar;break;case"base64":this.surrogateSize=3,this.detectIncompleteChar=base64DetectIncompleteChar;break;default:return void(this.write=passThroughWrite)}this.charBuffer=new Buffer$2(6),this.charReceived=0,this.charLength=0}function passThroughWrite(e){return e.toString(this.encoding)}function utf16DetectIncompleteChar(e){this.charReceived=e.length%2,this.charLength=this.charReceived?2:0}function base64DetectIncompleteChar(e){this.charReceived=e.length%3,this.charLength=this.charReceived?3:0}StringDecoder.prototype.write=function(e){for(var t="";this.charLength;){var r=e.length>=this.charLength-this.charReceived?this.charLength-this.charReceived:e.length;if(e.copy(this.charBuffer,this.charReceived,0,r),this.charReceived+=r,this.charReceived<this.charLength)return"";if(e=e.slice(r,e.length),
!((n=(t=this.charBuffer.slice(0,this.charLength).toString(this.encoding)).charCodeAt(t.length-1))>=55296&&n<=56319)){if(this.charReceived=this.charLength=0,0===e.length)return t;break}this.charLength+=this.surrogateSize,t=""}this.detectIncompleteChar(e);var a=e.length;this.charLength&&(e.copy(this.charBuffer,0,e.length-this.charReceived,a),a-=this.charReceived);var n;a=(t+=e.toString(this.encoding,0,a)).length-1;if((n=t.charCodeAt(a))>=55296&&n<=56319){var i=this.surrogateSize;return this.charLength+=i,this.charReceived+=i,this.charBuffer.copy(this.charBuffer,i,0,i),e.copy(this.charBuffer,0,0,i),t.substring(0,a)}return t},StringDecoder.prototype.detectIncompleteChar=function(e){for(var t=e.length>=3?3:e.length;t>0;t--){var r=e[e.length-t];if(1==t&&r>>5==6){this.charLength=2;break}if(t<=2&&r>>4==14){this.charLength=3;break}if(t<=3&&r>>3==30){this.charLength=4;break}}this.charReceived=t},StringDecoder.prototype.end=function(e){var t="";if(e&&e.length&&(t=this.write(e)),
this.charReceived){var r=this.charReceived,a=this.charBuffer,n=this.encoding;t+=a.slice(0,r).toString(n)}return t},Readable.ReadableState=ReadableState;var Wc=debuglog("stream");function ReadableState(e,t){e=e||{},this.objectMode=!!e.objectMode,t instanceof Duplex&&(this.objectMode=this.objectMode||!!e.readableObjectMode);var r=e.highWaterMark,a=this.objectMode?16:16384;this.highWaterMark=r||0===r?r:a,this.highWaterMark=~~this.highWaterMark,this.buffer=new BufferList,this.length=0,this.pipes=null,this.pipesCount=0,this.flowing=null,this.ended=!1,this.endEmitted=!1,this.reading=!1,this.sync=!0,this.needReadable=!1,this.emittedReadable=!1,this.readableListening=!1,this.resumeScheduled=!1,this.defaultEncoding=e.defaultEncoding||"utf8",this.ranOut=!1,this.awaitDrain=0,this.readingMore=!1,this.decoder=null,this.encoding=null,e.encoding&&(this.decoder=new StringDecoder(e.encoding),this.encoding=e.encoding)}function Readable(e){if(!(this instanceof Readable))return new Readable(e)
;this._readableState=new ReadableState(e,this),this.readable=!0,e&&"function"==typeof e.read&&(this._read=e.read),EventEmitter$4.call(this)}function readableAddChunk(e,t,r,a,n){var i=function chunkInvalid(e,t){var r=null;Buffer$2.isBuffer(t)||"string"==typeof t||null==t||e.objectMode||(r=new TypeError("Invalid non-string/buffer chunk"));return r}(t,r);if(i)e.emit("error",i);else if(null===r)t.reading=!1,function onEofChunk(e,t){if(t.ended)return;if(t.decoder){var r=t.decoder.end();r&&r.length&&(t.buffer.push(r),t.length+=t.objectMode?1:r.length)}t.ended=!0,emitReadable(e)}(e,t);else if(t.objectMode||r&&r.length>0)if(t.ended&&!n){var o=new Error("stream.push() after EOF");e.emit("error",o)}else if(t.endEmitted&&n){var s=new Error("stream.unshift() after end event");e.emit("error",s)}else{var c;!t.decoder||n||a||(r=t.decoder.write(r),c=!t.objectMode&&0===r.length),n||(t.reading=!1),c||(t.flowing&&0===t.length&&!t.sync?(e.emit("data",r),e.read(0)):(t.length+=t.objectMode?1:r.length,
n?t.buffer.unshift(r):t.buffer.push(r),t.needReadable&&emitReadable(e))),function maybeReadMore(e,t){t.readingMore||(t.readingMore=!0,nextTick(maybeReadMore_,e,t))}(e,t)}else n||(t.reading=!1);return function needMoreData(e){return!e.ended&&(e.needReadable||e.length<e.highWaterMark||0===e.length)}(t)}Fc(Readable,EventEmitter$4),Readable.prototype.push=function(e,t){var r=this._readableState;return r.objectMode||"string"!=typeof e||(t=t||r.defaultEncoding)!==r.encoding&&(e=Buffer$2.from(e,t),t=""),readableAddChunk(this,r,e,t,!1)},Readable.prototype.unshift=function(e){return readableAddChunk(this,this._readableState,e,"",!0)},Readable.prototype.isPaused=function(){return!1===this._readableState.flowing},Readable.prototype.setEncoding=function(e){return this._readableState.decoder=new StringDecoder(e),this._readableState.encoding=e,this};var Gc=8388608;function howMuchToRead(e,t){
return e<=0||0===t.length&&t.ended?0:t.objectMode?1:e!=e?t.flowing&&t.length?t.buffer.head.data.length:t.length:(e>t.highWaterMark&&(t.highWaterMark=function computeNewHighWaterMark(e){return e>=Gc?e=Gc:(e--,e|=e>>>1,e|=e>>>2,e|=e>>>4,e|=e>>>8,e|=e>>>16,e++),e}(e)),e<=t.length?e:t.ended?t.length:(t.needReadable=!0,0))}function emitReadable(e){var t=e._readableState;t.needReadable=!1,t.emittedReadable||(Wc("emitReadable",t.flowing),t.emittedReadable=!0,t.sync?nextTick(emitReadable_,e):emitReadable_(e))}function emitReadable_(e){Wc("emit readable"),e.emit("readable"),flow(e)}function maybeReadMore_(e,t){for(var r=t.length;!t.reading&&!t.flowing&&!t.ended&&t.length<t.highWaterMark&&(Wc("maybeReadMore read 0"),e.read(0),r!==t.length);)r=t.length;t.readingMore=!1}function nReadingNextTick(e){Wc("readable nexttick read 0"),e.read(0)}function resume_(e,t){t.reading||(Wc("resume read 0"),e.read(0)),t.resumeScheduled=!1,t.awaitDrain=0,e.emit("resume"),flow(e),t.flowing&&!t.reading&&e.read(0)}
function flow(e){var t=e._readableState;for(Wc("flow",t.flowing);t.flowing&&null!==e.read(););}function fromList(e,t){return 0===t.length?null:(t.objectMode?r=t.buffer.shift():!e||e>=t.length?(r=t.decoder?t.buffer.join(""):1===t.buffer.length?t.buffer.head.data:t.buffer.concat(t.length),t.buffer.clear()):r=function fromListPartial(e,t,r){var a;e<t.head.data.length?(a=t.head.data.slice(0,e),t.head.data=t.head.data.slice(e)):a=e===t.head.data.length?t.shift():r?function copyFromBufferString(e,t){var r=t.head,a=1,n=r.data;e-=n.length;for(;r=r.next;){var i=r.data,o=e>i.length?i.length:e;if(o===i.length?n+=i:n+=i.slice(0,e),0===(e-=o)){o===i.length?(++a,r.next?t.head=r.next:t.head=t.tail=null):(t.head=r,r.data=i.slice(o));break}++a}return t.length-=a,n}(e,t):function copyFromBuffer(e,t){var r=Buffer$2.allocUnsafe(e),a=t.head,n=1;a.data.copy(r),e-=a.data.length;for(;a=a.next;){var i=a.data,o=e>i.length?i.length:e;if(i.copy(r,r.length-e,0,o),0===(e-=o)){o===i.length?(++n,
a.next?t.head=a.next:t.head=t.tail=null):(t.head=a,a.data=i.slice(o));break}++n}return t.length-=n,r}(e,t);return a}(e,t.buffer,t.decoder),r);var r}function endReadable(e){var t=e._readableState;if(t.length>0)throw new Error('"endReadable()" called on non-empty stream');t.endEmitted||(t.ended=!0,nextTick(endReadableNT,t,e))}function endReadableNT(e,t){e.endEmitted||0!==e.length||(e.endEmitted=!0,t.readable=!1,t.emit("end"))}function indexOf(e,t){for(var r=0,a=e.length;r<a;r++)if(e[r]===t)return r;return-1}function nop(){}function WriteReq(e,t,r){this.chunk=e,this.encoding=t,this.callback=r,this.next=null}function WritableState(e,t){Object.defineProperty(this,"buffer",{get:deprecate((function(){return this.getBuffer()}),"_writableState.buffer is deprecated. Use _writableState.getBuffer instead.")}),e=e||{},this.objectMode=!!e.objectMode,t instanceof Duplex&&(this.objectMode=this.objectMode||!!e.writableObjectMode);var r=e.highWaterMark,a=this.objectMode?16:16384
;this.highWaterMark=r||0===r?r:a,this.highWaterMark=~~this.highWaterMark,this.needDrain=!1,this.ending=!1,this.ended=!1,this.finished=!1;var n=!1===e.decodeStrings;this.decodeStrings=!n,this.defaultEncoding=e.defaultEncoding||"utf8",this.length=0,this.writing=!1,this.corked=0,this.sync=!0,this.bufferProcessing=!1,this.onwrite=function(e){!function onwrite(e,t){var r=e._writableState,a=r.sync,n=r.writecb;if(function onwriteStateUpdate(e){e.writing=!1,e.writecb=null,e.length-=e.writelen,e.writelen=0}(r),t)!function onwriteError(e,t,r,a,n){--t.pendingcb,r?nextTick(n,a):n(a);e._writableState.errorEmitted=!0,e.emit("error",a)}(e,r,a,t,n);else{var i=needFinish(r);i||r.corked||r.bufferProcessing||!r.bufferedRequest||clearBuffer(e,r),a?nextTick(afterWrite,e,r,i,n):afterWrite(e,r,i,n)}}(t,e)},this.writecb=null,this.writelen=0,this.bufferedRequest=null,this.lastBufferedRequest=null,this.pendingcb=0,this.prefinished=!1,this.errorEmitted=!1,this.bufferedRequestCount=0,
this.corkedRequestsFree=new CorkedRequest(this)}function Writable(e){if(!(this instanceof Writable||this instanceof Duplex))return new Writable(e);this._writableState=new WritableState(e,this),this.writable=!0,e&&("function"==typeof e.write&&(this._write=e.write),"function"==typeof e.writev&&(this._writev=e.writev)),EventEmitter$4.call(this)}function doWrite(e,t,r,a,n,i,o){t.writelen=a,t.writecb=o,t.writing=!0,t.sync=!0,r?e._writev(n,t.onwrite):e._write(n,i,t.onwrite),t.sync=!1}function afterWrite(e,t,r,a){r||function onwriteDrain(e,t){0===t.length&&t.needDrain&&(t.needDrain=!1,e.emit("drain"))}(e,t),t.pendingcb--,a(),finishMaybe(e,t)}function clearBuffer(e,t){t.bufferProcessing=!0;var r=t.bufferedRequest;if(e._writev&&r&&r.next){var a=t.bufferedRequestCount,n=new Array(a),i=t.corkedRequestsFree;i.entry=r;for(var o=0;r;)n[o]=r,r=r.next,o+=1;doWrite(e,t,!0,t.length,n,"",i.finish),t.pendingcb++,t.lastBufferedRequest=null,i.next?(t.corkedRequestsFree=i.next,
i.next=null):t.corkedRequestsFree=new CorkedRequest(t)}else{for(;r;){var s=r.chunk,c=r.encoding,l=r.callback;if(doWrite(e,t,!1,t.objectMode?1:s.length,s,c,l),r=r.next,t.writing)break}null===r&&(t.lastBufferedRequest=null)}t.bufferedRequestCount=0,t.bufferedRequest=r,t.bufferProcessing=!1}function needFinish(e){return e.ending&&0===e.length&&null===e.bufferedRequest&&!e.finished&&!e.writing}function prefinish(e,t){t.prefinished||(t.prefinished=!0,e.emit("prefinish"))}function finishMaybe(e,t){var r=needFinish(t);return r&&(0===t.pendingcb?(prefinish(e,t),t.finished=!0,e.emit("finish")):prefinish(e,t)),r}function CorkedRequest(e){var t=this;this.next=null,this.entry=null,this.finish=function(r){var a=t.entry;for(t.entry=null;a;){var n=a.callback;e.pendingcb--,n(r),a=a.next}e.corkedRequestsFree?e.corkedRequestsFree.next=t:e.corkedRequestsFree=t}}Readable.prototype.read=function(e){Wc("read",e),e=parseInt(e,10);var t=this._readableState,r=e;if(0!==e&&(t.emittedReadable=!1),
0===e&&t.needReadable&&(t.length>=t.highWaterMark||t.ended))return Wc("read: emitReadable",t.length,t.ended),0===t.length&&t.ended?endReadable(this):emitReadable(this),null;if(0===(e=howMuchToRead(e,t))&&t.ended)return 0===t.length&&endReadable(this),null;var a,n=t.needReadable;return Wc("need readable",n),(0===t.length||t.length-e<t.highWaterMark)&&Wc("length less than watermark",n=!0),t.ended||t.reading?Wc("reading or ended",n=!1):n&&(Wc("do read"),t.reading=!0,t.sync=!0,0===t.length&&(t.needReadable=!0),this._read(t.highWaterMark),t.sync=!1,t.reading||(e=howMuchToRead(r,t))),null===(a=e>0?fromList(e,t):null)?(t.needReadable=!0,e=0):t.length-=e,0===t.length&&(t.ended||(t.needReadable=!0),r!==e&&t.ended&&endReadable(this)),null!==a&&this.emit("data",a),a},Readable.prototype._read=function(e){this.emit("error",new Error("not implemented"))},Readable.prototype.pipe=function(e,t){var r=this,a=this._readableState;switch(a.pipesCount){case 0:a.pipes=e;break;case 1:a.pipes=[a.pipes,e];break
;default:a.pipes.push(e)}a.pipesCount+=1,Wc("pipe count=%d opts=%j",a.pipesCount,t);var n=!t||!1!==t.end?onend:cleanup;function onunpipe(e){Wc("onunpipe"),e===r&&cleanup()}function onend(){Wc("onend"),e.end()}a.endEmitted?nextTick(n):r.once("end",n),e.on("unpipe",onunpipe);var i=function pipeOnDrain(e){return function(){var t=e._readableState;Wc("pipeOnDrain",t.awaitDrain),t.awaitDrain&&t.awaitDrain--,0===t.awaitDrain&&e.listeners("data").length&&(t.flowing=!0,flow(e))}}(r);e.on("drain",i);var o=!1;function cleanup(){Wc("cleanup"),e.removeListener("close",onclose),e.removeListener("finish",onfinish),e.removeListener("drain",i),e.removeListener("error",onerror),e.removeListener("unpipe",onunpipe),r.removeListener("end",onend),r.removeListener("end",cleanup),r.removeListener("data",ondata),o=!0,!a.awaitDrain||e._writableState&&!e._writableState.needDrain||i()}var s=!1;function ondata(t){Wc("ondata"),s=!1,
!1!==e.write(t)||s||((1===a.pipesCount&&a.pipes===e||a.pipesCount>1&&-1!==indexOf(a.pipes,e))&&!o&&(Wc("false write response, pause",r._readableState.awaitDrain),r._readableState.awaitDrain++,s=!0),r.pause())}function onerror(t){Wc("onerror",t),unpipe(),e.removeListener("error",onerror),0===function listenerCount(e,t){return e.listeners(t).length}(e,"error")&&e.emit("error",t)}function onclose(){e.removeListener("finish",onfinish),unpipe()}function onfinish(){Wc("onfinish"),e.removeListener("close",onclose),unpipe()}function unpipe(){Wc("unpipe"),r.unpipe(e)}return r.on("data",ondata),function prependListener(e,t,r){if("function"==typeof e.prependListener)return e.prependListener(t,r);e._events&&e._events[t]?Array.isArray(e._events[t])?e._events[t].unshift(r):e._events[t]=[r,e._events[t]]:e.on(t,r)}(e,"error",onerror),e.once("close",onclose),e.once("finish",onfinish),e.emit("pipe",r),a.flowing||(Wc("pipe resume"),r.resume()),e},Readable.prototype.unpipe=function(e){
var t=this._readableState;if(0===t.pipesCount)return this;if(1===t.pipesCount)return e&&e!==t.pipes||(e||(e=t.pipes),t.pipes=null,t.pipesCount=0,t.flowing=!1,e&&e.emit("unpipe",this)),this;if(!e){var r=t.pipes,a=t.pipesCount;t.pipes=null,t.pipesCount=0,t.flowing=!1;for(var n=0;n<a;n++)r[n].emit("unpipe",this);return this}var i=indexOf(t.pipes,e);return-1===i||(t.pipes.splice(i,1),t.pipesCount-=1,1===t.pipesCount&&(t.pipes=t.pipes[0]),e.emit("unpipe",this)),this},Readable.prototype.on=function(e,t){var r=EventEmitter$4.prototype.on.call(this,e,t);if("data"===e)!1!==this._readableState.flowing&&this.resume();else if("readable"===e){var a=this._readableState;a.endEmitted||a.readableListening||(a.readableListening=a.needReadable=!0,a.emittedReadable=!1,a.reading?a.length&&emitReadable(this):nextTick(nReadingNextTick,this))}return r},Readable.prototype.addListener=Readable.prototype.on,Readable.prototype.resume=function(){var e=this._readableState;return e.flowing||(Wc("resume"),
e.flowing=!0,function resume(e,t){t.resumeScheduled||(t.resumeScheduled=!0,nextTick(resume_,e,t))}(this,e)),this},Readable.prototype.pause=function(){return Wc("call pause flowing=%j",this._readableState.flowing),!1!==this._readableState.flowing&&(Wc("pause"),this._readableState.flowing=!1,this.emit("pause")),this},Readable.prototype.wrap=function(e){var t=this._readableState,r=!1,a=this;for(var n in e.on("end",(function(){if(Wc("wrapped end"),t.decoder&&!t.ended){var e=t.decoder.end();e&&e.length&&a.push(e)}a.push(null)})),e.on("data",(function(n){(Wc("wrapped data"),t.decoder&&(n=t.decoder.write(n)),t.objectMode&&null==n)||(t.objectMode||n&&n.length)&&(a.push(n)||(r=!0,e.pause()))})),e)void 0===this[n]&&"function"==typeof e[n]&&(this[n]=function(t){return function(){return e[t].apply(e,arguments)}}(n));return function forEach(e,t){for(var r=0,a=e.length;r<a;r++)t(e[r],r)}(["error","close","destroy","pause","resume"],(function(t){e.on(t,a.emit.bind(a,t))})),a._read=function(t){
Wc("wrapped _read",t),r&&(r=!1,e.resume())},a},Readable._fromList=fromList,Writable.WritableState=WritableState,Fc(Writable,EventEmitter$4),WritableState.prototype.getBuffer=function writableStateGetBuffer(){for(var e=this.bufferedRequest,t=[];e;)t.push(e),e=e.next;return t},Writable.prototype.pipe=function(){this.emit("error",new Error("Cannot pipe, not readable"))},Writable.prototype.write=function(e,t,r){var a=this._writableState,n=!1;return"function"==typeof t&&(r=t,t=null),Buffer$2.isBuffer(e)?t="buffer":t||(t=a.defaultEncoding),"function"!=typeof r&&(r=nop),a.ended?function writeAfterEnd(e,t){var r=new Error("write after end");e.emit("error",r),nextTick(t,r)}(this,r):function validChunk(e,t,r,a){var n=!0,i=!1;return null===r?i=new TypeError("May not write null values to stream"):Buffer$2.isBuffer(r)||"string"==typeof r||void 0===r||t.objectMode||(i=new TypeError("Invalid non-string/buffer chunk")),i&&(e.emit("error",i),nextTick(a,i),n=!1),n}(this,a,e,r)&&(a.pendingcb++,
n=function writeOrBuffer(e,t,r,a,n){r=function decodeChunk(e,t,r){e.objectMode||!1===e.decodeStrings||"string"!=typeof t||(t=Buffer$2.from(t,r));return t}(t,r,a),Buffer$2.isBuffer(r)&&(a="buffer");var i=t.objectMode?1:r.length;t.length+=i;var o=t.length<t.highWaterMark;o||(t.needDrain=!0);if(t.writing||t.corked){var s=t.lastBufferedRequest;t.lastBufferedRequest=new WriteReq(r,a,n),s?s.next=t.lastBufferedRequest:t.bufferedRequest=t.lastBufferedRequest,t.bufferedRequestCount+=1}else doWrite(e,t,!1,i,r,a,n);return o}(this,a,e,t,r)),n},Writable.prototype.cork=function(){this._writableState.corked++},Writable.prototype.uncork=function(){var e=this._writableState;e.corked&&(e.corked--,e.writing||e.corked||e.finished||e.bufferProcessing||!e.bufferedRequest||clearBuffer(this,e))},Writable.prototype.setDefaultEncoding=function setDefaultEncoding(e){if("string"==typeof e&&(e=e.toLowerCase()),
!(["hex","utf8","utf-8","ascii","binary","base64","ucs2","ucs-2","utf16le","utf-16le","raw"].indexOf((e+"").toLowerCase())>-1))throw new TypeError("Unknown encoding: "+e);return this._writableState.defaultEncoding=e,this},Writable.prototype._write=function(e,t,r){r(new Error("not implemented"))},Writable.prototype._writev=null,Writable.prototype.end=function(e,t,r){var a=this._writableState;"function"==typeof e?(r=e,e=null,t=null):"function"==typeof t&&(r=t,t=null),null!=e&&this.write(e,t),a.corked&&(a.corked=1,this.uncork()),a.ending||a.finished||function endWritable(e,t,r){t.ending=!0,finishMaybe(e,t),r&&(t.finished?nextTick(r):e.once("finish",r));t.ended=!0,e.writable=!1}(this,a,r)},Fc(Duplex,Readable);for(var Hc=Object.keys(Writable.prototype),Yc=0;Yc<Hc.length;Yc++){var Kc=Hc[Yc];Duplex.prototype[Kc]||(Duplex.prototype[Kc]=Writable.prototype[Kc])}function Duplex(e){if(!(this instanceof Duplex))return new Duplex(e);Readable.call(this,e),Writable.call(this,e),
e&&!1===e.readable&&(this.readable=!1),e&&!1===e.writable&&(this.writable=!1),this.allowHalfOpen=!0,e&&!1===e.allowHalfOpen&&(this.allowHalfOpen=!1),this.once("end",onend)}function onend(){this.allowHalfOpen||this._writableState.ended||nextTick(onEndNT,this)}function onEndNT(e){e.end()}function TransformState(e){this.afterTransform=function(t,r){return function afterTransform(e,t,r){var a=e._transformState;a.transforming=!1;var n=a.writecb;if(!n)return e.emit("error",new Error("no writecb in Transform class"));a.writechunk=null,a.writecb=null,null!=r&&e.push(r);n(t);var i=e._readableState;i.reading=!1,(i.needReadable||i.length<i.highWaterMark)&&e._read(i.highWaterMark)}(e,t,r)},this.needTransform=!1,this.transforming=!1,this.writecb=null,this.writechunk=null,this.writeencoding=null}function Transform(e){if(!(this instanceof Transform))return new Transform(e);Duplex.call(this,e),this._transformState=new TransformState(this);var t=this;this._readableState.needReadable=!0,
this._readableState.sync=!1,e&&("function"==typeof e.transform&&(this._transform=e.transform),"function"==typeof e.flush&&(this._flush=e.flush)),this.once("prefinish",(function(){"function"==typeof this._flush?this._flush((function(e){done(t,e)})):done(t)}))}function done(e,t){if(t)return e.emit("error",t);var r=e._writableState,a=e._transformState;if(r.length)throw new Error("Calling transform done when ws.length != 0");if(a.transforming)throw new Error("Calling transform done when still transforming");return e.push(null)}function PassThrough(e){if(!(this instanceof PassThrough))return new PassThrough(e);Transform.call(this,e)}function Stream(){EventEmitter$4.call(this)}Fc(Transform,Duplex),Transform.prototype.push=function(e,t){return this._transformState.needTransform=!1,Duplex.prototype.push.call(this,e,t)},Transform.prototype._transform=function(e,t,r){throw new Error("Not implemented")},Transform.prototype._write=function(e,t,r){var a=this._transformState;if(a.writecb=r,
a.writechunk=e,a.writeencoding=t,!a.transforming){var n=this._readableState;(a.needTransform||n.needReadable||n.length<n.highWaterMark)&&this._read(n.highWaterMark)}},Transform.prototype._read=function(e){var t=this._transformState;null!==t.writechunk&&t.writecb&&!t.transforming?(t.transforming=!0,this._transform(t.writechunk,t.writeencoding,t.afterTransform)):t.needTransform=!0},Fc(PassThrough,Transform),PassThrough.prototype._transform=function(e,t,r){r(null,e)},Fc(Stream,EventEmitter$4),Stream.Readable=Readable,Stream.Writable=Writable,Stream.Duplex=Duplex,Stream.Transform=Transform,Stream.PassThrough=PassThrough,Stream.Stream=Stream,Stream.prototype.pipe=function(e,t){var r=this;function ondata(t){e.writable&&!1===e.write(t)&&r.pause&&r.pause()}function ondrain(){r.readable&&r.resume&&r.resume()}r.on("data",ondata),e.on("drain",ondrain),e._isStdio||t&&!1===t.end||(r.on("end",onend),r.on("close",onclose));var a=!1;function onend(){a||(a=!0,e.end())}function onclose(){a||(a=!0,
"function"==typeof e.destroy&&e.destroy())}function onerror(e){if(cleanup(),0===EventEmitter$4.listenerCount(this,"error"))throw e}function cleanup(){r.removeListener("data",ondata),e.removeListener("drain",ondrain),r.removeListener("end",onend),r.removeListener("close",onclose),r.removeListener("error",onerror),e.removeListener("error",onerror),r.removeListener("end",cleanup),r.removeListener("close",cleanup),e.removeListener("close",cleanup)}return r.on("error",onerror),e.on("error",onerror),r.on("end",cleanup),r.on("close",cleanup),e.on("close",cleanup),e.emit("pipe",r),e};var Jc=getAugmentedNamespace(Object.freeze({__proto__:null,default:Stream,Readable,Writable,Duplex,Transform,PassThrough,Stream})),Xc=getAugmentedNamespace(zc);class BaseNode$e{constructor(e){this._id=e,this._isMainDocument=!1,this._dependents=[],this._dependencies=[]}get id(){return this._id}get type(){throw new Error("Unimplemented")}get startTime(){throw new Error("Unimplemented")}get endTime(){
throw new Error("Unimplemented")}setIsMainDocument(e){this._isMainDocument=e}isMainDocument(){return this._isMainDocument}getDependents(){return this._dependents.slice()}getNumberOfDependents(){return this._dependents.length}getDependencies(){return this._dependencies.slice()}getNumberOfDependencies(){return this._dependencies.length}getRootNode(){let e=this;for(;e._dependencies.length;)e=e._dependencies[0];return e}addDependent(e){e.addDependency(this)}addDependency(e){if(e===this)throw new Error("Cannot add dependency on itself");this._dependencies.includes(e)||(e._dependents.push(this),this._dependencies.push(e))}removeDependent(e){e.removeDependency(this)}removeDependency(e){if(!this._dependencies.includes(e))return;const t=e._dependents.indexOf(this);e._dependents.splice(t,1),this._dependencies.splice(this._dependencies.indexOf(e),1)}removeAllDependencies(){for(const e of this._dependencies.slice())this.removeDependency(e)}isDependentOn(e){let t=!1;return this.traverse((r=>{
t||(t=r===e)}),(e=>t?[]:e.getDependencies())),t}cloneWithoutRelationships(){const e=new BaseNode$e(this.id);return e.setIsMainDocument(this._isMainDocument),e}cloneWithRelationships(e){const t=this.getRootNode(),r=new Map;t.traverse((t=>{r.has(t.id)||(void 0!==e?e(t)&&t.traverse((e=>r.set(e.id,e.cloneWithoutRelationships())),(e=>e._dependencies.filter((e=>!r.has(e.id))))):r.set(t.id,t.cloneWithoutRelationships()))})),t.traverse((e=>{const t=r.get(e.id);if(t)for(const a of e._dependencies){const e=r.get(a.id);if(!e)throw new Error("Dependency somehow not cloned");t.addDependency(e)}}));const a=r.get(this.id);if(!a)throw new Error("Cloned graph missing node");return a}traverse(e,t){for(const{node:r,traversalPath:a}of this.traverseGenerator(t))e(r,a)}*traverseGenerator(e){e||(e=e=>e.getDependents());const t=[[this]],r=new Set([this.id]);for(;t.length;){const a=t.shift(),n=a[0];yield{node:n,traversalPath:a};for(const i of e(n))r.has(i.id)||(r.add(i.id),t.push([i,...a]))}}
static hasCycle(e,t="both"){if("both"===t)return BaseNode$e.hasCycle(e,"dependents")||BaseNode$e.hasCycle(e,"dependencies");const r=new Set,a=[],n=[e],i=new Map([[e,0]]);for(;n.length;){const e=n.pop();if(a.includes(e))return!0;if(r.has(e))continue;for(;a.length>i.get(e);)a.pop();r.add(e),a.push(e);const o="dependents"===t?e._dependents:e._dependencies;for(const e of o)n.includes(e)||(n.push(e),i.set(e,a.length))}return!1}canDependOn(e){return e.startTime<=this.startTime}}BaseNode$e.TYPES={NETWORK:"network",CPU:"cpu"};var Zc=BaseNode$e;const Qc=1460;class TcpConnection$2{constructor(e,t,r=0,a=!0,n=!1){this._warmed=!1,this._ssl=a,this._h2=n,this._rtt=e,this._throughput=t,this._serverLatency=r,this._congestionWindow=10,this._h2OverflowBytesDownloaded=0}static maximumSaturatedConnections(e,t){const r=8*(1460*(1e3/e));return Math.floor(t/r)}_computeMaximumCongestionWindowInSegments(){const e=this._throughput/8*(this._rtt/1e3);return Math.floor(e/Qc)}setThroughput(e){this._throughput=e}
setCongestionWindow(e){this._congestionWindow=e}setWarmed(e){this._warmed=e}isWarm(){return this._warmed}isH2(){return this._h2}get congestionWindow(){return this._congestionWindow}setH2OverflowBytesDownloaded(e){this._h2&&(this._h2OverflowBytesDownloaded=e)}clone(){return Object.assign(new TcpConnection$2(this._rtt,this._throughput),this)}simulateDownloadUntil(e,t){const{timeAlreadyElapsed:r=0,maximumTimeToElapse:a=1/0,dnsResolutionTime:n=0}=t||{};this._warmed&&this._h2&&(e-=this._h2OverflowBytesDownloaded);const i=this._rtt,o=i/2,s=this._computeMaximumCongestionWindowInSegments();let c=o;this._warmed||(c=n+o+o+o+(this._ssl?i:0));let l=Math.ceil(c/i),u=c+this._serverLatency+o;this._warmed&&this._h2&&(u=0);const d=Math.max(u-r,0),m=a-d;let p=Math.min(this._congestionWindow,s),h=0;d>0?h=p*Qc:l=0;let f=0,y=e-h;for(;y>0&&f<=m;){l++,f+=i,p=Math.max(Math.min(s,2*p),1);const e=p*Qc;h+=e,y-=e}const v=d+f,b=this._h2?Math.max(h-e,0):0;return{roundTrips:l,timeElapsed:v,
bytesDownloaded:Math.max(Math.min(h,e),0),extraBytesDownloaded:b,congestionWindow:p}}}var el=TcpConnection$2;const tl=Fo,rl=el,al=["https","wss"];class DNSCache$1{constructor({rtt:e}){this._rtt=e,this._resolvedDomainNames=new Map}getTimeUntilResolution(e,t){const{requestedAt:r=0,shouldUpdateCache:a=!1}=t||{},n=e.parsedURL.host,i=this._resolvedDomainNames.get(n);let o=this._rtt*DNSCache$1.RTT_MULTIPLIER;if(i){const e=Math.max(i.resolvedAt-r,0);o=Math.min(e,o)}const s=r+o;return a&&this._updateCacheResolvedAtIfNeeded(e,s),o}_updateCacheResolvedAtIfNeeded(e,t){const r=e.parsedURL.host,a=this._resolvedDomainNames.get(r)||{resolvedAt:t};a.resolvedAt=Math.min(a.resolvedAt,t),this._resolvedDomainNames.set(r,a)}setResolvedAt(e,t){this._resolvedDomainNames.set(e,{resolvedAt:t})}}DNSCache$1.RTT_MULTIPLIER=2;var nl=DNSCache$1;const il=Zc;var ol=class SimulatorTimingMap$1{constructor(){this._nodeTimings=new Map}getNodes(){return Array.from(this._nodeTimings.keys())}setReadyToStart(e,t){
this._nodeTimings.set(e,t)}setInProgress(e,t){const r={...this.getQueued(e),startTime:t.startTime,timeElapsed:0};this._nodeTimings.set(e,e.type===il.TYPES.NETWORK?{...r,timeElapsedOvershoot:0,bytesDownloaded:0}:r)}setCompleted(e,t){const r={...this.getInProgress(e),endTime:t.endTime};this._nodeTimings.set(e,r)}setCpu(e,t){const r={...this.getCpuStarted(e),timeElapsed:t.timeElapsed};this._nodeTimings.set(e,r)}setCpuEstimated(e,t){const r={...this.getCpuStarted(e),estimatedTimeElapsed:t.estimatedTimeElapsed};this._nodeTimings.set(e,r)}setNetwork(e,t){const r={...this.getNetworkStarted(e),timeElapsed:t.timeElapsed,timeElapsedOvershoot:t.timeElapsedOvershoot,bytesDownloaded:t.bytesDownloaded};this._nodeTimings.set(e,r)}setNetworkEstimated(e,t){const r={...this.getNetworkStarted(e),estimatedTimeElapsed:t.estimatedTimeElapsed};this._nodeTimings.set(e,r)}getQueued(e){const t=this._nodeTimings.get(e);if(!t)throw new Error(`Node ${e.id} not yet queued`);return t}getCpuStarted(e){
const t=this._nodeTimings.get(e);if(!t)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in t))throw new Error(`Node ${e.id} not yet started`);if("bytesDownloaded"in t)throw new Error(`Node ${e.id} timing not valid`);return t}getNetworkStarted(e){const t=this._nodeTimings.get(e);if(!t)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in t))throw new Error(`Node ${e.id} not yet started`);if(!("bytesDownloaded"in t))throw new Error(`Node ${e.id} timing not valid`);return t}getInProgress(e){const t=this._nodeTimings.get(e);if(!t)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in t))throw new Error(`Node ${e.id} not yet started`);if(!("estimatedTimeElapsed"in t))throw new Error(`Node ${e.id} not yet in progress`);return t}getCompleted(e){const t=this._nodeTimings.get(e);if(!t)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in t))throw new Error(`Node ${e.id} not yet started`)
;if(!("estimatedTimeElapsed"in t))throw new Error(`Node ${e.id} not yet in progress`);if(!("endTime"in t))throw new Error(`Node ${e.id} not yet completed`);return t}};const sl=Zc,cl=el,ll=class ConnectionPool{constructor(e,t){this._options=t,this._records=e,this._connectionsByOrigin=new Map,this._connectionsByRecord=new Map,this._connectionsInUse=new Set,this._connectionReusedByRequestId=tl.estimateIfConnectionWasReused(e,{forceCoarseEstimates:!0}),this._initializeConnections()}connectionsInUse(){return Array.from(this._connectionsInUse)}_initializeConnections(){const e=this._connectionReusedByRequestId,t=this._options.additionalRttByOrigin,r=this._options.serverResponseTimeByOrigin,a=tl.groupByOrigin(this._records);for(const[n,i]of a.entries()){const a=[],o=t.get(n)||0,s=r.get(n)||30;for(const t of i){if(e.get(t.requestId))continue;const r=al.includes(t.parsedURL.scheme),n="h2"===t.protocol,i=new rl(this._options.rtt+o,this._options.throughput,s,r,n);a.push(i)}
if(!a.length)throw new Error(`Could not find a connection for origin: ${n}`);const c=a[0].isH2()?1:6;for(;a.length<c;)a.push(a[0].clone());this._connectionsByOrigin.set(n,a)}}_findAvailableConnectionWithLargestCongestionWindow(e,t){const{ignoreConnectionReused:r,observedConnectionWasReused:a}=t;let n=null;for(let t=0;t<e.length;t++){const i=e[t];if(!r&&i._warmed!==a)continue;if(this._connectionsInUse.has(i))continue;const o=n?.congestionWindow||-1/0;i.congestionWindow>o&&(n=i)}return n}acquire(e,t={}){if(this._connectionsByRecord.has(e))throw new Error("Record already has a connection");const r=e.parsedURL.securityOrigin,a=!!this._connectionReusedByRequestId.get(e.requestId),n=this._connectionsByOrigin.get(r)||[],i=this._findAvailableConnectionWithLargestCongestionWindow(n,{ignoreConnectionReused:t.ignoreConnectionReused,observedConnectionWasReused:a});return i?(this._connectionsInUse.add(i),this._connectionsByRecord.set(e,i),i):null}acquireActiveConnectionFromRecord(e){
const t=this._connectionsByRecord.get(e);if(!t)throw new Error("Could not find an active connection for record");return t}release(e){const t=this._connectionsByRecord.get(e);this._connectionsByRecord.delete(e),this._connectionsInUse.delete(t)}},ul=nl,dl=mn.throttling.mobileSlow4G,ml=ol,pl={NotReadyToStart:0,ReadyToStart:1,InProgress:2,Complete:3},hl={VeryHigh:0,High:.25,Medium:.5,Low:1,VeryLow:2},gl=new Map;class Simulator$2{constructor(e){if(this._options=Object.assign({rtt:dl.rttMs,throughput:1024*dl.throughputKbps,maximumConcurrentRequests:10,cpuSlowdownMultiplier:dl.cpuSlowdownMultiplier,layoutTaskMultiplier:.5,additionalRttByOrigin:new Map,serverResponseTimeByOrigin:new Map},e),this._rtt=this._options.rtt,this._throughput=this._options.throughput,this._maximumConcurrentRequests=Math.max(Math.min(cl.maximumSaturatedConnections(this._rtt,this._throughput),this._options.maximumConcurrentRequests),1),this._cpuSlowdownMultiplier=this._options.cpuSlowdownMultiplier,
this._layoutTaskMultiplier=this._cpuSlowdownMultiplier*this._options.layoutTaskMultiplier,this._cachedNodeListByStartPosition=[],this._flexibleOrdering=!1,this._nodeTimings=new ml,this._numberInProgressByType=new Map,this._nodes={},this._dns=new ul({rtt:this._rtt}),this._connectionPool=null,!Number.isFinite(this._rtt))throw new Error(`Invalid rtt ${this._rtt}`);if(!Number.isFinite(this._throughput))throw new Error(`Invalid rtt ${this._throughput}`)}get rtt(){return this._rtt}_initializeConnectionPool(e){const t=[];e.getRootNode().traverse((e=>{e.type===sl.TYPES.NETWORK&&t.push(e.record)})),this._connectionPool=new ll(t,this._options)}_initializeAuxiliaryData(){this._nodeTimings=new ml,this._numberInProgressByType=new Map,this._nodes={},this._cachedNodeListByStartPosition=[];for(const e of Object.values(pl))this._nodes[e]=new Set}_numberInProgress(e){return this._numberInProgressByType.get(e)||0}_markNodeAsReadyToStart(e,t){
const r=Simulator$2._computeNodeStartPosition(e),a=this._cachedNodeListByStartPosition.findIndex((e=>Simulator$2._computeNodeStartPosition(e)>r)),n=-1===a?this._cachedNodeListByStartPosition.length:a;this._cachedNodeListByStartPosition.splice(n,0,e),this._nodes[pl.ReadyToStart].add(e),this._nodes[pl.NotReadyToStart].delete(e),this._nodeTimings.setReadyToStart(e,{queuedTime:t})}_markNodeAsInProgress(e,t){const r=this._cachedNodeListByStartPosition.indexOf(e);this._cachedNodeListByStartPosition.splice(r,1),this._nodes[pl.InProgress].add(e),this._nodes[pl.ReadyToStart].delete(e),this._numberInProgressByType.set(e.type,this._numberInProgress(e.type)+1),this._nodeTimings.setInProgress(e,{startTime:t})}_markNodeAsComplete(e,t){this._nodes[pl.Complete].add(e),this._nodes[pl.InProgress].delete(e),this._numberInProgressByType.set(e.type,this._numberInProgress(e.type)-1),this._nodeTimings.setCompleted(e,{endTime:t});for(const r of e.getDependents()){
r.getDependencies().some((e=>!this._nodes[pl.Complete].has(e)))||this._markNodeAsReadyToStart(r,t)}}_acquireConnection(e){return this._connectionPool.acquire(e,{ignoreConnectionReused:this._flexibleOrdering})}_getNodesSortedByStartPosition(){return Array.from(this._cachedNodeListByStartPosition)}_startNodeIfPossible(e,t){if(e.type!==sl.TYPES.CPU){if(e.type!==sl.TYPES.NETWORK)throw new Error("Unsupported");if(!e.isConnectionless){if(this._numberInProgress(e.type)>=this._maximumConcurrentRequests)return;if(!this._acquireConnection(e.record))return}this._markNodeAsInProgress(e,t)}else 0===this._numberInProgress(e.type)&&this._markNodeAsInProgress(e,t)}_updateNetworkCapacity(){for(const e of this._connectionPool.connectionsInUse())e.setThroughput(this._throughput/this._nodes[pl.InProgress].size)}_estimateTimeRemaining(e){if(e.type===sl.TYPES.CPU)return this._estimateCPUTimeRemaining(e);if(e.type===sl.TYPES.NETWORK)return this._estimateNetworkTimeRemaining(e);throw new Error("Unsupported")}
_estimateCPUTimeRemaining(e){const t=this._nodeTimings.getCpuStarted(e),r=e.didPerformLayout()?this._layoutTaskMultiplier:this._cpuSlowdownMultiplier,a=Math.min(Math.round(e.event.dur/1e3*r),1e4)-t.timeElapsed;return this._nodeTimings.setCpuEstimated(e,{estimatedTimeElapsed:a}),a}_estimateNetworkTimeRemaining(e){const t=e.record,r=this._nodeTimings.getNetworkStarted(e);let a=0;if(e.fromDiskCache){a=8+20*((t.resourceSize||0)/1024/1024)-r.timeElapsed}else if(e.isNonNetworkProtocol){a=2+10*((t.resourceSize||0)/1024/1024)-r.timeElapsed}else{const e=this._connectionPool.acquireActiveConnectionFromRecord(t),n=this._dns.getTimeUntilResolution(t,{requestedAt:r.startTime,shouldUpdateCache:!0}),i=r.timeElapsed;a=e.simulateDownloadUntil(t.transferSize-r.bytesDownloaded,{timeAlreadyElapsed:i,dnsResolutionTime:n,maximumTimeToElapse:1/0}).timeElapsed}const n=a+r.timeElapsedOvershoot;return this._nodeTimings.setNetworkEstimated(e,{estimatedTimeElapsed:n}),n}_findNextNodeCompletionTime(){let e=1/0
;for(const t of this._nodes[pl.InProgress])e=Math.min(e,this._estimateTimeRemaining(t));return e}_updateProgressMadeInTimePeriod(e,t,r){const a=this._nodeTimings.getInProgress(e),n=a.estimatedTimeElapsed===t;if(e.type===sl.TYPES.CPU||e.isConnectionless)return n?this._markNodeAsComplete(e,r):a.timeElapsed+=t;if(e.type!==sl.TYPES.NETWORK)throw new Error("Unsupported");if(!("bytesDownloaded"in a))throw new Error("Invalid timing data");const i=e.record,o=this._connectionPool.acquireActiveConnectionFromRecord(i),s=this._dns.getTimeUntilResolution(i,{requestedAt:a.startTime,shouldUpdateCache:!0}),c=o.simulateDownloadUntil(i.transferSize-a.bytesDownloaded,{dnsResolutionTime:s,timeAlreadyElapsed:a.timeElapsed,maximumTimeToElapse:t-a.timeElapsedOvershoot});o.setCongestionWindow(c.congestionWindow),o.setH2OverflowBytesDownloaded(c.extraBytesDownloaded),n?(o.setWarmed(!0),this._connectionPool.release(i),this._markNodeAsComplete(e,r)):(a.timeElapsed+=c.timeElapsed,
a.timeElapsedOvershoot+=c.timeElapsed-t,a.bytesDownloaded+=c.bytesDownloaded)}_computeFinalNodeTimings(){const e=[];for(const t of this._nodeTimings.getNodes()){const r=this._nodeTimings.getCompleted(t);e.push([t,{startTime:r.startTime,endTime:r.endTime,duration:r.endTime-r.startTime}])}return e.sort(((e,t)=>e[1].startTime-t[1].startTime)),new Map(e)}getOptions(){return this._options}simulate(e,t){if(sl.hasCycle(e))throw new Error("Cannot simulate graph with cycle");t=Object.assign({label:void 0,flexibleOrdering:!1},t),this._flexibleOrdering=!!t.flexibleOrdering,this._dns=new ul({rtt:this._rtt}),this._initializeConnectionPool(e),this._initializeAuxiliaryData();const r=this._nodes[pl.NotReadyToStart],a=this._nodes[pl.ReadyToStart],n=this._nodes[pl.InProgress],i=e.getRootNode();i.traverse((e=>r.add(e)));let o=0,s=0;for(this._markNodeAsReadyToStart(i,o);a.size||n.size;){for(const e of this._getNodesSortedByStartPosition())this._startNodeIfPossible(e,o);if(!n.size){
if(this._flexibleOrdering)throw new Error("Failed to start a node");this._flexibleOrdering=!0;continue}this._updateNetworkCapacity();const e=this._findNextNodeCompletionTime();if(o+=e,!Number.isFinite(e)||s>1e5)throw new Error("Simulation failed, depth exceeded");s++;for(const t of n)this._updateProgressMadeInTimePeriod(t,e,o)}const c=this._computeFinalNodeTimings();return gl.set(t.label||"unlabeled",c),{timeInMs:o,nodeTimings:c}}computeWastedMsFromWastedBytes(e){const{throughput:t,observedThroughput:r}=this._options,a=0===t?r:t;if(0===a)return 0;return 8*e/a*1e3}static get ALL_NODE_TIMINGS(){return gl}static _computeNodeStartPosition(e){return"cpu"===e.type?e.startTime:e.startTime+(1e3*hl[e.record.priority]*1e3||0)}}var fl=Simulator$2;var yl={simulationNamesToIgnore:["unlabeled","optimisticSpeedIndex","optimisticFlexSpeedIndex","pessimisticSpeedIndex"],convertNodeTimingsToTrace:function convertNodeTimingsToTrace(e){const t=[],r=1e9,a={pid:1,tid:1,cat:"devtools.timeline"
},n="A00001",toMicroseconds=e=>r+1e3*e;t.push(createFakeTracingStartedEvent()),t.push({...createFakeTracingStartedEvent(),name:"TracingStartedInBrowser"});let i=1,o=0;for(const[r,a]of e.entries())if(o=Math.max(o,a.endTime),"cpu"===r.type)t.push(...createFakeTaskEvents(r,a));else{if(/^data/.test(r.record.url))continue;t.push(...createFakeNetworkEvents(r.record,a))}return t.push(...createFakeTaskEvents({childEvents:[],event:{}},{startTime:o+1e3,endTime:o+1001})),{traceEvents:t};function createFakeTracingStartedEvent(){const e={frameTreeNodeId:1,sessionId:"1.1",page:n,persistentIds:!0,frames:[{frame:n,url:"about:blank",name:"",processId:1}]};return{...a,ts:9999e5,ph:"I",s:"t",cat:"disabled-by-default-devtools.timeline",name:"TracingStartedInPage",args:{data:e},dur:0}}function createFakeTaskEvents(e,t){const r={url:"",frame:n,lineNumber:0,columnNumber:0},i=toMicroseconds(t.startTime),o=[{...a,ph:"X",name:"Task",ts:i,dur:1e3*(t.endTime-t.startTime),args:{data:r}
}],s=e.event.ts||0,c=1e3*(t.endTime-t.startTime)/e.event.dur,l=new Set(["ResourceSendRequest","ResourceFinish","ResourceReceiveResponse","ResourceReceivedData"]);for(const t of e.childEvents){if(l.has(t.name))continue;const e=i+(t.ts-s)*c,r={...t,pid:a.pid,tid:a.tid,ts:e};t.dur&&(r.dur=t.dur*c),o.push(r)}return o}function createFakeNetworkEvents(e,t){i++;let{startTime:r,endTime:o}=t;r===o&&(o+=.3);const s={requestId:i.toString(),frame:n},c={...a,ph:"I",s:"t",dur:0},l={...s,requestMethod:e.requestMethod,url:e.url,priority:e.priority},u={...s,statusCode:e.statusCode,mimeType:e.mimeType,encodedDataLength:e.transferSize,fromCache:e.fromDiskCache,fromServiceWorker:e.fetchedViaServiceWorker},d={...s,decodedBodyLength:e.resourceSize,didFail:!!e.failed,finishTime:o},m=[{...c,name:"ResourceSendRequest",ts:toMicroseconds(r),args:{data:l}},{...c,name:"ResourceFinish",ts:toMicroseconds(o),args:{data:d}}];return e.failed||m.push({...c,name:"ResourceReceiveResponse",ts:toMicroseconds((r+o)/2),args:{
data:u}}),m}}};const vl=on.default,bl=ao;class Metrics$2{constructor(e,t){this._traceEvents=e,this._auditResults=t}static get metricsDefinitions(){return[{name:"Time Origin",id:"timeorigin",tsKey:"observedTimeOriginTs"},{name:"First Contentful Paint",id:"ttfcp",tsKey:"observedFirstContentfulPaintTs"},{name:"First Meaningful Paint",id:"ttfmp",tsKey:"observedFirstMeaningfulPaintTs"},{name:"Speed Index",id:"si",tsKey:"observedSpeedIndexTs"},{name:"First Visual Change",id:"fv",tsKey:"observedFirstVisualChangeTs"},{name:"Visually Complete 100%",id:"vc100",tsKey:"observedLastVisualChangeTs"},{name:"Interactive",id:"tti",tsKey:"interactiveTs"},{name:"End of Trace",id:"eot",tsKey:"observedTraceEndTs"},{name:"On Load",id:"onload",tsKey:"observedLoadTs"},{name:"DOM Content Loaded",id:"dcl",tsKey:"observedDomContentLoadedTs"}]}gatherMetrics(){const e=function getUberMetrics(e){const t=e.metrics;if(t&&t.details&&"items"in t.details)return t.details.items[0]}(this._auditResults);if(!e)return[]
;const t=[];return Metrics$2.metricsDefinitions.forEach((r=>{const a=e[r.tsKey];void 0!==a?t.push({id:r.id,name:r.name,ts:a}):vl.error("pwmetrics-events",`${r.name} timestamp not found`)})),t}getTimeOriginEvt(e){const t=e.find((e=>"timeorigin"===e.id));if(!t)return{errorMessage:"timeorigin Metric not found in definitions"};try{const e=bl.findMainFrameIds(this._traceEvents);return{pid:e.pid,tid:e.tid,ts:t.ts}}catch(e){return{errorMessage:e.message}}}synthesizeEventPair(e,t){const r={pid:t.pid,tid:t.tid,cat:"blink.user_timing",name:e.name,args:{},id:`0x${(1e6*Math.random()|0).toString(16)}`};return[Object.assign({},r,{ts:t.ts,ph:"b"}),Object.assign({},r,{ts:e.ts,ph:"e"})]}generateFakeEvents(){const e=this.gatherMetrics();if(0===e.length)return vl.error("metrics-events","Metrics collection had errors, not synthetizing trace events"),[];const t=this.getTimeOriginEvt(e);if("errorMessage"in t)return vl.error("pwmetrics-events",`Reference timeOrigin error: ${t.errorMessage}`),[];const r=[]
;return e.forEach((e=>{"timeorigin"!==e.id&&(e.ts?(vl.verbose("pwmetrics-events",`Sythesizing trace events for ${e.name}`),r.push(...this.synthesizeEventPair(e,t))):vl.error("pwmetrics-events",`(${e.name}) missing timestamp. Skipping…`))})),r}}var wl=Metrics$2;const Sl=Ao,Tl=Fo,El=Lo;class NetworkAnalysis$1{static computeRTTAndServerResponseTime(e){const t=new Map;for(const[r,a]of Tl.estimateRTTByOrigin(e).entries())t.set(r,a.min);const r=Math.min(...Array.from(t.values())),a=Tl.estimateServerResponseTimeByOrigin(e,{rttByOrigin:t}),n=new Map,i=new Map;for(const[e,o]of a.entries()){const a=t.get(e)||r;n.set(e,a-r),i.set(e,o.median)}return{rtt:r,additionalRttByOrigin:n,serverResponseTimeByOrigin:i}}static async compute_(e,t){const r=await El.request(e,t);return{throughput:Tl.estimateThroughput(r),...NetworkAnalysis$1.computeRTTAndServerResponseTime(r)}}}var xl=Sl(NetworkAnalysis$1,null);const _l=Ao,Al=mn,Rl=fl,kl=xl;var Dl=_l(class LoadSimulator$a{static async compute_(e,t){
const{throttlingMethod:r,throttling:a,precomputedLanternData:n}=e.settings,i=await kl.request(e.devtoolsLog,t),o={additionalRttByOrigin:i.additionalRttByOrigin,serverResponseTimeByOrigin:i.serverResponseTimeByOrigin,observedThroughput:i.throughput};switch(n&&(o.additionalRttByOrigin=new Map(Object.entries(n.additionalRttByOrigin)),o.serverResponseTimeByOrigin=new Map(Object.entries(n.serverResponseTimeByOrigin))),r){case"provided":o.rtt=i.rtt,o.throughput=i.throughput,o.cpuSlowdownMultiplier=1,o.layoutTaskMultiplier=1;break;case"devtools":a&&(o.rtt=a.requestLatencyMs/Al.throttling.DEVTOOLS_RTT_ADJUSTMENT_FACTOR,o.throughput=1024*a.downloadThroughputKbps/Al.throttling.DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR),o.cpuSlowdownMultiplier=1,o.layoutTaskMultiplier=1;break;case"simulate":a&&(o.rtt=a.rttMs,o.throughput=1024*a.throughputKbps,o.cpuSlowdownMultiplier=a.cpuSlowdownMultiplier)}return new Rl(o)}static convertAnalysisToSaveableLanternData(e){const t={additionalRttByOrigin:{},
serverResponseTimeByOrigin:{}};for(const[r,a]of e.additionalRttByOrigin.entries())r.startsWith("http")&&(t.additionalRttByOrigin[r]=a);for(const[r,a]of e.serverResponseTimeByOrigin.entries())r.startsWith("http")&&(t.serverResponseTimeByOrigin[r]=a);return t}},["devtoolsLog","settings"]);const Cl=wn,Il=bn,Nl=on.default,Ll=Jc,{promisify:Ml}=Xc,Pl=fl,Ol=yl,Fl=wl,Ul=xl,jl=Dl,Bl=vi.exports,$l=Ml&&Ml(Ll.pipeline),ql="artifacts.json",zl=".trace.json",Vl=".devtoolslog.json";function stringifyReplacer(e,t){return t instanceof Error?Bl.stringifyReplacer(t):t}async function prepareAssets(e,t){const r=Object.keys(e.traces),a=[];for(const n of r){const r=e.traces[n],i=e.devtoolsLogs[n],o=Object.assign({},r);if(t){const e=new Fl(o.traceEvents,t).generateFakeEvents();o.traceEvents=o.traceEvents.concat(e)}a.push({passName:n,traceData:o,devtoolsLog:i})}return a}function*arrayOfObjectsJsonGenerator(e){if(yield"[\n",e.length>0){const t=e[Symbol.iterator](),r=t.next().value;yield`  ${JSON.stringify(r)}`
;let a=500,n="";for(const e of t)n+=`,\n  ${JSON.stringify(e)}`,a--,0===a&&(yield n,a=500,n="");yield n}yield"\n]"}async function saveTrace(e,t){const r=function*traceJsonGenerator(e){const{traceEvents:t,...r}=e;yield"{\n",yield'"traceEvents": ',yield*arrayOfObjectsJsonGenerator(t);for(const[e,t]of Object.entries(r))yield`,\n"${e}": ${JSON.stringify(t,null,2)}`;yield"}\n"}(e),a=Cl.createWriteStream(t);return $l(r,a)}function saveDevtoolsLog(e,t){const r=Cl.createWriteStream(t);return $l((function*(){yield*arrayOfObjectsJsonGenerator(e),yield"\n"}),r)}var Wl={saveArtifacts:async function saveArtifacts(e,t){const r={msg:"Saving artifacts",id:"lh:assetSaver:saveArtifacts"};Nl.time(r),Cl.mkdirSync(t,{recursive:!0});const a=Cl.readdirSync(t);for(const e of a)(e.endsWith(zl)||e.endsWith(Vl)||e===ql)&&Cl.unlinkSync(`${t}/${e}`);const{traces:n,devtoolsLogs:i,...o}=e;for(const[e,r]of Object.entries(n))await saveTrace(r,`${t}/${e}.trace.json`)
;for(const[e,r]of Object.entries(i))await saveDevtoolsLog(r,`${t}/${e}.devtoolslog.json`);const s=JSON.stringify(o,stringifyReplacer,2)+"\n";Cl.writeFileSync(`${t}/artifacts.json`,s,"utf8"),Nl.log("Artifacts saved to disk in folder:",t),Nl.timeEnd(r)},saveLhr:function saveLhr(e,t){Cl.writeFileSync(`${t}/lhr.report.json`,JSON.stringify(e,null,2))},loadArtifacts:function loadArtifacts(e){if(Nl.log("Reading artifacts from disk:",e),!Cl.existsSync(e))throw new Error("No saved artifacts found at "+e);const t=Cl.readFileSync(Il.join(e,ql),"utf8"),r=JSON.parse(t,Bl.parseReviver),a=Cl.readdirSync(e);return r.devtoolsLogs={},a.filter((e=>e.endsWith(Vl))).forEach((t=>{const a=t.replace(Vl,""),n=JSON.parse(Cl.readFileSync(Il.join(e,t),"utf8"));r.devtoolsLogs[a]=n})),r.traces={},a.filter((e=>e.endsWith(zl))).forEach((t=>{const a=Cl.readFileSync(Il.join(e,t),{encoding:"utf-8"}),n=JSON.parse(a),i=t.replace(zl,"");r.traces[i]=Array.isArray(n)?{traceEvents:n}:n})),
Array.isArray(r.Timing)&&r.Timing.forEach((e=>e.gather=!0)),r},saveAssets:async function saveAssets(e,t,r){const a=(await prepareAssets(e,t)).map((async(e,t)=>{const a=`${r}-${t}.devtoolslog.json`;Cl.writeFileSync(a,JSON.stringify(e.devtoolsLog,null,2)),Nl.log("saveAssets","devtools log saved to disk: "+a);const n=`${r}-${t}.trace.json`;Nl.log("saveAssets","streaming trace file to disk: "+n),await saveTrace(e.traceData,n),Nl.log("saveAssets","trace file streamed to disk: "+n)}));await Promise.all(a),await async function saveLanternDebugTraces(e){if(process.env.LANTERN_DEBUG)for(const[t,r]of Pl.ALL_NODE_TIMINGS){if(Ol.simulationNamesToIgnore.includes(t))continue;const a=`${e}-${t}.trace.json`;await saveTrace(Ol.convertNodeTimingsToTrace(r),a),Nl.log("saveAssets",`${t} lantern trace file streamed to disk: ${a}`)}}(r)},prepareAssets,saveTrace,saveDevtoolsLog,saveLanternNetworkData:async function saveLanternNetworkData(e,t){const r={computedCache:new Map
},a=await Ul.request(e,r),n=jl.convertAnalysisToSaveableLanternData(a);Cl.writeFileSync(t,JSON.stringify(n))},stringifyReplacer,normalizeTimingEntries:function normalizeTimingEntries(e){let t=0;for(const r of e)r.startTime=t++,r.duration=1}},Gl=getAugmentedNamespace(Object.freeze({__proto__:null,default:{}}));const Hl=on.default,Yl=[],noop=()=>{},Kl={init:function init(e){if(!e.flags.enableErrorReporting)return;if(!Kl._shouldSample())return;try{const t=Gl;t.init({...e.environmentData,dsn:"https://a6bb0da87ee048cc9ae2a345fc09ab2e:63a7029f46f74265981b7e005e0f69f8@sentry.io/174697"});const r={...e.flags.throttling,channel:e.flags.channel||"cli",url:e.url,formFactor:e.flags.formFactor,throttlingMethod:e.flags.throttlingMethod};t.setExtras(r),Kl.captureMessage=(...e)=>t.captureMessage(...e),Kl.captureBreadcrumb=(...e)=>t.addBreadcrumb(...e),Kl.getContext=()=>r;const a=new Map;Kl.captureException=async(e,r={})=>{if(!e)return;if(e.expected)return;const n=r.tags||{};if(n.audit){
const t=`audit-${n.audit}-${e.message}`;if(a.has(t))return;a.set(t,!0)}if(n.gatherer){const t=`gatherer-${n.gatherer}-${e.message}`;if(a.has(t))return;a.set(t,!0)}const i=Yl.find((t=>t.pattern.test(e.message)));i&&i.rate<=Math.random()||(e.protocolMethod&&(r.fingerprint=["{{ default }}",e.protocolMethod,e.protocolError],r.tags=r.tags||{},r.tags.protocolMethod=e.protocolMethod),t.withScope((a=>{r.level&&a.setLevel(r.level),r.tags&&a.setTags(r.tags),r.extra&&a.setExtras(r.extra),t.captureException(e)})))}}catch(e){Hl.warn("sentry","Could not load Sentry, errors will not be reported.")}},captureMessage:noop,captureBreadcrumb:noop,getContext:noop,captureException:async()=>{},_shouldSample:()=>.01>=Math.random()};var Jl=Kl;const Xl=getAugmentedNamespace(Object.freeze({__proto__:null,default:{}}));class ReportGenerator{static replaceStrings(e,t){if(0===t.length)return e;const r=t[0],a=t.slice(1);return e.split(r.search).map((e=>ReportGenerator.replaceStrings(e,a))).join(r.replacement)}
static sanitizeJson(e){return JSON.stringify(e).replace(/</g,"\\u003c").replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029")}static generateReportHtml(e){const t=ReportGenerator.sanitizeJson(e),r=Xl.REPORT_JAVASCRIPT.replace(/<\//g,"\\u003c/");return ReportGenerator.replaceStrings(Xl.REPORT_TEMPLATE,[{search:"%%LIGHTHOUSE_JSON%%",replacement:t},{search:"%%LIGHTHOUSE_JAVASCRIPT%%",replacement:r}])}static generateFlowReportHtml(e){const t=ReportGenerator.sanitizeJson(e);return ReportGenerator.replaceStrings(Xl.FLOW_REPORT_TEMPLATE,[{search:"%%LIGHTHOUSE_FLOW_JSON%%",replacement:t},{search:"%%LIGHTHOUSE_FLOW_JAVASCRIPT%%",replacement:Xl.FLOW_REPORT_JAVASCRIPT},{search:"/*%%LIGHTHOUSE_FLOW_CSS%%*/",replacement:Xl.FLOW_REPORT_CSS}])}static generateReportCSV(e){const escape=e=>`"${e.replace(/"/g,'""')}"`,rowFormatter=e=>e.map((e=>e.toString())).map(escape),t=Object.keys(e.categories).map((t=>{const r=[],a=e.categories[t],n=null===a.score?-1:a.score
;return r.push(rowFormatter([e.requestedUrl,e.finalUrl,a.title,`${t}-score`,`Overall ${a.title} Category Score`,"numeric",n])),r.concat(a.auditRefs.map((t=>{const r=e.audits[t.id],n=null===r.score?-1:r.score;return rowFormatter([e.requestedUrl,e.finalUrl,a.title,r.id,r.title,r.scoreDisplayMode,n])})))}));return[["requestedUrl","finalUrl","category","name","title","type","score"]].concat(...t).map((e=>e.join(","))).join("\r\n")}static generateReport(e,t){const r=Array.isArray(t);"string"==typeof t&&(t=[t]);const a=t.map((t=>{if("html"===t)return ReportGenerator.generateReportHtml(e);if("csv"===t)return ReportGenerator.generateReportCSV(e);if("json"===t)return JSON.stringify(e,null,2);throw new Error("Invalid output mode: "+t)}));return r?a:a[0]}}var Zl=ReportGenerator;const Ql=la,eu=To,tu=Sc,ru=Cc,au=kc,nu=on.default,iu=Vn,ou=Oc,su=Wl,cu=bn,lu=Jl,uu=Zl.generateReport,du=vi.exports,{version:mu}=$o;class Runner$9{static async audit(e,t){const{config:r,computedCache:a}=t,n=r.settings;try{
const t={msg:"Audit phase",id:"lh:runner:audit"};nu.time(t,"verbose");const i=[];if(n.gatherMode&&!n.auditMode)return;if(!r.audits)throw new Error("No audits to evaluate.");const o=await Runner$9._runAudits(n,r.audits,e,i,a),s={msg:"Generating results...",id:"lh:runner:generate"};nu.time(s),e.LighthouseRunWarnings&&i.push(...e.LighthouseRunWarnings);const c={"axe-core":e.Accessibility?.version};let l={};r.categories&&(l=ru.scoreAllCategories(r.categories,o)),nu.timeEnd(s),nu.timeEnd(t);const u={lighthouseVersion:mu,requestedUrl:e.URL.requestedUrl,finalUrl:e.URL.finalUrl,fetchTime:e.fetchTime,gatherMode:e.GatherContext.gatherMode,runtimeError:Runner$9.getArtifactRuntimeError(e),runWarnings:i,userAgent:e.HostUserAgent,environment:{networkUserAgent:e.NetworkUserAgent,hostUserAgent:e.HostUserAgent,benchmarkIndex:e.BenchmarkIndex,credits:c},audits:o,configSettings:n,categories:l,categoryGroups:r.groups||void 0,stackPacks:ou.getStackPacks(e.Stacks),timing:this._getTiming(e),i18n:{
rendererFormattedStrings:iu.getRendererFormattedStrings(n.locale),icuMessagePaths:{}}};u.i18n.icuMessagePaths=iu.replaceIcuMessages(u,n.locale);const d=u;if(n.gatherMode&&n.auditMode){const e=Runner$9._getDataSavePath(n);su.saveLhr(d,e)}return{lhr:d,artifacts:e,report:uu(d,n.output)}}catch(e){throw Runner$9.createRunnerError(e,n)}}static async gather(e,t){const r=t.config.settings;try{const a=lu.getContext();let n;if(lu.captureBreadcrumb({message:"Run started",category:"lifecycle",data:a}),r.auditMode&&!r.gatherMode){const e=this._getDataSavePath(r);n=su.loadArtifacts(e);if(!n.URL.requestedUrl)throw new Error("Cannot run audit mode on empty URL")}else{const a={msg:"Gather phase",id:"lh:runner:gather"};if(nu.time(a,"verbose"),n=await e({config:t.config,driverMock:t.driverMock}),nu.timeEnd(a),n.Timing=nu.takeTimeEntries(),r.gatherMode){const e=this._getDataSavePath(r);await su.saveArtifacts(n,e)}}return n}catch(e){throw Runner$9.createRunnerError(e,r)}}static createRunnerError(e,t){
return e.friendlyMessage&&(e.friendlyMessage=iu.getFormatted(e.friendlyMessage,t.locale)),lu.captureException(e,{level:"fatal"}),e}static _getTiming(e){const t=[...e.Timing||[],...nu.takeTimeEntries()].map((e=>[`${e.startTime}-${e.name}-${e.duration}`,e])),r=Array.from(new Map(t).values()).map((e=>({startTime:parseFloat(e.startTime.toFixed(2)),name:e.name,duration:parseFloat(e.duration.toFixed(2)),entryType:e.entryType}))).sort(((e,t)=>e.startTime-t.startTime)),a=r.find((e=>"lh:runner:gather"===e.name)),n=r.find((e=>"lh:runner:audit"===e.name));return{entries:r,total:(a?.duration||0)+(n?.duration||0)}}static async _gatherArtifactsFromBrowser(e,t,r){if(!t.config.passes)throw new Error("No browser artifacts are either provided or requested.");const a={driver:t.driverMock||new eu(r),requestedUrl:e,settings:t.config.settings,computedCache:t.computedCache};return await tu.run(t.config.passes,a)}static async _runAudits(e,t,r,a,n){const i={msg:"Analyzing and running audits...",
id:"lh:runner:auditing"};if(nu.time(i),r.settings){const t={locale:void 0,gatherMode:void 0,auditMode:void 0,output:void 0,channel:void 0,budgets:void 0},a=Object.assign({},r.settings,t),n=Object.assign({},e,t),i=new Set([...Object.keys(a),...Object.keys(n)]);for(const e of i)if(!Ql(a[e],n[e]))throw new Error(`Cannot change settings between gathering and auditing. Difference found at: ${e}`);if(!Ql(a,n))throw new Error("Cannot change settings between gathering and auditing")}const o={settings:e,computedCache:n},s={};for(const e of t){const t=e.implementation.meta.id,n=await Runner$9._runAudit(e,r,o,a);s[t]=n}return nu.timeEnd(i),s}static async _runAudit(e,t,r,a){const n=e.implementation,i={msg:`Auditing: ${iu.getFormatted(n.meta.title,"en-US")}`,id:`lh:audit:${n.meta.id}`};let o;nu.time(i);try{for(const e of n.meta.requiredArtifacts){const r=void 0===t[e],a="traces"===e&&!t.traces[au.DEFAULT_PASS],i="devtoolsLogs"===e&&!t.devtoolsLogs[au.DEFAULT_PASS]
;if(r||a||i)throw nu.warn("Runner",`${e} gatherer, required by audit ${n.meta.id}, did not run.`),new du(du.errors.MISSING_REQUIRED_ARTIFACT,{artifactName:e});if(t[e]instanceof Error){const r=t[e];lu.captureException(r,{tags:{gatherer:e},level:"error"}),nu.warn("Runner",`${e} gatherer, required by audit ${n.meta.id}, encountered an error: ${r.message}`);const a=new du(du.errors.ERRORED_REQUIRED_ARTIFACT,{artifactName:e,errorMessage:r.message});throw a.expected=!0,a}}const i={options:Object.assign({},n.defaultOptions,e.options),...r},s=n.meta.requiredArtifacts.concat(n.meta.__internalOptionalArtifacts||[]).reduce(((e,r)=>{const a=t[r];return e[r]=a,e}),{}),c=await n.audit(s,i);a.push(...c.runWarnings||[]),o=au.generateAuditResult(n,c)}catch(e){"MISSING_REQUIRED_ARTIFACT"!==e.code&&"ERRORED_REQUIRED_ARTIFACT"!==e.code&&nu.warn(n.meta.id,`Caught exception: ${e.message}`),lu.captureException(e,{tags:{audit:n.meta.id},level:"error"});const t=e.friendlyMessage?e.friendlyMessage:e.message
;o=au.generateErrorAuditResult(n,t)}return nu.timeEnd(i),o}static getArtifactRuntimeError(e){const t=[e.PageLoadError,...Object.values(e)];for(const e of t)if(e instanceof du&&e.lhrRuntimeError){const t=e.friendlyMessage||e.message;return{code:e.code,message:t}}}static getAuditList(){const e=["audit.js","violation-audit.js","accessibility/axe-audit.js","multi-check-audit.js","byte-efficiency/byte-efficiency-audit.js","manual/manual-audit.js"]
;return["accessibility","apple-touch-icon.js","audit.js","autocomplete.js","bootup-time.js","byte-efficiency","content-width.js","critical-request-chains.js","csp-xss.js","deprecations.js","diagnostics.js","dobetterweb","errors-in-console.js","final-screenshot.js","font-display.js","full-page-screenshot.js","image-aspect-ratio.js","image-size-responsive.js","installable-manifest.js","is-on-https.js","largest-contentful-paint-element.js","layout-shift-elements.js","lcp-lazy-loaded.js","long-tasks.js","main-thread-tasks.js","mainthread-work-breakdown.js","manual","maskable-icon.js","metrics","metrics.js","multi-check-audit.js","network-requests.js","network-rtt.js","network-server-latency.js","no-unload-listeners.js","non-composited-animations.js","oopif-iframe-test-audit.js","performance-budget.js","predictive-perf.js","preload-fonts.js","preload-lcp-image.js","redirects.js","resource-summary.js","screenshot-thumbnails.js","script-treemap-data.js","seo","server-response-time.js","service-worker.js","splash-screen.js","themed-omnibox.js","third-party-facades.js","third-party-summary.js","timing-budget.js","unsized-images.js","user-timings.js","uses-rel-preconnect.js","uses-rel-preload.js","valid-source-maps.js","viewport.js","violation-audit.js","work-during-interaction.js",...["charset.js","doctype.js","dom-size.js","geolocation-on-start.js","inspector-issues.js","js-libraries.js","no-document-write.js","no-vulnerable-libraries.js","notification-on-start.js","password-inputs-can-be-pasted-into.js","uses-http2.js","uses-passive-event-listeners.js"].map((e=>`dobetterweb/${e}`)),...["cumulative-layout-shift.js","experimental-interaction-to-next-paint.js","first-contentful-paint-3g.js","first-contentful-paint.js","first-meaningful-paint.js","interactive.js","largest-contentful-paint.js","max-potential-fid.js","speed-index.js","total-blocking-time.js"].map((e=>`metrics/${e}`)),...["canonical.js","crawlable-anchors.js","font-size.js","hreflang.js","http-status-code.js","is-crawlable.js","link-text.js","manual","meta-description.js","plugins.js","robots-txt.js","tap-targets.js"].map((e=>`seo/${e}`)),...["structured-data.js"].map((e=>`seo/manual/${e}`)),...["accesskeys.js","aria-allowed-attr.js","aria-command-name.js","aria-hidden-body.js","aria-hidden-focus.js","aria-input-field-name.js","aria-meter-name.js","aria-progressbar-name.js","aria-required-attr.js","aria-required-children.js","aria-required-parent.js","aria-roles.js","aria-toggle-field-name.js","aria-tooltip-name.js","aria-treeitem-name.js","aria-valid-attr-value.js","aria-valid-attr.js","axe-audit.js","button-name.js","bypass.js","color-contrast.js","definition-list.js","dlitem.js","document-title.js","duplicate-id-active.js","duplicate-id-aria.js","form-field-multiple-labels.js","frame-title.js","heading-order.js","html-has-lang.js","html-lang-valid.js","image-alt.js","input-image-alt.js","label.js","link-name.js","list.js","listitem.js","manual","meta-refresh.js","meta-viewport.js","object-alt.js","tabindex.js","td-headers-attr.js","th-has-data-cells.js","valid-lang.js","video-caption.js"].map((e=>`accessibility/${e}`)),...["custom-controls-labels.js","custom-controls-roles.js","focus-traps.js","focusable-controls.js","interactive-element-affordance.js","logical-tab-order.js","managed-focus.js","offscreen-content-hidden.js","use-landmarks.js","visual-order-follows-dom.js"].map((e=>`accessibility/manual/${e}`)),...["byte-efficiency-audit.js","duplicated-javascript.js","efficient-animated-content.js","legacy-javascript.js","modern-image-formats.js","offscreen-images.js","polyfill-graph-data.json","render-blocking-resources.js","total-byte-weight.js","unminified-css.js","unminified-javascript.js","unused-css-rules.js","unused-javascript.js","uses-long-cache-ttl.js","uses-optimized-images.js","uses-responsive-images-snapshot.js","uses-responsive-images.js","uses-text-compression.js"].map((e=>`byte-efficiency/${e}`)),...["manual-audit.js","pwa-cross-browser.js","pwa-each-page-has-url.js","pwa-page-transitions.js"].map((e=>`manual/${e}`))].filter((t=>/\.js$/.test(t)&&!e.includes(t))).sort()
}static getGathererList(){return["accessibility.js","anchor-elements.js","cache-contents.js","console-messages.js","css-usage.js","devtools-log-compat.js","devtools-log.js","dobetterweb","full-page-screenshot.js","gatherer.js","global-listeners.js","iframe-elements.js","image-elements.js","inputs.js","inspector-issues.js","installability-errors.js","js-usage.js","link-elements.js","main-document-content.js","meta-elements.js","network-user-agent.js","script-elements.js","seo","service-worker.js","source-maps.js","stacks.js","trace-compat.js","trace-elements.js","trace.js","viewport-dimensions.js","web-app-manifest.js",...["embedded-content.js","font-size.js","robots-txt.js","tap-targets.js"].map((e=>`seo/${e}`)),...["doctype.js","domstats.js","optimized-images.js","password-inputs-with-prevented-paste.js","response-compression.js","tags-blocking-first-paint.js"].map((e=>`dobetterweb/${e}`))].filter((e=>/\.js$/.test(e)&&"gatherer.js"!==e)).sort()}static _getDataSavePath(e){
const{auditMode:t,gatherMode:r}=e;return"string"==typeof t?cu.resolve(process.cwd(),t):"string"==typeof r?cu.resolve(process.cwd(),r):cu.join(process.cwd(),"latest-run")}}var pu=Runner$9,hu=getAugmentedNamespace(Object.freeze({__proto__:null,default:{}})),gu={exports:{}};const fu=["server-response-time","render-blocking-resources","redirects","critical-request-chains","uses-text-compression","uses-rel-preconnect","uses-rel-preload","font-display","unminified-javascript","unminified-css","unused-css-rules"];var yu={fcpRelevantAudits:fu,lcpRelevantAudits:[...fu,"largest-contentful-paint-element","preload-lcp-image","unused-javascript","efficient-animated-content","total-byte-weight"],tbtRelevantAudits:["long-tasks","third-party-summary","third-party-facades","bootup-time","mainthread-work-breakdown","dom-size","duplicated-javascript","legacy-javascript","viewport"],clsRelevantAudits:["layout-shift-elements","non-composited-animations","unsized-images"],
inpRelevantAudits:["work-during-interaction"]};!function(e){const t=mn,r=yu,a={performanceCategoryTitle:"Performance",budgetsGroupTitle:"Budgets",budgetsGroupDescription:"Performance budgets set standards for the performance of your site.",metricGroupTitle:"Metrics",loadOpportunitiesGroupTitle:"Opportunities",loadOpportunitiesGroupDescription:"These suggestions can help your page load faster. They don't [directly affect](https://web.dev/performance-scoring/) the Performance score.",firstPaintImprovementsGroupTitle:"First Paint Improvements",firstPaintImprovementsGroupDescription:"The most critical aspect of performance is how quickly pixels are rendered onscreen. Key metrics: First Contentful Paint, First Meaningful Paint",overallImprovementsGroupTitle:"Overall Improvements",overallImprovementsGroupDescription:"Enhance the overall loading experience, so the page is responsive and ready to use as soon as possible. Key metrics: Time to Interactive, Speed Index",
diagnosticsGroupTitle:"Diagnostics",diagnosticsGroupDescription:"More information about the performance of your application. These numbers don't [directly affect](https://web.dev/performance-scoring/) the Performance score.",a11yCategoryTitle:"Accessibility",a11yCategoryDescription:"These checks highlight opportunities to [improve the accessibility of your web app](https://web.dev/lighthouse-accessibility/). Only a subset of accessibility issues can be automatically detected so manual testing is also encouraged.",a11yCategoryManualDescription:"These items address areas which an automated testing tool cannot cover. Learn more in our guide on [conducting an accessibility review](https://developers.google.com/web/fundamentals/accessibility/how-to-review).",a11yBestPracticesGroupTitle:"Best practices",a11yBestPracticesGroupDescription:"These items highlight common accessibility best practices.",a11yColorContrastGroupTitle:"Contrast",
a11yColorContrastGroupDescription:"These are opportunities to improve the legibility of your content.",a11yNamesLabelsGroupTitle:"Names and labels",a11yNamesLabelsGroupDescription:"These are opportunities to improve the semantics of the controls in your application. This may enhance the experience for users of assistive technology, like a screen reader.",a11yNavigationGroupTitle:"Navigation",a11yNavigationGroupDescription:"These are opportunities to improve keyboard navigation in your application.",a11yAriaGroupTitle:"ARIA",a11yAriaGroupDescription:"These are opportunities to improve the usage of ARIA in your application which may enhance the experience for users of assistive technology, like a screen reader.",a11yLanguageGroupTitle:"Internationalization and localization",a11yLanguageGroupDescription:"These are opportunities to improve the interpretation of your content by users in different locales.",a11yAudioVideoGroupTitle:"Audio and video",
a11yAudioVideoGroupDescription:"These are opportunities to provide alternative content for audio and video. This may improve the experience for users with hearing or vision impairments.",a11yTablesListsVideoGroupTitle:"Tables and lists",a11yTablesListsVideoGroupDescription:"These are opportunities to improve the experience of reading tabular or list data using assistive technology, like a screen reader.",seoCategoryTitle:"SEO",seoCategoryDescription:"These checks ensure that your page is following basic search engine optimization advice. There are many additional factors Lighthouse does not score here that may affect your search ranking, including performance on [Core Web Vitals](https://web.dev/learn-web-vitals/). [Learn more](https://support.google.com/webmasters/answer/35769).",seoCategoryManualDescription:"Run these additional validators on your site to check additional SEO best practices.",seoMobileGroupTitle:"Mobile Friendly",
seoMobileGroupDescription:"Make sure your pages are mobile friendly so users don’t have to pinch or zoom in order to read the content pages. [Learn more](https://developers.google.com/search/mobile-sites/).",seoContentGroupTitle:"Content Best Practices",seoContentGroupDescription:"Format your HTML in a way that enables crawlers to better understand your app’s content.",seoCrawlingGroupTitle:"Crawling and Indexing",seoCrawlingGroupDescription:"To appear in search results, crawlers need access to your app.",pwaCategoryTitle:"PWA",pwaCategoryDescription:"These checks validate the aspects of a Progressive Web App. [Learn more](https://developers.google.com/web/progressive-web-apps/checklist).",pwaCategoryManualDescription:"These checks are required by the baseline [PWA Checklist](https://developers.google.com/web/progressive-web-apps/checklist) but are not automatically checked by Lighthouse. They do not affect your score but it's important that you verify them manually.",
bestPracticesCategoryTitle:"Best Practices",bestPracticesTrustSafetyGroupTitle:"Trust and Safety",bestPracticesUXGroupTitle:"User Experience",bestPracticesBrowserCompatGroupTitle:"Browser Compatibility",bestPracticesGeneralGroupTitle:"General",pwaInstallableGroupTitle:"Installable",pwaOptimizedGroupTitle:"PWA Optimized"},n=oi.createMessageInstanceIdFn("lighthouse-core/config/default-config.js",a),i={settings:t.defaultSettings,passes:[{passName:"defaultPass",recordTrace:!0,useThrottling:!0,pauseAfterFcpMs:1e3,pauseAfterLoadMs:1e3,networkQuietThresholdMs:1e3,cpuQuietThresholdMs:1e3,
gatherers:["css-usage","js-usage","viewport-dimensions","console-messages","anchor-elements","image-elements","link-elements","meta-elements","script-elements","iframe-elements","inputs","main-document-content","global-listeners","dobetterweb/doctype","dobetterweb/domstats","dobetterweb/optimized-images","dobetterweb/password-inputs-with-prevented-paste","dobetterweb/response-compression","dobetterweb/tags-blocking-first-paint","seo/font-size","seo/embedded-content","seo/robots-txt","seo/tap-targets","accessibility","trace-elements","inspector-issues","source-maps","full-page-screenshot"]},{passName:"offlinePass",loadFailureMode:"ignore",gatherers:["service-worker"]}],
audits:["is-on-https","service-worker","viewport","metrics/first-contentful-paint","metrics/largest-contentful-paint","metrics/first-meaningful-paint","metrics/speed-index","screenshot-thumbnails","final-screenshot","metrics/total-blocking-time","metrics/max-potential-fid","metrics/cumulative-layout-shift","errors-in-console","server-response-time","metrics/interactive","user-timings","critical-request-chains","redirects","installable-manifest","apple-touch-icon","splash-screen","themed-omnibox","maskable-icon","content-width","image-aspect-ratio","image-size-responsive","preload-fonts","deprecations","mainthread-work-breakdown","bootup-time","uses-rel-preload","uses-rel-preconnect","font-display","diagnostics","network-requests","network-rtt","network-server-latency","main-thread-tasks","metrics","performance-budget","timing-budget","resource-summary","third-party-summary","third-party-facades","largest-contentful-paint-element","lcp-lazy-loaded","layout-shift-elements","long-tasks","no-unload-listeners","non-composited-animations","unsized-images","valid-source-maps","preload-lcp-image","csp-xss","full-page-screenshot","script-treemap-data","manual/pwa-cross-browser","manual/pwa-page-transitions","manual/pwa-each-page-has-url","accessibility/accesskeys","accessibility/aria-allowed-attr","accessibility/aria-command-name","accessibility/aria-hidden-body","accessibility/aria-hidden-focus","accessibility/aria-input-field-name","accessibility/aria-meter-name","accessibility/aria-progressbar-name","accessibility/aria-required-attr","accessibility/aria-required-children","accessibility/aria-required-parent","accessibility/aria-roles","accessibility/aria-toggle-field-name","accessibility/aria-tooltip-name","accessibility/aria-treeitem-name","accessibility/aria-valid-attr-value","accessibility/aria-valid-attr","accessibility/button-name","accessibility/bypass","accessibility/color-contrast","accessibility/definition-list","accessibility/dlitem","accessibility/document-title","accessibility/duplicate-id-active","accessibility/duplicate-id-aria","accessibility/form-field-multiple-labels","accessibility/frame-title","accessibility/heading-order","accessibility/html-has-lang","accessibility/html-lang-valid","accessibility/image-alt","accessibility/input-image-alt","accessibility/label","accessibility/link-name","accessibility/list","accessibility/listitem","accessibility/meta-refresh","accessibility/meta-viewport","accessibility/object-alt","accessibility/tabindex","accessibility/td-headers-attr","accessibility/th-has-data-cells","accessibility/valid-lang","accessibility/video-caption","accessibility/manual/custom-controls-labels","accessibility/manual/custom-controls-roles","accessibility/manual/focus-traps","accessibility/manual/focusable-controls","accessibility/manual/interactive-element-affordance","accessibility/manual/logical-tab-order","accessibility/manual/managed-focus","accessibility/manual/offscreen-content-hidden","accessibility/manual/use-landmarks","accessibility/manual/visual-order-follows-dom","byte-efficiency/uses-long-cache-ttl","byte-efficiency/total-byte-weight","byte-efficiency/offscreen-images","byte-efficiency/render-blocking-resources","byte-efficiency/unminified-css","byte-efficiency/unminified-javascript","byte-efficiency/unused-css-rules","byte-efficiency/unused-javascript","byte-efficiency/modern-image-formats","byte-efficiency/uses-optimized-images","byte-efficiency/uses-text-compression","byte-efficiency/uses-responsive-images","byte-efficiency/efficient-animated-content","byte-efficiency/duplicated-javascript","byte-efficiency/legacy-javascript","dobetterweb/doctype","dobetterweb/charset","dobetterweb/dom-size","dobetterweb/geolocation-on-start","dobetterweb/inspector-issues","dobetterweb/no-document-write","dobetterweb/no-vulnerable-libraries","dobetterweb/js-libraries","dobetterweb/notification-on-start","dobetterweb/password-inputs-can-be-pasted-into","dobetterweb/uses-http2","dobetterweb/uses-passive-event-listeners","seo/meta-description","seo/http-status-code","seo/font-size","seo/link-text","seo/crawlable-anchors","seo/is-crawlable","seo/robots-txt","seo/tap-targets","seo/hreflang","seo/plugins","seo/canonical","seo/manual/structured-data"],
groups:{metrics:{title:n(a.metricGroupTitle)},"load-opportunities":{title:n(a.loadOpportunitiesGroupTitle),description:n(a.loadOpportunitiesGroupDescription)},budgets:{title:n(a.budgetsGroupTitle),description:n(a.budgetsGroupDescription)},diagnostics:{title:n(a.diagnosticsGroupTitle),description:n(a.diagnosticsGroupDescription)},"pwa-installable":{title:n(a.pwaInstallableGroupTitle)},"pwa-optimized":{title:n(a.pwaOptimizedGroupTitle)},"a11y-best-practices":{title:n(a.a11yBestPracticesGroupTitle),description:n(a.a11yBestPracticesGroupDescription)},"a11y-color-contrast":{title:n(a.a11yColorContrastGroupTitle),description:n(a.a11yColorContrastGroupDescription)},"a11y-names-labels":{title:n(a.a11yNamesLabelsGroupTitle),description:n(a.a11yNamesLabelsGroupDescription)},"a11y-navigation":{title:n(a.a11yNavigationGroupTitle),description:n(a.a11yNavigationGroupDescription)},"a11y-aria":{title:n(a.a11yAriaGroupTitle),description:n(a.a11yAriaGroupDescription)},"a11y-language":{
title:n(a.a11yLanguageGroupTitle),description:n(a.a11yLanguageGroupDescription)},"a11y-audio-video":{title:n(a.a11yAudioVideoGroupTitle),description:n(a.a11yAudioVideoGroupDescription)},"a11y-tables-lists":{title:n(a.a11yTablesListsVideoGroupTitle),description:n(a.a11yTablesListsVideoGroupDescription)},"seo-mobile":{title:n(a.seoMobileGroupTitle),description:n(a.seoMobileGroupDescription)},"seo-content":{title:n(a.seoContentGroupTitle),description:n(a.seoContentGroupDescription)},"seo-crawl":{title:n(a.seoCrawlingGroupTitle),description:n(a.seoCrawlingGroupDescription)},"best-practices-trust-safety":{title:n(a.bestPracticesTrustSafetyGroupTitle)},"best-practices-ux":{title:n(a.bestPracticesUXGroupTitle)},"best-practices-browser-compat":{title:n(a.bestPracticesBrowserCompatGroupTitle)},"best-practices-general":{title:n(a.bestPracticesGeneralGroupTitle)},hidden:{title:""}},categories:{performance:{title:n(a.performanceCategoryTitle),supportedModes:["navigation","timespan","snapshot"],
auditRefs:[{id:"first-contentful-paint",weight:10,group:"metrics",acronym:"FCP",relevantAudits:r.fcpRelevantAudits},{id:"interactive",weight:10,group:"metrics",acronym:"TTI"},{id:"speed-index",weight:10,group:"metrics",acronym:"SI"},{id:"total-blocking-time",weight:30,group:"metrics",acronym:"TBT",relevantAudits:r.tbtRelevantAudits},{id:"largest-contentful-paint",weight:25,group:"metrics",acronym:"LCP",relevantAudits:r.lcpRelevantAudits},{id:"cumulative-layout-shift",weight:15,group:"metrics",acronym:"CLS",relevantAudits:r.clsRelevantAudits},{id:"max-potential-fid",weight:0,group:"hidden"},{id:"first-meaningful-paint",weight:0,acronym:"FMP",group:"hidden"},{id:"render-blocking-resources",weight:0},{id:"uses-responsive-images",weight:0},{id:"offscreen-images",weight:0},{id:"unminified-css",weight:0},{id:"unminified-javascript",weight:0},{id:"unused-css-rules",weight:0},{id:"unused-javascript",weight:0},{id:"uses-optimized-images",weight:0},{id:"modern-image-formats",weight:0},{
id:"uses-text-compression",weight:0},{id:"uses-rel-preconnect",weight:0},{id:"server-response-time",weight:0},{id:"redirects",weight:0},{id:"uses-rel-preload",weight:0},{id:"uses-http2",weight:0},{id:"efficient-animated-content",weight:0},{id:"duplicated-javascript",weight:0},{id:"legacy-javascript",weight:0},{id:"preload-lcp-image",weight:0},{id:"total-byte-weight",weight:0},{id:"uses-long-cache-ttl",weight:0},{id:"dom-size",weight:0},{id:"critical-request-chains",weight:0},{id:"user-timings",weight:0},{id:"bootup-time",weight:0},{id:"mainthread-work-breakdown",weight:0},{id:"font-display",weight:0},{id:"resource-summary",weight:0},{id:"third-party-summary",weight:0},{id:"third-party-facades",weight:0},{id:"largest-contentful-paint-element",weight:0},{id:"lcp-lazy-loaded",weight:0},{id:"layout-shift-elements",weight:0},{id:"uses-passive-event-listeners",weight:0},{id:"no-document-write",weight:0},{id:"long-tasks",weight:0},{id:"non-composited-animations",weight:0},{
id:"unsized-images",weight:0},{id:"viewport",weight:0},{id:"no-unload-listeners",weight:0},{id:"performance-budget",weight:0,group:"budgets"},{id:"timing-budget",weight:0,group:"budgets"},{id:"network-requests",weight:0,group:"hidden"},{id:"network-rtt",weight:0,group:"hidden"},{id:"network-server-latency",weight:0,group:"hidden"},{id:"main-thread-tasks",weight:0,group:"hidden"},{id:"diagnostics",weight:0,group:"hidden"},{id:"metrics",weight:0,group:"hidden"},{id:"screenshot-thumbnails",weight:0,group:"hidden"},{id:"final-screenshot",weight:0,group:"hidden"},{id:"script-treemap-data",weight:0,group:"hidden"}]},accessibility:{title:n(a.a11yCategoryTitle),description:n(a.a11yCategoryDescription),manualDescription:n(a.a11yCategoryManualDescription),supportedModes:["navigation","snapshot"],auditRefs:[{id:"accesskeys",weight:3,group:"a11y-navigation"},{id:"aria-allowed-attr",weight:10,group:"a11y-aria"},{id:"aria-command-name",weight:3,group:"a11y-aria"},{id:"aria-hidden-body",weight:10,
group:"a11y-aria"},{id:"aria-hidden-focus",weight:3,group:"a11y-aria"},{id:"aria-input-field-name",weight:3,group:"a11y-aria"},{id:"aria-meter-name",weight:3,group:"a11y-aria"},{id:"aria-progressbar-name",weight:3,group:"a11y-aria"},{id:"aria-required-attr",weight:10,group:"a11y-aria"},{id:"aria-required-children",weight:10,group:"a11y-aria"},{id:"aria-required-parent",weight:10,group:"a11y-aria"},{id:"aria-roles",weight:10,group:"a11y-aria"},{id:"aria-toggle-field-name",weight:3,group:"a11y-aria"},{id:"aria-tooltip-name",weight:3,group:"a11y-aria"},{id:"aria-treeitem-name",weight:3,group:"a11y-aria"},{id:"aria-valid-attr-value",weight:10,group:"a11y-aria"},{id:"aria-valid-attr",weight:10,group:"a11y-aria"},{id:"button-name",weight:10,group:"a11y-names-labels"},{id:"bypass",weight:3,group:"a11y-navigation"},{id:"color-contrast",weight:3,group:"a11y-color-contrast"},{id:"definition-list",weight:3,group:"a11y-tables-lists"},{id:"dlitem",weight:3,group:"a11y-tables-lists"},{
id:"document-title",weight:3,group:"a11y-names-labels"},{id:"duplicate-id-active",weight:3,group:"a11y-navigation"},{id:"duplicate-id-aria",weight:10,group:"a11y-aria"},{id:"form-field-multiple-labels",weight:2,group:"a11y-names-labels"},{id:"frame-title",weight:3,group:"a11y-names-labels"},{id:"heading-order",weight:2,group:"a11y-navigation"},{id:"html-has-lang",weight:3,group:"a11y-language"},{id:"html-lang-valid",weight:3,group:"a11y-language"},{id:"image-alt",weight:10,group:"a11y-names-labels"},{id:"input-image-alt",weight:10,group:"a11y-names-labels"},{id:"label",weight:10,group:"a11y-names-labels"},{id:"link-name",weight:3,group:"a11y-names-labels"},{id:"list",weight:3,group:"a11y-tables-lists"},{id:"listitem",weight:3,group:"a11y-tables-lists"},{id:"meta-refresh",weight:10,group:"a11y-best-practices"},{id:"meta-viewport",weight:10,group:"a11y-best-practices"},{id:"object-alt",weight:3,group:"a11y-names-labels"},{id:"tabindex",weight:3,group:"a11y-navigation"},{
id:"td-headers-attr",weight:3,group:"a11y-tables-lists"},{id:"th-has-data-cells",weight:3,group:"a11y-tables-lists"},{id:"valid-lang",weight:3,group:"a11y-language"},{id:"video-caption",weight:10,group:"a11y-audio-video"},{id:"logical-tab-order",weight:0},{id:"focusable-controls",weight:0},{id:"interactive-element-affordance",weight:0},{id:"managed-focus",weight:0},{id:"focus-traps",weight:0},{id:"custom-controls-labels",weight:0},{id:"custom-controls-roles",weight:0},{id:"visual-order-follows-dom",weight:0},{id:"offscreen-content-hidden",weight:0},{id:"use-landmarks",weight:0}]},"best-practices":{title:n(a.bestPracticesCategoryTitle),supportedModes:["navigation","timespan","snapshot"],auditRefs:[{id:"is-on-https",weight:1,group:"best-practices-trust-safety"},{id:"geolocation-on-start",weight:1,group:"best-practices-trust-safety"},{id:"notification-on-start",weight:1,group:"best-practices-trust-safety"},{id:"no-vulnerable-libraries",weight:1,group:"best-practices-trust-safety"},{
id:"csp-xss",weight:0,group:"best-practices-trust-safety"},{id:"password-inputs-can-be-pasted-into",weight:1,group:"best-practices-ux"},{id:"image-aspect-ratio",weight:1,group:"best-practices-ux"},{id:"image-size-responsive",weight:1,group:"best-practices-ux"},{id:"preload-fonts",weight:1,group:"best-practices-ux"},{id:"doctype",weight:1,group:"best-practices-browser-compat"},{id:"charset",weight:1,group:"best-practices-browser-compat"},{id:"js-libraries",weight:0,group:"best-practices-general"},{id:"deprecations",weight:1,group:"best-practices-general"},{id:"errors-in-console",weight:1,group:"best-practices-general"},{id:"valid-source-maps",weight:0,group:"best-practices-general"},{id:"inspector-issues",weight:1,group:"best-practices-general"}]},seo:{title:n(a.seoCategoryTitle),description:n(a.seoCategoryDescription),manualDescription:n(a.seoCategoryManualDescription),supportedModes:["navigation","snapshot"],auditRefs:[{id:"viewport",weight:1,group:"seo-mobile"},{id:"document-title",
weight:1,group:"seo-content"},{id:"meta-description",weight:1,group:"seo-content"},{id:"http-status-code",weight:1,group:"seo-crawl"},{id:"link-text",weight:1,group:"seo-content"},{id:"crawlable-anchors",weight:1,group:"seo-crawl"},{id:"is-crawlable",weight:1,group:"seo-crawl"},{id:"robots-txt",weight:1,group:"seo-crawl"},{id:"image-alt",weight:1,group:"seo-content"},{id:"hreflang",weight:1,group:"seo-content"},{id:"canonical",weight:1,group:"seo-content"},{id:"font-size",weight:1,group:"seo-mobile"},{id:"plugins",weight:1,group:"seo-content"},{id:"tap-targets",weight:1,group:"seo-mobile"},{id:"structured-data",weight:0}]},pwa:{title:n(a.pwaCategoryTitle),description:n(a.pwaCategoryDescription),manualDescription:n(a.pwaCategoryManualDescription),supportedModes:["navigation"],auditRefs:[{id:"installable-manifest",weight:2,group:"pwa-installable"},{id:"service-worker",weight:1,group:"pwa-optimized"},{id:"splash-screen",weight:1,group:"pwa-optimized"},{id:"themed-omnibox",weight:1,
group:"pwa-optimized"},{id:"content-width",weight:1,group:"pwa-optimized"},{id:"viewport",weight:2,group:"pwa-optimized"},{id:"apple-touch-icon",weight:1,group:"pwa-optimized"},{id:"maskable-icon",weight:1,group:"pwa-optimized"},{id:"pwa-cross-browser",weight:0},{id:"pwa-page-transitions",weight:0},{id:"pwa-each-page-has-url",weight:0}]}}};e.exports=i,Object.defineProperty(e.exports,"UIStrings",{enumerable:!1,get:()=>a})}(gu);const vu=kc,bu=eo,wu=oi;function assertValidFRGatherer(e){const t=e.instance,r=t.name;if("object"!=typeof t.meta)throw new Error(`${r} gatherer did not provide a meta object.`);if(0===t.meta.supportedModes.length)throw new Error(`${r} gatherer did not support any gather modes.`);if("function"!=typeof t.getArtifact||t.getArtifact===bu.prototype.getArtifact)throw new Error(`${r} gatherer did not define a "getArtifact" method.`)}function assertValidFRNavigations(e){if(!e||!e.length)return{warnings:[]};const t=[],r=e[0];if("fatal"!==r.loadFailureMode){
const e=r.loadFailureMode,a=[`"${r.id}" is the first navigation but had a failure mode of ${e}.`,"The first navigation will always be treated as loadFailureMode=fatal."].join(" ");t.push(a),r.loadFailureMode="fatal"}const a=e.map((e=>e.id)),n=a.find(((e,t)=>a.slice(t+1).some((t=>e===t))));if(n)throw new Error(`Navigation must have unique identifiers, but "${n}" was repeated.`);return{warnings:t}}function assertValidAudit(e){const{implementation:t,path:r}=e,a=r||t?.meta?.id||"Unknown audit";if("function"!=typeof t.audit||t.audit===vu.audit)throw new Error(`${a} has no audit() method.`);if("string"!=typeof t.meta.id)throw new Error(`${a} has no meta.id property, or the property is not a string.`);if(!wu.isStringOrIcuMessage(t.meta.title))throw new Error(`${a} has no meta.title property, or the property is not a string.`);const n=t.meta.scoreDisplayMode||vu.SCORING_MODES.BINARY
;if(!wu.isStringOrIcuMessage(t.meta.failureTitle)&&n===vu.SCORING_MODES.BINARY)throw new Error(`${a} has no meta.failureTitle and should.`);if(!wu.isStringOrIcuMessage(t.meta.description))throw new Error(`${a} has no meta.description property, or the property is not a string.`);if(""===t.meta.description)throw new Error(`${a} has an empty meta.description string. Please add a description for the UI.`);if(!Array.isArray(t.meta.requiredArtifacts))throw new Error(`${a} has no meta.requiredArtifacts property, or the property is not an array.`)}function assertValidCategories(e,t,r){if(!e)return;const a=new Map((t||[]).map((e=>[e.implementation.meta.id,e])));Object.keys(e).forEach((t=>{e[t].auditRefs.forEach(((e,n)=>{if(!e.id)throw new Error(`missing an audit id at ${t}[${n}]`);const i=a.get(e.id);if(!i)throw new Error(`could not find ${e.id} audit for category ${t}`);const o="manual"===i.implementation.meta.scoreDisplayMode
;if("accessibility"===t&&!e.group&&!o)throw new Error(`${e.id} accessibility audit does not have a group`);if(e.weight>0&&o)throw new Error(`${e.id} is manual but has a positive weight`);if(e.group&&(!r||!r[e.group]))throw new Error(`${e.id} references unknown group ${e.group}`)}))}))}function assertValidSettings(e){if(!e.formFactor)throw new Error("`settings.formFactor` must be defined as 'mobile' or 'desktop'. See https://github.com/GoogleChrome/lighthouse/blob/master/docs/emulation.md");if(!e.screenEmulation.disabled&&e.screenEmulation.mobile!==("mobile"===e.formFactor))throw new Error(`Screen emulation mobile setting (${e.screenEmulation.mobile}) does not match formFactor setting (${e.formFactor}). See https://github.com/GoogleChrome/lighthouse/blob/master/docs/emulation.md`)}function throwInvalidDependencyOrder$1(e,t){
throw new Error([`Failed to find dependency "${t}" for "${e}" artifact`,"Check that...",`  1. A gatherer exposes a matching Symbol that satisfies "${t}".`,`  2. "${t}" is configured to run before "${e}"`].join("\n"))}var Su={isFRGathererDefn:function isFRGathererDefn$1(e){return"meta"in e.instance},isValidArtifactDependency:function isValidArtifactDependency$1(e,t){const r={timespan:0,snapshot:1,navigation:2},a=Math.min(...e.instance.meta.supportedModes.map((e=>r[e]))),n=Math.min(...t.instance.meta.supportedModes.map((e=>r[e])));return a===r.timespan?n===r.timespan:a!==r.snapshot||n===r.snapshot},assertValidPluginName:function assertValidPluginName(e,t){if(!t.startsWith("lighthouse-plugin-"))throw new Error(`plugin name '${t}' does not start with 'lighthouse-plugin-'`);if(e.categories?.[t])throw new Error(`plugin name '${t}' not allowed because it is the id of a category already found in config`)},assertValidFRGatherer,assertValidFRNavigations,assertValidAudit,assertValidCategories,
assertValidSettings,assertArtifactTopologicalOrder:function assertArtifactTopologicalOrder$1(e){const t=new Set;for(const r of e)for(const e of r.artifacts)if(t.add(e.id),e.dependencies)for(const[r,{id:a}]of Object.entries(e.dependencies))t.has(a)||throwInvalidDependencyOrder$1(e.id,r)},assertValidConfig:function assertValidConfig$1(e){const{warnings:t}=assertValidFRNavigations(e.navigations);for(const t of e.artifacts||[])assertValidFRGatherer(t.gatherer);for(const t of e.audits||[])assertValidAudit(t);return assertValidCategories(e.categories,e.audits,e.groups),assertValidSettings(e.settings),{warnings:t}},throwInvalidDependencyOrder:throwInvalidDependencyOrder$1,throwInvalidArtifactDependency:function throwInvalidArtifactDependency$1(e,t){throw new Error([`Dependency "${t}" for "${e}" artifact is invalid.`,"The dependency must be collected before the dependent."].join("\n"))}};function isArrayOfUnknownObjects$1(e){return Array.isArray(e)&&e.every(isObjectOfUnknownProperties$1)}
function isObjectOfUnknownProperties$1(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)}function isNumber(e){return"number"==typeof e&&!isNaN(e)}class Budget$4{static assertNoExcessProperties(e,t){const r=Object.keys(e);if(r.length>0){const e=r.join(", ");throw new Error(`${t} has unrecognized properties: [${e}]`)}}static assertNoDuplicateStrings(e,t){const r=new Set;for(const a of e){if(r.has(a))throw new Error(`${t} has duplicate entry of type '${a}'`);r.add(a)}}static validateResourceBudget(e){const{resourceType:t,budget:r,...a}=e;Budget$4.assertNoExcessProperties(a,"Resource Budget");const n=["total","document","script","stylesheet","image","media","font","other","third-party"];if(!n.includes(t))throw new Error(`Invalid resource type: ${t}. \nValid resource types are: ${n.join(", ")}`);if(!isNumber(r))throw new Error(`Invalid budget: ${r}`);return{resourceType:t,budget:r}}static throwInvalidPathError(e,t){
throw new Error(`Invalid path ${e}. ${t}\n'Path' should be specified using the 'robots.txt' format.\nLearn more about the 'robots.txt' format here:\nhttps://developers.google.com/search/reference/robots_txt#url-matching-based-on-path-values`)}static validatePath(e){if(void 0!==e){if("string"==typeof e)return e.startsWith("/")?(e.match(/\*/g)||[]).length>1?this.throwInvalidPathError(e,"Path should only contain one '*'."):(e.match(/\$/g)||[]).length>1?this.throwInvalidPathError(e,"Path should only contain one '$' character."):e.includes("$")&&!e.endsWith("$")&&this.throwInvalidPathError(e,"'$' character should only occur at end of path."):this.throwInvalidPathError(e,"Path should start with '/'."),e;this.throwInvalidPathError(e,"Path should be a string.")}}static getMatchingBudget(e,t){if(null!==e)for(let r=e.length-1;r>=0;r--){const a=e[r];if(this.urlMatchesPattern(t,a.path))return a}}static urlMatchesPattern(e,t="/"){
const r=new URL(e),a=r.pathname+r.search,n=t.includes("*"),i=t.includes("$");if(!n&&!i)return a.startsWith(t);if(!n&&i)return a===t.slice(0,-1);if(n&&!i){const[e,r]=t.split("*"),n=a.slice(e.length);return a.startsWith(e)&&n.includes(r)}if(n&&i){const[e,r]=t.split("*"),n=a.slice(e.length);return a.startsWith(e)&&n.endsWith(r.slice(0,-1))}return!1}static validateTimingBudget(e){const{metric:t,budget:r,...a}=e;Budget$4.assertNoExcessProperties(a,"Timing Budget");const n=["first-contentful-paint","interactive","first-meaningful-paint","max-potential-fid","total-blocking-time","speed-index","largest-contentful-paint","cumulative-layout-shift"];if(!n.includes(t))throw new Error(`Invalid timing metric: ${t}. \nValid timing metrics are: ${n.join(", ")}`);if(!isNumber(r))throw new Error(`Invalid budget: ${r}`);return{metric:t,budget:r}}static validateHostname(e){const t=`${e} is not a valid hostname.`;if(0===e.length)throw new Error(t);if(e.includes("/"))throw new Error(t)
;if(e.includes(":"))throw new Error(t);if(e.includes("*")&&(!e.startsWith("*.")||e.lastIndexOf("*")>0))throw new Error(t);return e}static validateHostnames(e){if(Array.isArray(e)&&e.every((e=>"string"==typeof e)))return e.map(Budget$4.validateHostname);if(void 0!==e)throw new Error("firstPartyHostnames should be defined as an array of strings.")}static initializeBudget(e){if(!isArrayOfUnknownObjects$1(e=JSON.parse(JSON.stringify(e))))throw new Error("Budget file is not defined as an array of budgets.");return e.map(((e,t)=>{const r={},{path:a,options:n,resourceSizes:i,resourceCounts:o,timings:s,...c}=e;if(Budget$4.assertNoExcessProperties(c,"Budget"),r.path=Budget$4.validatePath(a),isObjectOfUnknownProperties$1(n)){const{firstPartyHostnames:e,...t}=n;Budget$4.assertNoExcessProperties(t,"Options property"),r.options={},r.options.firstPartyHostnames=Budget$4.validateHostnames(e)}else if(void 0!==n)throw new Error(`Invalid options property in budget at index ${t}`)
;if(isArrayOfUnknownObjects$1(i))r.resourceSizes=i.map(Budget$4.validateResourceBudget),Budget$4.assertNoDuplicateStrings(r.resourceSizes.map((e=>e.resourceType)),`budgets[${t}].resourceSizes`);else if(void 0!==i)throw new Error(`Invalid resourceSizes entry in budget at index ${t}`);if(isArrayOfUnknownObjects$1(o))r.resourceCounts=o.map(Budget$4.validateResourceBudget),Budget$4.assertNoDuplicateStrings(r.resourceCounts.map((e=>e.resourceType)),`budgets[${t}].resourceCounts`);else if(void 0!==o)throw new Error(`Invalid resourceCounts entry in budget at index ${t}`);if(isArrayOfUnknownObjects$1(s))r.timings=s.map(Budget$4.validateTimingBudget),Budget$4.assertNoDuplicateStrings(r.timings.map((e=>e.metric)),`budgets[${t}].timings`);else if(void 0!==s)throw new Error(`Invalid timings entry in budget at index ${t}`);return r}))}}var Tu=Budget$4;const Eu=oi;function isArrayOfUnknownObjects(e){return Array.isArray(e)&&e.every(isObjectOfUnknownProperties)}
function isObjectOfUnknownProperties(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)}function assertNoExcessProperties(e,t,r=""){r&&(r+=" ");const a=Object.keys(e);if(a.length>0){const e=a.join(", ");throw new Error(`${t} has unrecognized ${r}properties: [${e}]`)}}class ConfigPlugin$1{static _parseAuditsList(e,t){if(void 0!==e){if(!isArrayOfUnknownObjects(e))throw new Error(`${t} has an invalid audits array.`);return e.map((e=>{const{path:r,...a}=e;if(assertNoExcessProperties(a,t,"audit"),"string"!=typeof r)throw new Error(`${t} has a missing audit path.`);return{path:r}}))}}static _parseAuditRefsList(e,t){if(!isArrayOfUnknownObjects(e))throw new Error(`${t} has no valid auditsRefs.`);return e.map((e=>{const{id:r,weight:a,group:n,...i}=e;if(assertNoExcessProperties(i,t,"auditRef"),"string"!=typeof r)throw new Error(`${t} has an invalid auditRef id.`);if("number"!=typeof a)throw new Error(`${t} has an invalid auditRef weight.`)
;if("string"!=typeof n&&void 0!==n)throw new Error(`${t} has an invalid auditRef group.`);return{id:r,weight:a,group:n?`${t}-${n}`:n}}))}static _parseCategory(e,t){if(!isObjectOfUnknownProperties(e))throw new Error(`${t} has no valid category.`);const{title:r,description:a,manualDescription:n,auditRefs:i,...o}=e;if(assertNoExcessProperties(o,t,"category"),!Eu.isStringOrIcuMessage(r))throw new Error(`${t} has an invalid category tile.`);if(!Eu.isStringOrIcuMessage(a)&&void 0!==a)throw new Error(`${t} has an invalid category description.`);if(!Eu.isStringOrIcuMessage(n)&&void 0!==n)throw new Error(`${t} has an invalid category manualDescription.`);return{title:r,auditRefs:ConfigPlugin$1._parseAuditRefsList(i,t),description:a,manualDescription:n}}static _parseGroups(e,t){if(void 0===e)return;if(!isObjectOfUnknownProperties(e))throw new Error(`${t} groups json is not defined as an object.`);const r=Object.entries(e),a={};return r.forEach((([e,r])=>{
if(!isObjectOfUnknownProperties(r))throw new Error(`${t} has a group not defined as an object.`);const{title:n,description:i,...o}=r;if(assertNoExcessProperties(o,t,"group"),!Eu.isStringOrIcuMessage(n))throw new Error(`${t} has an invalid group title.`);if(!Eu.isStringOrIcuMessage(i)&&void 0!==i)throw new Error(`${t} has an invalid group description.`);a[`${t}-${e}`]={title:n,description:i}})),a}static parsePlugin(e,t){if(!isObjectOfUnknownProperties(e=JSON.parse(JSON.stringify(e))))throw new Error(`${t} is not defined as an object.`);const{audits:r,category:a,groups:n,...i}=e;return assertNoExcessProperties(i,t),{audits:ConfigPlugin$1._parseAuditsList(r,t),categories:{[t]:ConfigPlugin$1._parseCategory(a,t)},groups:ConfigPlugin$1._parseGroups(n,t)}}}var xu=ConfigPlugin$1
;const _u=eo,Au='/*! axe v4.4.1\n * Copyright (c) 2022 Deque Systems, Inc.\n *\n * Your use of this Source Code Form is subject to the terms of the Mozilla Public\n * License, v. 2.0. If a copy of the MPL was not distributed with this\n * file, You can obtain one at http://mozilla.org/MPL/2.0/.\n *\n * This entire copyright notice must appear in every copy of this file you\n * distribute or in any file that contains substantial portions of this source\n * code.\n */\n!function e(t){var a=t,r=t.document;function n(e){return(n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}var o=o||{};function i(e){this.name="SupportError",this.cause=e.cause,this.message="`".concat(e.cause,"` - feature unsupported in your environment."),e.ruleId&&(this.ruleId=e.ruleId,this.message+=" Skipping ".concat(this.ruleId," rule.")),this.stack=(new Error).stack}o.version="4.4.1","function"==typeof define&&define.amd&&define("axe-core",[],(function(){return o})),"object"===("undefined"==typeof module?"undefined":n(module))&&module.exports&&"function"==typeof e.toString&&(o.source="("+e.toString()+\')(typeof window === "object" ? window : this);\',module.exports=o),"function"==typeof t.getComputedStyle&&(t.axe=o),(i.prototype=Object.create(Error.prototype)).constructor=i;var l=["node"],s=["node"],u=["variant"],c=["matches"],d=["chromium"],p=["noImplicit"],f=["noPresentational"],m=["nodes"],h=["node"],g=["relatedNodes"],b=["environmentData"],y=["environmentData"],v=["node"],w=["environmentData"],D=["environmentData"],x=["environmentData"];function E(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&A(e,t)}function A(e,t){return(A=Object.setPrototypeOf||function(e,t){return e.__proto__=t,e})(e,t)}function C(e){var t=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}();return function(){var a,r=k(e);return function(e,t){if(t&&("object"===n(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return F(e)}(this,t?(a=k(this).constructor,Reflect.construct(r,arguments,a)):r.apply(this,arguments))}}function F(e){if(void 0===e)throw new ReferenceError("this hasn\'t been initialised - super() hasn\'t been called");return e}function k(e){return(k=Object.setPrototypeOf?Object.getPrototypeOf:function(e){return e.__proto__||Object.getPrototypeOf(e)})(e)}function N(e,t){if(null==e)return{};var a,r=function(e,t){if(null==e)return{};var a,r,n={},o=Object.keys(e);for(r=0;r<o.length;r++)a=o[r],0<=t.indexOf(a)||(n[a]=e[a]);return n}(e,t);if(Object.getOwnPropertySymbols)for(var n=Object.getOwnPropertySymbols(e),o=0;o<n.length;o++)a=n[o],0<=t.indexOf(a)||Object.prototype.propertyIsEnumerable.call(e,a)&&(r[a]=e[a]);return r}function R(e){return function(e){if(Array.isArray(e))return M(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||B(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function T(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var a=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=a){var r,n,o=[],i=!0,l=!1;try{for(a=a.call(e);!(i=(r=a.next()).done)&&(o.push(r.value),!t||o.length!==t);i=!0);}catch(e){l=!0,n=e}finally{try{i||null==a.return||a.return()}finally{if(l)throw n}}return o}}(e,t)||B(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function _(){return(_=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var a,r=arguments[t];for(a in r)Object.prototype.hasOwnProperty.call(r,a)&&(e[a]=r[a])}return e}).apply(this,arguments)}function O(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function S(e,t){for(var a=0;a<t.length;a++){var r=t[a];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}function P(e,t,a){return t&&S(e.prototype,t),a&&S(e,a),Object.defineProperty(e,"prototype",{writable:!1}),e}function I(e,t){var a="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!a){if(Array.isArray(e)||(a=B(e))||t&&e&&"number"==typeof e.length){function r(){}a&&(e=a);var n=0;return{s:r,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,i=!0,l=!1;return{s:function(){a=a.call(e)},n:function(){var e=a.next();return i=e.done,e},e:function(e){l=!0,o=e},f:function(){try{i||null==a.return||a.return()}finally{if(l)throw o}}}}function B(e,t){if(e){if("string"==typeof e)return M(e,t);var a=Object.prototype.toString.call(e).slice(8,-1);return"Map"===(a="Object"===a&&e.constructor?e.constructor.name:a)||"Set"===a?Array.from(e):"Arguments"===a||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(a)?M(e,t):void 0}}function M(e,t){(null==t||t>e.length)&&(t=e.length);for(var a=0,r=new Array(t);a<t;a++)r[a]=e[a];return r}function n(e){return(n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}!function(){function e(e,t){return function(){return t||e((t={exports:{}}).exports,t),t.exports}}function A(e,t){for(var a in U(e),t)B(e,a,{get:t[a],enumerable:!0})}function k(e){return e&&e.__esModule?e:function(e,t,a){if(U(e),"object"===n(t)||"function"==typeof t){var r,o=I(j(t));try{for(o.s();!(r=o.n()).done;)!function(){var n=r.value;L.call(e,n)||"default"===n||B(e,n,{get:function(){return t[n]},enumerable:!(a=q(t,n))||a.enumerable})}()}catch(e){o.e(e)}finally{o.f()}}return e}(B(S(M(e)),"default",{value:e,enumerable:!0}),e)}var S=Object.create,B=Object.defineProperty,M=Object.getPrototypeOf,L=Object.prototype.hasOwnProperty,j=Object.getOwnPropertyNames,q=Object.getOwnPropertyDescriptor,U=function(e){return B(e,"__esModule",{value:!0})},V=e((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isIdentStart=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"-"===e||"_"===e},e.isIdent=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"0"<=e&&e<="9"||"-"===e||"_"===e},e.isHex=function(e){return"a"<=e&&e<="f"||"A"<=e&&e<="F"||"0"<=e&&e<="9"},e.escapeIdentifier=function(t){for(var a=t.length,r="",n=0;n<a;){var o=t.charAt(n);if(e.identSpecialChars[o])r+="\\\\"+o;else if("_"===o||"-"===o||"A"<=o&&o<="Z"||"a"<=o&&o<="z"||0!==n&&"0"<=o&&o<="9")r+=o;else{var i=o.charCodeAt(0);if(55296==(63488&i)){if(o=t.charCodeAt(n++),55296!=(64512&i)||56320!=(64512&o))throw Error("UCS-2(decode): illegal sequence");i=((1023&i)<<10)+(1023&o)+65536}r+="\\\\"+i.toString(16)+" "}n++}return r},e.escapeStr=function(t){for(var a,r=t.length,n="",o=0;o<r;){var i=t.charAt(o);\'"\'===i?i=\'\\\\"\':"\\\\"===i?i="\\\\\\\\":void 0!==(a=e.strReplacementsRev[i])&&(i=a),n+=i,o++}return\'"\'+n+\'"\'},e.identSpecialChars={"!":!0,\'"\':!0,"#":!0,$:!0,"%":!0,"&":!0,"\'":!0,"(":!0,")":!0,"*":!0,"+":!0,",":!0,".":!0,"/":!0,";":!0,"<":!0,"=":!0,">":!0,"?":!0,"@":!0,"[":!0,"\\\\":!0,"]":!0,"^":!0,"`":!0,"{":!0,"|":!0,"}":!0,"~":!0},e.strReplacementsRev={"\\n":"\\\\n","\\r":"\\\\r","\\t":"\\\\t","\\f":"\\\\f","\\v":"\\\\v"},e.singleQuoteEscapeChars={n:"\\n",r:"\\r",t:"\\t",f:"\\f","\\\\":"\\\\","\'":"\'"},e.doubleQuotesEscapeChars={n:"\\n",r:"\\r",t:"\\t",f:"\\f","\\\\":"\\\\",\'"\':\'"\'}})),z=e((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=V();e.parseCssSelector=function(e,a,r,n,o,i){var l=e.length,s="";function u(r,n){var o="";for(a++,s=e.charAt(a);a<l;){if(s===r)return a++,o;var i;if("\\\\"===s)if(a++,(s=e.charAt(a))===r)o+=r;else if(void 0!==(i=n[s]))o+=i;else{if(t.isHex(s)){var u=s;for(a++,s=e.charAt(a);t.isHex(s);)u+=s,a++,s=e.charAt(a);" "===s&&(a++,s=e.charAt(a)),o+=String.fromCharCode(parseInt(u,16));continue}o+=s}else o+=s;a++,s=e.charAt(a)}return o}function c(){var r="";for(s=e.charAt(a);a<l;){if(t.isIdent(s))r+=s;else{if("\\\\"!==s)return r;if(l<=++a)throw Error("Expected symbol but end of file reached.");if(s=e.charAt(a),t.identSpecialChars[s])r+=s;else{if(t.isHex(s)){var n=s;for(a++,s=e.charAt(a);t.isHex(s);)n+=s,a++,s=e.charAt(a);" "===s&&(a++,s=e.charAt(a)),r+=String.fromCharCode(parseInt(n,16));continue}r+=s}}a++,s=e.charAt(a)}return r}function d(){s=e.charAt(a);for(var t=!1;" "===s||"\\t"===s||"\\n"===s||"\\r"===s||"\\f"===s;)t=!0,a++,s=e.charAt(a);return t}function p(){var t=f();if(!t)return null;var r=t;for(s=e.charAt(a);","===s;){if(a++,d(),"selectors"!==r.type&&(r={type:"selectors",selectors:[t]}),!(t=f()))throw Error(\'Rule expected after ",".\');r.selectors.push(t)}return r}function f(){d();var t={type:"ruleSet"},r=m();if(!r)return null;for(var n=t;r&&(r.type="rule",n.rule=r,n=r,d(),s=e.charAt(a),!(l<=a||","===s||")"===s));)if(o[s]){var i=s;if(a++,d(),!(r=m()))throw Error(\'Rule expected after "\'+i+\'".\');r.nestingOperator=i}else(r=m())&&(r.nestingOperator=null);return t}function m(){for(var o=null;a<l;)if("*"===(s=e.charAt(a)))a++,(o=o||{}).tagName="*";else if(t.isIdentStart(s)||"\\\\"===s)(o=o||{}).tagName=c();else if("."===s)a++,((o=o||{}).classNames=o.classNames||[]).push(c());else if("#"===s)a++,(o=o||{}).id=c();else if("["===s){a++,d();var f={name:c()};if(d(),"]"===s)a++;else{var m="";if(n[s]&&(m=s,a++,s=e.charAt(a)),l<=a)throw Error(\'Expected "=" but end of file reached.\');if("="!==s)throw Error(\'Expected "=" but "\'+s+\'" found.\');f.operator=m+"=",a++,d();var h="";if(f.valueType="string",\'"\'===s)h=u(\'"\',t.doubleQuotesEscapeChars);else if("\'"===s)h=u("\'",t.singleQuoteEscapeChars);else if(i&&"$"===s)a++,h=c(),f.valueType="substitute";else{for(;a<l&&"]"!==s;)h+=s,a++,s=e.charAt(a);h=h.trim()}if(d(),l<=a)throw Error(\'Expected "]" but end of file reached.\');if("]"!==s)throw Error(\'Expected "]" but "\'+s+\'" found.\');a++,f.value=h}((o=o||{}).attrs=o.attrs||[]).push(f)}else{if(":"!==s)break;if(a++,f={name:m=c()},"("===s){a++;var g="";if(d(),"selector"===r[m])f.valueType="selector",g=p();else{if(f.valueType=r[m]||"string",\'"\'===s)g=u(\'"\',t.doubleQuotesEscapeChars);else if("\'"===s)g=u("\'",t.singleQuoteEscapeChars);else if(i&&"$"===s)a++,g=c(),f.valueType="substitute";else{for(;a<l&&")"!==s;)g+=s,a++,s=e.charAt(a);g=g.trim()}d()}if(l<=a)throw Error(\'Expected ")" but end of file reached.\');if(")"!==s)throw Error(\'Expected ")" but "\'+s+\'" found.\');a++,f.value=g}((o=o||{}).pseudos=o.pseudos||[]).push(f)}return o}return function(){var t=p();if(a<l)throw Error(\'Rule expected but "\'+e.charAt(a)+\'" found.\');return t}()}})),H=e((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=V();e.renderEntity=function e(a){var r="";switch(a.type){case"ruleSet":for(var n=a.rule,o=[];n;)n.nestingOperator&&o.push(n.nestingOperator),o.push(e(n)),n=n.rule;r=o.join(" ");break;case"selectors":r=a.selectors.map(e).join(", ");break;case"rule":a.tagName&&(r="*"===a.tagName?"*":t.escapeIdentifier(a.tagName)),a.id&&(r+="#"+t.escapeIdentifier(a.id)),a.classNames&&(r+=a.classNames.map((function(e){return"."+t.escapeIdentifier(e)})).join("")),a.attrs&&(r+=a.attrs.map((function(e){return"operator"in e?"substitute"===e.valueType?"["+t.escapeIdentifier(e.name)+e.operator+"$"+e.value+"]":"["+t.escapeIdentifier(e.name)+e.operator+t.escapeStr(e.value)+"]":"["+t.escapeIdentifier(e.name)+"]"})).join("")),a.pseudos&&(r+=a.pseudos.map((function(a){return a.valueType?"selector"===a.valueType?":"+t.escapeIdentifier(a.name)+"("+e(a.value)+")":"substitute"===a.valueType?":"+t.escapeIdentifier(a.name)+"($"+a.value+")":"numeric"===a.valueType?":"+t.escapeIdentifier(a.name)+"("+a.value+")":":"+t.escapeIdentifier(a.name)+"("+t.escapeIdentifier(a.value)+")":":"+t.escapeIdentifier(a.name)})).join(""));break;default:throw Error(\'Unknown entity type: "\'+a.type+\'".\')}return r}})),$=e((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=z(),a=H(),r=(n.prototype.registerSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];this.pseudos[n]="selector"}return this},n.prototype.unregisterSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];delete this.pseudos[n]}return this},n.prototype.registerNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];this.pseudos[n]="numeric"}return this},n.prototype.unregisterNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];delete this.pseudos[n]}return this},n.prototype.registerNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];this.ruleNestingOperators[n]=!0}return this},n.prototype.unregisterNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];delete this.ruleNestingOperators[n]}return this},n.prototype.registerAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];this.attrEqualityMods[n]=!0}return this},n.prototype.unregisterAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var a=0,r=e;a<r.length;a++){var n=r[a];delete this.attrEqualityMods[n]}return this},n.prototype.enableSubstitutes=function(){return this.substitutesEnabled=!0,this},n.prototype.disableSubstitutes=function(){return this.substitutesEnabled=!1,this},n.prototype.parse=function(e){return t.parseCssSelector(e,0,this.pseudos,this.attrEqualityMods,this.ruleNestingOperators,this.substitutesEnabled)},n.prototype.render=function(e){return a.renderEntity(e).trim()},n);function n(){this.pseudos={},this.attrEqualityMods={},this.ruleNestingOperators={},this.substitutesEnabled=!1}e.CssSelectorParser=r})),W=e((function(e,t){"use strict";t.exports=function(){}})),G=e((function(e,t){"use strict";var a=W()();t.exports=function(e){return e!==a&&null!==e}})),Y=e((function(e,t){"use strict";var a=G(),r=Array.prototype.forEach,n=Object.create;t.exports=function(e){var t=n(null);return r.call(arguments,(function(e){a(e)&&function(e,t){for(var a in e)t[a]=e[a]}(Object(e),t)})),t}})),K=e((function(e,t){"use strict";t.exports=function(){var e=Math.sign;return"function"==typeof e&&1===e(10)&&-1===e(-20)}})),X=e((function(e,t){"use strict";t.exports=function(e){return e=Number(e),isNaN(e)||0===e?e:0<e?1:-1}})),J=e((function(e,t){"use strict";t.exports=K()()?Math.sign:X()})),Q=e((function(e,t){"use strict";var a=J(),r=Math.abs,n=Math.floor;t.exports=function(e){return isNaN(e)?0:0!==(e=Number(e))&&isFinite(e)?a(e)*n(r(e)):e}})),Z=e((function(e,t){"use strict";var a=Q(),r=Math.max;t.exports=function(e){return r(0,a(e))}})),ee=e((function(e,t){"use strict";var a=Z();t.exports=function(e,t,r){return isNaN(e)?0<=t?r&&t?t-1:t:1:!1!==e&&a(e)}})),te=e((function(e,t){"use strict";t.exports=function(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}})),ae=e((function(e,t){"use strict";var a=G();t.exports=function(e){if(!a(e))throw new TypeError("Cannot use null or undefined");return e}})),re=e((function(e,t){"use strict";var a=te(),r=ae(),n=Function.prototype.bind,o=Function.prototype.call,i=Object.keys,l=Object.prototype.propertyIsEnumerable;t.exports=function(e,t){return function(s,u){var c,d=arguments[2],p=arguments[3];return s=Object(r(s)),a(u),c=i(s),p&&c.sort("function"==typeof p?n.call(p,s):void 0),"function"!=typeof e&&(e=c[e]),o.call(e,c,(function(e,a){return l.call(s,e)?o.call(u,d,s[e],e,s,a):t}))}}})),ne=e((function(e,t){"use strict";t.exports=re()("forEach")})),oe=e((function(){})),ie=e((function(e,t){"use strict";t.exports=function(){var e=Object.assign;return"function"==typeof e&&(e(e={foo:"raz"},{bar:"dwa"},{trzy:"trzy"}),e.foo+e.bar+e.trzy==="razdwatrzy")}})),le=e((function(e,t){"use strict";t.exports=function(){try{return Object.keys("primitive"),!0}catch(e){return!1}}})),se=e((function(e,t){"use strict";var a=G(),r=Object.keys;t.exports=function(e){return r(a(e)?Object(e):e)}})),ue=e((function(e,t){"use strict";t.exports=le()()?Object.keys:se()})),ce=e((function(e,t){"use strict";var a=ue(),r=ae(),n=Math.max;t.exports=function(e,t){var o,i,l,s=n(arguments.length,2);for(e=Object(r(e)),l=function(a){try{e[a]=t[a]}catch(a){o=o||a}},i=1;i<s;++i)a(t=arguments[i]).forEach(l);if(void 0!==o)throw o;return e}})),de=e((function(e,t){"use strict";t.exports=ie()()?Object.assign:ce()})),pe=e((function(e,t){"use strict";var a=G(),r={function:!0,object:!0};t.exports=function(e){return a(e)&&r[n(e)]||!1}})),fe=e((function(e,t){"use strict";var a=de(),r=pe(),n=G(),o=Error.captureStackTrace;t.exports=function(e){var i=new Error(e),l=arguments[1];return n(e=arguments[2])||r(l)&&(e=l,l=null),n(e)&&a(i,e),n(l)&&(i.code=l),o&&o(i,t.exports),i}})),me=e((function(e,t){"use strict";var a=ae(),r=Object.defineProperty,n=Object.getOwnPropertyDescriptor,o=Object.getOwnPropertyNames,i=Object.getOwnPropertySymbols;t.exports=function(e,t){var l,s=Object(a(t));if(e=Object(a(e)),o(s).forEach((function(a){try{r(e,a,n(t,a))}catch(a){l=a}})),"function"==typeof i&&i(s).forEach((function(a){try{r(e,a,n(t,a))}catch(a){l=a}})),void 0!==l)throw l;return e}})),he=e((function(e,t){"use strict";function a(e,t){return t}var r,n,o,i,l,s=Z();try{Object.defineProperty(a,"length",{configurable:!0,writable:!1,enumerable:!1,value:1})}catch(e){}1===a.length?(r={configurable:!0,writable:!1,enumerable:!1},n=Object.defineProperty,t.exports=function(e,t){return t=s(t),e.length===t?e:(r.value=t,n(e,"length",r))}):(i=me(),l=[],o=function(e){var t,a=0;if(l[e])return l[e];for(t=[];e--;)t.push("a"+(++a).toString(36));return new Function("fn","return function ("+t.join(", ")+") { return fn.apply(this, arguments); };")},t.exports=function(e,t){if(t=s(t),e.length===t)return e;t=o(t)(e);try{i(t,e)}catch(e){}return t})})),ge=e((function(e,t){"use strict";t.exports=function(e){return null!=e}})),be=e((function(e,t){"use strict";var a=ge(),r={object:!0,function:!0,undefined:!0};t.exports=function(e){return!!a(e)&&hasOwnProperty.call(r,n(e))}})),ye=e((function(e,t){"use strict";var a=be();t.exports=function(e){if(!a(e))return!1;try{return!!e.constructor&&e.constructor.prototype===e}catch(e){return!1}}})),ve=e((function(e,t){"use strict";var a=ye();t.exports=function(e){if("function"!=typeof e)return!1;if(!hasOwnProperty.call(e,"length"))return!1;try{if("number"!=typeof e.length)return!1;if("function"!=typeof e.call)return!1;if("function"!=typeof e.apply)return!1}catch(e){return!1}return!a(e)}})),we=e((function(e,t){"use strict";var a=ve(),r=/^\\s*class[\\s{/}]/,n=Function.prototype.toString;t.exports=function(e){return!!a(e)&&!r.test(n.call(e))}})),De=e((function(e,t){"use strict";var a="razdwatrzy";t.exports=function(){return"function"==typeof a.contains&&!0===a.contains("dwa")&&!1===a.contains("foo")}})),xe=e((function(e,t){"use strict";var a=String.prototype.indexOf;t.exports=function(e){return-1<a.call(this,e,arguments[1])}})),Ee=e((function(e,t){"use strict";t.exports=De()()?String.prototype.contains:xe()})),Ae=e((function(e,t){"use strict";var a=ge(),r=we(),n=de(),o=Y(),i=Ee();(t.exports=function(e,t){var r,l,s,u;return arguments.length<2||"string"!=typeof e?(s=t,t=e,e=null):s=arguments[2],a(e)?(r=i.call(e,"c"),l=i.call(e,"e"),u=i.call(e,"w")):l=!(r=u=!0),u={value:t,configurable:r,enumerable:l,writable:u},s?n(o(s),u):u}).gs=function(e,t,l){var s,u;return"string"!=typeof e?(u=l,l=t,t=e,e=null):u=arguments[3],a(t)?r(t)?a(l)?r(l)||(u=l,l=void 0):l=void 0:(u=t,t=l=void 0):t=void 0,e=a(e)?(s=i.call(e,"c"),i.call(e,"e")):!(s=!0),e={get:t,set:l,configurable:s,enumerable:e},u?n(o(u),e):e}})),Ce=e((function(e,t){"use strict";var a=Ae(),r=te(),o=Function.prototype.apply,i=Function.prototype.call,l=Object.create,s=Object.defineProperty,u=Object.defineProperties,c=Object.prototype.hasOwnProperty,d={configurable:!0,enumerable:!1,writable:!0},p=function(e,t){var a;return r(t),c.call(this,"__ee__")?a=this.__ee__:(a=d.value=l(null),s(this,"__ee__",d),d.value=null),a[e]?"object"===n(a[e])?a[e].push(t):a[e]=[a[e],t]:a[e]=t,this},f=function(e,t){var a,n;return r(t),n=this,p.call(this,e,a=function(){m.call(n,e,a),o.call(t,this,arguments)}),a.__eeOnceListener__=t,this},m=function(e,t){var a,o,i,l;if(r(t),!c.call(this,"__ee__"))return this;if(!(a=this.__ee__)[e])return this;if(o=a[e],"object"===n(o))for(l=0;i=o[l];++l)i!==t&&i.__eeOnceListener__!==t||(2===o.length?a[e]=o[l?0:1]:o.splice(l,1));else o!==t&&o.__eeOnceListener__!==t||delete a[e];return this},h=function(e){var t,a,r,l,s;if(c.call(this,"__ee__")&&(l=this.__ee__[e]))if("object"===n(l)){for(a=arguments.length,s=new Array(a-1),t=1;t<a;++t)s[t-1]=arguments[t];for(l=l.slice(),t=0;r=l[t];++t)o.call(r,this,s)}else switch(arguments.length){case 1:i.call(l,this);break;case 2:i.call(l,this,arguments[1]);break;case 3:i.call(l,this,arguments[1],arguments[2]);break;default:for(a=arguments.length,s=new Array(a-1),t=1;t<a;++t)s[t-1]=arguments[t];o.call(l,this,s)}},g={on:p,once:f,off:m,emit:h},b={on:a(p),once:a(f),off:a(m),emit:a(h)},y=u({},b);t.exports=e=function(e){return null==e?l(y):u(Object(e),b)},e.methods=g})),Fe=e((function(e,t){"use strict";t.exports=function(){var e,t=Array.from;return"function"==typeof t&&(t=t(e=["raz","dwa"]),Boolean(t&&t!==e&&"dwa"===t[1]))}})),ke=e((function(e,t){"use strict";t.exports=function(){return"object"===("undefined"==typeof globalThis?"undefined":n(globalThis))&&!!globalThis&&globalThis.Array===Array}})),Ne=e((function(e,a){function r(){if("object"===("undefined"==typeof self?"undefined":n(self))&&self)return self;if("object"===(void 0===t?"undefined":n(t))&&t)return t;throw new Error("Unable to resolve global `this`")}a.exports=function(){if(this)return this;try{Object.defineProperty(Object.prototype,"__global__",{get:function(){return this},configurable:!0})}catch(e){return r()}try{return __global__||r()}finally{delete Object.prototype.__global__}}()})),Re=e((function(e,t){"use strict";t.exports=ke()()?globalThis:Ne()})),Te=e((function(e,t){"use strict";var a=Re(),r={object:!0,symbol:!0};t.exports=function(){var e,t=a.Symbol;if("function"!=typeof t)return!1;e=t("test symbol");try{String(e)}catch(e){return!1}return!!r[n(t.iterator)]&&!!r[n(t.toPrimitive)]&&!!r[n(t.toStringTag)]}})),_e=e((function(e,t){"use strict";t.exports=function(e){return!!e&&("symbol"===n(e)||!!e.constructor&&"Symbol"===e.constructor.name&&"Symbol"===e[e.constructor.toStringTag])}})),Oe=e((function(e,t){"use strict";var a=_e();t.exports=function(e){if(!a(e))throw new TypeError(e+" is not a symbol");return e}})),Se=e((function(e,t){"use strict";var a=Ae(),r=Object.create,n=Object.defineProperty,o=Object.prototype,i=r(null);t.exports=function(e){for(var t,r,l=0;i[e+(l||"")];)++l;return i[e+=l||""]=!0,n(o,t="@@"+e,a.gs(null,(function(e){r||(r=!0,n(this,t,a(e)),r=!1)}))),t}})),Pe=e((function(e,t){"use strict";var a=Ae(),r=Re().Symbol;t.exports=function(e){return Object.defineProperties(e,{hasInstance:a("",r&&r.hasInstance||e("hasInstance")),isConcatSpreadable:a("",r&&r.isConcatSpreadable||e("isConcatSpreadable")),iterator:a("",r&&r.iterator||e("iterator")),match:a("",r&&r.match||e("match")),replace:a("",r&&r.replace||e("replace")),search:a("",r&&r.search||e("search")),species:a("",r&&r.species||e("species")),split:a("",r&&r.split||e("split")),toPrimitive:a("",r&&r.toPrimitive||e("toPrimitive")),toStringTag:a("",r&&r.toStringTag||e("toStringTag")),unscopables:a("",r&&r.unscopables||e("unscopables"))})}})),Ie=e((function(e,t){"use strict";var a=Ae(),r=Oe(),n=Object.create(null);t.exports=function(e){return Object.defineProperties(e,{for:a((function(t){return n[t]||(n[t]=e(String(t)))})),keyFor:a((function(e){for(var t in r(e),n)if(n[t]===e)return t}))})}})),Be=e((function(e,t){"use strict";var a,r,o,i=Ae(),l=Oe(),s=Re().Symbol,u=Se(),c=Pe(),d=Ie(),p=Object.create,f=Object.defineProperties,m=Object.defineProperty;if("function"==typeof s)try{String(s()),o=!0}catch(e){}else s=null;r=function(e){if(this instanceof r)throw new TypeError("Symbol is not a constructor");return a(e)},t.exports=a=function e(t){var a;if(this instanceof e)throw new TypeError("Symbol is not a constructor");return o?s(t):(a=p(r.prototype),t=void 0===t?"":String(t),f(a,{__description__:i("",t),__name__:i("",u(t))}))},c(a),d(a),f(r.prototype,{constructor:i(a),toString:i("",(function(){return this.__name__}))}),f(a.prototype,{toString:i((function(){return"Symbol ("+l(this).__description__+")"})),valueOf:i((function(){return l(this)}))}),m(a.prototype,a.toPrimitive,i("",(function(){var e=l(this);return"symbol"===n(e)?e:e.toString()}))),m(a.prototype,a.toStringTag,i("c","Symbol")),m(r.prototype,a.toStringTag,i("c",a.prototype[a.toStringTag])),m(r.prototype,a.toPrimitive,i("c",a.prototype[a.toPrimitive]))})),Me=e((function(e,t){"use strict";t.exports=Te()()?Re().Symbol:Be()})),Le=e((function(e,t){"use strict";var a=Object.prototype.toString,r=a.call(function(){return arguments}());t.exports=function(e){return a.call(e)===r}})),je=e((function(e,t){"use strict";var a=Object.prototype.toString,r=RegExp.prototype.test.bind(/^[object [A-Za-z0-9]*Function]$/);t.exports=function(e){return"function"==typeof e&&r(a.call(e))}})),qe=e((function(e,t){"use strict";var a=Object.prototype.toString,r=a.call("");t.exports=function(e){return"string"==typeof e||e&&"object"===n(e)&&(e instanceof String||a.call(e)===r)||!1}})),Ue=e((function(e,t){"use strict";var a=Me().iterator,r=Le(),n=je(),o=Z(),i=te(),l=ae(),s=G(),u=qe(),c=Array.isArray,d=Function.prototype.call,p={configurable:!0,enumerable:!0,writable:!0,value:null},f=Object.defineProperty;t.exports=function(e){var t,m,h,g,b,y,v,w,D,x,E=arguments[1],A=arguments[2];if(e=Object(l(e)),s(E)&&i(E),this&&this!==Array&&n(this))t=this;else{if(!E){if(r(e))return 1!==(b=e.length)?Array.apply(null,e):((g=new Array(1))[0]=e[0],g);if(c(e)){for(g=new Array(b=e.length),m=0;m<b;++m)g[m]=e[m];return g}}g=[]}if(!c(e))if(void 0!==(D=e[a])){for(v=i(D).call(e),t&&(g=new t),w=v.next(),m=0;!w.done;)x=E?d.call(E,A,w.value,m):w.value,t?(p.value=x,f(g,m,p)):g[m]=x,w=v.next(),++m;b=m}else if(u(e)){for(b=e.length,t&&(g=new t),h=m=0;m<b;++m)x=e[m],m+1<b&&55296<=(y=x.charCodeAt(0))&&y<=56319&&(x+=e[++m]),x=E?d.call(E,A,x,h):x,t?(p.value=x,f(g,h,p)):g[h]=x,++h;b=h}if(void 0===b)for(b=o(e.length),t&&(g=new t(b)),m=0;m<b;++m)x=E?d.call(E,A,e[m],m):e[m],t?(p.value=x,f(g,m,p)):g[m]=x;return t&&(p.value=null,g.length=b),g}})),Ve=e((function(e,t){"use strict";t.exports=Fe()()?Array.from:Ue()})),ze=e((function(e,t){"use strict";var a=Ve(),r=Array.isArray;t.exports=function(e){return r(e)?e:a(e)}})),He=e((function(e,t){"use strict";var a=ze(),r=G(),n=te(),o=Array.prototype.slice,i=function(e){return this.map((function(t,a){return t?t(e[a]):e[a]})).concat(o.call(e,this.length))};t.exports=function(e){return(e=a(e)).forEach((function(e){r(e)&&n(e)})),i.bind(e)}})),$e=e((function(e,t){"use strict";var a=te();t.exports=function(e){var t;return"function"==typeof e?{set:e,get:e}:(t={get:a(e.get)},void 0!==e.set?(t.set=a(e.set),e.delete&&(t.delete=a(e.delete)),e.clear&&(t.clear=a(e.clear))):t.set=t.get,t)}})),We=e((function(e,t){"use strict";var a=fe(),r=he(),n=Ae(),o=Ce().methods,i=He(),l=$e(),s=Function.prototype.apply,u=Function.prototype.call,c=Object.create,d=Object.defineProperties,p=o.on,f=o.emit;t.exports=function(e,t,o){var m,h,g,b,y,v,w,D,x,E,A,C=c(null),F=!1!==t?t:isNaN(e.length)?1:e.length;return o.normalizer&&(v=l(o.normalizer),h=v.get,g=v.set,b=v.delete,y=v.clear),null!=o.resolvers&&(A=i(o.resolvers)),E=h?r((function(t){var r,n,o=arguments;if(A&&(o=A(o)),null!==(r=h(o))&&hasOwnProperty.call(C,r))return w&&m.emit("get",r,o,this),C[r];if(n=1===o.length?u.call(e,this,o[0]):s.call(e,this,o),null===r){if(null!==(r=h(o)))throw a("Circular invocation","CIRCULAR_INVOCATION");r=g(o)}else if(hasOwnProperty.call(C,r))throw a("Circular invocation","CIRCULAR_INVOCATION");return C[r]=n,D&&m.emit("set",r,null,n),n}),F):0===t?function(){var t;if(hasOwnProperty.call(C,"data"))return w&&m.emit("get","data",arguments,this),C.data;if(t=arguments.length?s.call(e,this,arguments):u.call(e,this),hasOwnProperty.call(C,"data"))throw a("Circular invocation","CIRCULAR_INVOCATION");return C.data=t,D&&m.emit("set","data",null,t),t}:function(t){var r,n=arguments;if(A&&(n=A(arguments)),r=String(n[0]),hasOwnProperty.call(C,r))return w&&m.emit("get",r,n,this),C[r];if(n=1===n.length?u.call(e,this,n[0]):s.call(e,this,n),hasOwnProperty.call(C,r))throw a("Circular invocation","CIRCULAR_INVOCATION");return C[r]=n,D&&m.emit("set",r,null,n),n},m={original:e,memoized:E,profileName:o.profileName,get:function(e){return A&&(e=A(e)),h?h(e):String(e[0])},has:function(e){return hasOwnProperty.call(C,e)},delete:function(e){var t;hasOwnProperty.call(C,e)&&(b&&b(e),t=C[e],delete C[e],x&&m.emit("delete",e,t))},clear:function(){var e=C;y&&y(),C=c(null),m.emit("clear",e)},on:function(e,t){return"get"===e?w=!0:"set"===e?D=!0:"delete"===e&&(x=!0),p.call(this,e,t)},emit:f,updateEnv:function(){e=m.original}},v=h?r((function(e){var t=arguments;A&&(t=A(t)),null!==(t=h(t))&&m.delete(t)}),F):0===t?function(){return m.delete("data")}:function(e){return A&&(e=A(arguments)[0]),m.delete(e)},o=r((function(){var e=arguments;return 0===t?C.data:(A&&(e=A(e)),e=h?h(e):String(e[0]),C[e])})),F=r((function(){var e=arguments;return 0===t?m.has("data"):(A&&(e=A(e)),null!==(e=h?h(e):String(e[0]))&&m.has(e))})),d(E,{__memoized__:n(!0),delete:n(v),clear:n(m.clear),_get:n(o),_has:n(F)}),m}})),Ge=e((function(e,t){"use strict";var a=te(),r=ne(),n=oe(),o=We(),i=ee();t.exports=function e(t){var l,s,u;if(a(t),(l=Object(arguments[1])).async&&l.promise)throw new Error("Options \'async\' and \'promise\' cannot be used together");return hasOwnProperty.call(t,"__memoized__")&&!l.force?t:(s=i(l.length,t.length,l.async&&n.async),u=o(t,s,l),r(n,(function(e,t){l[t]&&e(l[t],u,l)})),e.__profiler__&&e.__profiler__(u),u.updateEnv(),u.memoized)}})),Ye=e((function(e,t){"use strict";t.exports=function(e){var t,a,r=e.length;if(!r)return"";for(t=String(e[a=0]);--r;)t+=""+e[++a];return t}})),Ke=e((function(e,t){"use strict";t.exports=function(e){return e?function(t){for(var a=String(t[0]),r=0,n=e;--n;)a+=""+t[++r];return a}:function(){return""}}})),Xe=e((function(e,t){"use strict";t.exports=function(){var e=Number.isNaN;return"function"==typeof e&&!e({})&&e(NaN)&&!e(34)}})),Je=e((function(e,t){"use strict";t.exports=function(e){return e!=e}})),Qe=e((function(e,t){"use strict";t.exports=Xe()()?Number.isNaN:Je()})),Ze=e((function(e,t){"use strict";var a=Qe(),r=Z(),n=ae(),o=Array.prototype.indexOf,i=Object.prototype.hasOwnProperty,l=Math.abs,s=Math.floor;t.exports=function(e){var t,u,c;if(!a(e))return o.apply(this,arguments);for(u=r(n(this).length),e=arguments[1],t=e=isNaN(e)?0:0<=e?s(e):r(this.length)-s(l(e));t<u;++t)if(i.call(this,t)&&(c=this[t],a(c)))return t;return-1}})),et=e((function(e,t){"use strict";var a=Ze(),r=Object.create;t.exports=function(){var e=0,t=[],n=r(null);return{get:function(e){var r,n=0,o=t,i=e.length;if(0===i)return o[i]||null;if(o=o[i]){for(;n<i-1;){if(-1===(r=a.call(o[0],e[n])))return null;o=o[1][r],++n}return-1===(r=a.call(o[0],e[n]))?null:o[1][r]||null}return null},set:function(r){var o,i=0,l=t,s=r.length;if(0===s)l[s]=++e;else{for(l[s]||(l[s]=[[],[]]),l=l[s];i<s-1;)-1===(o=a.call(l[0],r[i]))&&(o=l[0].push(r[i])-1,l[1].push([[],[]])),l=l[1][o],++i;-1===(o=a.call(l[0],r[i]))&&(o=l[0].push(r[i])-1),l[1][o]=++e}return n[e]=r,e},delete:function(e){var r,o=0,i=t,l=n[e],s=l.length,u=[];if(0===s)delete i[s];else if(i=i[s]){for(;o<s-1;){if(-1===(r=a.call(i[0],l[o])))return;u.push(i,r),i=i[1][r],++o}if(-1===(r=a.call(i[0],l[o])))return;for(e=i[1][r],i[0].splice(r,1),i[1].splice(r,1);!i[0].length&&u.length;)r=u.pop(),(i=u.pop())[0].splice(r,1),i[1].splice(r,1)}delete n[e]},clear:function(){t=[],n=r(null)}}}})),tt=e((function(e,t){"use strict";var a=Ze();t.exports=function(){var e=0,t=[],r=[];return{get:function(e){return-1===(e=a.call(t,e[0]))?null:r[e]},set:function(a){return t.push(a[0]),r.push(++e),e},delete:function(e){-1!==(e=a.call(r,e))&&(t.splice(e,1),r.splice(e,1))},clear:function(){t=[],r=[]}}}})),at=e((function(e,t){"use strict";var a=Ze(),r=Object.create;t.exports=function(e){var t=0,n=[[],[]],o=r(null);return{get:function(t){for(var r,o=0,i=n;o<e-1;){if(-1===(r=a.call(i[0],t[o])))return null;i=i[1][r],++o}return-1!==(r=a.call(i[0],t[o]))&&i[1][r]||null},set:function(r){for(var i,l=0,s=n;l<e-1;)-1===(i=a.call(s[0],r[l]))&&(i=s[0].push(r[l])-1,s[1].push([[],[]])),s=s[1][i],++l;return-1===(i=a.call(s[0],r[l]))&&(i=s[0].push(r[l])-1),s[1][i]=++t,o[t]=r,t},delete:function(t){for(var r,i=0,l=n,s=[],u=o[t];i<e-1;){if(-1===(r=a.call(l[0],u[i])))return;s.push(l,r),l=l[1][r],++i}if(-1!==(r=a.call(l[0],u[i]))){for(t=l[1][r],l[0].splice(r,1),l[1].splice(r,1);!l[0].length&&s.length;)r=s.pop(),(l=s.pop())[0].splice(r,1),l[1].splice(r,1);delete o[t]}},clear:function(){n=[[],[]],o=r(null)}}}})),rt=e((function(e,t){"use strict";var a=te(),r=ne(),n=Function.prototype.call;t.exports=function(e,t){var o={},i=arguments[2];return a(t),r(e,(function(e,a,r,l){o[a]=n.call(t,i,e,a,r,l)})),o}})),nt=e((function(e,t){"use strict";function a(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}function o(e){var t,n,o=r.createTextNode(""),i=0;return new e((function(){var e;if(t)n&&(t=n.concat(t));else{if(!n)return;t=n}if(n=t,t=null,"function"==typeof n)return e=n,n=null,void e();for(o.data=i=++i%2;n;)e=n.shift(),n.length||(n=null),e()})).observe(o,{characterData:!0}),function(e){a(e),t?"function"==typeof t?t=[t,e]:t.push(e):(t=e,o.data=i=++i%2)}}t.exports=function(){if("object"===("undefined"==typeof process?"undefined":n(process))&&process&&"function"==typeof process.nextTick)return process.nextTick;if("function"==typeof queueMicrotask)return function(e){queueMicrotask(a(e))};if("object"===(void 0===r?"undefined":n(r))&&r){if("function"==typeof MutationObserver)return o(MutationObserver);if("function"==typeof WebKitMutationObserver)return o(WebKitMutationObserver)}return"function"==typeof setImmediate?function(e){setImmediate(a(e))}:"function"==typeof setTimeout||"object"===("undefined"==typeof setTimeout?"undefined":n(setTimeout))?function(e){setTimeout(a(e),0)}:null}()})),ot=e((function(){"use strict";var e=Ve(),t=rt(),a=me(),r=he(),n=nt(),o=Array.prototype.slice,i=Function.prototype.apply,l=Object.create;oe().async=function(s,u){var c,d,p,f=l(null),m=l(null),h=u.memoized,g=u.original;u.memoized=r((function(e){var t=arguments,a=t[t.length-1];return"function"==typeof a&&(c=a,t=o.call(t,0,-1)),h.apply(d=this,p=t)}),h);try{a(u.memoized,h)}catch(s){}u.on("get",(function(e){var t,a,r;if(c){if(f[e])return"function"==typeof f[e]?f[e]=[f[e],c]:f[e].push(c),void(c=null);t=c,a=d,r=p,c=d=p=null,n((function(){var n;hasOwnProperty.call(m,e)?(n=m[e],u.emit("getasync",e,r,a),i.call(t,n.context,n.args)):(c=t,d=a,p=r,h.apply(a,r))}))}})),u.original=function(){var t,a,r,o;return c?(t=e(arguments),r=c,c=d=p=null,t.push(a=function t(a){var r,l,s=t.id;if(null!=s){if(delete t.id,r=f[s],delete f[s],r)return l=e(arguments),u.has(s)&&(a?u.delete(s):(m[s]={context:this,args:l},u.emit("setasync",s,"function"==typeof r?1:r.length))),"function"==typeof r?o=i.call(r,this,l):r.forEach((function(e){o=i.call(e,this,l)}),this),o}else n(i.bind(t,this,arguments))}),o=i.call(g,this,t),a.cb=r,c=a,o):i.call(g,this,arguments)},u.on("set",(function(e){c?(f[e]?"function"==typeof f[e]?f[e]=[f[e],c.cb]:f[e].push(c.cb):f[e]=c.cb,delete c.cb,c.id=e,c=null):u.delete(e)})),u.on("delete",(function(e){var t;hasOwnProperty.call(f,e)||m[e]&&(t=m[e],delete m[e],u.emit("deleteasync",e,o.call(t.args,1)))})),u.on("clear",(function(){var e=m;m=l(null),u.emit("clearasync",t(e,(function(e){return o.call(e.args,1)})))}))}})),it=e((function(e,t){"use strict";var a=Array.prototype.forEach,r=Object.create;t.exports=function(e){var t=r(null);return a.call(arguments,(function(e){t[e]=!0})),t}})),lt=e((function(e,t){"use strict";t.exports=function(e){return"function"==typeof e}})),st=e((function(e,t){"use strict";var a=lt();t.exports=function(e){try{return e&&a(e.toString)?e.toString():String(e)}catch(e){throw new TypeError("Passed argument cannot be stringifed")}}})),ut=e((function(e,t){"use strict";var a=ae(),r=st();t.exports=function(e){return r(a(e))}})),ct=e((function(e,t){"use strict";var a=lt();t.exports=function(e){try{return e&&a(e.toString)?e.toString():String(e)}catch(e){return"<Non-coercible to string value>"}}})),dt=e((function(e,t){"use strict";var a=ct(),r=/[\\n\\r\\u2028\\u2029]/g;t.exports=function(e){return(e=100<(e=a(e)).length?e.slice(0,99)+"…":e).replace(r,(function(e){return JSON.stringify(e).slice(1,-1)}))}})),pt=e((function(e,t){function a(e){return!!e&&("object"===n(e)||"function"==typeof e)&&"function"==typeof e.then}t.exports=a,t.exports.default=a})),ft=e((function(){"use strict";var e=rt(),t=it(),a=ut(),r=dt(),n=pt(),o=nt(),i=Object.create,l=t("then","then:finally","done","done:finally");oe().promise=function(t,s){var u=i(null),c=i(null),d=i(null);if(!0===t)t=null;else if(t=a(t),!l[t])throw new TypeError("\'"+r(t)+"\' is not valid promise mode");s.on("set",(function(e,a,r){var i=!1;if(!n(r))return c[e]=r,void s.emit("setasync",e,1);function l(t){var a=u[e];if(i)throw new Error("Memoizee error: Detected unordered then|done & finally resolution, which in turn makes proper detection of success/failure impossible (when in \'done:finally\' mode)\\nConsider to rely on \'then\' or \'done\' mode instead.");a&&(delete u[e],c[e]=t,s.emit("setasync",e,a))}function p(){i=!0,u[e]&&(delete u[e],delete d[e],s.delete(e))}u[e]=1,d[e]=r;var f=t;if("then"===(f=f||"then")){var m=function(){o(p)};"function"==typeof(r=r.then((function(e){o(l.bind(this,e))}),m)).finally&&r.finally(m)}else if("done"===f){if("function"!=typeof r.done)throw new Error("Memoizee error: Retrieved promise does not implement \'done\' in \'done\' mode");r.done(l,p)}else if("done:finally"===f){if("function"!=typeof r.done)throw new Error("Memoizee error: Retrieved promise does not implement \'done\' in \'done:finally\' mode");if("function"!=typeof r.finally)throw new Error("Memoizee error: Retrieved promise does not implement \'finally\' in \'done:finally\' mode");r.done(l),r.finally(p)}})),s.on("get",(function(e,t,a){var r,i;u[e]?++u[e]:(r=d[e],i=function(){s.emit("getasync",e,t,a)},n(r)?"function"==typeof r.done?r.done(i):r.then((function(){o(i)})):i())})),s.on("delete",(function(e){var t;delete d[e],u[e]?delete u[e]:hasOwnProperty.call(c,e)&&(t=c[e],delete c[e],s.emit("deleteasync",e,[t]))})),s.on("clear",(function(){var t=c;c=i(null),u=i(null),d=i(null),s.emit("clearasync",e(t,(function(e){return[e]})))}))}})),mt=e((function(){"use strict";var e=te(),t=ne(),a=oe(),r=Function.prototype.apply;a.dispose=function(n,o,i){var l;if(e(n),i.async&&a.async||i.promise&&a.promise)return o.on("deleteasync",l=function(e,t){r.call(n,null,t)}),void o.on("clearasync",(function(e){t(e,(function(e,t){l(t,e)}))}));o.on("delete",l=function(e,t){n(t)}),o.on("clear",(function(e){t(e,(function(e,t){l(t,e)}))}))}})),ht=e((function(e,t){"use strict";t.exports=2147483647})),gt=e((function(e,t){"use strict";var a=Z(),r=ht();t.exports=function(e){if(e=a(e),r<e)throw new TypeError(e+" exceeds maximum possible timeout");return e}})),bt=e((function(){"use strict";var e=Ve(),t=ne(),a=nt(),r=pt(),n=gt(),o=oe(),i=Function.prototype,l=Math.max,s=Math.min,u=Object.create;o.maxAge=function(c,d,p){var f,m,h,g;(c=n(c))&&(f=u(null),m=p.async&&o.async||p.promise&&o.promise?"async":"",d.on("set"+m,(function(e){f[e]=setTimeout((function(){d.delete(e)}),c),"function"==typeof f[e].unref&&f[e].unref(),g&&(g[e]&&"nextTick"!==g[e]&&clearTimeout(g[e]),g[e]=setTimeout((function(){delete g[e]}),h),"function"==typeof g[e].unref&&g[e].unref())})),d.on("delete"+m,(function(e){clearTimeout(f[e]),delete f[e],g&&("nextTick"!==g[e]&&clearTimeout(g[e]),delete g[e])})),p.preFetch&&(h=!0===p.preFetch||isNaN(p.preFetch)?.333:l(s(Number(p.preFetch),1),0))&&(g={},h=(1-h)*c,d.on("get"+m,(function(t,n,o){g[t]||(g[t]="nextTick",a((function(){var a;"nextTick"===g[t]&&(delete g[t],d.delete(t),p.async&&(n=e(n)).push(i),a=d.memoized.apply(o,n),p.promise&&r(a)&&("function"==typeof a.done?a.done(i,i):a.then(i,i)))})))}))),d.on("clear"+m,(function(){t(f,(function(e){clearTimeout(e)})),f={},g&&(t(g,(function(e){"nextTick"!==e&&clearTimeout(e)})),g={})})))}})),yt=e((function(e,t){"use strict";var a=Z(),r=Object.create,n=Object.prototype.hasOwnProperty;t.exports=function(e){var t,o=0,i=1,l=r(null),s=r(null),u=0;return e=a(e),{hit:function(a){var r=s[a],c=++u;if(l[c]=a,s[a]=c,!r)return++o<=e?void 0:(a=l[i],t(a),a);if(delete l[r],i===r)for(;!n.call(l,++i););},delete:t=function(e){var t=s[e];if(t&&(delete l[t],delete s[e],--o,i===t)){if(!o)return u=0,void(i=1);for(;!n.call(l,++i););}},clear:function(){o=0,i=1,l=r(null),s=r(null),u=0}}}})),vt=e((function(){"use strict";var e=Z(),t=yt(),a=oe();a.max=function(r,n,o){var i;(r=e(r))&&(i=t(r),r=o.async&&a.async||o.promise&&a.promise?"async":"",n.on("set"+r,o=function(e){void 0!==(e=i.hit(e))&&n.delete(e)}),n.on("get"+r,o),n.on("delete"+r,i.delete),n.on("clear"+r,i.clear))}})),wt=e((function(){"use strict";var e=Ae(),t=oe(),a=Object.create,r=Object.defineProperties;t.refCounter=function(n,o,i){var l=a(null);i=i.async&&t.async||i.promise&&t.promise?"async":"";o.on("set"+i,(function(e,t){l[e]=t||1})),o.on("get"+i,(function(e){++l[e]})),o.on("delete"+i,(function(e){delete l[e]})),o.on("clear"+i,(function(){l={}})),r(o.memoized,{deleteRef:e((function(){var e=o.get(arguments);return null!==e&&l[e]?!--l[e]&&(o.delete(e),!0):null})),getRefCount:e((function(){var e=o.get(arguments);return null!==e&&l[e]||0}))})}})),Dt=e((function(e,t){"use strict";var a=Y(),r=ee(),n=Ge();t.exports=function(e){var t,o=a(arguments[1]);return o.normalizer||0!==(t=o.length=r(o.length,e.length,o.async))&&(o.primitive?!1===t?o.normalizer=Ye():1<t&&(o.normalizer=Ke()(t)):o.normalizer=!1===t?et()():1===t?tt()():at()(t)),o.async&&ot(),o.promise&&ft(),o.dispose&&mt(),o.maxAge&&bt(),o.max&&vt(),o.refCounter&&wt(),n(e,o)}})),xt=e((function(e,t){"use strict";t.exports=function(){return/\\uD83C\\uDFF4\\uDB40\\uDC67\\uDB40\\uDC62(?:\\uDB40\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDB40\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDB40\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F|\\uD83D\\uDC68(?:\\uD83C\\uDFFC\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C\\uDFFB|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFF\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB-\\uDFFE])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFE\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB-\\uDFFD])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFD\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB\\uDFFC])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\u200D(?:\\u2764\\uFE0F\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83D\\uDC68|(?:\\uD83D[\\uDC68\\uDC69])\\u200D(?:\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67]))|\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67])|(?:\\uD83D[\\uDC68\\uDC69])\\u200D(?:\\uD83D[\\uDC66\\uDC67])|[\\u2695\\u2696\\u2708]\\uFE0F|\\uD83D[\\uDC66\\uDC67]|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|(?:\\uD83C\\uDFFB\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFF\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFE\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFD\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFC\\u200D[\\u2695\\u2696\\u2708])\\uFE0F|\\uD83C\\uDFFB\\u200D(?:\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C[\\uDFFB-\\uDFFF])|(?:\\uD83E\\uDDD1\\uD83C\\uDFFB\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFC\\u200D\\uD83E\\uDD1D\\u200D\\uD83D\\uDC69)\\uD83C\\uDFFB|\\uD83E\\uDDD1(?:\\uD83C\\uDFFF\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1(?:\\uD83C[\\uDFFB-\\uDFFF])|\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1)|(?:\\uD83E\\uDDD1\\uD83C\\uDFFE\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFF\\u200D\\uD83E\\uDD1D\\u200D(?:\\uD83D[\\uDC68\\uDC69]))(?:\\uD83C[\\uDFFB-\\uDFFE])|(?:\\uD83E\\uDDD1\\uD83C\\uDFFC\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFD\\u200D\\uD83E\\uDD1D\\u200D\\uD83D\\uDC69)(?:\\uD83C[\\uDFFB\\uDFFC])|\\uD83D\\uDC69(?:\\uD83C\\uDFFE\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFC\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFB\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFC-\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFD\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\u200D(?:\\u2764\\uFE0F\\u200D(?:\\uD83D\\uDC8B\\u200D(?:\\uD83D[\\uDC68\\uDC69])|\\uD83D[\\uDC68\\uDC69])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFF\\u200D(?:\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]))|\\uD83D\\uDC69\\u200D\\uD83D\\uDC69\\u200D(?:\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67]))|(?:\\uD83E\\uDDD1\\uD83C\\uDFFD\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFE\\u200D\\uD83E\\uDD1D\\u200D\\uD83D\\uDC69)(?:\\uD83C[\\uDFFB-\\uDFFD])|\\uD83D\\uDC69\\u200D\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC69\\u200D\\uD83D\\uDC69\\u200D(?:\\uD83D[\\uDC66\\uDC67])|(?:\\uD83D\\uDC41\\uFE0F\\u200D\\uD83D\\uDDE8|\\uD83D\\uDC69(?:\\uD83C\\uDFFF\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFE\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFC\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFB\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFD\\u200D[\\u2695\\u2696\\u2708]|\\u200D[\\u2695\\u2696\\u2708])|(?:(?:\\u26F9|\\uD83C[\\uDFCB\\uDFCC]|\\uD83D\\uDD75)\\uFE0F|\\uD83D\\uDC6F|\\uD83E[\\uDD3C\\uDDDE\\uDDDF])\\u200D[\\u2640\\u2642]|(?:\\u26F9|\\uD83C[\\uDFCB\\uDFCC]|\\uD83D\\uDD75)(?:\\uD83C[\\uDFFB-\\uDFFF])\\u200D[\\u2640\\u2642]|(?:\\uD83C[\\uDFC3\\uDFC4\\uDFCA]|\\uD83D[\\uDC6E\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4-\\uDEB6]|\\uD83E[\\uDD26\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD-\\uDDCF\\uDDD6-\\uDDDD])(?:(?:\\uD83C[\\uDFFB-\\uDFFF])\\u200D[\\u2640\\u2642]|\\u200D[\\u2640\\u2642])|\\uD83C\\uDFF4\\u200D\\u2620)\\uFE0F|\\uD83D\\uDC69\\u200D\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67])|\\uD83C\\uDFF3\\uFE0F\\u200D\\uD83C\\uDF08|\\uD83D\\uDC15\\u200D\\uD83E\\uDDBA|\\uD83D\\uDC69\\u200D\\uD83D\\uDC66|\\uD83D\\uDC69\\u200D\\uD83D\\uDC67|\\uD83C\\uDDFD\\uD83C\\uDDF0|\\uD83C\\uDDF4\\uD83C\\uDDF2|\\uD83C\\uDDF6\\uD83C\\uDDE6|[#\\*0-9]\\uFE0F\\u20E3|\\uD83C\\uDDE7(?:\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF])|\\uD83C\\uDDF9(?:\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF])|\\uD83C\\uDDEA(?:\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA])|\\uD83E\\uDDD1(?:\\uD83C[\\uDFFB-\\uDFFF])|\\uD83C\\uDDF7(?:\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC])|\\uD83D\\uDC69(?:\\uD83C[\\uDFFB-\\uDFFF])|\\uD83C\\uDDF2(?:\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF])|\\uD83C\\uDDE6(?:\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF])|\\uD83C\\uDDF0(?:\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF])|\\uD83C\\uDDED(?:\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA])|\\uD83C\\uDDE9(?:\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF])|\\uD83C\\uDDFE(?:\\uD83C[\\uDDEA\\uDDF9])|\\uD83C\\uDDEC(?:\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE])|\\uD83C\\uDDF8(?:\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF])|\\uD83C\\uDDEB(?:\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7])|\\uD83C\\uDDF5(?:\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE])|\\uD83C\\uDDFB(?:\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA])|\\uD83C\\uDDF3(?:\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF])|\\uD83C\\uDDE8(?:\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA-\\uDDFF])|\\uD83C\\uDDF1(?:\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE])|\\uD83C\\uDDFF(?:\\uD83C[\\uDDE6\\uDDF2\\uDDFC])|\\uD83C\\uDDFC(?:\\uD83C[\\uDDEB\\uDDF8])|\\uD83C\\uDDFA(?:\\uD83C[\\uDDE6\\uDDEC\\uDDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF])|\\uD83C\\uDDEE(?:\\uD83C[\\uDDE8-\\uDDEA\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9])|\\uD83C\\uDDEF(?:\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5])|(?:\\uD83C[\\uDFC3\\uDFC4\\uDFCA]|\\uD83D[\\uDC6E\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4-\\uDEB6]|\\uD83E[\\uDD26\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD-\\uDDCF\\uDDD6-\\uDDDD])(?:\\uD83C[\\uDFFB-\\uDFFF])|(?:\\u26F9|\\uD83C[\\uDFCB\\uDFCC]|\\uD83D\\uDD75)(?:\\uD83C[\\uDFFB-\\uDFFF])|(?:[\\u261D\\u270A-\\u270D]|\\uD83C[\\uDF85\\uDFC2\\uDFC7]|\\uD83D[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC70\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDCAA\\uDD74\\uDD7A\\uDD90\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC]|\\uD83E[\\uDD0F\\uDD18-\\uDD1C\\uDD1E\\uDD1F\\uDD30-\\uDD36\\uDDB5\\uDDB6\\uDDBB\\uDDD2-\\uDDD5])(?:\\uD83C[\\uDFFB-\\uDFFF])|(?:[\\u231A\\u231B\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u25FE\\u2614\\u2615\\u2648-\\u2653\\u267F\\u2693\\u26A1\\u26AA\\u26AB\\u26BD\\u26BE\\u26C4\\u26C5\\u26CE\\u26D4\\u26EA\\u26F2\\u26F3\\u26F5\\u26FA\\u26FD\\u2705\\u270A\\u270B\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2757\\u2795-\\u2797\\u27B0\\u27BF\\u2B1B\\u2B1C\\u2B50\\u2B55]|\\uD83C[\\uDC04\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDDE6-\\uDDFF\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF7C\\uDF7E-\\uDF93\\uDFA0-\\uDFCA\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF4\\uDFF8-\\uDFFF]|\\uD83D[\\uDC00-\\uDC3E\\uDC40\\uDC42-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDD7A\\uDD95\\uDD96\\uDDA4\\uDDFB-\\uDE4F\\uDE80-\\uDEC5\\uDECC\\uDED0-\\uDED2\\uDED5\\uDEEB\\uDEEC\\uDEF4-\\uDEFA\\uDFE0-\\uDFEB]|\\uD83E[\\uDD0D-\\uDD3A\\uDD3C-\\uDD45\\uDD47-\\uDD71\\uDD73-\\uDD76\\uDD7A-\\uDDA2\\uDDA5-\\uDDAA\\uDDAE-\\uDDCA\\uDDCD-\\uDDFF\\uDE70-\\uDE73\\uDE78-\\uDE7A\\uDE80-\\uDE82\\uDE90-\\uDE95])|(?:[#\\*0-9\\xA9\\xAE\\u203C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23E9-\\u23F3\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB-\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u261D\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u262F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A1\\u26AA\\u26AB\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C5\\u26C8\\u26CE\\u26CF\\u26D1\\u26D3\\u26D4\\u26E9\\u26EA\\u26F0-\\u26F5\\u26F7-\\u26FA\\u26FD\\u2702\\u2705\\u2708-\\u270D\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2728\\u2733\\u2734\\u2744\\u2747\\u274C\\u274E\\u2753-\\u2755\\u2757\\u2763\\u2764\\u2795-\\u2797\\u27A1\\u27B0\\u27BF\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B50\\u2B55\\u3030\\u303D\\u3297\\u3299]|\\uD83C[\\uDC04\\uDCCF\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDD8E\\uDD91-\\uDD9A\\uDDE6-\\uDDFF\\uDE01\\uDE02\\uDE1A\\uDE2F\\uDE32-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF21\\uDF24-\\uDF93\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E-\\uDFF0\\uDFF3-\\uDFF5\\uDFF7-\\uDFFF]|\\uD83D[\\uDC00-\\uDCFD\\uDCFF-\\uDD3D\\uDD49-\\uDD4E\\uDD50-\\uDD67\\uDD6F\\uDD70\\uDD73-\\uDD7A\\uDD87\\uDD8A-\\uDD8D\\uDD90\\uDD95\\uDD96\\uDDA4\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA-\\uDE4F\\uDE80-\\uDEC5\\uDECB-\\uDED2\\uDED5\\uDEE0-\\uDEE5\\uDEE9\\uDEEB\\uDEEC\\uDEF0\\uDEF3-\\uDEFA\\uDFE0-\\uDFEB]|\\uD83E[\\uDD0D-\\uDD3A\\uDD3C-\\uDD45\\uDD47-\\uDD71\\uDD73-\\uDD76\\uDD7A-\\uDDA2\\uDDA5-\\uDDAA\\uDDAE-\\uDDCA\\uDDCD-\\uDDFF\\uDE70-\\uDE73\\uDE78-\\uDE7A\\uDE80-\\uDE82\\uDE90-\\uDE95])\\uFE0F|(?:[\\u261D\\u26F9\\u270A-\\u270D]|\\uD83C[\\uDF85\\uDFC2-\\uDFC4\\uDFC7\\uDFCA-\\uDFCC]|\\uD83D[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66-\\uDC78\\uDC7C\\uDC81-\\uDC83\\uDC85-\\uDC87\\uDC8F\\uDC91\\uDCAA\\uDD74\\uDD75\\uDD7A\\uDD90\\uDD95\\uDD96\\uDE45-\\uDE47\\uDE4B-\\uDE4F\\uDEA3\\uDEB4-\\uDEB6\\uDEC0\\uDECC]|\\uD83E[\\uDD0F\\uDD18-\\uDD1F\\uDD26\\uDD30-\\uDD39\\uDD3C-\\uDD3E\\uDDB5\\uDDB6\\uDDB8\\uDDB9\\uDDBB\\uDDCD-\\uDDCF\\uDDD1-\\uDDDD])/g}})),Et=e((function(e,r){!function(){"use strict";var e={name:"doT",version:"1.1.1",templateSettings:{evaluate:/\\{\\{([\\s\\S]+?(\\}?)+)\\}\\}/g,interpolate:/\\{\\{=([\\s\\S]+?)\\}\\}/g,encode:/\\{\\{!([\\s\\S]+?)\\}\\}/g,use:/\\{\\{#([\\s\\S]+?)\\}\\}/g,useParams:/(^|[^\\w$])def(?:\\.|\\[[\\\'\\"])([\\w$\\.]+)(?:[\\\'\\"]\\])?\\s*\\:\\s*([\\w$\\.]+|\\"[^\\"]+\\"|\\\'[^\\\']+\\\'|\\{[^\\}]+\\})/g,define:/\\{\\{##\\s*([\\w\\.$]+)\\s*(\\:|=)([\\s\\S]+?)#\\}\\}/g,defineParams:/^\\s*([\\w$]+):([\\s\\S]+)/,conditional:/\\{\\{\\?(\\?)?\\s*([\\s\\S]*?)\\s*\\}\\}/g,iterate:/\\{\\{~\\s*(?:\\}\\}|([\\s\\S]+?)\\s*\\:\\s*([\\w$]+)\\s*(?:\\:\\s*([\\w$]+))?\\s*\\}\\})/g,varname:"it",strip:!0,append:!0,selfcontained:!1,doNotSkipEncoded:!1},template:void 0,compile:void 0,log:!0};!function(){if("object"!==("undefined"==typeof globalThis?"undefined":n(globalThis)))try{Object.defineProperty(Object.prototype,"__magic__",{get:function(){return this},configurable:!0}),__magic__.globalThis=__magic__,delete Object.prototype.__magic__}catch(e){t.globalThis=function(){if("undefined"!=typeof self)return self;if(void 0!==t)return t;if(void 0!==a)return a;if(void 0!==this)return this;throw new Error("Unable to locate global `this`")}()}}(),e.encodeHTMLSource=function(e){var t={"&":"&#38;","<":"&#60;",">":"&#62;",\'"\':"&#34;","\'":"&#39;","/":"&#47;"},a=e?/[&<>"\'\\/]/g:/&(?!#?\\w+;)|<|>|"|\'|\\//g;return function(e){return e?e.toString().replace(a,(function(e){return t[e]||e})):""}},void 0!==r&&r.exports?r.exports=e:"function"==typeof define&&define.amd?define((function(){return e})):globalThis.doT=e;var o={append:{start:"\'+(",end:")+\'",startencode:"\'+encodeHTML("},split:{start:"\';out+=(",end:");out+=\'",startencode:"\';out+=encodeHTML("}},i=/$^/;function l(e){return e.replace(/\\\\(\'|\\\\)/g,"$1").replace(/[\\r\\t\\n]/g," ")}e.template=function(t,a,r){var n,s,u=(a=a||e.templateSettings).append?o.append:o.split,c=0;t=a.use||a.define?function e(t,a,r){return("string"==typeof a?a:a.toString()).replace(t.define||i,(function(e,a,n,o){return(a=0===a.indexOf("def.")?a.substring(4):a)in r||(":"===n?(t.defineParams&&o.replace(t.defineParams,(function(e,t,n){r[a]={arg:t,text:n}})),a in r||(r[a]=o)):new Function("def","def[\'"+a+"\']="+o)(r)),""})).replace(t.use||i,(function(a,n){return t.useParams&&(n=n.replace(t.useParams,(function(e,t,a,n){if(r[a]&&r[a].arg&&n){var o=(a+":"+n).replace(/\'|\\\\/g,"_");return r.__exp=r.__exp||{},r.__exp[o]=r[a].text.replace(new RegExp("(^|[^\\\\w$])"+r[a].arg+"([^\\\\w$])","g"),"$1"+n+"$2"),t+"def.__exp[\'"+o+"\']"}}))),(n=new Function("def","return "+n)(r))&&e(t,n,r)}))}(a,t,r||{}):t,t=("var out=\'"+(a.strip?t.replace(/(^|\\r|\\n)\\t* +| +\\t*(\\r|\\n|$)/g," ").replace(/\\r|\\n|\\t|\\/\\*[\\s\\S]*?\\*\\//g,""):t).replace(/\'|\\\\/g,"\\\\$&").replace(a.interpolate||i,(function(e,t){return u.start+l(t)+u.end})).replace(a.encode||i,(function(e,t){return n=!0,u.startencode+l(t)+u.end})).replace(a.conditional||i,(function(e,t,a){return t?a?"\';}else if("+l(a)+"){out+=\'":"\';}else{out+=\'":a?"\';if("+l(a)+"){out+=\'":"\';}out+=\'"})).replace(a.iterate||i,(function(e,t,a,r){return t?(c+=1,s=r||"i"+c,t=l(t),"\';var arr"+c+"="+t+";if(arr"+c+"){var "+a+","+s+"=-1,l"+c+"=arr"+c+".length-1;while("+s+"<l"+c+"){"+a+"=arr"+c+"["+s+"+=1];out+=\'"):"\';} } out+=\'"})).replace(a.evaluate||i,(function(e,t){return"\';"+l(t)+"out+=\'"}))+"\';return out;").replace(/\\n/g,"\\\\n").replace(/\\t/g,"\\\\t").replace(/\\r/g,"\\\\r").replace(/(\\s|;|\\}|^|\\{)out\\+=\'\';/g,"$1").replace(/\\+\'\'/g,"");n&&(a.selfcontained||!globalThis||globalThis._encodeHTML||(globalThis._encodeHTML=e.encodeHTMLSource(a.doNotSkipEncoded)),t="var encodeHTML = typeof _encodeHTML !== \'undefined\' ? _encodeHTML : ("+e.encodeHTMLSource.toString()+"("+(a.doNotSkipEncoded||"")+"));"+t);try{return new Function(a.varname,t)}catch(a){throw"undefined"!=typeof console&&console.log("Could not create a template function: "+t),a}},e.compile=function(t,a){return e.template(t,null,a)}}()})),At=e((function(e,o){var i;i=function(){"use strict";function e(e){return"function"==typeof e}var o=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)},i=0,l=void 0,s=void 0,u=function(e,t){h[i]=e,h[i+1]=t,2===(i+=2)&&(s?s(g):w())},c=void 0!==t?t:void 0,d=(f=c||{}).MutationObserver||f.WebKitMutationObserver,p="undefined"==typeof self&&"undefined"!=typeof process&&"[object process]"==={}.toString.call(process),f="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel;function m(){var e=setTimeout;return function(){return e(g,1)}}var h=new Array(1e3);function g(){for(var e=0;e<i;e+=2)(0,h[e])(h[e+1]),h[e]=void 0,h[e+1]=void 0;i=0}var b,y,v,w=void 0;function D(e,t){var a=this,r=new this.constructor(A);void 0===r[E]&&I(r);var n,o=a._state;return o?(n=arguments[o-1],u((function(){return S(o,r,n,a._result)}))):_(a,r,e,t),r}function x(e){if(e&&"object"===n(e)&&e.constructor===this)return e;var t=new this(A);return k(t,e),t}w=p?function(){return process.nextTick(g)}:d?(y=0,d=new d(g),v=r.createTextNode(""),d.observe(v,{characterData:!0}),function(){v.data=y=++y%2}):f?((b=new MessageChannel).port1.onmessage=g,function(){return b.port2.postMessage(0)}):(void 0===c?function(){try{var e=Function("return this")().require("vertx");return void 0!==(l=e.runOnLoop||e.runOnContext)?function(){l(g)}:m()}catch(e){return m()}}:m)();var E=Math.random().toString(36).substring(2);function A(){}var C=void 0;function F(t,a,r){var n,o;a.constructor===t.constructor&&r===D&&a.constructor.resolve===x?(n=t,1===(o=a)._state?R(n,o._result):2===o._state?T(n,o._result):_(o,void 0,(function(e){return k(n,e)}),(function(e){return T(n,e)}))):void 0!==r&&e(r)?function(e,t,a){u((function(e){var r=!1,n=function(e,t,a,r){try{e.call(t,a,r)}catch(e){return e}}(a,t,(function(a){r||(r=!0,(t!==a?k:R)(e,a))}),(function(t){r||(r=!0,T(e,t))}),e._label);!r&&n&&(r=!0,T(e,n))}),e)}(t,a,r):R(t,a)}function k(e,t){if(e===t)T(e,new TypeError("You cannot resolve a promise with itself"));else if(r=n(a=t),null===a||"object"!==r&&"function"!==r)R(e,t);else{r=void 0;try{r=t.then}catch(t){return void T(e,t)}F(e,t,r)}var a,r}function N(e){e._onerror&&e._onerror(e._result),O(e)}function R(e,t){e._state===C&&(e._result=t,e._state=1,0!==e._subscribers.length&&u(O,e))}function T(e,t){e._state===C&&(e._state=2,e._result=t,u(N,e))}function _(e,t,a,r){var n=e._subscribers,o=n.length;e._onerror=null,n[o]=t,n[o+1]=a,n[o+2]=r,0===o&&e._state&&u(O,e)}function O(e){var t=e._subscribers,a=e._state;if(0!==t.length){for(var r,n=void 0,o=e._result,i=0;i<t.length;i+=3)r=t[i],n=t[i+a],r?S(a,r,n,o):n(o);e._subscribers.length=0}}function S(t,a,r,n){var o=e(r),i=void 0,l=void 0,s=!0;if(o){try{i=r(n)}catch(t){s=!1,l=t}if(a===i)return void T(a,new TypeError("A promises callback cannot return that same promise."))}else i=n;a._state!==C||(o&&s?k(a,i):!1===s?T(a,l):1===t?R(a,i):2===t&&T(a,i))}var P=0;function I(e){e[E]=P++,e._state=void 0,e._result=void 0,e._subscribers=[]}var B=(M.prototype._enumerate=function(e){for(var t=0;this._state===C&&t<e.length;t++)this._eachEntry(e[t],t)},M.prototype._eachEntry=function(e,t){var a=this._instanceConstructor,r=a.resolve;if(r===x){var n,o=void 0,i=void 0,l=!1;try{o=e.then}catch(t){l=!0,i=t}o===D&&e._state!==C?this._settledAt(e._state,t,e._result):"function"!=typeof o?(this._remaining--,this._result[t]=e):a===L?(n=new a(A),l?T(n,i):F(n,e,o),this._willSettleAt(n,t)):this._willSettleAt(new a((function(t){return t(e)})),t)}else this._willSettleAt(r(e),t)},M.prototype._settledAt=function(e,t,a){var r=this.promise;r._state===C&&(this._remaining--,2===e?T(r,a):this._result[t]=a),0===this._remaining&&R(r,this._result)},M.prototype._willSettleAt=function(e,t){var a=this;_(e,void 0,(function(e){return a._settledAt(1,t,e)}),(function(e){return a._settledAt(2,t,e)}))},M);function M(e,t){this._instanceConstructor=e,this.promise=new e(A),this.promise[E]||I(this.promise),o(t)?(this.length=t.length,this._remaining=t.length,this._result=new Array(this.length),0===this.length?R(this.promise,this._result):(this.length=this.length||0,this._enumerate(t),0===this._remaining&&R(this.promise,this._result))):T(this.promise,new Error("Array Methods must be provided an Array"))}var L=(j.prototype.catch=function(e){return this.then(null,e)},j.prototype.finally=function(t){var a=this.constructor;return e(t)?this.then((function(e){return a.resolve(t()).then((function(){return e}))}),(function(e){return a.resolve(t()).then((function(){throw e}))})):this.then(t,t)},j);function j(e){this[E]=P++,this._result=this._state=void 0,this._subscribers=[],A!==e&&("function"!=typeof e&&function(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}(),this instanceof j?function(e,t){try{t((function(t){k(e,t)}),(function(t){T(e,t)}))}catch(t){T(e,t)}}(this,e):function(){throw new TypeError("Failed to construct \'Promise\': Please use the \'new\' operator, this object constructor cannot be called as a function.")}())}return L.prototype.then=D,L.all=function(e){return new B(this,e).promise},L.race=function(e){var t=this;return o(e)?new t((function(a,r){for(var n=e.length,o=0;o<n;o++)t.resolve(e[o]).then(a,r)})):new t((function(e,t){return t(new TypeError("You must pass an array to race."))}))},L.resolve=x,L.reject=function(e){var t=new this(A);return T(t,e),t},L._setScheduler=function(e){s=e},L._setAsap=function(e){u=e},L._asap=u,L.polyfill=function(){var e=void 0;if(void 0!==a)e=a;else if("undefined"!=typeof self)e=self;else try{e=Function("return this")()}catch(e){throw new Error("polyfill failed because global object is unavailable in this environment")}var t=e.Promise;if(t){var r=null;try{r=Object.prototype.toString.call(t.resolve())}catch(e){}if("[object Promise]"===r&&!t.cast)return}e.Promise=L},L.Promise=L},"object"===n(e=e)&&void 0!==o?o.exports=i():"function"==typeof define&&define.amd?define(i):e.ES6Promise=i()})),Ct=e((function(e){var t,a,r=(t=Object.prototype.toString,a=Object.prototype.hasOwnProperty,{Class:function(e){return t.call(e).replace(/^\\[object *|\\]$/g,"")},HasProperty:function(e,t){return t in e},HasOwnProperty:function(e,t){return a.call(e,t)},IsCallable:function(e){return"function"==typeof e},ToInt32:function(e){return e>>0},ToUint32:function(e){return e>>>0}}),o=Math.LN2,i=Math.abs,l=Math.floor,s=Math.log,u=Math.min,c=Math.pow,d=Math.round;function p(e){if(g&&h)for(var t=g(e),a=0;a<t.length;a+=1)h(e,t[a],{value:e[t[a]],writable:!1,enumerable:!1,configurable:!1})}var f,m,h=Object.defineProperty&&function(){try{return Object.defineProperty({},"x",{}),1}catch(e){return}}()?Object.defineProperty:function(e,t,a){if(!e===Object(e))throw new TypeError("Object.defineProperty called on non-object");return r.HasProperty(a,"get")&&Object.prototype.__defineGetter__&&Object.prototype.__defineGetter__.call(e,t,a.get),r.HasProperty(a,"set")&&Object.prototype.__defineSetter__&&Object.prototype.__defineSetter__.call(e,t,a.set),r.HasProperty(a,"value")&&(e[t]=a.value),e},g=Object.getOwnPropertyNames||function(e){if(e!==Object(e))throw new TypeError("Object.getOwnPropertyNames called on non-object");var t,a=[];for(t in e)r.HasOwnProperty(e,t)&&a.push(t);return a};function b(e){if(h){if(e.length>1e5)throw new RangeError("Array too large for polyfill");for(var t=0;t<e.length;t+=1)!function(t){h(e,t,{get:function(){return e._getter(t)},set:function(a){e._setter(t,a)},enumerable:!0,configurable:!1})}(t)}}function y(e,t){return e<<(t=32-t)>>t}function v(e,t){return e<<(t=32-t)>>>t}function w(e){return[255&e]}function D(e){return y(e[0],8)}function x(e){return[255&e]}function E(e){return v(e[0],8)}function A(e){return[(e=d(Number(e)))<0?0:255<e?255:255&e]}function C(e){return[e>>8&255,255&e]}function F(e){return y(e[0]<<8|e[1],16)}function k(e){return[e>>8&255,255&e]}function N(e){return v(e[0]<<8|e[1],16)}function R(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}function T(e){return y(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)}function _(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}function O(e){return v(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)}function S(e,t,a){var r,n,d,p,f,m,h,g=(1<<t-1)-1;function b(e){var t=l(e);return(e=e-t)<.5||!(.5<e||t%2)?t:t+1}for(e!=e?(n=(1<<t)-1,d=c(2,a-1),r=0):e===1/0||e===-1/0?(n=(1<<t)-1,r=e<(d=0)?1:0):0===e?r=1/e==-1/(d=n=0)?1:0:(r=e<0,(e=i(e))>=c(2,1-g)?(n=u(l(s(e)/o),1023),2<=(d=b(e/c(2,n)*c(2,a)))/c(2,a)&&(n+=1,d=1),g<n?(n=(1<<t)-1,d=0):(n+=g,d-=c(2,a))):(n=0,d=b(e/c(2,1-g-a)))),f=[],p=a;p;--p)f.push(d%2?1:0),d=l(d/2);for(p=t;p;--p)f.push(n%2?1:0),n=l(n/2);for(f.push(r?1:0),f.reverse(),m=f.join(""),h=[];m.length;)h.push(parseInt(m.substring(0,8),2)),m=m.substring(8);return h}function P(e,t,a){for(var r,n,o,i,l,s,u=[],d=e.length;d;--d)for(n=e[d-1],r=8;r;--r)u.push(n%2?1:0),n>>=1;return u.reverse(),s=u.join(""),o=(1<<t-1)-1,i=parseInt(s.substring(0,1),2)?-1:1,l=parseInt(s.substring(1,1+t),2),s=parseInt(s.substring(1+t),2),l===(1<<t)-1?0!==s?NaN:1/0*i:0<l?i*c(2,l-o)*(1+s/c(2,a)):0!==s?i*c(2,-(o-1))*(s/c(2,a)):i<0?-0:0}function I(e){return P(e,11,52)}function B(e){return S(e,11,52)}function M(e){return P(e,8,23)}function L(e){return S(e,8,23)}function j(e,t){return r.IsCallable(e.get)?e.get(t):e[t]}function q(t,a,n){if(0===arguments.length)t=new e.ArrayBuffer(0);else if(!(t instanceof e.ArrayBuffer||"ArrayBuffer"===r.Class(t)))throw new TypeError("TypeError");if(this.buffer=t||new e.ArrayBuffer(0),this.byteOffset=r.ToUint32(a),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteLength=arguments.length<3?this.buffer.byteLength-this.byteOffset:r.ToUint32(n),this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference an area beyond the end of the buffer");p(this)}function U(t){return function(a,n){if((a=r.ToUint32(a))+t.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");a+=this.byteOffset;for(var o=new e.Uint8Array(this.buffer,a,t.BYTES_PER_ELEMENT),i=[],l=0;l<t.BYTES_PER_ELEMENT;l+=1)i.push(j(o,l));return Boolean(n)===Boolean(m)&&i.reverse(),j(new t(new e.Uint8Array(i).buffer),0)}}function V(t){return function(a,n,o){if((a=r.ToUint32(a))+t.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");n=new t([n]);for(var i=new e.Uint8Array(n.buffer),l=[],s=0;s<t.BYTES_PER_ELEMENT;s+=1)l.push(j(i,s));Boolean(o)===Boolean(m)&&l.reverse(),new e.Uint8Array(this.buffer,a,t.BYTES_PER_ELEMENT).set(l)}}!function(){function t(e){if((e=r.ToInt32(e))<0)throw new RangeError("ArrayBuffer size is not a small enough positive integer");var t;for(this.byteLength=e,this._bytes=[],this._bytes.length=e,t=0;t<this.byteLength;t+=1)this._bytes[t]=0;p(this)}function a(){}function o(e,o,i){var l=function(e,a,o){var i,s,u,c;if(arguments.length&&"number"!=typeof e)if("object"===n(e)&&e.constructor===l)for(this.length=(i=e).length,this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new t(this.byteLength),u=this.byteOffset=0;u<this.length;u+=1)this._setter(u,i._getter(u));else if("object"!==n(e)||e instanceof t||"ArrayBuffer"===r.Class(e)){if("object"!==n(e)||!(e instanceof t||"ArrayBuffer"===r.Class(e)))throw new TypeError("Unexpected argument type(s)");if(this.buffer=e,this.byteOffset=r.ToUint32(a),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteOffset%this.BYTES_PER_ELEMENT)throw new RangeError("ArrayBuffer length minus the byteOffset is not a multiple of the element size.");if(arguments.length<3){if(this.byteLength=this.buffer.byteLength-this.byteOffset,this.byteLength%this.BYTES_PER_ELEMENT)throw new RangeError("length of buffer minus byteOffset not a multiple of the element size");this.length=this.byteLength/this.BYTES_PER_ELEMENT}else this.length=r.ToUint32(o),this.byteLength=this.length*this.BYTES_PER_ELEMENT;if(this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference an area beyond the end of the buffer")}else for(this.length=r.ToUint32((s=e).length),this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new t(this.byteLength),u=this.byteOffset=0;u<this.length;u+=1)c=s[u],this._setter(u,Number(c));else{if(this.length=r.ToInt32(e),o<0)throw new RangeError("ArrayBufferView size is not a small enough positive integer");this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new t(this.byteLength),this.byteOffset=0}this.constructor=l,p(this),b(this)};return(l.prototype=new a).BYTES_PER_ELEMENT=e,l.prototype._pack=o,l.prototype._unpack=i,l.BYTES_PER_ELEMENT=e,l.prototype.get=l.prototype._getter=function(e){if(arguments.length<1)throw new SyntaxError("Not enough arguments");if(!((e=r.ToUint32(e))>=this.length)){for(var t=[],a=0,n=this.byteOffset+e*this.BYTES_PER_ELEMENT;a<this.BYTES_PER_ELEMENT;a+=1,n+=1)t.push(this.buffer._bytes[n]);return this._unpack(t)}},l.prototype._setter=function(e,t){if(arguments.length<2)throw new SyntaxError("Not enough arguments");if(!((e=r.ToUint32(e))>=this.length))for(var a=this._pack(t),n=0,o=this.byteOffset+e*this.BYTES_PER_ELEMENT;n<this.BYTES_PER_ELEMENT;n+=1,o+=1)this.buffer._bytes[o]=a[n]},l.prototype.set=function(e,t){if(arguments.length<1)throw new SyntaxError("Not enough arguments");var a,o,i,l,s,u,c,d,p,f;if("object"===n(e)&&e.constructor===this.constructor){if(a=e,(i=r.ToUint32(t))+a.length>this.length)throw new RangeError("Offset plus length of array is out of range");if(d=this.byteOffset+i*this.BYTES_PER_ELEMENT,p=a.length*this.BYTES_PER_ELEMENT,a.buffer===this.buffer){for(f=[],s=0,u=a.byteOffset;s<p;s+=1,u+=1)f[s]=a.buffer._bytes[u];for(s=0,c=d;s<p;s+=1,c+=1)this.buffer._bytes[c]=f[s]}else for(s=0,u=a.byteOffset,c=d;s<p;s+=1,u+=1,c+=1)this.buffer._bytes[c]=a.buffer._bytes[u]}else{if("object"!==n(e)||void 0===e.length)throw new TypeError("Unexpected argument type(s)");if(l=r.ToUint32((o=e).length),(i=r.ToUint32(t))+l>this.length)throw new RangeError("Offset plus length of array is out of range");for(s=0;s<l;s+=1)u=o[s],this._setter(i+s,Number(u))}},l.prototype.subarray=function(e,t){function a(e,t,a){return e<t?t:a<e?a:e}e=r.ToInt32(e),t=r.ToInt32(t),arguments.length<1&&(e=0),arguments.length<2&&(t=this.length),e<0&&(e=this.length+e),t<0&&(t=this.length+t),e=a(e,0,this.length);var n=(t=a(t,0,this.length))-e;return new this.constructor(this.buffer,this.byteOffset+e*this.BYTES_PER_ELEMENT,n=n<0?0:n)},l}e.ArrayBuffer=e.ArrayBuffer||t;var i=o(1,w,D),l=o(1,x,E),s=o(1,A,E),u=o(2,C,F),c=o(2,k,N),d=o(4,R,T),f=o(4,_,O),m=o(4,L,M),h=o(8,B,I);e.Int8Array=e.Int8Array||i,e.Uint8Array=e.Uint8Array||l,e.Uint8ClampedArray=e.Uint8ClampedArray||s,e.Int16Array=e.Int16Array||u,e.Uint16Array=e.Uint16Array||c,e.Int32Array=e.Int32Array||d,e.Uint32Array=e.Uint32Array||f,e.Float32Array=e.Float32Array||m,e.Float64Array=e.Float64Array||h}(),f=new e.Uint16Array([4660]),m=18===j(new e.Uint8Array(f.buffer),0),q.prototype.getUint8=U(e.Uint8Array),q.prototype.getInt8=U(e.Int8Array),q.prototype.getUint16=U(e.Uint16Array),q.prototype.getInt16=U(e.Int16Array),q.prototype.getUint32=U(e.Uint32Array),q.prototype.getInt32=U(e.Int32Array),q.prototype.getFloat32=U(e.Float32Array),q.prototype.getFloat64=U(e.Float64Array),q.prototype.setUint8=V(e.Uint8Array),q.prototype.setInt8=V(e.Int8Array),q.prototype.setUint16=V(e.Uint16Array),q.prototype.setInt16=V(e.Int16Array),q.prototype.setUint32=V(e.Uint32Array),q.prototype.setInt32=V(e.Int32Array),q.prototype.setFloat32=V(e.Float32Array),q.prototype.setFloat64=V(e.Float64Array),e.DataView=e.DataView||q})),Ft=e((function(e){!function(e){"use strict";var t,a,r;function o(){if(void 0===this)throw new TypeError("Constructor WeakMap requires \'new\'");if(r(this,"_id","_WeakMap_"+l()+"."+l()),0<arguments.length)throw new TypeError("WeakMap iterable is not supported")}function i(e,a){if(!s(e)||!t.call(e,"_id"))throw new TypeError(a+" method called on incompatible receiver "+n(e))}function l(){return Math.random().toString().substring(2)}function s(e){return Object(e)===e}e.WeakMap||(t=Object.prototype.hasOwnProperty,a=Object.defineProperty&&function(){try{return 1===Object.defineProperty({},"x",{value:1}).x}catch(e){}}(),e.WeakMap=((r=function(e,t,r){a?Object.defineProperty(e,t,{configurable:!0,writable:!0,value:r}):e[t]=r})(o.prototype,"delete",(function(e){if(i(this,"delete"),!s(e))return!1;var t=e[this._id];return!(!t||t[0]!==e||(delete e[this._id],0))})),r(o.prototype,"get",(function(e){if(i(this,"get"),s(e)){var t=e[this._id];return t&&t[0]===e?t[1]:void 0}})),r(o.prototype,"has",(function(e){if(i(this,"has"),!s(e))return!1;var t=e[this._id];return!(!t||t[0]!==e)})),r(o.prototype,"set",(function(e,t){if(i(this,"set"),!s(e))throw new TypeError("Invalid value used as weak map key");var a=e[this._id];return a&&a[0]===e?a[1]=t:r(e,this._id,[e,t]),this})),r(o,"_polyfill",!0),o))}("undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:void 0!==t?t:void 0!==a?a:e)})),kt={helpUrlBase:"https://dequeuniversity.com/rules/",results:[],resultGroups:[],resultGroupMap:{},impact:Object.freeze(["minor","moderate","serious","critical"]),preload:Object.freeze({assets:["cssom","media"],timeout:1e4}),allOrigins:"<unsafe_all_origins>",sameOrigin:"<same_origin>"};[{name:"NA",value:"inapplicable",priority:0,group:"inapplicable"},{name:"PASS",value:"passed",priority:1,group:"passes"},{name:"CANTTELL",value:"cantTell",priority:2,group:"incomplete"},{name:"FAIL",value:"failed",priority:3,group:"violations"}].forEach((function(e){var t=e.name,a=e.value,r=e.priority;e=e.group;kt[t]=a,kt[t+"_PRIO"]=r,kt[t+"_GROUP"]=e,kt.results[r]=a,kt.resultGroups[r]=e,kt.resultGroupMap[a]=e})),Object.freeze(kt.results),Object.freeze(kt.resultGroups),Object.freeze(kt.resultGroupMap),Object.freeze(kt);var Nt=kt,Rt=function(){"object"===("undefined"==typeof console?"undefined":n(console))&&console.log&&Function.prototype.apply.call(console.log,console,arguments)},Tt=/[\\t\\r\\n\\f]/g;function _t(){O(this,_t),this.parent=void 0}var Ot=(P(_t,[{key:"props",get:function(){throw new Error(\'VirtualNode class must have a "props" object consisting of "nodeType" and "nodeName" properties\')}},{key:"attrNames",get:function(){throw new Error(\'VirtualNode class must have an "attrNames" property\')}},{key:"attr",value:function(){throw new Error(\'VirtualNode class must have an "attr" function\')}},{key:"hasAttr",value:function(){throw new Error(\'VirtualNode class must have a "hasAttr" function\')}},{key:"hasClass",value:function(e){var t=this.attr("class");return!!t&&(e=" "+e+" ",0<=(" "+t+" ").replace(Tt," ").indexOf(e))}}]),_t),St={};A(St,{DqElement:function(){return Qa},aggregate:function(){return ca},aggregateChecks:function(){return ga},aggregateNodeResults:function(){return ya},aggregateResult:function(){return wa},areStylesSet:function(){return Da},assert:function(){return Bt},checkHelper:function(){return Za},clone:function(){return er},closest:function(){return cr},collectResultsFromFrames:function(){return Fr},contains:function(){return kr},convertSelector:function(){return lr},cssParser:function(){return tr},deepMerge:function(){return Nr},escapeSelector:function(){return Ea},extendMetaData:function(){return Rr},filterHtmlAttrs:function(){return oi},finalizeRuleResult:function(){return ba},findBy:function(){return Er},getAllChecks:function(){return xr},getAncestry:function(){return Wa},getBaseLang:function(){return Zn},getCheckMessage:function(){return lo},getCheckOption:function(){return so},getEnvironmentData:function(){return uo},getFlattenedTree:function(){return Qn},getFrameContexts:function(){return mo},getFriendlyUriEnd:function(){return Na},getNodeAttributes:function(){return Ra},getNodeFromTree:function(){return Xa},getPreloadConfig:function(){return Qo},getRootNode:function(){return Sr},getRule:function(){return ho},getScroll:function(){return go},getScrollState:function(){return yo},getSelector:function(){return Ha},getSelectorData:function(){return qa},getShadowSelector:function(){return Oa},getStandards:function(){return vo},getStyleSheetFactory:function(){return Do},getXpath:function(){return Ga},injectStyle:function(){return xo},isHidden:function(){return Eo},isHtmlElement:function(){return Ao},isNodeInContext:function(){return Fo},isShadowRoot:function(){return _r},isValidLang:function(){return fi},isXHTML:function(){return _a},matchAncestry:function(){return ko},matches:function(){return ur},matchesExpression:function(){return sr},matchesSelector:function(){return Ta},memoize:function(){return _o},mergeResults:function(){return Cr},nodeSorter:function(){return Oo},parseCrossOriginStylesheet:function(){return Io},parseSameOriginStylesheet:function(){return So},parseStylesheet:function(){return Po},performanceTimer:function(){return jo},pollyfillElementsFromPoint:function(){return qo},preload:function(){return Zo},preloadCssom:function(){return Go},preloadMedia:function(){return Xo},processMessage:function(){return io},publishMetaData:function(){return ti},querySelectorAll:function(){return ai},querySelectorAllFilter:function(){return Wo},queue:function(){return hr},respondable:function(){return br},ruleShouldRun:function(){return ni},select:function(){return ii},sendCommandToFrame:function(){return vr},setScrollState:function(){return li},shadowSelect:function(){return si},shouldPreload:function(){return Jo},toArray:function(){return xa},tokenList:function(){return ui},uniqueArray:function(){return zo},uuid:function(){return aa},validInputTypes:function(){return ci},validLangs:function(){return pi}});var Pt=Object.freeze(["EvalError","RangeError","ReferenceError","SyntaxError","TypeError","URIError"]);function It(){var e="axeAPI",t="";return(e=void 0!==o&&o._audit&&o._audit.application?o._audit.application:e)+"."+(void 0!==o?o.version:t)}var Bt=function(e,t){if(!e)throw new Error(t)};function Mt(e){jt(e),Bt(t.parent===e,"Source of the response must be the parent window.")}function Lt(e){jt(e),Bt(e.parent===t,"Respondable target must be a frame in the current window")}function jt(e){Bt(t!==e,"Messages can not be sent to the same window.")}var qt,Ut,Vt,zt={},Ht=t.crypto||t.msCrypto;!Ut&&Ht&&Ht.getRandomValues&&(qt=new Uint8Array(16),Ut=function(){return Ht.getRandomValues(qt),qt}),Ut||(Vt=new Array(16),Ut=function(){for(var e,t=0;t<16;t++)0==(3&t)&&(e=4294967296*Math.random()),Vt[t]=e>>>((3&t)<<3)&255;return Vt});for(var $t="function"==typeof t.Buffer?t.Buffer:Array,Wt=[],Gt={},Yt=0;Yt<256;Yt++)Wt[Yt]=(Yt+256).toString(16).substr(1),Gt[Wt[Yt]]=Yt;function Kt(e,t){return t=t||0,Wt[e[t++]]+Wt[e[t++]]+Wt[e[t++]]+Wt[e[t++]]+"-"+Wt[e[t++]]+Wt[e[t++]]+"-"+Wt[e[t++]]+Wt[e[t++]]+"-"+Wt[e[t++]]+Wt[e[t++]]+"-"+Wt[e[t++]]+Wt[e[t++]]+Wt[e[t++]]+Wt[e[t++]]+Wt[e[t++]]+Wt[e[+t]]}var Xt=[1|(Pn=Ut())[0],Pn[1],Pn[2],Pn[3],Pn[4],Pn[5]],Jt=16383&(Pn[6]<<8|Pn[7]),Qt=0,Zt=0;function ea(e,t,a){var r=t&&a||0,n=t||[],o=null!=(e=e||{}).clockseq?e.clockseq:Jt,i=null!=e.msecs?e.msecs:(new Date).getTime(),l=null!=e.nsecs?e.nsecs:Zt+1;if((a=i-Qt+(l-Zt)/1e4)<0&&null==e.clockseq&&(o=o+1&16383),1e4<=(l=(a<0||Qt<i)&&null==e.nsecs?0:l))throw new Error("uuid.v1(): Can\'t create more than 10M uuids/sec");Qt=i,Jt=o,l=(1e4*(268435455&(i+=122192928e5))+(Zt=l))%4294967296,n[r++]=l>>>24&255,n[r++]=l>>>16&255,n[r++]=l>>>8&255,n[r++]=255&l,i=i/4294967296*1e4&268435455,n[r++]=i>>>8&255,n[r++]=255&i,n[r++]=i>>>24&15|16,n[r++]=i>>>16&255,n[r++]=o>>>8|128,n[r++]=255&o;for(var s=e.node||Xt,u=0;u<6;u++)n[r+u]=s[u];return t||Kt(n)}function ta(e,t,a){var r=t&&a||0;"string"==typeof e&&(t="binary"==e?new $t(16):null,e=null);var n=(e=e||{}).random||(e.rng||Ut)();if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,t)for(var o=0;o<16;o++)t[r+o]=n[o];return t||Kt(n)}(Sn=ta).v1=ea,Sn.v4=ta,Sn.parse=function(e,t,a){var r=t&&a||0,n=0;for(t=t||[],e.toLowerCase().replace(/[0-9a-f]{2}/g,(function(e){n<16&&(t[r+n++]=Gt[e])}));n<16;)t[r+n++]=0;return t},Sn.unparse=Kt,Sn.BufferClass=$t,o._uuid=ea();var aa=ta,ra=[];function na(){var e="".concat(ta(),":").concat(ta());return ra.includes(e)?na():(ra.push(e),e)}function oa(e,t,a,r){if("function"==typeof r&&function(e,t,a){var r=!(2<arguments.length&&void 0!==a)||a;Bt(!zt[e],"A replyHandler already exists for this message channel."),zt[e]={replyHandler:t,sendToParent:r}}(t.channelId,r,a),(a?Mt:Lt)(e),t.message instanceof Error&&!a)return o.log(t.message),!1;var n=(r=(i=_({messageId:na()},t)).topic,a=i.channelId,t=i.message,i={channelId:a,topic:r,messageId:i.messageId,keepalive:!!i.keepalive,source:It()},t instanceof Error?i.error={name:t.name,message:t.message,stack:t.stack}:i.payload=t,JSON.stringify(i)),i=o._audit.allowedOrigins;return!(!i||!i.length||(i.forEach((function(t){try{e.postMessage(n,t)}catch(a){if(a instanceof e.DOMException)throw new Error(\'allowedOrigins value "\'.concat(t,\'" is not a valid origin\'));throw a}})),0))}function ia(e,t,a){var r=!(2<arguments.length&&void 0!==a)||a;return function(a,n,o){oa(e,{channelId:t,message:a,keepalive:n},r,o)}}function la(e,a){var r,i,l,s=e.origin,u=e.data;e=e.source;try{var c,d=function(e){var a;try{a=JSON.parse(e)}catch(e){return}if(null!==(o=a)&&"object"===n(o)&&"string"==typeof o.channelId&&o.source===It()){var r=(i=a).topic,o=(e=i.channelId,i.messageId),i=i.keepalive;return{topic:r,message:"object"===n(a.error)?function(e){var a=e.message||"Unknown error occurred",r=Pt.includes(e.name)?e.name:"Error";return r=t[r]||Error,e.stack&&(a+="\\n"+e.stack.replace(e.message,"")),new r(a)}(a.error):a.payload,messageId:o,channelId:e,keepalive:!!i}}}(u)||{},p=d.channelId,f=d.message,m=d.messageId;if(i=s,!((l=o._audit.allowedOrigins)&&l.includes("*")||l.includes(i))||(r=m,ra.includes(r)||(ra.push(r),0)))return;if(f instanceof Error&&e.parent!==t)return void o.log(f);try{d.topic?(c=ia(e,p),Mt(e),a(d,c)):function(e,t){var a=t.channelId,r=t.message,n=t.keepalive,i=(t=(i=function(e){return zt[e]}(a)||{}).replyHandler,i.sendToParent);if(t){(i?Mt:Lt)(e),i=ia(e,a,i),!n&&a&&function(e){delete zt[e]}(a);try{t(r,n,i)}catch(e){o.log(e),i(e,n)}}}(e,d)}catch(a){!function(e,a,r){if(!e.parent!==t)return o.log(a);try{oa(e,{topic:null,channelId:r,message:a,messageId:na(),keepalive:!0},!0)}catch(e){return o.log(e)}}(e,a,p)}}catch(a){return void o.log(a)}}var sa={open:function(e){if("function"==typeof t.addEventListener){function a(t){la(t,e)}return t.addEventListener("message",a,!1),function(){t.removeEventListener("message",a,!1)}}},post:function(e,a,r){return"function"==typeof t.addEventListener&&oa(e,a,!1,r)}};function ua(e){e.updateMessenger(sa)}var ca=function(e,t,a){return t=t.slice(),a&&t.push(a),t=t.map((function(t){return e.indexOf(t)})).sort(),e[t.pop()]},da=Nt.CANTTELL_PRIO,pa=Nt.FAIL_PRIO,fa=[];fa[Nt.PASS_PRIO]=!0,fa[Nt.CANTTELL_PRIO]=null,fa[Nt.FAIL_PRIO]=!1;var ma=["any","all","none"];function ha(e,t){return ma.reduce((function(a,r){return a[r]=(e[r]||[]).map((function(e){return t(e,r)})),a}),{})}var ga=function(e){var t=Object.assign({},e);ha(t,(function(e,t){var a=void 0===e.result?-1:fa.indexOf(e.result);e.priority=-1!==a?a:Nt.CANTTELL_PRIO,"none"===t&&(e.priority===Nt.PASS_PRIO?e.priority=Nt.FAIL_PRIO:e.priority===Nt.FAIL_PRIO&&(e.priority=Nt.PASS_PRIO))}));var a={all:t.all.reduce((function(e,t){return Math.max(e,t.priority)}),0),none:t.none.reduce((function(e,t){return Math.max(e,t.priority)}),0),any:t.any.reduce((function(e,t){return Math.min(e,t.priority)}),4)%4};t.priority=Math.max(a.all,a.none,a.any);var r=[];return ma.forEach((function(e){t[e]=t[e].filter((function(r){return r.priority===t.priority&&r.priority===a[e]})),t[e].forEach((function(e){return r.push(e.impact)}))})),[da,pa].includes(t.priority)?t.impact=ca(Nt.impact,r):t.impact=null,ha(t,(function(e){delete e.result,delete e.priority})),t.result=Nt.results[t.priority],delete t.priority,t},ba=function(e){var t=o._audit.rules.find((function(t){return t.id===e.id}));return t&&t.impact&&e.nodes.forEach((function(e){["any","all","none"].forEach((function(a){(e[a]||[]).forEach((function(e){e.impact=t.impact}))}))})),Object.assign(e,ya(e.nodes)),delete e.nodes,e},ya=function(e){var t,a={};(e=e.map((function(e){if(e.any&&e.all&&e.none)return ga(e);if(Array.isArray(e.node))return ba(e);throw new TypeError("Invalid Result type")})))&&e.length?(t=e.map((function(e){return e.result})),a.result=ca(Nt.results,t,a.result)):a.result="inapplicable",Nt.resultGroups.forEach((function(e){return a[e]=[]})),e.forEach((function(e){var t=Nt.resultGroupMap[e.result];a[t].push(e)}));e=Nt.FAIL_GROUP;return 0===a[e].length&&(e=Nt.CANTTELL_GROUP),0<a[e].length?(e=a[e].map((function(e){return e.impact})),a.impact=ca(Nt.impact,e)||null):a.impact=null,a};function va(e,t,a){var r=Object.assign({},t);r.nodes=(r[a]||[]).concat(),Nt.resultGroups.forEach((function(e){delete r[e]})),e[a].push(r)}var wa=function(e){var t={};return Nt.resultGroups.forEach((function(e){return t[e]=[]})),e.forEach((function(e){e.error?va(t,e,Nt.CANTTELL_GROUP):e.result===Nt.NA?va(t,e,Nt.NA_GROUP):Nt.resultGroups.forEach((function(a){Array.isArray(e[a])&&0<e[a].length&&va(t,e,a)}))})),t},Da=function e(a,r,n){var o=t.getComputedStyle(a,null);if(!o)return!1;for(var i=0;i<r.length;++i){var l=r[i];if(o.getPropertyValue(l.property)===l.value)return!0}return!(!a.parentNode||a.nodeName.toUpperCase()===n.toUpperCase())&&e(a.parentNode,r,n)},xa=function(e){return Array.prototype.slice.call(e)},Ea=function(e){for(var t,a=String(e),r=a.length,n=-1,o="",i=a.charCodeAt(0);++n<r;)0!=(t=a.charCodeAt(n))?o+=1<=t&&t<=31||127==t||0==n&&48<=t&&t<=57||1==n&&48<=t&&t<=57&&45==i?"\\\\"+t.toString(16)+" ":0==n&&1==r&&45==t||!(128<=t||45==t||95==t||48<=t&&t<=57||65<=t&&t<=90||97<=t&&t<=122)?"\\\\"+a.charAt(n):a.charAt(n):o+="�";return o};function Aa(e,t){return[e.substring(0,t),e.substring(t)]}function Ca(e){return e.replace(/\\s+$/,"")}var Fa,ka,Na=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:"",t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};if(!(e.length<=1||"data:"===e.substr(0,5)||"javascript:"===e.substr(0,11)||e.includes("?"))){var a,r,n,o,i=t.currentDomain,l=t.maxLength,s=void 0===l?25:l,u=(t=(d=(c=u=d=o=n="",(l=t=e).includes("#")&&(t=(e=T(Aa(t,t.indexOf("#")),2))[0],c=e[1]),t.includes("?")&&(t=(a=T(Aa(t,t.indexOf("?")),2))[0],u=a[1]),t.includes("://")?(n=(a=T(t.split("://"),2))[0],o=(a=T(Aa(t=a[1],t.indexOf("/")),2))[0],t=a[1]):"//"===t.substr(0,2)&&(o=(r=T(Aa(t=t.substr(2),t.indexOf("/")),2))[0],t=r[1]),(o="www."===o.substr(0,4)?o.substr(4):o)&&o.includes(":")&&(o=(r=T(Aa(o,o.indexOf(":")),2))[0],d=r[1]),{original:l,protocol:n,domain:o,port:d,path:t,query:u,hash:c})).path,d.domain),c=d.hash,d=t.substr(t.substr(0,t.length-2).lastIndexOf("/")+1);return c?d&&(d+c).length<=s?Ca(d+c):d.length<2&&2<c.length&&c.length<=s?Ca(c):void 0:u&&u.length<s&&t.length<=1||t==="/"+d&&u&&i&&u!==i&&(u+t).length<=s?Ca(u+t):(-1===(t=d.lastIndexOf("."))||1<t)&&(-1!==t||2<d.length)&&d.length<=s&&!d.match(/index(\\.[a-zA-Z]{2-4})?/)&&!function(e){var t=0<arguments.length&&void 0!==e?e:"";return 0!==t.length&&(t.match(/[0-9]/g)||"").length>=t.length/2}(d)?Ca(d):void 0}},Ra=function(e){return(e.attributes instanceof t.NamedNodeMap?e:e.cloneNode(!1)).attributes},Ta=function(e,t){return!!e[Fa=Fa&&e[Fa]?Fa:function(e){for(var t,a=["matches","matchesSelector","mozMatchesSelector","webkitMatchesSelector","msMatchesSelector"],r=a.length,n=0;n<r;n++)if(e[t=a[n]])return t}(e)]&&e[Fa](t)},_a=function(e){return!!e.createElement&&"A"===e.createElement("A").localName},Oa=function(e,t){var a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};if(!t)return"";var n=t.getRootNode&&t.getRootNode()||r;if(11!==n.nodeType)return e(t,a,n);for(var o=[];11===n.nodeType;){if(!n.host)return"";o.unshift({elm:t,doc:n}),n=(t=n.host).getRootNode()}return o.unshift({elm:t,doc:n}),o.map((function(t){var r=t.elm;t=t.doc;return e(r,a,t)}))},Sa=["class","style","id","selected","checked","disabled","tabindex","aria-checked","aria-selected","aria-invalid","aria-activedescendant","aria-busy","aria-disabled","aria-expanded","aria-grabbed","aria-pressed","aria-valuenow"],Pa=/([\\\\"])/g,Ia=/(\\r\\n|\\r|\\n)/g;function Ba(e){return e.replace(Pa,"\\\\$1").replace(Ia,"\\\\a ")}function Ma(e,t){var a,r=t.name;return-1!==r.indexOf("href")||-1!==r.indexOf("src")?(a=Na(e.getAttribute(r)))?Ea(t.name)+\'$="\'+Ba(a)+\'"\':Ea(t.name)+\'="\'+Ba(e.getAttribute(r))+\'"\':Ea(r)+\'="\'+Ba(t.value)+\'"\'}function La(e,t){return e.count<t.count?-1:e.count===t.count?0:1}function ja(e){return!Sa.includes(e.name)&&-1===e.name.indexOf(":")&&(!e.value||e.value.length<31)}function qa(e){for(var t={classes:{},tags:{},attributes:{}},a=(e=Array.isArray(e)?e:[e]).slice(),r=[];a.length;)!function(){var e,n=a.pop(),o=n.actualNode;for(o.querySelectorAll&&(e=o.nodeName,t.tags[e]?t.tags[e]++:t.tags[e]=1,o.classList&&Array.from(o.classList).forEach((function(e){e=Ea(e),t.classes[e]?t.classes[e]++:t.classes[e]=1})),o.hasAttributes()&&Array.from(Ra(o)).filter(ja).forEach((function(e){(e=Ma(o,e))&&(t.attributes[e]?t.attributes[e]++:t.attributes[e]=1)}))),n.children.length&&(r.push(a),a=n.children.slice());!a.length&&r.length;)a=r.pop()}();return t}function Ua(e){return void 0===ka&&(ka=_a(r)),Ea(ka?e.localName:e.nodeName.toLowerCase())}function Va(e,t){var a,r,n,o,i,l,s,u,c,d="",p=(r=e,n=[],o=t.classes,i=t.tags,r.classList&&Array.from(r.classList).forEach((function(e){e=Ea(e),o[e]<i[r.nodeName]&&n.push({name:e,count:o[e],species:"class"})})),n.sort(La));l=e,s=[],u=t.attributes,c=t.tags,l.hasAttributes()&&Array.from(Ra(l)).filter(ja).forEach((function(e){(e=Ma(l,e))&&u[e]<c[l.nodeName]&&s.push({name:e,count:u[e],species:"attribute"})})),t=s.sort(La);return p.length&&1===p[0].count?a=[p[0]]:t.length&&1===t[0].count?(a=[t[0]],d=Ua(e)):((a=p.concat(t)).sort(La),(a=a.slice(0,3)).some((function(e){return"class"===e.species}))?a.sort((function(e,t){return e.species!==t.species&&"class"===e.species?-1:e.species===t.species?0:1})):d=Ua(e)),d+a.reduce((function(e,t){switch(t.species){case"class":return e+"."+t.name;case"attribute":return e+"["+t.name+"]"}return e}),"")}function za(e,t,a){if(!o._selectorData)throw new Error("Expect axe._selectorData to be set up");var n,i,l=void 0!==(t=t.toRoot)&&t;do{var s=function(e){if(e.getAttribute("id")){var t=e.getRootNode&&e.getRootNode()||r;return(e="#"+Ea(e.getAttribute("id")||"")).match(/player_uid_/)||1!==t.querySelectorAll(e).length?void 0:e}}(e);s||(s=Va(e,o._selectorData),s+=function(e,t){var a=e.parentNode&&Array.from(e.parentNode.children||"")||[];return a.find((function(a){return a!==e&&Ta(a,t)}))?":nth-child("+(1+a.indexOf(e))+")":""}(e,s)),n=n?s+" > "+n:s,i=i?i.filter((function(e){return Ta(e,n)})):Array.from(a.querySelectorAll(n)),e=e.parentElement}while((1<i.length||l)&&e&&11!==e.nodeType);return 1===i.length?n:-1!==n.indexOf(" > ")?":root"+n.substring(n.indexOf(" > ")):":root"}function Ha(e,t){return Oa(za,e,t)}function $a(e){var t=e.nodeName.toLowerCase(),a=e.parentElement;if(!a)return t;var r="";return"head"!==t&&"body"!==t&&1<a.children.length&&(e=Array.prototype.indexOf.call(a.children,e)+1,r=":nth-child(".concat(e,")")),$a(a)+" > "+t+r}function Wa(e,t){return Oa($a,e,t)}var Ga=function(e){return function e(t,a){var r,n,o,i;if(!t)return[];if(!a&&9===t.nodeType)return[{str:"html"}];if(a=a||[],t.parentNode&&t.parentNode!==t&&(a=e(t.parentNode,a)),t.previousSibling){for(n=1,r=t.previousSibling;1===r.nodeType&&r.nodeName===t.nodeName&&n++,r=r.previousSibling;);1===n&&(n=null)}else if(t.nextSibling)for(r=t.nextSibling;r=1===r.nodeType&&r.nodeName===t.nodeName?(n=1,null):(n=null,r.previousSibling););return 1===t.nodeType&&((o={}).str=t.nodeName.toLowerCase(),(i=t.getAttribute&&Ea(t.getAttribute("id")))&&1===t.ownerDocument.querySelectorAll("#"+i).length&&(o.id=t.getAttribute("id")),1<n&&(o.count=n),a.push(o)),a}(e).reduce((function(e,t){return t.id?"/".concat(t.str,"[@id=\'").concat(t.id,"\']"):e+"/".concat(t.str)+(0<t.count?"[".concat(t.count,"]"):"")}),"")},Ya={},Ka={set:function(e,t){Ya[e]=t},get:function(e){return Ya[e]},clear:function(){Ya={}}},Xa=function(e,t){return e=t||e,Ka.get("nodeMap")?Ka.get("nodeMap").get(e):null};function Ja(e){var t,a,r,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};this.spec=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},e instanceof Ot?(this._virtualNode=e,this._element=e.actualNode):(this._element=e,this._virtualNode=Xa(e)),this.fromFrame=1<(null===(t=this.spec.selector)||void 0===t?void 0:t.length),n.absolutePaths&&(this._options={toRoot:!0}),this.nodeIndexes=[],Array.isArray(this.spec.nodeIndexes)?this.nodeIndexes=this.spec.nodeIndexes:"number"==typeof(null===(a=this._virtualNode)||void 0===a?void 0:a.nodeIndex)&&(this.nodeIndexes=[this._virtualNode.nodeIndex]),this.source=null,o._audit.noHtml||(this.source=null!==(n=this.spec.source)&&void 0!==n?n:null!=(a=this._element)&&a.outerHTML?((n=(n=(n=a.outerHTML)||"function"!=typeof XMLSerializer?n:(new XMLSerializer).serializeToString(a))||"").length>(r=r||300)&&(r=n.indexOf(">"),n=n.substring(0,r+1)),n):"")}Ja.prototype={get selector(){return this.spec.selector||[Ha(this.element,this._options)]},get ancestry(){return this.spec.ancestry||[Wa(this.element)]},get xpath(){return this.spec.xpath||[Ga(this.element)]},get element(){return this._element},toJSON:function(){return{selector:this.selector,source:this.source,xpath:this.xpath,ancestry:this.ancestry,nodeIndexes:this.nodeIndexes}}},Ja.fromFrame=function(e,t,a){return e=Ja.mergeSpecs(e,a),new Ja(a.element,t,e)},Ja.mergeSpecs=function(e,t){return _({},e,{selector:[].concat(R(t.selector),R(e.selector)),ancestry:[].concat(R(t.ancestry),R(e.ancestry)),xpath:[].concat(R(t.xpath),R(e.xpath)),nodeIndexes:[].concat(R(t.nodeIndexes),R(e.nodeIndexes))})};var Qa=Ja,Za=function(e,a,r,n){return{isAsync:!1,async:function(){return this.isAsync=!0,function(t){t instanceof Error==0?(e.result=t,r(e)):n(t)}},data:function(t){e.data=t},relatedNodes:function(r){t.Node&&(r=r instanceof t.Node?[r]:xa(r)).every((function(e){return e instanceof t.Node||e.actualNode}))&&(e.relatedNodes=r.map((function(e){return new Qa(e,a)})))}}},er=function e(a){var r,o,i=a;if(null!=t&&t.Node&&a instanceof t.Node||null!=t&&t.HTMLCollection&&a instanceof t.HTMLCollection)return a;if(null!==a&&"object"===n(a))if(Array.isArray(a))for(i=[],r=0,o=a.length;r<o;r++)i[r]=e(a[r]);else for(r in i={},a)i[r]=e(a[r]);return i};(Pn=new(k($()).CssSelectorParser)).registerSelectorPseudos("not"),Pn.registerSelectorPseudos("is"),Pn.registerNestingOperators(">"),Pn.registerAttrEqualityMods("^","$","*","~");var tr=Pn;function ar(e,t){return s=t,1===(l=e).props.nodeType&&("*"===s.tag||l.props.nodeName===s.tag)&&(o=e,!(i=t).classes||i.classes.every((function(e){return o.hasClass(e.value)})))&&(r=e,!(n=t).attributes||n.attributes.every((function(e){var t=r.attr(e.key);return null!==t&&(!e.value||e.test(t))})))&&(i=e,!(n=t).id||i.props.id===n.id)&&(a=e,!((t=t).pseudos&&!t.pseudos.every((function(e){if("not"===e.name)return!e.expressions.some((function(e){return sr(a,e)}));if("is"===e.name)return e.expressions.some((function(e){return sr(a,e)}));throw new Error("the pseudo selector "+e.name+" has not yet been implemented")}))));var a,r,n,o,i,l,s}var rr,nr=(rr=/(?=[\\-\\[\\]{}()*+?.\\\\\\^$|,#\\s])/g,function(e){return e.replace(rr,"\\\\")}),or=/\\\\/g;function ir(e){return e.map((function(e){for(var t=[],a=e.rule;a;)t.push({tag:a.tagName?a.tagName.toLowerCase():"*",combinator:a.nestingOperator||" ",id:a.id,attributes:function(e){if(e)return e.map((function(e){var t,a,r=e.name.replace(or,""),n=(e.value||"").replace(or,"");switch(e.operator){case"^=":a=new RegExp("^"+nr(n));break;case"$=":a=new RegExp(nr(n)+"$");break;case"~=":a=new RegExp("(^|\\\\s)"+nr(n)+"(\\\\s|$)");break;case"|=":a=new RegExp("^"+nr(n)+"(-|$)");break;case"=":t=function(e){return n===e};break;case"*=":t=function(e){return e&&e.includes(n)};break;case"!=":t=function(e){return n!==e};break;default:t=function(e){return!!e}}return""===n&&/^[*$^]=$/.test(e.operator)&&(t=function(){return!1}),{key:r,value:n,test:t=t||function(e){return e&&a.test(e)}}}))}(a.attrs),classes:function(e){if(e)return e.map((function(e){return{value:e=e.replace(or,""),regexp:new RegExp("(^|\\\\s)"+nr(e)+"(\\\\s|$)")}}))}(a.classNames),pseudos:function(e){if(e)return e.map((function(e){var t;return["is","not"].includes(e.name)&&(t=ir(t=(t=e.value).selectors||[t])),{name:e.name,expressions:t,value:e.value}}))}(a.pseudos)}),a=a.rule;return t}))}function lr(e){return ir(e=(e=tr.parse(e)).selectors||[e])}function sr(e,t,a){return function e(t,a,r,n){for(var o=Array.isArray(a)?a[r]:a,i=ar(t,o);!i&&n&&t.parent;)i=ar(t=t.parent,o);if(0<r){if(!1===[" ",">"].includes(o.combinator))throw new Error("axe.utils.matchesExpression does not support the combinator: "+o.combinator);i=i&&e(t.parent,a,r-1," "===o.combinator)}return i}(e,t,t.length-1,a)}var ur=function(e,t){return lr(t).some((function(t){return sr(e,t)}))},cr=function(e,t){for(;e;){if(ur(e,t))return e;if(void 0===e.parent)throw new TypeError("Cannot resolve parent for non-DOM nodes");e=e.parent}return null};function dr(){}function pr(e){if("function"!=typeof e)throw new TypeError("Queue methods require functions as arguments")}var fr,mr,hr=function(){function e(e){t=e,setTimeout((function(){null!=t&&Rt("Uncaught error (of queue)",t)}),1)}var t,a=[],r=0,o=0,i=dr,l=!1,s=e;function u(e){return i=dr,s(e),a}function c(){for(var e=a.length;r<e;r++){var t=a[r];try{t.call(null,function(e){return function(t){a[e]=t,--o||i===dr||(l=!0,i(a))}}(r),u)}catch(e){u(e)}}}var d={defer:function(e){var r;if("object"===n(e)&&e.then&&e.catch&&(r=e,e=function(e,t){r.then(e).catch(t)}),pr(e),void 0===t){if(l)throw new Error("Queue already completed");return a.push(e),++o,c(),d}},then:function(e){if(pr(e),i!==dr)throw new Error("queue `then` already set");return t||(i=e,o||(l=!0,i(a))),d},catch:function(a){if(pr(a),s!==e)throw new Error("queue `catch` already set");return t?(a(t),t=null):s=a,d},abort:u};return d},gr={};function br(e,t,a,r,n){return r={topic:t,message:a,channelId:"".concat(ta(),":").concat(ta()),keepalive:r},mr(e,r,n)}function yr(e,t){var a=e.topic,r=e.message;e=e.keepalive;if(a=gr[a])try{a(r,e,t)}catch(a){o.log(a),t(a,e)}}function vr(e,t,a,r){var n,o=e.contentWindow,i=null!==(i=null===(i=t.options)||void 0===i?void 0:i.pingWaitTime)&&void 0!==i?i:500;if(!o)return Rt("Frame does not have a content window",e),void a(null);0!==i?(n=setTimeout((function(){n=setTimeout((function(){t.debug?r(Dr("No response from frame",e)):a(null)}),0)}),i),br(o,"axe.ping",null,void 0,(function(){clearTimeout(n),wr(e,t,a,r)}))):wr(e,t,a,r)}function wr(e,t,a,r){var n=null!==(o=null===(n=t.options)||void 0===n?void 0:n.frameWaitTime)&&void 0!==o?o:6e4,o=e.contentWindow,i=setTimeout((function(){r(Dr("Axe in frame timed out",e))}),n);br(o,"axe.start",t,void 0,(function(e){clearTimeout(i),(e instanceof Error==0?a:r)(e)}))}function Dr(e,t){var a;return o._tree&&(a=Ha(t)),new Error(e+": "+(a||t))}br.updateMessenger=function(e){var t=e.open;e=e.post;Bt("function"==typeof t,"open callback must be a function"),Bt("function"==typeof e,"post callback must be a function"),fr&&fr(),t=t(yr),fr=t?(Bt("function"==typeof t,"open callback must return a cleanup function"),t):null,mr=e},br.subscribe=function(e,t){Bt("function"==typeof t,"Subscriber callback must be a function"),Bt(!gr[e],"Topic ".concat(e," is already registered to.")),gr[e]=t},br.isInFrame=function(){return!!(0<arguments.length&&void 0!==arguments[0]?arguments[0]:t).frameElement},ua(br);var xr=function(e){return[].concat(e.any||[]).concat(e.all||[]).concat(e.none||[])},Er=function(e,t,a){if(Array.isArray(e))return e.find((function(e){return"object"===n(e)&&e[t]===a}))};function Ar(e,t){for(var a=0<arguments.length&&void 0!==e?e:[],r=1<arguments.length&&void 0!==t?t:[],n=Math.max(null==a?void 0:a.length,null==r?void 0:r.length),o=0;o<n;o++){var i=null==a?void 0:a[o],l=null==r?void 0:r[o];if("number"!=typeof i||isNaN(i))return 0===o?1:-1;if("number"!=typeof l||isNaN(l))return 0===o?-1:1;if(i!==l)return i-l}return 0}var Cr=function(e,t){var a=[];return e.forEach((function(e){var r,n=(n=e)&&n.results?Array.isArray(n.results)?n.results.length?n.results:null:[n.results]:null;n&&n.length&&(r=function(e,t){return e.frameElement?new Qa(e.frameElement,t):e.frameSpec?e.frameSpec:null}(e,t),n.forEach((function(e){var n,o;e.nodes&&r&&(i=e.nodes,n=t,o=r,i.forEach((function(e){e.node=Qa.fromFrame(e.node,n,o),xr(e).forEach((function(e){e.relatedNodes=e.relatedNodes.map((function(e){return Qa.fromFrame(e,n,o)}))}))})));var i=Er(a,"id",e.id);i?e.nodes.length&&function(e,t){for(var a=t[0].node,r=0;r<e.length;r++){var n=e[r].node,o=Ar(n.nodeIndexes,a.nodeIndexes);if(0<o||0===o&&a.selector.length<n.selector.length)return e.splice.apply(e,[r,0].concat(R(t)))}e.push.apply(e,R(t))}(i.nodes,e.nodes):a.push(e)})))})),a.forEach((function(e){e.nodes&&e.nodes.sort((function(e,t){return Ar(e.node.nodeIndexes,t.node.nodeIndexes)}))})),a};function Fr(e,t,a,r,n,o){var i=hr();e.frames.forEach((function(e){var n=e.node,o=N(e,l);i.defer((function(e,i){vr(n,{options:t,command:a,parameter:r,context:o},(function(t){return e(t?{results:t,frameElement:n}:null)}),i)}))})),i.then((function(e){n(Cr(e,t))})).catch(o)}function kr(e,t){if(e.shadowId||t.shadowId){do{if(e.shadowId===t.shadowId)return!0}while(t=t.parent);return!1}if(!e.actualNode)do{if(t===e)return!0}while(t=t.parent);return"function"==typeof e.actualNode.contains?e.actualNode.contains(t.actualNode):!!(16&e.actualNode.compareDocumentPosition(t.actualNode))}var Nr=function e(){for(var t={},a=arguments.length,r=new Array(a),o=0;o<a;o++)r[o]=arguments[o];return r.forEach((function(a){if(a&&"object"===n(a)&&!Array.isArray(a))for(var r=0,o=Object.keys(a);r<o.length;r++){var i=o[r];!t.hasOwnProperty(i)||"object"!==n(a[i])||Array.isArray(t[i])?t[i]=a[i]:t[i]=e(t[i],a[i])}})),t},Rr=function(e,t){Object.assign(e,t),Object.keys(t).filter((function(e){return"function"==typeof t[e]})).forEach((function(a){e[a]=null;try{e[a]=t[a](e)}catch(a){}}))},Tr=["article","aside","blockquote","body","div","footer","h1","h2","h3","h4","h5","h6","header","main","nav","p","section","span"],_r=function(e){return!!(e.shadowRoot&&(e=e.nodeName.toLowerCase(),Tr.includes(e)||/^[a-z][a-z0-9_.-]*-[a-z0-9_.-]*$/.test(e)))},Or={};A(Or,{findElmsInContext:function(){return Ir},findUp:function(){return Mr},findUpVirtual:function(){return Br},getComposedParent:function(){return Lr},getElementByReference:function(){return Vr},getElementCoordinates:function(){return Hr},getElementStack:function(){return an},getRootNode:function(){return Pr},getScrollOffset:function(){return zr},getTabbableElements:function(){return rn},getTextElementStack:function(){return on},getViewportSize:function(){return $r},hasContent:function(){return mn},hasContentVirtual:function(){return fn},idrefs:function(){return un},insertedIntoFocusOrder:function(){return Dn},isCurrentPageLink:function(){return Ur},isFocusable:function(){return wn},isHTML5:function(){return xn},isHiddenWithCSS:function(){return bn},isInTextBlock:function(){return Cn},isModalOpen:function(){return Fn},isNativelyFocusable:function(){return vn},isNode:function(){return kn},isOffscreen:function(){return Wr},isOpaque:function(){return qn},isSkipLink:function(){return Un},isVisible:function(){return Kr},isVisualContent:function(){return sn},reduceToElementsBelowFloating:function(){return Vn},shadowElementsFromPoint:function(){return Wn},urlPropsFromAttribute:function(){return Gn},visuallyContains:function(){return zn},visuallyOverlaps:function(){return Yn}});var Sr=function(e){var t=e.getRootNode&&e.getRootNode()||r;return t===e?r:t},Pr=Sr,Ir=function(e){var t=e.context,a=e.value,r=e.attr;e=void 0===(e=e.elm)?"":e,a=Ea(a),t=9===t.nodeType||11===t.nodeType?t:Pr(t);return Array.from(t.querySelectorAll(e+"["+r+"="+a+"]"))},Br=function(e,t){var a=e.actualNode;if(!e.shadowId&&"function"==typeof e.actualNode.closest)return(e=e.actualNode.closest(t))||null;for(;(a=(a=a.assignedSlot||a.parentNode)&&11===a.nodeType?a.host:a)&&!Ta(a,t)&&a!==r.documentElement;);return a&&Ta(a,t)?a:null},Mr=function(e,t){return Br(Xa(e),t)},Lr=function e(t){if(t.assignedSlot)return e(t.assignedSlot);if(t.parentNode){if(1===(t=t.parentNode).nodeType)return t;if(t.host)return t.host}return null},jr=/^\\/\\#/,qr=/^#[!/]/;function Ur(e){var a=e.getAttribute("href");if(!a||"#"===a)return!1;if(jr.test(a))return!0;var r=e.hash,n=e.protocol,o=e.hostname,i=e.port;e=e.pathname;return!qr.test(r)&&("#"===a.charAt(0)||("string"!=typeof(null===(a=t.location)||void 0===a?void 0:a.origin)||-1===t.location.origin.indexOf("://")?null:(a=t.location.origin+t.location.pathname,i=o?"".concat(n,"//").concat(o).concat(i?":".concat(i):""):t.location.origin,(i+=e?("/"!==e[0]?"/":"")+e:t.location.pathname)===a)))}var Vr=function(e,t){var a=e.getAttribute(t);return a&&("href"!==t||Ur(e))?(-1!==a.indexOf("#")&&(a=decodeURIComponent(a.substr(a.indexOf("#")+1))),(e=r.getElementById(a))||((e=r.getElementsByName(a)).length?e[0]:null)):null},zr=function(e){if(9!==(e=!e.nodeType&&e.document?e.document:e).nodeType)return{left:e.scrollLeft,top:e.scrollTop};var t=e.documentElement;e=e.body;return{left:t&&t.scrollLeft||e&&e.scrollLeft||0,top:t&&t.scrollTop||e&&e.scrollTop||0}},Hr=function(e){var t=(a=zr(r)).left,a=a.top;return{top:(e=e.getBoundingClientRect()).top+a,right:e.right+t,bottom:e.bottom+a,left:e.left+t,width:e.right-e.left,height:e.bottom-e.top}},$r=function(e){var t=e.document,a=t.documentElement;return e.innerWidth?{width:e.innerWidth,height:e.innerHeight}:a?{width:a.clientWidth,height:a.clientHeight}:{width:(t=t.body).clientWidth,height:t.clientHeight}},Wr=function(e){var a=r.documentElement,n=t.getComputedStyle(e),o=t.getComputedStyle(r.body||a).getPropertyValue("direction"),i=Hr(e);if(i.bottom<0&&(function(e,t){for(e=Lr(e);e&&"html"!==e.nodeName.toLowerCase();){if(e.scrollTop&&0<=(t+=e.scrollTop))return;e=Lr(e)}return 1}(e,i.bottom)||"absolute"===n.position))return!0;if(0===i.left&&0===i.right)return!1;if("ltr"===o){if(i.right<=0)return!0}else if(a=Math.max(a.scrollWidth,$r(t).width),i.left>=a)return!0;return!1},Gr=/rect\\s*\\(([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px\\s*\\)/,Yr=/(\\w+)\\((\\d+)/;var Kr=function e(a,r,n){if(!a)throw new TypeError("Cannot determine if element is visible for non-DOM nodes");var i=a instanceof Ot?a:Xa(a);a=i?i.actualNode:a;var l,s,u="_isVisible"+(r?"ScreenReader":""),c=(f=null!==(p=t.Node)&&void 0!==p?p:{}).DOCUMENT_NODE,d=f.DOCUMENT_FRAGMENT_NODE,p=(i?i.props:a).nodeType,f=i?i.props.nodeName:a.nodeName.toLowerCase();if(i&&void 0!==i[u])return i[u];if(p===c)return!0;if(["style","script","noscript","template"].includes(f))return!1;if(a&&p===d&&(a=a.host),r&&"true"===(i?i.attr("aria-hidden"):a.getAttribute("aria-hidden")))return!1;if(!a){var m,h=!0;return(m=i.parent)&&(h=e(m,r,!0)),i&&(i[u]=h),h}if(null===(m=t.getComputedStyle(a,null)))return!1;if("area"===f)return l=r,s=n,!!(g=Mr(b=a,"map"))&&!!(g=g.getAttribute("name"))&&!(!(b=Pr(b))||9!==b.nodeType)&&!(!(g=ai(o._tree,\'img[usemap="#\'.concat(Ea(g),\'"]\')))||!g.length)&&g.some((function(t){return e(t.actualNode,l,s)}));if("none"===m.getPropertyValue("display"))return!1;h=parseInt(m.getPropertyValue("height")),f=parseInt(m.getPropertyValue("width"));var g=(b=go(a))&&0===h,b=b&&0===f;return f="absolute"===m.getPropertyValue("position")&&(h<2||f<2)&&"hidden"===m.getPropertyValue("overflow"),!(!r&&(function(e){var t=e.getPropertyValue("clip").match(Gr),a=e.getPropertyValue("clip-path").match(Yr);if(t&&5===t.length&&(e=e.getPropertyValue("position"),["fixed","absolute"].includes(e)))return t[3]-t[1]<=0&&t[2]-t[4]<=0;if(a){t=a[1];var r=parseInt(a[2],10);switch(t){case"inset":return 50<=r;case"circle":return 0===r}}}(m)||"0"===m.getPropertyValue("opacity")||g||b||f))&&(!(!n&&("hidden"===m.getPropertyValue("visibility")||!r&&Wr(a)))&&(m=a.assignedSlot||a.parentNode,a=!1,m&&(a=e(m,r,!0)),i&&(i[u]=a),a))},Xr=200;function Jr(e,a,n){var i,l=0<arguments.length&&void 0!==e?e:r.body,s=1<arguments.length&&void 0!==a?a:{container:null,cells:[]},u=2<arguments.length&&void 0!==n?n:null;u||((i=(i=Xa(r.documentElement))||new Xn(r.documentElement))._stackingOrder=[0],tn(s,i),go(i.actualNode)&&(i._subGrid={container:i,cells:[]}));for(var c=r.createTreeWalker(l,t.NodeFilter.SHOW_ELEMENT,null,!1),d=u?c.nextNode():c.currentNode;d;){var p=Xa(d);d.parentElement?u=Xa(d.parentElement):d.parentNode&&Xa(d.parentNode)&&(u=Xa(d.parentNode)),(p=p||new o.VirtualNode(d,u))._stackingOrder=function(e,t){var a=t._stackingOrder.slice(),r=e.getComputedStylePropertyValue("z-index"),n="static"!==e.getComputedStylePropertyValue("position"),o="none"!==e.getComputedStylePropertyValue("float");if(n&&!["auto","0"].includes(r)){for(;a.find((function(e){return e%1!=0}));){var i=a.findIndex((function(e){return e%1!=0}));a.splice(i,1)}a[a.length-1]=parseInt(r)}return!function(e,t){var a=e.getComputedStylePropertyValue("position"),r=e.getComputedStylePropertyValue("z-index");return"fixed"===a||"sticky"===a||("auto"!==r&&"static"!==a||("1"!==e.getComputedStylePropertyValue("opacity")||("none"!==(e.getComputedStylePropertyValue("-webkit-transform")||e.getComputedStylePropertyValue("-ms-transform")||e.getComputedStylePropertyValue("transform")||"none")||(!(!(a=e.getComputedStylePropertyValue("mix-blend-mode"))||"normal"===a)||(!(!(a=e.getComputedStylePropertyValue("filter"))||"none"===a)||(!(!(a=e.getComputedStylePropertyValue("perspective"))||"none"===a)||(!(!(a=e.getComputedStylePropertyValue("clip-path"))||"none"===a)||("none"!==(e.getComputedStylePropertyValue("-webkit-mask")||e.getComputedStylePropertyValue("mask")||"none")||("none"!==(e.getComputedStylePropertyValue("-webkit-mask-image")||e.getComputedStylePropertyValue("mask-image")||"none")||("none"!==(e.getComputedStylePropertyValue("-webkit-mask-border")||e.getComputedStylePropertyValue("mask-border")||"none")||("isolate"===e.getComputedStylePropertyValue("isolation")||("transform"===(a=e.getComputedStylePropertyValue("will-change"))||"opacity"===a||("touch"===e.getComputedStylePropertyValue("-webkit-overflow-scrolling")||(e=e.getComputedStylePropertyValue("contain"),!!["layout","paint","strict","content"].includes(e)||!("auto"===r||!t||(t=t.getComputedStylePropertyValue("display"),!["flex","inline-flex","inline flex","grid","inline-grid","inline grid"].includes(t)))))))))))))))))}(e,t)?n?a.push(.5):o&&a.push(.25):a.push(0),a}(p,u);var f=function(e,t){for(var a=null,r=[e];t;){if(go(t.actualNode)){a=t;break}if(t._scrollRegionParent){a=t._scrollRegionParent;break}r.push(t),t=Xa(t.actualNode.parentElement||t.actualNode.parentNode)}return r.forEach((function(e){return e._scrollRegionParent=a})),a}(p,u),m=f?f._subGrid:s;go(p.actualNode)&&(p._subGrid={container:p,cells:[]}),0!==(f=p.boundingClientRect).width&&0!==f.height&&Kr(d)&&tn(m,p),_r(d)&&Jr(d.shadowRoot,m,p),d=c.nextNode()}}function Qr(e,t,a){var n=2<arguments.length&&void 0!==a&&a,o=t.left+t.width/2,i=t.top+t.height/2,l=i/Xr|0,s=o/Xr|0;if(l>e.cells.length||s>e.numCols)throw new Error("Element midpoint exceeds the grid bounds");return l=null!==(s=null===(l=e.cells[l][s])||void 0===l?void 0:l.filter((function(e){return e.clientRects.find((function(e){var t=e.left,a=e.top;return o<=t+e.width&&t<=o&&i<=a+e.height&&a<=i}))})))&&void 0!==s?s:[],(s=e.container)&&(l=Qr(s._grid,s.boundingClientRect,!0).concat(l)),n?l:l.sort(en).map((function(e){return e.actualNode})).concat(r.documentElement).filter((function(e,t,a){return a.indexOf(e)===t}))}function Zr(e){return-1!==e.getComputedStylePropertyValue("display").indexOf("inline")?2:function e(t){if(!t)return!1;if(void 0!==t._isFloated)return t._isFloated;if("none"!==t.getComputedStylePropertyValue("float"))return t._isFloated=!0;var a=e(t.parent);return t._isFloated=a}(e)?1:0}function en(e,a){for(var r=Math.max(e._stackingOrder.length,a._stackingOrder.length),n=0;n<r;n++){if(void 0===a._stackingOrder[n])return-1;if(void 0===e._stackingOrder[n])return 1;if(a._stackingOrder[n]>e._stackingOrder[n])return 1;if(a._stackingOrder[n]<e._stackingOrder[n])return-1}var o=e.actualNode,i=a.actualNode;if(o.getRootNode&&o.getRootNode()!==i.getRootNode()){for(var l=[];o;)l.push({root:o.getRootNode(),node:o}),o=o.getRootNode().host;for(;i&&!l.find((function(e){return e.root===i.getRootNode()}));)i=i.getRootNode().host;if((o=l.find((function(e){return e.root===i.getRootNode()})).node)===i)return e.actualNode.getRootNode()!==o.getRootNode()?-1:1}var s,u=(s=t.Node).DOCUMENT_POSITION_FOLLOWING,c=s.DOCUMENT_POSITION_CONTAINS,d=s.DOCUMENT_POSITION_CONTAINED_BY;u=(s=o.compareDocumentPosition(i))&u?1:-1,c=s&c||s&d;return(s=Zr(e))===(d=Zr(a))||c?u:d-s}function tn(e,t){t._grid=e,t.clientRects.forEach((function(a){var r=a.left,n=a.top,o=n/Xr|0,i=r/Xr|0,l=(n+a.height)/Xr|0,s=(r+a.width)/Xr|0;e.numCols=Math.max(null!==(a=e.numCols)&&void 0!==a?a:0,s);for(var u=o;u<=l;u++){e.cells[u]=e.cells[u]||[];for(var c=i;c<=s;c++)e.cells[u][c]=e.cells[u][c]||[],e.cells[u][c].includes(t)||e.cells[u][c].push(t)}}))}var an=function(e){Ka.get("gridCreated")||(Jr(),Ka.set("gridCreated",!0));var t=Xa(e);return(e=t._grid)?Qr(e,t.boundingClientRect):[]},rn=function(e){return ai(e,"*").filter((function(e){var t=e.isFocusable;return(e=(e=e.actualNode.getAttribute("tabindex"))&&!isNaN(parseInt(e,10))?parseInt(e):null)?t&&0<=e:t}))},nn=function(e){return e?e.replace(/\\r\\n/g,"\\n").replace(/\\u00A0/g," ").replace(/[\\s]{2,}/g," ").trim():""},on=function(e){Ka.get("gridCreated")||(Jr(),Ka.set("gridCreated",!0));var t=Xa(e),a=t._grid;if(!a)return[];var n=t.boundingClientRect,o=[];return Array.from(e.childNodes).forEach((function(e){if(3===e.nodeType&&""!==nn(e.textContent)){var t=r.createRange();t.selectNodeContents(e);var a=t.getClientRects();if(!Array.from(a).some((function(e){var t=e.left+e.width/2;e=e.top+e.height/2;return t<n.left||t>n.right||e<n.top||e>n.bottom})))for(var i=0;i<a.length;i++){var l=a[i];1<=l.width&&1<=l.height&&o.push(l)}}})),o.length?o.map((function(e){return Qr(a,e)})):[an(e)]},ln=["checkbox","img","radio","range","slider","spinbutton","textbox"],sn=function(e){var t=e.getAttribute("role");if(t)return-1!==ln.indexOf(t);switch(e.nodeName.toUpperCase()){case"IMG":case"IFRAME":case"OBJECT":case"VIDEO":case"AUDIO":case"CANVAS":case"SVG":case"MATH":case"BUTTON":case"SELECT":case"TEXTAREA":case"KEYGEN":case"PROGRESS":case"METER":return!0;case"INPUT":return"hidden"!==e.type;default:return!1}},un=function(e,t){e=e.actualNode||e;try{var a=Pr(e),r=[];if(n=e.getAttribute(t))for(var n=ui(n),o=0;o<n.length;o++)r.push(a.getElementById(n[o]));return r}catch(e){throw new TypeError("Cannot resolve id references for non-DOM nodes")}},cn=function e(t,a,r){var n=t instanceof Ot?t:Xa(t),o=!t.actualNode||t.actualNode&&Kr(t.actualNode,a);n=n.children.map((function(t){var n=(i=t.props).nodeType,i=i.nodeValue;if(3===n){if(i&&o)return i}else if(!r)return e(t,a)})).join("");return nn(n)},dn=function(e){var t;return e.attr("aria-labelledby")&&(t=un(e.actualNode,"aria-labelledby").map((function(e){return(e=Xa(e))?cn(e):""})).join(" ").trim())||(t=(t=e.attr("aria-label"))&&nn(t))?t:null},pn=["HEAD","TITLE","TEMPLATE","SCRIPT","STYLE","IFRAME","OBJECT","VIDEO","AUDIO","NOSCRIPT"],fn=function e(t,a,r){return function(e){if(!pn.includes(e.actualNode.nodeName.toUpperCase()))return e.children.some((function(e){return 3===(e=e.actualNode).nodeType&&e.nodeValue.trim()}))}(t)||sn(t.actualNode)||!r&&!!dn(t)||!a&&t.children.some((function(t){return 1===t.actualNode.nodeType&&e(t)}))},mn=function(e,t,a){return e=Xa(e),fn(e,t,a)};function hn(e,t){var a=Xa(e);return a?(void 0===a._isHiddenWithCSS&&(a._isHiddenWithCSS=gn(e,t)),a._isHiddenWithCSS):gn(e,t)}function gn(e,a){if(9===e.nodeType)return!1;if(11===e.nodeType&&(e=e.host),["STYLE","SCRIPT"].includes(e.nodeName.toUpperCase()))return!1;if(!(n=t.getComputedStyle(e,null)))throw new Error("Style does not exist for the given element.");if("none"===n.getPropertyValue("display"))return!0;var r=["hidden","collapse"],n=n.getPropertyValue("visibility");return!(!r.includes(n)||a)||(!!(r.includes(n)&&a&&r.includes(a))||!(!(e=Lr(e))||r.includes(n))&&hn(e,n))}var bn=hn,yn=function(e){var t=e instanceof Ot?e:Xa(e);if(t.hasAttr("disabled"))return!0;for(var a=t.parent,r=[],n=!1;a&&a.shadowId===t.shadowId&&!n&&(r.push(a),"legend"!==a.props.nodeName);){if(void 0!==a._inDisabledFieldset){n=a._inDisabledFieldset;break}"fieldset"===a.props.nodeName&&a.hasAttr("disabled")&&(n=!0),a=a.parent}return r.forEach((function(e){return e._inDisabledFieldset=n})),!!n||"area"!==t.props.nodeName&&!!t.actualNode&&bn(t.actualNode)},vn=function(e){var t=e instanceof Ot?e:Xa(e);if(!t||yn(t))return!1;switch(t.props.nodeName){case"a":case"area":if(t.hasAttr("href"))return!0;break;case"input":return"hidden"!==t.props.type;case"textarea":case"select":case"summary":case"button":return!0;case"details":return!ai(t,"summary").length}return!1},wn=function(e){return!(1!==(e=e instanceof Ot?e:Xa(e)).props.nodeType||yn(e)||!vn(e)&&(!(e=e.attr("tabindex"))||isNaN(parseInt(e,10))))},Dn=function(e){return-1<parseInt(e.getAttribute("tabindex"),10)&&wn(e)&&!vn(e)},xn=function(e){return null!==(e=e.doctype)&&"html"===e.name&&!e.publicId&&!e.systemId},En=["block","list-item","table","flex","grid","inline-block"];function An(e){return e=t.getComputedStyle(e).getPropertyValue("display"),En.includes(e)||"table-"===e.substr(0,6)}var Cn=function(e){if(An(e))return!1;var t=function(e){for(var t=Lr(e);t&&!An(t);)t=Lr(t);return Xa(t)}(e),a="",r="",n=0;return function e(t,a){!1!==a(t.actualNode)&&t.children.forEach((function(t){return e(t,a)}))}(t,(function(t){if(2===n)return!1;if(3===t.nodeType&&(a+=t.nodeValue),1===t.nodeType){var o=(t.nodeName||"").toUpperCase();if(!["BR","HR"].includes(o))return!("none"===t.style.display||"hidden"===t.style.overflow||!["",null,"none"].includes(t.style.float)||!["",null,"relative"].includes(t.style.position))&&("A"===o&&t.href||"link"===(t.getAttribute("role")||"").toLowerCase()?(t===e&&(n=1),r+=t.textContent,!1):void 0);0===n?r=a="":n=2}})),a=nn(a),r=nn(r),a.length>r.length},Fn=function(e){var a=(e=e||{}).modalPercent||.75;if(Ka.get("isModalOpen"))return Ka.get("isModalOpen");if(Wo(o._tree[0],"dialog, [role=dialog], [aria-modal=true]",(function(e){return Kr(e.actualNode)})).length)return Ka.set("isModalOpen",!0),!0;for(var i=$r(t),l=i.width*a,s=i.height*a,u=[{x:e=(i.width-l)/2,y:a=(i.height-s)/2},{x:i.width-e,y:a},{x:i.width/2,y:i.height/2},{x:e,y:i.height-a},{x:i.width-e,y:i.height-a}].map((function(e){return Array.from(r.elementsFromPoint(e.x,e.y))})),c=0;c<u.length;c++){var d=function(e){var a=u[e].find((function(e){return e=t.getComputedStyle(e),parseInt(e.width,10)>=l&&parseInt(e.height,10)>=s&&"none"!==e.getPropertyValue("pointer-events")&&("absolute"===e.position||"fixed"===e.position)}));if(a&&u.every((function(e){return e.includes(a)})))return Ka.set("isModalOpen",!0),{v:!0}}(c);if("object"===n(d))return d.v}Ka.set("isModalOpen",void 0)},kn=function(e){return e instanceof t.Node},Nn={},Rn={set:function(e,t){if("string"!=typeof e)throw new Error("Incomplete data: key must be a string");return t&&(Nn[e]=t),Nn[e]},get:function(e){return Nn[e]},clear:function(){Nn={}}},Tn=function(e,a){var r=e.nodeName.toUpperCase();return["IMG","CANVAS","OBJECT","IFRAME","VIDEO","SVG"].includes(r)?(Rn.set("bgColor","imgNode"),!0):((a="none"!==(e=(a=a||t.getComputedStyle(e)).getPropertyValue("background-image")))&&(e=/gradient/.test(e),Rn.set("bgColor",e?"bgGradient":"bgImage")),a)},_n={"aria-activedescendant":{type:"idref",allowEmpty:!0},"aria-atomic":{type:"boolean",global:!0},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"]},"aria-busy":{type:"boolean",global:!0},"aria-checked":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-colcount":{type:"int",minValue:-1},"aria-colindex":{type:"int",minValue:1},"aria-colspan":{type:"int",minValue:1},"aria-controls":{type:"idrefs",allowEmpty:!0,global:!0},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],global:!0},"aria-describedby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-details":{type:"idref",allowEmpty:!0,global:!0},"aria-disabled":{type:"boolean",global:!0},"aria-dropeffect":{type:"nmtokens",values:["copy","execute","link","move","none","popup"],global:!0},"aria-errormessage":{type:"idref",allowEmpty:!0,global:!0},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"]},"aria-flowto":{type:"idrefs",allowEmpty:!0,global:!0},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],global:!0},"aria-hidden":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-invalid":{type:"nmtoken",allowEmpty:!0,values:["grammar","false","spelling","true"],global:!0},"aria-keyshortcuts":{type:"string",allowEmpty:!0,global:!0},"aria-label":{type:"string",allowEmpty:!0,global:!0},"aria-labelledby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-level":{type:"int",minValue:1},"aria-live":{type:"nmtoken",values:["assertive","off","polite"],global:!0},"aria-modal":{type:"boolean"},"aria-multiline":{type:"boolean"},"aria-multiselectable":{type:"boolean"},"aria-orientation":{type:"nmtoken",values:["horizontal","undefined","vertical"]},"aria-owns":{type:"idrefs",allowEmpty:!0,global:!0},"aria-placeholder":{type:"string",allowEmpty:!0},"aria-posinset":{type:"int",minValue:1},"aria-pressed":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-readonly":{type:"boolean"},"aria-relevant":{type:"nmtokens",values:["additions","all","removals","text"],global:!0},"aria-required":{type:"boolean"},"aria-roledescription":{type:"string",allowEmpty:!0,global:!0},"aria-rowcount":{type:"int",minValue:-1},"aria-rowindex":{type:"int",minValue:1},"aria-rowspan":{type:"int",minValue:0},"aria-selected":{type:"nmtoken",values:["false","true","undefined"]},"aria-setsize":{type:"int",minValue:-1},"aria-sort":{type:"nmtoken",values:["ascending","descending","none","other"]},"aria-valuemax":{type:"decimal"},"aria-valuemin":{type:"decimal"},"aria-valuenow":{type:"decimal"},"aria-valuetext":{type:"string"}},On={alert:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},alertdialog:{type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["alert","dialog"],accessibleNameRequired:!0},application:{type:"landmark",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["structure"],accessibleNameRequired:!0},article:{type:"structure",allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["document"]},banner:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},blockquote:{type:"structure",superclassRole:["section"]},button:{type:"widget",allowedAttrs:["aria-expanded","aria-pressed"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},caption:{type:"structure",requiredContext:["figure","table","grid","treegrid"],superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},cell:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-expanded"],superclassRole:["section"],nameFromContent:!0},checkbox:{type:"widget",allowedAttrs:["aria-checked","aria-readonly","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},code:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},columnheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},combobox:{type:"composite",requiredAttrs:["aria-expanded","aria-controls"],allowedAttrs:["aria-owns","aria-autocomplete","aria-readonly","aria-required","aria-activedescendant","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},command:{type:"abstract",superclassRole:["widget"]},complementary:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},composite:{type:"abstract",superclassRole:["widget"]},contentinfo:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},comment:{type:"structure",allowedAttrs:["aria-level","aria-posinset","aria-setsize"],superclassRole:["article"]},definition:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},deletion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},dialog:{type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["window"],accessibleNameRequired:!0},directory:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["list"],nameFromContent:!0},document:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["structure"]},emphasis:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},feed:{type:"structure",requiredOwned:["article"],allowedAttrs:["aria-expanded"],superclassRole:["list"]},figure:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},form:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},grid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-level","aria-multiselectable","aria-readonly","aria-activedescendant","aria-colcount","aria-expanded","aria-rowcount"],superclassRole:["composite","table"],accessibleNameRequired:!1},gridcell:{type:"widget",requiredContext:["row"],allowedAttrs:["aria-readonly","aria-required","aria-selected","aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan"],superclassRole:["cell","widget"],nameFromContent:!0},group:{type:"structure",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["section"]},heading:{type:"structure",requiredAttrs:["aria-level"],allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},img:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!0,childrenPresentational:!0},input:{type:"abstract",superclassRole:["widget"]},insertion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},landmark:{type:"abstract",superclassRole:["section"]},link:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},list:{type:"structure",requiredOwned:["group","listitem"],allowedAttrs:["aria-expanded"],superclassRole:["section"]},listbox:{type:"composite",requiredOwned:["group","option"],allowedAttrs:["aria-multiselectable","aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},listitem:{type:"structure",requiredContext:["list","group"],allowedAttrs:["aria-level","aria-posinset","aria-setsize","aria-expanded"],superclassRole:["section"],nameFromContent:!0},log:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},main:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},marquee:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},math:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],childrenPresentational:!0},menu:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"]},menubar:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["menu"]},menuitem:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},menuitemcheckbox:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-checked","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["checkbox","menuitem"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},menuitemradio:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-checked","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["menuitemcheckbox","radio"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},meter:{type:"structure",allowedAttrs:["aria-valuetext"],requiredAttrs:["aria-valuemax","aria-valuemin","aria-valuenow"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},mark:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},navigation:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},none:{type:"structure",superclassRole:["structure"],prohibitedAttrs:["aria-label","aria-labelledby"]},note:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},option:{type:"widget",requiredContext:["group","listbox"],allowedAttrs:["aria-selected","aria-checked","aria-posinset","aria-setsize"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},paragraph:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},presentation:{type:"structure",superclassRole:["structure"],prohibitedAttrs:["aria-label","aria-labelledby"]},progressbar:{type:"widget",allowedAttrs:["aria-expanded","aria-valuemax","aria-valuemin","aria-valuenow","aria-valuetext"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},radio:{type:"widget",allowedAttrs:["aria-checked","aria-posinset","aria-setsize","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},radiogroup:{type:"composite",requiredOwned:["radio"],allowedAttrs:["aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},range:{type:"abstract",superclassRole:["widget"]},region:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"],accessibleNameRequired:!1},roletype:{type:"abstract",superclassRole:[]},row:{type:"structure",requiredContext:["grid","rowgroup","table","treegrid"],requiredOwned:["cell","columnheader","gridcell","rowheader"],allowedAttrs:["aria-colindex","aria-level","aria-rowindex","aria-selected","aria-activedescendant","aria-expanded","aria-posinset","aria-setsize"],superclassRole:["group","widget"],nameFromContent:!0},rowgroup:{type:"structure",requiredContext:["grid","table","treegrid"],requiredOwned:["row"],superclassRole:["structure"],nameFromContent:!0},rowheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},scrollbar:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-controls","aria-orientation","aria-valuemax","aria-valuemin","aria-valuetext"],superclassRole:["range"],childrenPresentational:!0},search:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},searchbox:{type:"widget",allowedAttrs:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["textbox"],accessibleNameRequired:!0},section:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},sectionhead:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},select:{type:"abstract",superclassRole:["composite","group"]},separator:{type:"structure",allowedAttrs:["aria-valuemax","aria-valuemin","aria-valuenow","aria-orientation","aria-valuetext"],superclassRole:["structure","widget"],childrenPresentational:!0},slider:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-orientation","aria-readonly","aria-valuetext"],superclassRole:["input","range"],accessibleNameRequired:!0,childrenPresentational:!0},spinbutton:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-readonly","aria-required","aria-activedescendant","aria-valuetext"],superclassRole:["composite","input","range"],accessibleNameRequired:!0},status:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},strong:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},structure:{type:"abstract",superclassRole:["roletype"]},subscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},superscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},switch:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-readonly"],superclassRole:["checkbox"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},suggestion:{type:"structure",requiredOwned:["insertion","deletion"],superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},tab:{type:"widget",requiredContext:["tablist"],allowedAttrs:["aria-posinset","aria-selected","aria-setsize","aria-expanded"],superclassRole:["sectionhead","widget"],nameFromContent:!0,childrenPresentational:!0},table:{type:"structure",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-colcount","aria-rowcount","aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1,nameFromContent:!0},tablist:{type:"composite",requiredOwned:["tab"],allowedAttrs:["aria-level","aria-multiselectable","aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["composite"]},tabpanel:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1},term:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},text:{type:"structure",superclassRole:["section"],nameFromContent:!0},textbox:{type:"widget",allowedAttrs:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["input"],accessibleNameRequired:!0},time:{type:"structure",superclassRole:["section"]},timer:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["status"]},toolbar:{type:"structure",allowedAttrs:["aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["group"],accessibleNameRequired:!0},tooltip:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},tree:{type:"composite",requiredOwned:["group","treeitem"],allowedAttrs:["aria-multiselectable","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},treegrid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-readonly","aria-required","aria-rowcount"],superclassRole:["grid","tree"],accessibleNameRequired:!1},treeitem:{type:"widget",requiredContext:["group","tree"],allowedAttrs:["aria-checked","aria-expanded","aria-level","aria-posinset","aria-selected","aria-setsize"],superclassRole:["listitem","option"],accessibleNameRequired:!0,nameFromContent:!0},widget:{type:"abstract",superclassRole:["roletype"]},window:{type:"abstract",superclassRole:["roletype"]}},Sn={a:{variant:{href:{matches:"[href]",contentTypes:["interactive","phrasing","flow"],allowedRoles:["button","checkbox","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab","treeitem","doc-backlink","doc-biblioref","doc-glossref","doc-noteref"],namingMethods:["subtreeText"]},default:{contentTypes:["phrasing","flow"],allowedRoles:!0}}},abbr:{contentTypes:["phrasing","flow"],allowedRoles:!0},addres:{contentTypes:["flow"],allowedRoles:!0},area:{variant:{href:{matches:"[href]",allowedRoles:!1},default:{allowedRoles:["button","link"]}},contentTypes:["phrasing","flow"],namingMethods:["altText"]},article:{contentTypes:["sectioning","flow"],allowedRoles:["feed","presentation","none","document","application","main","region"],shadowRoot:!0},aside:{contentTypes:["sectioning","flow"],allowedRoles:["feed","note","presentation","none","region","search","doc-dedication","doc-example","doc-footnote","doc-pullquote","doc-tip"]},audio:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"Audio"},b:{contentTypes:["phrasing","flow"],allowedRoles:!0},base:{allowedRoles:!1,noAriaAttrs:!0},bdi:{contentTypes:["phrasing","flow"],allowedRoles:!0},bdo:{contentTypes:["phrasing","flow"],allowedRoles:!0},blockquote:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},body:{allowedRoles:!1,shadowRoot:!0},br:{contentTypes:["phrasing","flow"],allowedRoles:["presentation","none"],namingMethods:["titleText","singleSpace"]},button:{contentTypes:["interactive","phrasing","flow"],allowedRoles:["checkbox","link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"],namingMethods:["subtreeText"]},canvas:{allowedRoles:!0,contentTypes:["embedded","phrasing","flow"],chromiumRole:"Canvas"},caption:{allowedRoles:!1},cite:{contentTypes:["phrasing","flow"],allowedRoles:!0},code:{contentTypes:["phrasing","flow"],allowedRoles:!0},col:{allowedRoles:!1,noAriaAttrs:!0},colgroup:{allowedRoles:!1,noAriaAttrs:!0},data:{contentTypes:["phrasing","flow"],allowedRoles:!0},datalist:{contentTypes:["phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-multiselectable":"false"}},dd:{allowedRoles:!1},del:{contentTypes:["phrasing","flow"],allowedRoles:!0},dfn:{contentTypes:["phrasing","flow"],allowedRoles:!0},details:{contentTypes:["interactive","flow"],allowedRoles:!1},dialog:{contentTypes:["flow"],allowedRoles:["alertdialog"]},div:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},dl:{contentTypes:["flow"],allowedRoles:["group","list","presentation","none"],chromiumRole:"DescriptionList"},dt:{allowedRoles:["listitem"]},em:{contentTypes:["phrasing","flow"],allowedRoles:!0},embed:{contentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","presentation","none"],chromiumRole:"EmbeddedObject"},fieldset:{contentTypes:["flow"],allowedRoles:["none","presentation","radiogroup"],namingMethods:["fieldsetLegendText"]},figcaption:{allowedRoles:["group","none","presentation"]},figure:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["figureText","titleText"]},footer:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},form:{contentTypes:["flow"],allowedRoles:["search","none","presentation"]},h1:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"1"}},h2:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"2"}},h3:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"3"}},h4:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"4"}},h5:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"5"}},h6:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"6"}},head:{allowedRoles:!1,noAriaAttrs:!0},header:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},hgroup:{contentTypes:["heading","flow"],allowedRoles:!0},hr:{contentTypes:["flow"],allowedRoles:["none","presentation","doc-pagebreak"],namingMethods:["titleText","singleSpace"]},html:{allowedRoles:!1,noAriaAttrs:!0},i:{contentTypes:["phrasing","flow"],allowedRoles:!0},iframe:{contentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","none","presentation"],chromiumRole:"Iframe"},img:{variant:{nonEmptyAlt:{matches:[{attributes:{alt:"/.+/"}},{hasAccessibleName:!0}],allowedRoles:["button","checkbox","link","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","radio","scrollbar","separator","slider","switch","tab","treeitem","doc-cover"]},usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","flow"]},default:{allowedRoles:["presentation","none"],contentTypes:["embedded","flow"]}},namingMethods:["altText"]},input:{variant:{button:{matches:{properties:{type:"button"}},allowedRoles:["link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"]},buttonType:{matches:{properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},checkboxPressed:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":"/.*/"}},allowedRoles:["button","menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},checkbox:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":null}},allowedRoles:["menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},noRoles:{matches:{properties:{type:["color","date","datetime-local","file","month","number","password","range","reset","submit","time","week"]}},allowedRoles:!1},hidden:{matches:{properties:{type:"hidden"}},contentTypes:["flow"],allowedRoles:!1,noAriaAttrs:!0},image:{matches:{properties:{type:"image"}},allowedRoles:["link","menuitem","menuitemcheckbox","menuitemradio","radio","switch"],namingMethods:["altText","valueText","labelText","titleText","buttonDefaultText"]},radio:{matches:{properties:{type:"radio"}},allowedRoles:["menuitemradio"],implicitAttrs:{"aria-checked":"false"}},textWithList:{matches:{properties:{type:"text"},attributes:{list:"/.*/"}},allowedRoles:!1},default:{contentTypes:["interactive","flow"],allowedRoles:["combobox","searchbox","spinbutton"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelText","placeholderText"]}}},ins:{contentTypes:["phrasing","flow"],allowedRoles:!0},kbd:{contentTypes:["phrasing","flow"],allowedRoles:!0},label:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,chromiumRole:"Label"},legend:{allowedRoles:!1},li:{allowedRoles:["menuitem","menuitemcheckbox","menuitemradio","option","none","presentation","radio","separator","tab","treeitem","doc-biblioentry","doc-endnote"],implicitAttrs:{"aria-setsize":"1","aria-posinset":"1"}},link:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},main:{contentTypes:["flow"],allowedRoles:!1,shadowRoot:!0},map:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},math:{contentTypes:["embedded","phrasing","flow"],allowedRoles:!1},mark:{contentTypes:["phrasing","flow"],allowedRoles:!0},menu:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},meta:{variant:{itemprop:{matches:"[itemprop]",contentTypes:["phrasing","flow"]}},allowedRoles:!1,noAriaAttrs:!0},meter:{contentTypes:["phrasing","flow"],allowedRoles:!1,chromiumRole:"progressbar"},nav:{contentTypes:["sectioning","flow"],allowedRoles:["doc-index","doc-pagelist","doc-toc","menu","menubar","tablist"],shadowRoot:!0},noscript:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},object:{variant:{usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application","document","img"],chromiumRole:"PluginObject"},ol:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},optgroup:{allowedRoles:!1},option:{allowedRoles:!1,implicitAttrs:{"aria-selected":"false"}},output:{contentTypes:["phrasing","flow"],allowedRoles:!0,namingMethods:["subtreeText"]},p:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},param:{allowedRoles:!1,noAriaAttrs:!0},picture:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},pre:{contentTypes:["flow"],allowedRoles:!0},progress:{contentTypes:["phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-valuemax":"100","aria-valuemin":"0","aria-valuenow":"0"}},q:{contentTypes:["phrasing","flow"],allowedRoles:!0},rp:{allowedRoles:!0},rt:{allowedRoles:!0},ruby:{contentTypes:["phrasing","flow"],allowedRoles:!0},s:{contentTypes:["phrasing","flow"],allowedRoles:!0},samp:{contentTypes:["phrasing","flow"],allowedRoles:!0},script:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},section:{contentTypes:["sectioning","flow"],allowedRoles:["alert","alertdialog","application","banner","complementary","contentinfo","dialog","document","feed","group","log","main","marquee","navigation","none","note","presentation","search","status","tabpanel","doc-abstract","doc-acknowledgments","doc-afterword","doc-appendix","doc-bibliography","doc-chapter","doc-colophon","doc-conclusion","doc-credit","doc-credits","doc-dedication","doc-endnotes","doc-epigraph","doc-epilogue","doc-errata","doc-example","doc-foreword","doc-glossary","doc-index","doc-introduction","doc-notice","doc-pagelist","doc-part","doc-preface","doc-prologue","doc-pullquote","doc-qna","doc-toc"],shadowRoot:!0},select:{variant:{combobox:{matches:{attributes:{multiple:null,size:[null,"1"]}},allowedRoles:["menu"]},default:{allowedRoles:!1}},contentTypes:["interactive","phrasing","flow"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelText"]},slot:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},small:{contentTypes:["phrasing","flow"],allowedRoles:!0},source:{allowedRoles:!1,noAriaAttrs:!0},span:{contentTypes:["phrasing","flow"],allowedRoles:!0,shadowRoot:!0},strong:{contentTypes:["phrasing","flow"],allowedRoles:!0},style:{allowedRoles:!1,noAriaAttrs:!0},svg:{contentTypes:["embedded","phrasing","flow"],allowedRoles:!0,chromiumRole:"SVGRoot",namingMethods:["svgTitleText"]},sub:{contentTypes:["phrasing","flow"],allowedRoles:!0},summary:{allowedRoles:!1,namingMethods:["subtreeText"]},sup:{contentTypes:["phrasing","flow"],allowedRoles:!0},table:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["tableCaptionText","tableSummaryText"]},tbody:{allowedRoles:!0},template:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},textarea:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-valuenow":"","aria-multiline":"true"},namingMethods:["labelText","placeholderText"]},tfoot:{allowedRoles:!0},thead:{allowedRoles:!0},time:{contentTypes:["phrasing","flow"],allowedRoles:!0},title:{allowedRoles:!1,noAriaAttrs:!0},td:{allowedRoles:!0},th:{allowedRoles:!0},tr:{allowedRoles:!0},track:{allowedRoles:!1,noAriaAttrs:!0},u:{contentTypes:["phrasing","flow"],allowedRoles:!0},ul:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},var:{contentTypes:["phrasing","flow"],allowedRoles:!0},video:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"video"},wbr:{contentTypes:["phrasing","flow"],allowedRoles:["presentation","none"]}},Pn={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},In={ariaAttrs:_n,ariaRoles:_({},On,{"doc-abstract":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-acknowledgments":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-afterword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-appendix":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-backlink":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-biblioentry":{type:"listitem",allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"],deprecated:!0},"doc-bibliography":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-biblioref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-chapter":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-colophon":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-conclusion":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-cover":{type:"img",allowedAttrs:["aria-expanded"],superclassRole:["img"]},"doc-credit":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-credits":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-dedication":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-endnote":{type:"listitem",allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"],deprecated:!0},"doc-endnotes":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-epigraph":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-epilogue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-errata":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-example":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-footnote":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-foreword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossary":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-index":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-introduction":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-noteref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-notice":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-pagebreak":{type:"separator",allowedAttrs:["aria-expanded","aria-orientation"],superclassRole:["separator"],childrenPresentational:!0},"doc-pagelist":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-part":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-preface":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-prologue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-pullquote":{type:"none",superclassRole:["none"]},"doc-qna":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-subtitle":{type:"sectionhead",allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"]},"doc-tip":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-toc":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]}},{"graphics-document":{type:"structure",superclassRole:["document"],accessibleNameRequired:!0},"graphics-object":{type:"structure",superclassRole:["group"],nameFromContent:!0},"graphics-symbol":{type:"structure",superclassRole:["img"],accessibleNameRequired:!0,childrenPresentational:!0}}),htmlElms:Sn,cssColors:Pn},Bn=_({},In),Mn=Bn,Ln=function(e,t,a,r){this.red=e,this.green=t,this.blue=a,this.alpha=r,this.toHexString=function(){var e=Math.round(this.red).toString(16),t=Math.round(this.green).toString(16),a=Math.round(this.blue).toString(16);return"#"+(15.5<this.red?e:"0"+e)+(15.5<this.green?t:"0"+t)+(15.5<this.blue?a:"0"+a)};var n=/^#[0-9a-f]{3,8}$/i,o=/^((?:rgb|hsl)a?)\\s*\\(([^\\)]*)\\)/i;this.parseString=function(e){if(Mn.cssColors[e]||"transparent"===e){var t=(r=T(Mn.cssColors[e]||[0,0,0],3))[0],a=r[1],r=r[2];return this.red=t,this.green=a,this.blue=r,void(this.alpha="transparent"===e?0:1)}if(e.match(o))this.parseColorFnString(e);else{if(!e.match(n))throw new Error(\'Unable to parse color "\'.concat(e,\'"\'));this.parseHexString(e)}},this.parseRgbString=function(e){if("transparent"===e)return this.red=0,this.green=0,this.blue=0,void(this.alpha=0);this.parseColorFnString(e)},this.parseHexString=function(e){var t,a;e.match(n)&&![6,8].includes(e.length)&&((e=e.replace("#","")).length<6&&(e=(t=(a=T(e,4))[0])+t+(t=a[1])+t+(t=a[2])+t,(a=a[3])&&(e+=a+a)),e=e.match(/.{1,2}/g),this.red=parseInt(e[0],16),this.green=parseInt(e[1],16),this.blue=parseInt(e[2],16),e[3]?this.alpha=parseInt(e[3],16)/255:this.alpha=1)},this.parseColorFnString=function(e){var t=(e=T(e.match(o)||[],3))[1];e=e[2];t&&e&&(e=e.split(/\\s*[,\\/\\s]\\s*/).map((function(e){return e.replace(",","").trim()})).filter((function(e){return""!==e})).map((function(e,a){return function(e,t,a){if(/%$/.test(t))return 3===a?parseFloat(t)/100:255*parseFloat(t)/100;if("h"===e[a]){if(/turn$/.test(t))return 360*parseFloat(t);if(/rad$/.test(t))return 57.3*parseFloat(t)}return parseFloat(t)}(t,e,a)})),"hsl"===t.substr(0,3)&&(e=function(e){var t=T(e,4),a=t[0],r=t[1],n=t[2];e=t[3];r/=255,n/=255;r=(t=(1-Math.abs(2*n-1))*r)*(1-Math.abs(a/60%2-1));var o=n-t/2;return(r=a<60?[t,r,0]:a<120?[r,t,0]:a<180?[0,t,r]:a<240?[0,r,t]:a<300?[r,0,t]:[t,0,r]).map((function(e){return Math.round(255*(e+o))})).concat(e)}(e)),this.red=e[0],this.green=e[1],this.blue=e[2],this.alpha="number"==typeof e[3]?e[3]:1)},this.getRelativeLuminance=function(){var e=this.red/255,t=this.green/255,a=this.blue/255;return.2126*(e<=.03928?e/12.92:Math.pow((.055+e)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((.055+t)/1.055,2.4))+.0722*(a<=.03928?a/12.92:Math.pow((.055+a)/1.055,2.4))}},jn=function(e){var t=new Ln;return t.parseString(e.getPropertyValue("background-color")),0!==t.alpha&&(e=e.getPropertyValue("opacity"),t.alpha=t.alpha*e),t},qn=function(e){var a=t.getComputedStyle(e);return Tn(e,a)||1===jn(a).alpha};function Un(e){return!!e.href&&(void 0!==Ka.get("firstPageLink")?a=Ka.get("firstPageLink"):(a=t.location.origin?ai(o._tree,\'a[href]:not([href^="javascript:"])\').find((function(e){return!Ur(e.actualNode)})):ai(o._tree,\'a:not([href^="#"]):not([href^="/#"]):not([href^="javascript:"])\')[0],Ka.set("firstPageLink",a||null)),!a||e.compareDocumentPosition(a.actualNode)===e.DOCUMENT_POSITION_FOLLOWING);var a}var Vn=function(e,a){for(var r=["fixed","sticky"],n=[],o=!1,i=0;i<e.length;++i){var l=e[i];l===a&&(o=!0);var s=t.getComputedStyle(l);o||-1===r.indexOf(s.position)?n.push(l):n=[]}return n};function zn(e,a){var r=Hn(a);do{var n=Hn(e);if(n===r||n===a)return function(e,a){var r=t.getComputedStyle(a),n=r.getPropertyValue("overflow");if("inline"===r.getPropertyValue("display"))return!0;var o=Array.from(e.getClientRects()),i={left:(e=a.getBoundingClientRect()).left,top:e.top,width:e.width,height:e.height};return(["scroll","auto"].includes(n)||a instanceof t.HTMLHtmlElement)&&(i.width=a.scrollWidth,i.height=a.scrollHeight),1===o.length&&"hidden"===n&&"nowrap"===r.getPropertyValue("white-space")&&(o[0]=i),o.some((function(e){return!(Math.ceil(e.left)<Math.floor(i.left)||Math.ceil(e.top)<Math.floor(i.top)||Math.floor(e.left+e.width)>Math.ceil(i.left+i.width)||Math.floor(e.top+e.height)>Math.ceil(i.top+i.height))}))}(e,a)}while(e=n);return!1}function Hn(e){for(var t=Xa(e).parent;t;){if(go(t.actualNode))return t.actualNode;t=t.parent}}var $n,Wn=function e(t,a){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:r,o=3<arguments.length&&void 0!==arguments[3]?arguments[3]:0;if(999<o)throw new Error("Infinite loop detected");return Array.from(n.elementsFromPoint(t,a)||[]).filter((function(e){return Pr(e)===n})).reduce((function(r,n){var i;return _r(n)?(i=e(t,a,n.shadowRoot,o+1),(r=r.concat(i)).length&&zn(r[0],n)&&r.push(n)):r.push(n),r}),[])},Gn=function(e,t){if(e.hasAttribute(t)){var a=e.nodeName.toUpperCase(),n=e;["A","AREA"].includes(a)&&!e.ownerSVGElement||((n=r.createElement("a")).href=e.getAttribute(t));a=["https:","ftps:"].includes(n.protocol)?n.protocol.replace(/s:$/,":"):n.protocol,t=(e=(e=(t=e=/^\\//.test(n.pathname)?n.pathname:"/".concat(n.pathname)).split("/").pop())&&-1!==e.indexOf(".")?{pathname:t.replace(e,""),filename:/index./.test(e)?"":e}:{pathname:t,filename:""}).pathname,e=e.filename;return{protocol:a,hostname:n.hostname,port:(a=n.port,["443","80"].includes(a)?"":a),pathname:/\\/$/.test(t)?t:"".concat(t,"/"),search:function(e){var t={};if(!e||!e.length)return t;var a=e.substring(1).split("&");if(!a||!a.length)return t;for(var r=0;r<a.length;r++){var n=(o=T(a[r].split("="),2))[0],o=void 0===(o=o[1])?"":o;t[decodeURIComponent(n)]=decodeURIComponent(o)}return t}(n.search),hash:function(e){if(!e)return"";var t=e.match(/#!?\\/?/g);return t&&"#"!==T(t,1)[0]?e:""}(n.hash),filename:e}}},Yn=function(e,a){var r=a.getBoundingClientRect(),n=r.top,o=r.left,i=n-a.scrollTop,l=n-a.scrollTop+a.scrollHeight;n=o-a.scrollLeft,o=o-a.scrollLeft+a.scrollWidth;return!(e.left>o&&e.left>r.right||e.top>l&&e.top>r.bottom||e.right<n&&e.right<r.left||e.bottom<i&&e.bottom<r.top)&&(i=t.getComputedStyle(a),!(e.left>r.right||e.top>r.bottom)||"scroll"===i.overflow||"auto"===i.overflow||a instanceof t.HTMLBodyElement||a instanceof t.HTMLHtmlElement)},Kn=0,Xn=function(){E(a,Ot);var e=C(a);function a(t,r,n){var o;return O(this,a),(o=e.call(this)).shadowId=n,o.children=[],o.actualNode=t,(o.parent=r)||(Kn=0),o.nodeIndex=Kn++,o._isHidden=null,o._cache={},void 0===$n&&($n=_a(t.ownerDocument)),o._isXHTML=$n,"input"===t.nodeName.toLowerCase()&&(r=t.getAttribute("type"),r=o._isXHTML?r:(r||"").toLowerCase(),ci().includes(r)||(r="text"),o._type=r),Ka.get("nodeMap")&&Ka.get("nodeMap").set(t,F(o)),o}return P(a,[{key:"props",get:function(){var e,t,a,r,n,o,i;return this._cache.hasOwnProperty("props")||(e=(i=this.actualNode).nodeType,t=i.nodeName,a=i.id,r=i.multiple,n=i.nodeValue,o=i.value,i=i.selected,this._cache.props={nodeType:e,nodeName:this._isXHTML?t:t.toLowerCase(),id:a,type:this._type,multiple:r,nodeValue:n,value:o,selected:i}),this._cache.props}},{key:"attr",value:function(e){return"function"!=typeof this.actualNode.getAttribute?null:this.actualNode.getAttribute(e)}},{key:"hasAttr",value:function(e){return"function"==typeof this.actualNode.hasAttribute&&this.actualNode.hasAttribute(e)}},{key:"attrNames",get:function(){var e;return this._cache.hasOwnProperty("attrNames")||(e=(this.actualNode.attributes instanceof t.NamedNodeMap?this.actualNode:this.actualNode.cloneNode(!1)).attributes,this._cache.attrNames=Array.from(e).map((function(e){return e.name}))),this._cache.attrNames}},{key:"getComputedStylePropertyValue",value:function(e){var a="computedStyle_"+e;return this._cache.hasOwnProperty(a)||(this._cache.hasOwnProperty("computedStyle")||(this._cache.computedStyle=t.getComputedStyle(this.actualNode)),this._cache[a]=this._cache.computedStyle.getPropertyValue(e)),this._cache[a]}},{key:"isFocusable",get:function(){return this._cache.hasOwnProperty("isFocusable")||(this._cache.isFocusable=wn(this.actualNode)),this._cache.isFocusable}},{key:"tabbableElements",get:function(){return this._cache.hasOwnProperty("tabbableElements")||(this._cache.tabbableElements=rn(this)),this._cache.tabbableElements}},{key:"clientRects",get:function(){return this._cache.hasOwnProperty("clientRects")||(this._cache.clientRects=Array.from(this.actualNode.getClientRects()).filter((function(e){return 0<e.width}))),this._cache.clientRects}},{key:"boundingClientRect",get:function(){return this._cache.hasOwnProperty("boundingClientRect")||(this._cache.boundingClientRect=this.actualNode.getBoundingClientRect()),this._cache.boundingClientRect}}]),a}();function Jn(e,a,r){var n,o,i;function l(e,t,r){return(r=Jn(t,a,r))?e.concat(r):e}return i=(e=e.documentElement?e.documentElement:e).nodeName.toLowerCase(),_r(e)?(n=new Xn(e,r,a),a="a"+Math.random().toString().substring(2),o=Array.from(e.shadowRoot.childNodes),n.children=o.reduce((function(e,t){return l(e,t,n)}),[]),[n]):"content"===i&&"function"==typeof e.getDistributedNodes?(o=Array.from(e.getDistributedNodes())).reduce((function(e,t){return l(e,t,r)}),[]):"slot"!==i||"function"!=typeof e.assignedNodes?1===e.nodeType?(n=new Xn(e,r,a),o=Array.from(e.childNodes),n.children=o.reduce((function(e,t){return l(e,t,n)}),[]),[n]):3===e.nodeType?[new Xn(e,r)]:void 0:((o=Array.from(e.assignedNodes())).length||(o=function(e){var t=[];for(e=e.firstChild;e;)t.push(e),e=e.nextSibling;return t}(e)),t.getComputedStyle(e),o.reduce((function(e,t){return l(e,t,r)}),[]))}var Qn=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:r.documentElement,t=1<arguments.length?arguments[1]:void 0;return Ka.set("nodeMap",new WeakMap),Jn(e,t,null)},Zn=function(e){return e?e.trim().split("-")[0].toLowerCase():""},eo=function(e){var t={};return t.none=e.none.concat(e.all),t.any=e.any,Object.keys(t).map((function(e){if(t[e].length){var a=o._audit.data.failureSummaries[e];return a&&"function"==typeof a.failureMessage?a.failureMessage(t[e].map((function(e){return e.message||""}))):void 0}})).filter((function(e){return void 0!==e})).join("\\n\\n")};function to(){var e=o._audit.data.incompleteFallbackMessage;return"string"!=typeof(e="function"==typeof e?e():e)?"":e}var ao=Nt.resultGroups,ro=function(e,t){var a=o.utils.aggregateResult(e);return ao.forEach((function(e){t.resultTypes&&!t.resultTypes.includes(e)&&(a[e]||[]).forEach((function(e){Array.isArray(e.nodes)&&0<e.nodes.length&&(e.nodes=[e.nodes[0]])})),a[e]=(a[e]||[]).map((function(e){return e=Object.assign({},e),Array.isArray(e.nodes)&&0<e.nodes.length&&(e.nodes=e.nodes.map((function(e){var a,r;return"object"===n(e.node)&&(e.html=e.node.source,t.elementRef&&!e.node.fromFrame&&(e.element=e.node.element),!1===t.selectors&&!e.node.fromFrame||(e.target=e.node.selector),t.ancestry&&(e.ancestry=e.node.ancestry),t.xpath&&(e.xpath=e.node.xpath)),delete e.result,delete e.node,a=e,r=t,["any","all","none"].forEach((function(e){Array.isArray(a[e])&&a[e].filter((function(e){return Array.isArray(e.relatedNodes)})).forEach((function(e){e.relatedNodes=e.relatedNodes.map((function(e){var t={html:e.source};return r.elementRef&&!e.fromFrame&&(t.element=e.element),!1===r.selectors&&!e.fromFrame||(t.target=e.selector),r.ancestry&&(t.ancestry=e.ancestry),r.xpath&&(t.xpath=e.xpath),t}))}))})),e}))),ao.forEach((function(t){return delete e[t]})),delete e.pageLevel,delete e.result,e}))})),a};o._thisWillBeDeletedDoNotUse=o._thisWillBeDeletedDoNotUse||{},o._thisWillBeDeletedDoNotUse.helpers={failureSummary:eo,incompleteFallbackMessage:to,processAggregate:ro};var no=/\\$\\{\\s?data\\s?\\}/g;function oo(e,t){if("string"==typeof t)return e.replace(no,t);for(var a in t){var r;t.hasOwnProperty(a)&&(r=new RegExp("\\\\${\\\\s?data\\\\."+a+"\\\\s?}","g"),a=void 0===t[a]?"":String(t[a]),e=e.replace(r,a))}return e}var io=function e(t,a){if(t){if(Array.isArray(a))return a.values=a.join(", "),"string"!=typeof t.singular||"string"!=typeof t.plural?oo(t,a):oo(1===a.length?t.singular:t.plural,a);if("string"==typeof t)return oo(t,a);if("string"==typeof a)return oo(t[a],a);var r=t.default||to();return e(r=a&&a.messageKey&&t[a.messageKey]?t[a.messageKey]:r,a)}},lo=function(e,t,a){var r=o._audit.data.checks[e];if(!r)throw new Error("Cannot get message for unknown check: ".concat(e,"."));if(!r.messages[t])throw new Error(\'Check "\'.concat(e,\'"" does not have a "\').concat(t,\'" message.\'));return io(r.messages[t],a)},so=function(e,t,a){var r=((a.rules&&a.rules[t]||{}).checks||{})[e.id],n=(a.checks||{})[e.id];t=e.enabled,e=e.options;return n&&(n.hasOwnProperty("enabled")&&(t=n.enabled),n.hasOwnProperty("options")&&(e=n.options)),r&&(r.hasOwnProperty("enabled")&&(t=r.enabled),r.hasOwnProperty("options")&&(e=r.options)),{enabled:t,options:e,absolutePaths:a.absolutePaths}};function uo(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:t;return e&&"object"===n(e)?e:"object"!==n(a)?{}:{testEngine:{name:"axe-core",version:o.version},testRunner:{name:o._audit.brand},testEnvironment:function(e){if(!e.navigator||"object"!==n(e.navigator))return{};var t=e.navigator,a=e.innerHeight,r=e.innerWidth,o=(e=(o=function(e){return(e=e.screen).orientation||e.msOrientation||e.mozOrientation}(e)||{}).angle,o.type);return{userAgent:t.userAgent,windowWidth:r,windowHeight:a,orientationAngle:e,orientationType:o}}(a),timestamp:(new Date).toISOString(),url:null===(a=a.location)||void 0===a?void 0:a.href}}function co(e,t){var a=t.focusable;t=t.page;return{node:e,include:[],exclude:[],initiator:!1,focusable:a&&function(e){return!(e=e.getAttribute("tabindex"))||(e=parseInt(e,10),isNaN(e)||0<=e)}(e),size:function(e){var t=parseInt(e.getAttribute("width"),10),a=parseInt(e.getAttribute("height"),10);return(isNaN(t)||isNaN(a))&&(e=e.getBoundingClientRect(),t=isNaN(t)?e.width:t,a=isNaN(a)?e.height:a),{width:t,height:a}}(e),page:t}}function po(e,a){for(var n,o,i=[],l=0,s=e[a].length;l<s;l++){if("string"==typeof(n=e[a][l])){o=Array.from(r.querySelectorAll(n)),i=i.concat(o.map((function(e){return Xa(e)})));break}!n||!n.length||n instanceof t.Node?n instanceof t.Node&&(n.documentElement instanceof t.Node?i.push(e.flatTree[0]):i.push(Xa(n))):1<n.length?function(e,t,a){e.frames=e.frames||[];var n=a.shift();n=r.querySelectorAll(n);Array.from(n).forEach((function(r){var n;e.frames.forEach((function(e){e.node===r&&e[t].push(a)})),e.frames.find((function(e){return e.node===r}))||(n=co(r,e),a&&n[t].push(a),e.frames.push(n))}))}(e,a,n):(o=Array.from(r.querySelectorAll(n[0])),i=i.concat(o.map((function(e){return Xa(e)}))))}return i.filter((function(e){return e}))}function fo(e,a){var o=this;e=er(e),this.frames=[],this.page="boolean"==typeof(null==e?void 0:e.page)?e.page:void 0,this.initiator="boolean"!=typeof(null==e?void 0:e.initiator)||e.initiator,this.focusable="boolean"!=typeof(null==e?void 0:e.focusable)||e.focusable,this.size="object"===n(null==e?void 0:e.size)?e.size:{},e=function(e){if(e&&"object"===n(e)||e instanceof t.NodeList){if(e instanceof t.Node)return{include:[e],exclude:[]};if(e.hasOwnProperty("include")||e.hasOwnProperty("exclude"))return{include:e.include&&+e.include.length?e.include:[r],exclude:e.exclude||[]};if(e.length===+e.length)return{include:e,exclude:[]}}return"string"==typeof e?{include:[e],exclude:[]}:{include:[r],exclude:[]}}(e),this.flatTree=null!=a?a:Qn(function(e){for(var a=e.include,n=(e=e.exclude,Array.from(a).concat(Array.from(e))),o=0;o<n.length;++o){var i=n[o];if(i instanceof t.Element)return i.ownerDocument.documentElement;if(i instanceof t.Document)return i.documentElement}return r.documentElement}(e)),this.exclude=e.exclude,this.include=e.include,this.include=po(this,"include"),this.exclude=po(this,"exclude"),ii("frame, iframe",this).forEach((function(e){var t;Fo(e,o)&&(t=o,e=e.actualNode,Eo(e)||Er(t.frames,"node",e)||t.frames.push(co(e,t)))})),void 0===this.page&&(this.page=1===(i=(i=this).include).length&&i[0].actualNode===r.documentElement,this.frames.forEach((function(e){e.page=o.page})));var i=function(e){if(0===e.include.length){if(0===e.frames.length){var t=br.isInFrame()?"frame":"page";return new Error("No elements found for include in "+t+" Context")}e.frames.forEach((function(e,t){if(0===e.include.length)return new Error("No elements found for include in Context of frame "+t)}))}}(this);if(i instanceof Error)throw i;Array.isArray(this.include)||(this.include=Array.from(this.include)),this.include.sort(Oo)}function mo(e){return!1===(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).iframes?[]:new fo(e).frames.map((function(e){var t=e.node;return(e=N(e,s)).initiator=!1,{frameSelector:Wa(t),frameContext:e}}))}var ho=function(e){var t=o._audit.rules.find((function(t){return t.id===e}));if(!t)throw new Error("Cannot find rule by id: ".concat(e));return t};function go(e){var a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0,r=e.scrollWidth>e.clientWidth+a,n=e.scrollHeight>e.clientHeight+a;if(r||n){a=bo(o=t.getComputedStyle(e),"overflow-x");var o=bo(o,"overflow-y");return r&&a||n&&o?{elm:e,top:e.scrollTop,left:e.scrollLeft}:void 0}}function bo(e,t){return t=e.getPropertyValue(t),["scroll","auto"].includes(t)}var yo=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:t,a=e.document.documentElement;return[void 0!==e.pageXOffset?{elm:e,top:e.pageYOffset,left:e.pageXOffset}:{elm:a,top:a.scrollTop,left:a.scrollLeft}].concat(function e(t){return Array.from(t.children||t.childNodes||[]).reduce((function(t,a){var r=go(a);return r&&t.push(r),t.concat(e(a))}),[])}(r.body))};function vo(){return er(Mn)}var wo,Do=function(e){if(!e)throw new Error("axe.utils.getStyleSheetFactory should be invoked with an argument");return function(t){var a=t.data,r=void 0!==(l=t.isCrossOrigin)&&l,n=t.shadowId,o=t.root,i=t.priority,l=(t=void 0!==(l=t.isLink)&&l,e.createElement("style"));return t?(t=e.createTextNode(\'@import "\'.concat(a.href,\'"\')),l.appendChild(t)):l.appendChild(e.createTextNode(a)),e.head.appendChild(l),{sheet:l.sheet,isCrossOrigin:r,shadowId:n,root:o,priority:i}}},xo=function(e){if(wo&&wo.parentNode)return void 0===wo.styleSheet?wo.appendChild(r.createTextNode(e)):wo.styleSheet.cssText+=e,wo;if(e){var t=r.head||r.getElementsByTagName("head")[0];return(wo=r.createElement("style")).type="text/css",void 0===wo.styleSheet?wo.appendChild(r.createTextNode(e)):wo.styleSheet.cssText=e,t.appendChild(wo),wo}},Eo=function e(a,r){var n=Xa(a);if(9===a.nodeType)return!1;if(11===a.nodeType&&(a=a.host),n&&null!==n._isHidden)return n._isHidden;var o=t.getComputedStyle(a,null);return!o||!a.parentNode||"none"===o.getPropertyValue("display")||!r&&"hidden"===o.getPropertyValue("visibility")||"true"===a.getAttribute("aria-hidden")||(a=e(a.assignedSlot||a.parentNode,!0),n&&(n._isHidden=a),a)},Ao=function(e){var t=null!==(t=null===(t=e.props)||void 0===t?void 0:t.nodeName)&&void 0!==t?t:e.nodeName.toLowerCase();return"http://www.w3.org/2000/svg"!==e.namespaceURI&&!!Mn.htmlElms[t]};function Co(e){return e.sort((function(e,t){return kr(e,t)?1:-1}))[0]}var Fo=function(e,t){var a=t.include&&Co(t.include.filter((function(t){return kr(t,e)})));return!!(!(t=t.exclude&&Co(t.exclude.filter((function(t){return kr(t,e)}))))&&a||t&&kr(t,a))},ko=function(e,t){return e.length===t.length&&e.every((function(e,a){var r=t[a];return Array.isArray(e)?e.length===r.length&&e.every((function(e,t){return r[t]===e})):e===r}))},No=k(Dt());o._memoizedFns=[];var Ro,To,_o=function(e){return e=No.default(e),o._memoizedFns.push(e),e},Oo=function(e,t){return(e=e.actualNode||e)===(t=t.actualNode||t)?0:4&e.compareDocumentPosition(t)?-1:1},So=function(e,t,a,r){var n=4<arguments.length&&void 0!==arguments[4]&&arguments[4],o=Array.from(e.cssRules);if(!o)return Promise.resolve();var i=o.filter((function(e){return 3===e.type}));return i.length?(i=i.filter((function(e){return e.href})).map((function(e){return e.href})).filter((function(e){return!r.includes(e)})).map((function(e,n){var o=[].concat(R(a),[n]);n=/^https?:\\/\\/|^\\/\\//i.test(e);return Io(e,t,o,r,n)})),(o=o.filter((function(e){return 3!==e.type}))).length&&i.push(Promise.resolve(t.convertDataToStylesheet({data:o.map((function(e){return e.cssText})).join(),isCrossOrigin:n,priority:a,root:t.rootNode,shadowId:t.shadowId}))),Promise.all(i)):Promise.resolve({isCrossOrigin:n,priority:a,root:t.rootNode,shadowId:t.shadowId,sheet:e})},Po=function(e,t,a,r){var n=4<arguments.length&&void 0!==arguments[4]&&arguments[4];return function(e){try{return!(!e.cssRules&&e.href)}catch(e){return!1}}(e)?So(e,t,a,r,n):Io(e.href,t,a,r,!0)},Io=function(e,t,a,r,n){return r.push(e),new Promise((function(t,a){var r=new XMLHttpRequest;r.open("GET",e),r.timeout=Nt.preload.timeout,r.addEventListener("error",a),r.addEventListener("timeout",a),r.addEventListener("loadend",(function(e){return e.loaded&&r.responseText?t(r.responseText):void a(r.responseText)})),r.send()})).then((function(e){return e=t.convertDataToStylesheet({data:e,isCrossOrigin:n,priority:a,root:t.rootNode,shadowId:t.shadowId}),Po(e.sheet,t,a,r,e.isCrossOrigin)}))};function Bo(){if(t.performance&&t.performance)return t.performance.now()}var Mo,Lo,jo=(Ro=null,To=Bo(),{start:function(){this.mark("mark_axe_start")},end:function(){this.mark("mark_axe_end"),this.measure("axe","mark_axe_start","mark_axe_end"),this.logMeasures("axe")},auditStart:function(){this.mark("mark_audit_start")},auditEnd:function(){this.mark("mark_audit_end"),this.measure("audit_start_to_end","mark_audit_start","mark_audit_end"),this.logMeasures()},mark:function(e){t.performance&&void 0!==t.performance.mark&&t.performance.mark(e)},measure:function(e,a,r){t.performance&&void 0!==t.performance.measure&&t.performance.measure(e,a,r)},logMeasures:function(e){function a(e){Rt("Measure "+e.name+" took "+e.duration+"ms")}if(t.performance&&void 0!==t.performance.getEntriesByType)for(var r=t.performance.getEntriesByName("mark_axe_start")[0],n=t.performance.getEntriesByType("measure").filter((function(e){return e.startTime>=r.startTime})),o=0;o<n.length;++o){var i=n[o];if(i.name===e)return void a(i);a(i)}},timeElapsed:function(){return Bo()-To},reset:function(){Ro=Ro||Bo(),To=Bo()}});function qo(){if(r.elementsFromPoint)return r.elementsFromPoint;if(r.msElementsFromPoint)return r.msElementsFromPoint;var e=((e=r.createElement("x")).style.cssText="pointer-events:auto","auto"===e.style.pointerEvents),t=e?"pointer-events":"visibility",a=e?"none":"hidden",n=r.createElement("style");return n.innerHTML=e?"* { pointer-events: all }":"* { visibility: visible }",function(e,o){var i,l,s,u=[],c=[];for(r.head.appendChild(n);(i=r.elementFromPoint(e,o))&&-1===u.indexOf(i);)u.push(i),c.push({value:i.style.getPropertyValue(t),priority:i.style.getPropertyPriority(t)}),i.style.setProperty(t,a,"important");for(u.indexOf(r.documentElement)<u.length-1&&(u.splice(u.indexOf(r.documentElement),1),u.push(r.documentElement)),l=c.length;s=c[--l];)u[l].style.setProperty(t,s.value||"",s.priority);return r.head.removeChild(n),u}}function Uo(e){return"function"==typeof e||"[object Function]"===Mo.call(e)}function Vo(e){return e=function(e){return e=Number(e),isNaN(e)?0:0!==e&&isFinite(e)?(0<e?1:-1)*Math.floor(Math.abs(e)):e}(e),Math.min(Math.max(e,0),Lo)}"function"!=typeof Object.assign&&(Object.assign=function(e){if(null==e)throw new TypeError("Cannot convert undefined or null to object");for(var t=Object(e),a=1;a<arguments.length;a++){var r=arguments[a];if(null!=r)for(var n in r)r.hasOwnProperty(n)&&(t[n]=r[n])}return t}),Array.prototype.find||Object.defineProperty(Array.prototype,"find",{value:function(e){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var t,a=Object(this),r=a.length>>>0,n=arguments[1],o=0;o<r;o++)if(t=a[o],e.call(n,t,o,a))return t}}),Array.prototype.findIndex||Object.defineProperty(Array.prototype,"findIndex",{value:function(e,t){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var a,r=Object(this),n=r.length>>>0,o=0;o<n;o++)if(a=r[o],e.call(t,a,o,r))return o;return-1}}),"function"==typeof t.addEventListener&&(r.elementsFromPoint=qo()),Array.prototype.includes||Object.defineProperty(Array.prototype,"includes",{value:function(e){var t=Object(this),a=parseInt(t.length,10)||0;if(0===a)return!1;var r,n,o=parseInt(arguments[1],10)||0;for(0<=o?r=o:(r=a+o)<0&&(r=0);r<a;){if(e===(n=t[r])||e!=e&&n!=n)return!0;r++}return!1}}),Array.prototype.some||Object.defineProperty(Array.prototype,"some",{value:function(e){if(null==this)throw new TypeError("Array.prototype.some called on null or undefined");if("function"!=typeof e)throw new TypeError;for(var t=Object(this),a=t.length>>>0,r=2<=arguments.length?arguments[1]:void 0,n=0;n<a;n++)if(n in t&&e.call(r,t[n],n,t))return!0;return!1}}),Array.from||Object.defineProperty(Array,"from",{value:(Mo=Object.prototype.toString,Lo=Math.pow(2,53)-1,function(e){var t=Object(e);if(null==e)throw new TypeError("Array.from requires an array-like object - not null or undefined");var a,r=1<arguments.length?arguments[1]:void 0;if(void 0!==r){if(!Uo(r))throw new TypeError("Array.from: when provided, the second argument must be a function");2<arguments.length&&(a=arguments[2])}for(var n,o=Vo(t.length),i=Uo(this)?Object(new this(o)):new Array(o),l=0;l<o;)n=t[l],i[l]=r?void 0===a?r(n,l):r.call(a,n,l):n,l+=1;return i.length=o,i})}),String.prototype.includes||(String.prototype.includes=function(e,t){return!((t="number"!=typeof t?0:t)+e.length>this.length)&&-1!==this.indexOf(e,t)}),Array.prototype.flat||Object.defineProperty(Array.prototype,"flat",{configurable:!0,value:function e(){var t=isNaN(arguments[0])?1:Number(arguments[0]);return t?Array.prototype.reduce.call(this,(function(a,r){return Array.isArray(r)?a.push.apply(a,e.call(r,t-1)):a.push(r),a}),[]):Array.prototype.slice.call(this)},writable:!0});var zo=function(e,t){return e.concat(t).filter((function(e,t,a){return a.indexOf(e)===t}))};function Ho(e,t,a,r,n){return(n=n||{}).vNodes=e,n.vNodesIndex=0,n.anyLevel=t,n.thisLevel=a,n.parentShadowId=r,n}var $o=[],Wo=function(e,t,a){return function(e,t,a){for(var r=[],n=Ho(Array.isArray(e)?e:[e],t,null,e[0].shadowId,$o.pop()),o=[];n.vNodesIndex<n.vNodes.length;){for(var i,l=n.vNodes[n.vNodesIndex++],s=null,u=null,c=((null===(i=n.anyLevel)||void 0===i?void 0:i.length)||0)+((null===(i=n.thisLevel)||void 0===i?void 0:i.length)||0),d=!1,p=0;p<c;p++){var f,m=p<((null===(m=n.anyLevel)||void 0===m?void 0:m.length)||0)?n.anyLevel[p]:n.thisLevel[p-((null===(h=n.anyLevel)||void 0===h?void 0:h.length)||0)];if((!m[0].id||l.shadowId===n.parentShadowId)&&sr(l,m[0]))if(1===m.length)d||a&&!a(l)||(o.push(l),d=!0);else{var h=m.slice(1);if(!1===[" ",">"].includes(h[0].combinator))throw new Error("axe.utils.querySelectorAll does not support the combinator: "+m[1].combinator);(">"===h[0].combinator?s=s||[]:u=u||[]).push(h)}m[0].id&&l.shadowId!==n.parentShadowId||null===(f=n.anyLevel)||void 0===f||!f.includes(m)||(u=u||[]).push(m)}for(l.children&&l.children.length&&(r.push(n),n=Ho(l.children,u,s,l.shadowId,$o.pop()));n.vNodesIndex===n.vNodes.length&&r.length;)$o.push(n),n=r.pop()}return o}(e=Array.isArray(e)?e:[e],lr(t),a)},Go=function(e){var t;e=void 0===(i=e.treeRoot)?o._tree[0]:i;if(!(t=[],i=Wo(i=e,"*",(function(e){return!t.includes(e.shadowId)&&(t.push(e.shadowId),!0)})).map((function(e){return{shadowId:e.shadowId,rootNode:Sr(e.actualNode)}})),e=zo(i,[])).length)return Promise.resolve();var a,n,i=r.implementation.createHTMLDocument("Dynamic document for loading cssom");i=Do(i);return a=i,n=[],e.forEach((function(e,t){var r=e.rootNode,o=e.shadowId;if(!(e=function(e,t,a){return function(e){var t=[];return e.filter((function(e){return!e.href||!t.includes(e.href)&&(t.push(e.href),!0)}))}(e=11===e.nodeType&&t?function(e,t){return Array.from(e.children).filter(Yo).reduce((function(a,r){r="STYLE"===(n=r.nodeName.toUpperCase())?r.textContent:r;var n=t({data:r,isLink:"LINK"===n,root:e});return a.push(n.sheet),a}),[])}(e,a):function(e){return Array.from(e.styleSheets).filter((function(e){return Ko(e.media.mediaText)}))}(e))}(r,o,a)))return Promise.all(n);var i=t+1,l={rootNode:r,shadowId:o,convertDataToStylesheet:a,rootIndex:i},s=[];e=Promise.all(e.map((function(e,t){return Po(e,l,[i,t],s)})));n.push(e)})),Promise.all(n).then((function e(t){return t.reduce((function(t,a){return Array.isArray(a)?t.concat(e(a)):t.concat(a)}),[])}))};function Yo(e){var t=e.nodeName.toUpperCase(),a=e.getAttribute("href"),r=e.getAttribute("rel");r="LINK"===t&&a&&r&&e.rel.toUpperCase().includes("STYLESHEET");return"STYLE"===t||r&&Ko(e.media)}function Ko(e){return!e||!e.toUpperCase().includes("PRINT")}var Xo=function(e){return e=void 0===(e=e.treeRoot)?o._tree[0]:e,e=Wo(e,"video, audio",(function(e){return(e=e.actualNode).hasAttribute("src")?!!e.getAttribute("src"):!(Array.from(e.getElementsByTagName("source")).filter((function(e){return!!e.getAttribute("src")})).length<=0)})),Promise.all(e.map((function(e){var t;e=e.actualNode;return t=e,new Promise((function(e){0<t.readyState&&e(t),t.addEventListener("loadedmetadata",(function a(){t.removeEventListener("loadedmetadata",a),e(t)}))}))})))};function Jo(e){return!e||void 0===e.preload||null===e.preload||("boolean"==typeof e.preload?e.preload:(e=e.preload,"object"===n(e)&&Array.isArray(e.assets)))}function Qo(e){var t=(a=Nt.preload).assets,a=a.timeout;a={assets:t,timeout:a};if(!e.preload)return a;if("boolean"==typeof e.preload)return a;if(!e.preload.assets.every((function(e){return t.includes(e.toLowerCase())})))throw new Error("Requested assets, not supported. Supported assets are: ".concat(t.join(", "),"."));return a.assets=zo(e.preload.assets.map((function(e){return e.toLowerCase()})),[]),e.preload.timeout&&"number"==typeof e.preload.timeout&&!isNaN(e.preload.timeout)&&(a.timeout=e.preload.timeout),a}var Zo=function(e){var t={cssom:Go,media:Xo};return Jo(e)?new Promise((function(a,r){var n=(o=Qo(e)).assets,o=o.timeout,i=setTimeout((function(){return r(new Error("Preload assets timed out."))}),o);Promise.all(n.map((function(a){return t[a](e).then((function(e){return r=e,(t=a)in(e={})?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e;var t,r}))}))).then((function(e){e=e.reduce((function(e,t){return _({},e,t)}),{}),clearTimeout(i),a(e)})).catch((function(e){clearTimeout(i),r(e)}))})):Promise.resolve()};function ei(e,t,a){return function(r){var o,i=(o=e[r.id]||{}).messages||{};delete(o=Object.assign({},o)).messages,a.reviewOnFail||void 0!==r.result?o.message=r.result===t?i.pass:i.fail:("object"!==n(i.incomplete)||Array.isArray(r.data)||(o.message=function(e,t){function a(e){return e.incomplete&&e.incomplete.default?e.incomplete.default:to()}if(!e||!e.missingData)return e&&e.messageKey?t.incomplete[e.messageKey]:a(t);try{var r=t.incomplete[e.missingData[0].reason];if(!r)throw new Error;return r}catch(r){return"string"==typeof e.missingData?t.incomplete[e.missingData]:a(t)}}(r.data,i)),o.message||(o.message=i.incomplete)),"function"!=typeof o.message&&(o.message=io(o.message,r.data)),Rr(r,o)}}var ti=function(e){var t=o._audit.data.checks||{},a=o._audit.data.rules||{},r=Er(o._audit.rules,"id",e.id)||{};e.tags=er(r.tags||[]);var n=ei(t,!0,r),i=ei(t,!1,r);e.nodes.forEach((function(e){e.any.forEach(n),e.all.forEach(n),e.none.forEach(i)})),Rr(e,er(a[e.id]||{}))},ai=function(e,t){return Wo(e,t)};function ri(e,t){var a,r=o._audit&&o._audit.tagExclude?o._audit.tagExclude:[],n=t.hasOwnProperty("include")||t.hasOwnProperty("exclude")?(a=t.include||[],a=Array.isArray(a)?a:[a],n=t.exclude||[],(n=Array.isArray(n)?n:[n]).concat(r.filter((function(e){return-1===a.indexOf(e)})))):(a=Array.isArray(t)?t:[t],r.filter((function(e){return-1===a.indexOf(e)})));return!!(a.some((function(t){return-1!==e.tags.indexOf(t)}))||0===a.length&&!1!==e.enabled)&&n.every((function(t){return-1===e.tags.indexOf(t)}))}var ni=function(e,t,a){var r=a.runOnly||{};a=(a.rules||{})[e.id];return!(e.pageLevel&&!t.page)&&("rule"===r.type?-1!==r.values.indexOf(e.id):a&&"boolean"==typeof a.enabled?a.enabled:"tag"===r.type&&r.values?ri(e,r.values):ri(e,[]))},oi=function e(t,a){if(!a)return t;var n=t.cloneNode(!1),o=n.outerHTML,i=Ra(n);return Ka.get(o)?n=Ka.get(o):i&&(n=r.createElement(n.nodeName),Array.from(i).forEach((function(e){var r,o,i;r=t,o=e.name,void 0!==(i=a)[o]&&(!0===i[o]||Ta(r,i[o]))||n.setAttribute(e.name,e.value)})),Ka.set(o,n)),Array.from(t.childNodes).forEach((function(t){n.appendChild(e(t,a))})),n},ii=function(e,t){var a=[];if(o._selectCache)for(var r=0,n=o._selectCache.length;r<n;r++){var i=o._selectCache[r];if(i.selector===e)return i.result}for(var l,s=t.include.reduce((function(e,t){return e.length&&kr(e[e.length-1],t)||e.push(t),e}),[]),u=(l=t).exclude&&0!==l.exclude.length?function(e){return Fo(e,l)}:null,c=0;c<s.length;c++){var d=s[c];a=function(e,t){var a;if(0===e.length)return t;e.length<t.length&&(a=e,e=t,t=a);for(var r=0,n=t.length;r<n;r++)e.includes(t[r])||e.push(t[r]);return e}(a,Wo(d,e,u))}return o._selectCache&&o._selectCache.push({selector:e,result:a}),a},li=function(e){e.forEach((function(e){return function(e,a,r){if(e===t)return e.scroll(r,a);e.scrollTop=a,e.scrollLeft=r}(e.elm,e.top,e.left)}))};function si(e){return function e(t,a){var r=t.shift();return r=r?a.querySelector(r):null,0===t.length?r:null!=r&&r.shadowRoot?e(t,r.shadowRoot):null}(Array.isArray(e)?R(e):[e],r)}var ui=function(e){return(e||"").trim().replace(/\\s{2,}/g," ").split(" ")},ci=function(){return["hidden","text","search","tel","url","email","password","date","month","week","time","datetime-local","number","range","color","checkbox","radio","file","submit","image","reset","button"]},di=[,[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,,,,,1,1,1,1,,,1,1,1,,1,,1,,1,1],[1,1,1,,1,1,,1,1,1,,1,,,1,1,1,,,1,1,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,,,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1],[,1,,,,,,1,,1,,,,,1,,1,,,,1,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,,,1,,,,,1,1,1,,1,,1,,1,,,,,,1],[1,,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,,1,,1,,,,,1,,1,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,,1,1,1,,1,,1,1,1,,,1,1,1,1,1,1,1,1],[,,1,,,1,,1,,,,1,1,1,,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1,1,1,1,1,,,1,1,1],[1,1,1,1,1,,,1,,,1,,,1,1,1,,,,,1,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1],[,1,,1,1,1,,1,1,,1,,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,,,1,1,1,,,1,1,,,,,,1,1],[1,1,1,,,,,1,,,,1,1,,1,,,,,,1,,,,,1],[,1,,,1,,,1,,,,,,1],[,1,,1,,,,1,,,,1],[1,,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,,1,,,1,1,1,1],[,1,1,1,1,1,,,1,,,1,,1,1,,1,,1,,,,,1,,1],[,1,,,,1,,,1,1,,1,,1,1,1,1,,1,1,,,1,,,1],[,1,1,,,,,,1,,,,1,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,,1,1,1,,,1,1,1,1,1,1,,1,,,,,1,1,,1,,1],[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,1,1],[,1,1,1,,,,1,1,1,,1,1,,,1,1,,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,,1,,,,,1,1,1,,,1,,1,,,1,1],[,,,,1,,,,,,,,,,,,,,,,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,,1,1,1,,1,1,,,,1,1,1,1,1,,,1,1,1,,,,,1],[1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,1,,,,,,,1],[,1,1,,1,1,,1,,,,,,,,,,,,,1],,[1,1,1,,,,,,,,,,,,,1],[,,,,,,,,1,,,1,,,1,1,,,,,1]],[,[1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,,1],[,,,1,,,,,,,,,,,,,,,1],[,1,,,1,1,,1,,1,1,,,,1,1,,,1,1,,,,1],[1,,,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,,,,1],,[,1,1,1,1,1,,1,1,1,,1,1,,1,1,,,1,1,1,1,,1,1,,1],[,1,,,1,,,1,,1,,,1,1,1,1,,,1,1,,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,,,1,1,1,1,1,1,1,,,1,,,1,,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,,,,1],[,,,,,,,1,,,,1,,1,1],[,1,1,1,1,1,1,1,,,,1,1,1,1,1,,,1,1,,1,1,1,1,1],[,1,,,1,1,,1,,1,1,1,,,1,1,,,1,,1,1,1,1,,1],[,1,1,1,,1,1,,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1],[,,,,,,,,,,,,,,,,1],,[,1,1,1,1,1,,1,1,1,,,1,,1,1,,1,1,1,1,1,,1,,1],[,,1,,,1,,,1,1,,,1,,1,1,,1],[,1,1,,1,,,,1,1,,1,,1,1,1,1,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,1,,1,,1,1],,[,1,1,,1,,,1,,1,,,,1,1,1,,,,,,1,,,,1],[1,1,,,1,1,,1,,,,,1,,1]],[,[,1],[,,,1,,,,1,,,,1,,,,1,,,1,,,1],[,,,,,,,,,,,,,,,,,,1,1,,,,,,1],,[1,,,,,1],[,1,,,,1,,,,1],[,1,,,,,,,,,,,1,,,1,,,,,,,,,1,1],[,,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,1,,1],[,1],[,1,,1,,1,,1,,1,,1,1,1,,1,1,,1,,,,,,,1],[1,,,,,1,,,1,1,,1,,1,,1,1,,,,,1,,,1],[,1,1,,,1,,1,,1,,1,,1,1,1,1,,,1,,1,,1,1,1],[1,1,1,1,1,,1,,1,,,,1,1,1,1,,1,1,,,1,1,1,1],[1,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],,[,1,,,,,,1,1,1,,1,,,,1,,,1,1,1,,,1],[1,,,,,1,,1,1,1,,1,1,1,1,1,,1,,1,,1,,,1,1],[1,,1,1,,,,,1,,,,,,1,1,,,1,1,1,1,,,1,,1],[1,,,,,,,,,,,,,,,,,1],[,,,,,1,,,1,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,,,1],[,1,,,,1]],[,[1,1,1,,1,,1,1,1,1,1,1,1,1,1,,1,,1,,1,1,,,1,1,1],[,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],,[,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1],,[1,1,,,,1,1,,,,,,1,,,,1,,1,,1,1,,1],[1],[,,,,,,,,,,,1,,,,,,,,,,,1],[,1,,,,,,,1,1,,,1,,1,,,,1,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,,1],[,,1,,,,,1,,1],[1,,,,1,,,,,1,,,,1,1,,,,1,1,,,,,1],[,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[1,,,1,1,,,,,,,1,,1,,1,1,1,1,1,1],[,,,,,1,,,,,,,1,,,,,,,1],,[,,1,1,1,1,1,,1,1,1,,,1,1,,,1,1,,1,1,1,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,,,,1],,[1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,,,1,1,1,1,,,,,,1,,1,,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,,,,1,,1,,,1,1,1,1,1],[,,,,,,,,,,,1,,,,,,,,,1,,,,1],[,1,1,,1,1,,1,,,,1,1,,1,1,,,1,,1,1,,1],[,1,,1,,1,,,1,,,1,1,,1,1,,,1,1,1],[,1,1,1,1,1,,1,1,,,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,,,,,,,,,1,,1,,1,1,,,,1,,,1],[,1,,,1,1,,,,,,,,,1,1,1,,,,,1],[1,,,1,1,,,,1,1,1,1,1,,,1,,,1,,,1,,1,,1],[,1,1,,1,1,,1,1,,,,1,1,1,,,1,1,,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,,,,1,,,,,,,,,1],[,1,,,,,,,,1,,,,,1,,,,1,,,1],[,1,1,1,1,,,1,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1],[,,,,,1,,1,,,,,1,1,1,1,1,,,1,,,,1],[,1,,,,,,,,1,,,,,,,,,,,,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,1,,,,1,,1,1,1,1,1,,1,1,,,,,,1],[,1,1,1,1,1,1,1,,1,1,,,1,1,,,,1,,1,1,,1,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,1,1,,1,,,1,1,1,1,,,1,,,,,,,1],[,1,,,,,,,,1,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1],[,1,1,,,,,,,,,,,,1,1,,,,,,1],[,1,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,,,,,1],[1,1,,,1,,,1,1,1,,,,1],,[,,,,,,,,,,,,,1,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,1,,,,,,,1],[1,1,1,,1,,1,1,1,1,1,1,1,1,,1,,,1,,1,,,1,1],[,,,,,,,,,1],[,1,,,,1,,,,,,1,,,1,,,,,1],[,1,1,,1,1,,,,,,,,,,,,,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,1,1,1,,,,1,1,,,,1,,1],[1,1,1,1,1,1,,,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,,1,1],[,,,,,,,,,,,,,,,1,,,,1],,[1,1,,1,,1,,,,,,1,,1,,1,1,,1,,1,1,,1,1,,1],[,,1,,,,,,1,,,,1,,1,,,,,1],[1,,,,,,,,,1,,,,,,1,,,,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,,1,,,,,,1,,,1,,,,,,,,1],[,1,,1,,,,,,,,,,,,1],,[1,1,,,,,,,,,,,,,,,,,,,,,,1,1],[1]],[,[1,,,,,,,,,1,,,,,1,,1,,1],[,1,1,,1,1,,1,1,1,,,1,1,1,,,,1,,,1,,,,1],[,1,,,,,,,1,,,,1,,,,,,1],[1,1,1,1,1,1,,,,1,,,,,,,,,1,1,1,1],[1],[,1,1,,,1,1,,,,,1,,1,,,,,,,,1,,,,1],[1,,1,,,1,,1,,,,,1,1,1,1,,,,1,,,,1],[,,1,,,,,,,1,,,,,,,1,,,,,,,1],[1,,,,,,,,,,,,,,1,,,,1],[,,,1,,1,,,,,1,,,,1,1,,,,1],[1,,,,,1,,,,1,,1,1,,,1,1,,1,1,1,,1,1,1,,1],[,1,1,,,,,1,,1,,1,1,1,,1,1,,,1,,1,1,1],[,1,,,,1,,,,1,,,1,,1,1,,,1,1,,,,,,1],[1,,1,1,,1,,1,1,,1,,1,1,1,1,1,,,1,1,,,,,,1],[1,,,,,,,,,,,,,,,,,,1,,,1,,1],[,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,,1,,1],[,1,,,,1,,,1,1,,1,,,1,1,,,1,,,1,,,1,1],[1,1,,1,1,1,,1,1,1,,1,,1,1,1,,,1,,1,1],[1,,1,1,1,1,,,,1,,1,1,1,,1,,,1,1,1,,1,1,1,1,1],[1,,,,,,,,,,,,,1],[,,1,,,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,,,1,,1,,1,,,,1],[,,,1,,,,,,,,,1],[,1,,,,,,,,,,,,,,1,,,,,,,,,1],[,,,,,,,,1,1,,,,,,,,,1,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,,,1,1,1],[,,,,,1,,,,1,1,1,,,1,1,,,1,,1,1,,1],[,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,1,,,,,,,,,,,,,1],[,,1,,,1,,1,1,1,,1,1,,1,,,,1,,1,1],,[,,1,,,1,,,,,,1,,,,1],[,,,,,,,,,1,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,,1,1,,1,,1,,,1,1,1,,,1],[,,,,,1,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,1,,1,1,,1,,,1],[,,,,,1,,,,,,,,,,,,,,1],[,1,1,1,1,,,,,1,,,1,,1,,,,1,1,,,,1,1],[,1,,,1,,,1,,1,1,,1,,,,,,,1],[,,1,,1,,,1,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,,,,,,,,,,1,,1,1],[,,,,,,,,,,,,1],,[,1,1,1,1,,,,1,1,,1,1,1,1,1,1,,1,1,1,1,,1,,1],[1,,,,1,,,,,,,,,,1],[1,,,,,,,,,1],,[,1,,,,1,,,,,,,,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,,1,,,,1,1,,,1,1,,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,1],[1,1,1,,,,,1,1,1,,1,1,1,1,,,1,1,,1,1,,,,,1],[,1,,,,,,,1,1,,,1,1,1,,1,,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,,,1,,,,1,,,1,,,,1,,,,,,,1,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1],[1,1,1,,1,,,1,1,1,1,,1,1,1,1,,,,1,,1,,1,,,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,,1,1,,,,,,,,,1],,[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,,1,,1,,,,1],[,1,,,1,1,,1,1,1,,,1,1,1,1,1,,1,1,1,,1,,,1],[1,,,1,,,,1,1,1,,,,,1,1,,,,1,,1],[1,1,,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,,1,,1,,,,,,,,1,,1],[,1,,,,1,,1,1,,,,1,1,,1,,,,1,1,1,,1],,[,1,,,,,,1,,,,,,,1],[,,,,,,,,1,,,,1,,1,,,,,,,,,,,,1]],[,[,1,1,,1,1,1,1,,1,1,1,,1,1,,1,1,,1,1,1,1,1,1,,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,,,1,,,,,,,,1,,,,,,1,,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,,1,,1,1,1,1,1,1,1,,1,1,,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1],[,1,1,,,,,1,1,1,,,1,,1,1,,,,1,,1,,,1,1],[,,,,,,,1,,,,1,1,1,1,1,,1,,,,,,,,1],[1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,,1,,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,1,1,,1,,1,1,1,,1,,1,1,,1,1,,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,,1,,,,,1,,1],[,1,1,1,,1,,1,,1,,,,1,,1,,,1,,,,,,1,1],[,1,,,1,1,,1,,1,,1,1,1,1,1,,1,1,,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,,1,,1,,1,,,,,,1,,1,,,,1,1]],[,[,1,,1,,,,,,,,,,,,,,,1,,,,1],[,,,,,,,,,1,,1,1,1,,1,,,1,,1,1],[1,1,,,,,,,1,,,,,,,1,,,,,,1],[,1,,,,,,,,,,1,,,,,,,,,1,1],,[,,,,,,,,,,,,,,,1,,,,1,,1],[,,1,1,,1,,1,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,,,,,,,,1],[1,,1,1,,,,1,,,,,,,,,1,,,1,,,1,1],[,1,1,,1,1,,1,1,1,1,1,1,1,1,1,,,1,1,,1,1,,1],[,1,,,1,1,,,,,,1,,1,,1,,,1,,1,1],[1,1,1,1,,1,,1,,1,,1,1,,1,1,1,1,1,,1,1,1,1,1],[,1,1,,,1,,1,,1,1,1,,,1,1,1,,1,1,1,1,,1,1],[,,,,1,,,1,,,,,,,1,,,,1,1],[,1,,,,,,,,,,1,,1,,1,,,,,1,,,,,1],,[1,1,,1,,1,,1,1,,,,,,1,1,,,1,1,1,1,1,1,1,1,1],[1,1,,1,,,,,,1,,,,,,1,1,,,,1,1,,,1],[,1,1,,1,1,,,,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,,,1,,,,1,,,,1,1],[,,,,1],[,,,,,,,,,1,,,1],,[,,1,,1,,,,,,,,,1,,,,,,,,,,,,1],[,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,,,1],[,1,,1,,,,,,1,,,,,1,1,,,,,1,1],[,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,,,1,,1,1,1],[,1,,,,1,,,,,,,1],[,1,,,1,,,1,,1,,1,1,,1,,,,,1,,1,,,,1,1],[,1,,,1,,,1,1,1,,1,1,1,1,1,,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,1,1,,,,1,1,,,,,,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,,1,1,,1,1,1,1,1],[,1,,,,1,,,,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,1,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,,1,1,1,,1,1,1,,,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,,,,,,,1,1,,,,,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,1,,1,1,1,1],,[,1,1,,,,,1,,1,,,,1,1,1,,,1,,,,,1],[,,,,,,,,,,,,,1],[,,,,,1,,,,,,,,1,1,,,,,1,,1,,,1,1],[,,,,,,,,,,,,,,1]],[,[,1],,,,,,,,,,,,,,,,,,,,[1,1,1,1,1,,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,1,1,1,1],[,1,,1,,1,,,1,1,1,,1,1,1,1,1,,,1,,,,1,,1,1],[,1,,1,,1,,,1,,,,,1,,,,,,1,1],[,1,,1,,,,,1,,,,1,,1,1,1,1,1,1,1,1,,1],[,1,,,,,,,,,,,,,,,1]],[,[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,,,,,,,,,1,1,,,,1],[,,,,,,1],[,,1],[,1,1,,,1,,1,,1,1,,1,1,1,,,,1,1,1,,,,,1],,[,1,,,,1,,,,,,1,,,1,,,,1,1,,1],[,,,,,,,1,,,,,,,,,1],[,1,,,,1,1,,,,,,1,1,1,,,,1,,1,1],[,,,,,,,1,,1,,,,,,,,,,1],[,1,1,,,,,,1,1,,,,1,,,,,,,1,,,1],,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,,1,,,1,,,,,1,,1,,1,,1,,,,,1],[1,1,1,1,1,1,1,1,,,,,1,1,,1,1,,1,,,1,,1],[,,,,,,,,,,,,,,1,,,,,,1],,[,,,,,,,,,1,,,,,,1,,,,,1],[,,1,,,,,,,1,,,1,1],[,,,1,,,,,1,,,,,1,,,,,,1,,,,1],[1,,1,1,,1,1,1,1,1,,1,,,,1,1,1,,,1,1,,,,1,1],,[1,1,,,,,,,,,,1,,1,,1,,,1],[,,,,1,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,1],[,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,,1,,,1,,,,,,,,1,,,,,,1,,,,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,1,,,,1,1,1,1,1,1,,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,1,,1,1,,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,,1,,1,,1,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,,,,,,1,,1,,,,,1,1,,,,,1],[1,,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,,1,,,,1,1,1,1,1,,,1,1,,1,,1],[,1,1,1,1,,,,,1,,1,1,1,1,1,,,1,1,,,,1,1,1],[,1,1,1,1,1,,1,,,,,1,,1,,1,,,1,,,1,1,,1]],[,[1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,,,,,1,,,,,1,1,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,,,,1,,1,1,,1,1,1,1,1,,,1,,1,,1],[1,1,1,,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,,1,,,,,,,,,,1,1,1,1,1,1,1,,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,1,1,,,,,,1,1,1,1,1,,,,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,,1,1,1],[,1,1,1,,1,,1,1,1,1,,,1,1,1,,1,1,1,1,1,,,1,1],[1,1,,,,1,,,1,1,1,,1,,1,,1,,1,1,1,1,1,,1,,1],[,1,,,,,,,1,,1,,1,1,1,1,,,,,,,,,1]],[,[,,,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,1,,,1,,,,,,1,,,1,,,,1],,[,1,,,,1,,1,,1,1,,1,1,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],[1,1,1,,,1,,,,,,,,,1,1,,,,,,,,,,1],[,1,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1,,,1],[,,,,,,,,,1],[1,1,,,,,,1,1,1,,1,1,,,,1,1,,1,,1,1,1,,1],[,1,1,1,,1,1,,,1,,1,1,1,1,,,,,,,1,,1],[,1,1,1,1,,,1,,1,,,,1,1,1,1,,1,1,,1],[,1,,,1,1,,1,,,,1,,1,1,,1,,1,,,1,,,1,,1],[,,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,,,,,1],,[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1],[,1,,,,,,,1,1,,1,,,,,1,,,1,,1],[,1,,,,1,,,1,,,,,,,,1,,1,,,1],[,,,,,,,,,,,,,1,1,,,,1,,,1],[,,,,,1,,,1,,,,1],[,1],,[,1],[1,,,,,,,,,,,,,,1,,,,,1]],[,[,1,,,,1,1,1,1,1,1,,1,1,1,1,1,,1,1,,1,1,,,1],[,,1,,,,,,,,,1],,,[1,,,1,1,,,,,,,,1,1,,1,1,,1],,[,,,,,,,,,,,,,,,,,,1,,1],,[1,,,1,1,,1,1,,,,,1,,1,,,,,1,1,,1],,[,1,,,,,,,,1,1,1,1,1,,1,1,,,,1,1],[,,,,,,,,,,,,,,,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,,1,1,1,1,1,1],[,,,,,,,,,,,1,,1,,,1],[1,,,,,,,,,,,,,,,,,,1,,1],,,[,1,,,,,,,,,,,,,,1,,,,1,1],[,,,,,,,,,1,,,1,,,,,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,1,1,,,,,,1],,[,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,1,1,,1,1,1,1,1,1,,,1,1,1,1,1,,1,1],[,1,,,,,,,,1],[,,,,1,,,1,,,1,1,,,,,,,,,,1,,,,1],[,1,,1,1,,,1,1,1,,,,1,1,1,1,,1,1,1,1,,1],[,,,,,,,1],[,1,1,,,,,1,,1,,,,,,1,,,,,,1,,1,,1],[,1,,,,,,1,,,,1,,,,,,,,,,1],[,,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1,1,1,1,,1],[,1,,,,,,,,1],[,1,1,,1,,,,,,,,1,,,,,,1,,,1,,1,,1],[,1,,1,,1,,1,1,1,,1,1,1,,1,,,1,1,,1,1,1,1,1],[,1,1,1,1,1,,,1,1,,,,1,1,1,,,,1,1,,,1,1],[,,1,1,1,1,,1,,1,,1,,1,1,1,1,,,,,1,,1,,1],[1,1,1,1,1,1,1,1,,1,,1,,1,1,1,,,1,1,,,,1,,1],[,,,1],,[,1,1,,1,,,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1],[,1,,,,,,1,,1,,1,,,,,,,1,1,,1,1],[,,,,,,1,,1,1,,1,,1,,,,,,,,,,1],[,1,1,,1,,,,1,,,,1,1,1,,,,1,,1,1,1,,1,1],,[,1,1,,,,,,,,,,,,,1,,,1,,,,,1],[,1,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,1,,,,1,,,,,1,,,,,,,1]],[,[,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[,1,1,1,1,1,,1,,1,1,,,1,1,1,1,,1,,,,,1,1,1],[,,1,1,,1,,1,1,,,,1,1,1,1,,,1,,1,1,1,1,,1],[,1,,1,,,,,,,,1,,1,,1,,,,,,,,,,1],[,,1,,1,,,1,,,,,1,1,,,1,,1,1,1,1],[,1],[,1,1,,1,,1,1,,1,,,1,1,1,,,,1,,,1,,1],[1,1,,1,1,1,,,,,,,,,,,,,1,,1,1,1],[,1,1,,,,,,,1,,,1,,1,,1,,1,1,,,1,,,1],[,,1,,,,,,,,,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,,1,,,,,1,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,,1,,1,1,1,,,1,1,1,1,,,,1,1],[,,,1,1,,,1,,1,,1,,1,1,1,1,,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,,1,,1,,,,1,1,,,1,1,,1,1,,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1,,1,1,,,1],[,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,,1,,,1,,,1,,1,1,1,1,1,,1,,1,1],[,,,,,1,,,,1,,,,,1,1,,,,1],[,1,,1,1,1,,1,,,1,1,1,,,1,,,1,,1,,,1],[,,1,,,,,,,,,1,,1,,,,,1,,1],[,1,1,,,,,,,,1,1,1,,,,,,,,1,,,,,1],[,,,,,,,,1,,,,,1,,,1]],[,[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,,1,1,1,1,1,1,1,1,,,,,,,,,1,1],[,,,,,,,,1,,,,1,,1,,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,1,,1,,1,,,,1,1,,1,,1,,,,1,1,1,1,1,,,1],,[,1,,,,,,,,1,,,1,1,,,1,,1,1,,1,,1],[,1,,,1,,,,,,,,1,,,,,,,1],[1,1,,,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1],,[,1,,,,,,1,,1,,1,1,1,1,1,,,1,,1,1,,,,1],[,1,1,,,1,,1,,1,,,1,1,1,1,,,1,,,1,,,,1],[,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1],[,1,,,1,1,,1,1,,,1,1,,1,1,,1,,1,,1],[1,,1,,,,,1,,1,,1,1,1,1,,,,,1,1,,,,1,1],[,1,1,,,,,1,1,,,1,,1,1,1,1,,,,,,,,,,1],,[,1,1,,,1,,,,1,,1,1,1,1,1,,,,1,,,,1,,1],[,,,1,1,,,1,,,,,1,,1,1,1,,1,1,,,,,,1],[,1,,,,,,,,,,,1,,,,1,,,,,,,1,,1],[,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,1,,,,,1,,1,,,1,1,,1,1,,1],[,1,,,,,,1,,,,,1,1,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1,,,1,,,,,1],[,,,,,,,1,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,,1,,,,,,,1,,,,,,,,1,,,1],[,1,,,,,,,1],[,,,,,,,,,,1],[,1,,,,,,1,1,,,,,,1],,[,1,1,,,,,,1,,,,,1,1,,,,1],[1,,1,,1,,,,,1,,,,,1,,,,,,,,,1,1],[,1,1,,,,,,,,,1,1,1,1,,,,1,,,,,1,,,1],,[,1,1,,1,,,1,1,,,1,,,1,1,1,,1,,1,1,1,,,,1],[,,,,,1,,,,,1,,,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,,,1,,,,,1,,,,,1,,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,1],[,1,,,,,,1,,,,,,,1,1,1,,,1],[,1,,,,,,,,,,1,1,1,,,,,1,,,1],[,,,,,1,,1,,,,,1,1,1,,1,1,,1,1,1,,,1,1],[1,1,,,,,,,1,,,,,1,1,,,,,,,,,,,1],,[,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,,1,,,,,1,,,1,,,,1,,1],[,1,,,,,,,,,1]]];function pi(e){e=Array.isArray(e)?e:di;var t=[];return e.forEach((function(e,a){var r=String.fromCharCode(a+96).replace("`","");Array.isArray(e)?t=t.concat(pi(e).map((function(e){return r+e}))):t.push(r)})),t}var fi=function(e){for(var t=di;e.length<3;)e+="`";for(var a=0;a<=e.length-1;a++)if(!(t=t[e.charCodeAt(a)-96]))return!1;return!0};o._thisWillBeDeletedDoNotUse=o._thisWillBeDeletedDoNotUse||{},o._thisWillBeDeletedDoNotUse.utils={setDefaultFrameMessenger:ua};Sn=function(){E(t,Ot);var e=C(t);function t(a){var r,o,i;return O(this,t),(r=e.call(this))._props=function(e){var t=null!==(r=e.nodeName)&&void 0!==r?r:hi[e.nodeType],a=null!==(r=null!==(a=e.nodeType)&&void 0!==a?a:mi[e.nodeName])&&void 0!==r?r:1;Bt("number"==typeof a,"nodeType has to be a number, got \'".concat(a,"\'")),Bt("string"==typeof t,"nodeName has to be a string, got \'".concat(t,"\'"));var r=null;return"input"===(t=t.toLowerCase())&&(r=(e.type||e.attributes&&e.attributes.type||"").toLowerCase(),ci().includes(r)||(r="text")),t=_({},e,{nodeType:a,nodeName:t}),r&&(t.type=r),delete t.attributes,Object.freeze(t)}(a),r._attrs=(a=(a=a).attributes,o=void 0===a?{}:a,i={htmlFor:"for",className:"class"},Object.keys(o).reduce((function(e,t){var a=o[t];return Bt("object"!==n(a)||null===a,"expects attributes not to be an object, \'".concat(t,"\' was")),void 0!==a&&(e[i[t]||t]=null!==a?String(a):null),e}),{})),r}return P(t,[{key:"props",get:function(){return this._props}},{key:"attr",value:function(e){return null!==(e=this._attrs[e])&&void 0!==e?e:null}},{key:"hasAttr",value:function(e){return void 0!==this._attrs[e]}},{key:"attrNames",get:function(){return Object.keys(this._attrs)}}]),t}();var mi={"#cdata-section":2,"#text":3,"#comment":8,"#document":9,"#document-fragment":11},hi={};Object.keys(mi).forEach((function(e){hi[mi[e]]=e}));var gi=Sn,bi={};A(bi,{allowedAttr:function(){return vi},arialabelText:function(){return wi},arialabelledbyText:function(){return _l},getAccessibleRefs:function(){return Hl},getElementUnallowedRoles:function(){return Kl},getExplicitRole:function(){return Ei},getImplicitRole:function(){return Yi},getOwnedVirtual:function(){return al},getRole:function(){return Qi},getRoleType:function(){return $l},getRolesByType:function(){return Jl},getRolesWithNameFromContents:function(){return ts},implicitNodes:function(){return rs},implicitRole:function(){return Yi},isAccessibleRef:function(){return ns},isAriaRoleAllowedOnElement:function(){return Wl},isUnsupportedRole:function(){return Di},isValidRole:function(){return xi},label:function(){return os},labelVirtual:function(){return dn},lookupTable:function(){return as},namedFromContents:function(){return tl},requiredAttr:function(){return is},requiredContext:function(){return ls},requiredOwned:function(){return ss},validateAttr:function(){return cs},validateAttrValue:function(){return us}});var yi=function(){if(Ka.get("globalAriaAttrs"))return Ka.get("globalAriaAttrs");var e=Object.keys(Mn.ariaAttrs).filter((function(e){return Mn.ariaAttrs[e].global}));return Ka.set("globalAriaAttrs",e),e},vi=function(e){var t=Mn.ariaRoles[e];e=R(yi());return t&&(t.allowedAttrs&&e.push.apply(e,R(t.allowedAttrs)),t.requiredAttrs&&e.push.apply(e,R(t.requiredAttrs))),e},wi=function(e){if(!(e instanceof Ot)){if(1!==e.nodeType)return"";e=Xa(e)}return e.attr("aria-label")||""},Di=function(e){return!!(e=Mn.ariaRoles[e])&&!!e.unsupported},xi=function(e){var t=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowAbstract,a=void 0!==(n=r.flagUnsupported)&&n,r=Mn.ariaRoles[e],n=Di(e);return!(!r||a&&n||!t&&"abstract"===r.type)},Ei=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=t.fallback,r=t.abstracts,n=t.dpub;return 1!==(e=e instanceof Ot?e:Xa(e)).props.nodeType?null:(t=(e.attr("role")||"").trim().toLowerCase(),(a?ui(t):[t]).find((function(e){return!(!n&&"doc-"===e.substr(0,4))&&xi(e,{allowAbstract:r})}))||null)},Ai=function(e){return Object.keys(Mn.htmlElms).filter((function(t){return(t=Mn.htmlElms[t]).contentTypes?t.contentTypes.includes(e):!!t.variant&&!(!t.variant.default||!t.variant.default.contentTypes)&&t.variant.default.contentTypes.includes(e)}))},Ci=_o((function(e){for(var t=[],a=e.rows,r=0,n=a.length;r<n;r++){var o=a[r].cells;t[r]=t[r]||[];for(var i=0,l=0,s=o.length;l<s;l++)for(var u=0;u<o[l].colSpan;u++){for(var c=o[l].getAttribute("rowspan"),d=0===parseInt(c)||0===o[l].rowspan?a.length:o[l].rowSpan,p=0;p<d;p++){for(t[r+p]=t[r+p]||[];t[r+p][i];)i++;t[r+p][i]=o[l]}i++}}return t})),Fi=_o((function(e,t){var a,r;for(t=t||Ci(Mr(e,"table")),a=0;a<t.length;a++)if(t[a]&&-1!==(r=t[a].indexOf(e)))return{x:r,y:a}})),ki=function(e){var a=e.getAttribute("scope"),r=e.getAttribute("role");if(e instanceof t.Element==0||-1===["TD","TH"].indexOf(e.nodeName.toUpperCase()))throw new TypeError("Expected TD or TH element");if("columnheader"===r)return"col";if("rowheader"===r)return"row";if("col"===a||"row"===a)return a;if("TH"!==e.nodeName.toUpperCase())return!1;a=Ci(Mr(e,"table"));var n=Fi(e,a);return a[n.y].reduce((function(e,t){return e&&"TH"===t.nodeName.toUpperCase()}),!0)?"col":a.map((function(e){return e[n.x]})).reduce((function(e,t){return e&&t&&"TH"===t.nodeName.toUpperCase()}),!0)?"row":"auto"},Ni=function(e){return-1!==["col","auto"].indexOf(ki(e))},Ri=function(e){return["row","auto"].includes(ki(e))},Ti=Ai("sectioning").map((function(e){return"".concat(e,":not([role])")})).join(", ")+" , main:not([role]), [role=article], [role=complementary], [role=main], [role=navigation], [role=region]";function _i(e){var t=nn(_l(e));e=nn(wi(e));return t||e}var Oi={a:function(e){return e.hasAttr("href")?"link":null},area:function(e){return e.hasAttr("href")?"link":null},article:"article",aside:"complementary",body:"document",button:"button",datalist:"listbox",dd:"definition",dfn:"term",details:"group",dialog:"dialog",dt:"term",fieldset:"group",figure:"figure",footer:function(e){return cr(e,Ti)?null:"contentinfo"},form:function(e){return _i(e)?"form":null},h1:"heading",h2:"heading",h3:"heading",h4:"heading",h5:"heading",h6:"heading",header:function(e){return cr(e,Ti)?null:"banner"},hr:"separator",img:function(e){var t=e.hasAttr("alt")&&!e.attr("alt"),a=yi().find((function(t){return e.hasAttr(t)}));return!t||a||wn(e)?"img":"presentation"},input:function(e){var t,a;switch(e.hasAttr("list")&&(a=(t=un(e.actualNode,"list").filter((function(e){return!!e}))[0])&&"datalist"===t.nodeName.toLowerCase()),e.props.type){case"checkbox":return"checkbox";case"number":return"spinbutton";case"radio":return"radio";case"range":return"slider";case"search":return a?"combobox":"searchbox";case"button":case"image":case"reset":case"submit":return"button";case"text":case"tel":case"url":case"email":case"":return a?"combobox":"textbox";default:return"textbox"}},li:"listitem",main:"main",math:"math",menu:"list",nav:"navigation",ol:"list",optgroup:"group",option:"option",output:"status",progress:"progressbar",section:function(e){return _i(e)?"region":null},select:function(e){return e.hasAttr("multiple")||1<parseInt(e.attr("size"))?"listbox":"combobox"},summary:"button",table:"table",tbody:"rowgroup",td:function(e){return e=cr(e,"table"),e=Ei(e),["grid","treegrid"].includes(e)?"gridcell":"cell"},textarea:"textbox",tfoot:"rowgroup",th:function(e){return Ni(e.actualNode)?"columnheader":Ri(e.actualNode)?"rowheader":void 0},thead:"rowgroup",tr:"row",ul:"list"},Si=function(e,t){var a=n(t);if(Array.isArray(t)&&void 0!==e)return t.includes(e);if("function"===a)return!!t(e);if(null!=e){if(t instanceof RegExp)return t.test(e);if(/^\\/.*\\/$/.test(t))return a=t.substring(1,t.length-1),new RegExp(a).test(e)}return t===e};function Pi(e,t){return Si(!!Rl(e),t)}var Ii=function(e,t){if("object"!==n(t)||Array.isArray(t)||t instanceof RegExp)throw new Error("Expect matcher to be an object");return Object.keys(t).every((function(a){return Si(e(a),t[a])}))};function Bi(e,t){return e instanceof Ot||(e=Xa(e)),Ii((function(t){return e.attr(t)}),t)}function Mi(e,t){return!!t(e)}function Li(e,t){return Si(Ei(e),t)}function ji(e,t){return Si(Yi(e),t)}function qi(e,t){return e instanceof Ot||(e=Xa(e)),Si(e.props.nodeName,t)}function Ui(e,t){return e instanceof Ot||(e=Xa(e)),Ii((function(t){return e.props[t]}),t)}function Vi(e,t){return Si(Qi(e),t)}var zi={hasAccessibleName:Pi,attributes:Bi,condition:Mi,explicitRole:Li,implicitRole:ji,nodeName:qi,properties:Ui,semanticRole:Vi},Hi=function e(t,a){return t instanceof Ot||(t=Xa(t)),Array.isArray(a)?a.some((function(a){return e(t,a)})):"string"==typeof a?ur(t,a):Object.keys(a).every((function(e){if(!zi[e])throw new Error(\'Unknown matcher type "\'.concat(e,\'"\'));var r=zi[e];e=a[e];return r(t,e)}))},$i=function(e,t){return Hi(e,t)};$i.hasAccessibleName=Pi,$i.attributes=Bi,$i.condition=Mi,$i.explicitRole=Li,$i.fromDefinition=Hi,$i.fromFunction=Ii,$i.fromPrimative=Si,$i.implicitRole=ji,$i.nodeName=qi,$i.properties=Ui,$i.semanticRole=Vi;var Wi=$i,Gi=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).noMatchAccessibleName,a=void 0!==t&&t,r=Mn.htmlElms[e.props.nodeName];if(!r)return{};if(!r.variant)return r;var n,o,i=r.variant,l=N(r,u);for(n in i)if(i.hasOwnProperty(n)&&"default"!==n){for(var s=i[n],d=s.matches,p=N(s,c),f=Array.isArray(d)?d:[d],m=0;m<f.length&&a;m++)if(f[m].hasOwnProperty("hasAccessibleName"))return r;if(Wi(e,d))for(var h in p)p.hasOwnProperty(h)&&(l[h]=p[h])}for(o in i.default)i.default.hasOwnProperty(o)&&void 0===l[o]&&(l[o]=i.default[o]);return l},Yi=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).chromium,a=e instanceof Ot?e:Xa(e);if(e=a.actualNode,!a)throw new ReferenceError("Cannot get implicit role of a node outside the current scope.");var r=a.props.nodeName;return(r=Oi[r])||!t?"function"==typeof r?r(a):r||null:Gi(a).chromiumRole||null},Ki={td:["tr"],th:["tr"],tr:["thead","tbody","tfoot","table"],thead:["table"],tbody:["table"],tfoot:["table"],li:["ol","ul"],dt:["dl","div"],dd:["dl","div"],div:["dl"]};function Xi(e,t){var a=t.chromium;t=N(t,d);return(a=Yi(e,{chromium:a}))?(t=function e(t,a){var r=Ki[t.props.nodeName];if(!r)return null;if(!t.parent)throw new ReferenceError("Cannot determine role presentational inheritance of a required parent outside the current scope.");return r.includes(t.parent.props.nodeName)?(r=Ei(t.parent,a),["none","presentation"].includes(r)&&!Ji(t.parent)?r:r?null:e(t.parent,a)):null}(e,t))||a:null}function Ji(e){return yi().some((function(t){return e.hasAttr(t)}))||wn(e)}var Qi=function(e){var t=(a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).noPresentational,a=function(e,t){var a=1<arguments.length&&void 0!==t?t:{},r=a.noImplicit,n=N(a,p),o=e instanceof Ot?e:Xa(e);return 1!==o.props.nodeType?null:!(a=Ei(o,n))||["presentation","none"].includes(a)&&Ji(o)?r?null:Xi(o,n):a}(e,N(a,f));return t&&["presentation","none"].includes(a)?null:a},Zi=["iframe"],el=function(e){var t=e instanceof Ot?e:Xa(e);return 1!==t.props.nodeType||!e.hasAttr("title")||!$i(t,Zi)&&["none","presentation"].includes(Qi(t))?"":t.attr("title")},tl=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).strict;if(1!==(e=e instanceof Ot?e:Xa(e)).props.nodeType)return!1;var a=Qi(e),r=Mn.ariaRoles[a];return!(!r||!r.nameFromContent)||!t&&(!r||["presentation","none"].includes(a))},al=function(e){var t=e.actualNode,a=e.children;if(!a)throw new Error("getOwnedVirtual requires a virtual node");return e.hasAttr("aria-owns")?(t=un(t,"aria-owns").filter((function(e){return!!e})).map((function(e){return o.utils.getNodeFromTree(e)})),[].concat(R(a),R(t))):R(a)},rl=Ai("phrasing").concat(["#text"]),nl=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=Rl.alreadyProcessed;t.startNode=t.startNode||e;var r=(i=t).strict,n=i.inControlContext,o=i.inLabelledByContext,i=Gi(e,{noMatchAccessibleName:!0}).contentTypes;return a(e,t)||1!==e.props.nodeType||null!=i&&i.includes("embedded")||!tl(e,{strict:r})&&!t.subtreeDescendant?"":(r||(t=_({subtreeDescendant:!n&&!o},t)),al(e).reduce((function(e,a){return function(e,t,a){var r=t.props.nodeName;return(a=Rl(t,a))?(rl.includes(r)||(" "!==a[0]&&(a+=" "),e&&" "!==e[e.length-1]&&(a=" "+a)),e+a):e}(e,a,t)}),""))},ol=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=Rl.alreadyProcessed;if(t.inControlContext||t.inLabelledByContext||a(e,t))return"";t.startNode||(t.startNode=e);var r,n=_({inControlContext:!0},t);a=function(e){if(!e.attr("id"))return[];if(e.actualNode)return Ir({elm:"label",attr:"for",value:e.attr("id"),context:e.actualNode});throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes")}(e);return(t=cr(e,"label"))?(r=[].concat(R(a),[t.actualNode])).sort(Oo):r=a,r.map((function(e){return Tl(e,n)})).filter((function(e){return""!==e})).join(" ")},il={submit:"Submit",image:"Submit",reset:"Reset",button:""};function ll(e,t){return t.attr(e)||""}function sl(e,t,a){var r=t.actualNode;t=[e=e.toLowerCase(),r.nodeName.toLowerCase()].join(",");return(t=r.querySelector(t))&&t.nodeName.toLowerCase()===e?Tl(t,a):""}var ul={valueText:function(e){return e.actualNode.value||""},buttonDefaultText:function(e){return e=e.actualNode,il[e.type]||""},tableCaptionText:sl.bind(null,"caption"),figureText:sl.bind(null,"figcaption"),svgTitleText:sl.bind(null,"title"),fieldsetLegendText:sl.bind(null,"legend"),altText:ll.bind(null,"alt"),tableSummaryText:ll.bind(null,"summary"),titleText:el,subtreeText:nl,labelText:ol,singleSpace:function(){return" "},placeholderText:ll.bind(null,"placeholder")};function cl(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=e.actualNode;if(1!==e.props.nodeType||["presentation","none"].includes(Qi(e)))return"";var r=(Gi(e,{noMatchAccessibleName:!0}).namingMethods||[]).map((function(e){return ul[e]})).reduce((function(a,r){return a||r(e,t)}),"");return t.debug&&o.log(r||"{empty-value}",a,t),r}var dl={accessibleNameFromFieldValue:["combobox","listbox","progressbar"]},pl=["button","checkbox","color","file","hidden","image","password","radio","reset","submit"],fl=function(e){var t=(e=e instanceof Ot?e:Xa(e)).props.nodeName;return"textarea"===t||"input"===t&&!pl.includes((e.attr("type")||"").toLowerCase())},ml=function(e){return"select"===(e=e instanceof Ot?e:Xa(e)).props.nodeName},hl=function(e){return"textbox"===Ei(e)},gl=function(e){return"listbox"===Ei(e)},bl=function(e){return"combobox"===Ei(e)},yl=["progressbar","scrollbar","slider","spinbutton"],vl=function(e){return e=Ei(e),yl.includes(e)},wl=["textbox","progressbar","scrollbar","slider","spinbutton","combobox","listbox"],Dl={nativeTextboxValue:function(e){return e=e instanceof Ot?e:Xa(e),fl(e)&&e.props.value||""},nativeSelectValue:function(e){var t=e instanceof Ot?e:Xa(e);return ml(t)?((t=(e=ai(t,"option")).filter((function(e){return e.props.selected}))).length||t.push(e[0]),t.map((function(e){return cn(e)})).join(" ")||""):""},ariaTextboxValue:function(e){var t=e instanceof Ot?e:Xa(e);e=t.actualNode;return hl(t)?e&&bn(e)?e.textContent:cn(t,!0):""},ariaListboxValue:xl,ariaComboboxValue:function(e,t){return e=e instanceof Ot?e:Xa(e),bl(e)&&(e=al(e).filter((function(e){return"listbox"===Qi(e)}))[0])?xl(e,t):""},ariaRangeValue:function(e){return e=e instanceof Ot?e:Xa(e),vl(e)&&e.hasAttr("aria-valuenow")?(e=+e.attr("aria-valuenow"),isNaN(e)?"0":String(e)):""}};function xl(e,t){return e=e instanceof Ot?e:Xa(e),gl(e)?0===(e=al(e).filter((function(e){return"option"===Qi(e)&&"true"===e.attr("aria-selected")}))).length?"":Rl(e[0],t):""}function El(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=e.actualNode,r=dl.accessibleNameFromFieldValue||[],n=Qi(e);return t.startNode===e||!wl.includes(n)||r.includes(n)?"":(n=Object.keys(Dl).map((function(e){return Dl[e]})).reduce((function(a,r){return a||r(e,t)}),""),t.debug&&Rt(n||"{empty-value}",a,t),n)}var Al=k(xt()),Cl=function(e,t){var a=t.emoji,r=t.nonBmp;t=t.punctuations;return a?Al.default().test(e):r?/[\\u1D00-\\u1D7F\\u1D80-\\u1DBF\\u1DC0-\\u1DFF\\u20A0-\\u20CF\\u20D0-\\u20FF\\u2100-\\u214F\\u2150-\\u218F\\u2190-\\u21FF\\u2200-\\u22FF\\u2300-\\u23FF\\u2400-\\u243F\\u2440-\\u245F\\u2460-\\u24FF\\u2500-\\u257F\\u2580-\\u259F\\u25A0-\\u25FF\\u2600-\\u26FF\\u2700-\\u27BF\\uE000-\\uF8FF]/g.test(e)||/[\\uDB80-\\uDBBF][\\uDC00-\\uDFFF]/g.test(e):!!t&&/[\\u2000-\\u206F\\u2E00-\\u2E7F\\\\\'!"#$%&\\xa3\\xa2\\xa5\\xa7\\u20ac()*+,\\-.\\/:;<=>?@\\[\\]^_`{|}~\\xb1]/g.test(e)},Fl=function(e){var a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.15,n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:3,o=e.actualNode.nodeValue.trim();if(!nn(o)||Cl(o,{emoji:!0,nonBmp:!0}))return!1;Ka.get("canvasContext")||Ka.set("canvasContext",r.createElement("canvas").getContext("2d"));var i=Ka.get("canvasContext"),l=i.canvas;Ka.get("fonts")||Ka.set("fonts",{});var s=Ka.get("fonts"),u=t.getComputedStyle(e.parent.actualNode).getPropertyValue("font-family");s[u]||(s[u]={occurances:0,numLigatures:0});var c=s[u];if(c.occurances>=n){if(c.numLigatures/c.occurances==1)return!0;if(0===c.numLigatures)return!1}c.occurances++;var d="".concat(m=30,"px ").concat(u);i.font=d;var p=o.charAt(0);if((s=i.measureText(p).width)<30&&(s*=n=30/s,d="".concat(m*=n,"px ").concat(u)),l.width=s,l.height=m,i.font=d,i.textAlign="left",i.textBaseline="top",i.fillText(p,0,0),!(p=new Uint32Array(i.getImageData(0,0,s,m).data.buffer)).some((function(e){return e})))return c.numLigatures++,!0;i.clearRect(0,0,s,m),i.fillText(o,0,0);var f=new Uint32Array(i.getImageData(0,0,s,m).data.buffer),m=(s=p.reduce((function(e,t,a){return 0===t&&0===f[a]||0!==t&&0!==f[a]?e:++e}),0),o.split("").reduce((function(e,t){return e+i.measureText(t).width}),0));o=i.measureText(o).width;return a<=s/p.length&&a<=1-o/m&&(c.numLigatures++,!0)};function kl(e){var t,a,r,n=e.actualNode,i=function(e,t){var a=e.actualNode;return t.startNode||(t=_({startNode:e},t)),a?(1===a.nodeType&&t.inLabelledByContext&&void 0===t.includeHidden&&(t=_({includeHidden:!Kr(a,!0)},t)),t):t}(e,i=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{});if(function(e,t){return!!(e=e.actualNode)&&(1===e.nodeType&&!t.includeHidden&&!Kr(e,!0))}(e,i))return"";if(t=e,a=(l=i).ignoreIconLigature,r=l.pixelThreshold,l=l.occuranceThreshold,3===t.props.nodeType&&a&&Fl(t,r,l))return"";var l=[_l,wi,cl,El,nl,Nl,el].reduce((function(t,a){return""!==(t=i.startNode===e?nn(t):t)?t:a(e,i)}),"");return i.debug&&o.log(l||"{empty-value}",n,i),l}function Nl(e){return 3!==e.props.nodeType?"":e.props.nodeValue}kl.alreadyProcessed=function(e,t){return t.processed=t.processed||[],!!t.processed.includes(e)||(t.processed.push(e),!1)};var Rl=kl,Tl=function(e,t){return e=Xa(e),Rl(e,t)},_l=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};if(!(e instanceof Ot)){if(1!==e.nodeType)return"";e=Xa(e)}return 1!==e.props.nodeType||t.inLabelledByContext||t.inControlContext||!e.attr("aria-labelledby")?"":un(e,"aria-labelledby").filter((function(e){return e})).reduce((function(a,r){return r=Tl(r,_({inLabelledByContext:!0,startNode:t.startNode||e},t)),a?"".concat(a," ").concat(r):r}),"")},Ol={};A(Ol,{accessibleText:function(){return Tl},accessibleTextVirtual:function(){return Rl},autocomplete:function(){return Bl},formControlValue:function(){return El},formControlValueMethods:function(){return Dl},hasUnicode:function(){return Cl},isHumanInterpretable:function(){return Il},isIconLigature:function(){return Fl},isValidAutocomplete:function(){return Ml},label:function(){return ql},labelText:function(){return ol},labelVirtual:function(){return jl},nativeElementType:function(){return Ul},nativeTextAlternative:function(){return cl},nativeTextMethods:function(){return ul},removeUnicode:function(){return Pl},sanitize:function(){return nn},subtreeText:function(){return nl},titleText:function(){return el},unsupported:function(){return dl},visible:function(){return Ll},visibleTextNodes:function(){return Vl},visibleVirtual:function(){return cn}});var Sl=k(xt()),Pl=function(e,t){var a=t.emoji,r=t.nonBmp;t=t.punctuations;return a&&(e=e.replace(Sl.default(),"")),r&&(e=(e=e.replace(/[\\u1D00-\\u1D7F\\u1D80-\\u1DBF\\u1DC0-\\u1DFF\\u20A0-\\u20CF\\u20D0-\\u20FF\\u2100-\\u214F\\u2150-\\u218F\\u2190-\\u21FF\\u2200-\\u22FF\\u2300-\\u23FF\\u2400-\\u243F\\u2440-\\u245F\\u2460-\\u24FF\\u2500-\\u257F\\u2580-\\u259F\\u25A0-\\u25FF\\u2600-\\u26FF\\u2700-\\u27BF\\uE000-\\uF8FF]/g,"")).replace(/[\\uDB80-\\uDBBF][\\uDC00-\\uDFFF]/g,"")),t?e.replace(/[\\u2000-\\u206F\\u2E00-\\u2E7F\\\\\'!"#$%&\\xa3\\xa2\\xa5\\xa7\\u20ac()*+,\\-.\\/:;<=>?@\\[\\]^_`{|}~\\xb1]/g,""):e},Il=function(e){return!e.length||["x","i"].includes(e)?0:(e=Pl(e,{emoji:!0,nonBmp:!0,punctuations:!0}),nn(e)?1:0)},Bl={stateTerms:["on","off"],standaloneTerms:["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname","username","new-password","current-password","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","photo","one-time-code"],qualifiers:["home","work","mobile","fax","pager"],qualifiedTerms:["tel","tel-country-code","tel-national","tel-area-code","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp"],locations:["billing","shipping"]},Ml=function(e){var t=void 0!==(r=(i=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).looseTyped)&&r,a=void 0===(o=i.stateTerms)?[]:o,r=void 0===(n=i.locations)?[]:n,n=void 0===(o=i.qualifiers)?[]:o,o=void 0===(o=i.standaloneTerms)?[]:o,i=void 0===(i=i.qualifiedTerms)?[]:i;return e=e.toLowerCase().trim(),!(!(a=a.concat(Bl.stateTerms)).includes(e)&&""!==e)||(n=n.concat(Bl.qualifiers),r=r.concat(Bl.locations),o=o.concat(Bl.standaloneTerms),i=i.concat(Bl.qualifiedTerms),a=e.split(/\\s+/g),!(!t&&(8<a[0].length&&"section-"===a[0].substr(0,8)&&a.shift(),r.includes(a[0])&&a.shift(),n.includes(a[0])&&(a.shift(),o=[]),1!==a.length))&&(a=a[a.length-1],o.includes(a)||i.includes(a)))},Ll=function(e,t,a){return e=Xa(e),cn(e,t,a)},jl=function(e){if(t=dn(e))return t;if(e.attr("id")){if(!e.actualNode)throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes");var t,a=Ea(e.attr("id"));if(t=(a=Pr(e.actualNode).querySelector(\'label[for="\'+a+\'"]\'))&&Ll(a,!0))return t}return(t=(a=cr(e,"label"))&&cn(a,!0))?t:null},ql=function(e){return e=Xa(e),jl(e)},Ul=[{matches:[{nodeName:"textarea"},{nodeName:"input",properties:{type:["text","password","search","tel","email","url"]}}],namingMethods:"labelText"},{matches:{nodeName:"input",properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},{matches:{nodeName:"input",properties:{type:"image"}},namingMethods:["altText","valueText","labelText","titleText","buttonDefaultText"]},{matches:"button",namingMethods:"subtreeText"},{matches:"fieldset",namingMethods:"fieldsetLegendText"},{matches:"OUTPUT",namingMethods:"subtreeText"},{matches:[{nodeName:"select"},{nodeName:"input",properties:{type:/^(?!text|password|search|tel|email|url|button|submit|reset)/}}],namingMethods:"labelText"},{matches:"summary",namingMethods:"subtreeText"},{matches:"figure",namingMethods:["figureText","titleText"]},{matches:"img",namingMethods:"altText"},{matches:"table",namingMethods:["tableCaptionText","tableSummaryText"]},{matches:["hr","br"],namingMethods:["titleText","singleSpace"]}],Vl=function e(t){var a=Kr(t.actualNode),r=[];return t.children.forEach((function(t){3===t.actualNode.nodeType?a&&r.push(t):r=r.concat(e(t))})),r},zl=/^idrefs?$/,Hl=function(e){e=e.actualNode||e;var t=(t=Pr(e)).documentElement||t,a=Ka.get("idRefsByRoot");a||(a=new WeakMap,Ka.set("idRefsByRoot",a));var r=a.get(t);return r||(a.set(t,r={}),function e(t,a,r){if(t.hasAttribute){var n;"LABEL"===t.nodeName.toUpperCase()&&t.hasAttribute("for")&&(a[n=t.getAttribute("for")]=a[n]||[],a[n].push(t));for(var o=0;o<r.length;++o){var i=r[o];if(i=nn(t.getAttribute(i)||""))for(var l=ui(i),s=0;s<l.length;++s)a[l[s]]=a[l[s]]||[],a[l[s]].push(t)}}for(var u=0;u<t.childNodes.length;u++)1===t.childNodes[u].nodeType&&e(t.childNodes[u],a,r)}(t,r,Object.keys(Mn.ariaAttrs).filter((function(e){return e=Mn.ariaAttrs[e].type,zl.test(e)})))),r[e.id]||[]},$l=function(e){return(e=Mn.ariaRoles[e])?e.type:null},Wl=function(e,t){var a=e instanceof Ot?e:Xa(e);e=Yi(a),a=Gi(a);return Array.isArray(a.allowedRoles)?a.allowedRoles.includes(t):t!==e&&!!a.allowedRoles},Gl=["doc-backlink","doc-biblioentry","doc-biblioref","doc-cover","doc-endnote","doc-glossref","doc-noteref"],Yl={header:"banner",footer:"contentinfo"},Kl=function(e){var t=!(1<arguments.length&&void 0!==arguments[1])||arguments[1],a=e instanceof Ot?e:Xa(e);if(!Ao(a))return[];var r,n=a.props.nodeName,o=Yi(a)||Yl[n];return(r=[],(n=a)?(n.hasAttr("role")&&(n=ui(n.attr("role").toLowerCase()),r=r.concat(n)),r.filter((function(e){return xi(e)}))):r).filter((function(e){return!function(e,t,a,r){return!(!a||e!==r)||(!Gl.includes(e)||$l(e)===r)&&Wl(t,e)}(e,a,t,o)}))},Xl=function(e){return Object.keys(Mn.ariaRoles).filter((function(t){return Mn.ariaRoles[t].type===e}))},Jl=function(e){return Xl(e)},Ql=function(){if(Ka.get("ariaRolesNameFromContent"))return Ka.get("ariaRolesNameFromContent");var e=Object.keys(Mn.ariaRoles).filter((function(e){return Mn.ariaRoles[e].nameFromContent}));return Ka.set("ariaRolesNameFromContent",e),e};function Zl(e){return null===e}function es(e){return null!==e}var ts=function(){return Ql()};(Pn={attributes:{"aria-activedescendant":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-atomic":{type:"boolean",values:["true","false"],unsupported:!1},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"],unsupported:!1},"aria-busy":{type:"boolean",values:["true","false"],unsupported:!1},"aria-checked":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-colcount":{type:"int",unsupported:!1},"aria-colindex":{type:"int",unsupported:!1},"aria-colspan":{type:"int",unsupported:!1},"aria-controls":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],unsupported:!1},"aria-describedby":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-describedat":{unsupported:!0,unstandardized:!0},"aria-details":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-disabled":{type:"boolean",values:["true","false"],unsupported:!1},"aria-dropeffect":{type:"nmtokens",values:["copy","move","reference","execute","popup","none"],unsupported:!1},"aria-errormessage":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-flowto":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],unsupported:!1},"aria-hidden":{type:"boolean",values:["true","false"],unsupported:!1},"aria-invalid":{type:"nmtoken",allowEmpty:!0,values:["true","false","spelling","grammar"],unsupported:!1},"aria-keyshortcuts":{type:"string",allowEmpty:!0,unsupported:!1},"aria-label":{type:"string",allowEmpty:!0,unsupported:!1},"aria-labelledby":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-level":{type:"int",unsupported:!1},"aria-live":{type:"nmtoken",values:["off","polite","assertive"],unsupported:!1},"aria-modal":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiline":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiselectable":{type:"boolean",values:["true","false"],unsupported:!1},"aria-orientation":{type:"nmtoken",values:["horizontal","vertical"],unsupported:!1},"aria-owns":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-placeholder":{type:"string",allowEmpty:!0,unsupported:!1},"aria-posinset":{type:"int",unsupported:!1},"aria-pressed":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-readonly":{type:"boolean",values:["true","false"],unsupported:!1},"aria-relevant":{type:"nmtokens",values:["additions","removals","text","all"],unsupported:!1},"aria-required":{type:"boolean",values:["true","false"],unsupported:!1},"aria-roledescription":{type:"string",allowEmpty:!0,unsupported:!1},"aria-rowcount":{type:"int",unsupported:!1},"aria-rowindex":{type:"int",unsupported:!1},"aria-rowspan":{type:"int",unsupported:!1},"aria-selected":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-setsize":{type:"int",unsupported:!1},"aria-sort":{type:"nmtoken",values:["ascending","descending","other","none"],unsupported:!1},"aria-valuemax":{type:"decimal",unsupported:!1},"aria-valuemin":{type:"decimal",unsupported:!1},"aria-valuenow":{type:"decimal",unsupported:!1},"aria-valuetext":{type:"string",unsupported:!1}},globalAttributes:["aria-atomic","aria-busy","aria-controls","aria-current","aria-describedby","aria-details","aria-disabled","aria-dropeffect","aria-flowto","aria-grabbed","aria-haspopup","aria-hidden","aria-invalid","aria-keyshortcuts","aria-label","aria-labelledby","aria-live","aria-owns","aria-relevant","aria-roledescription"]}).role={alert:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},alertdialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["dialog","section"]},application:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage","aria-activedescendant"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["article","audio","embed","iframe","object","section","svg","video"]},article:{type:"structure",attributes:{allowed:["aria-expanded","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["article"],unsupported:!1},banner:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["header"],unsupported:!1,allowedElements:["section"]},button:{type:"widget",attributes:{allowed:["aria-expanded","aria-pressed","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["button",\'input[type="button"]\',\'input[type="image"]\',\'input[type="reset"]\',\'input[type="submit"]\',"summary"],unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:es}}]},cell:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},checkbox:{type:"widget",attributes:{allowed:["aria-checked","aria-required","aria-readonly","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:[\'input[type="checkbox"]\'],unsupported:!1,allowedElements:["button"]},columnheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},combobox:{type:"composite",attributes:{allowed:["aria-autocomplete","aria-required","aria-activedescendant","aria-orientation","aria-errormessage"],required:["aria-expanded"]},owned:{all:["listbox","tree","grid","dialog","textbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:"input",properties:{type:["text","search","tel","url","email"]}}]},command:{nameFrom:["author"],type:"abstract",unsupported:!1},complementary:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["aside"],unsupported:!1,allowedElements:["section"]},composite:{nameFrom:["author"],type:"abstract",unsupported:!1},contentinfo:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["footer"],unsupported:!1,allowedElements:["section"]},definition:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dd","dfn"],unsupported:!1},dialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dialog"],unsupported:!1,allowedElements:["section"]},directory:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["ol","ul"]},document:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["body"],unsupported:!1,allowedElements:["article","embed","iframe","object","section","svg"]},"doc-abstract":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-acknowledgments":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-afterword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-appendix":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-backlink":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:es}}]},"doc-biblioentry":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:["doc-bibliography"],unsupported:!1,allowedElements:["li"]},"doc-bibliography":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["doc-biblioentry"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-biblioref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:es}}]},"doc-chapter":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-colophon":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-conclusion":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-cover":{type:"img",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1},"doc-credit":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-credits":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-dedication":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-endnote":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,namefrom:["author"],context:["doc-endnotes"],unsupported:!1,allowedElements:["li"]},"doc-endnotes":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["doc-endnote"]},namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-epigraph":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1},"doc-epilogue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-errata":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-example":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-footnote":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","footer","header"]},"doc-foreword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-glossary":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:["term","definition"],namefrom:["author"],context:null,unsupported:!1,allowedElements:["dl"]},"doc-glossref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:es}}]},"doc-index":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-introduction":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-noteref":{type:"link",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:es}}]},"doc-notice":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pagebreak":{type:"separator",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["hr"]},"doc-pagelist":{type:"navigation",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-part":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-preface":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-prologue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pullquote":{type:"none",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-qna":{type:"section",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-subtitle":{type:"sectionhead",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["h1","h2","h3","h4","h5","h6"]}},"doc-tip":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},"doc-toc":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},feed:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["article"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["article","aside","section"]},figure:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["figure"],unsupported:!1},form:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["form"],unsupported:!1},grid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-colcount","aria-level","aria-multiselectable","aria-readonly","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,implicit:["table"],unsupported:!1},gridcell:{type:"widget",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-selected","aria-readonly","aria-required","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},group:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["details","optgroup"],unsupported:!1,allowedElements:["dl","figcaption","fieldset","figure","footer","header","ol","ul"]},heading:{type:"structure",attributes:{required:["aria-level"],allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["h1","h2","h3","h4","h5","h6"],unsupported:!1},img:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["img"],unsupported:!1,allowedElements:["embed","iframe","object","svg"]},input:{nameFrom:["author"],type:"abstract",unsupported:!1},landmark:{nameFrom:["author"],type:"abstract",unsupported:!1},link:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["a[href]","area[href]"],unsupported:!1,allowedElements:["button",{nodeName:"input",properties:{type:["image","button"]}}]},list:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{all:["listitem"]},nameFrom:["author"],context:null,implicit:["ol","ul","dl"],unsupported:!1},listbox:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-readonly","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["option"]},nameFrom:["author"],context:null,implicit:["select"],unsupported:!1,allowedElements:["ol","ul"]},listitem:{type:"structure",attributes:{allowed:["aria-level","aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["list"],implicit:["li","dt"],unsupported:!1},log:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},main:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["main"],unsupported:!1,allowedElements:["article","section"]},marquee:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},math:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["math"],unsupported:!1},menu:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,implicit:[\'menu[type="context"]\'],unsupported:!1,allowedElements:["ol","ul"]},menubar:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},menuitem:{type:"widget",attributes:{allowed:["aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:[\'menuitem[type="command"]\'],unsupported:!1,allowedElements:["button","li",{nodeName:"iput",properties:{type:["image","button"]}},{nodeName:"a",attributes:{href:es}}]},menuitemcheckbox:{type:"widget",attributes:{allowed:["aria-checked","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:[\'menuitem[type="checkbox"]\'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeName:"a",attributes:{href:es}}]},menuitemradio:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:[\'menuitem[type="radio"]\'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button","radio"]}},{nodeName:"a",attributes:{href:es}}]},navigation:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["nav"],unsupported:!1,allowedElements:["section"]},none:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:es}}]},note:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},option:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-checked","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["listbox"],implicit:["option"],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","button"]}},{nodeName:"a",attributes:{href:es}}]},presentation:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:es}}]},progressbar:{type:"widget",attributes:{allowed:["aria-valuetext","aria-valuenow","aria-valuemax","aria-valuemin","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["progress"],unsupported:!1},radio:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-required","aria-errormessage","aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,implicit:[\'input[type="radio"]\'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button"]}}]},radiogroup:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-required","aria-expanded","aria-readonly","aria-errormessage","aria-orientation"]},owned:{all:["radio"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["ol","ul","fieldset"]}},range:{nameFrom:["author"],type:"abstract",unsupported:!1},region:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["section[aria-label]","section[aria-labelledby]","section[title]"],unsupported:!1,allowedElements:{nodeName:["article","aside"]}},roletype:{type:"abstract",unsupported:!1},row:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-colindex","aria-expanded","aria-level","aria-selected","aria-rowindex","aria-errormessage"]},owned:{one:["cell","columnheader","rowheader","gridcell"]},nameFrom:["author","contents"],context:["rowgroup","grid","treegrid","table"],implicit:["tr"],unsupported:!1},rowgroup:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-errormessage"]},owned:{all:["row"]},nameFrom:["author","contents"],context:["grid","table","treegrid"],implicit:["tbody","thead","tfoot"],unsupported:!1},rowheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},scrollbar:{type:"widget",attributes:{required:["aria-controls","aria-valuenow"],allowed:["aria-valuetext","aria-orientation","aria-errormessage","aria-valuemax","aria-valuemin"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},search:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["aside","form","section"]}},searchbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="search"]\'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:"text"}}},section:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},sectionhead:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},select:{nameFrom:["author"],type:"abstract",unsupported:!1},separator:{type:"structure",attributes:{allowed:["aria-expanded","aria-orientation","aria-valuenow","aria-valuemax","aria-valuemin","aria-valuetext","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["hr"],unsupported:!1,allowedElements:["li"]},slider:{type:"widget",attributes:{allowed:["aria-valuetext","aria-orientation","aria-readonly","aria-errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="range"]\'],unsupported:!1},spinbutton:{type:"widget",attributes:{allowed:["aria-valuetext","aria-required","aria-readonly","aria-errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="number"]\'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:["text","tel"]}}},status:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["output"],unsupported:!1,allowedElements:["section"]},structure:{type:"abstract",unsupported:!1},switch:{type:"widget",attributes:{allowed:["aria-errormessage"],required:["aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["button",{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeName:"a",attributes:{href:es}}]},tab:{type:"widget",attributes:{allowed:["aria-selected","aria-expanded","aria-setsize","aria-posinset","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["tablist"],unsupported:!1,allowedElements:[{nodeName:["button","h1","h2","h3","h4","h5","h6","li"]},{nodeName:"input",properties:{type:"button"}},{nodeName:"a",attributes:{href:es}}]},table:{type:"structure",attributes:{allowed:["aria-colcount","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author","contents"],context:null,implicit:["table"],unsupported:!1},tablist:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-errormessage"]},owned:{all:["tab"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},tabpanel:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},term:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["dt"],unsupported:!1},textbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="text"]\',\'input[type="email"]\',\'input[type="password"]\',\'input[type="tel"]\',\'input[type="url"]\',"input:not([type])","textarea"],unsupported:!1},timer:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},toolbar:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:[\'menu[type="toolbar"]\'],unsupported:!1,allowedElements:["ol","ul"]},tooltip:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1},tree:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["treeitem"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},treegrid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-readonly","aria-required","aria-rowcount","aria-orientation","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,unsupported:!1},treeitem:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["group","tree"],unsupported:!1,allowedElements:["li",{nodeName:"a",attributes:{href:es}}]},widget:{type:"abstract",unsupported:!1},window:{nameFrom:["author"],type:"abstract",unsupported:!1}},Pn.implicitHtmlRole=Oi,Pn.elementsAllowedNoRole=[{nodeName:["base","body","caption","col","colgroup","datalist","dd","details","dt","head","html","keygen","label","legend","main","map","math","meta","meter","noscript","optgroup","param","picture","progress","script","source","style","template","textarea","title","track"]},{nodeName:"area",attributes:{href:es}},{nodeName:"input",properties:{type:["color","data","datatime","file","hidden","month","number","password","range","reset","submit","time","week"]}},{nodeName:"link",attributes:{href:es}},{nodeName:"menu",attributes:{type:"context"}},{nodeName:"menuitem",attributes:{type:["command","checkbox","radio"]}},{nodeName:"select",condition:function(e){return e instanceof o.AbstractVirtualNode||(e=o.utils.getNodeFromTree(e)),1<Number(e.attr("size"))},properties:{multiple:!0}},{nodeName:["clippath","cursor","defs","desc","feblend","fecolormatrix","fecomponenttransfer","fecomposite","feconvolvematrix","fediffuselighting","fedisplacementmap","fedistantlight","fedropshadow","feflood","fefunca","fefuncb","fefuncg","fefuncr","fegaussianblur","feimage","femerge","femergenode","femorphology","feoffset","fepointlight","fespecularlighting","fespotlight","fetile","feturbulence","filter","hatch","hatchpath","lineargradient","marker","mask","meshgradient","meshpatch","meshrow","metadata","mpath","pattern","radialgradient","solidcolor","stop","switch","view"]}],Pn.elementsAllowedAnyRole=[{nodeName:"a",attributes:{href:Zl}},{nodeName:"img",attributes:{alt:Zl}},{nodeName:["abbr","address","canvas","div","p","pre","blockquote","ins","del","output","span","table","tbody","thead","tfoot","td","em","strong","small","s","cite","q","dfn","abbr","time","code","var","samp","kbd","sub","sup","i","b","u","mark","ruby","rt","rp","bdi","bdo","br","wbr","th","tr"]}],Pn.evaluateRoleForElement={A:function(e){var t=e.node;e=e.out;return"http://www.w3.org/2000/svg"===t.namespaceURI||!t.href.length||e},AREA:function(e){return!e.node.href},BUTTON:function(e){var t=e.node,a=e.role;e=e.out;return"menu"===t.getAttribute("type")?"menuitem"===a:e},IMG:function(e){var t=e.node,a=e.role,r=e.out;switch(t.alt){case null:return r;case"":return"presentation"===a||"none"===a;default:return"presentation"!==a&&"none"!==a}},INPUT:function(e){var t=e.node,a=e.role,r=e.out;switch(t.type){case"button":case"image":return r;case"checkbox":return!("button"!==a||!t.hasAttribute("aria-pressed"))||r;case"radio":return"menuitemradio"===a;case"text":return"combobox"===a||"searchbox"===a||"spinbutton"===a;case"tel":return"combobox"===a||"spinbutton"===a;case"url":case"search":case"email":return"combobox"===a;default:return!1}},LI:function(e){var t=e.node;e=e.out;return!o.utils.matchesSelector(t,"ol li, ul li")||e},MENU:function(e){return"context"!==e.node.getAttribute("type")},OPTION:function(e){return e=e.node,!o.utils.matchesSelector(e,"select > option, datalist > option, optgroup > option")},SELECT:function(e){var t=e.node;e=e.role;return!t.multiple&&t.size<=1&&"menu"===e},SVG:function(e){var t=e.node;e=e.out;return!(!t.parentNode||"http://www.w3.org/2000/svg"!==t.parentNode.namespaceURI)||e}},Pn.rolesOfType={widget:["button","checkbox","dialog","gridcell","link","log","marquee","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","radio","scrollbar","searchbox","slider","spinbutton","status","switch","tab","tabpanel","textbox","timer","tooltip","tree","treeitem"]};var as=Pn,rs=function(e){var t=null;return(e=as.role[e])&&e.implicit?er(e.implicit):t},ns=function(e){return!!Hl(e).length},os=function(e){return e=Xa(e),dn(e)},is=function(e){return(e=Mn.ariaRoles[e])&&Array.isArray(e.requiredAttrs)?R(e.requiredAttrs):[]},ls=function(e){return(e=Mn.ariaRoles[e])&&Array.isArray(e.requiredContext)?R(e.requiredContext):null},ss=function(e){return(e=Mn.ariaRoles[e])&&Array.isArray(e.requiredOwned)?R(e.requiredOwned):null},us=function(e,t){var a,r=(e=e instanceof Ot?e:Xa(e)).attr(t),n=Mn.ariaAttrs[t];if(!n)return!0;if(n.allowEmpty&&(!r||""===r.trim()))return!0;switch(n.type){case"boolean":return["true","false"].includes(r.toLowerCase());case"nmtoken":return"string"==typeof r&&n.values.includes(r.toLowerCase());case"nmtokens":return(a=ui(r)).reduce((function(e,t){return e&&n.values.includes(t)}),0!==a.length);case"idref":try{var o=Pr(e.actualNode);return!(!r||!o.getElementById(r))}catch(e){throw new TypeError("Cannot resolve id references for partial DOM")}case"idrefs":return un(e,t).some((function(e){return!!e}));case"string":return""!==r.trim();case"decimal":return!(!(i=r.match(/^[-+]?([0-9]*)\\.?([0-9]*)$/))||!i[1]&&!i[2]);case"int":var i=void 0!==n.minValue?n.minValue:-1/0;return/^[-+]?[0-9]+$/.test(r)&&parseInt(r)>=i}},cs=function(e){return!!Mn.ariaAttrs[e]};var ds={};function ps(e,t,a,r){var n=Ei(e);if(!(a=a||ls(n)))return null;for(var o=r?e:e.parent;o;){var i=Qi(o);if(a.includes("group")&&"group"===i)t.includes(n)&&a.push(n),a=a.filter((function(e){return"group"!==e})),o=o.parent;else{if(a.includes(i))return null;if(i&&!["presentation","none"].includes(i))return a;o=o.parent}}return a}A(ds,{getAriaRolesByType:function(){return Xl},getAriaRolesSupportingNameFromContent:function(){return Ql},getElementSpec:function(){return Gi},getElementsByContentType:function(){return Ai},getGlobalAriaAttrs:function(){return yi},implicitHtmlRoles:function(){return Oi}});var fs={ARTICLE:!0,ASIDE:!0,NAV:!0,SECTION:!0},ms={application:!0,banner:!1,complementary:!0,contentinfo:!0,form:!0,main:!0,navigation:!0,region:!0,search:!1};var hs={};A(hs,{getAllCells:function(){return gs},getCellPosition:function(){return Fi},getHeaders:function(){return ys},getScope:function(){return ki},isColumnHeader:function(){return Ni},isDataCell:function(){return vs},isDataTable:function(){return ws},isHeader:function(){return Ds},isRowHeader:function(){return Ri},toArray:function(){return Ci},toGrid:function(){return Ci},traverse:function(){return xs}});var gs=function(e){for(var t,a,r=[],n=0,o=e.rows.length;n<o;n++)for(t=0,a=e.rows[n].cells.length;t<a;t++)r.push(e.rows[n].cells[t]);return r};function bs(e,t,a){for(var r,n="row"===e?"_rowHeaders":"_colHeaders",i="row"===e?Ri:Ni,l=(u=a[t.y][t.x]).colSpan-1,s=u.getAttribute("rowspan"),u=0===parseInt(s)||0===u.rowspan?a.length:u.rowSpan,c=(u=t.y+(u-1),t.x+l),d="row"===e?t.y:0,p="row"===e?0:t.x,f=[],m=u;d<=m&&!r;m--)for(var h=c;p<=h;h--){var g=a[m]?a[m][h]:void 0;if(g){var b=o.utils.getNodeFromTree(g);if(b[n]){r=b[n];break}f.push(g)}}return r=(r||[]).concat(f.filter(i)),f.forEach((function(e){o.utils.getNodeFromTree(e)[n]=r})),r}var ys=function(e,t){if(e.getAttribute("headers")){var a=un(e,"headers");if(a.filter((function(e){return e})).length)return a}return t=t||Ci(Mr(e,"table")),e=bs("row",a=Fi(e,t),t),t=bs("col",a,t),[].concat(e,t).reverse()},vs=function(e){if(!e.children.length&&!e.textContent.trim())return!1;var t=e.getAttribute("role");return xi(t)?["cell","gridcell"].includes(t):"TD"===e.nodeName.toUpperCase()},ws=function(e){var a=(e.getAttribute("role")||"").toLowerCase();if(("presentation"===a||"none"===a)&&!wn(e))return!1;if("true"===e.getAttribute("contenteditable")||Mr(e,\'[contenteditable="true"]\'))return!0;if("grid"===a||"treegrid"===a||"table"===a)return!0;if("landmark"===$l(a))return!0;if("0"===e.getAttribute("datatable"))return!1;if(e.getAttribute("summary"))return!0;if(e.tHead||e.tFoot||e.caption)return!0;for(var r=0,n=e.children.length;r<n;r++)if("COLGROUP"===e.children[r].nodeName.toUpperCase())return!0;for(var o,i,l,s=0,u=e.rows.length,c=!1,d=0;d<u;d++)for(var p,f=0,m=(p=e.rows[d]).cells.length;f<m;f++){if("TH"===(o=p.cells[f]).nodeName.toUpperCase())return!0;if(c||o.offsetWidth===o.clientWidth&&o.offsetHeight===o.clientHeight||(c=!0),o.getAttribute("scope")||o.getAttribute("headers")||o.getAttribute("abbr"))return!0;if(["columnheader","rowheader"].includes((o.getAttribute("role")||"").toLowerCase()))return!0;if(1===o.children.length&&"ABBR"===o.children[0].nodeName.toUpperCase())return!0;s++}if(e.getElementsByTagName("table").length)return!1;if(u<2)return!1;if(1===(a=e.rows[Math.ceil(u/2)]).cells.length&&1===a.cells[0].colSpan)return!1;if(5<=a.cells.length)return!0;if(c)return!0;for(d=0;d<u;d++){if(p=e.rows[d],i&&i!==t.getComputedStyle(p).getPropertyValue("background-color"))return!0;if(i=t.getComputedStyle(p).getPropertyValue("background-color"),l&&l!==t.getComputedStyle(p).getPropertyValue("background-image"))return!0;l=t.getComputedStyle(p).getPropertyValue("background-image")}return 20<=u||!(Hr(e).width>.95*$r(t).width)&&!(s<10)&&!e.querySelector("object, embed, iframe, applet")},Ds=function(e){return!(!Ni(e)&&!Ri(e))||!!e.getAttribute("id")&&(e=Ea(e.getAttribute("id")),!!r.querySelector(\'[headers~="\'.concat(e,\'"]\')))},xs=function(e,t,a,r){if(Array.isArray(t)&&(r=a,a=t,t={x:0,y:0}),"string"==typeof e)switch(e){case"left":e={x:-1,y:0};break;case"up":e={x:0,y:-1};break;case"right":e={x:1,y:0};break;case"down":e={x:0,y:1}}return function e(t,a,r,n){var o,i=r[a.y]?r[a.y][a.x]:void 0;return i?"function"==typeof n&&!0===(o=n(i,a,r))?[i]:((o=e(t,{x:a.x+t.x,y:a.y+t.y},r,n)).unshift(i),o):[]}(e,{x:t.x+e.x,y:t.y+e.y},a,r)};var Es={};A(Es,{Color:function(){return Ln},centerPointOfRect:function(){return As},elementHasImage:function(){return Tn},elementIsDistinct:function(){return Fs},filteredRectStack:function(){return Ns},flattenColors:function(){return _s},flattenShadowColors:function(){return Os},getBackgroundColor:function(){return Is},getBackgroundStack:function(){return Ss},getContrast:function(){return Ms},getForegroundColor:function(){return Ls},getOwnBackgroundColor:function(){return jn},getRectStack:function(){return ks},getTextShadowColors:function(){return Ps},hasValidContrastRatio:function(){return js},incompleteData:function(){return Rn}});var As=function(e){if(!(e.left>t.innerWidth||e.top>t.innerHeight))return{x:Math.min(Math.ceil(e.left+e.width/2),t.innerWidth-1),y:Math.min(Math.ceil(e.top+e.height/2),t.innerHeight-1)}};function Cs(e){return e.getPropertyValue("font-family").split(/[,;]/g).map((function(e){return e.trim().toLowerCase()}))}var Fs=function(e,a){var r=t.getComputedStyle(e);if("none"!==r.getPropertyValue("background-image"))return!0;if(["border-bottom","border-top","outline"].reduce((function(e,t){var a=new Ln;return a.parseString(r.getPropertyValue(t+"-color")),e||"none"!==r.getPropertyValue(t+"-style")&&0<parseFloat(r.getPropertyValue(t+"-width"))&&0!==a.alpha}),!1))return!0;var n=t.getComputedStyle(a);return Cs(r)[0]!==Cs(n)[0]||(e=["text-decoration-line","text-decoration-style","font-weight","font-style","font-size"].reduce((function(e,t){return e||r.getPropertyValue(t)!==n.getPropertyValue(t)}),!1),(a=r.getPropertyValue("text-decoration")).split(" ").length<3?e||a!==n.getPropertyValue("text-decoration"):e)},ks=function(e){var t=an(e);return!(e=on(e))||e.length<=1?[t]:e.some((function(e){return void 0===e}))?null:(e.splice(0,0,t),e)},Ns=function(e){var t=ks(e);if(t&&1===t.length)return t[0];if(t&&1<t.length){var a,r=t.shift();return t.forEach((function(n,o){var i,l;0!==o&&(i=t[o-1],l=t[o],a=i.every((function(e,t){return e===l[t]}))||r.includes(e))})),a?t[0]:(Rn.set("bgColor","elmPartiallyObscuring"),null)}return Rn.set("bgColor","outsideViewport"),null},Rs={normal:function(e,t){return t},multiply:function(e,t){return t*e},screen:function(e,t){return e+t-e*t},overlay:function(e,t){return this["hard-light"](t,e)},darken:function(e,t){return Math.min(e,t)},lighten:function(e,t){return Math.max(e,t)},"color-dodge":function(e,t){return 0===e?0:1===t?1:Math.min(1,e/(1-t))},"color-burn":function(e,t){return 1===e?1:0===t?0:1-Math.min(1,(1-e)/t)},"hard-light":function(e,t){return t<=.5?this.multiply(e,2*t):this.screen(e,2*t-1)},"soft-light":function(e,t){return t<=.5?e-(1-2*t)*e*(1-e):e+(2*t-1)*((e<=.25?((16*e-12)*e+4)*e:Math.sqrt(e))-e)},difference:function(e,t){return Math.abs(e-t)},exclusion:function(e,t){return e+t-2*e*t}};function Ts(e,t,a,r,n){return t*(1-r)*e+t*r*Rs[n](a/255,e/255)*255+(1-t)*r*a}var _s=function(e,t){var a,r,n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:"normal",o=Ts(e.red,e.alpha,t.red,t.alpha,n),i=Ts(e.green,e.alpha,t.green,t.alpha,n),l=Ts(e.blue,e.alpha,t.blue,t.alpha,n);a=e.alpha+t.alpha*(1-e.alpha),r=0,n=1,n=Math.min(Math.max(r,a),n),o=Math.round(o/n),i=Math.round(i/n),l=Math.round(l/n);return new Ln(o,i,l,n)},Os=function(e,t){var a=(1-(n=e.alpha))*t.red+n*e.red,r=(1-n)*t.green+n*e.green,n=(1-n)*t.blue+n*e.blue;e=e.alpha+t.alpha*(1-e.alpha);return new Ln(a,r,n,e)};var Ss=function(e){var a,n,o=Ns(e);if(null===o)return null;n=(a=o=Vn(o,e)).indexOf(r.body),i=a,a=jn(t.getComputedStyle(r.documentElement)),1<n&&0===a.alpha&&!Tn(r.documentElement)&&(1<n&&(i.splice(n,1),i.push(r.body)),0<(n=i.indexOf(r.documentElement))&&(i.splice(n,1),i.push(r.documentElement)));var i=(o=i).indexOf(e);return function(e,a,r){for(var n=e-1;0<=n;n--){if(!function(e,a){var r=Node.DOCUMENT_POSITION_CONTAINED_BY;if(e.compareDocumentPosition(a)&r)return(a=t.getComputedStyle(a)).getPropertyValue("display").includes("inline")?"static"===a.getPropertyValue("position"):void 0}(r,a[n]))return 1;a.splice(n,1)}}(i,o,e)?(Rn.set("bgColor","bgOverlap"),null):-1!==i?o:null},Ps=function(e){var a=(i=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).minRatio,r=i.maxRatio,n=t.getComputedStyle(e),o=n.getPropertyValue("text-shadow");if("none"===o)return[];var i=n.getPropertyValue("font-size"),l=parseInt(i);Bt(!1===isNaN(l),"Unable to determine font-size value ".concat(i));var s=[];return function(e){var t={pixels:[]},a=e.trim(),r=[t];if(!a)return[];for(;a;){var n=a.match(/^rgba?\\([0-9,.\\s]+\\)/i)||a.match(/^[a-z]+/i)||a.match(/^#[0-9a-f]+/i),o=a.match(/^([0-9.-]+)px/i)||a.match(/^(0)/);if(n)Bt(!t.colorStr,"Multiple colors identified in text-shadow: ".concat(e)),a=a.replace(n[0],"").trim(),t.colorStr=n[0];else if(o)Bt(t.pixels.length<3,"Too many pixel units in text-shadow: ".concat(e)),a=a.replace(o[0],"").trim(),o=parseFloat(("."===o[1][0]?"0":"")+o[1]),t.pixels.push(o);else{if(","!==a[0])throw new Error("Unable to process text-shadows: ".concat(e));Bt(2<=t.pixels.length,"Missing pixel value in text-shadow: ".concat(e)),t={pixels:[]},r.push(t),a=a.substr(1).trim()}}return r}(o).forEach((function(e){var t=e.colorStr,o=e.pixels,i=(t=t||n.getPropertyValue("color"),e=(i=T(o,3))[0],o=i[1],void 0===(i=i[2])?0:i);(!a||l*a<=i)&&(!r||i<l*r)&&(i=function(e){var t=e.colorStr,a=e.offsetX,r=e.offsetY,n=e.blurRadius;e=e.fontSize;return n<a||n<r?new Ln(0,0,0,0):((r=new Ln).parseString(t),r.alpha*=function(e,t){return 0!==e?.185/(e/t+.4):1}(n,e),r)}({colorStr:t,offsetY:e,offsetX:o,blurRadius:i,fontSize:l}),s.push(i))})),s};function Is(e){var a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:[],n=Ps(e,{minRatio:2<arguments.length&&void 0!==arguments[2]?arguments[2]:.1});n.length&&(n=[{color:n.reduce(Os)}]);var o=Ss(e);return(o||[]).some((function(r){var o=t.getComputedStyle(r),i=jn(o);return function(e,t,a){return(a=e!==t&&!zn(e,t)&&0!==a.alpha)&&Rn.set("bgColor","elmPartiallyObscured"),a}(e,r,i)||Tn(r,o)?(n=null,a.push(r),!0):0!==i.alpha&&(a.push(r),o=o.getPropertyValue("mix-blend-mode"),n.unshift({color:i,blendMode:Bs(o)}),1===i.alpha)})),null===n||null===o?null:(o=function(e,a){var n,o,i,l,s=[];return a||(i=r.documentElement,l=r.body,n=t.getComputedStyle(i),o=t.getComputedStyle(l),a=jn(n),l=0!==(i=jn(o)).alpha&&zn(e,l),(0!==i.alpha&&0===a.alpha||l&&1!==i.alpha)&&s.unshift({color:i,blendMode:Bs(o.getPropertyValue("mix-blend-mode"))}),0===a.alpha||l&&1===i.alpha||s.unshift({color:a,blendMode:Bs(n.getPropertyValue("mix-blend-mode"))})),s}(e,o.includes(r.body)),n.unshift.apply(n,R(o)),0===n.length?new Ln(255,255,255,1):(o=n.reduce((function(e,t){return _s(t.color,e.color instanceof Ln?e.color:e,t.blendMode)})),_s(o.color instanceof Ln?o.color:o,new Ln(255,255,255,1))))}function Bs(e){return e||void 0}var Ms=function(e,t){return t&&e?(t.alpha<1&&(t=_s(t,e)),e=e.getRelativeLuminance(),t=t.getRelativeLuminance(),(Math.max(t,e)+.05)/(Math.min(t,e)+.05)):null},Ls=function(e,a,r){var n=t.getComputedStyle(e),o=new Ln;return o.parseString(n.getPropertyValue("color")),n=function e(a){if(!a)return 1;var r=Xa(a);return r&&void 0!==r._opacity&&null!==r._opacity?r._opacity:(a=t.getComputedStyle(a).getPropertyValue("opacity")*e(a.parentElement),r&&(r._opacity=a),a)}(e),o.alpha=o.alpha*n,1===o.alpha?o:null===(r=r||Is(e,[]))?(n=Rn.get("bgColor"),Rn.set("fgColor",n),null):o.alpha<1?(e=Ps(e,{minRatio:0}),[o].concat(R(e),[r]).reduce(Os)):_s(o,r)},js=function(e,t,a,r){return t=Ms(e,t),{isValid:(a=r&&Math.ceil(72*a)/96<14||!r&&Math.ceil(72*a)/96<18?4.5:3)<t,contrastRatio:t,expectedContrastRatio:a}},qs=_o((function(e,a){function r(e,t){return n.getPropertyValue(e)===t}var n=t.getComputedStyle(e,a);return r("content","none")||r("display","none")||r("visibility","hidden")||!1===r("position","absolute")||0===jn(n).alpha&&r("background-image","none")?0:(e=Us(n.getPropertyValue("width")),a=Us(n.getPropertyValue("height")),"px"!==e.unit||"px"!==a.unit?0===e.value||0===a.value?0:1/0:e.value*a.value)}));function Us(e){e=(t=T(e.match(/^([0-9.]+)([a-z]+)$/i)||[],3))[1];var t=void 0===(t=t[2])?"":t;return{value:parseFloat(void 0===e?"":e),unit:t.toLowerCase()}}function Vs(e,t){return e=e.getRelativeLuminance(),t=t.getRelativeLuminance(),(Math.max(e,t)+.05)/(Math.min(e,t)+.05)}var zs=["block","list-item","table","flex","grid","inline-block"];function Hs(e){return e=t.getComputedStyle(e).getPropertyValue("display"),-1!==zs.indexOf(e)||"table-"===e.substr(0,6)}function $s(e,t){var a=null===(a=t.data)||void 0===a?void 0:a.headingOrder,r=Gs(t.node.ancestry,1);return a?(t=a.map((function(e){return function(e,t){return _({},e,{ancestry:t=t.concat(e.ancestry)})}(e,r)})),-1===(a=function(e,t){for(;t.length;){var a=Ws(e,t);if(-1!==a)return a;t=Gs(t,1)}return-1}(e,r))?e.push.apply(e,R(t)):e.splice.apply(e,[a,0].concat(R(t))),e):e}function Ws(e,t){return e.findIndex((function(e){return ko(e.ancestry,t)}))}function Gs(e,t){return e.slice(0,e.length-t)}A(Sn={},{aria:function(){return bi},color:function(){return Es},dom:function(){return Or},forms:function(){return Ys},matches:function(){return Wi},standards:function(){return ds},table:function(){return hs},text:function(){return Ol},utils:function(){return St}});var Ys={};A(Ys,{isAriaCombobox:function(){return bl},isAriaListbox:function(){return gl},isAriaRange:function(){return vl},isAriaTextbox:function(){return hl},isDisabled:function(){return Xs},isNativeSelect:function(){return ml},isNativeTextbox:function(){return fl}});var Ks=["fieldset","button","select","input","textarea"],Xs=function e(t){if("boolean"==typeof(n=t._isDisabled))return n;var a=t.props.nodeName,r=t.attr("aria-disabled"),n=!(!Ks.includes(a)||!t.hasAttr("disabled"))||(r?"true"===r.toLowerCase():!!t.parent&&e(t.parent));return t._isDisabled=n};function Js(e){return{fontWeight:function(e){switch(e){case"lighter":return 100;case"normal":return 400;case"bold":return 700;case"bolder":return 900}return e=parseInt(e),isNaN(e)?400:e}((e=t.getComputedStyle(function(e){for(var t=e,a=e.textContent.trim(),r=a;r===a&&void 0!==t;){var n=-1;if(0===(e=t).children.length)return e;for(;n++,""===(r=e.children[n].textContent.trim())&&n+1<e.children.length;);t=e.children[n]}return e}(e))).getPropertyValue("font-weight")),fontSize:parseInt(e.getPropertyValue("font-size")),isItalic:"italic"===e.getPropertyValue("font-style")}}function Qs(e,t,a){return a.reduce((function(a,r){return a||(!r.size||e.fontSize/r.size>t.fontSize)&&(!r.weight||e.fontWeight-r.weight>t.fontWeight)&&(!r.italic||e.isItalic&&!t.isItalic)}),!1)}var Zs=Xl("landmark"),eu=["alert","log","status"];function tu(e,t){var a,n,o,i,l=e.actualNode;if("button"===Qi(e)||(n=t,o=(a=e).actualNode,i=Qi(a),o=(o.getAttribute("aria-live")||"").toLowerCase().trim(),["assertive","polite"].includes(o)||eu.includes(i)||Zs.includes(i)||n.regionMatcher&&Wi(a,n.regionMatcher))||["iframe","frame"].includes(e.props.nodeName)||Un(e.actualNode)&&Vr(e.actualNode,"href")||!Kr(l,!0)){for(var s=e;s;)s._hasRegionDescendant=!0,s=s.parent;return["iframe","frame"].includes(e.props.nodeName)?[e]:[]}return l!==r.body&&mn(l,!0)?[e]:e.children.filter((function(e){return 1===e.actualNode.nodeType})).map((function(e){return tu(e,t)})).reduce((function(e,t){return e.concat(t)}),[])}function au(e){return e=parseInt(e.attr("tabindex"),10),!isNaN(e)&&e<0}function ru(e,t){return t=nu(t),e=nu(e),!(!t||!e)&&t.includes(e)}function nu(e){return e=Pl(e,{emoji:!0,nonBmp:!0,punctuations:!0}),nn(e)}function ou(e){return""!==(e||"").trim()}var iu=function(e,t,a){return a.initiator},lu=function(e,t){try{return"svg"===t.props.nodeName||!!cr(t,"svg")}catch(e){return!1}};function su(e,t){var a=Gi(t).namingMethods;return!(a&&0!==a.length||"combobox"===Ei(t)&&ai(t,\'input:not([type="hidden"])\').length)}var uu={"abstractrole-evaluate":function(e,t,a){return 0<(a=ui(a.attr("role")).filter((function(e){return"abstract"===$l(e)}))).length&&(this.data(a),!0)},"aria-allowed-attr-evaluate":function(e,t,a){var r=[],n=Qi(a),o=a.attrNames,i=vi(n);Array.isArray(t[n])&&(i=zo(t[n].concat(i)));var l=Ka.get("aria-allowed-attr-table");function s(){if(a.parent&&"row"===n){var e=cr(a,\'table, [role="treegrid"], [role="table"], [role="grid"]\'),t=l.get(e);if(e&&!t&&(t=Qi(e),l.set(e,t)),["table","grid"].includes(t)&&"row"===n)return!0}}l||(l=new WeakMap,Ka.set("aria-allowed-attr-table",l)),t=Array.isArray(t.validTreeRowAttrs)?t.validTreeRowAttrs:[];var u={};if(t.forEach((function(e){u[e]=s})),i)for(var c=0;c<o.length;c++){var d,p=o[c];(cs(p)&&null!==(d=u[p])&&void 0!==d&&d.call(u)||cs(p)&&!i.includes(p))&&r.push(p+\'="\'+a.attr(p)+\'"\')}return!r.length||(this.data(r),!(Ao(a)||n||wn(a))&&void 0)},"aria-allowed-role-evaluate":function(e){var t=2<arguments.length?arguments[2]:void 0,a=void 0===(n=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowImplicit)||n,r=void 0===(n=r.ignoredTags)?[]:n,n=t.props.nodeName;return!!r.map((function(e){return e.toLowerCase()})).includes(n)||!(a=Kl(t,a)).length||(this.data(a),!Kr(t,!0)&&void 0)},"aria-errormessage-evaluate":function(e,t,a){t=Array.isArray(t)?t:[];var r=a.attr("aria-errormessage"),n=a.hasAttr("aria-errormessage"),o=a.attr("aria-invalid");return!a.hasAttr("aria-invalid")||"false"===o||-1!==t.indexOf(r)||!n||(this.data(ui(r)),function(e){if(""===e.trim())return Mn.ariaAttrs["aria-errormessage"].allowEmpty;var t;try{t=e&&un(a,"aria-errormessage")[0]}catch(t){return void this.data({messageKey:"idrefs",values:ui(e)})}return t?Kr(t,!0)?"alert"===t.getAttribute("role")||"assertive"===t.getAttribute("aria-live")||"polite"===t.getAttribute("aria-live")||-1<ui(a.attr("aria-describedby")).indexOf(e):(this.data({messageKey:"hidden",values:ui(e)}),!1):void 0}.call(this,r))},"aria-hidden-body-evaluate":function(e,t,a){return"true"!==a.attr("aria-hidden")},"aria-level-evaluate":function(e,t,a){if(a=a.attr("aria-level"),!(6<parseInt(a,10)))return!0},"aria-prohibited-attr-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=2<arguments.length?arguments[2]:void 0,r=(null==t?void 0:t.elementsAllowedAriaLabel)||[],n=a.props.nodeName,o=Qi(a,{chromium:!0});return 0!==(t=function(e,t,a){var r=Mn.ariaRoles[e];return r?r.prohibitedAttrs||[]:e||a.includes(t)?[]:["aria-label","aria-labelledby"]}(o,n,r).filter((function(e){return!!a.attrNames.includes(e)&&""!==nn(a.attr(e))}))).length&&(r=a.hasAttr("role")?"hasRole":"noRole",r+=1<t.length?"Plural":"Singular",this.data({role:o,nodeName:n,messageKey:r,prohibited:t}),t=nl(a,{subtreeDescendant:!0}),""===nn(t)||void 0)},"aria-required-attr-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=2<arguments.length?arguments[2]:void 0,r=[],n=a.attrNames,o=Ei(a);if(n.length){var i=is(o),l=Gi(a);if(Array.isArray(t[o])&&(i=zo(t[o],i)),o&&i)for(var s=0,u=i.length;s<u;s++){var c=i[s];a.attr(c)||l.implicitAttrs&&void 0!==l.implicitAttrs[c]||r.push(c)}}return"combobox"===o&&r.includes("aria-controls")&&(a.hasAttr("aria-owns")||"true"!==a.attr("aria-expanded"))&&r.splice(r.indexOf("aria-controls",1)),!r.length||(this.data(r),!1)},"aria-required-children-evaluate":function(e,t,a){var r=t&&Array.isArray(t.reviewEmpty)?t.reviewEmpty:[],n=Ei(a,{dpub:!0}),o=ss(n);return null===o||(!(o=function(e,t){for(var a=0;a<t.length;a++){var r=t[a];if(e.includes(r))return e=e.filter((function(e){return e!==r})),null}return e.length?e:null}(o,t=function(e,t){for(var a=[],r=al(e),n=0;n<r.length;n++)!function(e){e=r[e];var n=Qi(e,{noPresentational:!0});!n||["group","rowgroup"].includes(n)&&t.some((function(e){return e===n}))?r.push.apply(r,R(e.children)):n&&a.push(n)}(n);return a}(a,o)))||(this.data(o),!(!r.includes(n)||fn(a,!1,!0)||t.length||a.hasAttr("aria-owns")&&un(e,"aria-owns").length)&&void 0))},"aria-required-parent-evaluate":function(e,t,a){var r=t&&Array.isArray(t.ownGroupRoles)?t.ownGroupRoles:[],n=ps(a,r);if(!n)return!0;var o=function(e){for(var t,a=[],r=null;e;)e.getAttribute("id")&&(t=Ea(e.getAttribute("id")),(r=Pr(e).querySelector("[aria-owns~=".concat(t,"]")))&&a.push(r)),e=e.parentElement;return a.length?a:null}(e);if(o)for(var i=0,l=o.length;i<l;i++)if(!(n=ps(Xa(o[i]),r,n,!0)))return!0;return this.data(n),!1},"aria-roledescription-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=Qi(e);return!!(t.supportedRoles||[]).includes(a)||!(!a||"presentation"===a||"none"===a)&&void 0},"aria-unsupported-attr-evaluate":function(e,t,a){return!!(a=a.attrNames.filter((function(t){var a=Mn.ariaAttrs[t];return!!cs(t)&&(a=a.unsupported,"object"!==n(a)?!!a:!Wi(e,a.exceptions))}))).length&&(this.data(a),!0)},"aria-valid-attr-evaluate":function(e,t,a){t=Array.isArray(t.value)?t.value:[];var r=[],n=/^aria-/;return a.attrNames.forEach((function(e){-1===t.indexOf(e)&&n.test(e)&&!cs(e)&&r.push(e)})),!r.length||(this.data(r),!1)},"aria-valid-attr-value-evaluate":function(e,t,a){t=Array.isArray(t.value)?t.value:[];var r="",n="",o=[],i=/^aria-/,l=["aria-errormessage"],s={"aria-controls":function(){return"false"!==a.attr("aria-expanded")&&"false"!==a.attr("aria-selected")},"aria-current":function(e){e||(r=\'aria-current="\'.concat(a.attr("aria-current"),\'"\'),n="ariaCurrent")},"aria-owns":function(){return"false"!==a.attr("aria-expanded")},"aria-describedby":function(e){e||(r=\'aria-describedby="\'.concat(a.attr("aria-describedby"),\'"\'),n="noId")},"aria-labelledby":function(e){e||(r=\'aria-labelledby="\'.concat(a.attr("aria-labelledby"),\'"\'),n="noId")}};if(a.attrNames.forEach((function(e){if(!l.includes(e)&&!t.includes(e)&&i.test(e)){var u,c=a.attr(e);try{u=us(a,e)}catch(u){r="".concat(e,\'="\').concat(c,\'"\'),n="idrefs"}s[e]&&!s[e](u)||u||o.push("".concat(e,\'="\').concat(c,\'"\'))}})),!r)return!o.length||(this.data(o),!1);this.data({messageKey:n,needsReview:r})},"deprecatedrole-evaluate":function(e,t,a){var r=Qi(a,{dpub:!0,fallback:!0});return!(null==(a=Mn.ariaRoles[r])||!a.deprecated||(this.data(r),0))},"fallbackrole-evaluate":function(e,t,a){var r;return!((r=ui(a.attr("role"))).length<=1)&&(r=r,!(!Yi(a)&&2===r.length&&r.includes("none")&&r.includes("presentation"))||void 0)},"has-global-aria-attribute-evaluate":function(e,t,a){var r=yi().filter((function(e){return a.hasAttr(e)}));return this.data(r),0<r.length},"has-implicit-chromium-role-matches":function(e,t){return null!==Yi(t,{chromium:!0})},"has-widget-role-evaluate":function(e){return null!==(e=e.getAttribute("role"))&&("widget"===(e=$l(e))||"composite"===e)},"invalidrole-evaluate":function(e,t,a){return!!(a=ui(a.attr("role"))).every((function(e){return!xi(e,{allowAbstract:!0})}))&&(this.data(a),!0)},"is-element-focusable-evaluate":function(e,t,a){return wn(a)},"no-implicit-explicit-label-evaluate":function(e,t,a){var r,n,o=Qi(a,{noImplicit:!0});this.data(o);try{r=nn(ol(a)).toLowerCase(),n=nn(Rl(a)).toLowerCase()}catch(e){return}return!(!n&&!r)&&!((n||!r)&&n.includes(r))&&void 0},"unsupportedrole-evaluate":function(e,t,a){return Di(Qi(a))},"valid-scrollable-semantics-evaluate":function(e,t){return a=t,(t=Ei(t=e))&&(ms[t]||a.roles.includes(t))||(e=(e=e).nodeName.toUpperCase(),fs[e]||!1);var a},"caption-faked-evaluate":function(e){var t=Ci(e),a=t[0];return t.length<=1||a.length<=1||e.rows.length<=1||a.reduce((function(e,t,r){return e||t!==a[r+1]&&void 0!==a[r+1]}),!1)},"html5-scope-evaluate":function(e){return!xn(r)||"TH"===e.nodeName.toUpperCase()},"same-caption-summary-evaluate":function(e){return!(!e.summary||!e.caption)&&e.summary.toLowerCase()===Tl(e.caption).toLowerCase()},"scope-value-evaluate":function(e,t){return e=e.getAttribute("scope").toLowerCase(),-1!==t.values.indexOf(e)},"td-has-header-evaluate":function(e){var t=[],a=gs(e),r=Ci(e);return a.forEach((function(e){mn(e)&&vs(e)&&!os(e)&&(ys(e,r).some((function(e){return null!==e&&!!mn(e)}))||t.push(e))})),!t.length||(this.relatedNodes(t),!1)},"td-headers-attr-evaluate":function(e){for(var t=[],a=[],r=[],n=0;n<e.rows.length;n++)for(var o=e.rows[n],i=0;i<o.cells.length;i++)t.push(o.cells[i]);var l=t.reduce((function(e,t){return t.getAttribute("id")&&e.push(t.getAttribute("id")),e}),[]);return t.forEach((function(e){var t=!1;if(e.hasAttribute("headers")){var n;if(!(n=e.getAttribute("headers").trim()))return a.push(e);0!==(n=ui(n)).length&&(e.getAttribute("id")&&(t=-1!==n.indexOf(e.getAttribute("id").trim())),n=n.some((function(e){return!l.includes(e)})),(t||n)&&r.push(e))}})),0<r.length?(this.relatedNodes(r),!1):!a.length||void this.relatedNodes(a)},"th-has-data-cells-evaluate":function(e){var t=gs(e),a=this,r=[];t.forEach((function(e){var t=e.getAttribute("headers");t&&(r=r.concat(t.split(/\\s+/))),(e=e.getAttribute("aria-labelledby"))&&(r=r.concat(e.split(/\\s+/)))})),t=t.filter((function(e){return""!==nn(e.textContent)&&("TH"===e.nodeName.toUpperCase()||-1!==["rowheader","columnheader"].indexOf(e.getAttribute("role")))}));var n=Ci(e),o=!0;return t.forEach((function(e){var t,i;e.getAttribute("id")&&r.includes(e.getAttribute("id"))||(t=Fi(e,n),i=!1,(i=!(i=Ni(e)?xs("down",t,n).find((function(t){return!Ni(t)&&ys(t,n).includes(e)})):i)&&Ri(e)?xs("right",t,n).find((function(t){return!Ri(t)&&ys(t,n).includes(e)})):i)||a.relatedNodes(e),o=o&&i)})),!!o||void 0},"hidden-content-evaluate":function(e,a,r){if(!["SCRIPT","HEAD","TITLE","NOSCRIPT","STYLE","TEMPLATE"].includes(e.nodeName.toUpperCase())&&fn(r)){if("none"===(r=t.getComputedStyle(e)).getPropertyValue("display"))return;if("hidden"===r.getPropertyValue("visibility")&&(!(e=(e=Lr(e))&&t.getComputedStyle(e))||"hidden"!==e.getPropertyValue("visibility")))return}return!0},"color-contrast-evaluate":function(e,a,r){var n=a.ignoreUnicode,o=a.ignoreLength,i=a.ignorePseudo,l=a.boldValue,s=a.boldTextPt,u=a.largeTextPt,c=a.contrastRatio,d=a.shadowOutlineEmMax,p=a.pseudoSizeThreshold;if(!Kr(e,!1))return!0;if(a=cn(r,!1,!0),!(n&&(m=Cl(f=a,h={nonBmp:!0}),h=""===nn(Pl(f,h)),m&&h))){if(n=function(e,t){var a=void 0===(a=t.pseudoSizeThreshold)?.25:a;if(void 0===(t=t.ignorePseudo)||!t){var r=(t=e.boundingClientRect).width*t.height*a;do{if(r<qs(e.actualNode,":before")+qs(e.actualNode,":after"))return e}while(e=e.parent)}}(r,{ignorePseudo:i,pseudoSizeThreshold:p}))return this.data({messageKey:"pseudoContent"}),void this.relatedNodes(n.actualNode);var f=[],m=Is(e,f,d),h=Ls(e,!1,m);r=Ps(e,{minRatio:.001,maxRatio:d}),i=t.getComputedStyle(e),p=parseFloat(i.getPropertyValue("font-size")),n=i.getPropertyValue("font-weight"),d=parseFloat(n)>=l||"bold"===n,e=null,i=null,l=null;0===r.length?e=Ms(m,h):h&&m&&(l=[].concat(R(r),[m]).reduce(Os),n=Ms(m,h),g=Ms(m,l),r=Ms(l,h),(e=Math.max(n,g,r))!==n&&(i=r<g?"shadowOnBgColor":"fgOnShadowColor"));var g=Math.ceil(72*p)/96;g=(s=d&&g<s||!d&&g<u?c.normal:c.large).expected,u=s.minThreshold,c=s.maxThreshold,s=g<e;if("number"==typeof u&&e<u||"number"==typeof c&&c<e)return!0;var b;e=Math.floor(100*e)/100;return null===m?b=Rn.get("bgColor"):s||(b=i),i=1==e,a=1===a.length,i?b=Rn.set("bgColor","equalRatio"):s||!a||o||(b="shortTextContent"),this.data({fgColor:h?h.toHexString():void 0,bgColor:m?m.toHexString():void 0,contrastRatio:e,fontSize:"".concat((72*p/96).toFixed(1),"pt (").concat(p,"px)"),fontWeight:d?"bold":"normal",messageKey:b,expectedContrastRatio:g+":1",shadowColor:l?l.toHexString():void 0}),null===h||null===m||i||a&&!o&&!s?(b=null,Rn.clear(),void this.relatedNodes(f)):(s||this.relatedNodes(f),s)}this.data({messageKey:"nonBmp"})},"link-in-text-block-evaluate":function(e){if(Hs(e))return!1;for(var t=Lr(e);1===t.nodeType&&!Hs(t);)t=Lr(t);if(this.relatedNodes([t]),Fs(e,t))return!0;var a=Ls(e),r=Ls(t);if(a&&r){var n=Vs(a,r);return 1===n||(3<=n?(Rn.set("fgColor","bgContrast"),this.data({messageKey:Rn.get("fgColor")}),void Rn.clear()):(a=Is(e),r=Is(t),(!a||!r||3<=Vs(a,r))&&(r=a&&r?"bgContrast":Rn.get("bgColor"),Rn.set("fgColor",r),this.data({messageKey:Rn.get("fgColor")}),void Rn.clear())))}},"autocomplete-appropriate-evaluate":function(e,t,a){if("input"!==a.props.nodeName)return!0;var r=["text","search","number","tel"],o=["text","search","url"],i={bday:["text","search","date"],email:["text","search","email"],username:["text","search","email"],"street-address":["text"],tel:["text","search","tel"],"tel-country-code":["text","search","tel"],"tel-national":["text","search","tel"],"tel-area-code":["text","search","tel"],"tel-local":["text","search","tel"],"tel-local-prefix":["text","search","tel"],"tel-local-suffix":["text","search","tel"],"tel-extension":["text","search","tel"],"cc-number":r,"cc-exp":["text","search","month","tel"],"cc-exp-month":r,"cc-exp-year":r,"cc-csc":r,"transaction-amount":r,"bday-day":r,"bday-month":r,"bday-year":r,"new-password":["text","search","password"],"current-password":["text","search","password"],url:o,photo:o,impp:o};return"object"===n(t)&&Object.keys(t).forEach((function(e){i[e]||(i[e]=[]),i[e]=i[e].concat(t[e])})),o=(o=a.attr("autocomplete").split(/\\s+/g).map((function(e){return e.toLowerCase()})))[o.length-1],!!Bl.stateTerms.includes(o)||(o=i[o],a=a.hasAttr("type")?nn(a.attr("type")).toLowerCase():"text",a=ci().includes(a)?a:"text",void 0===o?"text"===a:o.includes(a))},"autocomplete-valid-evaluate":function(e,t,a){return a=a.attr("autocomplete")||"",Ml(a,t)},"attr-non-space-content-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=2<arguments.length?arguments[2]:void 0;if(!t.attribute||"string"!=typeof t.attribute)throw new TypeError("attr-non-space-content requires options.attribute to be a string");return a.hasAttr(t.attribute)?(t=a.attr(t.attribute),!!nn(t)||(this.data({messageKey:"emptyAttr"}),!1)):(this.data({messageKey:"noAttr"}),!1)},"has-descendant-after":function(e){return e.some((function(e){return!0===e.result}))&&e.forEach((function(e){e.result=!0})),e},"has-descendant-evaluate":function(e,t,a){if(!t||!t.selector||"string"!=typeof t.selector)throw new TypeError("has-descendant requires options.selector to be a string");return t=Wo(a,t.selector,(function(e){return Kr(e.actualNode,!0)})),this.relatedNodes(t.map((function(e){return e.actualNode}))),0<t.length},"has-text-content-evaluate":function(e,t,a){try{return""!==nn(nl(a))}catch(e){return}},"matches-definition-evaluate":function(e,t,a){return Wi(a,t.matcher)},"page-no-duplicate-after":function(e){return e.filter((function(e){return"ignored"!==e.data}))},"page-no-duplicate-evaluate":function(e,t,a){if(!t||!t.selector||"string"!=typeof t.selector)throw new TypeError("page-no-duplicate requires options.selector to be a string");var r="page-no-duplicate;"+t.selector;if(!Ka.get(r))return Ka.set(r,!0),r=Wo(o._tree[0],t.selector,(function(e){return Kr(e.actualNode,!0)})),"string"==typeof t.nativeScopeFilter&&(r=r.filter((function(e){return e.actualNode.hasAttribute("role")||!Br(e,t.nativeScopeFilter)}))),this.relatedNodes(r.filter((function(e){return e!==a})).map((function(e){return e.actualNode}))),r.length<=1;this.data("ignored")},"heading-order-after":function(e){var t,a=((t=R(t=e)).sort((function(e,t){return e=e.node,t=t.node,e.ancestry.length-t.ancestry.length})),t.reduce($s,[]).filter((function(e){return-1!==e.level})));return e.forEach((function(e){e.result=function(e,t){var a=Ws(t,e.node.ancestry);e=null!==(e=null===(e=t[a])||void 0===e?void 0:e.level)&&void 0!==e?e:-1,t=null!==(t=null===(t=t[a-1])||void 0===t?void 0:t.level)&&void 0!==t?t:-1;return 0===a||(-1!==e?e-t<=1:void 0)}(e,a)})),e},"heading-order-evaluate":function(){if(Ka.get("headingOrder"))return!0;var e=Wo(o._tree[0],"h1, h2, h3, h4, h5, h6, [role=heading], iframe, frame",(function(e){return Kr(e.actualNode,!0)})),t=e.map((function(e){return{ancestry:[Wa(e.actualNode)],level:(a=(r=Qi(t=e))&&r.includes("heading"),e=t.attr("aria-level"),r=parseInt(e,10),t=T(t.props.nodeName.match(/h(\\d)/)||[],2)[1],a?t&&!e?parseInt(t,10):isNaN(r)||r<1?t?parseInt(t,10):2:r||-1:-1)};var t,a,r}));return this.data({headingOrder:t}),Ka.set("headingOrder",e),!0},"identical-links-same-purpose-after":function(e){if(e.length<2)return e;function t(e){var t=a[e],i=(u=t.data).name,l=u.urlProps;if(o[i])return"continue";var s=a.filter((function(t,a){return t.data.name===i&&a!==e})),u=s.every((function(e){return function e(t,a){if(!t||!a)return!1;var r=Object.getOwnPropertyNames(t),o=Object.getOwnPropertyNames(a);return r.length===o.length&&r.every((function(r){var o=t[r];r=a[r];return n(o)===n(r)&&("object"==typeof o||"object"==typeof r?e(o,r):o===r)}))}(e.data.urlProps,l)}));s.length&&!u&&(t.result=void 0),t.relatedNodes=[],(u=t.relatedNodes).push.apply(u,R(s.map((function(e){return e.relatedNodes[0]})))),o[i]=s,r.push(t)}for(var a=e.filter((function(e){return void 0!==e.result})),r=[],o={},i=0;i<a.length;i++)t(i);return r},"identical-links-same-purpose-evaluate":function(e,t,a){if(a=Ol.accessibleTextVirtual(a),a=Ol.sanitize(Ol.removeUnicode(a,{emoji:!0,nonBmp:!0,punctuations:!0})).toLowerCase())return a={name:a,urlProps:Or.urlPropsFromAttribute(e,"href")},this.data(a),this.relatedNodes([e]),!0},"internal-link-present-evaluate":function(e,t,a){return ai(a,"a[href]").some((function(e){return/^#[^/!]/.test(e.attr("href"))}))},"meta-refresh-evaluate":function(e,t,a){var r=a.attr("content")||"";return a=r.split(/[;,]/),""===r||"0"===a[0]},"p-as-heading-evaluate":function(e,t,a){var r=(s=Array.from(e.parentNode.children)).indexOf(e),n=(t=t||{}).margins||[],o=s.slice(r+1).find((function(e){return"P"===e.nodeName.toUpperCase()})),i=s.slice(0,r).reverse().find((function(e){return"P"===e.nodeName.toUpperCase()})),l=Js(e),s=o?Js(o):null;return r=i?Js(i):null,i=t.passLength,t=t.failLength,e=e.textContent.trim().length,(o=null==o?void 0:o.textContent.trim().length)*i<e||!s||!Qs(l,s,n)||!!((a=Br(a,"blockquote"))&&"BLOCKQUOTE"===a.nodeName.toUpperCase()||r&&!Qs(l,r,n)||o*t<e)&&void 0},"region-evaluate":function(e,t,a){var n=Ka.get("regionlessNodes");return this.data({isIframe:["iframe","frame"].includes(a.props.nodeName)}),n||(n=tu(o._tree[0],t).map((function(e){for(;e.parent&&!e.parent._hasRegionDescendant&&e.parent.actualNode!==r.body;)e=e.parent;return e})).filter((function(e,t,a){return a.indexOf(e)===t})),Ka.set("regionlessNodes",n)),!n.includes(a)},"region-after":function(e){var t=e.filter((function(e){return e.data.isIframe}));return e.forEach((function(e){if(!e.result&&1!==e.node.ancestry.length){var a,r=e.node.ancestry.slice(0,-1),n=I(t);try{for(n.s();!(a=n.n()).done;){var o=a.value;if(ko(r,o.node.ancestry)){e.result=o.result;break}}}catch(e){n.e(e)}finally{n.f()}}})),t.forEach((function(e){e.result||(e.result=!0)})),e},"skip-link-evaluate":function(e){return!!(e=Vr(e,"href"))&&(Kr(e,!0)||void 0)},"unique-frame-title-after":function(e){var t={};return e.forEach((function(e){t[e.data]=void 0!==t[e.data]?++t[e.data]:0})),e.forEach((function(e){e.result=!!t[e.data]})),e},"unique-frame-title-evaluate":function(e,t,a){return a=nn(a.attr("title")).toLowerCase(),this.data(a),!0},"aria-label-evaluate":function(e,t,a){return!!nn(wi(a))},"aria-labelledby-evaluate":function(e,t,a){try{return!!nn(_l(a))}catch(e){return}},"avoid-inline-spacing-evaluate":function(e,t){return!(0<(t=t.cssProperties.filter((function(t){if("important"===e.style.getPropertyPriority(t))return t}))).length&&(this.data(t),1))},"doc-has-title-evaluate":function(){var e=r.title;return!!nn(e)},"exists-evaluate":function(){},"has-alt-evaluate":function(e,t,a){var r=a.props.nodeName;return!!["img","input","area"].includes(r)&&a.hasAttr("alt")},"is-on-screen-evaluate":function(e){return Kr(e,!1)&&!Wr(e)},"non-empty-if-present-evaluate":function(e,t,a){var r=a.props.nodeName,n=(a.attr("type")||"").toLowerCase();return(a=a.attr("value"))&&this.data({messageKey:"has-label"}),!("input"!==r||!["submit","reset"].includes(n))&&null===a},"presentational-role-evaluate":function(e,t,a){var r=Qi(a),n=Ei(a);if(["presentation","none"].includes(r))return this.data({role:r}),!0;if(!["presentation","none"].includes(n))return!1;var o=yi().some((function(e){return a.hasAttr(e)}));n=wn(a),n=o&&!n?"globalAria":!o&&n?"focusable":"both";return this.data({messageKey:n,role:r}),!1},"svg-non-empty-title-evaluate":function(e,t,a){if(a.children){if(!(a=a.children.find((function(e){return"title"===e.props.nodeName}))))return this.data({messageKey:"noTitle"}),!1;try{if(""===cn(a))return this.data({messageKey:"emptyTitle"}),!1}catch(e){return}return!0}},"css-orientation-lock-evaluate":function(e,t,a,r){r=void 0===(r=(r||{}).cssom)?void 0:r;var n=void 0===(t=(t||{}).degreeThreshold)?0:t;if(r&&r.length){function o(){var e=c[u],t=(e=s[e]).root;if(!(e=e.rules.filter(d)).length)return"continue";e.forEach((function(e){e=e.cssRules,Array.from(e).forEach((function(e){var a=function(e){var t=e.selectorText;e=e.style;return!(!t||e.length<=0)&&(!!(t=e.transform||e.webkitTransform||e.msTransform||!1)&&(!!(e=t.match(/(rotate|rotateZ|rotate3d|matrix|matrix3d)\\(([^)]+)\\)(?!.*(rotate|rotateZ|rotate3d|matrix|matrix3d))/))&&(!!(t=function(e,t){switch(e){case"rotate":case"rotateZ":return p(t);case"rotate3d":var a=(r=T(t.split(",").map((function(e){return e.trim()})),4))[2],r=r[3];return 0===parseInt(a)?void 0:p(r);case"matrix":case"matrix3d":return function(e){var t=e.split(",");if(t.length<=6){var a=(e=T(t,2))[0];e=e[1];return f(Math.atan2(parseFloat(e),parseFloat(a)))}return a=parseFloat(t[8]),a=Math.asin(a),a=Math.cos(a),f(Math.acos(parseFloat(t[0])/a))}(t);default:return}}(e=(t=T(e,3))[1],t=t[2]))&&(t=Math.abs(t),!(Math.abs(t-180)%180<=n)&&Math.abs(t-90)%90<=n))))}(e);a&&"HTML"!==e.selectorText.toUpperCase()&&(e=Array.from(t.querySelectorAll(e.selectorText))||[],l=l.concat(e)),i=i||a}))}))}for(var i=!1,l=[],s=r.reduce((function(e,t){var a=t.sheet,r=t.root;return e[t=(t=t.shadowId)||"topDocument"]||(e[t]={root:r,rules:[]}),a&&a.cssRules?(a=Array.from(a.cssRules),e[t].rules=e[t].rules.concat(a),e):e}),{}),u=0,c=Object.keys(s);u<c.length;u++)o();return!i||(l.length&&this.relatedNodes(l),!1)}function d(e){var t=e.type;e=e.cssText;return 4===t&&(/orientation:\\s*landscape/i.test(e)||/orientation:\\s*portrait/i.test(e))}function p(e){var t=T(e.match(/(deg|grad|rad|turn)/)||[],1)[0];if(t){var a=parseFloat(e.replace(t,""));switch(t){case"rad":return f(a);case"grad":return function(e){return(e%=400)<0&&(e+=400),Math.round(e/400*360)}(a);case"turn":return Math.round(360/(1/a));default:return parseInt(a)}}}function f(e){return Math.round(e*(180/Math.PI))}},"meta-viewport-scale-evaluate":function(e,t,a){var r=(n=t||{}).scaleMinimum,n=(t=void 0===r?2:r,void 0!==(r=n.lowerBound)&&r);return!((r=a.attr("content")||"")&&(a=r.split(/[;,]/).reduce((function(e,t){var a=t.trim();return a?(t=T(a.split("="),2),a=t[0],t=t[1],a&&t?(a=a.toLowerCase().trim(),t=t.toLowerCase().trim(),"maximum-scale"===a&&"yes"===t&&(t=1),"maximum-scale"===a&&parseFloat(t)<0||(e[a]=t),e):e):e}),{}),!(n&&a["maximum-scale"]&&parseFloat(a["maximum-scale"])<n)&&(n||"no"!==a["user-scalable"]?(r=parseFloat(a["user-scalable"]),!n&&a["user-scalable"]&&(r||0===r)&&-1<r&&r<1?(this.data("user-scalable"),1):a["maximum-scale"]&&parseFloat(a["maximum-scale"])<t&&(this.data("maximum-scale"),1)):(this.data("user-scalable=no"),1))))},"duplicate-id-after":function(e){var t=[];return e.filter((function(e){return-1===t.indexOf(e.data)&&(t.push(e.data),!0)}))},"duplicate-id-evaluate":function(e){var t=e.getAttribute("id").trim();if(!t)return!0;var a=Pr(e);return(a=Array.from(a.querySelectorAll(\'[id="\'.concat(Ea(t),\'"]\'))).filter((function(t){return t!==e}))).length&&this.relatedNodes(a),this.data(t),0===a.length},"accesskeys-after":function(e){var t={};return e.filter((function(e){if(!e.data)return!1;var a=e.data.toUpperCase();return t[a]?(t[a].relatedNodes.push(e.relatedNodes[0]),!1):((t[a]=e).relatedNodes=[],!0)})).map((function(e){return e.result=!!e.relatedNodes.length,e}))},"accesskeys-evaluate":function(e){return Kr(e,!1)&&(this.data(e.getAttribute("accesskey")),this.relatedNodes([e])),!0},"focusable-content-evaluate":function(e,t,a){var r=a.tabbableElements;return!!r&&0<r.filter((function(e){return e!==a})).length},"focusable-disabled-evaluate":function(e,t,a){var r=["BUTTON","FIELDSET","INPUT","SELECT","TEXTAREA"];return!(a=a.tabbableElements)||!a.length||(a=a.reduce((function(e,t){var a=t.actualNode;t=a.nodeName.toUpperCase();return r.includes(t)&&e.push(a),e}),[]),this.relatedNodes(a),!(!a.length||!Fn())||0===a.length)},"focusable-element-evaluate":function(e,t,a){if(a.hasAttr("contenteditable")&&function e(t){return"true"===(t=t.attr("contenteditable"))||""===t||"false"!==t&&(!!(t=cr(a.parent,"[contenteditable]"))&&e(t))}(a))return!0;var r=a.isFocusable,n=parseInt(a.attr("tabindex"),10);return(n=isNaN(n)?null:n)?r&&0<=n:r},"focusable-modal-open-evaluate":function(e,t,a){return!(a=a.tabbableElements.map((function(e){return e.actualNode})))||!a.length||!Fn()||void this.relatedNodes(a)},"focusable-no-name-evaluate":function(e,t,a){var r=a.attr("tabindex");if(!(wn(a)&&-1<r))return!1;try{return!Rl(a)}catch(e){return}},"focusable-not-tabbable-evaluate":function(e,t,a){var r=["BUTTON","FIELDSET","INPUT","SELECT","TEXTAREA"];return!(a=a.tabbableElements)||!a.length||(a=a.reduce((function(e,t){var a=t.actualNode;t=a.nodeName.toUpperCase();return r.includes(t)||e.push(a),e}),[]),this.relatedNodes(a),!!(0<a.length&&Fn())||0===a.length)},"landmark-is-top-level-evaluate":function(e){var t=Xl("landmark"),a=Lr(e),r=Qi(e);for(this.data({role:r});a;){var n=a.getAttribute("role");if((n=n||"FORM"===a.nodeName.toUpperCase()?n:Yi(a))&&t.includes(n)&&("main"!==n||"complementary"!==r))return!1;a=Lr(a)}return!0},"frame-focusable-content-evaluate":function(e,t,a){if(a.children)try{return!a.children.some((function e(t){if(wn(t))return!0;if(t.children)return t.children.some(e);if(1===t.props.nodeType)throw new Error("Cannot determine children");return!1}))}catch(e){return}},"no-focusable-content-evaluate":function(e,t,a){if(a.children)try{var r=function e(t){if(!t.children){if(1===t.props.nodeType)throw new Error("Cannot determine children");return[]}var a=[];return t.children.forEach((function(t){var r=Qi(t);"widget"===$l(r)&&wn(t)?a.push(t):a.push.apply(a,R(e(t)))})),a}(a);if(!r.length)return!0;var n=r.filter(au);return 0<n.length?(this.data({messageKey:"notHidden"}),this.relatedNodes(n)):this.relatedNodes(r),!1}catch(e){return}},"tabindex-evaluate":function(e,t,a){return a=parseInt(a.attr("tabindex"),10),!!isNaN(a)||a<=0},"alt-space-value-evaluate":function(e,t,a){return"string"==typeof(a=a.attr("alt"))&&/^\\s+$/.test(a)},"duplicate-img-label-evaluate":function(e,t,a){return!["none","presentation"].includes(Qi(a))&&!!(t=cr(a,t.parentSelector))&&""!==(t=cn(t,!0).toLowerCase())&&t===Rl(a).toLowerCase()},"explicit-evaluate":function(e,t,a){if(a.attr("id")){if(!a.actualNode)return;var r=Pr(a.actualNode);a=Ea(a.attr("id"));if((a=Array.from(r.querySelectorAll(\'label[for="\'.concat(a,\'"]\')))).length)try{return a.some((function(e){return!Kr(e)||!!Tl(e)}))}catch(e){return}}return!1},"help-same-as-label-evaluate":function(e,t,a){var r=jl(a);a=e.getAttribute("title");return!!r&&(a||(a="",e.getAttribute("aria-describedby")&&(a=un(e,"aria-describedby").map((function(e){return e?Tl(e):""})).join(""))),nn(a)===nn(r))},"hidden-explicit-label-evaluate":function(e,t,a){if(a.hasAttr("id")){if(!a.actualNode)return;var r,n=Pr(e);e=Ea(e.getAttribute("id"));if((e=n.querySelector(\'label[for="\'.concat(e,\'"]\')))&&!Kr(e,!0)){try{r=Rl(a).trim()}catch(e){return}return""===r}}return!1},"implicit-evaluate":function(e,t,a){try{var r=cr(a,"label");return!!r&&!!Rl(r,{inControlContext:!0})}catch(e){return}},"label-content-name-mismatch-evaluate":function(e,t,a){t=(r=t||{}).pixelThreshold;var r=r.occuranceThreshold;e=Tl(e).toLowerCase();if(!(Il(e)<1))return!(r=nn(nl(a,{subtreeDescendant:!0,ignoreIconLigature:!0,pixelThreshold:t,occuranceThreshold:r})).toLowerCase())||(Il(r)<1?!!ru(r,e)||void 0:ru(r,e))},"multiple-label-evaluate":function(e){var t=Ea(e.getAttribute("id")),a=e.parentNode,r=(r=Pr(e)).documentElement||r,n=Array.from(r.querySelectorAll(\'label[for="\'.concat(t,\'"]\')));for(n.length&&(n=n.filter((function(e){return Kr(e)})));a;)"LABEL"===a.nodeName.toUpperCase()&&-1===n.indexOf(a)&&n.push(a),a=a.parentNode;return this.relatedNodes(n),1<n.length&&((1<(t=n.filter((function(e){return Kr(e,!0)}))).length||!un(e,"aria-labelledby").includes(t[0]))&&void 0)},"title-only-evaluate":function(e,t,a){var r=jl(a),n=el(a);a=a.attr("aria-describedby");return!(r||!n&&!a)},"landmark-is-unique-after":function(e){var t=[];return e.filter((function(e){var a=t.find((function(t){return e.data.role===t.data.role&&e.data.accessibleText===t.data.accessibleText}));return a?(a.result=!1,a.relatedNodes.push(e.relatedNodes[0]),!1):(t.push(e),e.relatedNodes=[],!0)}))},"landmark-is-unique-evaluate":function(e,t,a){var r=Qi(e);a=(a=Rl(a))?a.toLowerCase():null;return this.data({role:r,accessibleText:a}),this.relatedNodes([e]),!0},"has-lang-evaluate":function(e,t,a){var n=void 0!==r&&_a(r);return t.attributes.includes("xml:lang")&&t.attributes.includes("lang")&&ou(a.attr("xml:lang"))&&!ou(a.attr("lang"))&&!n?(this.data({messageKey:"noXHTML"}),!1):!!t.attributes.some((function(e){return ou(a.attr(e))}))||(this.data({messageKey:"noLang"}),!1)},"valid-lang-evaluate":function(e,t,a){var r=[];return t.attributes.forEach((function(e){var n,o,i=a.attr(e);"string"==typeof i&&(n=Zn(i),o=t.value?!t.value.map(Zn).includes(n):!fi(n),(""!==n&&o||""!==i&&!nn(i))&&r.push(e+\'="\'+a.attr(e)+\'"\'))})),!!r.length&&(this.data(r),!0)},"xml-lang-mismatch-evaluate":function(e,t,a){return Zn(a.attr("lang"))===Zn(a.attr("xml:lang"))},"dlitem-evaluate":function(e){var t=Lr(e),a=t.nodeName.toUpperCase();e=Ei(t);return"DIV"===a&&["presentation","none",null].includes(e)&&(a=(t=Lr(t)).nodeName.toUpperCase(),e=Ei(t)),"DL"===a&&!(e&&!["presentation","none","list"].includes(e))},"listitem-evaluate":function(e,t,a){var r=a.parent;if(r)return a=r.props.nodeName,r=Ei(r),!!["presentation","none","list"].includes(r)||(r&&xi(r)?(this.data({messageKey:"roleNotValid"}),!1):["ul","ol","menu"].includes(a))},"only-dlitems-evaluate":function(e,t,a){var r=["definition","term","list"];return(a=a.children.reduce((function(e,t){var a=t.actualNode;return"DIV"===a.nodeName.toUpperCase()&&null===Qi(a)?e.concat(t.children):e.concat(t)}),[]).reduce((function(e,t){var a=t.actualNode,n=a.nodeName.toUpperCase();return 1===a.nodeType&&Kr(a,!0,!1)?(t=Ei(a),("DT"!==n&&"DD"!==n||t)&&(r.includes(t)||e.badNodes.push(a))):3===a.nodeType&&""!==a.nodeValue.trim()&&(e.hasNonEmptyTextNode=!0),e}),{badNodes:[],hasNonEmptyTextNode:!1})).badNodes.length&&this.relatedNodes(a.badNodes),!!a.badNodes.length||a.hasNonEmptyTextNode},"only-listitems-evaluate":function(e,t,a){var r=!1,n=!1,o=!0,i=[],l=[],s=[];return a.children.forEach((function(e){var t,a,u=e.actualNode;3!==u.nodeType||""===u.nodeValue.trim()?1===u.nodeType&&Kr(u,!0,!1)&&(o=!1,t="LI"===u.nodeName.toUpperCase(),e="listitem"===(a=Qi(e)),t||e||i.push(u),t&&!e&&(l.push(u),s.includes(a)||s.push(a)),e&&(n=!0)):r=!0})),r||i.length?(this.relatedNodes(i),!0):!o&&!n&&(this.relatedNodes(l),this.data({messageKey:"roleNotValid",roles:s.join(", ")}),!0)},"structured-dlitems-evaluate":function(e,t,a){var r=a.children;if(!r||!r.length)return!1;for(var n,o=!1,i=!1,l=0;l<r.length;l++){if((o="DT"===(n=r[l].props.nodeName.toUpperCase())||o)&&"DD"===n)return!1;"DD"===n&&(i=!0)}return o||i},"caption-evaluate":function(e,t,a){return!ai(a,"track").some((function(e){return"captions"===(e.attr("kind")||"").toLowerCase()}))&&void 0},"frame-tested-evaluate":function(e,t){return!t.isViolation&&void 0},"frame-tested-after":function(e){var t={};return e.filter((function(e){if("html"!==e.node.ancestry[e.node.ancestry.length-1]){var a=e.node.ancestry.flat(1/0).join(" > ");return t[a]=e,!0}return e=e.node.ancestry.slice(0,e.node.ancestry.length-1).flat(1/0).join(" > "),t[e]&&(t[e].result=!0),!1}))},"no-autoplay-audio-evaluate":function(e,t){if(e.duration)return t=void 0===(t=t.allowedDuration)?3:t,function(e){if(!e.currentSrc)return 0;var t=function(e){if(e=e.match(/#t=(.*)/))return T(e,2)[1].split(",").map((function(e){return(/:/.test(e)?function(e){for(var t=e.split(":"),a=0,r=1;0<t.length;)a+=r*parseInt(t.pop(),10),r*=60;return parseFloat(a)}:parseFloat)(e)}))}(e.currentSrc);return t?1!==t.length?Math.abs(t[1]-t[0]):Math.abs(e.duration-t[0]):Math.abs(e.duration-(e.currentTime||0))}(e)<=t&&!e.hasAttribute("loop")||!!e.hasAttribute("controls");console.warn("axe.utils.preloadMedia did not load metadata")},"aria-allowed-attr-matches":function(e,t){var a=/^aria-/,r=t.attrNames;if(r.length)for(var n=0,o=r.length;n<o;n++)if(a.test(r[n]))return!0;return!1},"aria-allowed-role-matches":function(e,t){return null!==Ei(t,{dpub:!0,fallback:!0})},"aria-form-field-name-matches":su,"aria-has-attr-matches":function(e,t){var a=/^aria-/;return t.attrNames.some((function(e){return a.test(e)}))},"aria-hidden-focus-matches":function(e){return function e(t){return!t||"true"!==t.getAttribute("aria-hidden")&&e(Lr(t))}(Lr(e))},"aria-required-children-matches":function(e,t){return t=Ei(t,{dpub:!0}),!!ss(t)},"aria-required-parent-matches":function(e,t){return t=Ei(t),!!ls(t)},"autocomplete-matches":function(e,t){var a=t.attr("autocomplete");if(!a||""===nn(a))return!1;var r=t.props.nodeName;return!1!==["textarea","input","select"].includes(r)&&(("input"!==r||!["submit","reset","button","hidden"].includes(t.props.type))&&(a=t.attr("aria-disabled")||"false",!t.hasAttr("disabled")&&"true"!==a.toLowerCase()&&(r=t.attr("role"),("-1"!==(a=t.attr("tabindex"))||!r||void 0!==(r=Mn.ariaRoles[r])&&"widget"===r.type)&&!("-1"===a&&t.actualNode&&!Kr(t.actualNode,!1)&&!Kr(t.actualNode,!0)))))},"bypass-matches":function(e,t,a){return!iu(0,0,a)||!!e.querySelector("a[href]")},"color-contrast-matches":function(e,a){var n=(o=a.props).nodeName,o=o.type;if("option"===n)return!1;if("select"===n&&!e.options.length)return!1;if("input"===n&&["hidden","range","color","checkbox","radio","image"].includes(o))return!1;if(Xs(a))return!1;if(["input","select","textarea"].includes(n)){if(o=t.getComputedStyle(e),o=parseInt(o.getPropertyValue("text-indent"),10)){var i={top:(i=e.getBoundingClientRect()).top,bottom:i.bottom,left:i.left+o,right:i.right+o};if(!Yn(i,e))return!1}return!0}if(i=Br(a,"label"),"label"===n||i){n=i||e;var l=i?Xa(i):a;if(n.htmlFor&&(n=(n=Pr(n).getElementById(n.htmlFor))&&Xa(n))&&Xs(n))return!1;if((l=ai(l,\'input:not([type="hidden"],[type="image"],[type="button"],[type="submit"],[type="reset"]), select, textarea\')[0])&&Xs(l))return!1}for(var s,u=[],c=a;c;)c.props.id&&(s=Hl(c).filter((function(e){return ui(e.getAttribute("aria-labelledby")||"").includes(c.props.id)})).map((function(e){return Xa(e)})),u.push.apply(u,R(s))),c=c.parent;if(0<u.length&&u.every(Xs))return!1;if(!(l=cn(a,!1,!0))||!Pl(l,{emoji:!0,nonBmp:!1,punctuations:!0}))return!1;for(var d=r.createRange(),p=a.children,f=0;f<p.length;f++){var m=p[f];3===m.actualNode.nodeType&&""!==nn(m.actualNode.nodeValue)&&d.selectNodeContents(m.actualNode)}for(var h=d.getClientRects(),g=0;g<h.length;g++)if(Yn(h[g],e))return!0;return!1},"data-table-large-matches":function(e){return!!ws(e)&&(3<=(e=Ci(e)).length&&3<=e[0].length&&3<=e[1].length&&3<=e[2].length)},"data-table-matches":function(e){return ws(e)},"duplicate-id-active-matches":function(e){var t=e.getAttribute("id").trim();t=\'*[id="\'.concat(Ea(t),\'"]\'),t=Array.from(Pr(e).querySelectorAll(t));return!ns(e)&&t.some(wn)},"duplicate-id-aria-matches":function(e){return ns(e)},"duplicate-id-misc-matches":function(e){var t=e.getAttribute("id").trim();t=\'*[id="\'.concat(Ea(t),\'"]\'),t=Array.from(Pr(e).querySelectorAll(t));return!ns(e)&&t.every((function(e){return!wn(e)}))},"frame-focusable-content-matches":function(e,t,a){var r;return!a.initiator&&!a.focusable&&1<(null===(r=a.size)||void 0===r?void 0:r.width)*(null===(a=a.size)||void 0===a?void 0:a.height)},"frame-title-has-text-matches":function(e){return e=e.getAttribute("title"),!!nn(e)},"heading-matches":function(e){var t;return(t=e.hasAttribute("role")?e.getAttribute("role").split(/\\s+/i).filter(o.commons.aria.isValidRole):t)&&0<t.length?t.includes("heading"):"heading"===o.commons.aria.implicitRole(e)},"html-namespace-matches":function(e,t){return!lu(0,t)},"identical-links-same-purpose-matches":function(e,t){return!(!Rl(t)||(e=Qi(e))&&"link"!==e)},"inserted-into-focus-order-matches":function(e){return Dn(e)},"is-initiator-matches":iu,"label-content-name-mismatch-matches":function(e,t){var a=Qi(e);return!!(a&&Xl("widget").includes(a)&&Ql().includes(a)&&(nn(wi(t))||nn(_l(e)))&&nn(cn(t)))},"label-matches":function(e,t){return"input"!==t.props.nodeName||!1===t.hasAttr("type")||(t=t.attr("type").toLowerCase(),!1===["hidden","image","button","submit","reset"].includes(t))},"landmark-has-body-context-matches":function(e,t){return e.hasAttribute("role")||!Br(t,"article, aside, main, nav, section")},"landmark-unique-matches":function(e,t){var a,r,n,o=["article","aside","main","nav","section"].join(",");return r=(a=t).actualNode,n=Xl("landmark"),!!(t=Qi(r))&&("HEADER"===(r=r.nodeName.toUpperCase())||"FOOTER"===r?!Br(a,o):"SECTION"!==r&&"FORM"!==r?0<=n.indexOf(t)||"region"===t:!!Rl(a))&&Kr(e,!0)},"layout-table-matches":function(e){return!ws(e)&&!wn(e)},"link-in-text-block-matches":function(e){var t=nn(e.textContent),a=e.getAttribute("role");return(!a||"link"===a)&&!!t&&!!Kr(e,!1)&&Cn(e)},"nested-interactive-matches":function(e,t){return!!(t=Qi(t))&&!!Mn.ariaRoles[t].childrenPresentational},"no-autoplay-audio-matches":function(e){return!!e.currentSrc&&!e.hasAttribute("paused")&&!e.hasAttribute("muted")},"no-empty-role-matches":function(e,t){return!!t.hasAttr("role")&&!!t.attr("role").trim()},"no-explicit-name-required-matches":function(e,t){var a=Ei(t);return!(a&&!["none","presentation"].includes(a)&&!(On[a]||{}).accessibleNameRequired&&!wn(t))},"no-naming-method-matches":su,"no-role-matches":function(e){return!e.getAttribute("role")},"not-html-matches":function(e,t){return"html"!==t.props.nodeName},"p-as-heading-matches":function(e){var t=Array.from(e.parentNode.childNodes),a=e.textContent.trim();return!(0===a.length||2<=(a.match(/[.!?:;](?![.!?:;])/g)||[]).length)&&0!==t.slice(t.indexOf(e)+1).filter((function(e){return"P"===e.nodeName.toUpperCase()&&""!==e.textContent.trim()})).length},"scrollable-region-focusable-matches":function(e,t){if(0==!!go(e,13))return!1;var a=Ei(t);if(_n["aria-haspopup"].values.includes(a)){if(cr(t,\'[role~="combobox"]\'))return!1;if((a=t.attr("id"))&&(e=Sr(e),Array.from(e.querySelectorAll(\'[aria-owns~="\'.concat(a,\'"], [aria-controls~="\').concat(a,\'"]\'))).some((function(e){return ui(e.getAttribute("role")).includes("combobox")}))))return!1}return!!ai(t,"*").some((function(e){return fn(e,!0,!0)}))},"skip-link-matches":function(e){return Un(e)&&Wr(e)},"svg-namespace-matches":lu,"window-is-top-matches":function(e){return e.ownerDocument.defaultView.self===e.ownerDocument.defaultView.top},"xml-lang-mismatch-matches":function(e){var t=Zn(e.getAttribute("lang"));e=Zn(e.getAttribute("xml:lang"));return fi(t)&&fi(e)}},cu=function(e){this.id=e.id,this.data=null,this.relatedNodes=[],this.result=null};function du(e){if("string"!=typeof e)return e;if(uu[e])return uu[e];if(/^\\s*function[\\s\\w]*\\(/.test(e))return new Function("return "+e+";")();throw new ReferenceError("Function ID does not exist in the metadata-function-map: ".concat(e))}function pu(e){var t=0<arguments.length&&void 0!==e?e:{};return Array.isArray(t)||"object"!==n(t)?{value:t}:t}function fu(e){e&&(this.id=e.id,this.configure(e))}fu.prototype.enabled=!0,fu.prototype.run=function(e,t,a,r,n){var o=((t=t||{}).hasOwnProperty("enabled")?t:this).enabled,i=this.getOptions(t.options);if(o){var l;o=new cu(this),t=Za(o,t,r,n);try{l=this.evaluate.call(t,e.actualNode,i,e,a)}catch(t){return e&&e.actualNode&&(t.errorNode=new Qa(e).toJSON()),void n(t)}t.isAsync||(o.result=l,r(o))}else r(null)},fu.prototype.runSync=function(e,t,a){if(!(void 0===(o=(t=t||{}).enabled)?this.enabled:o))return null;var r,n=this.getOptions(t.options),o=new cu(this);(t=Za(o,t)).async=function(){throw new Error("Cannot run async check while in a synchronous run")};try{r=this.evaluate.call(t,e.actualNode,n,e,a)}catch(t){throw e&&e.actualNode&&(t.errorNode=new Qa(e).toJSON()),t}return o.result=r,o},fu.prototype.configure=function(e){var t=this;e.evaluate&&!uu[e.evaluate]||(this._internalCheck=!0),e.hasOwnProperty("enabled")&&(this.enabled=e.enabled),e.hasOwnProperty("options")&&(this._internalCheck?this.options=pu(e.options):this.options=e.options),["evaluate","after"].filter((function(t){return e.hasOwnProperty(t)})).forEach((function(a){return t[a]=du(e[a])}))},fu.prototype.getOptions=function(e){return this._internalCheck?Nr(this.options,pu(e||{})):e||this.options};var mu=fu,hu=function(e){this.id=e.id,this.result=Nt.NA,this.pageLevel=e.pageLevel,this.impact=null,this.nodes=[]};function gu(e,t){this._audit=t,this.id=e.id,this.selector=e.selector||"*",e.impact&&(Bt(Nt.impact.includes(e.impact),"Impact ".concat(e.impact," is not a valid impact")),this.impact=e.impact),this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden,this.enabled="boolean"!=typeof e.enabled||e.enabled,this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel,this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail,this.any=e.any||[],this.all=e.all||[],this.none=e.none||[],this.tags=e.tags||[],this.preload=!!e.preload,e.matches&&(this.matches=du(e.matches))}function bu(e){if(e.length){var t=!1,a={};return e.forEach((function(e){var r=e.results.filter((function(e){return e}));(a[e.type]=r).length&&(t=!0)})),t?a:null}}gu.prototype.matches=function(){return!0},gu.prototype.gather=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a="mark_gather_start_"+this.id,r="mark_gather_end_"+this.id,n="mark_isHidden_start_"+this.id,o="mark_isHidden_end_"+this.id;t.performanceTimer&&jo.mark(a);var i=ii(this.selector,e);return this.excludeHidden&&(t.performanceTimer&&jo.mark(n),i=i.filter((function(e){return!Eo(e.actualNode)})),t.performanceTimer&&(jo.mark(o),jo.measure("rule_"+this.id+"#gather_axe.utils.isHidden",n,o))),t.performanceTimer&&(jo.mark(r),jo.measure("rule_"+this.id+"#gather",a,r)),i},gu.prototype.runChecks=function(e,t,a,r,n,o){var i=this,l=hr();this[e].forEach((function(e){var n=i._audit.checks[e.id||e],o=so(n,i.id,a);l.defer((function(e,a){n.run(t,o,r,e,a)}))})),l.then((function(t){t=t.filter((function(e){return e})),n({type:e,results:t})})).catch(o)},gu.prototype.runChecksSync=function(e,t,a,r){var n=this,o=[];return this[e].forEach((function(e){var i=n._audit.checks[e.id||e];e=so(i,n.id,a);o.push(i.runSync(t,e,r))})),{type:e,results:o=o.filter((function(e){return e}))}},gu.prototype.run=function(e){var t=this,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=2<arguments.length?arguments[2]:void 0,n=3<arguments.length?arguments[3]:void 0;a.performanceTimer&&this._trackPerformance();var o,l=hr(),s=new hu(this);try{o=this.gatherAndMatchNodes(e,a)}catch(r){return void n(new i({cause:r,ruleId:this.id}))}a.performanceTimer&&this._logGatherPerformance(o),o.forEach((function(r){l.defer((function(n,o){var i=hr();["any","all","none"].forEach((function(n){i.defer((function(o,i){t.runChecks(n,r,a,e,o,i)}))})),i.then((function(e){var o=bu(e);o&&(o.node=new Qa(r,a),s.nodes.push(o),t.reviewOnFail&&(["any","all"].forEach((function(e){o[e].forEach((function(e){!1===e.result&&(e.result=void 0)}))})),o.none.forEach((function(e){!0===e.result&&(e.result=void 0)})))),n()})).catch((function(e){return o(e)}))}))})),l.defer((function(e){return setTimeout(e,0)})),a.performanceTimer&&this._logRulePerformance(),l.then((function(){return r(s)})).catch((function(e){return n(e)}))},gu.prototype.runSync=function(e){var t=this,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};a.performanceTimer&&this._trackPerformance();var r,n=new hu(this);try{r=this.gatherAndMatchNodes(e,a)}catch(r){throw new i({cause:r,ruleId:this.id})}return a.performanceTimer&&this._logGatherPerformance(r),r.forEach((function(r){var o=[];["any","all","none"].forEach((function(n){o.push(t.runChecksSync(n,r,a,e))}));var i=bu(o);i&&(i.node=r.actualNode?new Qa(r,a):null,n.nodes.push(i),t.reviewOnFail&&(["any","all"].forEach((function(e){i[e].forEach((function(e){!1===e.result&&(e.result=void 0)}))})),i.none.forEach((function(e){!0===e.result&&(e.result=void 0)}))))})),a.performanceTimer&&this._logRulePerformance(),n},gu.prototype._trackPerformance=function(){this._markStart="mark_rule_start_"+this.id,this._markEnd="mark_rule_end_"+this.id,this._markChecksStart="mark_runchecks_start_"+this.id,this._markChecksEnd="mark_runchecks_end_"+this.id},gu.prototype._logGatherPerformance=function(e){Rt("gather (",e.length,"):",jo.timeElapsed()+"ms"),jo.mark(this._markChecksStart)},gu.prototype._logRulePerformance=function(){jo.mark(this._markChecksEnd),jo.mark(this._markEnd),jo.measure("runchecks_"+this.id,this._markChecksStart,this._markChecksEnd),jo.measure("rule_"+this.id,this._markStart,this._markEnd)},gu.prototype.gatherAndMatchNodes=function(e,t){var a=this,r="mark_matches_start_"+this.id,n="mark_matches_end_"+this.id,o=this.gather(e,t);return t.performanceTimer&&jo.mark(r),o=o.filter((function(t){return a.matches(t.actualNode,t,e)})),t.performanceTimer&&(jo.mark(n),jo.measure("rule_"+this.id+"#matches",r,n)),o},gu.prototype.after=function(e,t){var a,r,n,o=xr(a=this).map((function(e){return(e=a._audit.checks[e.id||e])&&"function"==typeof e.after?e:null})).filter(Boolean),i=this.id;return o.forEach((function(a){var r,n,o=(l=e.nodes,r=a.id,n=[],l.forEach((function(e){xr(e).forEach((function(t){t.id===r&&(t.node=e.node,n.push(t))}))})),n),l=so(a,i,t),s=a.after(o,l);o.forEach((function(e){delete e.node,-1===s.indexOf(e)&&(e.filtered=!0)}))})),e.nodes=(n=["any","all","none"],o=(r=e).nodes.filter((function(e){var t=0;return n.forEach((function(a){e[a]=e[a].filter((function(e){return!0!==e.filtered})),t+=e[a].length})),0<t})),o=r.pageLevel&&o.length?[o.reduce((function(e,t){if(e)return n.forEach((function(a){e[a].push.apply(e[a],t[a])})),e}))]:o),e},gu.prototype.configure=function(e){e.hasOwnProperty("selector")&&(this.selector=e.selector),e.hasOwnProperty("excludeHidden")&&(this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden),e.hasOwnProperty("enabled")&&(this.enabled="boolean"!=typeof e.enabled||e.enabled),e.hasOwnProperty("pageLevel")&&(this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel),e.hasOwnProperty("reviewOnFail")&&(this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail),e.hasOwnProperty("any")&&(this.any=e.any),e.hasOwnProperty("all")&&(this.all=e.all),e.hasOwnProperty("none")&&(this.none=e.none),e.hasOwnProperty("tags")&&(this.tags=e.tags),e.hasOwnProperty("matches")&&(this.matches=du(e.matches)),e.impact&&(Bt(Nt.impact.includes(e.impact),"Impact ".concat(e.impact," is not a valid impact")),this.impact=e.impact)};var yu=gu,vu=k(Et()),wu=/\\{\\{.+?\\}\\}/g;function Du(){return t.origin||(t.location&&t.location.origin?t.location.origin:void 0)}function xu(e,t,a){for(var r=0,n=e.length;r<n;r++)t[a](e[r])}function Eu(e){O(this,Eu),this.lang="en",this.defaultConfig=e,this.standards=Mn,this._init(),this._defaultLocale=null}function Au(e,t,a){return a.performanceTimer&&jo.mark("mark_rule_start_"+e.id),function(r,n){e.run(t,a,(function(e){r(e)}),(function(t){a.debug?n(t):(t=Object.assign(new hu(e),{result:Nt.CANTTELL,description:"An error occured while running this rule",message:t.message,stack:t.stack,error:t,errorNode:t.errorNode}),r(t))}))}}function Cu(e,t,a){var r=e.brand,n=e.application;e=e.lang;return Nt.helpUrlBase+r+"/"+(a||o.version.substring(0,o.version.lastIndexOf(".")))+"/"+t+"?application="+encodeURIComponent(n)+(e&&"en"!==e?"&lang="+encodeURIComponent(e):"")}var Fu=(P(Eu,[{key:"_setDefaultLocale",value:function(){if(!this._defaultLocale){for(var e={checks:{},rules:{},failureSummaries:{},incompleteFallbackMessage:"",lang:this.lang},t=Object.keys(this.data.checks),a=0;a<t.length;a++){var r=t[a],n=(i=this.data.checks[r].messages).pass,o=i.fail,i=i.incomplete;e.checks[r]={pass:n,fail:o,incomplete:i}}for(var l=Object.keys(this.data.rules),s=0;s<l.length;s++){var u=l[s],c=(d=this.data.rules[u]).description,d=d.help;e.rules[u]={description:c,help:d}}for(var p=Object.keys(this.data.failureSummaries),f=0;f<p.length;f++){var m=p[f],h=this.data.failureSummaries[m].failureMessage;e.failureSummaries[m]={failureMessage:h}}e.incompleteFallbackMessage=this.data.incompleteFallbackMessage,this._defaultLocale=e}}},{key:"_resetLocale",value:function(){var e=this._defaultLocale;e&&this.applyLocale(e)}},{key:"_applyCheckLocale",value:function(e){for(var t,a,r,o=Object.keys(e),i=0;i<o.length;i++){var l=o[i];if(!this.data.checks[l])throw new Error(\'Locale provided for unknown check: "\'.concat(l,\'"\'));this.data.checks[l]=(t=this.data.checks[l],a=e[l],l=r=void 0,r=a.pass,l=a.fail,"string"==typeof r&&wu.test(r)&&(r=vu.default.compile(r)),"string"==typeof l&&wu.test(l)&&(l=vu.default.compile(l)),_({},t,{messages:{pass:r||t.messages.pass,fail:l||t.messages.fail,incomplete:"object"===n(t.messages.incomplete)?_({},t.messages.incomplete,a.incomplete):a.incomplete}}))}}},{key:"_applyRuleLocale",value:function(e){for(var t,a,r=Object.keys(e),n=0;n<r.length;n++){var o=r[n];if(!this.data.rules[o])throw new Error(\'Locale provided for unknown rule: "\'.concat(o,\'"\'));this.data.rules[o]=(t=this.data.rules[o],a=e[o],o=void 0,o=a.help,a=a.description,"string"==typeof o&&wu.test(o)&&(o=vu.default.compile(o)),"string"==typeof a&&wu.test(a)&&(a=vu.default.compile(a)),_({},t,{help:o||t.help,description:a||t.description}))}}},{key:"_applyFailureSummaries",value:function(e){for(var t=Object.keys(e),a=0;a<t.length;a++){var r=t[a];if(!this.data.failureSummaries[r])throw new Error(\'Locale provided for unknown failureMessage: "\'.concat(r,\'"\'));this.data.failureSummaries[r]=function(e,t){return _({},e,{failureMessage:(t="string"==typeof(t=t.failureMessage)&&wu.test(t)?vu.default.compile(t):t)||e.failureMessage})}(this.data.failureSummaries[r],e[r])}}},{key:"applyLocale",value:function(e){var t,a;this._setDefaultLocale(),e.checks&&this._applyCheckLocale(e.checks),e.rules&&this._applyRuleLocale(e.rules),e.failureSummaries&&this._applyFailureSummaries(e.failureSummaries,"failureSummaries"),e.incompleteFallbackMessage&&(this.data.incompleteFallbackMessage=(t=this.data.incompleteFallbackMessage,(a="string"==typeof(a=e.incompleteFallbackMessage)&&wu.test(a)?vu.default.compile(a):a)||t)),e.lang&&(this.lang=e.lang)}},{key:"setAllowedOrigins",value:function(e){var t=Du();this.allowedOrigins=[];var a,r=I(e);try{for(r.s();!(a=r.n()).done;){var n=a.value;if(n===Nt.allOrigins)return void(this.allowedOrigins=["*"]);n!==Nt.sameOrigin?this.allowedOrigins.push(n):t&&this.allowedOrigins.push(t)}}catch(e){r.e(e)}finally{r.f()}}},{key:"_init",value:function(){var e,t=((e=this.defaultConfig)?(t=er(e)).commons=e.commons:t={},t.reporter=t.reporter||null,t.noHtml=t.noHtml||!1,t.allowedOrigins||(e=Du(),t.allowedOrigins=e?[e]:[]),t.rules=t.rules||[],t.checks=t.checks||[],t.data=_({checks:{},rules:{}},t.data),t);this.lang=t.lang||"en",this.reporter=t.reporter,this.commands={},this.rules=[],this.checks={},this.brand="axe",this.application="axeAPI",this.tagExclude=["experimental"],this.noHtml=t.noHtml,this.allowedOrigins=t.allowedOrigins,xu(t.rules,this,"addRule"),xu(t.checks,this,"addCheck"),this.data={},this.data.checks=t.data&&t.data.checks||{},this.data.rules=t.data&&t.data.rules||{},this.data.failureSummaries=t.data&&t.data.failureSummaries||{},this.data.incompleteFallbackMessage=t.data&&t.data.incompleteFallbackMessage||"",this._constructHelpUrls()}},{key:"registerCommand",value:function(e){this.commands[e.id]=e.callback}},{key:"addRule",value:function(e){e.metadata&&(this.data.rules[e.id]=e.metadata);var t=this.getRule(e.id);t?t.configure(e):this.rules.push(new yu(e,this))}},{key:"addCheck",value:function(e){var t=e.metadata;"object"===n(t)&&(this.data.checks[e.id]=t,"object"===n(t.messages)&&Object.keys(t.messages).filter((function(e){return t.messages.hasOwnProperty(e)&&"string"==typeof t.messages[e]})).forEach((function(e){0===t.messages[e].indexOf("function")&&(t.messages[e]=new Function("return "+t.messages[e]+";")())}))),this.checks[e.id]?this.checks[e.id].configure(e):this.checks[e.id]=new mu(e)}},{key:"run",value:function(e,t,a,r){this.normalizeOptions(t),o._selectCache=[];var n,i,l=(s=this.rules,n=e,i=t,s.reduce((function(e,t){return ni(t,n,i)&&(t.preload?e.later:e.now).push(t),e}),{now:[],later:[]})),s=l.now,u=l.later,c=hr();s.forEach((function(a){c.defer(Au(a,e,t))})),l=hr(),u.length&&l.defer((function(e){Zo(t).then((function(t){return e(t)})).catch((function(t){console.warn("Couldn\'t load preload assets: ",t),e(void 0)}))})),(s=hr()).defer(c),s.defer(l),s.then((function(n){var i=n.pop();i&&i.length&&(i=i[0])&&(e=_({},e,i));var l=n[0];if(!u.length)return o._selectCache=void 0,void a(l.filter((function(e){return!!e})));var s=hr();u.forEach((function(a){a=Au(a,e,t),s.defer(a)})),s.then((function(e){o._selectCache=void 0,a(l.concat(e).filter((function(e){return!!e})))})).catch(r)})).catch(r)}},{key:"after",value:function(e,t){var a=this.rules;return e.map((function(e){var r=Er(a,"id",e.id);if(!r)throw new Error("Result for unknown rule. You may be running mismatch axe-core versions");return r.after(e,t)}))}},{key:"getRule",value:function(e){return this.rules.find((function(t){return t.id===e}))}},{key:"normalizeOptions",value:function(e){var t=[],a=[];if(this.rules.forEach((function(e){a.push(e.id),e.tags.forEach((function(e){t.includes(e)||t.push(e)}))})),["object","string"].includes(n(e.runOnly))){if("string"==typeof e.runOnly&&(e.runOnly=[e.runOnly]),Array.isArray(e.runOnly)){var r=e.runOnly.find((function(e){return t.includes(e)})),i=e.runOnly.find((function(e){return a.includes(e)}));if(r&&i)throw new Error("runOnly cannot be both rules and tags");e.runOnly=i?{type:"rule",values:e.runOnly}:{type:"tag",values:e.runOnly}}if((i=e.runOnly).value&&!i.values&&(i.values=i.value,delete i.value),!Array.isArray(i.values)||0===i.values.length)throw new Error("runOnly.values must be a non-empty array");if(["rule","rules"].includes(i.type))i.type="rule",i.values.forEach((function(e){if(!a.includes(e))throw new Error("unknown rule `"+e+"` in options.runOnly")}));else{if(!["tag","tags",void 0].includes(i.type))throw new Error("Unknown runOnly type \'".concat(i.type,"\'"));i.type="tag",0!==(i=i.values.filter((function(e){return!t.includes(e)&&!/wcag2[1-3]a{1,3}/.test(e)}))).length&&o.log("Could not find tags `"+i.join("`, `")+"`")}}return"object"===n(e.rules)&&Object.keys(e.rules).forEach((function(e){if(!a.includes(e))throw new Error("unknown rule `"+e+"` in options.rules")})),e}},{key:"setBranding",value:function(e){var t={brand:this.brand,application:this.application};"string"==typeof e&&(this.application=e),e&&e.hasOwnProperty("brand")&&e.brand&&"string"==typeof e.brand&&(this.brand=e.brand),e&&e.hasOwnProperty("application")&&e.application&&"string"==typeof e.application&&(this.application=e.application),this._constructHelpUrls(t)}},{key:"_constructHelpUrls",value:function(){var e=this,t=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null,a=(o.version.match(/^[1-9][0-9]*\\.[0-9]+/)||["x.y"])[0];this.rules.forEach((function(r){e.data.rules[r.id]||(e.data.rules[r.id]={});var n=e.data.rules[r.id];("string"!=typeof n.helpUrl||t&&n.helpUrl===Cu(t,r.id,a))&&(n.helpUrl=Cu(e,r.id,a))}))}},{key:"resetRulesAndChecks",value:function(){this._init(),this._resetLocale()}}]),Eu);A(Pn={},{CssSelectorParser:function(){return ku.CssSelectorParser},doT:function(){return Nu.default},emojiRegexText:function(){return Ru.default},memoize:function(){return Tu.default}});var ku=k($()),Nu=k(Et()),Ru=k(xt()),Tu=k(Dt());At=k(At()),Ct=k(Ct());k(Ft()),Nu.default.templateSettings.strip=!1,"Promise"in t||At.default.polyfill(),"Uint32Array"in t||(t.Uint32Array=Ct.Uint32Array),t.Uint32Array&&("some"in t.Uint32Array.prototype||Object.defineProperty(t.Uint32Array.prototype,"some",{value:Array.prototype.some}),"reduce"in t.Uint32Array.prototype||Object.defineProperty(t.Uint32Array.prototype,"reduce",{value:Array.prototype.reduce}));var _u,Ou=function(e,t){if(e=e||function(){},t=t||o.log,!o._audit)throw new Error("No audit configured");var a=o.utils.queue(),n=[];Object.keys(o.plugins).forEach((function(e){a.defer((function(t){function a(e){n.push(e),t()}try{o.plugins[e].cleanup(t,a)}catch(e){a(e)}}))}));var i=o.utils.getFlattenedTree(r.body);o.utils.querySelectorAll(i,"iframe, frame").forEach((function(e){a.defer((function(t,a){return o.utils.sendCommandToFrame(e.actualNode,{command:"cleanup-plugin"},t,a)}))})),a.then((function(a){0===n.length?e(a):t(n)})).catch(t)},Su={};function Pu(e){return Su.hasOwnProperty(e)}function Iu(e){return"string"==typeof e&&Su[e]?Su[e]:"function"==typeof e?e:_u}function Bu(){Ka.get("globalDocumentSet")&&(Ka.set("globalDocumentSet",!1),r=null),Ka.get("globalWindowSet")&&(Ka.set("globalWindowSet",!1),t=null)}var Mu=function(){Bu(),o._memoizedFns.forEach((function(e){return e.clear()})),Ka.clear(),o._tree=void 0,o._selectorData=void 0,o._selectCache=void 0},Lu=function(e,t,a,r){try{e=new fo(e),o._tree=e.flatTree,o._selectorData=qa(e.flatTree)}catch(n){return Mu(),r(n)}var n=hr(),i=o._audit;t.performanceTimer&&jo.auditStart(),e.frames.length&&!1!==t.iframes&&n.defer((function(a,r){Fr(e,t,"rules",null,a,r)})),n.defer((function(a,r){i.run(e,t,a,r)})),n.then((function(n){try{t.performanceTimer&&jo.auditEnd();var o=Cr(n.map((function(e){return{results:e}})));e.initiator&&((o=i.after(o,t)).forEach(ti),o=o.map(ba));try{a(o,Mu)}catch(n){Mu(),Rt(n)}}catch(n){Mu(),r(n)}})).catch((function(e){Mu(),r(e)}))};function ju(e){this._run=e.run,this._collect=e.collect,this._registry={},e.commands.forEach((function(e){o._audit.registerCommand(e)}))}function qu(e){var a,i=(s=T(e,3))[0],l=s[1],s=(e=s[2],new TypeError("axe.run arguments are invalid"));if(!function(e){switch(!0){case"string"==typeof e:case Array.isArray(e):case t.Node&&e instanceof t.Node:case t.NodeList&&e instanceof t.NodeList:return!0;case"object"!==n(e):return!1;case void 0!==e.include:case void 0!==e.exclude:case"number"==typeof e.length:return!0;default:return!1}}(i)){if(void 0!==e)throw s;e=l,l=i,i=r}if("object"!==n(l)){if(void 0!==e)throw s;e=l,l={}}if("function"!=typeof e&&void 0!==e)throw s;return(l=er(l)).reporter=null!==(a=null!==(s=l.reporter)&&void 0!==s?s:null===(a=o._audit)||void 0===a?void 0:a.reporter)&&void 0!==a?a:"v1",{context:i,options:l,callback:e}}t.top!==t&&(br.subscribe("axe.start",(function(e,t,a){function n(e){e instanceof Error==0&&(e=new Error(e)),a(e)}var i=a,l=e&&e.context||{};l.hasOwnProperty("include")&&!l.include.length&&(l.include=[r]);var s=e&&e.options||{};switch(e.command){case"rules":return Lu(l,s,(function(e,t){i(e),t()}),n);case"cleanup-plugin":return Ou(i,n);default:if(o._audit&&o._audit.commands&&o._audit.commands[e.command])return o._audit.commands[e.command](e,a)}})),br.subscribe("axe.ping",(function(e,t,a){a({axe:!0})}))),ju.prototype.run=function(){return this._run.apply(this,arguments)},ju.prototype.collect=function(){return this._collect.apply(this,arguments)},ju.prototype.cleanup=function(e){var t=o.utils.queue(),a=this;Object.keys(this._registry).forEach((function(e){t.defer((function(t){a._registry[e].cleanup(t)}))})),t.then(e)},ju.prototype.add=function(e){this._registry[e.id]=e};var Uu=function(){};function Vu(e){var t=e.node,a=N(e,h);a.node=t.toJSON();for(var r=0,n=["any","all","none"];r<n.length;r++){var o=n[r];a[o]=a[o].map((function(e){var t=e.relatedNodes;return _({},N(e,g),{relatedNodes:t.map((function(e){return e.toJSON()}))})}))}return a}var zu=function(e,t,a){if("function"==typeof t&&(a=t,t={}),!e||!Array.isArray(e))return a(e);a(e.map((function(e){for(var t=_({},e),a=0,r=["passes","violations","incomplete","inapplicable"];a<r.length;a++){var n=r[a];t[n]&&Array.isArray(t[n])&&(t[n]=t[n].map((function(e){var t=e.node;e=N(e,v);return _({node:t="function"==typeof(null==t?void 0:t.toJSON)?t.toJSON():t},e)})))}return t})))};o.constants=Nt,o.log=Rt,o.AbstractVirtualNode=Ot,o.SerialVirtualNode=gi,o.VirtualNode=Xn,o._cache=Ka,o._thisWillBeDeletedDoNotUse=o._thisWillBeDeletedDoNotUse||{},o._thisWillBeDeletedDoNotUse.base={Audit:Fu,CheckResult:cu,Check:mu,Context:fo,RuleResult:hu,Rule:yu,metadataFunctionMap:uu},o._thisWillBeDeletedDoNotUse.public={reporters:Su},o.imports=Pn,o.cleanup=Ou,o.configure=function(e){var t=o._audit;if(!t)throw new Error("No audit configured");if(e.axeVersion||e.ver){var a=e.axeVersion||e.ver;if(!/^\\d+\\.\\d+\\.\\d+(-canary)?/.test(a))throw new Error("Invalid configured version ".concat(a));var r=(u=T(a.split("-"),2))[0],n=u[1],i=(d=T(r.split(".").map(Number),3))[0],l=d[1],s=d[2],u=(c=T(o.version.split("-"),2))[0],c=(r=c[1],(d=T(u.split(".").map(Number),3))[0]),d=(u=d[1],d[2]);if(i!==c||u<l||u===l&&d<s||i===c&&l===u&&s===d&&n&&n!==r)throw new Error("Configured version ".concat(a," is not compatible with current axe version ").concat(o.version))}if(e.reporter&&("function"==typeof e.reporter||Pu(e.reporter))&&(t.reporter=e.reporter),e.checks){if(!Array.isArray(e.checks))throw new TypeError("Checks property must be an array");e.checks.forEach((function(e){if(!e.id)throw new TypeError("Configured check ".concat(JSON.stringify(e)," is invalid. Checks must be an object with at least an id property"));t.addCheck(e)}))}var p,f=[];if(e.rules){if(!Array.isArray(e.rules))throw new TypeError("Rules property must be an array");e.rules.forEach((function(e){if(!e.id)throw new TypeError("Configured rule ".concat(JSON.stringify(e)," is invalid. Rules must be an object with at least an id property"));f.push(e.id),t.addRule(e)}))}if(e.disableOtherRules&&t.rules.forEach((function(e){!1===f.includes(e.id)&&(e.enabled=!1)})),void 0!==e.branding?t.setBranding(e.branding):t._constructHelpUrls(),e.tagExclude&&(t.tagExclude=e.tagExclude),e.locale&&t.applyLocale(e.locale),e.standards&&(p=e.standards,Object.keys(Bn).forEach((function(e){p[e]&&(Bn[e]=Nr(Bn[e],p[e]))}))),e.noHtml&&(t.noHtml=!0),e.allowedOrigins){if(!Array.isArray(e.allowedOrigins))throw new TypeError("Allowed origins property must be an array");if(e.allowedOrigins.includes("*"))throw new Error(\'"*" is not allowed. Use "\'.concat(Nt.allOrigins,\'" instead\'));t.setAllowedOrigins(e.allowedOrigins)}},o.frameMessenger=function(e){br.updateMessenger(e)},o.getRules=function(e){var t=(e=e||[]).length?o._audit.rules.filter((function(t){return!!e.filter((function(e){return-1!==t.tags.indexOf(e)})).length})):o._audit.rules,a=o._audit.data.rules||{};return t.map((function(e){var t=a[e.id]||{};return{ruleId:e.id,description:t.description,help:t.help,helpUrl:t.helpUrl,tags:e.tags}}))},o._load=function(e){o._audit=new Fu(e)},o.plugins={},o.registerPlugin=function(e){o.plugins[e.id]=new ju(e)},o.hasReporter=Pu,o.getReporter=Iu,o.addReporter=function(e,t,a){Su[e]=t,a&&(_u=t)},o.reset=function(){var e=o._audit;if(!e)throw new Error("No audit configured");e.resetRulesAndChecks(),Object.keys(Bn).forEach((function(e){Bn[e]=In[e]}))},o._runRules=Lu,o.runVirtualRule=function(e,t){var a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};a.reporter=a.reporter||o._audit.reporter||"v1",o._selectorData={},t instanceof Ot||(t=new gi(t));var r=ho(e);if(!r)throw new Error("unknown rule `"+e+"`");return r=(r=Object.create(r,{excludeHidden:{value:!1}})).runSync({initiator:!0,include:[t]},a),ti(r),ba(r),(r=wa([r])).violations.forEach((function(e){return e.nodes.forEach((function(e){e.failureSummary=eo(e)}))})),_({},uo(),r,{toolOptions:a})},o.run=function(){for(var e=arguments.length,a=new Array(e),n=0;n<e;n++)a[n]=arguments[n];!function(e){var a=t&&"Node"in t&&"NodeList"in t,n=!!r;if(!a||!n){if(!e||!e.ownerDocument)throw new Error(\'Required "window" or "document" globals not defined and cannot be deduced from the context. Either set the globals before running or pass in a valid Element.\');n||(Ka.set("globalDocumentSet",!0),r=e.ownerDocument),a||(Ka.set("globalWindowSet",!0),t=r.defaultView)}}(a[0]);var i=qu(a),l=i.context,s=i.options,u=void 0===(c=i.callback)?Uu:c,c=(i=function(e){var t,a,r;return"function"==typeof Promise&&e===Uu?t=new Promise((function(e,t){a=t,r=e})):r=a=Uu,{thenable:t,reject:a,resolve:r}}(u)).thenable,d=i.resolve,p=i.reject;try{Bt(o._audit,"No audit configured"),Bt(!o._running,"Axe is already running. Use `await axe.run()` to wait for the previous run to finish before starting a new run.")}catch(e){return function(e,t){if(Bu(),"function"!=typeof t||t===Uu)throw e;t(e.message)}(e,u)}return o._running=!0,s.performanceTimer&&o.utils.performanceTimer.start(),o._runRules(l,s,(function(e,t){s.performanceTimer&&o.utils.performanceTimer.end();try{!function(e,t,a){void 0!==(t=Iu(t.reporter)(e,t,a))&&a(t)}(e,s,(function(e){o._running=!1,t();try{u(null,e)}catch(e){o.log(e)}d(e)}))}catch(e){o._running=!1,t(),u(e),p(e)}}),(function(e){s.performanceTimer&&o.utils.performanceTimer.end(),o._running=!1,Bu(),u(e),p(e)})),c},o.setup=function(e){if(o._tree)throw new Error("Axe is already setup. Call `axe.teardown()` before calling `axe.setup` again.");return o._tree=Qn(e),o._selectorData=qa(o._tree),o._tree[0]},o.teardown=Mu,o.runPartial=function(){for(var e=arguments.length,t=new Array(e),a=0;a<e;a++)t[a]=arguments[a];var r=(n=qu(t)).options,n=n.context;Bt(o._audit,"Axe is not configured. Audit is missing."),Bt(!o._running,"Axe is already running. Use `await axe.run()` to wait for the previous run to finish before starting a new run.");var i=new fo(n,o._tree);return o._tree=i.flatTree,o._selectorData=qa(i.flatTree),o._running=!0,new Promise((function(e,t){o._audit.run(i,r,e,t)})).then((function(e){var t;return{results:e=e.map((function(e){var t=e.nodes;e=N(e,m);return _({nodes:t.map(Vu)},e)})),frames:i.frames.map((function(e){return e=e.node,new Qa(e,r).toJSON()})),environmentData:t=i.initiator?uo():t}})).finally((function(){o._running=!1,Mu()}))},o.finishRun=function(e){var t,a=er(a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}),r=(e.find((function(e){return e.environmentData}))||{}).environmentData;o._audit.normalizeOptions(a),a.reporter=null!==(l=null!==(t=a.reporter)&&void 0!==t?t:null===(l=o._audit)||void 0===l?void 0:l.reporter)&&void 0!==l?l:"v1",function(e){var t,a=[],r=I(e);try{for(r.s();!(t=r.n()).done;){var n,o=t.value,i=a.shift();o&&(o.frameSpec=null!=i?i:null,n=function(e){var t=e.frames,a=e.frameSpec;return a?t.map((function(e){return Qa.mergeSpecs(e,a)})):t}(o),a.unshift.apply(a,R(n)))}}catch(e){r.e(e)}finally{r.f()}}(e);var n,i,l=Cr(e);return(l=o._audit.after(l,a)).forEach(ti),l=l.map(ba),n=l,i=_({environmentData:r},a),new Promise((function(e){Iu(i.reporter)(n,i,e)}))},o.commons=Sn,o.utils=St,o.addReporter("na",(function(e,t,a){console.warn(\'"na" reporter will be deprecated in axe v4.0. Use the "v2" reporter instead.\'),"function"==typeof t&&(a=t,t={});var r=(n=t).environmentData,n=N(n,b);a(_({},uo(r),{toolOptions:n},ro(e,t)))})),o.addReporter("no-passes",(function(e,t,a){"function"==typeof t&&(a=t,t={});var r=t.environmentData,n=N(t,y);t.resultTypes=["violations"],t=ro(e,t).violations,a(_({},uo(r),{toolOptions:n,violations:t}))})),o.addReporter("rawEnv",(function(e,t,a){"function"==typeof t&&(a=t,t={});var r=(t=t).environmentData;t=N(t,w),zu(e,t,(function(e){var t=uo(r);a({raw:e,env:t})}))})),o.addReporter("raw",zu),o.addReporter("v1",(function(e,t,a){function r(e){e.nodes.forEach((function(e){e.failureSummary=eo(e)}))}"function"==typeof t&&(a=t,t={});var n=t.environmentData,o=N(t,D);(t=ro(e,t)).incomplete.forEach(r),t.violations.forEach(r),a(_({},uo(n),{toolOptions:o},t))})),o.addReporter("v2",(function(e,t,a){"function"==typeof t&&(a=t,t={});var r=t.environmentData,n=N(t,x);t=ro(e,t),a(_({},uo(r),{toolOptions:n},t))}),!0)}(),o._load({lang:"en",data:{rules:{accesskeys:{description:"Ensures every accesskey attribute value is unique",help:"accesskey attribute value should be unique"},"area-alt":{description:"Ensures <area> elements of image maps have alternate text",help:"Active <area> elements must have alternate text"},"aria-allowed-attr":{description:"Ensures ARIA attributes are allowed for an element\'s role",help:"Elements must only use allowed ARIA attributes"},"aria-allowed-role":{description:"Ensures role attribute has an appropriate value for the element",help:"ARIA role should be appropriate for the element"},"aria-command-name":{description:"Ensures every ARIA button, link and menuitem has an accessible name",help:"ARIA commands must have an accessible name"},"aria-dialog-name":{description:"Ensures every ARIA dialog and alertdialog node has an accessible name",help:"ARIA dialog and alertdialog nodes should have an accessible name"},"aria-hidden-body":{description:"Ensures aria-hidden=\'true\' is not present on the document body.",help:"aria-hidden=\'true\' must not be present on the document body"},"aria-hidden-focus":{description:"Ensures aria-hidden elements do not contain focusable elements",help:"ARIA hidden element must not contain focusable elements"},"aria-input-field-name":{description:"Ensures every ARIA input field has an accessible name",help:"ARIA input fields must have an accessible name"},"aria-meter-name":{description:"Ensures every ARIA meter node has an accessible name",help:"ARIA meter nodes must have an accessible name"},"aria-progressbar-name":{description:"Ensures every ARIA progressbar node has an accessible name",help:"ARIA progressbar nodes must have an accessible name"},"aria-required-attr":{description:"Ensures elements with ARIA roles have all required ARIA attributes",help:"Required ARIA attributes must be provided"},"aria-required-children":{description:"Ensures elements with an ARIA role that require child roles contain them",help:"Certain ARIA roles must contain particular children"},"aria-required-parent":{description:"Ensures elements with an ARIA role that require parent roles are contained by them",help:"Certain ARIA roles must be contained by particular parents"},"aria-roledescription":{description:"Ensure aria-roledescription is only used on elements with an implicit or explicit role",help:"aria-roledescription must be on elements with a semantic role"},"aria-roles":{description:"Ensures all elements with a role attribute use a valid value",help:"ARIA roles used must conform to valid values"},"aria-text":{description:\'Ensures "role=text" is used on elements with no focusable descendants\',help:\'"role=text" should have no focusable descendants\'},"aria-toggle-field-name":{description:"Ensures every ARIA toggle field has an accessible name",help:"ARIA toggle fields must have an accessible name"},"aria-tooltip-name":{description:"Ensures every ARIA tooltip node has an accessible name",help:"ARIA tooltip nodes must have an accessible name"},"aria-treeitem-name":{description:"Ensures every ARIA treeitem node has an accessible name",help:"ARIA treeitem nodes should have an accessible name"},"aria-valid-attr-value":{description:"Ensures all ARIA attributes have valid values",help:"ARIA attributes must conform to valid values"},"aria-valid-attr":{description:"Ensures attributes that begin with aria- are valid ARIA attributes",help:"ARIA attributes must conform to valid names"},"audio-caption":{description:"Ensures <audio> elements have captions",help:"<audio> elements must have a captions track"},"autocomplete-valid":{description:"Ensure the autocomplete attribute is correct and suitable for the form field",help:"autocomplete attribute must be used correctly"},"avoid-inline-spacing":{description:"Ensure that text spacing set through style attributes can be adjusted with custom stylesheets",help:"Inline text spacing must be adjustable with custom stylesheets"},blink:{description:"Ensures <blink> elements are not used",help:"<blink> elements are deprecated and must not be used"},"button-name":{description:"Ensures buttons have discernible text",help:"Buttons must have discernible text"},bypass:{description:"Ensures each page has at least one mechanism for a user to bypass navigation and jump straight to the content",help:"Page must have means to bypass repeated blocks"},"color-contrast-enhanced":{description:"Ensures the contrast between foreground and background colors meets WCAG 2 AAA contrast ratio thresholds",help:"Elements must have sufficient color contrast"},"color-contrast":{description:"Ensures the contrast between foreground and background colors meets WCAG 2 AA contrast ratio thresholds",help:"Elements must have sufficient color contrast"},"css-orientation-lock":{description:"Ensures content is not locked to any specific display orientation, and the content is operable in all display orientations",help:"CSS Media queries must not lock display orientation"},"definition-list":{description:"Ensures <dl> elements are structured correctly",help:"<dl> elements must only directly contain properly-ordered <dt> and <dd> groups, <script>, <template> or <div> elements"},dlitem:{description:"Ensures <dt> and <dd> elements are contained by a <dl>",help:"<dt> and <dd> elements must be contained by a <dl>"},"document-title":{description:"Ensures each HTML document contains a non-empty <title> element",help:"Documents must have <title> element to aid in navigation"},"duplicate-id-active":{description:"Ensures every id attribute value of active elements is unique",help:"IDs of active elements must be unique"},"duplicate-id-aria":{description:"Ensures every id attribute value used in ARIA and in labels is unique",help:"IDs used in ARIA and labels must be unique"},"duplicate-id":{description:"Ensures every id attribute value is unique",help:"id attribute value must be unique"},"empty-heading":{description:"Ensures headings have discernible text",help:"Headings should not be empty"},"empty-table-header":{description:"Ensures table headers have discernible text",help:"Table header text must not be empty"},"focus-order-semantics":{description:"Ensures elements in the focus order have a role appropriate for interactive content",help:"Elements in the focus order should have an appropriate role"},"form-field-multiple-labels":{description:"Ensures form field does not have multiple label elements",help:"Form field must not have multiple label elements"},"frame-focusable-content":{description:"Ensures <frame> and <iframe> elements with focusable content do not have tabindex=-1",help:"Frames with focusable content must not have tabindex=-1"},"frame-tested":{description:"Ensures <iframe> and <frame> elements contain the axe-core script",help:"Frames should be tested with axe-core"},"frame-title-unique":{description:"Ensures <iframe> and <frame> elements contain a unique title attribute",help:"Frames should have a unique title attribute"},"frame-title":{description:"Ensures <iframe> and <frame> elements have an accessible name",help:"Frames must have an accessible name"},"heading-order":{description:"Ensures the order of headings is semantically correct",help:"Heading levels should only increase by one"},"hidden-content":{description:"Informs users about hidden content.",help:"Hidden content on the page should be analyzed"},"html-has-lang":{description:"Ensures every HTML document has a lang attribute",help:"<html> element must have a lang attribute"},"html-lang-valid":{description:"Ensures the lang attribute of the <html> element has a valid value",help:"<html> element must have a valid value for the lang attribute"},"html-xml-lang-mismatch":{description:"Ensure that HTML elements with both valid lang and xml:lang attributes agree on the base language of the page",help:"HTML elements with lang and xml:lang must have the same base language"},"identical-links-same-purpose":{description:"Ensure that links with the same accessible name serve a similar purpose",help:"Links with the same name must have a similar purpose"},"image-alt":{description:"Ensures <img> elements have alternate text or a role of none or presentation",help:"Images must have alternate text"},"image-redundant-alt":{description:"Ensure image alternative is not repeated as text",help:"Alternative text of images should not be repeated as text"},"input-button-name":{description:"Ensures input buttons have discernible text",help:"Input buttons must have discernible text"},"input-image-alt":{description:\'Ensures <input type="image"> elements have alternate text\',help:"Image buttons must have alternate text"},"label-content-name-mismatch":{description:"Ensures that elements labelled through their content must have their visible text as part of their accessible name",help:"Elements must have their visible text as part of their accessible name"},"label-title-only":{description:"Ensures that every form element has a visible label and is not solely labeled using hidden labels, or the title or aria-describedby attributes",help:"Form elements should have a visible label"},label:{description:"Ensures every form element has a label",help:"Form elements must have labels"},"landmark-banner-is-top-level":{description:"Ensures the banner landmark is at top level",help:"Banner landmark should not be contained in another landmark"},"landmark-complementary-is-top-level":{description:"Ensures the complementary landmark or aside is at top level",help:"Aside should not be contained in another landmark"},"landmark-contentinfo-is-top-level":{description:"Ensures the contentinfo landmark is at top level",help:"Contentinfo landmark should not be contained in another landmark"},"landmark-main-is-top-level":{description:"Ensures the main landmark is at top level",help:"Main landmark should not be contained in another landmark"},"landmark-no-duplicate-banner":{description:"Ensures the document has at most one banner landmark",help:"Document should not have more than one banner landmark"},"landmark-no-duplicate-contentinfo":{description:"Ensures the document has at most one contentinfo landmark",help:"Document should not have more than one contentinfo landmark"},"landmark-no-duplicate-main":{description:"Ensures the document has at most one main landmark",help:"Document should not have more than one main landmark"},"landmark-one-main":{description:"Ensures the document has a main landmark",help:"Document should have one main landmark"},"landmark-unique":{help:"Ensures landmarks are unique",description:"Landmarks should have a unique role or role/label/title (i.e. accessible name) combination"},"link-in-text-block":{description:"Ensure links are distinguished from surrounding text in a way that does not rely on color",help:"Links must be distinguishable without relying on color"},"link-name":{description:"Ensures links have discernible text",help:"Links must have discernible text"},list:{description:"Ensures that lists are structured correctly",help:"<ul> and <ol> must only directly contain <li>, <script> or <template> elements"},listitem:{description:"Ensures <li> elements are used semantically",help:"<li> elements must be contained in a <ul> or <ol>"},marquee:{description:"Ensures <marquee> elements are not used",help:"<marquee> elements are deprecated and must not be used"},"meta-refresh":{description:\'Ensures <meta http-equiv="refresh"> is not used\',help:"Timed refresh must not exist"},"meta-viewport-large":{description:\'Ensures <meta name="viewport"> can scale a significant amount\',help:"Users should be able to zoom and scale the text up to 500%"},"meta-viewport":{description:\'Ensures <meta name="viewport"> does not disable text scaling and zooming\',help:"Zooming and scaling should not be disabled"},"nested-interactive":{description:"Ensures interactive controls are not nested as they are not always announced by screen readers or can cause focus problems for assistive technologies",help:"Interactive controls must not be nested"},"no-autoplay-audio":{description:"Ensures <video> or <audio> elements do not autoplay audio for more than 3 seconds without a control mechanism to stop or mute the audio",help:"<video> or <audio> elements must not play automatically"},"object-alt":{description:"Ensures <object> elements have alternate text",help:"<object> elements must have alternate text"},"p-as-heading":{description:"Ensure bold, italic text and font-size is not used to style <p> elements as a heading",help:"Styled <p> elements must not be used as headings"},"page-has-heading-one":{description:"Ensure that the page, or at least one of its frames contains a level-one heading",help:"Page should contain a level-one heading"},"presentation-role-conflict":{description:"Flags elements whose role is none or presentation and which cause the role conflict resolution to trigger.",help:"Elements of role none or presentation should be flagged"},region:{description:"Ensures all page content is contained by landmarks",help:"All page content should be contained by landmarks"},"role-img-alt":{description:"Ensures [role=\'img\'] elements have alternate text",help:"[role=\'img\'] elements must have an alternative text"},"scope-attr-valid":{description:"Ensures the scope attribute is used correctly on tables",help:"scope attribute should be used correctly"},"scrollable-region-focusable":{description:"Ensure elements that have scrollable content are accessible by keyboard",help:"Scrollable region must have keyboard access"},"select-name":{description:"Ensures select element has an accessible name",help:"Select element must have an accessible name"},"server-side-image-map":{description:"Ensures that server-side image maps are not used",help:"Server-side image maps must not be used"},"skip-link":{description:"Ensure all skip links have a focusable target",help:"The skip-link target should exist and be focusable"},"svg-img-alt":{description:"Ensures <svg> elements with an img, graphics-document or graphics-symbol role have an accessible text",help:"<svg> elements with an img role must have an alternative text"},tabindex:{description:"Ensures tabindex attribute values are not greater than 0",help:"Elements should not have tabindex greater than zero"},"table-duplicate-name":{description:"Ensure the <caption> element does not contain the same text as the summary attribute",help:"tables should not have the same summary and caption"},"table-fake-caption":{description:"Ensure that tables with a caption use the <caption> element.",help:"Data or header cells must not be used to give caption to a data table."},"td-has-header":{description:"Ensure that each non-empty data cell in a <table> larger than 3 by 3  has one or more table headers",help:"Non-empty <td> elements in larger <table> must have an associated table header"},"td-headers-attr":{description:"Ensure that each cell in a table that uses the headers attribute refers only to other cells in that table",help:"Table cells that use the headers attribute must only refer to cells in the same table"},"th-has-data-cells":{description:"Ensure that <th> elements and elements with role=columnheader/rowheader have data cells they describe",help:"Table headers in a data table must refer to data cells"},"valid-lang":{description:"Ensures lang attributes have valid values",help:"lang attribute must have a valid value"},"video-caption":{description:"Ensures <video> elements have captions",help:"<video> elements must have captions"}},checks:{abstractrole:{impact:"serious",messages:{pass:"Abstract roles are not used",fail:{singular:"Abstract role cannot be directly used: ${data.values}",plural:"Abstract roles cannot be directly used: ${data.values}"}}},"aria-allowed-attr":{impact:"critical",messages:{pass:"ARIA attributes are used correctly for the defined role",fail:{singular:"ARIA attribute is not allowed: ${data.values}",plural:"ARIA attributes are not allowed: ${data.values}"},incomplete:"Check that there is no problem if the ARIA attribute is ignored on this element: ${data.values}"}},"aria-allowed-role":{impact:"minor",messages:{pass:"ARIA role is allowed for given element",fail:{singular:"ARIA role ${data.values} is not allowed for given element",plural:"ARIA roles ${data.values} are not allowed for given element"},incomplete:{singular:"ARIA role ${data.values} must be removed when the element is made visible, as it is not allowed for the element",plural:"ARIA roles ${data.values} must be removed when the element is made visible, as they are not allowed for the element"}}},"aria-errormessage":{impact:"critical",messages:{pass:"aria-errormessage exists and references elements visible to screen readers that use a supported aria-errormessage technique",fail:{singular:"aria-errormessage value `${data.values}` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)",plural:"aria-errormessage values `${data.values}` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)",hidden:"aria-errormessage value `${data.values}` cannot reference a hidden element"},incomplete:{singular:"ensure aria-errormessage value `${data.values}` references an existing element",plural:"ensure aria-errormessage values `${data.values}` reference existing elements",idrefs:"unable to determine if aria-errormessage element exists on the page: ${data.values}"}}},"aria-hidden-body":{impact:"critical",messages:{pass:"No aria-hidden attribute is present on document body",fail:"aria-hidden=true should not be present on the document body"}},"aria-level":{impact:"serious",messages:{pass:"aria-level values are valid",incomplete:"aria-level values greater than 6 are not supported in all screenreader and browser combinations"}},"aria-prohibited-attr":{impact:"serious",messages:{pass:"ARIA attribute is allowed",fail:{hasRolePlural:\'${data.prohibited} attributes cannot be used with role "${data.role}".\',hasRoleSingular:\'${data.prohibited} attribute cannot be used with role "${data.role}".\',noRolePlural:"${data.prohibited} attributes cannot be used on a ${data.nodeName} with no valid role attribute.",noRoleSingular:"${data.prohibited} attribute cannot be used on a ${data.nodeName} with no valid role attribute."},incomplete:{hasRoleSingular:\'${data.prohibited} attribute is not well supported with role "${data.role}".\',hasRolePlural:\'${data.prohibited} attributes are not well supported with role "${data.role}".\',noRoleSingular:"${data.prohibited} attribute is not well supported on a ${data.nodeName} with no valid role attribute.",noRolePlural:"${data.prohibited} attributes are not well supported on a ${data.nodeName} with no valid role attribute."}}},"aria-required-attr":{impact:"critical",messages:{pass:"All required ARIA attributes are present",fail:{singular:"Required ARIA attribute not present: ${data.values}",plural:"Required ARIA attributes not present: ${data.values}"}}},"aria-required-children":{impact:"critical",messages:{pass:"Required ARIA children are present",fail:{singular:"Required ARIA child role not present: ${data.values}",plural:"Required ARIA children role not present: ${data.values}"},incomplete:{singular:"Expecting ARIA child role to be added: ${data.values}",plural:"Expecting ARIA children role to be added: ${data.values}"}}},"aria-required-parent":{impact:"critical",messages:{pass:"Required ARIA parent role present",fail:{singular:"Required ARIA parent role not present: ${data.values}",plural:"Required ARIA parents role not present: ${data.values}"}}},"aria-roledescription":{impact:"serious",messages:{pass:"aria-roledescription used on a supported semantic role",incomplete:"Check that the aria-roledescription is announced by supported screen readers",fail:"Give the element a role that supports aria-roledescription"}},"aria-unsupported-attr":{impact:"critical",messages:{pass:"ARIA attribute is supported",fail:"ARIA attribute is not widely supported in screen readers and assistive technologies: ${data.values}"}},"aria-valid-attr-value":{impact:"critical",messages:{pass:"ARIA attribute values are valid",fail:{singular:"Invalid ARIA attribute value: ${data.values}",plural:"Invalid ARIA attribute values: ${data.values}"},incomplete:{noId:"ARIA attribute element ID does not exist on the page: ${data.needsReview}",ariaCurrent:\'ARIA attribute value is invalid and will be treated as "aria-current=true": ${data.needsReview}\',idrefs:"Unable to determine if ARIA attribute element ID exists on the page: ${data.needsReview}"}}},"aria-valid-attr":{impact:"critical",messages:{pass:"ARIA attribute name is valid",fail:{singular:"Invalid ARIA attribute name: ${data.values}",plural:"Invalid ARIA attribute names: ${data.values}"}}},deprecatedrole:{impact:"minor",messages:{pass:"ARIA role is not deprecated",fail:"The role used is deprecated: ${data.values}"}},fallbackrole:{impact:"serious",messages:{pass:"Only one role value used",fail:"Use only one role value, since fallback roles are not supported in older browsers",incomplete:"Use only role \'presentation\' or \'none\' since they are synonymous."}},"has-global-aria-attribute":{impact:"minor",messages:{pass:{singular:"Element has global ARIA attribute: ${data.values}",plural:"Element has global ARIA attributes: ${data.values}"},fail:"Element does not have global ARIA attribute"}},"has-widget-role":{impact:"minor",messages:{pass:"Element has a widget role.",fail:"Element does not have a widget role."}},invalidrole:{impact:"critical",messages:{pass:"ARIA role is valid",fail:{singular:"Role must be one of the valid ARIA roles: ${data.values}",plural:"Roles must be one of the valid ARIA roles: ${data.values}"}}},"is-element-focusable":{impact:"minor",messages:{pass:"Element is focusable.",fail:"Element is not focusable."}},"no-implicit-explicit-label":{impact:"moderate",messages:{pass:"There is no mismatch between a <label> and accessible name",incomplete:"Check that the <label> does not need be part of the ARIA ${data} field\'s name"}},unsupportedrole:{impact:"critical",messages:{pass:"ARIA role is supported",fail:"The role used is not widely supported in screen readers and assistive technologies: ${data.values}"}},"valid-scrollable-semantics":{impact:"minor",messages:{pass:"Element has valid semantics for an element in the focus order.",fail:"Element has invalid semantics for an element in the focus order."}},"color-contrast-enhanced":{impact:"serious",messages:{pass:"Element has sufficient color contrast of ${data.contrastRatio}",fail:{default:"Element has insufficient color contrast of ${data.contrastRatio} (foreground color: ${data.fgColor}, background color: ${data.bgColor}, font size: ${data.fontSize}, font weight: ${data.fontWeight}). Expected contrast ratio of ${data.expectedContrastRatio}",fgOnShadowColor:"Element has insufficient color contrast of ${data.contrastRatio} between the foreground and shadow color (foreground color: ${data.fgColor}, text-shadow color: ${data.shadowColor}, font size: ${data.fontSize}, font weight: ${data.fontWeight}). Expected contrast ratio of ${data.expectedContrastRatio}",shadowOnBgColor:"Element has insufficient color contrast of ${data.contrastRatio} between the shadow color and background color (text-shadow color: ${data.shadowColor}, background color: ${data.bgColor}, font size: ${data.fontSize}, font weight: ${data.fontWeight}). Expected contrast ratio of ${data.expectedContrastRatio}"},incomplete:{default:"Unable to determine contrast ratio",bgImage:"Element\'s background color could not be determined due to a background image",bgGradient:"Element\'s background color could not be determined due to a background gradient",imgNode:"Element\'s background color could not be determined because element contains an image node",bgOverlap:"Element\'s background color could not be determined because it is overlapped by another element",fgAlpha:"Element\'s foreground color could not be determined because of alpha transparency",elmPartiallyObscured:"Element\'s background color could not be determined because it\'s partially obscured by another element",elmPartiallyObscuring:"Element\'s background color could not be determined because it partially overlaps other elements",outsideViewport:"Element\'s background color could not be determined because it\'s outside the viewport",equalRatio:"Element has a 1:1 contrast ratio with the background",shortTextContent:"Element content is too short to determine if it is actual text content",nonBmp:"Element content contains only non-text characters",pseudoContent:"Element\'s background color could not be determined due to a pseudo element"}}},"color-contrast":{impact:"serious",messages:{pass:"Element has sufficient color contrast of ${data.contrastRatio}",fail:{default:"Element has insufficient color contrast of ${data.contrastRatio} (foreground color: ${data.fgColor}, background color: ${data.bgColor}, font size: ${data.fontSize}, font weight: ${data.fontWeight}). Expected contrast ratio of ${data.expectedContrastRatio}",fgOnShadowColor:"Element has insufficient color contrast of ${data.contrastRatio} between the foreground and shadow color (foreground color: ${data.fgColor}, text-shadow color: ${data.shadowColor}, font size: ${data.fontSize}, font weight: ${data.fontWeight}). Expected contrast ratio of ${data.expectedContrastRatio}",shadowOnBgColor:"Element has insufficient color contrast of ${data.contrastRatio} between the shadow color and background color (text-shadow color: ${data.shadowColor}, background color: ${data.bgColor}, font size: ${data.fontSize}, font weight: ${data.fontWeight}). Expected contrast ratio of ${data.expectedContrastRatio}"},incomplete:{default:"Unable to determine contrast ratio",bgImage:"Element\'s background color could not be determined due to a background image",bgGradient:"Element\'s background color could not be determined due to a background gradient",imgNode:"Element\'s background color could not be determined because element contains an image node",bgOverlap:"Element\'s background color could not be determined because it is overlapped by another element",fgAlpha:"Element\'s foreground color could not be determined because of alpha transparency",elmPartiallyObscured:"Element\'s background color could not be determined because it\'s partially obscured by another element",elmPartiallyObscuring:"Element\'s background color could not be determined because it partially overlaps other elements",outsideViewport:"Element\'s background color could not be determined because it\'s outside the viewport",equalRatio:"Element has a 1:1 contrast ratio with the background",shortTextContent:"Element content is too short to determine if it is actual text content",nonBmp:"Element content contains only non-text characters",pseudoContent:"Element\'s background color could not be determined due to a pseudo element"}}},"link-in-text-block":{impact:"serious",messages:{pass:"Links can be distinguished from surrounding text in some way other than by color",fail:"Links need to be distinguished from surrounding text in some way other than by color",incomplete:{default:"Unable to determine contrast ratio",bgContrast:"Element\'s contrast ratio could not be determined. Check for a distinct hover/focus style",bgImage:"Element\'s contrast ratio could not be determined due to a background image",bgGradient:"Element\'s contrast ratio could not be determined due to a background gradient",imgNode:"Element\'s contrast ratio could not be determined because element contains an image node",bgOverlap:"Element\'s contrast ratio could not be determined because of element overlap"}}},"autocomplete-appropriate":{impact:"serious",messages:{pass:"the autocomplete value is on an appropriate element",fail:"the autocomplete value is inappropriate for this type of input"}},"autocomplete-valid":{impact:"serious",messages:{pass:"the autocomplete attribute is correctly formatted",fail:"the autocomplete attribute is incorrectly formatted"}},accesskeys:{impact:"serious",messages:{pass:"Accesskey attribute value is unique",fail:"Document has multiple elements with the same accesskey"}},"focusable-content":{impact:"moderate",messages:{pass:"Element contains focusable elements",fail:"Element should have focusable content"}},"focusable-disabled":{impact:"serious",messages:{pass:"No focusable elements contained within element",fail:"Focusable content should be disabled or be removed from the DOM"}},"focusable-element":{impact:"moderate",messages:{pass:"Element is focusable",fail:"Element should be focusable"}},"focusable-modal-open":{impact:"serious",messages:{pass:"No focusable elements while a modal is open",incomplete:"Check that focusable elements are not tabbable in the current state"}},"focusable-no-name":{impact:"serious",messages:{pass:"Element is not in tab order or has accessible text",fail:"Element is in tab order and does not have accessible text",incomplete:"Unable to determine if element has an accessible name"}},"focusable-not-tabbable":{impact:"serious",messages:{pass:"No focusable elements contained within element",fail:"Focusable content should have tabindex=\'-1\' or be removed from the DOM"}},"frame-focusable-content":{impact:"serious",messages:{pass:"Element does not have focusable descendants",fail:"Element has focusable descendants",incomplete:"Could not determine if element has descendants"}},"landmark-is-top-level":{impact:"moderate",messages:{pass:"The ${data.role} landmark is at the top level.",fail:"The ${data.role} landmark is contained in another landmark."}},"no-focusable-content":{impact:"serious",messages:{pass:"Element does not have focusable descendants",fail:{default:"Element has focusable descendants",notHidden:"Using a negative tabindex on an element inside an interactive control does not prevent assistive technologies from focusing the element (even with \'aria-hidden=true\')"},incomplete:"Could not determine if element has descendants"}},"page-has-heading-one":{impact:"moderate",messages:{pass:"Page has at least one level-one heading",fail:"Page must have a level-one heading"}},"page-has-main":{impact:"moderate",messages:{pass:"Document has at least one main landmark",fail:"Document does not have a main landmark"}},"page-no-duplicate-banner":{impact:"moderate",messages:{pass:"Document does not have more than one banner landmark",fail:"Document has more than one banner landmark"}},"page-no-duplicate-contentinfo":{impact:"moderate",messages:{pass:"Document does not have more than one contentinfo landmark",fail:"Document has more than one contentinfo landmark"}},"page-no-duplicate-main":{impact:"moderate",messages:{pass:"Document does not have more than one main landmark",fail:"Document has more than one main landmark"}},tabindex:{impact:"serious",messages:{pass:"Element does not have a tabindex greater than 0",fail:"Element has a tabindex greater than 0"}},"alt-space-value":{impact:"critical",messages:{pass:"Element has a valid alt attribute value",fail:"Element has an alt attribute containing only a space character, which is not ignored by all screen readers"}},"duplicate-img-label":{impact:"minor",messages:{pass:"Element does not duplicate existing text in <img> alt text",fail:"Element contains <img> element with alt text that duplicates existing text"}},"explicit-label":{impact:"critical",messages:{pass:"Form element has an explicit <label>",fail:"Form element does not have an explicit <label>",incomplete:"Unable to determine if form element has an explicit <label>"}},"help-same-as-label":{impact:"minor",messages:{pass:"Help text (title or aria-describedby) does not duplicate label text",fail:"Help text (title or aria-describedby) text is the same as the label text"}},"hidden-explicit-label":{impact:"critical",messages:{pass:"Form element has a visible explicit <label>",fail:"Form element has explicit <label> that is hidden",incomplete:"Unable to determine if form element has explicit <label> that is hidden"}},"implicit-label":{impact:"critical",messages:{pass:"Form element has an implicit (wrapped) <label>",fail:"Form element does not have an implicit (wrapped) <label>",incomplete:"Unable to determine if form element has an implicit (wrapped} <label>"}},"label-content-name-mismatch":{impact:"serious",messages:{pass:"Element contains visible text as part of it\'s accessible name",fail:"Text inside the element is not included in the accessible name"}},"multiple-label":{impact:"moderate",messages:{pass:"Form field does not have multiple label elements",incomplete:"Multiple label elements is not widely supported in assistive technologies. Ensure the first label contains all necessary information."}},"title-only":{impact:"serious",messages:{pass:"Form element does not solely use title attribute for its label",fail:"Only title used to generate label for form element"}},"landmark-is-unique":{impact:"moderate",messages:{pass:"Landmarks must have a unique role or role/label/title (i.e. accessible name) combination",fail:"The landmark must have a unique aria-label, aria-labelledby, or title to make landmarks distinguishable"}},"has-lang":{impact:"serious",messages:{pass:"The <html> element has a lang attribute",fail:{noXHTML:"The xml:lang attribute is not valid on HTML pages, use the lang attribute.",noLang:"The <html> element does not have a lang attribute"}}},"valid-lang":{impact:"serious",messages:{pass:"Value of lang attribute is included in the list of valid languages",fail:"Value of lang attribute not included in the list of valid languages"}},"xml-lang-mismatch":{impact:"moderate",messages:{pass:"Lang and xml:lang attributes have the same base language",fail:"Lang and xml:lang attributes do not have the same base language"}},dlitem:{impact:"serious",messages:{pass:"Description list item has a <dl> parent element",fail:"Description list item does not have a <dl> parent element"}},listitem:{impact:"serious",messages:{pass:\'List item has a <ul>, <ol> or role="list" parent element\',fail:{default:"List item does not have a <ul>, <ol> parent element",roleNotValid:\'List item does not have a <ul>, <ol> parent element without a role, or a role="list"\'}}},"only-dlitems":{impact:"serious",messages:{pass:"List element only has direct children that are allowed inside <dt> or <dd> elements",fail:"List element has direct children that are not allowed inside <dt> or <dd> elements"}},"only-listitems":{impact:"serious",messages:{pass:"List element only has direct children that are allowed inside <li> elements",fail:{default:"List element has direct children that are not allowed inside <li> elements",roleNotValid:"List element has direct children with a role that is not allowed: ${data.roles}"}}},"structured-dlitems":{impact:"serious",messages:{pass:"When not empty, element has both <dt> and <dd> elements",fail:"When not empty, element does not have at least one <dt> element followed by at least one <dd> element"}},caption:{impact:"critical",messages:{pass:"The multimedia element has a captions track",incomplete:"Check that captions is available for the element"}},"frame-tested":{impact:"critical",messages:{pass:"The iframe was tested with axe-core",fail:"The iframe could not be tested with axe-core",incomplete:"The iframe still has to be tested with axe-core"}},"no-autoplay-audio":{impact:"moderate",messages:{pass:"<video> or <audio> does not output audio for more than allowed duration or has controls mechanism",fail:"<video> or <audio> outputs audio for more than allowed duration and does not have a controls mechanism",incomplete:"Check that the <video> or <audio> does not output audio for more than allowed duration or provides a controls mechanism"}},"css-orientation-lock":{impact:"serious",messages:{pass:"Display is operable, and orientation lock does not exist",fail:"CSS Orientation lock is applied, and makes display inoperable",incomplete:"CSS Orientation lock cannot be determined"}},"meta-viewport-large":{impact:"minor",messages:{pass:"<meta> tag does not prevent significant zooming on mobile devices",fail:"<meta> tag limits zooming on mobile devices"}},"meta-viewport":{impact:"critical",messages:{pass:"<meta> tag does not disable zooming on mobile devices",fail:"${data} on <meta> tag disables zooming on mobile devices"}},"header-present":{impact:"serious",messages:{pass:"Page has a heading",fail:"Page does not have a heading"}},"heading-order":{impact:"moderate",messages:{pass:"Heading order valid",fail:"Heading order invalid",incomplete:"Unable to determine previous heading"}},"identical-links-same-purpose":{impact:"minor",messages:{pass:"There are no other links with the same name, that go to a different URL",incomplete:"Check that links have the same purpose, or are intentionally ambiguous."}},"internal-link-present":{impact:"serious",messages:{pass:"Valid skip link found",fail:"No valid skip link found"}},landmark:{impact:"serious",messages:{pass:"Page has a landmark region",fail:"Page does not have a landmark region"}},"meta-refresh":{impact:"critical",messages:{pass:"<meta> tag does not immediately refresh the page",fail:"<meta> tag forces timed refresh of page"}},"p-as-heading":{impact:"serious",messages:{pass:"<p> elements are not styled as headings",fail:"Heading elements should be used instead of styled <p> elements",incomplete:"Unable to determine if <p> elements are styled as headings"}},region:{impact:"moderate",messages:{pass:"All page content is contained by landmarks",fail:"Some page content is not contained by landmarks"}},"skip-link":{impact:"moderate",messages:{pass:"Skip link target exists",incomplete:"Skip link target should become visible on activation",fail:"No skip link target"}},"unique-frame-title":{impact:"serious",messages:{pass:"Element\'s title attribute is unique",fail:"Element\'s title attribute is not unique"}},"duplicate-id-active":{impact:"serious",messages:{pass:"Document has no active elements that share the same id attribute",fail:"Document has active elements with the same id attribute: ${data}"}},"duplicate-id-aria":{impact:"critical",messages:{pass:"Document has no elements referenced with ARIA or labels that share the same id attribute",fail:"Document has multiple elements referenced with ARIA with the same id attribute: ${data}"}},"duplicate-id":{impact:"minor",messages:{pass:"Document has no static elements that share the same id attribute",fail:"Document has multiple static elements with the same id attribute: ${data}"}},"aria-label":{impact:"serious",messages:{pass:"aria-label attribute exists and is not empty",fail:"aria-label attribute does not exist or is empty"}},"aria-labelledby":{impact:"serious",messages:{pass:"aria-labelledby attribute exists and references elements that are visible to screen readers",fail:"aria-labelledby attribute does not exist, references elements that do not exist or references elements that are empty",incomplete:"ensure aria-labelledby references an existing element"}},"avoid-inline-spacing":{impact:"serious",messages:{pass:"No inline styles with \'!important\' that affect text spacing has been specified",fail:{singular:"Remove \'!important\' from inline style ${data.values}, as overriding this is not supported by most browsers",plural:"Remove \'!important\' from inline styles ${data.values}, as overriding this is not supported by most browsers"}}},"button-has-visible-text":{impact:"critical",messages:{pass:"Element has inner text that is visible to screen readers",fail:"Element does not have inner text that is visible to screen readers",incomplete:"Unable to determine if element has children"}},"doc-has-title":{impact:"serious",messages:{pass:"Document has a non-empty <title> element",fail:"Document does not have a non-empty <title> element"}},exists:{impact:"minor",messages:{pass:"Element does not exist",incomplete:"Element exists"}},"has-alt":{impact:"critical",messages:{pass:"Element has an alt attribute",fail:"Element does not have an alt attribute"}},"has-visible-text":{impact:"minor",messages:{pass:"Element has text that is visible to screen readers",fail:"Element does not have text that is visible to screen readers",incomplete:"Unable to determine if element has children"}},"is-on-screen":{impact:"serious",messages:{pass:"Element is not visible",fail:"Element is visible"}},"non-empty-alt":{impact:"critical",messages:{pass:"Element has a non-empty alt attribute",fail:{noAttr:"Element has no alt attribute",emptyAttr:"Element has an empty alt attribute"}}},"non-empty-if-present":{impact:"critical",messages:{pass:{default:"Element does not have a value attribute","has-label":"Element has a non-empty value attribute"},fail:"Element has a value attribute and the value attribute is empty"}},"non-empty-placeholder":{impact:"serious",messages:{pass:"Element has a placeholder attribute",fail:{noAttr:"Element has no placeholder attribute",emptyAttr:"Element has an empty placeholder attribute"}}},"non-empty-title":{impact:"serious",messages:{pass:"Element has a title attribute",fail:{noAttr:"Element has no title attribute",emptyAttr:"Element has an empty title attribute"}}},"non-empty-value":{impact:"critical",messages:{pass:"Element has a non-empty value attribute",fail:{noAttr:"Element has no value attribute",emptyAttr:"Element has an empty value attribute"}}},"presentational-role":{impact:"minor",messages:{pass:\'Element\\\'s default semantics were overriden with role="${data.role}"\',fail:{default:\'Element\\\'s default semantics were not overridden with role="none" or role="presentation"\',globalAria:"Element\'s role is not presentational because it has a global ARIA attribute",focusable:"Element\'s role is not presentational because it is focusable",both:"Element\'s role is not presentational because it has a global ARIA attribute and is focusable"}}},"role-none":{impact:"minor",messages:{pass:\'Element\\\'s default semantics were overriden with role="none"\',fail:\'Element\\\'s default semantics were not overridden with role="none"\'}},"role-presentation":{impact:"minor",messages:{pass:\'Element\\\'s default semantics were overriden with role="presentation"\',fail:\'Element\\\'s default semantics were not overridden with role="presentation"\'}},"svg-non-empty-title":{impact:"serious",messages:{pass:"Element has a child that is a title",fail:{noTitle:"Element has no child that is a title",emptyTitle:"Element child title is empty"},incomplete:"Unable to determine element has a child that is a title"}},"caption-faked":{impact:"serious",messages:{pass:"The first row of a table is not used as a caption",fail:"The first child of the table should be a caption instead of a table cell"}},"html5-scope":{impact:"moderate",messages:{pass:"Scope attribute is only used on table header elements (<th>)",fail:"In HTML 5, scope attributes may only be used on table header elements (<th>)"}},"same-caption-summary":{impact:"minor",messages:{pass:"Content of summary attribute and <caption> are not duplicated",fail:"Content of summary attribute and <caption> element are identical"}},"scope-value":{impact:"critical",messages:{pass:"Scope attribute is used correctly",fail:"The value of the scope attribute may only be \'row\' or \'col\'"}},"td-has-header":{impact:"critical",messages:{pass:"All non-empty data cells have table headers",fail:"Some non-empty data cells do not have table headers"}},"td-headers-attr":{impact:"serious",messages:{pass:"The headers attribute is exclusively used to refer to other cells in the table",incomplete:"The headers attribute is empty",fail:"The headers attribute is not exclusively used to refer to other cells in the table"}},"th-has-data-cells":{impact:"serious",messages:{pass:"All table header cells refer to data cells",fail:"Not all table header cells refer to data cells",incomplete:"Table data cells are missing or empty"}},"hidden-content":{impact:"minor",messages:{pass:"All content on the page has been analyzed.",fail:"There were problems analyzing the content on this page.",incomplete:"There is hidden content on the page that was not analyzed. You will need to trigger the display of this content in order to analyze it."}}},failureSummaries:{any:{failureMessage:function(e){var t="Fix any of the following:",a=e;if(a)for(var r=-1,n=a.length-1;r<n;)t+="\\n  "+a[r+=1].split("\\n").join("\\n  ");return t}},none:{failureMessage:function(e){var t="Fix all of the following:",a=e;if(a)for(var r=-1,n=a.length-1;r<n;)t+="\\n  "+a[r+=1].split("\\n").join("\\n  ");return t}}},incompleteFallbackMessage:"axe couldn\'t tell the reason. Time to break out the element inspector!"},rules:[{id:"accesskeys",selector:"[accesskey]",excludeHidden:!1,tags:["cat.keyboard","best-practice"],all:[],any:[],none:["accesskeys"]},{id:"area-alt",selector:"map area[href]",excludeHidden:!1,tags:["cat.text-alternatives","wcag2a","wcag111","wcag244","wcag412","section508","section508.22.a","ACT"],actIds:["c487ae"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-allowed-attr",matches:"aria-allowed-attr-matches",tags:["cat.aria","wcag2a","wcag412"],actIds:["5c01ea"],all:[],any:[{options:{validTreeRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]},id:"aria-allowed-attr"}],none:["aria-unsupported-attr",{options:{elementsAllowedAriaLabel:["applet","input"]},id:"aria-prohibited-attr"}]},{id:"aria-allowed-role",excludeHidden:!1,selector:"[role]",matches:"aria-allowed-role-matches",tags:["cat.aria","best-practice"],all:[],any:[{options:{allowImplicit:!0,ignoredTags:[]},id:"aria-allowed-role"}],none:[]},{id:"aria-command-name",selector:\'[role="link"], [role="button"], [role="menuitem"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412"],actIds:["97a4e1"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-dialog-name",selector:\'[role="dialog"], [role="alertdialog"]\',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-hidden-body",selector:"body",excludeHidden:!1,matches:"is-initiator-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["aria-hidden-body"],none:[]},{id:"aria-hidden-focus",selector:\'[aria-hidden="true"]\',matches:"aria-hidden-focus-matches",excludeHidden:!1,tags:["cat.name-role-value","wcag2a","wcag412","wcag131"],actIds:["6cfa84"],all:["focusable-modal-open","focusable-disabled","focusable-not-tabbable"],any:[],none:[]},{id:"aria-input-field-name",selector:\'[role="combobox"], [role="listbox"], [role="searchbox"], [role="slider"], [role="spinbutton"], [role="textbox"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","ACT"],actIds:["e086e5"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-meter-name",selector:\'[role="meter"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag111"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-progressbar-name",selector:\'[role="progressbar"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag111"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-required-attr",selector:"[role]",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["aria-required-attr"],none:[]},{id:"aria-required-children",selector:"[role]",matches:"aria-required-children-matches",tags:["cat.aria","wcag2a","wcag131"],actIds:["ff89c9"],all:[],any:[{options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","table","tablist","tree","treegrid","rowgroup"]},id:"aria-required-children"}],none:[]},{id:"aria-required-parent",selector:"[role]",matches:"aria-required-parent-matches",tags:["cat.aria","wcag2a","wcag131"],actIds:["bc4a75","ff89c9"],all:[],any:[{options:{ownGroupRoles:["listitem","treeitem"]},id:"aria-required-parent"}],none:[]},{id:"aria-roledescription",selector:"[aria-roledescription]",tags:["cat.aria","wcag2a","wcag412"],all:[],any:[{options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]},id:"aria-roledescription"}],none:[]},{id:"aria-roles",selector:"[role]",matches:"no-empty-role-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:[],none:["fallbackrole","invalidrole","abstractrole","unsupportedrole","deprecatedrole"]},{id:"aria-text",selector:"[role=text]",tags:["cat.aria","best-practice"],all:[],any:["no-focusable-content"],none:[]},{id:"aria-toggle-field-name",selector:\'[role="checkbox"], [role="menuitemcheckbox"], [role="menuitemradio"], [role="radio"], [role="switch"], [role="option"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","ACT"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-tooltip-name",selector:\'[role="tooltip"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-treeitem-name",selector:\'[role="treeitem"]\',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-valid-attr-value",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412"],actIds:["5c01ea","c487ae"],all:[{options:[],id:"aria-valid-attr-value"},"aria-errormessage","aria-level"],any:[],none:[]},{id:"aria-valid-attr",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:[{options:[],id:"aria-valid-attr"}],none:[]},{id:"audio-caption",selector:"audio",enabled:!1,excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag121","section508","section508.22.a"],actIds:["c3232f","e7aa44"],all:[],any:[],none:["caption"]},{id:"autocomplete-valid",matches:"autocomplete-matches",tags:["cat.forms","wcag21aa","wcag135"],actIds:["73f2c2"],all:[{options:{stateTerms:["none","false","true","disabled","enabled","undefined","null"]},id:"autocomplete-valid"}],any:[],none:[]},{id:"avoid-inline-spacing",selector:"[style]",tags:["cat.structure","wcag21aa","wcag1412"],all:[{options:{cssProperties:["line-height","letter-spacing","word-spacing"]},id:"avoid-inline-spacing"}],any:[],none:[]},{id:"blink",selector:"blink",excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag222","section508","section508.22.j"],all:[],any:[],none:["is-on-screen"]},{id:"button-name",selector:"button",matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","section508.22.a","ACT"],actIds:["97a4e1","m6b1q3"],all:[],any:["button-has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"bypass",selector:"html",pageLevel:!0,matches:"bypass-matches",reviewOnFail:!0,tags:["cat.keyboard","wcag2a","wcag241","section508","section508.22.o"],all:[],any:["internal-link-present",{options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"},id:"header-present"},{options:{selector:"main, [role=main]"},id:"landmark"}],none:[]},{id:"color-contrast-enhanced",matches:"color-contrast-matches",excludeHidden:!1,enabled:!1,tags:["cat.color","wcag2aaa","wcag146"],all:[],any:[{options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:7},large:{expected:4.5}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.1},id:"color-contrast-enhanced"}],none:[]},{id:"color-contrast",matches:"color-contrast-matches",excludeHidden:!1,tags:["cat.color","wcag2aa","wcag143"],all:[],any:[{options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.2},id:"color-contrast"}],none:[]},{id:"css-orientation-lock",selector:"html",tags:["cat.structure","wcag134","wcag21aa","experimental"],actIds:["b33eff"],all:[{options:{degreeThreshold:2},id:"css-orientation-lock"}],any:[],none:[],preload:!0},{id:"definition-list",selector:"dl",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:[],none:["structured-dlitems","only-dlitems"]},{id:"dlitem",selector:"dd, dt",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:["dlitem"],none:[]},{id:"document-title",selector:"html",matches:"is-initiator-matches",tags:["cat.text-alternatives","wcag2a","wcag242","ACT"],actIds:["2779a5"],all:[],any:["doc-has-title"],none:[]},{id:"duplicate-id-active",selector:"[id]",matches:"duplicate-id-active-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],all:[],any:["duplicate-id-active"],none:[]},{id:"duplicate-id-aria",selector:"[id]",matches:"duplicate-id-aria-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],actIds:["3ea0c8"],all:[],any:["duplicate-id-aria"],none:[]},{id:"duplicate-id",selector:"[id]",matches:"duplicate-id-misc-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],all:[],any:["duplicate-id"],none:[]},{id:"empty-heading",selector:\'h1, h2, h3, h4, h5, h6, [role="heading"]\',matches:"heading-matches",tags:["cat.name-role-value","best-practice"],impact:"minor",all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"empty-table-header",selector:\'th, [role="rowheader"], [role="columnheader"]\',tags:["wcag131","cat.aria"],reviewOnFail:!0,all:[],any:["has-visible-text"],none:[]},{id:"focus-order-semantics",selector:"div, h1, h2, h3, h4, h5, h6, [role=heading], p, span",matches:"inserted-into-focus-order-matches",tags:["cat.keyboard","best-practice","experimental"],all:[],any:[{options:[],id:"has-widget-role"},{options:{roles:["tooltip"]},id:"valid-scrollable-semantics"}],none:[]},{id:"form-field-multiple-labels",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag332"],all:[],any:[],none:["multiple-label"]},{id:"frame-focusable-content",selector:"html",matches:"frame-focusable-content-matches",tags:["cat.keyboard","wcag2a","wcag211"],all:[],any:["frame-focusable-content"],none:[]},{id:"frame-tested",selector:"html, frame, iframe",tags:["cat.structure","review-item","best-practice"],all:[{options:{isViolation:!1},id:"frame-tested"}],any:[],none:[]},{id:"frame-title-unique",selector:"frame[title], iframe[title]",matches:"frame-title-has-text-matches",tags:["cat.text-alternatives","best-practice"],all:[],any:[],none:["unique-frame-title"]},{id:"frame-title",selector:"frame, iframe",tags:["cat.text-alternatives","wcag2a","wcag241","wcag412","section508","section508.22.i"],all:[],any:[{options:{attribute:"title"},id:"non-empty-title"},"aria-label","aria-labelledby","presentational-role"],none:[]},{id:"heading-order",selector:"h1, h2, h3, h4, h5, h6, [role=heading]",matches:"heading-matches",tags:["cat.semantics","best-practice"],all:[],any:["heading-order"],none:[]},{id:"hidden-content",selector:"*",excludeHidden:!1,tags:["cat.structure","experimental","review-item","best-practice"],all:[],any:["hidden-content"],none:[]},{id:"html-has-lang",selector:"html",matches:"is-initiator-matches",tags:["cat.language","wcag2a","wcag311","ACT"],actIds:["b5c3f8"],all:[],any:[{options:{attributes:["lang","xml:lang"]},id:"has-lang"}],none:[]},{id:"html-lang-valid",selector:"html[lang], html[xml\\\\:lang]",tags:["cat.language","wcag2a","wcag311","ACT"],actIds:["bf051a"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"html-xml-lang-mismatch",selector:"html[lang][xml\\\\:lang]",matches:"xml-lang-mismatch-matches",tags:["cat.language","wcag2a","wcag311","ACT"],actIds:["5b7ae0"],all:["xml-lang-mismatch"],any:[],none:[]},{id:"identical-links-same-purpose",selector:\'a[href], area[href], [role="link"]\',excludeHidden:!1,matches:"identical-links-same-purpose-matches",tags:["cat.semantics","wcag2aaa","wcag249"],actIds:["b20e66","fd3a94"],all:["identical-links-same-purpose"],any:[],none:[]},{id:"image-alt",selector:"img",matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],actIds:["23a2a8"],all:[],any:["has-alt","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["alt-space-value"]},{id:"image-redundant-alt",selector:"img",tags:["cat.text-alternatives","best-practice"],all:[],any:[],none:[{options:{parentSelector:"button, [role=button], a[href], p, li, td, th"},id:"duplicate-img-label"}]},{id:"input-button-name",selector:\'input[type="button"], input[type="submit"], input[type="reset"]\',matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","section508.22.a"],all:[],any:["non-empty-if-present",{options:{attribute:"value"},id:"non-empty-value"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"input-image-alt",selector:\'input[type="image"]\',matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],actIds:["59796f"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"label-content-name-mismatch",matches:"label-content-name-mismatch-matches",tags:["cat.semantics","wcag21a","wcag253","experimental"],actIds:["2ee8b8"],all:[],any:[{options:{pixelThreshold:.1,occuranceThreshold:3},id:"label-content-name-mismatch"}],none:[]},{id:"label-title-only",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","best-practice"],all:[],any:[],none:["title-only"]},{id:"label",selector:"input, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag412","wcag131","section508","section508.22.n","ACT"],actIds:["e086e5","307n5z"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},{options:{attribute:"placeholder"},id:"non-empty-placeholder"},"presentational-role"],none:["help-same-as-label","hidden-explicit-label"]},{id:"landmark-banner-is-top-level",selector:"header:not([role]), [role=banner]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-complementary-is-top-level",selector:"aside:not([role]), [role=complementary]",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-contentinfo-is-top-level",selector:"footer:not([role]), [role=contentinfo]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-main-is-top-level",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-no-duplicate-banner",selector:"header:not([role]), [role=banner]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"header:not([role]), [role=banner]",nativeScopeFilter:"article, aside, main, nav, section"},id:"page-no-duplicate-banner"}],none:[]},{id:"landmark-no-duplicate-contentinfo",selector:"footer:not([role]), [role=contentinfo]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"footer:not([role]), [role=contentinfo]",nativeScopeFilter:"article, aside, main, nav, section"},id:"page-no-duplicate-contentinfo"}],none:[]},{id:"landmark-no-duplicate-main",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"main:not([role]), [role=\'main\']"},id:"page-no-duplicate-main"}],none:[]},{id:"landmark-one-main",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"main:not([role]), [role=\'main\']"},id:"page-has-main"}],any:[],none:[]},{id:"landmark-unique",selector:"[role=banner], [role=complementary], [role=contentinfo], [role=main], [role=navigation], [role=region], [role=search], [role=form], form, footer, header, aside, main, nav, section",tags:["cat.semantics","best-practice"],matches:"landmark-unique-matches",all:[],any:["landmark-is-unique"],none:[]},{id:"link-in-text-block",selector:"a[href], [role=link]",matches:"link-in-text-block-matches",excludeHidden:!1,tags:["cat.color","experimental","wcag2a","wcag141"],all:["link-in-text-block"],any:[],none:[]},{id:"link-name",selector:"a[href]",tags:["cat.name-role-value","wcag2a","wcag412","wcag244","section508","section508.22.a","ACT"],actIds:["c487ae"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["focusable-no-name"]},{id:"list",selector:"ul, ol",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:[],none:["only-listitems"]},{id:"listitem",selector:"li",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:["listitem"],none:[]},{id:"marquee",selector:"marquee",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag222"],all:[],any:[],none:["is-on-screen"]},{id:"meta-refresh",selector:\'meta[http-equiv="refresh"]\',excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag221","wcag224","wcag325"],all:[],any:["meta-refresh"],none:[]},{id:"meta-viewport-large",selector:\'meta[name="viewport"]\',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","best-practice"],all:[],any:[{options:{scaleMinimum:5,lowerBound:2},id:"meta-viewport-large"}],none:[]},{id:"meta-viewport",selector:\'meta[name="viewport"]\',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","best-practice","ACT"],actIds:["b4f0c3"],all:[],any:[{options:{scaleMinimum:2},id:"meta-viewport"}],none:[]},{id:"nested-interactive",matches:"nested-interactive-matches",tags:["cat.keyboard","wcag2a","wcag412"],actIds:["307n5z"],all:[],any:["no-focusable-content"],none:[]},{id:"no-autoplay-audio",excludeHidden:!1,selector:"audio[autoplay], video[autoplay]",matches:"no-autoplay-audio-matches",tags:["cat.time-and-media","wcag2a","wcag142","experimental"],actIds:["80f0bf"],preload:!0,all:[{options:{allowedDuration:3},id:"no-autoplay-audio"}],any:[],none:[]},{id:"object-alt",selector:"object",matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a"],actIds:["8fc3b6"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"p-as-heading",selector:"p",matches:"p-as-heading-matches",tags:["cat.semantics","wcag2a","wcag131","experimental"],all:[{options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}],passLength:1,failLength:.5},id:"p-as-heading"}],any:[],none:[]},{id:"page-has-heading-one",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]"},id:"page-has-heading-one"}],any:[],none:[]},{id:"presentation-role-conflict",matches:"has-implicit-chromium-role-matches",selector:\'[role="none"], [role="presentation"]\',tags:["cat.aria","best-practice"],all:[],any:[],none:["is-element-focusable","has-global-aria-attribute"]},{id:"region",selector:"body *",tags:["cat.keyboard","best-practice"],all:[],any:[{options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg"},id:"region"}],none:[]},{id:"role-img-alt",selector:"[role=\'img\']:not(img, area, input, object)",matches:"html-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],actIds:["23a2a8"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"scope-attr-valid",selector:"td[scope], th[scope]",tags:["cat.tables","best-practice"],all:["html5-scope",{options:{values:["row","col","rowgroup","colgroup"]},id:"scope-value"}],any:[],none:[]},{id:"scrollable-region-focusable",matches:"scrollable-region-focusable-matches",tags:["cat.keyboard","wcag2a","wcag211"],actIds:["0ssw9k"],all:[],any:["focusable-content","focusable-element"],none:[]},{id:"select-name",selector:"select",tags:["cat.forms","wcag2a","wcag412","wcag131","section508","section508.22.n","ACT"],actIds:["e086e5"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["help-same-as-label","hidden-explicit-label"]},{id:"server-side-image-map",selector:"img[ismap]",tags:["cat.text-alternatives","wcag2a","wcag211","section508","section508.22.f"],all:[],any:[],none:["exists"]},{id:"skip-link",selector:\'a[href^="#"], a[href^="/#"]\',matches:"skip-link-matches",tags:["cat.keyboard","best-practice"],all:[],any:["skip-link"],none:[]},{id:"svg-img-alt",selector:\'[role="img"], [role="graphics-symbol"], svg[role="graphics-document"]\',matches:"svg-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],actIds:["7d6734"],all:[],any:["svg-non-empty-title","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"tabindex",selector:"[tabindex]",tags:["cat.keyboard","best-practice"],all:[],any:["tabindex"],none:[]},{id:"table-duplicate-name",selector:"table",tags:["cat.tables","best-practice"],all:[],any:[],none:["same-caption-summary"]},{id:"table-fake-caption",selector:"table",matches:"data-table-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g"],all:["caption-faked"],any:[],none:[]},{id:"td-has-header",selector:"table",matches:"data-table-large-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g"],all:["td-has-header"],any:[],none:[]},{id:"td-headers-attr",selector:"table",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g"],actIds:["a25f45"],all:["td-headers-attr"],any:[],none:[]},{id:"th-has-data-cells",selector:"table",matches:"data-table-matches",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g"],actIds:["d0f69e"],all:["th-has-data-cells"],any:[],none:[]},{id:"valid-lang",selector:"[lang], [xml\\\\:lang]",matches:"not-html-matches",tags:["cat.language","wcag2aa","wcag312"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"video-caption",selector:"video",excludeHidden:!1,tags:["cat.text-alternatives","wcag2a","wcag122","section508","section508.22.a"],actIds:["eac66b"],all:[],any:[],none:["caption"]}],checks:[{id:"abstractrole",evaluate:"abstractrole-evaluate"},{id:"aria-allowed-attr",evaluate:"aria-allowed-attr-evaluate",options:{validTreeRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]}},{id:"aria-allowed-role",evaluate:"aria-allowed-role-evaluate",options:{allowImplicit:!0,ignoredTags:[]}},{id:"aria-errormessage",evaluate:"aria-errormessage-evaluate"},{id:"aria-hidden-body",evaluate:"aria-hidden-body-evaluate"},{id:"aria-level",evaluate:"aria-level-evaluate"},{id:"aria-prohibited-attr",evaluate:"aria-prohibited-attr-evaluate",options:{elementsAllowedAriaLabel:["applet","input"]}},{id:"aria-required-attr",evaluate:"aria-required-attr-evaluate"},{id:"aria-required-children",evaluate:"aria-required-children-evaluate",options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","table","tablist","tree","treegrid","rowgroup"]}},{id:"aria-required-parent",evaluate:"aria-required-parent-evaluate",options:{ownGroupRoles:["listitem","treeitem"]}},{id:"aria-roledescription",evaluate:"aria-roledescription-evaluate",options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]}},{id:"aria-unsupported-attr",evaluate:"aria-unsupported-attr-evaluate"},{id:"aria-valid-attr-value",evaluate:"aria-valid-attr-value-evaluate",options:[]},{id:"aria-valid-attr",evaluate:"aria-valid-attr-evaluate",options:[]},{id:"deprecatedrole",evaluate:"deprecatedrole-evaluate"},{id:"fallbackrole",evaluate:"fallbackrole-evaluate"},{id:"has-global-aria-attribute",evaluate:"has-global-aria-attribute-evaluate"},{id:"has-widget-role",evaluate:"has-widget-role-evaluate",options:[]},{id:"invalidrole",evaluate:"invalidrole-evaluate"},{id:"is-element-focusable",evaluate:"is-element-focusable-evaluate"},{id:"no-implicit-explicit-label",evaluate:"no-implicit-explicit-label-evaluate"},{id:"unsupportedrole",evaluate:"unsupportedrole-evaluate"},{id:"valid-scrollable-semantics",evaluate:"valid-scrollable-semantics-evaluate",options:{roles:["tooltip"]}},{id:"color-contrast-enhanced",evaluate:"color-contrast-evaluate",options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:7},large:{expected:4.5}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.1}},{id:"color-contrast",evaluate:"color-contrast-evaluate",options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.2}},{id:"link-in-text-block",evaluate:"link-in-text-block-evaluate"},{id:"autocomplete-appropriate",evaluate:"autocomplete-appropriate-evaluate",deprecated:!0},{id:"autocomplete-valid",evaluate:"autocomplete-valid-evaluate",options:{stateTerms:["none","false","true","disabled","enabled","undefined","null"]}},{id:"accesskeys",evaluate:"accesskeys-evaluate",after:"accesskeys-after"},{id:"focusable-content",evaluate:"focusable-content-evaluate"},{id:"focusable-disabled",evaluate:"focusable-disabled-evaluate"},{id:"focusable-element",evaluate:"focusable-element-evaluate"},{id:"focusable-modal-open",evaluate:"focusable-modal-open-evaluate"},{id:"focusable-no-name",evaluate:"focusable-no-name-evaluate"},{id:"focusable-not-tabbable",evaluate:"focusable-not-tabbable-evaluate"},{id:"frame-focusable-content",evaluate:"frame-focusable-content-evaluate"},{id:"landmark-is-top-level",evaluate:"landmark-is-top-level-evaluate"},{id:"no-focusable-content",evaluate:"no-focusable-content-evaluate"},{id:"page-has-heading-one",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]"}},{id:"page-has-main",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"main:not([role]), [role=\'main\']"}},{id:"page-no-duplicate-banner",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"header:not([role]), [role=banner]",nativeScopeFilter:"article, aside, main, nav, section"}},{id:"page-no-duplicate-contentinfo",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"footer:not([role]), [role=contentinfo]",nativeScopeFilter:"article, aside, main, nav, section"}},{id:"page-no-duplicate-main",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"main:not([role]), [role=\'main\']"}},{id:"tabindex",evaluate:"tabindex-evaluate"},{id:"alt-space-value",evaluate:"alt-space-value-evaluate"},{id:"duplicate-img-label",evaluate:"duplicate-img-label-evaluate",options:{parentSelector:"button, [role=button], a[href], p, li, td, th"}},{id:"explicit-label",evaluate:"explicit-evaluate"},{id:"help-same-as-label",evaluate:"help-same-as-label-evaluate",enabled:!1},{id:"hidden-explicit-label",evaluate:"hidden-explicit-label-evaluate"},{id:"implicit-label",evaluate:"implicit-evaluate"},{id:"label-content-name-mismatch",evaluate:"label-content-name-mismatch-evaluate",options:{pixelThreshold:.1,occuranceThreshold:3}},{id:"multiple-label",evaluate:"multiple-label-evaluate"},{id:"title-only",evaluate:"title-only-evaluate"},{id:"landmark-is-unique",evaluate:"landmark-is-unique-evaluate",after:"landmark-is-unique-after"},{id:"has-lang",evaluate:"has-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"valid-lang",evaluate:"valid-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"xml-lang-mismatch",evaluate:"xml-lang-mismatch-evaluate"},{id:"dlitem",evaluate:"dlitem-evaluate"},{id:"listitem",evaluate:"listitem-evaluate"},{id:"only-dlitems",evaluate:"only-dlitems-evaluate"},{id:"only-listitems",evaluate:"only-listitems-evaluate"},{id:"structured-dlitems",evaluate:"structured-dlitems-evaluate"},{id:"caption",evaluate:"caption-evaluate"},{id:"frame-tested",evaluate:"frame-tested-evaluate",after:"frame-tested-after",options:{isViolation:!1}},{id:"no-autoplay-audio",evaluate:"no-autoplay-audio-evaluate",options:{allowedDuration:3}},{id:"css-orientation-lock",evaluate:"css-orientation-lock-evaluate",options:{degreeThreshold:2}},{id:"meta-viewport-large",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:5,lowerBound:2}},{id:"meta-viewport",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:2}},{id:"header-present",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"}},{id:"heading-order",evaluate:"heading-order-evaluate",after:"heading-order-after"},{id:"identical-links-same-purpose",evaluate:"identical-links-same-purpose-evaluate",after:"identical-links-same-purpose-after"},{id:"internal-link-present",evaluate:"internal-link-present-evaluate"},{id:"landmark",evaluate:"has-descendant-evaluate",options:{selector:"main, [role=main]"}},{id:"meta-refresh",evaluate:"meta-refresh-evaluate"},{id:"p-as-heading",evaluate:"p-as-heading-evaluate",options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}],passLength:1,failLength:.5}},{id:"region",evaluate:"region-evaluate",after:"region-after",options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg"}},{id:"skip-link",evaluate:"skip-link-evaluate"},{id:"unique-frame-title",evaluate:"unique-frame-title-evaluate",after:"unique-frame-title-after"},{id:"duplicate-id-active",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"duplicate-id-aria",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"duplicate-id",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"aria-label",evaluate:"aria-label-evaluate"},{id:"aria-labelledby",evaluate:"aria-labelledby-evaluate"},{id:"avoid-inline-spacing",evaluate:"avoid-inline-spacing-evaluate",options:{cssProperties:["line-height","letter-spacing","word-spacing"]}},{id:"button-has-visible-text",evaluate:"has-text-content-evaluate"},{id:"doc-has-title",evaluate:"doc-has-title-evaluate"},{id:"exists",evaluate:"exists-evaluate"},{id:"has-alt",evaluate:"has-alt-evaluate"},{id:"has-visible-text",evaluate:"has-text-content-evaluate"},{id:"is-on-screen",evaluate:"is-on-screen-evaluate"},{id:"non-empty-alt",evaluate:"attr-non-space-content-evaluate",options:{attribute:"alt"}},{id:"non-empty-if-present",evaluate:"non-empty-if-present-evaluate"},{id:"non-empty-placeholder",evaluate:"attr-non-space-content-evaluate",options:{attribute:"placeholder"}},{id:"non-empty-title",evaluate:"attr-non-space-content-evaluate",options:{attribute:"title"}},{id:"non-empty-value",evaluate:"attr-non-space-content-evaluate",options:{attribute:"value"}},{id:"presentational-role",evaluate:"presentational-role-evaluate"},{id:"role-none",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"none"}}}},{id:"role-presentation",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"presentation"}}}},{id:"svg-non-empty-title",evaluate:"svg-non-empty-title-evaluate"},{id:"caption-faked",evaluate:"caption-faked-evaluate"},{id:"html5-scope",evaluate:"html5-scope-evaluate"},{id:"same-caption-summary",evaluate:"same-caption-summary-evaluate"},{id:"scope-value",evaluate:"scope-value-evaluate",options:{values:["row","col","rowgroup","colgroup"]}},{id:"td-has-header",evaluate:"td-has-header-evaluate"},{id:"td-headers-attr",evaluate:"td-headers-attr-evaluate"},{id:"th-has-data-cells",evaluate:"th-has-data-cells-evaluate"},{id:"hidden-content",evaluate:"hidden-content-evaluate"}]})}("object"==typeof window?window:this);',Ru=hn
;async function runA11yChecks(){const e=window.axe,t=`lighthouse-${Math.random()}`;e.configure({branding:{application:t},noHtml:!0});const r=await e.run(document,{elementRef:!0,runOnly:{type:"tag",values:["wcag2a","wcag2aa"]},resultTypes:["violations","inapplicable"],rules:{tabindex:{enabled:!0},accesskeys:{enabled:!0},"heading-order":{enabled:!0},"meta-viewport":{enabled:!0},"duplicate-id":{enabled:!1},"table-fake-caption":{enabled:!1},"td-has-header":{enabled:!1},marquee:{enabled:!1},"area-alt":{enabled:!1},"html-xml-lang-mismatch":{enabled:!1},blink:{enabled:!1},"server-side-image-map":{enabled:!1},"identical-links-same-purpose":{enabled:!1},"no-autoplay-audio":{enabled:!1},"svg-img-alt":{enabled:!1},"audio-caption":{enabled:!1},"aria-treeitem-name":{enabled:!0},"nested-interactive":{enabled:!1},"frame-focusable-content":{enabled:!1}}});return document.documentElement.scrollTop=0,{violations:r.violations.map(createAxeRuleResultArtifact),
incomplete:r.incomplete.map(createAxeRuleResultArtifact),notApplicable:r.inapplicable.map((e=>({id:e.id}))),version:r.testEngine.version}}function createAxeRuleResultArtifact(e){const t=e.nodes.map((e=>{const{target:t,failureSummary:r,element:a}=e,n=getNodeDetails(a),i=new Set,impactToNumber=e=>[null,"minor","moderate","serious","critical"].indexOf(e),o=[...e.any,...e.all,...e.none].sort(((e,t)=>impactToNumber(t.impact)-impactToNumber(e.impact)));for(const e of o)for(const t of e.relatedNodes||[]){const e=t.element;if(i.size>=3)break;e&&(a!==e&&i.add(e))}return{target:t,failureSummary:r,node:n,relatedNodes:[...i].map(getNodeDetails)}})),r=e.error;let a;return r instanceof Error&&(a={name:r.name,message:r.message}),{id:e.id,impact:e.impact||void 0,tags:e.tags,nodes:t,error:a}}var ku=class Accessibility extends _u{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(runA11yChecks,{args:[],useIsolation:!0,
deps:[Au,Ru.getNodeDetailsString,createAxeRuleResultArtifact]})}};function handlePotentialMissingNodeError(e){if(!/No node.*found/.test(e.message)&&!/Node.*does not belong to the document/.test(e.message))throw e}var Du={resolveNodeIdToObjectId:async function resolveNodeIdToObjectId$1(e,t){try{return(await e.sendCommand("DOM.resolveNode",{backendNodeId:t})).object.objectId}catch(e){return handlePotentialMissingNodeError(e)}},resolveDevtoolsNodePathToObjectId:async function resolveDevtoolsNodePathToObjectId(e,t){try{const{nodeId:r}=await e.sendCommand("DOM.pushNodeByPathToFrontend",{path:t}),{object:{objectId:a}}=await e.sendCommand("DOM.resolveNode",{nodeId:r});return a}catch(e){return handlePotentialMissingNodeError(e)}}};const Cu=eo,Iu=Du,Nu=hn;function collectAnchorElements(){const resolveURLOrEmpty=e=>{try{return new URL(e,window.location.href).href}catch(e){return""}};function getTruncatedOnclick(e){return(e.getAttribute("onclick")||"").slice(0,1024)}
return getElementsInDocument("a").map((e=>e instanceof HTMLAnchorElement?{href:e.href,rawHref:e.getAttribute("href")||"",onclick:getTruncatedOnclick(e),role:e.getAttribute("role")||"",name:e.name,text:e.innerText,rel:e.rel,target:e.target,node:getNodeDetails(e)}:{href:resolveURLOrEmpty(e.href.baseVal),rawHref:e.getAttribute("href")||"",onclick:getTruncatedOnclick(e),role:e.getAttribute("role")||"",text:e.textContent||"",rel:"",target:e.target.baseVal||"",node:getNodeDetails(e)}))}var Lu=class AnchorElements extends Cu{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const t=e.driver.defaultSession,r=await e.driver.executionContext.evaluate(collectAnchorElements,{args:[],useIsolation:!0,deps:[Nu.getElementsInDocumentString,Nu.getNodeDetailsString]});await t.sendCommand("DOM.enable"),await t.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});const a=r.map((async e=>{const r=await async function getEventListeners(e,t){
const r=await Iu.resolveDevtoolsNodePathToObjectId(e,t);return r?(await e.sendCommand("DOMDebugger.getEventListeners",{objectId:r})).listeners.map((({type:e})=>({type:e}))):[]}(t,e.node.devtoolsNodePath);return{...e,listeners:r}})),n=await Promise.all(a);return await t.sendCommand("DOM.disable"),n}};const Mu=eo;function getCacheContents(){return caches.keys().then((e=>Promise.all(e.map((e=>caches.open(e)))))).then((e=>{const t=[];return Promise.all(e.map((e=>e.keys().then((e=>{t.push(...e.map((e=>e.url)))}))))).then((e=>t))}))}var Pu=class CacheContents extends Mu{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const t=e.driver;return await t.executionContext.evaluate(getCacheContents,{args:[]})}};const Ou=eo;function remoteObjectToString(e){if(void 0!==e.value||"undefined"===e.type)return String(e.value);if("string"==typeof e.description&&e.description!==e.className)return e.description;return`[${e.subtype||e.type} ${e.className||"Object"}]`}
var Fu=class ConsoleMessages extends Ou{meta={supportedModes:["timespan","navigation"]};constructor(){super(),this._logEntries=[],this._onConsoleAPICalled=this.onConsoleAPICalled.bind(this),this._onExceptionThrown=this.onExceptionThrown.bind(this),this._onLogEntryAdded=this.onLogEntry.bind(this)}onConsoleAPICalled(e){const{type:t}=e;if("warning"!==t&&"error"!==t)return;const r=(e.args||[]).map(remoteObjectToString).join(" ");if(!r&&!e.stackTrace)return;const{url:a,lineNumber:n,columnNumber:i}=e.stackTrace?.callFrames[0]||{},o={eventType:"consoleAPI",source:"warning"===t?"console.warn":"console.error",level:t,text:r,stackTrace:e.stackTrace,timestamp:e.timestamp,url:a,lineNumber:n,columnNumber:i};this._logEntries.push(o)}onExceptionThrown(e){const t=e.exceptionDetails.exception?e.exceptionDetails.exception.description:e.exceptionDetails.text;if(!t)return;const r={eventType:"exception",source:"exception",level:"error",text:t,stackTrace:e.exceptionDetails.stackTrace,timestamp:e.timestamp,
url:e.exceptionDetails.url,lineNumber:e.exceptionDetails.lineNumber,columnNumber:e.exceptionDetails.columnNumber};this._logEntries.push(r)}onLogEntry(e){const{source:t,level:r,text:a,stackTrace:n,timestamp:i,url:o,lineNumber:s}=e.entry,{columnNumber:c}=e.entry.stackTrace?.callFrames[0]||{};this._logEntries.push({eventType:"protocolLog",source:t,level:r,text:a,stackTrace:n,timestamp:i,url:o,lineNumber:s,columnNumber:c})}async startInstrumentation(e){const t=e.driver.defaultSession;t.on("Log.entryAdded",this._onLogEntryAdded),await t.sendCommand("Log.enable"),await t.sendCommand("Log.startViolationsReport",{config:[{name:"discouragedAPIUse",threshold:-1}]}),t.on("Runtime.consoleAPICalled",this._onConsoleAPICalled),t.on("Runtime.exceptionThrown",this._onExceptionThrown),await t.sendCommand("Runtime.enable")}async stopInstrumentation({driver:e}){await e.defaultSession.sendCommand("Log.stopViolationsReport"),await e.defaultSession.off("Log.entryAdded",this._onLogEntryAdded),
await e.defaultSession.sendCommand("Log.disable"),await e.defaultSession.off("Runtime.consoleAPICalled",this._onConsoleAPICalled),await e.defaultSession.off("Runtime.exceptionThrown",this._onExceptionThrown),await e.defaultSession.sendCommand("Runtime.disable")}async getArtifact(){return this._logEntries}};const Uu=on.default,ju=eo,Bu=Jl;var $u=class CSSUsage extends ju{constructor(){super(),this._session=void 0,this._sheetPromises=new Map,this._ruleUsage=void 0,this._onStylesheetAdded=this._onStylesheetAdded.bind(this)}meta={supportedModes:["snapshot","timespan","navigation"]};async _onStylesheetAdded(e){if(!this._session)throw new Error("Session not initialized");const t=e.header.styleSheetId,r=this._session.sendCommand("CSS.getStyleSheetText",{styleSheetId:t}).then((t=>({header:e.header,content:t.text}))).catch((t=>(Uu.warn("CSSUsage",`Error fetching content of stylesheet with URL "${e.header.sourceURL}"`),Bu.captureException(t,{tags:{gatherer:this.name},extra:{
url:e.header.sourceURL},level:"error"}),t)));this._sheetPromises.set(t,r)}async startCSSUsageTracking(e){const t=e.driver.defaultSession;this._session=t,t.on("CSS.styleSheetAdded",this._onStylesheetAdded),await t.sendCommand("DOM.enable"),await t.sendCommand("CSS.enable"),await t.sendCommand("CSS.startRuleUsageTracking")}async stopCSSUsageTracking(e){const t=e.driver.defaultSession,r=await t.sendCommand("CSS.stopRuleUsageTracking");this._ruleUsage=r.ruleUsage,t.off("CSS.styleSheetAdded",this._onStylesheetAdded)}async startInstrumentation(e){"timespan"===e.gatherMode&&await this.startCSSUsageTracking(e)}async stopInstrumentation(e){"timespan"===e.gatherMode&&await this.stopCSSUsageTracking(e)}async getArtifact(e){const t=e.driver.defaultSession,r=e.driver.executionContext;"timespan"!==e.gatherMode&&(await this.startCSSUsageTracking(e),await r.evaluateAsync("getComputedStyle(document.body)"),await this.stopCSSUsageTracking(e))
;const a=new Map,n=await Promise.all(this._sheetPromises.values());for(const e of n)e instanceof Error||a.set(e.content,e);if(await t.sendCommand("CSS.disable"),await t.sendCommand("DOM.disable"),!this._ruleUsage)throw new Error("Issue collecting rule usages");return{rules:this._ruleUsage,stylesheets:Array.from(a.values())}}};const qu=Ws,zu=eo;var Vu=class DevtoolsLogCompat extends zu{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:qu.symbol}};async getArtifact(e){return{defaultPass:e.dependencies.DevtoolsLog}}};const Wu=eo;function getDoctype(){if(!document.doctype)return null;const{name:e,publicId:t,systemId:r}=document.doctype;return{name:e,publicId:t,systemId:r}}var Gu=class Doctype$1 extends Wu{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(getDoctype,{args:[],useIsolation:!0})}};const Hu=eo,Yu=hn;function getDOMStats(e=document.body,t=!0){let r=null,a=-1,n=-1,i=0,o=null
;const _calcDOMWidthAndHeight=function(e,s=1){s>a&&(r=e,a=s),e.children.length>n&&(o=e,n=e.children.length);let c=e.firstElementChild;for(;c;)_calcDOMWidthAndHeight(c,s+1),t&&c.shadowRoot&&_calcDOMWidthAndHeight(c.shadowRoot,s+1),c=c.nextElementSibling,i++;return{maxDepth:a,maxWidth:n,numElements:i}},s=_calcDOMWidthAndHeight(e);return{depth:{max:s.maxDepth,...getNodeDetails(r)},width:{max:s.maxWidth,...getNodeDetails(o)},totalBodyElements:s.numElements}}var Ku=class DOMStats extends Hu{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const t=e.driver;await t.defaultSession.sendCommand("DOM.enable");const r=await t.executionContext.evaluate(getDOMStats,{args:[],useIsolation:!0,deps:[Yu.getNodeDetailsString]});return await t.defaultSession.sendCommand("DOM.disable"),r}};const Ju=on.default,Xu=eo,Zu=ji,Qu=Ki,ed=Jl,td=Lo,rd=Ws,ad=/^image\/((x|ms|x-ms)-)?(png|bmp|jpeg)$/;class OptimizedImages extends Xu{meta={supportedModes:["timespan","navigation"],dependencies:{
DevtoolsLog:rd.symbol}};constructor(){super(),this._encodingStartAt=0}static filterImageRequests(e){const t=new Set;return e.reduce(((e,r)=>{if(t.has(r.url)||!r.finished||r.sessionId)return e;t.add(r.url);const a=r.resourceType===Qu.TYPES.Image&&ad.test(r.mimeType),n=Qu.getResourceSizeOnNetwork(r);return a&&n>4096&&e.push({requestId:r.requestId,url:r.url,mimeType:r.mimeType,resourceSize:n}),e}),[])}_getEncodedResponse(e,t,r){const a={requestId:t=Qu.getRequestIdForBackend(t),encoding:r,quality:"jpeg"===r?.92:.85,sizeOnly:!0};return e.sendCommand("Audits.getEncodedResponse",a)}async calculateImageStats(e,t){const r=t.resourceSize;if(Date.now()-this._encodingStartAt>5e3||r>2048e3)return{originalSize:r,jpegSize:void 0,webpSize:void 0};const a=await this._getEncodedResponse(e,t.requestId,"jpeg"),n=await this._getEncodedResponse(e,t.requestId,"webp");return{originalSize:r,jpegSize:a.encodedSize,webpSize:n.encodedSize}}async computeOptimizedImages(e,t){this._encodingStartAt=Date.now()
;const r=[];for(const a of t)try{const t={failed:!1,...await this.calculateImageStats(e,a),...a};r.push(t)}catch(e){Ju.warn("optimized-images",e.message),ed.captureException(e,{tags:{gatherer:"OptimizedImages"},extra:{imageUrl:Zu.elideDataURI(a.url)},level:"warning"});const t={failed:!0,errMsg:e.message,...a};r.push(t)}return r}async _getArtifact(e,t){const r=OptimizedImages.filterImageRequests(t).sort(((e,t)=>t.resourceSize-e.resourceSize)),a=await this.computeOptimizedImages(e.driver.defaultSession,r),n=a.filter((e=>!e.failed));if(a.length&&!n.length)throw new Error("All image optimizations failed");return a}async getArtifact(e){const t=e.dependencies.DevtoolsLog,r=await td.request(t,e);return this._getArtifact(e,r)}async afterPass(e,t){return this._getArtifact({...e,dependencies:{}},t.networkRecords)}}var nd=OptimizedImages;const id=eo,od=hn;function findPasswordInputsWithPreventedPaste(){
return Array.from(document.querySelectorAll('input[type="password"]')).filter((e=>!e.dispatchEvent(new ClipboardEvent("paste",{cancelable:!0})))).map((e=>({node:getNodeDetails(e)})))}var sd=class PasswordInputsWithPreventedPaste extends id{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(findPasswordInputsWithPreventedPaste,{args:[],deps:[od.getNodeDetailsString]})}},cd=getAugmentedNamespace(u),ld={2:"need dictionary",1:"stream end",0:"","-1":"file error","-2":"stream error","-3":"data error","-4":"insufficient memory","-5":"buffer error","-6":"incompatible version"};function ZStream(){this.input=null,this.next_in=0,this.avail_in=0,this.total_in=0,this.output=null,this.next_out=0,this.avail_out=0,this.total_out=0,this.msg="",this.state=null,this.data_type=2,this.adler=0}function arraySet(e,t,r,a,n){if(t.subarray&&e.subarray)e.set(t.subarray(r,r+a),n);else for(var i=0;i<a;i++)e[n+i]=t[r+i]}
var ud=Uint8Array,dd=Uint16Array,md=Int32Array;function zero$1(e){for(var t=e.length;--t>=0;)e[t]=0}var pd=256,hd=286,gd=30,fd=15,yd=[0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0],vd=[0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13],bd=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7],wd=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15],Sd=new Array(576);zero$1(Sd);var Td=new Array(60);zero$1(Td);var Ed=new Array(512);zero$1(Ed);var xd=new Array(256);zero$1(xd);var _d=new Array(29);zero$1(_d);var Ad,Rd,kd,Dd=new Array(gd);function StaticTreeDesc(e,t,r,a,n){this.static_tree=e,this.extra_bits=t,this.extra_base=r,this.elems=a,this.max_length=n,this.has_stree=e&&e.length}function TreeDesc(e,t){this.dyn_tree=e,this.max_code=0,this.stat_desc=t}function d_code(e){return e<256?Ed[e]:Ed[256+(e>>>7)]}function put_short(e,t){e.pending_buf[e.pending++]=255&t,e.pending_buf[e.pending++]=t>>>8&255}function send_bits(e,t,r){e.bi_valid>16-r?(e.bi_buf|=t<<e.bi_valid&65535,
put_short(e,e.bi_buf),e.bi_buf=t>>16-e.bi_valid,e.bi_valid+=r-16):(e.bi_buf|=t<<e.bi_valid&65535,e.bi_valid+=r)}function send_code(e,t,r){send_bits(e,r[2*t],r[2*t+1])}function bi_reverse(e,t){var r=0;do{r|=1&e,e>>>=1,r<<=1}while(--t>0);return r>>>1}function gen_codes(e,t,r){var a,n,i=new Array(16),o=0;for(a=1;a<=fd;a++)i[a]=o=o+r[a-1]<<1;for(n=0;n<=t;n++){var s=e[2*n+1];0!==s&&(e[2*n]=bi_reverse(i[s]++,s))}}function init_block(e){var t;for(t=0;t<hd;t++)e.dyn_ltree[2*t]=0;for(t=0;t<gd;t++)e.dyn_dtree[2*t]=0;for(t=0;t<19;t++)e.bl_tree[2*t]=0;e.dyn_ltree[512]=1,e.opt_len=e.static_len=0,e.last_lit=e.matches=0}function bi_windup(e){e.bi_valid>8?put_short(e,e.bi_buf):e.bi_valid>0&&(e.pending_buf[e.pending++]=e.bi_buf),e.bi_buf=0,e.bi_valid=0}function smaller(e,t,r,a){var n=2*t,i=2*r;return e[n]<e[i]||e[n]===e[i]&&a[t]<=a[r]}function pqdownheap(e,t,r){for(var a=e.heap[r],n=r<<1;n<=e.heap_len&&(n<e.heap_len&&smaller(t,e.heap[n+1],e.heap[n],e.depth)&&n++,
!smaller(t,a,e.heap[n],e.depth));)e.heap[r]=e.heap[n],r=n,n<<=1;e.heap[r]=a}function compress_block(e,t,r){var a,n,i,o,s=0;if(0!==e.last_lit)do{a=e.pending_buf[e.d_buf+2*s]<<8|e.pending_buf[e.d_buf+2*s+1],n=e.pending_buf[e.l_buf+s],s++,0===a?send_code(e,n,t):(send_code(e,(i=xd[n])+pd+1,t),0!==(o=yd[i])&&send_bits(e,n-=_d[i],o),send_code(e,i=d_code(--a),r),0!==(o=vd[i])&&send_bits(e,a-=Dd[i],o))}while(s<e.last_lit);send_code(e,256,t)}function build_tree(e,t){var r,a,n,i=t.dyn_tree,o=t.stat_desc.static_tree,s=t.stat_desc.has_stree,c=t.stat_desc.elems,l=-1;for(e.heap_len=0,e.heap_max=573,r=0;r<c;r++)0!==i[2*r]?(e.heap[++e.heap_len]=l=r,e.depth[r]=0):i[2*r+1]=0;for(;e.heap_len<2;)i[2*(n=e.heap[++e.heap_len]=l<2?++l:0)]=1,e.depth[n]=0,e.opt_len--,s&&(e.static_len-=o[2*n+1]);for(t.max_code=l,r=e.heap_len>>1;r>=1;r--)pqdownheap(e,i,r);n=c;do{r=e.heap[1],e.heap[1]=e.heap[e.heap_len--],pqdownheap(e,i,1),a=e.heap[1],e.heap[--e.heap_max]=r,e.heap[--e.heap_max]=a,i[2*n]=i[2*r]+i[2*a],
e.depth[n]=(e.depth[r]>=e.depth[a]?e.depth[r]:e.depth[a])+1,i[2*r+1]=i[2*a+1]=n,e.heap[1]=n++,pqdownheap(e,i,1)}while(e.heap_len>=2);e.heap[--e.heap_max]=e.heap[1],function gen_bitlen(e,t){var r,a,n,i,o,s,c=t.dyn_tree,l=t.max_code,u=t.stat_desc.static_tree,d=t.stat_desc.has_stree,m=t.stat_desc.extra_bits,p=t.stat_desc.extra_base,h=t.stat_desc.max_length,f=0;for(i=0;i<=fd;i++)e.bl_count[i]=0;for(c[2*e.heap[e.heap_max]+1]=0,r=e.heap_max+1;r<573;r++)(i=c[2*c[2*(a=e.heap[r])+1]+1]+1)>h&&(i=h,f++),c[2*a+1]=i,a>l||(e.bl_count[i]++,o=0,a>=p&&(o=m[a-p]),s=c[2*a],e.opt_len+=s*(i+o),d&&(e.static_len+=s*(u[2*a+1]+o)));if(0!==f){do{for(i=h-1;0===e.bl_count[i];)i--;e.bl_count[i]--,e.bl_count[i+1]+=2,e.bl_count[h]--,f-=2}while(f>0);for(i=h;0!==i;i--)for(a=e.bl_count[i];0!==a;)(n=e.heap[--r])>l||(c[2*n+1]!==i&&(e.opt_len+=(i-c[2*n+1])*c[2*n],c[2*n+1]=i),a--)}}(e,t),gen_codes(i,l,e.bl_count)}function scan_tree(e,t,r){var a,n,i=-1,o=t[1],s=0,c=7,l=4;for(0===o&&(c=138,l=3),t[2*(r+1)+1]=65535,
a=0;a<=r;a++)n=o,o=t[2*(a+1)+1],++s<c&&n===o||(s<l?e.bl_tree[2*n]+=s:0!==n?(n!==i&&e.bl_tree[2*n]++,e.bl_tree[32]++):s<=10?e.bl_tree[34]++:e.bl_tree[36]++,s=0,i=n,0===o?(c=138,l=3):n===o?(c=6,l=3):(c=7,l=4))}function send_tree(e,t,r){var a,n,i=-1,o=t[1],s=0,c=7,l=4;for(0===o&&(c=138,l=3),a=0;a<=r;a++)if(n=o,o=t[2*(a+1)+1],!(++s<c&&n===o)){if(s<l)do{send_code(e,n,e.bl_tree)}while(0!=--s);else 0!==n?(n!==i&&(send_code(e,n,e.bl_tree),s--),send_code(e,16,e.bl_tree),send_bits(e,s-3,2)):s<=10?(send_code(e,17,e.bl_tree),send_bits(e,s-3,3)):(send_code(e,18,e.bl_tree),send_bits(e,s-11,7));s=0,i=n,0===o?(c=138,l=3):n===o?(c=6,l=3):(c=7,l=4)}}zero$1(Dd);var Cd=!1;function _tr_init(e){Cd||(!function tr_static_init(){var e,t,r,a,n,i=new Array(16);for(r=0,a=0;a<28;a++)for(_d[a]=r,e=0;e<1<<yd[a];e++)xd[r++]=a;for(xd[r-1]=a,n=0,a=0;a<16;a++)for(Dd[a]=n,e=0;e<1<<vd[a];e++)Ed[n++]=a;for(n>>=7;a<gd;a++)for(Dd[a]=n<<7,e=0;e<1<<vd[a]-7;e++)Ed[256+n++]=a;for(t=0;t<=fd;t++)i[t]=0;for(e=0;e<=143;)Sd[2*e+1]=8,
e++,i[8]++;for(;e<=255;)Sd[2*e+1]=9,e++,i[9]++;for(;e<=279;)Sd[2*e+1]=7,e++,i[7]++;for(;e<=287;)Sd[2*e+1]=8,e++,i[8]++;for(gen_codes(Sd,287,i),e=0;e<gd;e++)Td[2*e+1]=5,Td[2*e]=bi_reverse(e,5);Ad=new StaticTreeDesc(Sd,yd,257,hd,fd),Rd=new StaticTreeDesc(Td,vd,0,gd,fd),kd=new StaticTreeDesc(new Array(0),bd,0,19,7)}(),Cd=!0),e.l_desc=new TreeDesc(e.dyn_ltree,Ad),e.d_desc=new TreeDesc(e.dyn_dtree,Rd),e.bl_desc=new TreeDesc(e.bl_tree,kd),e.bi_buf=0,e.bi_valid=0,init_block(e)}function _tr_stored_block(e,t,r,a){send_bits(e,0+(a?1:0),3),function copy_block(e,t,r,a){bi_windup(e),a&&(put_short(e,r),put_short(e,~r)),arraySet(e.pending_buf,e.window,t,r,e.pending),e.pending+=r}(e,t,r,!0)}function _tr_align(e){send_bits(e,2,3),send_code(e,256,Sd),function bi_flush(e){16===e.bi_valid?(put_short(e,e.bi_buf),e.bi_buf=0,e.bi_valid=0):e.bi_valid>=8&&(e.pending_buf[e.pending++]=255&e.bi_buf,e.bi_buf>>=8,e.bi_valid-=8)}(e)}function _tr_flush_block(e,t,r,a){var n,i,o=0
;e.level>0?(2===e.strm.data_type&&(e.strm.data_type=function detect_data_type(e){var t,r=4093624447;for(t=0;t<=31;t++,r>>>=1)if(1&r&&0!==e.dyn_ltree[2*t])return 0;if(0!==e.dyn_ltree[18]||0!==e.dyn_ltree[20]||0!==e.dyn_ltree[26])return 1;for(t=32;t<pd;t++)if(0!==e.dyn_ltree[2*t])return 1;return 0}(e)),build_tree(e,e.l_desc),build_tree(e,e.d_desc),o=function build_bl_tree(e){var t;for(scan_tree(e,e.dyn_ltree,e.l_desc.max_code),scan_tree(e,e.dyn_dtree,e.d_desc.max_code),build_tree(e,e.bl_desc),t=18;t>=3&&0===e.bl_tree[2*wd[t]+1];t--);return e.opt_len+=3*(t+1)+5+5+4,t}(e),n=e.opt_len+3+7>>>3,(i=e.static_len+3+7>>>3)<=n&&(n=i)):n=i=r+5,r+4<=n&&-1!==t?_tr_stored_block(e,t,r,a):4===e.strategy||i===n?(send_bits(e,2+(a?1:0),3),compress_block(e,Sd,Td)):(send_bits(e,4+(a?1:0),3),function send_all_trees(e,t,r,a){var n;for(send_bits(e,t-257,5),send_bits(e,r-1,5),send_bits(e,a-4,4),n=0;n<a;n++)send_bits(e,e.bl_tree[2*wd[n]+1],3);send_tree(e,e.dyn_ltree,t-1),send_tree(e,e.dyn_dtree,r-1)
}(e,e.l_desc.max_code+1,e.d_desc.max_code+1,o+1),compress_block(e,e.dyn_ltree,e.dyn_dtree)),init_block(e),a&&bi_windup(e)}function _tr_tally(e,t,r){return e.pending_buf[e.d_buf+2*e.last_lit]=t>>>8&255,e.pending_buf[e.d_buf+2*e.last_lit+1]=255&t,e.pending_buf[e.l_buf+e.last_lit]=255&r,e.last_lit++,0===t?e.dyn_ltree[2*r]++:(e.matches++,t--,e.dyn_ltree[2*(xd[r]+pd+1)]++,e.dyn_dtree[2*d_code(t)]++),e.last_lit===e.lit_bufsize-1}function adler32(e,t,r,a){for(var n=65535&e|0,i=e>>>16&65535|0,o=0;0!==r;){r-=o=r>2e3?2e3:r;do{i=i+(n=n+t[a++]|0)|0}while(--o);n%=65521,i%=65521}return n|i<<16|0}var Id=function makeTable(){for(var e,t=[],r=0;r<256;r++){e=r;for(var a=0;a<8;a++)e=1&e?3988292384^e>>>1:e>>>1;t[r]=e}return t}();function crc32(e,t,r,a){var n=Id,i=a+r;e^=-1;for(var o=a;o<i;o++)e=e>>>8^n[255&(e^t[o])];return-1^e}var Nd,Ld=-2,Md=258,Pd=262,Od=103,Fd=113,Ud=666;function err(e,t){return e.msg=ld[t],t}function rank(e){return(e<<1)-(e>4?9:0)}function zero(e){for(var t=e.length;--t>=0;)e[t]=0}
function flush_pending(e){var t=e.state,r=t.pending;r>e.avail_out&&(r=e.avail_out),0!==r&&(arraySet(e.output,t.pending_buf,t.pending_out,r,e.next_out),e.next_out+=r,t.pending_out+=r,e.total_out+=r,e.avail_out-=r,t.pending-=r,0===t.pending&&(t.pending_out=0))}function flush_block_only(e,t){_tr_flush_block(e,e.block_start>=0?e.block_start:-1,e.strstart-e.block_start,t),e.block_start=e.strstart,flush_pending(e.strm)}function put_byte(e,t){e.pending_buf[e.pending++]=t}function putShortMSB(e,t){e.pending_buf[e.pending++]=t>>>8&255,e.pending_buf[e.pending++]=255&t}function longest_match(e,t){var r,a,n=e.max_chain_length,i=e.strstart,o=e.prev_length,s=e.nice_match,c=e.strstart>e.w_size-Pd?e.strstart-(e.w_size-Pd):0,l=e.window,u=e.w_mask,d=e.prev,m=e.strstart+Md,p=l[i+o-1],h=l[i+o];e.prev_length>=e.good_match&&(n>>=2),s>e.lookahead&&(s=e.lookahead);do{if(l[(r=t)+o]===h&&l[r+o-1]===p&&l[r]===l[i]&&l[++r]===l[i+1]){i+=2,r++
;do{}while(l[++i]===l[++r]&&l[++i]===l[++r]&&l[++i]===l[++r]&&l[++i]===l[++r]&&l[++i]===l[++r]&&l[++i]===l[++r]&&l[++i]===l[++r]&&l[++i]===l[++r]&&i<m);if(a=Md-(m-i),i=m-Md,a>o){if(e.match_start=t,o=a,a>=s)break;p=l[i+o-1],h=l[i+o]}}}while((t=d[t&u])>c&&0!=--n);return o<=e.lookahead?o:e.lookahead}function fill_window(e){var t,r,a,n,i,o,s,c,l,u,d=e.w_size;do{if(n=e.window_size-e.lookahead-e.strstart,e.strstart>=d+(d-Pd)){arraySet(e.window,e.window,d,d,0),e.match_start-=d,e.strstart-=d,e.block_start-=d,t=r=e.hash_size;do{a=e.head[--t],e.head[t]=a>=d?a-d:0}while(--r);t=r=d;do{a=e.prev[--t],e.prev[t]=a>=d?a-d:0}while(--r);n+=d}if(0===e.strm.avail_in)break;if(o=e.strm,s=e.window,c=e.strstart+e.lookahead,l=n,u=void 0,(u=o.avail_in)>l&&(u=l),r=0===u?0:(o.avail_in-=u,arraySet(s,o.input,o.next_in,u,c),1===o.state.wrap?o.adler=adler32(o.adler,s,u,c):2===o.state.wrap&&(o.adler=crc32(o.adler,s,u,c)),o.next_in+=u,o.total_in+=u,u),e.lookahead+=r,e.lookahead+e.insert>=3)for(i=e.strstart-e.insert,
e.ins_h=e.window[i],e.ins_h=(e.ins_h<<e.hash_shift^e.window[i+1])&e.hash_mask;e.insert&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[i+3-1])&e.hash_mask,e.prev[i&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=i,i++,e.insert--,!(e.lookahead+e.insert<3)););}while(e.lookahead<Pd&&0!==e.strm.avail_in)}function deflate_fast(e,t){for(var r,a;;){if(e.lookahead<Pd){if(fill_window(e),e.lookahead<Pd&&0===t)return 1;if(0===e.lookahead)break}if(r=0,e.lookahead>=3&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),0!==r&&e.strstart-r<=e.w_size-Pd&&(e.match_length=longest_match(e,r)),e.match_length>=3)if(a=_tr_tally(e,e.strstart-e.match_start,e.match_length-3),e.lookahead-=e.match_length,e.match_length<=e.max_lazy_match&&e.lookahead>=3){e.match_length--;do{e.strstart++,e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart
}while(0!=--e.match_length);e.strstart++}else e.strstart+=e.match_length,e.match_length=0,e.ins_h=e.window[e.strstart],e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+1])&e.hash_mask;else a=_tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++;if(a&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=e.strstart<2?e.strstart:2,4===t?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}function deflate_slow(e,t){for(var r,a,n;;){if(e.lookahead<Pd){if(fill_window(e),e.lookahead<Pd&&0===t)return 1;if(0===e.lookahead)break}if(r=0,e.lookahead>=3&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),e.prev_length=e.match_length,e.prev_match=e.match_start,e.match_length=2,0!==r&&e.prev_length<e.max_lazy_match&&e.strstart-r<=e.w_size-Pd&&(e.match_length=longest_match(e,r),
e.match_length<=5&&(1===e.strategy||3===e.match_length&&e.strstart-e.match_start>4096)&&(e.match_length=2)),e.prev_length>=3&&e.match_length<=e.prev_length){n=e.strstart+e.lookahead-3,a=_tr_tally(e,e.strstart-1-e.prev_match,e.prev_length-3),e.lookahead-=e.prev_length-1,e.prev_length-=2;do{++e.strstart<=n&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart)}while(0!=--e.prev_length);if(e.match_available=0,e.match_length=2,e.strstart++,a&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}else if(e.match_available){if((a=_tr_tally(e,0,e.window[e.strstart-1]))&&flush_block_only(e,!1),e.strstart++,e.lookahead--,0===e.strm.avail_out)return 1}else e.match_available=1,e.strstart++,e.lookahead--}return e.match_available&&(a=_tr_tally(e,0,e.window[e.strstart-1]),e.match_available=0),e.insert=e.strstart<2?e.strstart:2,4===t?(flush_block_only(e,!0),
0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}function Config$2(e,t,r,a,n){this.good_length=e,this.max_lazy=t,this.nice_length=r,this.max_chain=a,this.func=n}function DeflateState(){this.strm=null,this.status=0,this.pending_buf=null,this.pending_buf_size=0,this.pending_out=0,this.pending=0,this.wrap=0,this.gzhead=null,this.gzindex=0,this.method=8,this.last_flush=-1,this.w_size=0,this.w_bits=0,this.w_mask=0,this.window=null,this.window_size=0,this.prev=null,this.head=null,this.ins_h=0,this.hash_size=0,this.hash_bits=0,this.hash_mask=0,this.hash_shift=0,this.block_start=0,this.match_length=0,this.prev_match=0,this.match_available=0,this.strstart=0,this.match_start=0,this.lookahead=0,this.prev_length=0,this.max_chain_length=0,this.max_lazy_match=0,this.level=0,this.strategy=0,this.good_match=0,this.nice_match=0,this.dyn_ltree=new dd(1146),this.dyn_dtree=new dd(122),this.bl_tree=new dd(78),zero(this.dyn_ltree),zero(this.dyn_dtree),
zero(this.bl_tree),this.l_desc=null,this.d_desc=null,this.bl_desc=null,this.bl_count=new dd(16),this.heap=new dd(573),zero(this.heap),this.heap_len=0,this.heap_max=0,this.depth=new dd(573),zero(this.depth),this.l_buf=0,this.lit_bufsize=0,this.last_lit=0,this.d_buf=0,this.opt_len=0,this.static_len=0,this.matches=0,this.insert=0,this.bi_buf=0,this.bi_valid=0}function deflateReset(e){var t=function deflateResetKeep(e){var t;return e&&e.state?(e.total_in=e.total_out=0,e.data_type=2,(t=e.state).pending=0,t.pending_out=0,t.wrap<0&&(t.wrap=-t.wrap),t.status=t.wrap?42:Fd,e.adler=2===t.wrap?0:1,t.last_flush=0,_tr_init(t),0):err(e,Ld)}(e);return 0===t&&function lm_init(e){e.window_size=2*e.w_size,zero(e.head),e.max_lazy_match=Nd[e.level].max_lazy,e.good_match=Nd[e.level].good_length,e.nice_match=Nd[e.level].nice_length,e.max_chain_length=Nd[e.level].max_chain,e.strstart=0,e.block_start=0,e.lookahead=0,e.insert=0,e.match_length=e.prev_length=2,e.match_available=0,e.ins_h=0}(e.state),t}
function deflate$1(e,t){var r,a,n,i;if(!e||!e.state||t>5||t<0)return e?err(e,Ld):Ld;if(a=e.state,!e.output||!e.input&&0!==e.avail_in||a.status===Ud&&4!==t)return err(e,0===e.avail_out?-5:Ld);if(a.strm=e,r=a.last_flush,a.last_flush=t,42===a.status)if(2===a.wrap)e.adler=0,put_byte(a,31),put_byte(a,139),put_byte(a,8),a.gzhead?(put_byte(a,(a.gzhead.text?1:0)+(a.gzhead.hcrc?2:0)+(a.gzhead.extra?4:0)+(a.gzhead.name?8:0)+(a.gzhead.comment?16:0)),put_byte(a,255&a.gzhead.time),put_byte(a,a.gzhead.time>>8&255),put_byte(a,a.gzhead.time>>16&255),put_byte(a,a.gzhead.time>>24&255),put_byte(a,9===a.level?2:a.strategy>=2||a.level<2?4:0),put_byte(a,255&a.gzhead.os),a.gzhead.extra&&a.gzhead.extra.length&&(put_byte(a,255&a.gzhead.extra.length),put_byte(a,a.gzhead.extra.length>>8&255)),a.gzhead.hcrc&&(e.adler=crc32(e.adler,a.pending_buf,a.pending,0)),a.gzindex=0,a.status=69):(put_byte(a,0),put_byte(a,0),put_byte(a,0),put_byte(a,0),put_byte(a,0),put_byte(a,9===a.level?2:a.strategy>=2||a.level<2?4:0),
put_byte(a,3),a.status=Fd);else{var o=8+(a.w_bits-8<<4)<<8;o|=(a.strategy>=2||a.level<2?0:a.level<6?1:6===a.level?2:3)<<6,0!==a.strstart&&(o|=32),o+=31-o%31,a.status=Fd,putShortMSB(a,o),0!==a.strstart&&(putShortMSB(a,e.adler>>>16),putShortMSB(a,65535&e.adler)),e.adler=1}if(69===a.status)if(a.gzhead.extra){for(n=a.pending;a.gzindex<(65535&a.gzhead.extra.length)&&(a.pending!==a.pending_buf_size||(a.gzhead.hcrc&&a.pending>n&&(e.adler=crc32(e.adler,a.pending_buf,a.pending-n,n)),flush_pending(e),n=a.pending,a.pending!==a.pending_buf_size));)put_byte(a,255&a.gzhead.extra[a.gzindex]),a.gzindex++;a.gzhead.hcrc&&a.pending>n&&(e.adler=crc32(e.adler,a.pending_buf,a.pending-n,n)),a.gzindex===a.gzhead.extra.length&&(a.gzindex=0,a.status=73)}else a.status=73;if(73===a.status)if(a.gzhead.name){n=a.pending;do{if(a.pending===a.pending_buf_size&&(a.gzhead.hcrc&&a.pending>n&&(e.adler=crc32(e.adler,a.pending_buf,a.pending-n,n)),flush_pending(e),n=a.pending,a.pending===a.pending_buf_size)){i=1;break}
i=a.gzindex<a.gzhead.name.length?255&a.gzhead.name.charCodeAt(a.gzindex++):0,put_byte(a,i)}while(0!==i);a.gzhead.hcrc&&a.pending>n&&(e.adler=crc32(e.adler,a.pending_buf,a.pending-n,n)),0===i&&(a.gzindex=0,a.status=91)}else a.status=91;if(91===a.status)if(a.gzhead.comment){n=a.pending;do{if(a.pending===a.pending_buf_size&&(a.gzhead.hcrc&&a.pending>n&&(e.adler=crc32(e.adler,a.pending_buf,a.pending-n,n)),flush_pending(e),n=a.pending,a.pending===a.pending_buf_size)){i=1;break}i=a.gzindex<a.gzhead.comment.length?255&a.gzhead.comment.charCodeAt(a.gzindex++):0,put_byte(a,i)}while(0!==i);a.gzhead.hcrc&&a.pending>n&&(e.adler=crc32(e.adler,a.pending_buf,a.pending-n,n)),0===i&&(a.status=Od)}else a.status=Od;if(a.status===Od&&(a.gzhead.hcrc?(a.pending+2>a.pending_buf_size&&flush_pending(e),a.pending+2<=a.pending_buf_size&&(put_byte(a,255&e.adler),put_byte(a,e.adler>>8&255),e.adler=0,a.status=Fd)):a.status=Fd),0!==a.pending){if(flush_pending(e),0===e.avail_out)return a.last_flush=-1,0
}else if(0===e.avail_in&&rank(t)<=rank(r)&&4!==t)return err(e,-5);if(a.status===Ud&&0!==e.avail_in)return err(e,-5);if(0!==e.avail_in||0!==a.lookahead||0!==t&&a.status!==Ud){var s=2===a.strategy?function deflate_huff(e,t){for(var r;;){if(0===e.lookahead&&(fill_window(e),0===e.lookahead)){if(0===t)return 1;break}if(e.match_length=0,r=_tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++,r&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===t?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}(a,t):3===a.strategy?function deflate_rle(e,t){for(var r,a,n,i,o=e.window;;){if(e.lookahead<=Md){if(fill_window(e),e.lookahead<=Md&&0===t)return 1;if(0===e.lookahead)break}if(e.match_length=0,e.lookahead>=3&&e.strstart>0&&(a=o[n=e.strstart-1])===o[++n]&&a===o[++n]&&a===o[++n]){i=e.strstart+Md;do{}while(a===o[++n]&&a===o[++n]&&a===o[++n]&&a===o[++n]&&a===o[++n]&&a===o[++n]&&a===o[++n]&&a===o[++n]&&n<i)
;e.match_length=Md-(i-n),e.match_length>e.lookahead&&(e.match_length=e.lookahead)}if(e.match_length>=3?(r=_tr_tally(e,1,e.match_length-3),e.lookahead-=e.match_length,e.strstart+=e.match_length,e.match_length=0):(r=_tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++),r&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===t?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}(a,t):Nd[a.level].func(a,t);if(3!==s&&4!==s||(a.status=Ud),1===s||3===s)return 0===e.avail_out&&(a.last_flush=-1),0;if(2===s&&(1===t?_tr_align(a):5!==t&&(_tr_stored_block(a,0,0,!1),3===t&&(zero(a.head),0===a.lookahead&&(a.strstart=0,a.block_start=0,a.insert=0))),flush_pending(e),0===e.avail_out))return a.last_flush=-1,0}return 4!==t?0:a.wrap<=0?1:(2===a.wrap?(put_byte(a,255&e.adler),put_byte(a,e.adler>>8&255),put_byte(a,e.adler>>16&255),put_byte(a,e.adler>>24&255),put_byte(a,255&e.total_in),put_byte(a,e.total_in>>8&255),
put_byte(a,e.total_in>>16&255),put_byte(a,e.total_in>>24&255)):(putShortMSB(a,e.adler>>>16),putShortMSB(a,65535&e.adler)),flush_pending(e),a.wrap>0&&(a.wrap=-a.wrap),0!==a.pending?0:1)}Nd=[new Config$2(0,0,0,0,(function deflate_stored(e,t){var r=65535;for(r>e.pending_buf_size-5&&(r=e.pending_buf_size-5);;){if(e.lookahead<=1){if(fill_window(e),0===e.lookahead&&0===t)return 1;if(0===e.lookahead)break}e.strstart+=e.lookahead,e.lookahead=0;var a=e.block_start+r;if((0===e.strstart||e.strstart>=a)&&(e.lookahead=e.strstart-a,e.strstart=a,flush_block_only(e,!1),0===e.strm.avail_out))return 1;if(e.strstart-e.block_start>=e.w_size-Pd&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===t?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):(e.strstart>e.block_start&&(flush_block_only(e,!1),e.strm.avail_out),1)
})),new Config$2(4,4,8,4,deflate_fast),new Config$2(4,5,16,8,deflate_fast),new Config$2(4,6,32,32,deflate_fast),new Config$2(4,4,16,16,deflate_slow),new Config$2(8,16,32,32,deflate_slow),new Config$2(8,16,128,128,deflate_slow),new Config$2(8,32,128,256,deflate_slow),new Config$2(32,128,258,1024,deflate_slow),new Config$2(32,258,258,4096,deflate_slow)];function inflate_fast(e,t){var r,a,n,i,o,s,c,l,u,d,m,p,h,f,y,v,b,w,S,T,E,x,_,A,R;r=e.state,a=e.next_in,A=e.input,n=a+(e.avail_in-5),i=e.next_out,R=e.output,o=i-(t-e.avail_out),s=i+(e.avail_out-257),c=r.dmax,l=r.wsize,u=r.whave,d=r.wnext,m=r.window,p=r.hold,h=r.bits,f=r.lencode,y=r.distcode,v=(1<<r.lenbits)-1,b=(1<<r.distbits)-1;e:do{h<15&&(p+=A[a++]<<h,h+=8,p+=A[a++]<<h,h+=8),w=f[p&v];t:for(;;){if(p>>>=S=w>>>24,h-=S,0===(S=w>>>16&255))R[i++]=65535&w;else{if(!(16&S)){if(0==(64&S)){w=f[(65535&w)+(p&(1<<S)-1)];continue t}if(32&S){r.mode=12;break e}e.msg="invalid literal/length code",r.mode=30;break e}T=65535&w,(S&=15)&&(h<S&&(p+=A[a++]<<h,
h+=8),T+=p&(1<<S)-1,p>>>=S,h-=S),h<15&&(p+=A[a++]<<h,h+=8,p+=A[a++]<<h,h+=8),w=y[p&b];r:for(;;){if(p>>>=S=w>>>24,h-=S,!(16&(S=w>>>16&255))){if(0==(64&S)){w=y[(65535&w)+(p&(1<<S)-1)];continue r}e.msg="invalid distance code",r.mode=30;break e}if(E=65535&w,h<(S&=15)&&(p+=A[a++]<<h,(h+=8)<S&&(p+=A[a++]<<h,h+=8)),(E+=p&(1<<S)-1)>c){e.msg="invalid distance too far back",r.mode=30;break e}if(p>>>=S,h-=S,E>(S=i-o)){if((S=E-S)>u&&r.sane){e.msg="invalid distance too far back",r.mode=30;break e}if(x=0,_=m,0===d){if(x+=l-S,S<T){T-=S;do{R[i++]=m[x++]}while(--S);x=i-E,_=R}}else if(d<S){if(x+=l+d-S,(S-=d)<T){T-=S;do{R[i++]=m[x++]}while(--S);if(x=0,d<T){T-=S=d;do{R[i++]=m[x++]}while(--S);x=i-E,_=R}}}else if(x+=d-S,S<T){T-=S;do{R[i++]=m[x++]}while(--S);x=i-E,_=R}for(;T>2;)R[i++]=_[x++],R[i++]=_[x++],R[i++]=_[x++],T-=3;T&&(R[i++]=_[x++],T>1&&(R[i++]=_[x++]))}else{x=i-E;do{R[i++]=R[x++],R[i++]=R[x++],R[i++]=R[x++],T-=3}while(T>2);T&&(R[i++]=R[x++],T>1&&(R[i++]=R[x++]))}break}}break}}while(a<n&&i<s)
;a-=T=h>>3,p&=(1<<(h-=T<<3))-1,e.next_in=a,e.next_out=i,e.avail_in=a<n?n-a+5:5-(a-n),e.avail_out=i<s?s-i+257:257-(i-s),r.hold=p,r.bits=h}var jd=15,Bd=[3,4,5,6,7,8,9,10,11,13,15,17,19,23,27,31,35,43,51,59,67,83,99,115,131,163,195,227,258,0,0],$d=[16,16,16,16,16,16,16,16,17,17,17,17,18,18,18,18,19,19,19,19,20,20,20,20,21,21,21,21,16,72,78],qd=[1,2,3,4,5,7,9,13,17,25,33,49,65,97,129,193,257,385,513,769,1025,1537,2049,3073,4097,6145,8193,12289,16385,24577,0,0],zd=[16,16,16,16,17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,29,64,64];function inflate_table(e,t,r,a,n,i,o,s){var c,l,u,d,m,p,h,f,y,v=s.bits,b=0,w=0,S=0,T=0,E=0,x=0,_=0,A=0,R=0,k=0,D=null,C=0,I=new dd(16),N=new dd(16),L=null,M=0;for(b=0;b<=jd;b++)I[b]=0;for(w=0;w<a;w++)I[t[r+w]]++;for(E=v,T=jd;T>=1&&0===I[T];T--);if(E>T&&(E=T),0===T)return n[i++]=20971520,n[i++]=20971520,s.bits=1,0;for(S=1;S<T&&0===I[S];S++);for(E<S&&(E=S),A=1,b=1;b<=jd;b++)if(A<<=1,(A-=I[b])<0)return-1;if(A>0&&(0===e||1!==T))return-1
;for(N[1]=0,b=1;b<jd;b++)N[b+1]=N[b]+I[b];for(w=0;w<a;w++)0!==t[r+w]&&(o[N[t[r+w]]++]=w);if(0===e?(D=L=o,p=19):1===e?(D=Bd,C-=257,L=$d,M-=257,p=256):(D=qd,L=zd,p=-1),k=0,w=0,b=S,m=i,x=E,_=0,u=-1,d=(R=1<<E)-1,1===e&&R>852||2===e&&R>592)return 1;for(;;){h=b-_,o[w]<p?(f=0,y=o[w]):o[w]>p?(f=L[M+o[w]],y=D[C+o[w]]):(f=96,y=0),c=1<<b-_,S=l=1<<x;do{n[m+(k>>_)+(l-=c)]=h<<24|f<<16|y|0}while(0!==l);for(c=1<<b-1;k&c;)c>>=1;if(0!==c?(k&=c-1,k+=c):k=0,w++,0==--I[b]){if(b===T)break;b=t[r+o[w]]}if(b>E&&(k&d)!==u){for(0===_&&(_=E),m+=S,A=1<<(x=b-_);x+_<T&&!((A-=I[x+_])<=0);)x++,A<<=1;if(R+=1<<x,1===e&&R>852||2===e&&R>592)return 1;n[u=k&d]=E<<24|x<<16|m-i|0}}return 0!==k&&(n[m+k]=b-_<<24|64<<16|0),s.bits=E,0}var Vd=-2,Wd=12,Gd=30;function zswap32(e){return(e>>>24&255)+(e>>>8&65280)+((65280&e)<<8)+((255&e)<<24)}function InflateState(){this.mode=0,this.last=!1,this.wrap=0,this.havedict=!1,this.flags=0,this.dmax=0,this.check=0,this.total=0,this.head=null,this.wbits=0,this.wsize=0,this.whave=0,this.wnext=0,
this.window=null,this.hold=0,this.bits=0,this.length=0,this.offset=0,this.extra=0,this.lencode=null,this.distcode=null,this.lenbits=0,this.distbits=0,this.ncode=0,this.nlen=0,this.ndist=0,this.have=0,this.next=null,this.lens=new dd(320),this.work=new dd(288),this.lendyn=null,this.distdyn=null,this.sane=0,this.back=0,this.was=0}function inflateReset(e){var t;return e&&e.state?((t=e.state).wsize=0,t.whave=0,t.wnext=0,function inflateResetKeep(e){var t;return e&&e.state?(t=e.state,e.total_in=e.total_out=t.total=0,e.msg="",t.wrap&&(e.adler=1&t.wrap),t.mode=1,t.last=0,t.havedict=0,t.dmax=32768,t.head=null,t.hold=0,t.bits=0,t.lencode=t.lendyn=new md(852),t.distcode=t.distdyn=new md(592),t.sane=1,t.back=-1,0):Vd}(e)):Vd}function inflateInit2(e,t){var r,a;return e?(a=new InflateState,e.state=a,a.window=null,0!==(r=function inflateReset2(e,t){var r,a;return e&&e.state?(a=e.state,t<0?(r=0,t=-t):(r=1+(t>>4),t<48&&(t&=15)),t&&(t<8||t>15)?Vd:(null!==a.window&&a.wbits!==t&&(a.window=null),a.wrap=r,
a.wbits=t,inflateReset(e))):Vd}(e,t))&&(e.state=null),r):Vd}var Hd,Yd,Kd=!0;function fixedtables(e){if(Kd){var t;for(Hd=new md(512),Yd=new md(32),t=0;t<144;)e.lens[t++]=8;for(;t<256;)e.lens[t++]=9;for(;t<280;)e.lens[t++]=7;for(;t<288;)e.lens[t++]=8;for(inflate_table(1,e.lens,0,288,Hd,0,e.work,{bits:9}),t=0;t<32;)e.lens[t++]=5;inflate_table(2,e.lens,0,32,Yd,0,e.work,{bits:5}),Kd=!1}e.lencode=Hd,e.lenbits=9,e.distcode=Yd,e.distbits=5}function inflate$1(e,t){var r,a,n,i,o,s,c,l,u,d,m,p,h,f,y,v,b,w,S,T,E,x,_,A,R=0,k=new ud(4),D=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15];if(!e||!e.state||!e.output||!e.input&&0!==e.avail_in)return Vd;(r=e.state).mode===Wd&&(r.mode=13),o=e.next_out,n=e.output,c=e.avail_out,i=e.next_in,a=e.input,s=e.avail_in,l=r.hold,u=r.bits,d=s,m=c,x=0;e:for(;;)switch(r.mode){case 1:if(0===r.wrap){r.mode=13;break}for(;u<16;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(2&r.wrap&&35615===l){r.check=0,k[0]=255&l,k[1]=l>>>8&255,r.check=crc32(r.check,k,2,0),l=0,u=0,r.mode=2
;break}if(r.flags=0,r.head&&(r.head.done=!1),!(1&r.wrap)||(((255&l)<<8)+(l>>8))%31){e.msg="incorrect header check",r.mode=Gd;break}if(8!=(15&l)){e.msg="unknown compression method",r.mode=Gd;break}if(u-=4,E=8+(15&(l>>>=4)),0===r.wbits)r.wbits=E;else if(E>r.wbits){e.msg="invalid window size",r.mode=Gd;break}r.dmax=1<<E,e.adler=r.check=1,r.mode=512&l?10:Wd,l=0,u=0;break;case 2:for(;u<16;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(r.flags=l,8!=(255&r.flags)){e.msg="unknown compression method",r.mode=Gd;break}if(57344&r.flags){e.msg="unknown header flags set",r.mode=Gd;break}r.head&&(r.head.text=l>>8&1),512&r.flags&&(k[0]=255&l,k[1]=l>>>8&255,r.check=crc32(r.check,k,2,0)),l=0,u=0,r.mode=3;case 3:for(;u<32;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}r.head&&(r.head.time=l),512&r.flags&&(k[0]=255&l,k[1]=l>>>8&255,k[2]=l>>>16&255,k[3]=l>>>24&255,r.check=crc32(r.check,k,4,0)),l=0,u=0,r.mode=4;case 4:for(;u<16;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}r.head&&(r.head.xflags=255&l,r.head.os=l>>8),
512&r.flags&&(k[0]=255&l,k[1]=l>>>8&255,r.check=crc32(r.check,k,2,0)),l=0,u=0,r.mode=5;case 5:if(1024&r.flags){for(;u<16;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}r.length=l,r.head&&(r.head.extra_len=l),512&r.flags&&(k[0]=255&l,k[1]=l>>>8&255,r.check=crc32(r.check,k,2,0)),l=0,u=0}else r.head&&(r.head.extra=null);r.mode=6;case 6:if(1024&r.flags&&((p=r.length)>s&&(p=s),p&&(r.head&&(E=r.head.extra_len-r.length,r.head.extra||(r.head.extra=new Array(r.head.extra_len)),arraySet(r.head.extra,a,i,p,E)),512&r.flags&&(r.check=crc32(r.check,a,p,i)),s-=p,i+=p,r.length-=p),r.length))break e;r.length=0,r.mode=7;case 7:if(2048&r.flags){if(0===s)break e;p=0;do{E=a[i+p++],r.head&&E&&r.length<65536&&(r.head.name+=String.fromCharCode(E))}while(E&&p<s);if(512&r.flags&&(r.check=crc32(r.check,a,p,i)),s-=p,i+=p,E)break e}else r.head&&(r.head.name=null);r.length=0,r.mode=8;case 8:if(4096&r.flags){if(0===s)break e;p=0;do{E=a[i+p++],r.head&&E&&r.length<65536&&(r.head.comment+=String.fromCharCode(E))
}while(E&&p<s);if(512&r.flags&&(r.check=crc32(r.check,a,p,i)),s-=p,i+=p,E)break e}else r.head&&(r.head.comment=null);r.mode=9;case 9:if(512&r.flags){for(;u<16;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(l!==(65535&r.check)){e.msg="header crc mismatch",r.mode=Gd;break}l=0,u=0}r.head&&(r.head.hcrc=r.flags>>9&1,r.head.done=!0),e.adler=r.check=0,r.mode=Wd;break;case 10:for(;u<32;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}e.adler=r.check=zswap32(l),l=0,u=0,r.mode=11;case 11:if(0===r.havedict)return e.next_out=o,e.avail_out=c,e.next_in=i,e.avail_in=s,r.hold=l,r.bits=u,2;e.adler=r.check=1,r.mode=Wd;case Wd:if(5===t||6===t)break e;case 13:if(r.last){l>>>=7&u,u-=7&u,r.mode=27;break}for(;u<3;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}switch(r.last=1&l,u-=1,3&(l>>>=1)){case 0:r.mode=14;break;case 1:if(fixedtables(r),r.mode=20,6===t){l>>>=2,u-=2;break e}break;case 2:r.mode=17;break;case 3:e.msg="invalid block type",r.mode=Gd}l>>>=2,u-=2;break;case 14:for(l>>>=7&u,u-=7&u;u<32;){if(0===s)break e;s--,
l+=a[i++]<<u,u+=8}if((65535&l)!=(l>>>16^65535)){e.msg="invalid stored block lengths",r.mode=Gd;break}if(r.length=65535&l,l=0,u=0,r.mode=15,6===t)break e;case 15:r.mode=16;case 16:if(p=r.length){if(p>s&&(p=s),p>c&&(p=c),0===p)break e;arraySet(n,a,i,p,o),s-=p,i+=p,c-=p,o+=p,r.length-=p;break}r.mode=Wd;break;case 17:for(;u<14;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(r.nlen=257+(31&l),l>>>=5,u-=5,r.ndist=1+(31&l),l>>>=5,u-=5,r.ncode=4+(15&l),l>>>=4,u-=4,r.nlen>286||r.ndist>30){e.msg="too many length or distance symbols",r.mode=Gd;break}r.have=0,r.mode=18;case 18:for(;r.have<r.ncode;){for(;u<3;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}r.lens[D[r.have++]]=7&l,l>>>=3,u-=3}for(;r.have<19;)r.lens[D[r.have++]]=0;if(r.lencode=r.lendyn,r.lenbits=7,_={bits:r.lenbits},x=inflate_table(0,r.lens,0,19,r.lencode,0,r.work,_),r.lenbits=_.bits,x){e.msg="invalid code lengths set",r.mode=Gd;break}r.have=0,r.mode=19;case 19:for(;r.have<r.nlen+r.ndist;){for(;v=(R=r.lencode[l&(1<<r.lenbits)-1])>>>16&255,
b=65535&R,!((y=R>>>24)<=u);){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(b<16)l>>>=y,u-=y,r.lens[r.have++]=b;else{if(16===b){for(A=y+2;u<A;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(l>>>=y,u-=y,0===r.have){e.msg="invalid bit length repeat",r.mode=Gd;break}E=r.lens[r.have-1],p=3+(3&l),l>>>=2,u-=2}else if(17===b){for(A=y+3;u<A;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}u-=y,E=0,p=3+(7&(l>>>=y)),l>>>=3,u-=3}else{for(A=y+7;u<A;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}u-=y,E=0,p=11+(127&(l>>>=y)),l>>>=7,u-=7}if(r.have+p>r.nlen+r.ndist){e.msg="invalid bit length repeat",r.mode=Gd;break}for(;p--;)r.lens[r.have++]=E}}if(r.mode===Gd)break;if(0===r.lens[256]){e.msg="invalid code -- missing end-of-block",r.mode=Gd;break}if(r.lenbits=9,_={bits:r.lenbits},x=inflate_table(1,r.lens,0,r.nlen,r.lencode,0,r.work,_),r.lenbits=_.bits,x){e.msg="invalid literal/lengths set",r.mode=Gd;break}if(r.distbits=6,r.distcode=r.distdyn,_={bits:r.distbits},x=inflate_table(2,r.lens,r.nlen,r.ndist,r.distcode,0,r.work,_),
r.distbits=_.bits,x){e.msg="invalid distances set",r.mode=Gd;break}if(r.mode=20,6===t)break e;case 20:r.mode=21;case 21:if(s>=6&&c>=258){e.next_out=o,e.avail_out=c,e.next_in=i,e.avail_in=s,r.hold=l,r.bits=u,inflate_fast(e,m),o=e.next_out,n=e.output,c=e.avail_out,i=e.next_in,a=e.input,s=e.avail_in,l=r.hold,u=r.bits,r.mode===Wd&&(r.back=-1);break}for(r.back=0;v=(R=r.lencode[l&(1<<r.lenbits)-1])>>>16&255,b=65535&R,!((y=R>>>24)<=u);){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(v&&0==(240&v)){for(w=y,S=v,T=b;v=(R=r.lencode[T+((l&(1<<w+S)-1)>>w)])>>>16&255,b=65535&R,!(w+(y=R>>>24)<=u);){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}l>>>=w,u-=w,r.back+=w}if(l>>>=y,u-=y,r.back+=y,r.length=b,0===v){r.mode=26;break}if(32&v){r.back=-1,r.mode=Wd;break}if(64&v){e.msg="invalid literal/length code",r.mode=Gd;break}r.extra=15&v,r.mode=22;case 22:if(r.extra){for(A=r.extra;u<A;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}r.length+=l&(1<<r.extra)-1,l>>>=r.extra,u-=r.extra,r.back+=r.extra}r.was=r.length,r.mode=23
;case 23:for(;v=(R=r.distcode[l&(1<<r.distbits)-1])>>>16&255,b=65535&R,!((y=R>>>24)<=u);){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(0==(240&v)){for(w=y,S=v,T=b;v=(R=r.distcode[T+((l&(1<<w+S)-1)>>w)])>>>16&255,b=65535&R,!(w+(y=R>>>24)<=u);){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}l>>>=w,u-=w,r.back+=w}if(l>>>=y,u-=y,r.back+=y,64&v){e.msg="invalid distance code",r.mode=Gd;break}r.offset=b,r.extra=15&v,r.mode=24;case 24:if(r.extra){for(A=r.extra;u<A;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}r.offset+=l&(1<<r.extra)-1,l>>>=r.extra,u-=r.extra,r.back+=r.extra}if(r.offset>r.dmax){e.msg="invalid distance too far back",r.mode=Gd;break}r.mode=25;case 25:if(0===c)break e;if(p=m-c,r.offset>p){if((p=r.offset-p)>r.whave&&r.sane){e.msg="invalid distance too far back",r.mode=Gd;break}p>r.wnext?(p-=r.wnext,h=r.wsize-p):h=r.wnext-p,p>r.length&&(p=r.length),f=r.window}else f=n,h=o-r.offset,p=r.length;p>c&&(p=c),c-=p,r.length-=p;do{n[o++]=f[h++]}while(--p);0===r.length&&(r.mode=21);break;case 26:
if(0===c)break e;n[o++]=r.length,c--,r.mode=21;break;case 27:if(r.wrap){for(;u<32;){if(0===s)break e;s--,l|=a[i++]<<u,u+=8}if(m-=c,e.total_out+=m,r.total+=m,m&&(e.adler=r.check=r.flags?crc32(r.check,n,m,o-m):adler32(r.check,n,m,o-m)),m=c,(r.flags?l:zswap32(l))!==r.check){e.msg="incorrect data check",r.mode=Gd;break}l=0,u=0}r.mode=28;case 28:if(r.wrap&&r.flags){for(;u<32;){if(0===s)break e;s--,l+=a[i++]<<u,u+=8}if(l!==(4294967295&r.total)){e.msg="incorrect length check",r.mode=Gd;break}l=0,u=0}r.mode=29;case 29:x=1;break e;case Gd:x=-3;break e;case 31:return-4;case 32:default:return Vd}return e.next_out=o,e.avail_out=c,e.next_in=i,e.avail_in=s,r.hold=l,r.bits=u,(r.wsize||m!==e.avail_out&&r.mode<Gd&&(r.mode<27||4!==t))&&function updatewindow(e,t,r,a){var n,i=e.state;return null===i.window&&(i.wsize=1<<i.wbits,i.wnext=0,i.whave=0,i.window=new ud(i.wsize)),a>=i.wsize?(arraySet(i.window,t,r-i.wsize,i.wsize,0),i.wnext=0,i.whave=i.wsize):((n=i.wsize-i.wnext)>a&&(n=a),
arraySet(i.window,t,r-a,n,i.wnext),(a-=n)?(arraySet(i.window,t,r-a,a,0),i.wnext=a,i.whave=i.wsize):(i.wnext+=n,i.wnext===i.wsize&&(i.wnext=0),i.whave<i.wsize&&(i.whave+=n))),0}(e,e.output,e.next_out,m-e.avail_out),d-=e.avail_in,m-=e.avail_out,e.total_in+=d,e.total_out+=m,r.total+=m,r.wrap&&m&&(e.adler=r.check=r.flags?crc32(r.check,n,m,e.next_out-m):adler32(r.check,n,m,e.next_out-m)),e.data_type=r.bits+(r.last?64:0)+(r.mode===Wd?128:0)+(20===r.mode||15===r.mode?256:0),(0===d&&0===m||4===t)&&0===x&&(x=-5),x}var Jd;function Zlib$1(e){if(e<1||e>7)throw new TypeError("Bad argument");this.mode=e,this.init_done=!1,this.write_in_progress=!1,this.pending_close=!1,this.windowBits=0,this.level=0,this.memLevel=0,this.strategy=0,this.dictionary=null}function bufferSet(e,t){for(var r=0;r<e.length;r++)this[t+r]=e[r]}Zlib$1.prototype.init=function(e,t,r,a,n){var i;switch(this.windowBits=e,this.level=t,this.memLevel=r,this.strategy=a,3!==this.mode&&4!==this.mode||(this.windowBits+=16),
7===this.mode&&(this.windowBits+=32),5!==this.mode&&6!==this.mode||(this.windowBits=-this.windowBits),this.strm=new ZStream,this.mode){case 1:case 3:case 5:i=function deflateInit2(e,t,r,a,n,i){if(!e)return Ld;var o=1;if(-1===t&&(t=6),a<0?(o=0,a=-a):a>15&&(o=2,a-=16),n<1||n>9||8!==r||a<8||a>15||t<0||t>9||i<0||i>4)return err(e,Ld);8===a&&(a=9);var s=new DeflateState;return e.state=s,s.strm=e,s.wrap=o,s.gzhead=null,s.w_bits=a,s.w_size=1<<s.w_bits,s.w_mask=s.w_size-1,s.hash_bits=n+7,s.hash_size=1<<s.hash_bits,s.hash_mask=s.hash_size-1,s.hash_shift=~~((s.hash_bits+3-1)/3),s.window=new ud(2*s.w_size),s.head=new dd(s.hash_size),s.prev=new dd(s.w_size),s.lit_bufsize=1<<n+6,s.pending_buf_size=4*s.lit_bufsize,s.pending_buf=new ud(s.pending_buf_size),s.d_buf=1*s.lit_bufsize,s.l_buf=3*s.lit_bufsize,s.level=t,s.strategy=i,s.method=r,deflateReset(e)}(this.strm,this.level,8,this.windowBits,this.memLevel,this.strategy);break;case 2:case 4:case 6:case 7:i=inflateInit2(this.strm,this.windowBits);break
;default:throw new Error("Unknown mode "+this.mode)}0===i?(this.write_in_progress=!1,this.init_done=!0):this._error(i)},Zlib$1.prototype.params=function(){throw new Error("deflateParams Not supported")},Zlib$1.prototype._writeCheck=function(){if(!this.init_done)throw new Error("write before init");if(0===this.mode)throw new Error("already finalized");if(this.write_in_progress)throw new Error("write already in progress");if(this.pending_close)throw new Error("close is pending")},Zlib$1.prototype.write=function(e,t,r,a,n,i,o){this._writeCheck(),this.write_in_progress=!0;var s=this;return La.nextTick((function(){s.write_in_progress=!1;var c=s._write(e,t,r,a,n,i,o);s.callback(c[0],c[1]),s.pending_close&&s.close()})),this},Zlib$1.prototype.writeSync=function(e,t,r,a,n,i,o){return this._writeCheck(),this._write(e,t,r,a,n,i,o)},Zlib$1.prototype._write=function(e,t,r,a,n,i,o){if(this.write_in_progress=!0,0!==e&&1!==e&&2!==e&&3!==e&&4!==e&&5!==e)throw new Error("Invalid flush value")
;null==t&&(t=new Buffer$2(0),a=0,r=0),n._set?n.set=n._set:n.set=bufferSet;var s,c=this.strm;switch(c.avail_in=a,c.input=t,c.next_in=r,c.avail_out=o,c.output=n,c.next_out=i,this.mode){case 1:case 3:case 5:s=deflate$1(c,e);break;case 7:case 2:case 4:case 6:s=inflate$1(c,e);break;default:throw new Error("Unknown mode "+this.mode)}return 1!==s&&0!==s&&this._error(s),this.write_in_progress=!1,[c.avail_in,c.avail_out]},Zlib$1.prototype.close=function(){this.write_in_progress?this.pending_close=!0:(this.pending_close=!1,1===this.mode||3===this.mode||5===this.mode?function deflateEnd(e){var t;return e&&e.state?42!==(t=e.state.status)&&69!==t&&73!==t&&91!==t&&t!==Od&&t!==Fd&&t!==Ud?err(e,Ld):(e.state=null,t===Fd?err(e,-3):0):Ld}(this.strm):function inflateEnd(e){if(!e||!e.state)return Vd;var t=e.state;return t.window&&(t.window=null),e.state=null,0}(this.strm),this.mode=0)},Zlib$1.prototype.reset=function(){switch(this.mode){case 1:case 5:Jd=deflateReset(this.strm);break;case 2:case 6:
Jd=inflateReset(this.strm)}0!==Jd&&this._error(Jd)},Zlib$1.prototype._error=function(e){this.onerror(ld[e]+": "+this.strm.msg,e),this.write_in_progress=!1,this.pending_close&&this.close()};var Xd=Object.freeze({__proto__:null,NONE:0,DEFLATE:1,INFLATE:2,GZIP:3,GUNZIP:4,DEFLATERAW:5,INFLATERAW:6,UNZIP:7,Z_NO_FLUSH:0,Z_PARTIAL_FLUSH:1,Z_SYNC_FLUSH:2,Z_FULL_FLUSH:3,Z_FINISH:4,Z_BLOCK:5,Z_TREES:6,Z_OK:0,Z_STREAM_END:1,Z_NEED_DICT:2,Z_ERRNO:-1,Z_STREAM_ERROR:-2,Z_DATA_ERROR:-3,Z_BUF_ERROR:-5,Z_NO_COMPRESSION:0,Z_BEST_SPEED:1,Z_BEST_COMPRESSION:9,Z_DEFAULT_COMPRESSION:-1,Z_FILTERED:1,Z_HUFFMAN_ONLY:2,Z_RLE:3,Z_FIXED:4,Z_DEFAULT_STRATEGY:0,Z_BINARY:0,Z_TEXT:1,Z_UNKNOWN:2,Z_DEFLATED:8,Zlib:Zlib$1});var Zd={};Object.keys(Xd).forEach((function(e){Zd[e]=Xd[e]})),Zd.Z_MIN_WINDOWBITS=8,Zd.Z_MAX_WINDOWBITS=15,Zd.Z_DEFAULT_WINDOWBITS=15,Zd.Z_MIN_CHUNK=64,Zd.Z_MAX_CHUNK=1/0,Zd.Z_DEFAULT_CHUNK=16384,Zd.Z_MIN_MEMLEVEL=1,Zd.Z_MAX_MEMLEVEL=9,Zd.Z_DEFAULT_MEMLEVEL=8,Zd.Z_MIN_LEVEL=-1,Zd.Z_MAX_LEVEL=9,
Zd.Z_DEFAULT_LEVEL=Zd.Z_DEFAULT_COMPRESSION;var Qd={Z_OK:Zd.Z_OK,Z_STREAM_END:Zd.Z_STREAM_END,Z_NEED_DICT:Zd.Z_NEED_DICT,Z_ERRNO:Zd.Z_ERRNO,Z_STREAM_ERROR:Zd.Z_STREAM_ERROR,Z_DATA_ERROR:Zd.Z_DATA_ERROR,Z_MEM_ERROR:Zd.Z_MEM_ERROR,Z_BUF_ERROR:Zd.Z_BUF_ERROR,Z_VERSION_ERROR:Zd.Z_VERSION_ERROR};function createDeflate(e){return new Deflate(e)}function createInflate(e){return new Inflate(e)}function createDeflateRaw(e){return new DeflateRaw(e)}function createInflateRaw(e){return new InflateRaw(e)}function createGzip(e){return new Gzip(e)}function createGunzip(e){return new Gunzip(e)}function createUnzip(e){return new Unzip(e)}function deflate(e,t,r){return"function"==typeof t&&(r=t,t={}),zlibBuffer(new Deflate(t),e,r)}function deflateSync(e,t){return zlibBufferSync(new Deflate(t),e)}function gzip$1(e,t,r){return"function"==typeof t&&(r=t,t={}),zlibBuffer(new Gzip(t),e,r)}function gzipSync(e,t){return zlibBufferSync(new Gzip(t),e)}function deflateRaw(e,t,r){return"function"==typeof t&&(r=t,
t={}),zlibBuffer(new DeflateRaw(t),e,r)}function deflateRawSync(e,t){return zlibBufferSync(new DeflateRaw(t),e)}function unzip(e,t,r){return"function"==typeof t&&(r=t,t={}),zlibBuffer(new Unzip(t),e,r)}function unzipSync(e,t){return zlibBufferSync(new Unzip(t),e)}function inflate(e,t,r){return"function"==typeof t&&(r=t,t={}),zlibBuffer(new Inflate(t),e,r)}function inflateSync(e,t){return zlibBufferSync(new Inflate(t),e)}function gunzip(e,t,r){return"function"==typeof t&&(r=t,t={}),zlibBuffer(new Gunzip(t),e,r)}function gunzipSync(e,t){return zlibBufferSync(new Gunzip(t),e)}function inflateRaw(e,t,r){return"function"==typeof t&&(r=t,t={}),zlibBuffer(new InflateRaw(t),e,r)}function inflateRawSync(e,t){return zlibBufferSync(new InflateRaw(t),e)}function zlibBuffer(e,t,r){var a=[],n=0;function flow(){for(var t;null!==(t=e.read());)a.push(t),n+=t.length;e.once("readable",flow)}function onEnd(){var t=Buffer$2.concat(a,n);a=[],r(null,t),e.close()}e.on("error",(function onError(t){
e.removeListener("end",onEnd),e.removeListener("readable",flow),r(t)})),e.on("end",onEnd),e.end(t),flow()}function zlibBufferSync(e,t){if("string"==typeof t&&(t=new Buffer$2(t)),!Buffer$2.isBuffer(t))throw new TypeError("Not a string or buffer");var r=Zd.Z_FINISH;return e._processChunk(t,r)}function Deflate(e){if(!(this instanceof Deflate))return new Deflate(e);Zlib.call(this,e,Zd.DEFLATE)}function Inflate(e){if(!(this instanceof Inflate))return new Inflate(e);Zlib.call(this,e,Zd.INFLATE)}function Gzip(e){if(!(this instanceof Gzip))return new Gzip(e);Zlib.call(this,e,Zd.GZIP)}function Gunzip(e){if(!(this instanceof Gunzip))return new Gunzip(e);Zlib.call(this,e,Zd.GUNZIP)}function DeflateRaw(e){if(!(this instanceof DeflateRaw))return new DeflateRaw(e);Zlib.call(this,e,Zd.DEFLATERAW)}function InflateRaw(e){if(!(this instanceof InflateRaw))return new InflateRaw(e);Zlib.call(this,e,Zd.INFLATERAW)}function Unzip(e){if(!(this instanceof Unzip))return new Unzip(e);Zlib.call(this,e,Zd.UNZIP)}
function Zlib(e,t){if(this._opts=e=e||{},this._chunkSize=e.chunkSize||Zd.Z_DEFAULT_CHUNK,Transform.call(this,e),e.flush&&e.flush!==Zd.Z_NO_FLUSH&&e.flush!==Zd.Z_PARTIAL_FLUSH&&e.flush!==Zd.Z_SYNC_FLUSH&&e.flush!==Zd.Z_FULL_FLUSH&&e.flush!==Zd.Z_FINISH&&e.flush!==Zd.Z_BLOCK)throw new Error("Invalid flush flag: "+e.flush);if(this._flushFlag=e.flush||Zd.Z_NO_FLUSH,e.chunkSize&&(e.chunkSize<Zd.Z_MIN_CHUNK||e.chunkSize>Zd.Z_MAX_CHUNK))throw new Error("Invalid chunk size: "+e.chunkSize);if(e.windowBits&&(e.windowBits<Zd.Z_MIN_WINDOWBITS||e.windowBits>Zd.Z_MAX_WINDOWBITS))throw new Error("Invalid windowBits: "+e.windowBits);if(e.level&&(e.level<Zd.Z_MIN_LEVEL||e.level>Zd.Z_MAX_LEVEL))throw new Error("Invalid compression level: "+e.level);if(e.memLevel&&(e.memLevel<Zd.Z_MIN_MEMLEVEL||e.memLevel>Zd.Z_MAX_MEMLEVEL))throw new Error("Invalid memLevel: "+e.memLevel)
;if(e.strategy&&e.strategy!=Zd.Z_FILTERED&&e.strategy!=Zd.Z_HUFFMAN_ONLY&&e.strategy!=Zd.Z_RLE&&e.strategy!=Zd.Z_FIXED&&e.strategy!=Zd.Z_DEFAULT_STRATEGY)throw new Error("Invalid strategy: "+e.strategy);if(e.dictionary&&!Buffer$2.isBuffer(e.dictionary))throw new Error("Invalid dictionary: it should be a Buffer instance");this._binding=new Zd.Zlib(t);var r=this;this._hadError=!1,this._binding.onerror=function(e,t){r._binding=null,r._hadError=!0;var a=new Error(e);a.errno=t,a.code=Zd.codes[t],r.emit("error",a)};var a=Zd.Z_DEFAULT_COMPRESSION;"number"==typeof e.level&&(a=e.level);var n=Zd.Z_DEFAULT_STRATEGY;"number"==typeof e.strategy&&(n=e.strategy),this._binding.init(e.windowBits||Zd.Z_DEFAULT_WINDOWBITS,a,e.memLevel||Zd.Z_DEFAULT_MEMLEVEL,n,e.dictionary),this._buffer=new Buffer$2(this._chunkSize),this._offset=0,this._closed=!1,this._level=a,this._strategy=n,this.once("end",this.close)}Object.keys(Qd).forEach((function(e){Qd[Qd[e]]=e})),Fc(Zlib,Transform),
Zlib.prototype.params=function(e,t,r){if(e<Zd.Z_MIN_LEVEL||e>Zd.Z_MAX_LEVEL)throw new RangeError("Invalid compression level: "+e);if(t!=Zd.Z_FILTERED&&t!=Zd.Z_HUFFMAN_ONLY&&t!=Zd.Z_RLE&&t!=Zd.Z_FIXED&&t!=Zd.Z_DEFAULT_STRATEGY)throw new TypeError("Invalid strategy: "+t);if(this._level!==e||this._strategy!==t){var a=this;this.flush(Zd.Z_SYNC_FLUSH,(function(){a._binding.params(e,t),a._hadError||(a._level=e,a._strategy=t,r&&r())}))}else La.nextTick(r)},Zlib.prototype.reset=function(){return this._binding.reset()},Zlib.prototype._flush=function(e){this._transform(new Buffer$2(0),"",e)},Zlib.prototype.flush=function(e,t){var r=this._writableState;if(("function"==typeof e||void 0===e&&!t)&&(t=e,e=Zd.Z_FULL_FLUSH),r.ended)t&&La.nextTick(t);else if(r.ending)t&&this.once("end",t);else if(r.needDrain){var a=this;this.once("drain",(function(){a.flush(t)}))}else this._flushFlag=e,this.write(new Buffer$2(0),"",t)},Zlib.prototype.close=function(e){if(e&&La.nextTick(e),!this._closed){this._closed=!0,
this._binding.close();var t=this;La.nextTick((function(){t.emit("close")}))}},Zlib.prototype._transform=function(e,t,r){var a,n=this._writableState,i=(n.ending||n.ended)&&(!e||n.length===e.length);if(null===!e&&!Buffer$2.isBuffer(e))return r(new Error("invalid input"));i?a=Zd.Z_FINISH:(a=this._flushFlag,e.length>=n.length&&(this._flushFlag=this._opts.flush||Zd.Z_NO_FLUSH)),this._processChunk(e,a,r)},Zlib.prototype._processChunk=function(e,t,r){var a=e&&e.length,n=this._chunkSize-this._offset,i=0,o=this,s="function"==typeof r;if(!s){var c,l=[],u=0;this.on("error",(function(e){c=e}));do{var d=this._binding.writeSync(t,e,i,a,this._buffer,this._offset,n)}while(!this._hadError&&callback(d[0],d[1]));if(this._hadError)throw c;var m=Buffer$2.concat(l,u);return this.close(),m}var p=this._binding.write(t,e,i,a,this._buffer,this._offset,n);function callback(c,d){if(!o._hadError){var m=n-d;if(function assert$3(e,t){if(!e)throw new Error(t)}(m>=0,"have should not go down"),m>0){
var p=o._buffer.slice(o._offset,o._offset+m);o._offset+=m,s?o.push(p):(l.push(p),u+=p.length)}if((0===d||o._offset>=o._chunkSize)&&(n=o._chunkSize,o._offset=0,o._buffer=new Buffer$2(o._chunkSize)),0===d){if(i+=a-c,a=c,!s)return!0;var h=o._binding.write(t,e,i,a,o._buffer,o._offset,o._chunkSize);return h.callback=callback,void(h.buffer=e)}if(!s)return!1;r()}}p.buffer=e,p.callback=callback},Fc(Deflate,Zlib),Fc(Inflate,Zlib),Fc(Gzip,Zlib),Fc(Gunzip,Zlib),Fc(DeflateRaw,Zlib),Fc(InflateRaw,Zlib),Fc(Unzip,Zlib);var em={codes:Qd,createDeflate,createInflate,createDeflateRaw,createInflateRaw,createGzip,createGunzip,createUnzip,deflate,deflateSync,gzip:gzip$1,gzipSync,deflateRaw,deflateRawSync,unzip,unzipSync,inflate,inflateSync,gunzip,gunzipSync,inflateRaw,inflateRawSync,Deflate,Inflate,Gzip,Gunzip,DeflateRaw,InflateRaw,Unzip,Zlib},tm=getAugmentedNamespace(Object.freeze({__proto__:null,codes:Qd,createDeflate,createInflate,createDeflateRaw,createInflateRaw,createGzip,createGunzip,createUnzip,
deflate,deflateSync,gzip:gzip$1,gzipSync,deflateRaw,deflateRawSync,unzip,unzipSync,inflate,inflateSync,gunzip,gunzipSync,inflateRaw,inflateRawSync,Deflate,Inflate,Gzip,Gunzip,DeflateRaw,InflateRaw,Unzip,Zlib,default:em}));const{Buffer:rm}=cd,am=eo,nm=ji,im=Jl,om=Ki,sm=tm.gzip,cm=Ws,{fetchResponseBodyFromCache:lm}=Xi,um=Lo,dm=["content-encoding","x-original-content-encoding","x-content-encoding-over-network"],mm=["gzip","br","deflate"],pm=["image","audio","video"],hm=[om.TYPES.Document,om.TYPES.Script,om.TYPES.Stylesheet,om.TYPES.XHR,om.TYPES.Fetch,om.TYPES.EventSource];class ResponseCompression extends am{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:cm.symbol}};static filterUnoptimizedResponses(e){const t=[];return e.forEach((e=>{if(e.sessionId)return;const r=e.mimeType,a=e.resourceType||om.TYPES.Other,n=e.resourceSize,i=!(r&&pm.some((e=>r.startsWith(e))))&&hm.includes(a),o=e.url.startsWith("chrome-extension:")
;if(!i||!n||!e.finished||o||!e.transferSize||304===e.statusCode)return;(e.responseHeaders||[]).find((e=>dm.includes(e.name.toLowerCase())&&mm.includes(e.value)))||t.push({requestId:e.requestId,url:e.url,mimeType:r,transferSize:e.transferSize,resourceSize:n,gzipSize:0})})),t}async _getArtifact(e,t){const r=e.driver.defaultSession,a=ResponseCompression.filterUnoptimizedResponses(t);return Promise.all(a.map((e=>lm(r,e.requestId).then((t=>t?new Promise(((r,a)=>sm(t,((t,n)=>{if(t)return a(t);e.gzipSize=rm.byteLength(n,"utf8"),r(e)})))):e)).catch((t=>(im.captureException(t,{tags:{gatherer:"ResponseCompression"},extra:{url:nm.elideDataURI(e.url)},level:"warning"}),e.gzipSize=void 0,e))))))}async getArtifact(e){const t=e.dependencies.DevtoolsLog,r=await um.request(t,e);return this._getArtifact(e,r)}async afterPass(e,t){return this._getArtifact({...e,dependencies:{}},t.networkRecords)}}var gm=ResponseCompression;const fm=Lo,ym=Ws,vm=eo;function installMediaListener(){
window.___linkMediaChanges=[],Object.defineProperty(HTMLLinkElement.prototype,"media",{set:function(e){const t={href:this.href,media:e,msSinceHTMLEnd:Date.now()-performance.timing.responseEnd,matches:window.matchMedia(e).matches};window.___linkMediaChanges.push(t),this.setAttribute("media",e)}})}async function collectTagsThatBlockFirstPaint(){const e=window.___linkMediaChanges;try{const t=[...document.querySelectorAll("link")].filter((e=>{const t="stylesheet"===e.rel&&window.matchMedia(e.media).matches&&!e.disabled,r="import"===e.rel&&!e.hasAttribute("async");return t||r})).map((t=>({tagName:"LINK",url:t.href,href:t.href,rel:t.rel,media:t.media,disabled:t.disabled,mediaChanges:e.filter((e=>e.href===t.href))}))),r=[...document.querySelectorAll("head script[src]")].filter((e=>!(e instanceof SVGScriptElement)&&!(e.hasAttribute("async")||e.hasAttribute("defer")||/^data:/.test(e.src)||/^blob:/.test(e.src)||"module"===e.getAttribute("type")))).map((e=>({tagName:"SCRIPT",url:e.src,src:e.src
})));return[...t,...r]}catch(e){throw new Error(`${"Unable to gather Scripts/Stylesheets/HTML Imports on the page"}: ${e.message}`)}}class TagsBlockingFirstPaint extends vm{meta={supportedModes:["navigation"],dependencies:{DevtoolsLog:ym.symbol}};static _filteredAndIndexedByUrl(e){const t=new Map;for(const r of e){if(!r.finished)continue;const e="parser"===r.initiator.type,a=/(css|script)/.test(r.mimeType)&&e,n=r.failed;(r.mimeType&&r.mimeType.includes("html")||a||n&&e)&&t.set(r.url,r)}return t}static async findBlockingTags(e,t){const r=t.reduce(((e,t)=>Math.min(e,t.endTime)),1/0),a=await e.executionContext.evaluate(collectTagsThatBlockFirstPaint,{args:[]}),n=TagsBlockingFirstPaint._filteredAndIndexedByUrl(t),i=[];for(const e of a){const t=n.get(e.url);if(!t||t.isLinkPreload)continue;let a,o=t.endTime;if("LINK"===e.tagName){const n=e.mediaChanges.filter((e=>!e.matches)).map((e=>e.msSinceHTMLEnd));if(n.length>0){const e=Math.min(...n),a=Math.max(t.startTime,r+e/1e3);o=Math.min(o,a)}
a=e.mediaChanges}const{tagName:s,url:c}=e;i.push({tag:{tagName:s,url:c,mediaChanges:a},transferSize:t.transferSize,startTime:t.startTime,endTime:o}),n.delete(e.url)}return i}async startSensitiveInstrumentation(e){const{executionContext:t}=e.driver;await t.evaluateOnNewDocument(installMediaListener,{args:[]})}async getArtifact(e){const t=e.dependencies.DevtoolsLog,r=await fm.request(t,e);return TagsBlockingFirstPaint.findBlockingTags(e.driver,r)}afterPass(e,t){return TagsBlockingFirstPaint.findBlockingTags(e.driver,t.networkRecords)}}var bm=TagsBlockingFirstPaint;
/**
   * @license Copyright 2020 Google Inc. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   */const wm=eo,Sm=Wo,Tm=hn,Em=ls,{waitForNetworkIdle:xm}=gs;function kebabCaseToCamelCase(e){return e.replace(/(-\w)/g,(e=>e[1].toUpperCase()))}function getObservedDeviceMetrics(){const e=kebabCaseToCamelCase(window.screen.orientation.type);return{width:document.documentElement.clientWidth,height:document.documentElement.clientHeight,screenOrientation:{type:e,angle:window.screen.orientation.angle},deviceScaleFactor:window.devicePixelRatio}}function waitForDoubleRaf(){return new Promise((e=>{requestAnimationFrame((()=>requestAnimationFrame(e)))}))}var _m=class FullPageScreenshot$1 extends wm{meta={supportedModes:["snapshot","timespan","navigation"]};async getMaxTextureSize(e){return await e.driver.executionContext.evaluate(Tm.getMaxTextureSize,{args:[],useIsolation:!0,deps:[]})}async _takeScreenshot(e,t){
const r=e.driver.defaultSession,a=await this.getMaxTextureSize(e),n=await r.sendCommand("Page.getLayoutMetrics"),i=Math.round(t.height*n.contentSize.height/n.layoutViewport.clientHeight),o=Math.min(i,a),s=new Em(r),c=xm(r,s,{pretendDCLAlreadyFired:!0,networkQuietThresholdMs:1e3,busyEvent:"network-critical-busy",idleEvent:"network-critical-idle",isIdle:e=>e.isCriticalIdle()});await s.enable(),await r.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:t.mobile,deviceScaleFactor:1,height:o,width:0}),await Promise.race([new Promise((e=>setTimeout(e,5e3))),c.promise]),c.cancel(),await s.disable(),await e.driver.executionContext.evaluate(waitForDoubleRaf,{args:[]});return{data:"data:image/jpeg;base64,"+(await r.sendCommand("Page.captureScreenshot",{format:"jpeg",quality:30})).data,width:t.width,height:o}}async _resolveNodes(e){function resolveNodes(){const e={};if(!window.__lighthouseNodesDontTouchOrAllVarianceGoesAway)return e
;const t=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway;for(const[r,a]of t.entries()){const t=getBoundingClientRect(r);e[a]=t}return e}function resolveNodesInPage({useIsolation:t}){return e.driver.executionContext.evaluate(resolveNodes,{args:[],useIsolation:t,deps:[Tm.getBoundingClientRectString]})}return{...await resolveNodesInPage({useIsolation:!1}),...await resolveNodesInPage({useIsolation:!0})}}async getArtifact(e){const t=e.driver.defaultSession,r=e.driver.executionContext,a=e.settings,n=!a.screenEmulation.disabled,i={...a.screenEmulation};if(!n){const e=await r.evaluate(getObservedDeviceMetrics,{args:[],useIsolation:!0,deps:[kebabCaseToCamelCase]});i.height=e.height,i.width=e.width,i.deviceScaleFactor=e.deviceScaleFactor,i.mobile="mobile"===a.formFactor}try{return{screenshot:await this._takeScreenshot(e,i),nodes:await this._resolveNodes(e)}}finally{n?await Sm.emulate(t,a):await t.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:i.mobile,
deviceScaleFactor:i.deviceScaleFactor,height:i.height,width:0})}}};const Am=eo;class GlobalListeners extends Am{meta={supportedModes:["snapshot","timespan","navigation"]};static _filterForAllowlistedTypes(e){return"pagehide"===e.type||"unload"===e.type||"visibilitychange"===e.type}getListenerIndentifier(e){return`${e.type}:${e.scriptId}:${e.columnNumber}:${e.lineNumber}`}dedupeListeners(e){const t=new Set;return e.filter((e=>{const r=this.getListenerIndentifier(e);return!t.has(r)&&(t.add(r),!0)}))}async getArtifact(e){const t=e.driver.defaultSession,{result:{objectId:r}}=await t.sendCommand("Runtime.evaluate",{expression:"window",returnByValue:!1});if(!r)throw new Error("Error fetching information about the global object");const{listeners:a}=await t.sendCommand("DOMDebugger.getEventListeners",{objectId:r}),n=a.filter(GlobalListeners._filterForAllowlistedTypes).map((e=>{const{type:t,scriptId:r,lineNumber:a,columnNumber:n}=e;return{type:t,scriptId:r,lineNumber:a,columnNumber:n}}))
;return this.dedupeListeners(n)}}var Rm=GlobalListeners;const km=eo,Dm=hn;function collectIFrameElements(){return getElementsInDocument("iframe").map((e=>{const t=e.getBoundingClientRect(),{top:r,bottom:a,left:n,right:i,width:o,height:s}=t;return{id:e.id,src:e.src,clientRect:{top:r,bottom:a,left:n,right:i,width:o,height:s},isPositionFixed:isPositionFixed(e),node:getNodeDetails(e)}}))}var Cm=class IFrameElements extends km{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const t=e.driver;return await t.executionContext.evaluate(collectIFrameElements,{args:[],useIsolation:!0,deps:[Dm.getElementsInDocumentString,Dm.isPositionFixedString,Dm.getNodeDetailsString]})}},Im={exports:{}};const Nm=eo;function hasFontSizeDeclaration(e){return!!e&&!!e.cssProperties.find((({name:e})=>"font-size"===e))}function computeSelectorSpecificity(e){const t=e.replace(/[*\s+>~]/g," ").split(" ");let r=0,a=0,n=0;for(const e of t){
const t=e.match(/(\b|^)#[a-z0-9_-]+/gi)||[],i=e.match(/(\b|^)\.[a-z0-9_-]+/gi)||[],o=e.match(/^[a-z]+/i)?[1]:[];r+=t.length,a+=i.length,n+=o.length}return 100*Math.min(9,r)+10*Math.min(9,a)+Math.min(9,n)}function findMostSpecificMatchedCSSRule(e=[],t){let r,a=-1/0;for(const{rule:n,matchingSelectors:i}of e)if(t(n.style)){const e=i.map((e=>computeSelectorSpecificity(n.selectorList.selectors[e].text))),t=Math.max(...e);t>=a&&(a=t,r=n)}if(r)return{type:"Regular",...r.style,parentRule:{origin:r.origin,selectors:r.selectorList.selectors}}}function getEffectiveFontRule({attributesStyle:e,inlineStyle:t,matchedCSSRules:r,inherited:a}){if(hasFontSizeDeclaration(t))return{type:"Inline",...t};const n=findMostSpecificMatchedCSSRule(r,hasFontSizeDeclaration);if(n)return n;if(hasFontSizeDeclaration(e))return{type:"Attributes",...e};const i=function findInheritedCSSRule(e=[]){for(const{inlineStyle:t,matchedCSSRules:r}of e){if(hasFontSizeDeclaration(t))return{type:"Inline",...t}
;const e=findMostSpecificMatchedCSSRule(r,hasFontSizeDeclaration);if(e)return e}}(a);return i||void 0}function getTextLength(e){return e?Array.from(e.trim()).length:0}class FontSize$2 extends Nm{meta={supportedModes:["snapshot","navigation"]};static async fetchFailingNodeSourceRules(e,t){const r=t.sort(((e,t)=>t.textLength-e.textLength)).slice(0,50);await e.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});const{nodeIds:a}=await e.sendCommand("DOM.pushNodesByBackendIdsToFrontend",{backendNodeIds:r.map((e=>e.parentNode.backendNodeId))}),n=r.map((async(t,r)=>{t.nodeId=a[r];try{const n=await async function fetchSourceRule(e,t){const r=getEffectiveFontRule(await e.sendCommand("CSS.getMatchedStylesForNode",{nodeId:t}));if(r)return{type:r.type,range:r.range,styleSheetId:r.styleSheetId,parentRule:r.parentRule&&{origin:r.parentRule.origin,selectors:r.parentRule.selectors}}}(e,a[r]);t.cssRule=n}catch(e){t.cssRule=void 0}return t
})),i=await Promise.all(n),o=i.reduce(((e,{textLength:t})=>e+t),0);return{analyzedFailingNodesData:i,analyzedFailingTextLength:o}}getTextNodesInLayoutFromSnapshot(e){const t=e.strings,getString=e=>t[e],r=[];for(let a=0;a<e.documents.length;a++){const n=e.documents[a];if(!(n.nodes.backendNodeId&&n.nodes.parentIndex&&n.nodes.attributes&&n.nodes.nodeName))throw new Error("Unexpected response from DOMSnapshot.captureSnapshot.");const i=n.nodes,getParentData=e=>({backendNodeId:i.backendNodeId[e],attributes:i.attributes[e].map(getString),nodeName:getString(i.nodeName[e])});for(const e of n.textBoxes.layoutIndex){const a=t[n.layout.text[e]];if(!a)continue;const o=n.layout.nodeIndex[e],s=n.layout.styles[e],[c]=s,l=parseFloat(t[c]),u=i.parentIndex[o],d=i.parentIndex[u],m=getParentData(u),p=void 0!==d?getParentData(d):void 0;r.push({nodeIndex:o,backendNodeId:i.backendNodeId[o],fontSize:l,textLength:getTextLength(a),parentNode:{...m,parentNode:p}})}}return r}findFailingNodes(e){const t=[]
;let r=0,a=0;for(const n of this.getTextNodesInLayoutFromSnapshot(e))r+=n.textLength,n.fontSize<12&&(a+=n.textLength,t.push({nodeId:0,parentNode:n.parentNode,textLength:n.textLength,fontSize:n.fontSize}));return{totalTextLength:r,failingTextLength:a,failingNodes:t}}async getArtifact(e){const t=e.driver.defaultSession,r=new Map,onStylesheetAdded=e=>r.set(e.header.styleSheetId,e.header);t.on("CSS.styleSheetAdded",onStylesheetAdded),await Promise.all([t.sendCommand("DOMSnapshot.enable"),t.sendCommand("DOM.enable"),t.sendCommand("CSS.enable")]);const a=await t.sendCommand("DOMSnapshot.captureSnapshot",{computedStyles:["font-size"]}),{totalTextLength:n,failingTextLength:i,failingNodes:o}=this.findFailingNodes(a),{analyzedFailingNodesData:s,analyzedFailingTextLength:c}=await FontSize$2.fetchFailingNodeSourceRules(t,o);return t.off("CSS.styleSheetAdded",onStylesheetAdded),s.filter((e=>e.cssRule?.styleSheetId)).forEach((e=>e.cssRule.stylesheet=r.get(e.cssRule.styleSheetId))),
await Promise.all([t.sendCommand("DOMSnapshot.disable"),t.sendCommand("DOM.disable"),t.sendCommand("CSS.disable")]),{analyzedFailingNodesData:s,analyzedFailingTextLength:c,failingTextLength:i,totalTextLength:n}}}Im.exports=FontSize$2,Im.exports.computeSelectorSpecificity=computeSelectorSpecificity,Im.exports.getEffectiveFontRule=getEffectiveFontRule,Im.exports.findMostSpecificMatchedCSSRule=findMostSpecificMatchedCSSRule;const Lm=on.default,Mm=eo,Pm=hn,Om=Im.exports;function getClientRect(e){const t=e.getBoundingClientRect();return{top:t.top,bottom:t.bottom,left:t.left,right:t.right}}function getPosition(e,t){if(e.parentElement&&"PICTURE"===e.parentElement.tagName){return window.getComputedStyle(e.parentElement).getPropertyValue("position")}return t.getPropertyValue("position")}function getHTMLImages(e){return e.filter((e=>"img"===e.localName)).map((e=>{const t=window.getComputedStyle(e),r=!!e.parentElement&&"PICTURE"===e.parentElement.tagName,a=!r&&!e.srcset;return{src:e.currentSrc,
srcset:e.srcset,displayedWidth:e.width,displayedHeight:e.height,clientRect:getClientRect(e),attributeWidth:e.getAttribute("width"),attributeHeight:e.getAttribute("height"),naturalDimensions:a?{width:e.naturalWidth,height:e.naturalHeight}:void 0,cssRules:void 0,computedStyles:{position:getPosition(e,t),objectFit:t.getPropertyValue("object-fit"),imageRendering:t.getPropertyValue("image-rendering")},isCss:!1,isPicture:r,loading:e.loading,isInShadowDOM:e.getRootNode()instanceof ShadowRoot,node:getNodeDetails(e)}}))}function getCSSImages(e){const t=/^url\("([^"]+)"\)$/,r=[];for(const a of e){const e=window.getComputedStyle(a);if(!e.backgroundImage||!t.test(e.backgroundImage))continue;const n=e.backgroundImage.match(t)[1];r.push({src:n,srcset:"",displayedWidth:a.clientWidth,displayedHeight:a.clientHeight,clientRect:getClientRect(a),attributeWidth:null,attributeHeight:null,naturalDimensions:void 0,cssEffectiveRules:void 0,computedStyles:{position:getPosition(a,e),objectFit:"",
imageRendering:e.getPropertyValue("image-rendering")},isCss:!0,isPicture:!1,isInShadowDOM:a.getRootNode()instanceof ShadowRoot,node:getNodeDetails(a)})}return r}function collectImageElementInfo(){const e=getElementsInDocument();return getHTMLImages(e).concat(getCSSImages(e))}function determineNaturalSize(e){return new Promise(((t,r)=>{const a=new Image;a.addEventListener("error",(e=>r(new Error("determineNaturalSize failed img load")))),a.addEventListener("load",(()=>{t({naturalWidth:a.naturalWidth,naturalHeight:a.naturalHeight})})),a.src=e}))}function findSizeDeclaration(e,t){if(!e||!e.cssProperties)return;const r=e.cssProperties.find((({name:e})=>e===t));return r?r.value:void 0}function getEffectiveSizingRule({attributesStyle:e,inlineStyle:t,matchedCSSRules:r},a){const n=findSizeDeclaration(t,a);if(n)return n;const i=findSizeDeclaration(e,a);if(i)return i;const o=function findMostSpecificCSSRule(e,t){const r=Om.findMostSpecificMatchedCSSRule(e,(e=>findSizeDeclaration(e,t)))
;if(r)return findSizeDeclaration(r,t)}(r,a);return o||null}function getPixelArea(e){return e.naturalDimensions?e.naturalDimensions.height*e.naturalDimensions.width:e.displayedHeight*e.displayedWidth}var Fm=class ImageElements extends Mm{meta={supportedModes:["snapshot","timespan","navigation"]};constructor(){super(),this._naturalSizeCache=new Map}async fetchElementWithSizeInformation(e,t){const r=t.src;let a=this._naturalSizeCache.get(r);if(!a)try{e.defaultSession.setNextProtocolTimeout(250),a=await e.executionContext.evaluate(determineNaturalSize,{args:[r]}),this._naturalSizeCache.set(r,a)}catch(e){}a&&(t.naturalDimensions={width:a.naturalWidth,height:a.naturalHeight})}async fetchSourceRules(e,t,r){try{const{nodeId:a}=await e.sendCommand("DOM.pushNodeByPathToFrontend",{path:t});if(!a)return;const n=await e.sendCommand("CSS.getMatchedStylesForNode",{nodeId:a}),i=getEffectiveSizingRule(n,"width"),o=getEffectiveSizingRule(n,"height"),s=getEffectiveSizingRule(n,"aspect-ratio")
;r.cssEffectiveRules={width:i,height:o,aspectRatio:s}}catch(e){if(/No node.*found/.test(e.message))return;throw e}}async collectExtraDetails(e,t){let r=!1;setTimeout((e=>r=!0),5e3);let a=0;for(const n of t)r?a++:(n.isInShadowDOM||n.isCss||await this.fetchSourceRules(e.defaultSession,n.node.devtoolsNodePath,n),(n.isPicture||n.isCss||n.srcset)&&await this.fetchElementWithSizeInformation(e,n));r&&Lm.warn("ImageElements",`Reached gathering budget of 5s. Skipped extra details for ${a}/${t.length}`)}async getArtifact(e){const t=e.driver.defaultSession,r=e.driver.executionContext,a=await r.evaluate(collectImageElementInfo,{args:[],deps:[Pm.getElementsInDocumentString,Pm.getBoundingClientRectString,Pm.getNodeDetailsString,getClientRect,getPosition,getHTMLImages,getCSSImages]});return await Promise.all([t.sendCommand("DOM.enable"),t.sendCommand("CSS.enable"),t.sendCommand("DOM.getDocument",{depth:-1,pierce:!0})]),a.sort(((e,t)=>getPixelArea(t)-getPixelArea(e))),
await this.collectExtraDetails(e.driver,a),await Promise.all([t.sendCommand("DOM.disable"),t.sendCommand("CSS.disable")]),a}};const Um=eo,jm=hn;function collectElements(){const e=[],t=new Map,r=new Map,a=getElementsInDocument("form");for(const e of a)t.set(e,{id:e.id,name:e.name,autocomplete:e.autocomplete,node:getNodeDetails(e)});const n=getElementsInDocument("label");for(const e of n)r.set(e,{for:e.htmlFor,node:getNodeDetails(e)});const i=getElementsInDocument("textarea, input, select");for(const a of i){const n=a.form,i=n?[...t.keys()].indexOf(n):void 0,o=[...a.labels||[]].map((e=>[...r.keys()].indexOf(e)));e.push({parentFormIndex:i,labelIndices:o,id:a.id,name:a.name,type:a.type,placeholder:a instanceof HTMLSelectElement?void 0:a.placeholder,autocomplete:{property:a.autocomplete,attribute:a.getAttribute("autocomplete"),prediction:a.getAttribute("autofill-prediction")},node:getNodeDetails(a)})}return{inputs:e,forms:[...t.values()],labels:[...r.values()]}}
var Bm=class Inputs extends Um{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){return e.driver.executionContext.evaluate(collectElements,{args:[],useIsolation:!0,deps:[jm.getElementsInDocumentString,jm.getNodeDetailsString]})}};const $m=eo,qm=Lo,zm=Ws;var Vm=class InspectorIssues extends $m{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:zm.symbol}};constructor(){super(),this._issues=[],this._onIssueAdded=this.onIssueAdded.bind(this)}onIssueAdded(e){this._issues.push(e.issue)}async startInstrumentation(e){const t=e.driver.defaultSession;t.on("Audits.issueAdded",this._onIssueAdded),await t.sendCommand("Audits.enable")}async stopInstrumentation(e){const t=e.driver.defaultSession;t.off("Audits.issueAdded",this._onIssueAdded),await t.sendCommand("Audits.disable")}async _getArtifact(e){const t={attributionReportingIssue:[],blockedByResponseIssue:[],clientHintIssue:[],contentSecurityPolicyIssue:[],corsIssue:[],deprecationIssue:[],
federatedAuthRequestIssue:[],genericIssue:[],heavyAdIssue:[],lowTextContrastIssue:[],mixedContentIssue:[],navigatorUserAgentIssue:[],quirksModeIssue:[],cookieIssue:[],sharedArrayBufferIssue:[],twaQualityEnforcement:[]},r=Object.keys(t);for(const a of r){const r=`${a}Details`,n=this._issues.map((e=>e.details[r]));for(const r of n){if(!r)continue;const n="request"in r&&r.request&&r.request.requestId;n?e.find((e=>e.requestId===n))&&t[a].push(r):t[a].push(r)}}return t}async getArtifact(e){const t=e.dependencies.DevtoolsLog,r=await qm.request(t,e);return this._getArtifact(r)}async afterPass(e,t){return await this.stopInstrumentation({...e,dependencies:{}}),this._getArtifact(t.networkRecords)}};const Wm=eo;var Gm=class JsUsage extends Wm{meta={supportedModes:["snapshot","timespan","navigation"]};constructor(){super(),this._scriptParsedEvents=[],this._scriptUsages=[],this.onScriptParsed=this.onScriptParsed.bind(this)}onScriptParsed(e){e.embedderName&&this._scriptParsedEvents.push(e)}
async startInstrumentation(e){const t=e.driver.defaultSession;await t.sendCommand("Profiler.enable"),await t.sendCommand("Profiler.startPreciseCoverage",{detailed:!1})}async stopInstrumentation(e){const t=e.driver.defaultSession,r=await t.sendCommand("Profiler.takePreciseCoverage");this._scriptUsages=r.result,await t.sendCommand("Profiler.stopPreciseCoverage"),await t.sendCommand("Profiler.disable")}async startSensitiveInstrumentation(e){const t=e.driver.defaultSession;t.on("Debugger.scriptParsed",this.onScriptParsed),await t.sendCommand("Debugger.enable")}async stopSensitiveInstrumentation(e){const t=e.driver.defaultSession;await t.sendCommand("Debugger.disable"),t.off("Debugger.scriptParsed",this.onScriptParsed)}_addMissingScriptIds(e){for(const t of this._scriptParsedEvents){const r=t.embedderName;if(!r)continue;const a=e[r]||[];a.find((e=>e.scriptId===t.scriptId))||a.push({url:r,scriptId:t.scriptId,functions:[]}),e[r]=a}}async getArtifact(e){const t={}
;"snapshot"===e.gatherMode&&(await this.startSensitiveInstrumentation(e),await this.stopSensitiveInstrumentation(e));for(const e of this._scriptUsages){let r=e.url;const a=this._scriptParsedEvents.find((t=>t.scriptId===e.scriptId));if(a?.embedderName&&(r=a.embedderName),""===e.url||a&&""===a.embedderName)continue;const n=t[r]||[];n.push(e),t[r]=n}return"navigation"!==e.gatherMode&&this._addMissingScriptIds(t),t}};function hasOwnProperty(e,t){return Object.prototype.hasOwnProperty.call(e,t)}var Hm=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)};function stringifyPrimitive(e){switch(typeof e){case"string":return e;case"boolean":return e?"true":"false";case"number":return isFinite(e)?e:"";default:return""}}function stringify(e,t,r,a){return t=t||"&",r=r||"=",null===e&&(e=void 0),"object"==typeof e?map(Ym(e),(function(a){var n=encodeURIComponent(stringifyPrimitive(a))+r;return Hm(e[a])?map(e[a],(function(e){
return n+encodeURIComponent(stringifyPrimitive(e))})).join(t):n+encodeURIComponent(stringifyPrimitive(e[a]))})).join(t):a?encodeURIComponent(stringifyPrimitive(a))+r+encodeURIComponent(stringifyPrimitive(e)):""}function map(e,t){if(e.map)return e.map(t);for(var r=[],a=0;a<e.length;a++)r.push(t(e[a],a));return r}var Ym=Object.keys||function(e){var t=[];for(var r in e)Object.prototype.hasOwnProperty.call(e,r)&&t.push(r);return t};function parse$1(e,t,r,a){t=t||"&",r=r||"=";var n={};if("string"!=typeof e||0===e.length)return n;var i=/\+/g;e=e.split(t);var o=1e3;a&&"number"==typeof a.maxKeys&&(o=a.maxKeys);var s=e.length;o>0&&s>o&&(s=o);for(var c=0;c<s;++c){var l,u,d,m,p=e[c].replace(i,"%20"),h=p.indexOf(r);h>=0?(l=p.substr(0,h),u=p.substr(h+1)):(l=p,u=""),d=decodeURIComponent(l),m=decodeURIComponent(u),hasOwnProperty(n,d)?Hm(n[d])?n[d].push(m):n[d]=[n[d],m]:n[d]=m}return n}var Km={encode:stringify,stringify,decode:parse$1,parse:parse$1},Jm=getAugmentedNamespace(Object.freeze({
__proto__:null,stringify,parse:parse$1,default:Km,encode:stringify,decode:parse$1})),Xm=function trim(e){return e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,"")};function Link(e){if(!(this instanceof Link))return new Link(e);this.refs=[]}Link.pattern=/(?:\<([^\>]+)\>)((\s*;\s*([a-z\*]+)=(("[^"]+")|('[^']+')|([^\,\;]+)))*)(\s*,\s*|$)/gi,Link.attrPattern=/([a-z\*]+)=(?:(?:"([^"]+)")|(?:'([^']+)')|([^\,\;]+))/gi,Link.isCompatibleEncoding=function(e){return/^utf-?8|ascii|utf-?16-?le|ucs-?2|base-?64|latin-?1$/i.test(e)},Link.formatExtendedAttribute=function(e,t){var r=(t.encoding||"utf-8").toUpperCase();return e+"="+r+"'"+(t.language||"en")+"'"+(Buffer$2.isBuffer(t.value)&&Link.isCompatibleEncoding(r)?t.value.toString(r):Buffer$2.isBuffer(t.value)?t.value.toString("hex").replace(/[0-9a-f]{2}/gi,"%$1"):Jm.escape(t.value))},Link.formatAttribute=function(e,t){
return/\*$/.test(e)||"string"!=typeof t?Link.formatExtendedAttribute(e,t):(/[^a-z]/i.test(t)&&(t='"'+(t=Jm.escape(t).replace(/%20/g," ").replace(/%2C/g,",").replace(/%3B/g,";"))+'"'),e+"="+t)},Link.parseExtendedValue=function(e){var t=/([^']+)?(?:'([^']+)')?(.+)/.exec(e);return{language:t[2].toLowerCase(),encoding:Link.isCompatibleEncoding(t[1])?null:t[1].toLowerCase(),value:Link.isCompatibleEncoding(t[1])?Jm.unescape(t[3]):t[3]}},Link.setAttr=function(e,t,r){return"rel"===t&&null!=e[t]||(Array.isArray(e[t])?e[t].push(r):null!=e[t]?e[t]=[e[t],r]:e[t]=r),e},Link.parseParams=function(e,t){var r={},a=/(.+)\?(.+)/gi.exec(t);if(!a)return e;a=a[2].split("&");for(var n=0;n<a.length;n++){var i=a[n].split("=");r[i[0]]=i[1]}return Link.setAttr(e,"params",r),e},Link.parseAttrs=function(e,t){var r=null,a="",n="",i="",o=/<(.*)>;\s*(.*)/gi.exec(t);for(o&&(i=o[2],e=Link.parseParams(e,o[1]));r=Link.attrPattern.exec(i);)a=r[1].toLowerCase(),n=r[4]||r[3]||r[2],
/\*$/.test(a)?Link.setAttr(e,a,Link.parseExtendedValue(n)):/%/.test(n)?Link.setAttr(e,a,Jm.unescape(n)):Link.setAttr(e,a,n);return e},Link.parse=function(e){return(new Link).parse(e)},Link.prototype={constructor:Link,rel:function(e){for(var t=[],r=0;r<this.refs.length;r++)this.refs[r].rel===e&&t.push(this.refs[r]);return t},get:function(e,t){e=e.toLowerCase();for(var r=[],a=0;a<this.refs.length;a++)this.refs[a][e]===t&&r.push(this.refs[a]);return r},set:function(e){return this.refs.push(e),this},has:function(e,t){return null!=this.get(e,t)},parse:function(e){e=Xm(e).replace(/\r?\n[\x20\x09]+/g,"");for(var t=null;t=Link.pattern.exec(e);){var r=Link.parseAttrs({uri:t[1]},t[0]);this.refs.push(r)}return this},toString:function(){for(var e=[],t="",r=null,a=0;a<this.refs.length;a++)r=this.refs[a],t=Object.keys(this.refs[a]).reduce((function(e,t){return"uri"===t?e:e+"; "+Link.formatAttribute(t,r[t])}),"<"+r.uri+">"),e.push(t);return e.join(", ")}}
;const Zm=Link,Qm=eo,{URL:ep}=ji,tp=Lo,rp=Fo,ap=hn,np=Ws;function normalizeUrlOrNull(e,t){try{return new ep(e,t).href}catch(e){return null}}function getLinkElementsInDOM(){const e=getElementsInDocument("link"),t=[];for(const r of e){if(!(r instanceof HTMLLinkElement))continue;const e=r.getAttribute("href")||"",a=r.closest("head")?"head":"body";t.push({rel:r.rel,href:r.href,hreflang:r.hreflang,as:r.as,crossOrigin:r.crossOrigin,hrefRaw:e,source:a,node:getNodeDetails(r)})}return t}class LinkElements extends Qm{constructor(){super(),this.meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:np.symbol}}}static getLinkElementsInDOM(e){return e.driver.executionContext.evaluate(getLinkElementsInDOM,{args:[],useIsolation:!0,deps:[ap.getNodeDetailsString,ap.getElementsInDocument]})}static getLinkElementsInHeaders(e,t){const r=e.url,a=rp.findMainDocument(t,r),n=[];for(const e of a.responseHeaders)if("link"===e.name.toLowerCase())for(const t of Zm.parse(e.value).refs)n.push({
rel:t.rel||"",href:normalizeUrlOrNull(t.uri,r),hrefRaw:t.uri||"",hreflang:t.hreflang||"",as:t.as||"",crossOrigin:(i=t.crossorigin,"anonymous"===i?"anonymous":"use-credentials"===i?"use-credentials":null),source:"headers",node:null});var i;return n}async _getArtifact(e,t){const r=await LinkElements.getLinkElementsInDOM(e),a=LinkElements.getLinkElementsInHeaders(e,t),n=r.concat(a);for(const e of n)e.rel=e.rel.toLowerCase();return n}async afterPass(e,t){return this._getArtifact({...e,dependencies:{}},t.networkRecords)}async getArtifact(e){const t=await tp.request(e.dependencies.DevtoolsLog,e);return this._getArtifact(e,t)}}var ip=LinkElements;const op=eo,sp=Fo,cp=Lo,lp=Ws,{fetchResponseBodyFromCache:up}=Xi;var dp=class MainDocumentContent extends op{meta={supportedModes:["navigation"],dependencies:{DevtoolsLog:lp.symbol}};async _getArtifact(e,t){const r=sp.findMainDocument(t,e.url),a=e.driver.defaultSession;return up(a,r.requestId)}async getArtifact(e){
const t=e.dependencies.DevtoolsLog,r=await cp.request(t,e);return this._getArtifact(e,r)}async afterPass(e,t){return this._getArtifact({...e,dependencies:{}},t.networkRecords)}};const mp=eo,pp=hn;function collectMetaElements(){const e={getElementsInDocument,getNodeDetails};return e.getElementsInDocument("head meta").map((t=>{const getAttribute=e=>{const r=t.attributes.getNamedItem(e);if(r)return r.value};return{name:t.name.toLowerCase(),content:t.content,property:getAttribute("property"),httpEquiv:t.httpEquiv?t.httpEquiv.toLowerCase():void 0,charset:getAttribute("charset"),node:e.getNodeDetails(t)}}))}var hp=class MetaElements extends mp{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(collectMetaElements,{args:[],useIsolation:!0,deps:[pp.getElementsInDocument,pp.getNodeDetailsString]})}};const gp=eo,fp=Lo,yp=Fo,vp=Ki,bp=hn,{fetchResponseBodyFromCache:wp}=Xi,Sp=Ws;function collectAllScriptElements(){
return getElementsInDocument("script").map((e=>({type:e.type||null,src:e.src||null,id:e.id||null,async:e.async,defer:e.defer,source:e.closest("head")?"head":"body",content:e.src?null:e.text,requestId:null,node:getNodeDetails(e)})))}var Tp=class ScriptElements extends gp{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Sp.symbol}};async _getArtifact(e,t,r){const a=e.driver.defaultSession,n=e.driver.executionContext,i=yp.findOptionalMainDocument(t,e.url),o=await n.evaluate(collectAllScriptElements,{args:[],useIsolation:!0,deps:[bp.getNodeDetailsString,bp.getElementsInDocument]});for(const e of o)i&&e.content&&(e.requestId=i.requestId);const s=t.filter((e=>!e.sessionId)).filter((e=>e.resourceType===vp.TYPES.Script)),c=await async function runInSeriesOrParallel(e,t,r){if(r){const r=[];for(const a of e){const e=await t(a);r.push(e)}return r}{const r=e.map(t);return await Promise.all(r)}}(s,(e=>wp(a,e.requestId).catch((()=>""))),"mobile"===r)
;for(let e=0;e<s.length;e++){const t=s[e],r=c[e];if(!r)continue;const a=o.find((e=>e.src===t.url));a?(a.requestId=t.requestId,a.content=r):o.push({type:null,src:t.url,id:null,async:!1,defer:!1,source:"network",requestId:t.requestId,content:r,node:null})}return o}async getArtifact(e){const t=e.dependencies.DevtoolsLog,r=e.baseArtifacts.HostFormFactor,a=await fp.request(t,e);return this._getArtifact(e,a,r)}async afterPass(e,t){const r=t.networkRecords,a=e.baseArtifacts.HostFormFactor;return this._getArtifact({...e,dependencies:{}},r,a)}};const Ep=eo,xp=hn;function getEmbeddedContent(){const e={getElementsInDocument,getNodeDetails};return e.getElementsInDocument("object, embed, applet").map((t=>({tagName:t.tagName,type:t.getAttribute("type"),src:t.getAttribute("src"),data:t.getAttribute("data"),code:t.getAttribute("code"),params:Array.from(t.children).filter((e=>"PARAM"===e.tagName)).map((e=>({name:e.getAttribute("name")||"",value:e.getAttribute("value")||""}))),node:e.getNodeDetails(t)
})))}var _p=class EmbeddedContent extends Ep{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(getEmbeddedContent,{args:[],deps:[xp.getElementsInDocument,xp.getNodeDetailsString]})}};const Ap=eo;async function getRobotsTxtContent(){try{const e=await fetch(new URL("/robots.txt",location.href).href);if(!e.ok)return{status:e.status,content:null};const t=await e.text();return{status:e.status,content:t}}catch(e){return{status:null,content:null,errorMessage:e.message}}}var Rp=class RobotsTxt$1 extends Ap{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){if(await e.driver.fetcher.shouldUseLegacyFetcher())return e.driver.executionContext.evaluate(getRobotsTxtContent,{args:[],useIsolation:!0});const t=new URL("/robots.txt",e.url).href;return await e.driver.fetcher.enable(),e.driver.fetcher.fetchResource(t).catch((e=>({status:null,content:null,errorMessage:e.message})))}};function rectContains(e,t){
return t.top>=e.top&&t.right<=e.right&&t.bottom<=e.bottom&&t.left>=e.left}function getRectCenterPoint(e){return{x:e.left+e.width/2,y:e.top+e.height/2}}function getBoundingRectWithPadding$1(e,t){if(0===e.length)throw new Error("No rects to take bounds of");let r=Number.MAX_VALUE,a=-Number.MAX_VALUE,n=Number.MAX_VALUE,i=-Number.MAX_VALUE;for(const t of e)r=Math.min(r,t.left),a=Math.max(a,t.right),n=Math.min(n,t.top),i=Math.max(i,t.bottom);const o=t/2;return r-=o,a+=o,n-=o,i+=o,{left:r,right:a,top:n,bottom:i,width:a-r,height:i-n}}function addRectWidthAndHeight({left:e,top:t,right:r,bottom:a}){return{left:e,top:t,right:r,bottom:a,width:r-e,height:a-t}}function getRectArea(e){return e.width*e.height}var kp={rectContainsPoint:function rectContainsPoint(e,{x:t,y:r}){return e.left<=t&&e.right>=t&&e.top<=r&&e.bottom>=r},rectContains,addRectWidthAndHeight,addRectTopAndBottom:function addRectTopAndBottom({x:e,y:t,width:r,height:a}){return{left:e,top:t,right:e+r,bottom:t+a,width:r,height:a}},
getRectOverlapArea:function getRectOverlapArea$1(e,t){const r=Math.min(e.bottom,t.bottom)-Math.max(e.top,t.top);if(r<=0)return 0;const a=Math.min(e.right,t.right)-Math.max(e.left,t.left);return a<=0?0:a*r},getRectAtCenter:function getRectAtCenter$1(e,t){return addRectWidthAndHeight({left:e.left+e.width/2-t/2,top:e.top+e.height/2-t/2,right:e.right-e.width/2+t/2,bottom:e.bottom-e.height/2+t/2})},getLargestRect:function getLargestRect$1(e){let t=e[0];for(const r of e)getRectArea(r)>getRectArea(t)&&(t=r);return t},getRectArea,getRectCenterPoint,getBoundingRect:function getBoundingRect(e){return getBoundingRectWithPadding$1(e,0)},getBoundingRectWithPadding:getBoundingRectWithPadding$1,rectsTouchOrOverlap:function rectsTouchOrOverlap$1(e,t){return e.left<=t.right&&t.left<=e.right&&e.top<=t.bottom&&t.top<=e.bottom},allRectsContainedWithinEachOther:function allRectsContainedWithinEachOther$1(e,t){for(const r of e)for(const e of t)if(!rectContains(r,e)&&!rectContains(e,r))return!1;return!0},
filterOutRectsContainedByOthers:function filterOutRectsContainedByOthers(e){const t=new Set(e);for(const r of e)for(const a of e)if(r!==a&&t.has(a)&&rectContains(a,r)){t.delete(r);break}return Array.from(t)},filterOutTinyRects:function filterOutTinyRects(e){return e.filter((e=>e.width>1&&e.height>1))}};const Dp=eo,Cp=hn,Ip=kp,Np=["button","a","input","textarea","select","option","[role=button]","[role=checkbox]","[role=link]","[role=menuitem]","[role=menuitemcheckbox]","[role=menuitemradio]","[role=option]","[role=scrollbar]","[role=slider]","[role=spinbutton]"].join(",");function elementIsVisible(e){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)}function getClientRects(e){const t=Array.from(e.getClientRects()).map((e=>{const{width:t,height:r,left:a,top:n,right:i,bottom:o}=e;return{width:t,height:r,left:a,top:n,right:i,bottom:o}}));for(const r of e.children)t.push(...getClientRects(r));return t}function elementHasAncestorTapTarget(e,t){
return!!e.parentElement&&(!!e.parentElement.matches(t)||elementHasAncestorTapTarget(e.parentElement,t))}function hasTextNodeSiblingsFormingTextBlock(e){if(!e.parentElement)return!1;const t=e.parentElement,r=e.textContent||"";if((t.textContent||"").length-r.length<5)return!1;for(const t of e.parentElement.childNodes){if(t===e)continue;const r=(t.textContent||"").trim();if(t.nodeType===Node.TEXT_NODE&&r.length>0)return!0}return!1}function elementIsInTextBlock(e){const{display:t}=getComputedStyle(e);return("inline"===t||"inline-block"===t)&&(!!hasTextNodeSiblingsFormingTextBlock(e)||!!e.parentElement&&elementIsInTextBlock(e.parentElement))}function elementCenterIsAtZAxisTop(e,t){const r=window.innerHeight,a=Math.floor(t.y/r)*r;window.scrollY!==a&&window.scrollTo(0,a);const n=document.elementFromPoint(t.x,t.y-window.scrollY);return n===e||e.contains(n)}function disableFixedAndStickyElementPointerEvents(e){return document.querySelectorAll("*").forEach((t=>{
const r=getComputedStyle(t).position;"fixed"!==r&&"sticky"!==r||t.classList.add(e)})),function undo(){Array.from(document.getElementsByClassName(e)).forEach((t=>{t.classList.remove(e)}))}}function gatherTapTargets(e,t){const r=[];window.scrollTo(0,0);const a=getElementsInDocument(e),n=[];a.forEach((t=>{elementHasAncestorTapTarget(t,e)||elementIsInTextBlock(t)||elementIsVisible(t)&&n.push({tapTargetElement:t,clientRects:getClientRects(t)})}));const i=disableFixedAndStickyElementPointerEvents(t),o=[];n.forEach((({tapTargetElement:e,clientRects:t})=>{let r=t.filter((e=>0!==e.width&&0!==e.height));r=r.filter((t=>{const r=getRectCenterPoint(t);return elementCenterIsAtZAxisTop(e,r)})),r.length>0&&o.push({tapTargetElement:e,visibleClientRects:r})}));for(const{tapTargetElement:e,visibleClientRects:t}of o)r.push({clientRects:t,href:e.href||"",node:getNodeDetails(e)});return i(),r}var Lp=class TapTargets$1 extends Dp{constructor(){super(),this.meta={supportedModes:["snapshot","navigation"]}}
async addStyleRule(e,t){const r=await e.sendCommand("Page.getFrameTree"),{styleSheetId:a}=await e.sendCommand("CSS.createStyleSheet",{frameId:r.frameTree.frame.id}),n=`.${t} { pointer-events: none !important }`;return await e.sendCommand("CSS.setStyleSheetText",{styleSheetId:a,text:n}),a}async removeStyleRule(e,t){await e.sendCommand("CSS.setStyleSheetText",{styleSheetId:t,text:""})}async getArtifact(e){const t=e.driver.defaultSession;await t.sendCommand("DOM.enable"),await t.sendCommand("CSS.enable");const r="lighthouse-disable-pointer-events",a=await this.addStyleRule(t,r),n=await e.driver.executionContext.evaluate(gatherTapTargets,{args:[Np,r],useIsolation:!0,deps:[Cp.getNodeDetailsString,Cp.getElementsInDocument,disableFixedAndStickyElementPointerEvents,elementIsVisible,elementHasAncestorTapTarget,elementCenterIsAtZAxisTop,getClientRects,hasTextNodeSiblingsFormingTextBlock,elementIsInTextBlock,Ip.getRectCenterPoint,Cp.getNodePath,Cp.getNodeSelector,Cp.getNodeLabel]})
;return await this.removeStyleRule(t,a),await t.sendCommand("CSS.disable"),await t.sendCommand("DOM.disable"),n}};const Mp=eo,Pp=As;var Op=class ServiceWorker$1 extends Mp{meta={supportedModes:["navigation"]};async beforePass(e){return this.getArtifact({...e,dependencies:{}})}async afterPass(){}async getArtifact(e){const t=e.driver.defaultSession,{versions:r}=await Pp.getServiceWorkerVersions(t),{registrations:a}=await Pp.getServiceWorkerRegistrations(t);return{versions:r,registrations:a}}};const Fp=eo,Up=ji;var jp=class SourceMaps extends Fp{meta={supportedModes:["timespan","navigation"]};constructor(){super(),this._scriptParsedEvents=[],this.onScriptParsed=this.onScriptParsed.bind(this)}async fetchSourceMap(e,t){const r=await e.fetcher.fetchResource(t,{timeout:1500});if(null===r.content)throw new Error(`Failed fetching source map (${r.status})`);return JSON.parse(r.content)}parseSourceMapFromDataUrl(e){const t=Buffer.from(e.split(",")[1],"base64");return JSON.parse(t.toString())}
onScriptParsed(e){e.sourceMapURL&&this._scriptParsedEvents.push(e)}_resolveUrl(e,t){try{return new Up(e,t).href}catch(e){return}}async _retrieveMapFromScriptParsedEvent(e,t){if(!t.sourceMapURL)throw new Error("precondition failed: event.sourceMapURL should exist");const r=t.sourceMapURL.startsWith("data:"),a=t.url,n=r?t.sourceMapURL:this._resolveUrl(t.sourceMapURL,t.url);if(!n)return{scriptUrl:a,errorMessage:`Could not resolve map url: ${t.sourceMapURL}`};const i=r?void 0:n;try{const t=r?this.parseSourceMapFromDataUrl(n):await this.fetchSourceMap(e,n);return t.sections&&(t.sections=t.sections.filter((e=>e.map))),{scriptUrl:a,sourceMapUrl:i,map:t}}catch(e){return{scriptUrl:a,sourceMapUrl:i,errorMessage:e.toString()}}}async startSensitiveInstrumentation(e){const t=e.driver.defaultSession;t.on("Debugger.scriptParsed",this.onScriptParsed),await t.sendCommand("Debugger.enable")}async stopSensitiveInstrumentation(e){const t=e.driver.defaultSession;await t.sendCommand("Debugger.disable"),
t.off("Debugger.scriptParsed",this.onScriptParsed)}async getArtifact(e){await e.driver.fetcher.enable();const t=this._scriptParsedEvents.map((t=>this._retrieveMapFromScriptParsedEvent(e.driver,t)));return Promise.all(t)}};const Bp=oo,$p=eo;var qp=class TraceCompat extends $p{meta={supportedModes:["timespan","navigation"],dependencies:{Trace:Bp.symbol}};async getArtifact(e){return{defaultPass:e.dependencies.Trace}}};const zp=vi.exports,Vp=ao;var Wp=class LHTraceProcessor$2 extends Vp{static createNoNavstartError(){return new zp(zp.errors.NO_NAVSTART)}static createNoResourceSendRequestError(){return new zp(zp.errors.NO_RESOURCE_REQUEST)}static createNoTracingStartedError(){return new zp(zp.errors.NO_TRACING_STARTED)}static createNoFirstContentfulPaintError(){return new zp(zp.errors.NO_FCP)}};const Gp=Ao,Hp=Wp;var Yp=Gp(class ProcessedTrace$h{static async compute_(e){return Hp.processTrace(e)}},null);const Kp=Ao,Jp=Wp;var Xp=Kp(class ProcessedNavigation$7{static async compute_(e){
return Jp.processNavigation(e)}},null);const Zp=Ao,Qp=Yp,eh=new Set(["keydown","keypress","keyup"]),th=new Set(["mousedown","mouseup","pointerdown","pointerup","click"]),rh={keyboard:eh,tapOrClick:th,drag:th};class Responsiveness{static getHighPercentileResponsiveness(e){const t=e.frameTreeEvents.filter((e=>"Responsiveness.Renderer.UserInteraction"===e.name)).sort(((e,t)=>t.args.data.maxDuration-e.args.data.maxDuration));if(0===t.length)return null;return t[Math.min(9,Math.floor(t.length/50))]}static findInteractionEvent(e,{traceEvents:t}){const r=t.filter((e=>"EventTiming"===e.name&&"e"!==e.ph));if(r.length&&!r.some((e=>e.args.data?.frame)))return{name:"FallbackTiming",duration:e.args.data.maxDuration};const{maxDuration:a,interactionType:n}=e.args.data;let i,o=Number.POSITIVE_INFINITY;for(const t of r){if(t.args.data.frame!==e.args.frame)continue;const{type:r,duration:s}=t.args.data,c=rh[n];if(!c)throw new Error(`unexpected responsiveness interactionType '${n}'`);if(!c.has(r))continue
;const l=Math.abs(s-a);l<o&&(i=t,o=l)}if(!i)throw new Error(`no interaction event found for responsiveness type '${n}'`);if(o>5)throw new Error(`no interaction event found within 5ms of responsiveness maxDuration (max: ${a}, closest ${i.args.data.duration})`);return i}static async compute_(e,t){const{settings:r,trace:a}=e;if("simulate"===r.throttlingMethod)throw new Error("Responsiveness currently unsupported by simulated throttling");const n=await Qp.request(a,t),i=Responsiveness.getHighPercentileResponsiveness(n);if(!i)return null;const o=Responsiveness.findInteractionEvent(i,a);return JSON.parse(JSON.stringify(o))}}var ah=Zp(Responsiveness,["trace","settings"]);const nh=eo,{resolveNodeIdToObjectId:ih}=Du,oh=hn,sh=kp,ch=Jl,lh=oo,uh=Yp,dh=Xp,mh=vi.exports,ph=ah;function getNodeDetailsData(){const e=this.nodeType===document.ELEMENT_NODE?this:this.parentElement;let t;return e&&(t={node:getNodeDetails(e)}),t}class TraceElements extends nh{meta={supportedModes:["timespan","navigation"],
dependencies:{Trace:lh.symbol}};animationIdToName=new Map;constructor(){super(),this._onAnimationStarted=this._onAnimationStarted.bind(this)}_onAnimationStarted({animation:{id:e,name:t}}){t&&this.animationIdToName.set(e,t)}static traceRectToLHRect(e){const t={x:e[0],y:e[1],width:e[2],height:e[3]};return sh.addRectTopAndBottom(t)}static getTopLayoutShiftElements(e){const t=new Map,r=e.filter((e=>"LayoutShift"===e.name)).map((e=>e.args?.data)),a=r.findIndex((e=>e&&!e.had_recent_input));r.forEach(((e,r)=>{if(!e||!e.impacted_nodes||!e.score)return;if(-1!==a&&r>=a&&e.had_recent_input)return;let n=0;const i=new Map;e.impacted_nodes.forEach((e=>{if(!e.node_id||!e.old_rect||!e.new_rect)return;const t=TraceElements.traceRectToLHRect(e.old_rect),r=TraceElements.traceRectToLHRect(e.new_rect),a=sh.getRectArea(t)+sh.getRectArea(r)-sh.getRectOverlapArea(t,r);i.set(e.node_id,a),n+=a}));for(const[r,a]of i.entries()){let i=t.get(r)||0;i+=a/n*e.score,t.set(r,i)}}))
;return[...t.entries()].sort(((e,t)=>t[1]-e[1])).slice(0,5).map((([e,t])=>({nodeId:e,score:t})))}static async getResponsivenessElement(e,t){const{settings:r}=t;try{const a=await ph.request({trace:e,settings:r},t);if(!a||"FallbackTiming"===a.name)return;return{nodeId:a.args.data.nodeId}}catch{return}}async getAnimatedElements(e){const t=new Map;for(const r of e){if("Animation"!==r.name)continue;if(!r.id2||!r.id2.local)continue;const e=r.id2.local,a=t.get(e)||{begin:void 0,status:void 0};"b"===r.ph?a.begin=r:"n"===r.ph&&r.args.data&&void 0!==r.args.data.compositeFailed&&(a.status=r),t.set(e,a)}const r=new Map;for(const{begin:e,status:a}of t.values()){const t=e?.args?.data?.nodeId,n=e?.args?.data?.id,i=a?.args?.data?.compositeFailed,o=a?.args?.data?.unsupportedProperties;if(!t||!n)continue;const s=r.get(t)||new Set;s.add({animationId:n,failureReasonsMask:i,unsupportedProperties:o}),r.set(t,s)}const a=[];for(const[e,t]of r){const r=[]
;for(const{animationId:e,failureReasonsMask:a,unsupportedProperties:n}of t){const t=this.animationIdToName.get(e);r.push({name:t,failureReasonsMask:a,unsupportedProperties:n})}a.push({nodeId:e,animations:r})}return a}async startInstrumentation(e){await e.driver.defaultSession.sendCommand("Animation.enable"),e.driver.defaultSession.on("Animation.animationStarted",this._onAnimationStarted)}async stopInstrumentation(e){e.driver.defaultSession.off("Animation.animationStarted",this._onAnimationStarted),await e.driver.defaultSession.sendCommand("Animation.disable")}async _getArtifact(e,t){const r=e.driver.defaultSession;if(!t)throw new Error("Trace is missing!");const a=await uh.request(t,e),{largestContentfulPaintEvt:n}=await dh.request(a,e).catch((t=>{if("timespan"===e.gatherMode&&t.code===mh.errors.NO_FCP.code)return{largestContentfulPaintEvt:void 0};throw t
})),{mainThreadEvents:i}=a,o=n?.args?.data?.nodeId,s=TraceElements.getTopLayoutShiftElements(i),c=await this.getAnimatedElements(i),l=await TraceElements.getResponsivenessElement(t,e),u=new Map([["largest-contentful-paint",o?[{nodeId:o}]:[]],["layout-shift",s],["animation",c],["responsiveness",l?[l]:[]]]),d=[];for(const[e,t]of u)for(let a=0;a<t.length;a++){const n=t[a].nodeId;let i;try{const e=await ih(r,n);if(!e)continue;i=await r.sendCommand("Runtime.callFunctionOn",{objectId:e,functionDeclaration:`function () {\n              ${getNodeDetailsData.toString()};\n              ${oh.getNodeDetailsString};\n              return getNodeDetailsData.call(this);\n            }`,returnByValue:!0,awaitPromise:!0})}catch(e){ch.captureException(e,{tags:{gatherer:this.name},level:"error"});continue}i?.result?.value&&d.push({traceEventType:e,...i.result.value,score:t[a].score,animations:t[a].animations,nodeId:n})}return d}async getArtifact(e){return this._getArtifact(e,e.dependencies.Trace)}
async afterPass(e,t){const r={...e,dependencies:{}};return await this.stopInstrumentation(r),this._getArtifact(r,t.trace)}}var hh=TraceElements;const gh=eo;function getViewportDimensions(){return{innerWidth:window.innerWidth,innerHeight:window.innerHeight,outerWidth:window.outerWidth,outerHeight:window.outerHeight,devicePixelRatio:window.devicePixelRatio}}var fh=class ViewportDimensions extends gh{meta={supportedModes:["snapshot","timespan","navigation"]};async getArtifact(e){const t=e.driver,r=await t.executionContext.evaluate(getViewportDimensions,{args:[],useIsolation:!0});if(!Object.values(r).every(Number.isFinite)){const e=JSON.stringify(r);throw new Error(`ViewportDimensions results were not numeric: ${e}`)}return r}},yh={exports:{}},vh={exports:{}};const bh=kc,wh={failingElementsHeader:"Failing Elements"},Sh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/axe-audit.js",wh);vh.exports=class AxeAudit$I extends bh{static audit(e){
if((e.Accessibility.notApplicable||[]).find((e=>e.id===this.meta.id)))return{score:null,notApplicable:!0};const t=e.Accessibility.incomplete||[],r=t.find((e=>e.id===this.meta.id));if(r?.error)return{score:null,errorMessage:`axe-core Error: ${r.error.message||"Unknown error"}`};const a=this.meta.scoreDisplayMode===bh.SCORING_MODES.INFORMATIVE,n=e.Accessibility.violations||[],i=(a?n.concat(t):n).find((e=>e.id===this.meta.id)),o=i?.impact,s=i?.tags;if(a&&!i)return{score:null,notApplicable:!0};let c=[];i?.nodes&&(c=i.nodes.map((e=>({node:{...bh.makeNodeItem(e.node),explanation:e.failureSummary},subItems:e.relatedNodes.length?{type:"subitems",items:e.relatedNodes.map((e=>({relatedNode:bh.makeNodeItem(e)})))}:void 0}))));const l=[{key:"node",itemType:"node",subItemsHeading:{key:"relatedNode",itemType:"node"},text:Sh(wh.failingElementsHeader)}];let u;return(o||s)&&(u={type:"debugdata",impact:o,tags:s}),{score:Number(void 0===i),details:{...bh.makeTableDetails(l,c),debugData:u}}}},
vh.exports.UIStrings=wh;const Th=vh.exports,Eh={title:"`[accesskey]` values are unique",failureTitle:"`[accesskey]` values are not unique",description:"Access keys let users quickly focus a part of the page. For proper navigation, each access key must be unique. [Learn more](https://web.dev/accesskeys/)."},xh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/accesskeys.js",Eh);yh.exports=class Accesskeys extends Th{static get meta(){return{id:"accesskeys",title:xh(Eh.title),failureTitle:xh(Eh.failureTitle),description:xh(Eh.description),requiredArtifacts:["Accessibility"]}}},yh.exports.UIStrings=Eh;var _h={exports:{}};const Ah=vh.exports,Rh={title:"`[aria-*]` attributes match their roles",failureTitle:"`[aria-*]` attributes do not match their roles",description:"Each ARIA `role` supports a specific subset of `aria-*` attributes. Mismatching these invalidates the `aria-*` attributes. [Learn more](https://web.dev/aria-allowed-attr/)."
},kh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-allowed-attr.js",Rh);_h.exports=class ARIAAllowedAttr extends Ah{static get meta(){return{id:"aria-allowed-attr",title:kh(Rh.title),failureTitle:kh(Rh.failureTitle),description:kh(Rh.description),requiredArtifacts:["Accessibility"]}}},_h.exports.UIStrings=Rh;var Dh={exports:{}};const Ch=vh.exports,Ih={title:"`button`, `link`, and `menuitem` elements have accessible names",failureTitle:"`button`, `link`, and `menuitem` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},Nh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-command-name.js",Ih);Dh.exports=class AriaCommandName extends Ch{static get meta(){return{id:"aria-command-name",title:Nh(Ih.title),failureTitle:Nh(Ih.failureTitle),
description:Nh(Ih.description),requiredArtifacts:["Accessibility"]}}},Dh.exports.UIStrings=Ih;var Lh={exports:{}};const Mh=vh.exports,Ph={title:'`[aria-hidden="true"]` is not present on the document `<body>`',failureTitle:'`[aria-hidden="true"]` is present on the document `<body>`',description:'Assistive technologies, like screen readers, work inconsistently when `aria-hidden="true"` is set on the document `<body>`. [Learn more](https://web.dev/aria-hidden-body/).'},Oh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-hidden-body.js",Ph);Lh.exports=class AriaHiddenBody extends Mh{static get meta(){return{id:"aria-hidden-body",title:Oh(Ph.title),failureTitle:Oh(Ph.failureTitle),description:Oh(Ph.description),requiredArtifacts:["Accessibility"]}}},Lh.exports.UIStrings=Ph;var Fh={exports:{}};const Uh=vh.exports,jh={title:'`[aria-hidden="true"]` elements do not contain focusable descendents',failureTitle:'`[aria-hidden="true"]` elements contain focusable descendents',
description:'Focusable descendents within an `[aria-hidden="true"]` element prevent those interactive elements from being available to users of assistive technologies like screen readers. [Learn more](https://web.dev/aria-hidden-focus/).'},Bh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-hidden-focus.js",jh);Fh.exports=class AriaHiddenFocus extends Uh{static get meta(){return{id:"aria-hidden-focus",title:Bh(jh.title),failureTitle:Bh(jh.failureTitle),description:Bh(jh.description),requiredArtifacts:["Accessibility"]}}},Fh.exports.UIStrings=jh;var $h={exports:{}};const qh=vh.exports,zh={title:"ARIA input fields have accessible names",failureTitle:"ARIA input fields do not have accessible names",description:"When an input field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."
},Vh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-input-field-name.js",zh);$h.exports=class AriaInputFieldName extends qh{static get meta(){return{id:"aria-input-field-name",title:Vh(zh.title),failureTitle:Vh(zh.failureTitle),description:Vh(zh.description),requiredArtifacts:["Accessibility"]}}},$h.exports.UIStrings=zh;var Wh={exports:{}};const Gh=vh.exports,Hh={title:"ARIA `meter` elements have accessible names",failureTitle:"ARIA `meter` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},Yh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-meter-name.js",Hh);Wh.exports=class AriaMeterName extends Gh{static get meta(){return{id:"aria-meter-name",title:Yh(Hh.title),failureTitle:Yh(Hh.failureTitle),description:Yh(Hh.description),
requiredArtifacts:["Accessibility"]}}},Wh.exports.UIStrings=Hh;var Kh={exports:{}};const Jh=vh.exports,Xh={title:"ARIA `progressbar` elements have accessible names",failureTitle:"ARIA `progressbar` elements do not have accessible names.",description:"When a `progressbar` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},Zh=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-progressbar-name.js",Xh);Kh.exports=class AriaProgressbarName extends Jh{static get meta(){return{id:"aria-progressbar-name",title:Zh(Xh.title),failureTitle:Zh(Xh.failureTitle),description:Zh(Xh.description),requiredArtifacts:["Accessibility"]}}},Kh.exports.UIStrings=Xh;var Qh={exports:{}};const eg=vh.exports,tg={title:"`[role]`s have all required `[aria-*]` attributes",failureTitle:"`[role]`s do not have all required `[aria-*]` attributes",
description:"Some ARIA roles have required attributes that describe the state of the element to screen readers. [Learn more](https://web.dev/aria-required-attr/)."},rg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-required-attr.js",tg);Qh.exports=class ARIARequiredAttr extends eg{static get meta(){return{id:"aria-required-attr",title:rg(tg.title),failureTitle:rg(tg.failureTitle),description:rg(tg.description),requiredArtifacts:["Accessibility"]}}},Qh.exports.UIStrings=tg;var ag={exports:{}};const ng=vh.exports,ig={title:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` have all required children.",failureTitle:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` are missing some or all of those required children.",description:"Some ARIA parent roles must contain specific child roles to perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-children/)."
},og=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-required-children.js",ig);ag.exports=class AriaRequiredChildren extends ng{static get meta(){return{id:"aria-required-children",title:og(ig.title),failureTitle:og(ig.failureTitle),description:og(ig.description),requiredArtifacts:["Accessibility"]}}},ag.exports.UIStrings=ig;var sg={exports:{}};const cg=vh.exports,lg={title:"`[role]`s are contained by their required parent element",failureTitle:"`[role]`s are not contained by their required parent element",description:"Some ARIA child roles must be contained by specific parent roles to properly perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-parent/)."},ug=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-required-parent.js",lg);sg.exports=class AriaRequiredParent extends cg{static get meta(){return{id:"aria-required-parent",title:ug(lg.title),failureTitle:ug(lg.failureTitle),
description:ug(lg.description),requiredArtifacts:["Accessibility"]}}},sg.exports.UIStrings=lg;var dg={exports:{}};const mg=vh.exports,pg={title:"`[role]` values are valid",failureTitle:"`[role]` values are not valid",description:"ARIA roles must have valid values in order to perform their intended accessibility functions. [Learn more](https://web.dev/aria-roles/)."},hg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-roles.js",pg);dg.exports=class AriaRoles extends mg{static get meta(){return{id:"aria-roles",title:hg(pg.title),failureTitle:hg(pg.failureTitle),description:hg(pg.description),requiredArtifacts:["Accessibility"]}}},dg.exports.UIStrings=pg;var gg={exports:{}};const fg=vh.exports,yg={title:"ARIA toggle fields have accessible names",failureTitle:"ARIA toggle fields do not have accessible names",
description:"When a toggle field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},vg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-toggle-field-name.js",yg);gg.exports=class AriaToggleFieldName extends fg{static get meta(){return{id:"aria-toggle-field-name",title:vg(yg.title),failureTitle:vg(yg.failureTitle),description:vg(yg.description),requiredArtifacts:["Accessibility"]}}},gg.exports.UIStrings=yg;var bg={exports:{}};const wg=vh.exports,Sg={title:"ARIA `tooltip` elements have accessible names",failureTitle:"ARIA `tooltip` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."
},Tg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-tooltip-name.js",Sg);bg.exports=class AriaTooltipName extends wg{static get meta(){return{id:"aria-tooltip-name",title:Tg(Sg.title),failureTitle:Tg(Sg.failureTitle),description:Tg(Sg.description),requiredArtifacts:["Accessibility"]}}},bg.exports.UIStrings=Sg;var Eg={exports:{}};const xg=vh.exports,_g={title:"ARIA `treeitem` elements have accessible names",failureTitle:"ARIA `treeitem` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},Ag=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-treeitem-name.js",_g);Eg.exports=class AriaTreeitemName extends xg{static get meta(){return{id:"aria-treeitem-name",title:Ag(_g.title),failureTitle:Ag(_g.failureTitle),description:Ag(_g.description),
requiredArtifacts:["Accessibility"]}}},Eg.exports.UIStrings=_g;var Rg={exports:{}};const kg=vh.exports,Dg={title:"`[aria-*]` attributes have valid values",failureTitle:"`[aria-*]` attributes do not have valid values",description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid values. [Learn more](https://web.dev/aria-valid-attr-value/)."},Cg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-valid-attr-value.js",Dg);Rg.exports=class ARIAValidAttr$1 extends kg{static get meta(){return{id:"aria-valid-attr-value",title:Cg(Dg.title),failureTitle:Cg(Dg.failureTitle),description:Cg(Dg.description),requiredArtifacts:["Accessibility"]}}},Rg.exports.UIStrings=Dg;var Ig={exports:{}};const Ng=vh.exports,Lg={title:"`[aria-*]` attributes are valid and not misspelled",failureTitle:"`[aria-*]` attributes are not valid or misspelled",
description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid names. [Learn more](https://web.dev/aria-valid-attr/)."},Mg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/aria-valid-attr.js",Lg);Ig.exports=class ARIAValidAttr extends Ng{static get meta(){return{id:"aria-valid-attr",title:Mg(Lg.title),failureTitle:Mg(Lg.failureTitle),description:Mg(Lg.description),requiredArtifacts:["Accessibility"]}}},Ig.exports.UIStrings=Lg;var Pg={exports:{}};const Og=vh.exports,Fg={title:"Buttons have an accessible name",failureTitle:"Buttons do not have an accessible name",description:'When a button doesn\'t have an accessible name, screen readers announce it as "button", making it unusable for users who rely on screen readers. [Learn more](https://web.dev/button-name/).'},Ug=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/button-name.js",Fg);Pg.exports=class ButtonName extends Og{static get meta(){return{
id:"button-name",title:Ug(Fg.title),failureTitle:Ug(Fg.failureTitle),description:Ug(Fg.description),requiredArtifacts:["Accessibility"]}}},Pg.exports.UIStrings=Fg;var jg={exports:{}};const Bg=vh.exports,$g={title:"The page contains a heading, skip link, or landmark region",failureTitle:"The page does not contain a heading, skip link, or landmark region",description:"Adding ways to bypass repetitive content lets keyboard users navigate the page more efficiently. [Learn more](https://web.dev/bypass/)."},qg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/bypass.js",$g);jg.exports=class Bypass extends Bg{static get meta(){return{id:"bypass",title:qg($g.title),failureTitle:qg($g.failureTitle),description:qg($g.description),requiredArtifacts:["Accessibility"]}}},jg.exports.UIStrings=$g;var zg={exports:{}};const Vg=vh.exports,Wg={title:"Background and foreground colors have a sufficient contrast ratio",
failureTitle:"Background and foreground colors do not have a sufficient contrast ratio.",description:"Low-contrast text is difficult or impossible for many users to read. [Learn more](https://web.dev/color-contrast/)."},Gg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/color-contrast.js",Wg);zg.exports=class ColorContrast extends Vg{static get meta(){return{id:"color-contrast",title:Gg(Wg.title),failureTitle:Gg(Wg.failureTitle),description:Gg(Wg.description),requiredArtifacts:["Accessibility"]}}},zg.exports.UIStrings=Wg;var Hg={exports:{}};const Yg=vh.exports,Kg={title:"`<dl>`'s contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",failureTitle:"`<dl>`'s do not contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",
description:"When definition lists are not properly marked up, screen readers may produce confusing or inaccurate output. [Learn more](https://web.dev/definition-list/)."},Jg=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/definition-list.js",Kg);Hg.exports=class DefinitionList extends Yg{static get meta(){return{id:"definition-list",title:Jg(Kg.title),failureTitle:Jg(Kg.failureTitle),description:Jg(Kg.description),requiredArtifacts:["Accessibility"]}}},Hg.exports.UIStrings=Kg;var Xg={exports:{}};const Zg=vh.exports,Qg={title:"Definition list items are wrapped in `<dl>` elements",failureTitle:"Definition list items are not wrapped in `<dl>` elements",description:"Definition list items (`<dt>` and `<dd>`) must be wrapped in a parent `<dl>` element to ensure that screen readers can properly announce them. [Learn more](https://web.dev/dlitem/)."},ef=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/dlitem.js",Qg);Xg.exports=class DLItem extends Zg{
static get meta(){return{id:"dlitem",title:ef(Qg.title),failureTitle:ef(Qg.failureTitle),description:ef(Qg.description),requiredArtifacts:["Accessibility"]}}},Xg.exports.UIStrings=Qg;var tf={exports:{}};const rf=vh.exports,af={title:"Document has a `<title>` element",failureTitle:"Document doesn't have a `<title>` element",description:"The title gives screen reader users an overview of the page, and search engine users rely on it heavily to determine if a page is relevant to their search. [Learn more](https://web.dev/document-title/)."},nf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/document-title.js",af);tf.exports=class DocumentTitle extends rf{static get meta(){return{id:"document-title",title:nf(af.title),failureTitle:nf(af.failureTitle),description:nf(af.description),requiredArtifacts:["Accessibility"]}}},tf.exports.UIStrings=af;var of={exports:{}};const sf=vh.exports,cf={title:"`[id]` attributes on active, focusable elements are unique",
failureTitle:"`[id]` attributes on active, focusable elements are not unique",description:"All focusable elements must have a unique `id` to ensure that they're visible to assistive technologies. [Learn more](https://web.dev/duplicate-id-active/)."},lf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/duplicate-id-active.js",cf);of.exports=class DuplicateIdActive extends sf{static get meta(){return{id:"duplicate-id-active",title:lf(cf.title),failureTitle:lf(cf.failureTitle),description:lf(cf.description),requiredArtifacts:["Accessibility"]}}},of.exports.UIStrings=cf;var uf={exports:{}};const df=vh.exports,mf={title:"ARIA IDs are unique",failureTitle:"ARIA IDs are not unique",description:"The value of an ARIA ID must be unique to prevent other instances from being overlooked by assistive technologies. [Learn more](https://web.dev/duplicate-id-aria/)."},pf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/duplicate-id-aria.js",mf)
;uf.exports=class DuplicateIdAria extends df{static get meta(){return{id:"duplicate-id-aria",title:pf(mf.title),failureTitle:pf(mf.failureTitle),description:pf(mf.description),requiredArtifacts:["Accessibility"]}}},uf.exports.UIStrings=mf;var hf={exports:{}};const gf=vh.exports,ff={title:"No form fields have multiple labels",failureTitle:"Form fields have multiple labels",description:"Form fields with multiple labels can be confusingly announced by assistive technologies like screen readers which use either the first, the last, or all of the labels. [Learn more](https://web.dev/form-field-multiple-labels/)."},yf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/form-field-multiple-labels.js",ff);hf.exports=class FormFieldMultipleLabels extends gf{static get meta(){return{id:"form-field-multiple-labels",title:yf(ff.title),failureTitle:yf(ff.failureTitle),description:yf(ff.description),scoreDisplayMode:gf.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},
hf.exports.UIStrings=ff;var vf={exports:{}};const bf=vh.exports,wf={title:"`<frame>` or `<iframe>` elements have a title",failureTitle:"`<frame>` or `<iframe>` elements do not have a title",description:"Screen reader users rely on frame titles to describe the contents of frames. [Learn more](https://web.dev/frame-title/)."},Sf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/frame-title.js",wf);vf.exports=class FrameTitle extends bf{static get meta(){return{id:"frame-title",title:Sf(wf.title),failureTitle:Sf(wf.failureTitle),description:Sf(wf.description),requiredArtifacts:["Accessibility"]}}},vf.exports.UIStrings=wf;var Tf={exports:{}};const Ef=vh.exports,xf={title:"Heading elements appear in a sequentially-descending order",failureTitle:"Heading elements are not in a sequentially-descending order",
description:"Properly ordered headings that do not skip levels convey the semantic structure of the page, making it easier to navigate and understand when using assistive technologies. [Learn more](https://web.dev/heading-order/)."},_f=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/heading-order.js",xf);Tf.exports=class HeadingOrder extends Ef{static get meta(){return{id:"heading-order",title:_f(xf.title),failureTitle:_f(xf.failureTitle),description:_f(xf.description),requiredArtifacts:["Accessibility"]}}},Tf.exports.UIStrings=xf;var Af={exports:{}};const Rf=vh.exports,kf={title:"`<html>` element has a `[lang]` attribute",failureTitle:"`<html>` element does not have a `[lang]` attribute",
description:"If a page doesn't specify a lang attribute, a screen reader assumes that the page is in the default language that the user chose when setting up the screen reader. If the page isn't actually in the default language, then the screen reader might not announce the page's text correctly. [Learn more](https://web.dev/html-has-lang/)."},Df=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/html-has-lang.js",kf);Af.exports=class HTMLHasLang extends Rf{static get meta(){return{id:"html-has-lang",title:Df(kf.title),failureTitle:Df(kf.failureTitle),description:Df(kf.description),requiredArtifacts:["Accessibility"]}}},Af.exports.UIStrings=kf;var Cf={exports:{}};const If=vh.exports,Nf={title:"`<html>` element has a valid value for its `[lang]` attribute",failureTitle:"`<html>` element does not have a valid value for its `[lang]` attribute.",
description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) helps screen readers announce text properly. [Learn more](https://web.dev/html-lang-valid/)."},Lf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/html-lang-valid.js",Nf);Cf.exports=class HTMLLangValid extends If{static get meta(){return{id:"html-lang-valid",title:Lf(Nf.title),failureTitle:Lf(Nf.failureTitle),description:Lf(Nf.description),requiredArtifacts:["Accessibility"]}}},Cf.exports.UIStrings=Nf;var Mf={exports:{}};const Pf=vh.exports,Of={title:"Image elements have `[alt]` attributes",failureTitle:"Image elements do not have `[alt]` attributes",description:"Informative elements should aim for short, descriptive alternate text. Decorative elements can be ignored with an empty alt attribute. [Learn more](https://web.dev/image-alt/)."},Ff=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/image-alt.js",Of)
;Mf.exports=class ImageAlt extends Pf{static get meta(){return{id:"image-alt",title:Ff(Of.title),failureTitle:Ff(Of.failureTitle),description:Ff(Of.description),requiredArtifacts:["Accessibility"]}}},Mf.exports.UIStrings=Of;var Uf={exports:{}};const jf=vh.exports,Bf={title:'`<input type="image">` elements have `[alt]` text',failureTitle:'`<input type="image">` elements do not have `[alt]` text',description:"When an image is being used as an `<input>` button, providing alternative text can help screen reader users understand the purpose of the button. [Learn more](https://web.dev/input-image-alt/)."},$f=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/input-image-alt.js",Bf);Uf.exports=class InputImageAlt extends jf{static get meta(){return{id:"input-image-alt",title:$f(Bf.title),failureTitle:$f(Bf.failureTitle),description:$f(Bf.description),requiredArtifacts:["Accessibility"]}}},Uf.exports.UIStrings=Bf;var qf={exports:{}};const zf=vh.exports,Vf={
title:"Form elements have associated labels",failureTitle:"Form elements do not have associated labels",description:"Labels ensure that form controls are announced properly by assistive technologies, like screen readers. [Learn more](https://web.dev/label/)."},Wf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/label.js",Vf);qf.exports=class Label extends zf{static get meta(){return{id:"label",title:Wf(Vf.title),failureTitle:Wf(Vf.failureTitle),description:Wf(Vf.description),requiredArtifacts:["Accessibility"]}}},qf.exports.UIStrings=Vf;var Gf={exports:{}};const Hf=vh.exports,Yf={title:"Links have a discernible name",failureTitle:"Links do not have a discernible name",description:"Link text (and alternate text for images, when used as links) that is discernible, unique, and focusable improves the navigation experience for screen reader users. [Learn more](https://web.dev/link-name/)."
},Kf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/link-name.js",Yf);Gf.exports=class LinkName extends Hf{static get meta(){return{id:"link-name",title:Kf(Yf.title),failureTitle:Kf(Yf.failureTitle),description:Kf(Yf.description),requiredArtifacts:["Accessibility"]}}},Gf.exports.UIStrings=Yf;var Jf={exports:{}};const Xf=vh.exports,Zf={title:"Lists contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",failureTitle:"Lists do not contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",description:"Screen readers have a specific way of announcing lists. Ensuring proper list structure aids screen reader output. [Learn more](https://web.dev/list/)."},Qf=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/list.js",Zf);Jf.exports=class List extends Xf{static get meta(){return{id:"list",title:Qf(Zf.title),failureTitle:Qf(Zf.failureTitle),description:Qf(Zf.description),
requiredArtifacts:["Accessibility"]}}},Jf.exports.UIStrings=Zf;var ey={exports:{}};const ty=vh.exports,ry={title:"List items (`<li>`) are contained within `<ul>` or `<ol>` parent elements",failureTitle:"List items (`<li>`) are not contained within `<ul>` or `<ol>` parent elements.",description:"Screen readers require list items (`<li>`) to be contained within a parent `<ul>` or `<ol>` to be announced properly. [Learn more](https://web.dev/listitem/)."},ay=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/listitem.js",ry);ey.exports=class ListItem extends ty{static get meta(){return{id:"listitem",title:ay(ry.title),failureTitle:ay(ry.failureTitle),description:ay(ry.description),requiredArtifacts:["Accessibility"]}}},ey.exports.UIStrings=ry;const ny=kc;var iy=class ManualAudit$e extends ny{static get partialMeta(){return{scoreDisplayMode:ny.SCORING_MODES.MANUAL,requiredArtifacts:[]}}static audit(){return{score:0}}};const oy=iy
;var sy=class CustomControlsLabels extends oy{static get meta(){return Object.assign({id:"custom-controls-labels",description:"Custom interactive controls have associated labels, provided by aria-label or aria-labelledby. [Learn more](https://web.dev/custom-controls-labels/).",title:"Custom controls have associated labels"},super.partialMeta)}};const cy=iy;var ly=class CustomControlsRoles extends cy{static get meta(){return Object.assign({id:"custom-controls-roles",description:"Custom interactive controls have appropriate ARIA roles. [Learn more](https://web.dev/custom-control-roles/).",title:"Custom controls have ARIA roles"},super.partialMeta)}};const uy=iy;var dy=class FocusTraps extends uy{static get meta(){return Object.assign({id:"focus-traps",description:"A user can tab into and out of any control or region without accidentally trapping their focus. [Learn more](https://web.dev/focus-traps/).",title:"User focus is not accidentally trapped in a region"},super.partialMeta)}}
;const my=iy;var py=class FocusableControls extends my{static get meta(){return Object.assign({id:"focusable-controls",description:"Custom interactive controls are keyboard focusable and display a focus indicator. [Learn more](https://web.dev/focusable-controls/).",title:"Interactive controls are keyboard focusable"},super.partialMeta)}};const hy=iy;var gy=class InteractiveElementAffordance extends hy{static get meta(){return Object.assign({id:"interactive-element-affordance",description:"Interactive elements, such as links and buttons, should indicate their state and be distinguishable from non-interactive elements. [Learn more](https://web.dev/interactive-element-affordance/).",title:"Interactive elements indicate their purpose and state"},super.partialMeta)}};const fy=iy;var yy=class LogicalTabOrder extends fy{static get meta(){return Object.assign({id:"logical-tab-order",
description:"Tabbing through the page follows the visual layout. Users cannot focus elements that are offscreen. [Learn more](https://web.dev/logical-tab-order/).",title:"The page has a logical tab order"},super.partialMeta)}};const vy=iy;var by=class ManagedFocus extends vy{static get meta(){return Object.assign({id:"managed-focus",description:"If new content, such as a dialog, is added to the page, the user's focus is directed to it. [Learn more](https://web.dev/managed-focus/).",title:"The user's focus is directed to new content added to the page"},super.partialMeta)}};const wy=iy;var Sy=class OffscreenContentHidden extends wy{static get meta(){return Object.assign({id:"offscreen-content-hidden",description:"Offscreen content is hidden with display: none or aria-hidden=true. [Learn more](https://web.dev/offscreen-content-hidden/).",title:"Offscreen content is hidden from assistive technology"},super.partialMeta)}};const Ty=iy;var Ey=class UseLandmarks extends Ty{static get meta(){
return Object.assign({id:"use-landmarks",description:"Landmark elements (<main>, <nav>, etc.) are used to improve the keyboard navigation of the page for assistive technology. [Learn more](https://web.dev/use-landmarks/).",title:"HTML5 landmark elements are used to improve navigation"},super.partialMeta)}};const xy=iy;var _y=class VisualOrderFollowsDOM extends xy{static get meta(){return Object.assign({id:"visual-order-follows-dom",description:"DOM order matches the visual order, improving navigation for assistive technology. [Learn more](https://web.dev/visual-order-follows-dom/).",title:"Visual order on the page follows DOM order"},super.partialMeta)}},Ay={exports:{}};const Ry=vh.exports,ky={title:'The document does not use `<meta http-equiv="refresh">`',failureTitle:'The document uses `<meta http-equiv="refresh">`',
description:"Users do not expect a page to refresh automatically, and doing so will move focus back to the top of the page. This may create a frustrating or confusing experience. [Learn more](https://web.dev/meta-refresh/)."},Dy=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/meta-refresh.js",ky);Ay.exports=class MetaRefresh extends Ry{static get meta(){return{id:"meta-refresh",title:Dy(ky.title),failureTitle:Dy(ky.failureTitle),description:Dy(ky.description),requiredArtifacts:["Accessibility"]}}},Ay.exports.UIStrings=ky;var Cy={exports:{}};const Iy=vh.exports,Ny={title:'`[user-scalable="no"]` is not used in the `<meta name="viewport">` element and the `[maximum-scale]` attribute is not less than 5.',failureTitle:'`[user-scalable="no"]` is used in the `<meta name="viewport">` element or the `[maximum-scale]` attribute is less than 5.',
description:"Disabling zooming is problematic for users with low vision who rely on screen magnification to properly see the contents of a web page. [Learn more](https://web.dev/meta-viewport/)."},Ly=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/meta-viewport.js",Ny);Cy.exports=class MetaViewport extends Iy{static get meta(){return{id:"meta-viewport",title:Ly(Ny.title),failureTitle:Ly(Ny.failureTitle),description:Ly(Ny.description),requiredArtifacts:["Accessibility"]}}},Cy.exports.UIStrings=Ny;var My={exports:{}};const Py=vh.exports,Oy={title:"`<object>` elements have alternate text",failureTitle:"`<object>` elements do not have alternate text",description:"Screen readers cannot translate non-text content. Adding alternate text to `<object>` elements helps screen readers convey meaning to users. [Learn more](https://web.dev/object-alt/)."},Fy=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/object-alt.js",Oy);My.exports=class ObjectAlt extends Py{
static get meta(){return{id:"object-alt",title:Fy(Oy.title),failureTitle:Fy(Oy.failureTitle),description:Fy(Oy.description),requiredArtifacts:["Accessibility"]}}},My.exports.UIStrings=Oy;var Uy={exports:{}};const jy=vh.exports,By={title:"No element has a `[tabindex]` value greater than 0",failureTitle:"Some elements have a `[tabindex]` value greater than 0",description:"A value greater than 0 implies an explicit navigation ordering. Although technically valid, this often creates frustrating experiences for users who rely on assistive technologies. [Learn more](https://web.dev/tabindex/)."},$y=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/tabindex.js",By);Uy.exports=class TabIndex extends jy{static get meta(){return{id:"tabindex",title:$y(By.title),failureTitle:$y(By.failureTitle),description:$y(By.description),requiredArtifacts:["Accessibility"]}}},Uy.exports.UIStrings=By;var qy={exports:{}};const zy=vh.exports,Vy={
title:"Cells in a `<table>` element that use the `[headers]` attribute refer to table cells within the same table.",failureTitle:"Cells in a `<table>` element that use the `[headers]` attribute refer to an element `id` not found within the same table.",description:"Screen readers have features to make navigating tables easier. Ensuring `<td>` cells using the `[headers]` attribute only refer to other cells in the same table may improve the experience for screen reader users. [Learn more](https://web.dev/td-headers-attr/)."},Wy=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/td-headers-attr.js",Vy);qy.exports=class TDHeadersAttr extends zy{static get meta(){return{id:"td-headers-attr",title:Wy(Vy.title),failureTitle:Wy(Vy.failureTitle),description:Wy(Vy.description),requiredArtifacts:["Accessibility"]}}},qy.exports.UIStrings=Vy;var Gy={exports:{}};const Hy=vh.exports,Yy={
title:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` have data cells they describe.',failureTitle:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` do not have data cells they describe.',description:"Screen readers have features to make navigating tables easier. Ensuring table headers always refer to some set of cells may improve the experience for screen reader users. [Learn more](https://web.dev/th-has-data-cells/)."},Ky=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/th-has-data-cells.js",Yy);Gy.exports=class THHasDataCells extends Hy{static get meta(){return{id:"th-has-data-cells",title:Ky(Yy.title),failureTitle:Ky(Yy.failureTitle),description:Ky(Yy.description),requiredArtifacts:["Accessibility"]}}},Gy.exports.UIStrings=Yy;var Jy={exports:{}};const Xy=vh.exports,Zy={title:"`[lang]` attributes have a valid value",failureTitle:"`[lang]` attributes do not have a valid value",
description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) on elements helps ensure that text is pronounced correctly by a screen reader. [Learn more](https://web.dev/valid-lang/)."},Qy=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/valid-lang.js",Zy);Jy.exports=class ValidLang extends Xy{static get meta(){return{id:"valid-lang",title:Qy(Zy.title),failureTitle:Qy(Zy.failureTitle),description:Qy(Zy.description),requiredArtifacts:["Accessibility"]}}},Jy.exports.UIStrings=Zy;var ev={exports:{}};const tv=vh.exports,rv={title:'`<video>` elements contain a `<track>` element with `[kind="captions"]`',failureTitle:'`<video>` elements do not contain a `<track>` element with `[kind="captions"]`.',description:"When a video provides a caption it is easier for deaf and hearing impaired users to access its information. [Learn more](https://web.dev/video-caption/)."
},av=oi.createMessageInstanceIdFn("lighthouse-core/audits/accessibility/video-caption.js",rv);ev.exports=class VideoCaption extends tv{static get meta(){return{id:"video-caption",title:av(rv.title),failureTitle:av(rv.failureTitle),description:av(rv.description),requiredArtifacts:["Accessibility"]}}},ev.exports.UIStrings=rv;var nv={exports:{}};const iv=kc,ov={title:"Provides a valid `apple-touch-icon`",failureTitle:"Does not provide a valid `apple-touch-icon`",description:"For ideal appearance on iOS when users add a progressive web app to the home screen, define an `apple-touch-icon`. It must point to a non-transparent 192px (or 180px) square PNG. [Learn More](https://web.dev/apple-touch-icon/).",precomposedWarning:"`apple-touch-icon-precomposed` is out of date; `apple-touch-icon` is preferred."},sv=oi.createMessageInstanceIdFn("lighthouse-core/audits/apple-touch-icon.js",ov);nv.exports=class AppleTouchIcon extends iv{static get meta(){return{id:"apple-touch-icon",title:sv(ov.title),
failureTitle:sv(ov.failureTitle),description:sv(ov.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements"]}}static audit(e){const t=e.LinkElements.filter((e=>"apple-touch-icon"===e.rel||"apple-touch-icon-precomposed"===e.rel)).filter((e=>!!e.href)),r=0!==t.length,a=[];return 0!==t.filter((e=>"apple-touch-icon-precomposed"===e.rel)).length&&0===t.filter((e=>"apple-touch-icon"===e.rel)).length&&a.push(sv(ov.precomposedWarning)),{score:r?1:0,warnings:a}}},nv.exports.UIStrings=ov;var cv={exports:{}};const lv=kc,uv=oi,dv=on.default,mv={title:"`<input>` elements correctly use `autocomplete`",failureTitle:"`<input>` elements do not have correct `autocomplete` attributes",description:"`autocomplete` helps users submit forms quicker. To reduce user effort, consider enabling by setting the `autocomplete` attribute to a valid value. [Learn more](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)",
columnSuggestions:"Suggested Token",columnCurrent:"Current Value",warningInvalid:'`autocomplete` token(s): "{token}" is invalid in {snippet}',warningOrder:'Review order of tokens: "{tokens}" in {snippet}',reviewOrder:"Review order of tokens",manualReview:"Requires manual review"
},pv=uv.createMessageInstanceIdFn("lighthouse-core/audits/autocomplete.js",mv),hv=["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname","username","new-password","current-password","one-time-code","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","photo","tel","tel-country-code","tel-national","tel-area-code","on","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp","off","additional-name-initial","home","work","mobile","fax","pager","shipping","billing"],gv=["NO_SERVER_DATA","UNKNOWN_TYPE","EMPTY_TYPE","HTML_TYPE_UNSPECIFIED","HTML_TYPE_UNRECOGNIZED"],fv={
NO_SERVER_DATA:pv(mv.manualReview),UNKNOWN_TYPE:pv(mv.manualReview),EMPTY_TYPE:pv(mv.manualReview),NAME_FIRST:"given-name",NAME_MIDDLE:"additional-name",NAME_LAST:"family-name",NAME_FULL:"name",NAME_MIDDLE_INITIAL:"additional-name-initial",NAME_SUFFIX:"honorific-suffix",NAME_BILLING_FIRST:"billing given-name",NAME_BILLING_MIDDLE:"billing additional-name",NAME_BILLING_LAST:"billing family-name",NAME_BILLING_MIDDLE_INITIAL:"billing additional-name-initial",NAME_BILLING_FULL:"billing name",NAME_BILLING_SUFFIX:"billing honorific-suffix",EMAIL_ADDRESS:"email",MERCHANT_EMAIL_SIGNUP:"email",PHONE_HOME_NUMBER:"tel-local",PHONE_HOME_CITY_CODE:"tel-area-code",PHONE_HOME_COUNTRY_CODE:"tel-country-code",PHONE_HOME_CITY_AND_NUMBER:"tel-national",PHONE_HOME_WHOLE_NUMBER:"tel",PHONE_HOME_EXTENSION:"tel-extension",PHONE_BILLING_NUMBER:"billing tel-local",PHONE_BILLING_CITY_CODE:"billing tel-area-code",PHONE_BILLING_COUNTRY_CODE:"tel-country-code",PHONE_BILLING_CITY_AND_NUMBER:"tel-national",
PHONE_BILLING_WHOLE_NUMBER:"tel",ADDRESS_HOME_STREET_ADDRESS:"street-address",ADDRESS_HOME_LINE1:"address-line1",ADDRESS_HOME_LINE2:"address-line2",ADDRESS_HOME_LINE3:"address-line3",ADDRESS_HOME_STATE:"address-level1",ADDRESS_HOME_CITY:"address-level2",ADDRESS_HOME_DEPENDENT_LOCALITY:"address-level3",ADDRESS_HOME_ZIP:"postal-code",ADDRESS_HOME_COUNTRY:"country-name",ADDRESS_BILLING_DEPENDENT_LOCALITY:"billing address-level3",ADDRESS_BILLING_STREET_ADDRESS:"billing street-address",ADDRESS_BILLING_LINE1:"billing address-line1",ADDRESS_BILLING_LINE2:"billing address-line2",ADDRESS_BILLING_LINE3:"billing address-line3",ADDRESS_BILLING_APT_NUM:"billing address-level3",ADDRESS_BILLING_CITY:"billing address-level2",ADDRESS_BILLING_STATE:"billing address-level1",ADDRESS_BILLING_ZIP:"billing postal-code",ADDRESS_BILLING_COUNTRY:"billing country-name",CREDIT_CARD_NAME_FULL:"cc-name",CREDIT_CARD_NAME_FIRST:"cc-given-name",CREDIT_CARD_NAME_LAST:"cc-family-name",CREDIT_CARD_NUMBER:"cc-number",
CREDIT_CARD_EXP_MONTH:"cc-exp-month",CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp",CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"cc-exp",CREDIT_CARD_TYPE:"cc-type",CREDIT_CARD_VERIFICATION_CODE:"cc-csc",COMPANY_NAME:"organization",PASSWORD:"current-password",ACCOUNT_CREATION_PASSWORD:"new-password",HTML_TYPE_UNSPECIFIED:pv(mv.manualReview),HTML_TYPE_NAME:"name",HTML_TYPE_HONORIFIC_PREFIX:"honorific-prefix",HTML_TYPE_GIVEN_NAME:"given-name",HTML_TYPE_ADDITIONAL_NAME:"additional-name",HTML_TYPE_FAMILY_NAME:"family-name",HTML_TYPE_ORGANIZATION:"organization",HTML_TYPE_STREET_ADDRESS:"street-address",HTML_TYPE_ADDRESS_LINE1:"address-line1",HTML_TYPE_ADDRESS_LINE2:"address-line2",HTML_TYPE_ADDRESS_LINE3:"address-line3",HTML_TYPE_ADDRESS_LEVEL1:"address-level1",HTML_TYPE_ADDRESS_LEVEL2:"address-level2",HTML_TYPE_ADDRESS_LEVEL3:"address-level3",HTML_TYPE_COUNTRY_CODE:"tel-country-code",
HTML_TYPE_COUNTRY_NAME:"country-name",HTML_TYPE_POSTAL_CODE:"postal-code",HTML_TYPE_FULL_ADDRESS:"street-address",HTML_TYPE_CREDIT_CARD_NAME_FULL:"cc-name",HTML_TYPE_CREDIT_CARD_NAME_FIRST:"cc-given-name",HTML_TYPE_CREDIT_CARD_NAME_LAST:"cc-family-name",HTML_TYPE_CREDIT_CARD_NUMBER:"cc-number",HTML_TYPE_CREDIT_CARD_EXP:"cc-exp",HTML_TYPE_CREDIT_CARD_EXP_MONTH:"cc-exp-month",HTML_TYPE_CREDIT_CARD_EXP_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_VERIFICATION_CODE:"cc-csc",HTML_TYPE_CREDIT_CARD_TYPE:"cc-csc",HTML_TYPE_TEL:"tel",HTML_TYPE_TEL_COUNTRY_CODE:"tel-country-code",HTML_TYPE_TEL_NATIONAL:"tel-national",HTML_TYPE_TEL_AREA_CODE:"tel-area-code",HTML_TYPE_TEL_LOCAL:"tel-local",HTML_TYPE_TEL_LOCAL_PREFIX:"tel-local-prefix",HTML_TYPE_TEL_LOCAL_SUFFIX:"tel-local-suffix",HTML_TYPE_TEL_EXTENSION:"tel-extension",HTML_TYPE_EMAIL:"email",HTML_TYPE_ADDITIONAL_NAME_INITIAL:"additional-name-initial",HTML_TYPE_CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp-year",
HTML_TYPE_CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_UPI_VPA:pv(mv.manualReview),HTML_TYPE_ONE_TIME_CODE:"one-time-code",HTML_TYPE_UNRECOGNIZED:pv(mv.manualReview),HTML_TYPE_TRANSACTION_AMOUNT:"transaction-amount",HTML_TYPE_TRANSACTION_CURRENCY:"transaction-currency"};cv.exports=class AutocompleteAudit extends lv{static get meta(){return{id:"autocomplete",title:pv(mv.title),failureTitle:pv(mv.failureTitle),description:pv(mv.description),requiredArtifacts:["Inputs"]}}static checkAttributeValidity(e){if(!e.autocomplete.attribute)return{hasValidTokens:!1};const t=e.autocomplete.attribute.split(" ");for(const e of t)if("section-"!==e.slice(0,8)&&!hv.includes(e))return{hasValidTokens:!1};return e.autocomplete.property?{hasValidTokens:!0,isValidOrder:!0}:{hasValidTokens:!0,isValidOrder:!1}}static audit(e){const t=[],r=[];let a=!1;for(const n of e.Inputs.inputs){
const e=this.checkAttributeValidity(n);if(e.hasValidTokens&&e.isValidOrder)continue;if(!n.autocomplete.prediction)continue;if(gv.includes(n.autocomplete.prediction)&&!n.autocomplete.attribute)continue;a=!0;let i=fv[n.autocomplete.prediction];n.autocomplete.attribute||(n.autocomplete.attribute=""),n.autocomplete.attribute&&r.push(pv(mv.warningInvalid,{token:n.autocomplete.attribute,snippet:n.node.snippet})),!1===e.isValidOrder&&(r.push(pv(mv.warningOrder,{tokens:n.autocomplete.attribute,snippet:n.node.snippet})),i=mv.reviewOrder),n.autocomplete.prediction in fv||!e.isValidOrder?t.push({node:lv.makeNodeItem(n.node),suggestion:i,current:n.autocomplete.attribute}):dv.warn(`Autocomplete prediction (${n.autocomplete.prediction})\n            not found in our mapping`)}const n=[{key:"node",itemType:"node",text:pv(uv.UIStrings.columnFailingElem)},{key:"current",itemType:"text",text:pv(mv.columnCurrent)},{key:"suggestion",itemType:"text",text:pv(mv.columnSuggestions)
}],i=lv.makeTableDetails(n,t);let o;return t.length>0&&(o=pv(uv.UIStrings.displayValueElementsFound,{nodeCount:t.length})),{score:t.length>0?0:1,notApplicable:!a,displayValue:o,details:i,warnings:r}}},cv.exports.UIStrings=mv;var yv={exports:{}};const vv={parseHTML:{id:"parseHTML",label:"Parse HTML & CSS",traceEventNames:["ParseHTML","ParseAuthorStyleSheet"]},styleLayout:{id:"styleLayout",label:"Style & Layout",traceEventNames:["ScheduleStyleRecalculation","UpdateLayoutTree","InvalidateLayout","Layout"]},paintCompositeRender:{id:"paintCompositeRender",label:"Rendering",traceEventNames:["Animation","HitTest","PaintSetup","Paint","PaintImage","RasterTask","ScrollLayer","UpdateLayer","UpdateLayerTree","CompositeLayers","PrePaint"]},scriptParseCompile:{id:"scriptParseCompile",label:"Script Parsing & Compilation",traceEventNames:["v8.compile","v8.compileModule","v8.parseOnBackground"]},scriptEvaluation:{id:"scriptEvaluation",label:"Script Evaluation",
traceEventNames:["EventDispatch","EvaluateScript","v8.evaluateModule","FunctionCall","TimerFire","FireIdleCallback","FireAnimationFrame","RunMicrotasks","V8.Execute"]},garbageCollection:{id:"garbageCollection",label:"Garbage Collection",traceEventNames:["MinorGC","MajorGC","BlinkGC.AtomicPhase","ThreadState::performIdleLazySweep","ThreadState::completeSweep","BlinkGCMarking"]},other:{id:"other",label:"Other",traceEventNames:["MessageLoop::RunTask","TaskQueueManager::ProcessTaskFromWorkQueue","ThreadControllerImpl::DoWork"]}},bv={};for(const e of Object.values(vv))for(const t of e.traceEventNames)bv[t]=e;var wv={taskGroups:vv,taskNameToGroup:bv};const{taskGroups:Sv,taskNameToGroup:Tv}=wv;class MainThreadTasks$9{static _createNewTaskNode(e,t){const r="X"===e.ph&&!t,a="B"===e.ph&&t&&"E"===t.ph;if(!r&&!a)throw new Error("Invalid parameters for _createNewTaskNode");const n=e.ts,i=t?t.ts:e.ts+Number(e.dur||0);return{event:e,endEvent:t,startTime:n,endTime:i,duration:i-n,unbounded:!1,
parent:void 0,children:[],attributableURLs:[],group:Sv.other,selfTime:NaN}}static _assignAllTimersUntilTs(e,t,r,a){for(;a.length;){const n=a.pop();if(!n)break;if(n.ts>t){a.push(n);break}if(n.ts<e.startTime)continue;const i=n.args.data.timerId;r.timers.set(i,e)}}static _createTasksFromStartAndEndEvents(e,t,r){const a=[],n=t.slice().reverse();for(let t=0;t<e.length;t++){const i=e[t];if("X"===i.ph){a.push(MainThreadTasks$9._createNewTaskNode(i));continue}let o,s=-1,c=0,l=t+1;for(let t=n.length-1;t>=0;t--){const r=n[t];for(;l<e.length&&!(e[l].ts>=r.ts);l++)e[l].name===i.name&&c++;if(r.name===i.name&&!(r.ts<i.ts)){if(!(c>0)){s=t;break}c--}}let u=!1;-1===s?(o={...i,ph:"E",ts:r},u=!0):o=s===n.length-1?n.pop():n.splice(s,1)[0];const d=MainThreadTasks$9._createNewTaskNode(i,o);d.unbounded=u,a.push(d)}if(n.length)throw new Error(`Fatal trace logic error - ${n.length} unmatched end events`);return a}static _createTaskRelationships(e,t,r){let a;const n=t.slice().reverse()
;for(let t=0;t<e.length;t++){let i=e[t];if("XHRReadyStateChange"===i.event.name){const e=i.event.args.data,t=e?.url;e&&t&&1===e.readyState&&r.xhrs.set(t,i)}for(;a&&Number.isFinite(a.endTime)&&a.endTime<=i.startTime;)MainThreadTasks$9._assignAllTimersUntilTs(a,a.endTime,r,n),a=a.parent;if(a){if(i.endTime>a.endTime){const e=i.endTime-a.endTime;if(e<1e3)a.endTime=i.endTime,a.duration+=e;else if(i.unbounded)i.endTime=a.endTime,i.duration=i.endTime-i.startTime;else{if(!(i.startTime-a.startTime<1e3)||a.children.length){const t=new Error("Fatal trace logic error - child cannot end after parent");throw t.timeDelta=e,t.nextTaskEvent=i.event,t.nextTaskEndEvent=i.endEvent,t.nextTaskEndTime=i.endTime,t.currentTaskEvent=a.event,t.currentTaskEndEvent=a.endEvent,t.currentTaskEndTime=a.endTime,t}{const e=i,t=a,r=a.parent;if(r){const a=r.children.length-1;if(r.children[a]!==t)throw new Error("Fatal trace logic error - impossible children");r.children.pop(),r.children.push(e)}e.parent=r,
e.startTime=t.startTime,e.duration=e.endTime-e.startTime,a=e,i=t}}}i.parent=a,a.children.push(i),MainThreadTasks$9._assignAllTimersUntilTs(a,i.startTime,r,n)}a=i}a&&MainThreadTasks$9._assignAllTimersUntilTs(a,a.endTime,r,n)}static _createTasksFromEvents(e,t,r){const a=[],n=[],i=[];for(const t of e)"X"!==t.ph&&"B"!==t.ph||a.push(t),"E"===t.ph&&n.push(t),"TimerInstall"===t.name&&i.push(t);const o=MainThreadTasks$9._createTasksFromStartAndEndEvents(a,n,r).sort(((e,t)=>e.startTime-t.startTime||t.duration-e.duration));return MainThreadTasks$9._createTaskRelationships(o,i,t),o.sort(((e,t)=>e.startTime-t.startTime||t.duration-e.duration))}static _computeRecursiveSelfTime(e,t){if(t&&e.endTime>t.endTime)throw new Error("Fatal trace logic error - child cannot end after parent");const r=e.children.map((t=>MainThreadTasks$9._computeRecursiveSelfTime(t,e))).reduce(((e,t)=>e+t),0);return e.selfTime=e.duration-r,e.duration}static _computeRecursiveAttributableURLs(e,t,r,a){const n=e.event.args,i={
...n.beginData||{},...n.data||{}},o=i.frame||"";let s=a.frameURLsById.get(o);const c=(i.stackTrace||[]).map((e=>e.url)),l=c[0];o&&s&&s.startsWith("about:")&&l&&(a.frameURLsById.set(o,l),s=l);let u=[];switch(e.event.name){case"v8.compile":case"EvaluateScript":case"FunctionCall":u=[i.url,s];break;case"v8.compileModule":u=[e.event.args.fileName];break;case"TimerFire":{const t=e.event.args.data.timerId,r=a.timers.get(t);if(!r)break;u=r.attributableURLs;break}case"ParseHTML":u=[i.url,s];break;case"ParseAuthorStyleSheet":u=[i.styleSheetUrl,s];break;case"UpdateLayoutTree":case"Layout":case"Paint":if(s){u=[s];break}if(r.length)break;u=a.lastTaskURLs;break;case"XHRReadyStateChange":case"XHRLoad":{const e=i.url,t=i.readyState;if(!e||"number"==typeof t&&4!==t)break;const r=a.xhrs.get(e);if(!r)break;u=r.attributableURLs;break}default:u=[]}const d=Array.from(t);for(const e of[...u,...c])e&&(r.includes(e)||r.push(e),d[d.length-1]!==e&&d.push(e));e.attributableURLs=d,
e.children.forEach((e=>MainThreadTasks$9._computeRecursiveAttributableURLs(e,d,r,a))),d.length||e.parent||!r.length||MainThreadTasks$9._setRecursiveEmptyAttributableURLs(e,r)}static _setRecursiveEmptyAttributableURLs(e,t){e.attributableURLs.length||(e.attributableURLs=t.slice(),e.children.forEach((e=>MainThreadTasks$9._setRecursiveEmptyAttributableURLs(e,t))))}static _computeRecursiveTaskGroup(e,t){const r=Tv[e.event.name];e.group=r||t||Sv.other,e.children.forEach((t=>MainThreadTasks$9._computeRecursiveTaskGroup(t,e.group)))}static getMainThreadTasks(e,t,r){const a=new Map,n=new Map,i=new Map;t.forEach((({id:e,url:t})=>i.set(e,t)));const o={timers:a,xhrs:n,frameURLsById:i,lastTaskURLs:[]},s=MainThreadTasks$9._createTasksFromEvents(e,o,r);for(const e of s)e.parent||(MainThreadTasks$9._computeRecursiveSelfTime(e,void 0),MainThreadTasks$9._computeRecursiveAttributableURLs(e,[],[],o),MainThreadTasks$9._computeRecursiveTaskGroup(e),o.lastTaskURLs=e.attributableURLs);const c=(s[0]||{
startTime:0}).startTime;for(const e of s)if(e.startTime=(e.startTime-c)/1e3,e.endTime=(e.endTime-c)/1e3,e.duration/=1e3,e.selfTime/=1e3,!Number.isFinite(e.selfTime))throw new Error("Invalid task timing data");return s}static printTaskTreeToDebugString(e,t={}){const r=Math.max(...e.map((e=>e.endTime)),0),{printWidth:a=100,startTime:n=0,endTime:i=r,taskLabelFn:o=(e=>e.event.name)}=t;function computeTaskDepth(e){let t=0;for(;e.parent;e=e.parent)t++;return t}const s=(i-n)/a,c=new Map,l=new Map;for(const t of e){if(t.startTime>i||t.endTime<n)continue;const e=computeTaskDepth(t),r=l.get(e)||[];r.push(t),l.set(e,r);const a=String.fromCharCode(65+c.size%26);c.set(t,{id:a,task:t})}const u=[`Trace Duration: ${r.toFixed(0)}ms`,`Range: [${n}, ${i}]`,`█ = ${s.toFixed(2)}ms`,""],d=Array.from(l.entries()).sort(((e,t)=>e[0]-t[0]));for(const[,e]of d){const t=Array.from({length:a}).map((()=>" "));for(const r of e){const e=Math.max(r.startTime,n),a=Math.min(r.endTime,i),{id:o}=c.get(r)||{id:"?"
},l=Math.floor(e/s),u=Math.floor(a/s),d=Math.floor((l+u)/2);for(let e=l;e<=u;e++)t[e]="█";for(let e=0;e<o.length;e++)t[d]=o}u.push(t.join(""))}u.push("");for(const{id:e,task:t}of c.values())u.push(`${e} = ${o(t)}`);return u.join("\n")}}var Ev=MainThreadTasks$9;const xv=Ao,_v=Ev,Av=Yp;var Rv=xv(class MainThreadTasks$8{static async compute_(e,t){const{mainThreadEvents:r,frames:a,timestamps:n}=await Av.request(e,t);return _v.getMainThreadTasks(r,a,n.traceEnd)}},null);const kv=Ki,Dv=new Set(["CpuProfiler::StartProfiling"]),Cv=new Set(["V8.GCCompactor","MajorGC","MinorGC"]);function getJavaScriptURLs$2(e){const t=new Set;for(const r of e)r.resourceType===kv.TYPES.Script&&t.add(r.url);return t}function getAttributableURLForTask$2(e,t){const r=e.attributableURLs.find((e=>t.has(e))),a=e.attributableURLs[0];let n=r||a;return n&&"about:blank"!==n||(n=Dv.has(e.event.name)?"Browser":Cv.has(e.event.name)?"Browser GC":"Unattributable"),n}var Iv={getJavaScriptURLs:getJavaScriptURLs$2,
getAttributableURLForTask:getAttributableURLForTask$2,getExecutionTimingsByURL:function getExecutionTimingsByURL$2(e,t){const r=getJavaScriptURLs$2(t),a=new Map;for(const t of e){const e=getAttributableURLForTask$2(t,r),n=a.get(e)||{},i=n[t.group.id]||0;n[t.group.id]=i+t.selfTime,a.set(e,n)}return a}};const Nv=kc,{taskGroups:Lv}=wv,Mv=oi,Pv=Lo,Ov=Rv,{getExecutionTimingsByURL:Fv}=Iv,Uv={title:"JavaScript execution time",failureTitle:"Reduce JavaScript execution time",description:"Consider reducing the time spent parsing, compiling, and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/bootup-time/).",columnTotal:"Total CPU Time",columnScriptEval:"Script Evaluation",columnScriptParse:"Script Parse",chromeExtensionsWarning:"Chrome extensions negatively affected this page's load performance. Try auditing the page in incognito mode or from a Chrome profile without extensions."
},jv=Mv.createMessageInstanceIdFn("lighthouse-core/audits/bootup-time.js",Uv);class BootupTime extends Nv{static get meta(){return{id:"bootup-time",title:jv(Uv.title),failureTitle:jv(Uv.failureTitle),description:jv(Uv.description),scoreDisplayMode:Nv.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","devtoolsLogs"]}}static get defaultOptions(){return{p10:1282,median:3500,thresholdInMs:50}}static async audit(e,t){const r=t.settings||{},a=e.traces[BootupTime.DEFAULT_PASS],n=e.devtoolsLogs[BootupTime.DEFAULT_PASS],i=await Pv.request(n,t),o=await Ov.request(a,t),s="simulate"===r.throttlingMethod?r.throttling.cpuSlowdownMultiplier:1,c=Fv(o,i);let l=!1,u=0;const d=Array.from(c).map((([e,r])=>{let a=0;for(const[e,t]of Object.entries(r))r[e]=t*s,a+=t*s;const n=r[Lv.scriptEvaluation.id]||0,i=r[Lv.scriptParseCompile.id]||0;return a>=t.options.thresholdInMs&&(u+=n+i),l=l||e.startsWith("chrome-extension:")&&n>100,{url:e,total:a,scripting:n,scriptParseCompile:i}
})).filter((e=>e.total>=t.options.thresholdInMs)).sort(((e,t)=>t.total-e.total));let m;l&&(m=[jv(Uv.chromeExtensionsWarning)]);const p={wastedMs:u},h=[{key:"url",itemType:"url",text:jv(Mv.UIStrings.columnURL)},{key:"total",granularity:1,itemType:"ms",text:jv(Uv.columnTotal)},{key:"scripting",granularity:1,itemType:"ms",text:jv(Uv.columnScriptEval)},{key:"scriptParseCompile",granularity:1,itemType:"ms",text:jv(Uv.columnScriptParse)}],f=BootupTime.makeTableDetails(h,d,p);return{score:Nv.computeLogNormalScore({p10:t.options.p10,median:t.options.median},u),numericValue:u,numericUnit:"millisecond",displayValue:u>0?jv(Mv.UIStrings.seconds,{timeInMs:u}):"",details:f,runWarnings:m}}}yv.exports=BootupTime,yv.exports.UIStrings=Uv;var Bv={exports:{}};const $v=Zc,qv=Ki;class NetworkNode$1 extends $v{constructor(e){super(e.requestId),this._record=e}get type(){return $v.TYPES.NETWORK}get startTime(){return 1e3*this._record.startTime*1e3}get endTime(){return 1e3*this._record.endTime*1e3}get record(){
return this._record}get initiatorType(){return this._record.initiator&&this._record.initiator.type}get fromDiskCache(){return!!this._record.fromDiskCache}get isNonNetworkProtocol(){return qv.isNonNetworkRequest(this._record)}get isConnectionless(){return this.fromDiskCache||this.isNonNetworkProtocol}hasRenderBlockingPriority(){const e=this._record.priority,t=this._record.resourceType===qv.TYPES.Script,r=this._record.resourceType===qv.TYPES.Document;return"VeryHigh"===e||"High"===e&&t||"High"===e&&r}cloneWithoutRelationships(){const e=new NetworkNode$1(this._record);return e.setIsMainDocument(this._isMainDocument),e}}var zv=NetworkNode$1;const Vv=Zc;class CPUNode$1 extends Vv{constructor(e,t=[]){super(`${e.tid}.${e.ts}`),this._event=e,this._childEvents=t}get type(){return Vv.TYPES.CPU}get startTime(){return this._event.ts}get endTime(){return this._event.ts+this._event.dur}get event(){return this._event}get childEvents(){return this._childEvents}didPerformLayout(){
return this._childEvents.some((e=>"Layout"===e.name))}getEvaluateScriptURLs(){const e=new Set;for(const t of this._childEvents)"EvaluateScript"===t.name&&t.args.data&&t.args.data.url&&e.add(t.args.data.url);return e}cloneWithoutRelationships(){return new CPUNode$1(this._event,this._childEvents)}}const Wv=Ao,Gv=zv,Hv=CPUNode$1,Yv=Fo,Kv=ao,Jv=Ki,Xv=Yp,Zv=Lo,Qv=/^video/;class PageDependencyGraph$a{static getNetworkInitiators(e){if(!e.initiator)return[];if(e.initiator.url)return[e.initiator.url];if("script"===e.initiator.type){const t=new Set;let r=e.initiator.stack;for(;r;){const e=r.callFrames||[];for(const r of e)r.url&&t.add(r.url);r=r.parent}return Array.from(t)}return[]}static getNetworkNodeOutput(e){const t=[],r=new Map,a=new Map,n=new Map;return e.forEach((e=>{if(Qv.test(e.mimeType))return;for(;r.has(e.requestId);)e.requestId+=":duplicate";const i=new Gv(e);t.push(i);const o=a.get(e.url)||[];if(o.push(i),r.set(e.requestId,i),a.set(e.url,o),
e.frameId&&e.resourceType===Jv.TYPES.Document&&e.documentURL===e.url){const t=n.has(e.frameId)?null:i;n.set(e.frameId,t)}})),{nodes:t,idToNodeMap:r,urlToNodeMap:a,frameIdToNodeMap:n}}static getCPUNodes({mainThreadEvents:e}){const t=[];let r=0;for(Kv.assertHasToplevelEvents(e);r<e.length;){const a=e[r];if(r++,!Kv.isScheduleableTask(a)||!a.dur)continue;const n=[];for(const t=a.ts+a.dur;r<e.length&&e[r].ts<t;r++)n.push(e[r]);t.push(new Hv(a,n))}return t}static linkNetworkNodes(e,t){t.nodes.forEach((r=>{const a=r.record.initiatorRequest||e.record,n=t.idToNodeMap.get(a.requestId)||e,i=!n.isDependentOn(r)&&r.canDependOn(n),o=PageDependencyGraph$a.getNetworkInitiators(r.record);if(o.length?o.forEach((e=>{const a=t.urlToNodeMap.get(e)||[];1===a.length&&a[0].startTime<=r.startTime&&!a[0].isDependentOn(r)?r.addDependency(a[0]):i&&n.addDependent(r)})):i&&n.addDependent(r),r!==e&&0===r.getDependencies().length&&r.canDependOn(e)&&r.addDependency(e),!r.record.redirects)return
;const s=[...r.record.redirects,r.record];for(let e=1;e<s.length;e++){const r=t.idToNodeMap.get(s[e-1].requestId),a=t.idToNodeMap.get(s[e].requestId);a&&r&&a.addDependency(r)}}))}static linkCPUNodes(e,t,r){const a=new Set([Jv.TYPES.XHR,Jv.TYPES.Fetch,Jv.TYPES.Script]);function addDependentNetworkRequest(e,r){const n=t.idToNodeMap.get(r);if(!n||n.startTime<=e.startTime)return;const{record:i}=n,o=i.resourceType||i.redirectDestination?.resourceType;a.has(o)&&e.addDependent(n)}function addDependencyOnFrame(e,r){if(!r)return;const a=t.frameIdToNodeMap.get(r);a&&(a.startTime>=e.startTime||e.addDependency(a))}function addDependencyOnUrl(e,r){if(!r)return;const a=t.urlToNodeMap.get(r)||[];let n=null,i=1/0;for(const t of a){if(e.startTime<=t.startTime)return;const r=e.startTime-t.endTime;r>=-1e5&&r<i&&(n=t,i=r)}n&&e.addDependency(n)}const n=new Map;for(const t of r){for(const e of t.childEvents){if(!e.args.data)continue
;const r=e.args.data.url,a=(e.args.data.stackTrace||[]).map((e=>e.url)).filter(Boolean);switch(e.name){case"TimerInstall":n.set(e.args.data.timerId,t),a.forEach((e=>addDependencyOnUrl(t,e)));break;case"TimerFire":{const r=n.get(e.args.data.timerId);if(!r||r.endTime>t.startTime)break;r.addDependent(t);break}case"InvalidateLayout":case"ScheduleStyleRecalculation":addDependencyOnFrame(t,e.args.data.frame),a.forEach((e=>addDependencyOnUrl(t,e)));break;case"EvaluateScript":addDependencyOnFrame(t,e.args.data.frame),addDependencyOnUrl(t,r),a.forEach((e=>addDependencyOnUrl(t,e)));break;case"XHRReadyStateChange":if(4!==e.args.data.readyState)break;addDependencyOnUrl(t,r),a.forEach((e=>addDependencyOnUrl(t,e)));break;case"FunctionCall":case"v8.compile":addDependencyOnFrame(t,e.args.data.frame),addDependencyOnUrl(t,r);break;case"ParseAuthorStyleSheet":addDependencyOnFrame(t,e.args.data.frame),addDependencyOnUrl(t,e.args.data.styleSheetUrl);break;case"ResourceSendRequest":
addDependencyOnFrame(t,e.args.data.frame),addDependentNetworkRequest(t,e.args.data.requestId),a.forEach((e=>addDependencyOnUrl(t,e)))}}0===t.getNumberOfDependencies()&&t.canDependOn(e)&&t.addDependency(e)}let i=!1,o=!1,s=!1;for(const e of r){let t=!1;!i&&e.childEvents.some((e=>"Layout"===e.name))&&(t=i=!0),!o&&e.childEvents.some((e=>"Paint"===e.name))&&(t=o=!0),!s&&e.childEvents.some((e=>"ParseHTML"===e.name))&&(t=s=!0),t||e.event.dur>=1e4||(1===e.getNumberOfDependencies()||e.getNumberOfDependents()<=1)&&PageDependencyGraph$a._pruneNode(e)}}static _pruneNode(e){const t=e.getDependencies(),r=e.getDependents();for(const a of t){e.removeDependency(a);for(const e of r)a.addDependent(e)}for(const t of r)e.removeDependent(t)}static createGraph(e,t){const r=PageDependencyGraph$a.getNetworkNodeOutput(t),a=PageDependencyGraph$a.getCPUNodes(e),n=Yv.findMainDocument(t),i=r.idToNodeMap.get(n.requestId);if(!i)throw new Error("mainDocumentNode not found.");const o=i.record.redirects?.[0];let s
;if(o){if(s=o&&r.idToNodeMap.get(o.requestId),!s)throw new Error("rootNode not found")}else s=i;if(PageDependencyGraph$a.linkNetworkNodes(s,r),PageDependencyGraph$a.linkCPUNodes(s,r,a),i.setIsMainDocument(!0),Gv.hasCycle(s))throw new Error("Invalid dependency graph created, cycle detected");return s}static printGraph(e,t=100){function padRight(e,t,r=" "){return e+r.repeat(Math.max(t-e.length,0))}const r=[];e.traverse((e=>r.push(e))),r.sort(((e,t)=>e.startTime-t.startTime));const a=r[0].startTime,n=(r.reduce(((e,t)=>Math.max(e,t.endTime)),0)-a)/t;r.forEach((e=>{const r=Math.round((e.startTime-a)/n),i=Math.ceil((e.endTime-e.startTime)/n),o=padRight("",r)+padRight("",i,"="),s=e.record?e.record.url:e.type;console.log(padRight(o,t),`| ${s.slice(0,30)}`)}))}static async compute_(e,t){const r=e.trace,a=e.devtoolsLog,[n,i]=await Promise.all([Xv.request(r,t),Zv.request(a,t)]);return PageDependencyGraph$a.createGraph(n,i)}}var eb=Wv(PageDependencyGraph$a,["devtoolsLog","trace"])
;const tb=Zc,rb=Ki,ab=Yp,nb=Xp,ib=eb,ob=Dl;var sb=class LanternMetricArtifact$1{static getScriptUrls(e,t){const r=new Set;return e.traverse((e=>{e.type!==tb.TYPES.CPU&&e.record.resourceType===rb.TYPES.Script&&(t&&!t(e)||r.add(e.record.url))})),r}static get COEFFICIENTS(){throw new Error("COEFFICIENTS unimplemented!")}static getScaledCoefficients(e){return this.COEFFICIENTS}static getOptimisticGraph(e,t){throw new Error("Optimistic graph unimplemented!")}static getPessimisticGraph(e,t){throw new Error("Pessmistic graph unimplemented!")}static getEstimateFromSimulation(e,t){return e}static async computeMetricWithGraphs(e,t,r){const a=e.gatherContext||{gatherMode:"navigation"},{trace:n,devtoolsLog:i,settings:o}=e;if("navigation"!==a.gatherMode)throw new Error("Lantern metrics can only be computed on navigations");const s=this.name.replace("Lantern",""),c=await ib.request({trace:n,devtoolsLog:i},t),l=await ab.request(n,t),u=await nb.request(l,t),d=e.simulator||await ob.request({
devtoolsLog:i,settings:o},t),m=this.getOptimisticGraph(c,u),p=this.getPessimisticGraph(c,u);let h={label:`optimistic${s}`};const f=d.simulate(m,h);h={label:`optimisticFlex${s}`,flexibleOrdering:!0};const y=d.simulate(m,h);h={label:`pessimistic${s}`};const v=d.simulate(p,h),b=this.getEstimateFromSimulation(f.timeInMs<y.timeInMs?f:y,{...r,optimistic:!0}),w=this.getEstimateFromSimulation(v,{...r,optimistic:!1}),S=this.getScaledCoefficients(d.rtt),T=S.intercept>0?Math.min(1,b.timeInMs/1e3):1;return{timing:S.intercept*T+S.optimistic*b.timeInMs+S.pessimistic*w.timeInMs,optimisticEstimate:b,pessimisticEstimate:w,optimisticGraph:m,pessimisticGraph:p}}static async compute_(e,t){return this.computeMetricWithGraphs(e,t)}};const cb=Ao,lb=sb,ub=Zc;var db=cb(class LanternFirstContentfulPaint$6 extends lb{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getBlockingNodeData(e,t,r,a){const n=new Map,i=[];e.traverse((e=>{if(e.type===ub.TYPES.CPU){
e.startTime<=t&&i.push(e);const r=e.getEvaluateScriptURLs();for(const t of r){const r=n.get(t)||e;n.set(t,e.startTime<r.startTime?e:r)}}})),i.sort(((e,t)=>e.startTime-t.startTime));const o=lb.getScriptUrls(e,(e=>e.endTime<=t&&r(e))),s=new Set,c=new Set;for(const e of o){const t=n.get(e);t&&(i.includes(t)?c.add(t.id):s.add(e))}const l=i.find((e=>e.didPerformLayout()));l&&c.add(l.id);const u=i.find((e=>e.childEvents.some((e=>"Paint"===e.name))));u&&c.add(u.id);const d=i.find((e=>e.childEvents.some((e=>"ParseHTML"===e.name))));return d&&c.add(d.id),a&&i.filter(a).forEach((e=>c.add(e.id))),{definitelyNotRenderBlockingScriptUrls:s,blockingCpuNodeIds:c}}static getFirstPaintBasedGraph(e,t,r,a){const{definitelyNotRenderBlockingScriptUrls:n,blockingCpuNodeIds:i}=this.getBlockingNodeData(e,t,r,a);return e.cloneWithRelationships((e=>{if(e.type===ub.TYPES.NETWORK){if((e.endTime>t||e.startTime>t)&&!e.isMainDocument())return!1;const a=e.record.url;return!n.has(a)&&r(e)}return i.has(e.id)}))}
static getOptimisticGraph(e,t){return this.getFirstPaintBasedGraph(e,t.timestamps.firstContentfulPaint,(e=>e.hasRenderBlockingPriority()&&"script"!==e.initiatorType))}static getPessimisticGraph(e,t){return this.getFirstPaintBasedGraph(e,t.timestamps.firstContentfulPaint,(e=>e.hasRenderBlockingPriority()))}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const mb=Ao,pb=sb,hb=vi.exports,gb=db;var fb=mb(class LanternFirstMeaningfulPaint$2 extends pb{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e,t){const r=t.timestamps.firstMeaningfulPaint;if(!r)throw new hb(hb.errors.NO_FMP);return gb.getFirstPaintBasedGraph(e,r,(e=>e.hasRenderBlockingPriority()&&"script"!==e.initiatorType))}static getPessimisticGraph(e,t){const r=t.timestamps.firstMeaningfulPaint;if(!r)throw new hb(hb.errors.NO_FMP);return gb.getFirstPaintBasedGraph(e,r,(e=>e.hasRenderBlockingPriority()),(e=>e.didPerformLayout()))}static async compute_(e,t){
const r=await gb.request(e,t),a=await this.computeMetricWithGraphs(e,t);return a.timing=Math.max(a.timing,r.timing),a}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const yb=Ao,vb=sb,bb=Zc,wb=Ki,Sb=fb;class LanternInteractive$4 extends vb{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e.cloneWithRelationships((e=>{if(e.type===bb.TYPES.CPU)return e.event.dur>2e4;const t=e.record.resourceType===wb.TYPES.Image,r=e.record.resourceType===wb.TYPES.Script;return!t&&(r||"High"===e.record.priority||"VeryHigh"===e.record.priority)}))}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,t){if(!t.fmpResult)throw new Error("missing fmpResult");const r=LanternInteractive$4.getLastLongTaskEndTime(e.nodeTimings),a=t.optimistic?t.fmpResult.optimisticEstimate.timeInMs:t.fmpResult.pessimisticEstimate.timeInMs;return{timeInMs:Math.max(a,r),nodeTimings:e.nodeTimings}}static async compute_(e,t){
const r=await Sb.request(e,t),a=await this.computeMetricWithGraphs(e,t,{fmpResult:r});return a.timing=Math.max(a.timing,r.timing),a}static getLastLongTaskEndTime(e,t=50){return Array.from(e.entries()).filter((([e,r])=>e.type===bb.TYPES.CPU&&r.duration>t)).map((([e,t])=>t.endTime)).reduce(((e,t)=>Math.max(e||0,t||0)),0)}}var Tb=yb(LanternInteractive$4,["devtoolsLog","gatherContext","settings","simulator","trace"]);const Eb=kc,xb=xc.linearInterpolation,_b=Tb,Ab=oi,Rb=Lo,kb=Dl,Db=eb,Cb=Ab.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/byte-efficiency-audit.js",{});class UnusedBytes$4 extends Eb{static scoreForWastedMs(e){return 0===e?1:e<300?xb(0,1,300,.75,e):e<750?xb(300,.75,750,.5,e):Math.max(0,xb(750,.5,5e3,0,e))}static estimateTransferSize(e,t,r){if(e){if(e.resourceType===r)return e.transferSize||0;{const r=e.transferSize||0,a=e.resourceSize||0,n=Number.isFinite(a)&&a>0?r/a:1;return Math.round(t*n)}}switch(r){case"Stylesheet":return Math.round(.2*t);case"Script":
case"Document":return Math.round(.33*t);default:return Math.round(.5*t)}}static async audit(e,t){const r=e.GatherContext,a=e.traces[Eb.DEFAULT_PASS],n=e.devtoolsLogs[Eb.DEFAULT_PASS],i={devtoolsLog:n,settings:t?.settings||{}},o=await Rb.request(n,t);if(!o.some((e=>e.transferSize))&&"timespan"===r.gatherMode)return{score:1,notApplicable:!0};const[s,c,l]=await Promise.all([this.audit_(e,o,t),"navigation"===r.gatherMode?Db.request({trace:a,devtoolsLog:n},t):null,kb.request(i,t)]);return this.createAuditProduct(s,c,l,r)}static computeWasteWithTTIGraph(e,t,r,a){const n=`${(a=Object.assign({includeLoad:!0,label:this.meta.id},a)).label}-before`,i=`${a.label}-after`,o=r.simulate(t,{label:n}),s=a.providedWastedBytesByUrl||new Map;if(!a.providedWastedBytesByUrl)for(const{url:t,wastedBytes:r}of e)s.set(t,(s.get(t)||0)+r);const c=new Map;t.traverse((e=>{if("network"!==e.type)return;const t=s.get(e.record.url);if(!t)return;const r=e.record.transferSize;c.set(e.record.requestId,r),
e.record.transferSize=Math.max(r-t,0)}));const l=r.simulate(t,{label:i});t.traverse((e=>{if("network"!==e.type)return;const t=c.get(e.record.requestId);void 0!==t&&(e.record.transferSize=t)}));const u=o.timeInMs-l.timeInMs;let d=_b.getLastLongTaskEndTime(o.nodeTimings)-_b.getLastLongTaskEndTime(l.nodeTimings);return a.includeLoad&&(d=Math.max(d,u)),10*Math.round(Math.max(d,0)/10)}static createAuditProduct(e,t,r,a){const n=e.items.sort(((e,t)=>t.wastedBytes-e.wastedBytes)),i=n.reduce(((e,t)=>e+t.wastedBytes),0);let o;if("navigation"===a.gatherMode){if(!t)throw Error("Page dependency graph should always be computed in navigation mode");o=this.computeWasteWithTTIGraph(n,t,r,{providedWastedBytesByUrl:e.wastedBytesByUrl})}else o=r.computeWastedMsFromWastedBytes(i);let s=e.displayValue||"";void 0===e.displayValue&&i&&(s=Cb(Ab.UIStrings.displayValueByteSavings,{wastedBytes:i}));const c=Eb.makeOpportunityDetails(e.headings,n,o,i);return{explanation:e.explanation,warnings:e.warnings,
displayValue:s,numericValue:o,numericUnit:"millisecond",score:UnusedBytes$4.scoreForWastedMs(o),details:c}}static audit_(e,t,r){throw new Error("audit_ unimplemented")}}var Ib=UnusedBytes$4,Nb={exports:{}};var Lb={ArrayUtilities:{lowerBound:function lowerBound(e,t,r,a,n){let i=a||0,o=void 0!==n?n:e.length;for(;i<o;){const a=i+o>>1;r(t,e[a])>0?i=a+1:o=a}return o},upperBound:function upperBound(e,t,r,a,n){let i=a||0,o=void 0!==n?n:e.length;for(;i<o;){const a=i+o>>1;r(t,e[a])>=0?i=a+1:o=a}return o}}};!function(e,t){const r=Lb;Object.defineProperty(t,"__esModule",{value:!0}),t.TextSourceMap=t.SourceMapEntry=t.Offset=t.Section=t.SourceMapV3=void 0;t.SourceMapV3=class SourceMapV3{constructor(){}};t.Section=class Section{constructor(){}};t.Offset=class Offset{constructor(){}};class SourceMapEntry{constructor(e,t,r,a,n,i){this.lineNumber=e,this.columnNumber=t,this.sourceURL=r,this.sourceLineNumber=a,this.sourceColumnNumber=n,this.name=i}static compare(e,t){
return e.lineNumber!==t.lineNumber?e.lineNumber-t.lineNumber:e.columnNumber-t.columnNumber}}t.SourceMapEntry=SourceMapEntry;const a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",n=new Map;for(let e=0;e<a.length;++e)n.set(a.charAt(e),e);const i=new WeakMap;class TextSourceMap{constructor(e,t,r,a){if(this.initiator=a,this.json=r,this.compiledURLInternal=e,this.sourceMappingURL=t,this.baseURL=t.startsWith("data:")?e:t,this.mappingsInternal=null,this.sourceInfos=new Map,this.json.sections){Boolean(this.json.sections.find((e=>Boolean(e.url))))&&console.warn(`SourceMap "${t}" contains unsupported "URL" field in one of its sections.`)}this.eachSection(this.parseSources.bind(this))}compiledURL(){return this.compiledURLInternal}url(){return this.sourceMappingURL}sourceURLs(){return[...this.sourceInfos.keys()]}embeddedContentByURL(e){const t=this.sourceInfos.get(e);return t?t.content:null}findEntry(e,t){
const a=this.mappings(),n=r.ArrayUtilities.upperBound(a,void 0,((r,a)=>e-a.lineNumber||t-a.columnNumber));return n?a[n-1]:null}sourceLineMapping(e,t,a){const n=this.reversedMappings(e),i=r.ArrayUtilities.lowerBound(n,t,lineComparator),o=r.ArrayUtilities.upperBound(n,t,lineComparator);if(i>=n.length||n[i].sourceLineNumber!==t)return null;const s=n.slice(i,o);if(!s.length)return null;const c=r.ArrayUtilities.lowerBound(s,a,((e,t)=>e-t.sourceColumnNumber));return c>=s.length?s[s.length-1]:s[c];function lineComparator(e,t){return e-t.sourceLineNumber}}findReverseEntries(e,t,a){const n=this.reversedMappings(e),i=r.ArrayUtilities.upperBound(n,void 0,((e,r)=>t-r.sourceLineNumber||a-r.sourceColumnNumber));let o=i;for(;o>0&&n[o-1].sourceLineNumber===n[i-1].sourceLineNumber&&n[o-1].sourceColumnNumber===n[i-1].sourceColumnNumber;)--o;return n.slice(o,i)}mappings(){return null===this.mappingsInternal&&(this.mappingsInternal=[],this.eachSection(this.parseMap.bind(this)),this.json=null),
this.mappingsInternal}reversedMappings(e){const t=this.sourceInfos.get(e);if(!t)return[];const r=this.mappings();return null===t.reverseMappings&&(t.reverseMappings=r.filter((t=>t.sourceURL===e)).sort((function sourceMappingComparator(e,t){if(e.sourceLineNumber!==t.sourceLineNumber)return e.sourceLineNumber-t.sourceLineNumber;if(e.sourceColumnNumber!==t.sourceColumnNumber)return e.sourceColumnNumber-t.sourceColumnNumber;if(e.lineNumber!==t.lineNumber)return e.lineNumber-t.lineNumber;return e.columnNumber-t.columnNumber}))),t.reverseMappings}eachSection(e){if(this.json)if(this.json.sections)for(const t of this.json.sections)e(t.map,t.offset.line,t.offset.column);else e(this.json,0,0)}parseSources(e){const t=[];let r=e.sourceRoot||"";r&&!r.endsWith("/")&&(r+="/");for(let a=0;a<e.sources.length;++a){let n=r+e.sources[a];const i=e.sourcesContent&&e.sourcesContent[a];this.compiledURLInternal,this.sourceInfos.set(n,new TextSourceMap.SourceInfo(i||null,null)),t.push(n)}i.set(e,t)}
parseMap(e,t,r){let a=0,n=0,o=0,s=0;const c=i.get(e),l=e.names||[],u=new TextSourceMap.StringCharIterator(e.mappings);let d=c&&c[a];for(;;){if(","===u.peek())u.next();else{for(;";"===u.peek();)t+=1,r=0,u.next();if(!u.hasNext())break}if(r+=this.decodeVLQ(u),!u.hasNext()||this.isSeparator(u.peek())){this.mappings().push(new SourceMapEntry(t,r));continue}const e=this.decodeVLQ(u);e&&(a+=e,c&&(d=c[a])),n+=this.decodeVLQ(u),o+=this.decodeVLQ(u),u.hasNext()&&!this.isSeparator(u.peek())?(s+=this.decodeVLQ(u),this.mappings().push(new SourceMapEntry(t,r,d,n,o,l[s]))):this.mappings().push(new SourceMapEntry(t,r,d,n,o))}this.mappings().sort(SourceMapEntry.compare)}isSeparator(e){return","===e||";"===e}decodeVLQ(e){let t=0,r=0,a=TextSourceMap._VLQ_CONTINUATION_MASK;for(;a&TextSourceMap._VLQ_CONTINUATION_MASK;)a=n.get(e.next())||0,t+=(a&TextSourceMap._VLQ_BASE_MASK)<<r,r+=TextSourceMap._VLQ_BASE_SHIFT;const i=1&t;return t>>=1,i?-t:t}reverseMapTextRange(e,t){function comparator(e,t){
return e.lineNumber!==t.sourceLineNumber?e.lineNumber-t.sourceLineNumber:e.columnNumber-t.sourceColumnNumber}const a=this.reversedMappings(e);if(!a.length)return null;const n=r.ArrayUtilities.lowerBound(a,{lineNumber:t.startLine,columnNumber:t.startColumn},comparator),i=r.ArrayUtilities.upperBound(a,{lineNumber:t.endLine,columnNumber:t.endColumn},comparator),o=a[n],s=a[i];return new TextUtils.TextRange.TextRange(o.lineNumber,o.columnNumber,s.lineNumber,s.columnNumber)}mapsOrigin(){const e=this.mappings();if(e.length>0){const t=e[0];return 0===(null==t?void 0:t.lineNumber)||0===t.columnNumber}return!1}}t.TextSourceMap=TextSourceMap,function(e){e._VLQ_BASE_SHIFT=5,e._VLQ_BASE_MASK=31,e._VLQ_CONTINUATION_MASK=32;e.StringCharIterator=class StringCharIterator{constructor(e){this.string=e,this.position=0}next(){return this.string.charAt(this.position++)}peek(){return this.string.charAt(this.position)}hasNext(){return this.position<this.string.length}};e.SourceInfo=class SourceInfo{
constructor(e,t){this.content=e,this.reverseMappings=t}}}(TextSourceMap=t.TextSourceMap||(t.TextSourceMap={})),e.exports=TextSourceMap}(Nb,Nb.exports);const Mb={TextSourceMap:Nb.exports};Mb.TextSourceMap.prototype.computeLastGeneratedColumns=function(){const e=this.mappings();if(!e.length||void 0===e[0].lastColumnNumber)for(let t=0;t<e.length-1;t++){const r=e[t],a=e[t+1];r.lineNumber===a.lineNumber&&(r.lastColumnNumber=a.columnNumber)}};var Pb=Mb;const Ob=on.default,Fb=Ao,Ub=Pb;function computeGeneratedFileSizes(e,t){const r=t.split("\n"),a={},n=t.length;let i=n;e.computeLastGeneratedColumns();for(const t of e.mappings()){const n=t.sourceURL,o=t.lineNumber,s=t.columnNumber,c=t.lastColumnNumber;if(!n)continue;const l=r[o];if(null==l){const t=`${e.url()} mapping for line out of bounds: ${o+1}`;return Ob.error("JSBundles",t),{errorMessage:t}}if(s>l.length){const t=`${e.url()} mapping for column out of bounds: ${o+1}:${s}`;return Ob.error("JSBundles",t),{errorMessage:t}}let u=0
;if(void 0!==c){if(c>l.length){const t=`${e.url()} mapping for last column out of bounds: ${o+1}:${c}`;return Ob.error("JSBundles",t),{errorMessage:t}}u=c-s}else u=l.length-s+1;a[n]=(a[n]||0)+u,i-=u}return{files:a,unmappedBytes:i,totalBytes:n}}var jb=Fb(class JSBundles{static async compute_(e){const{SourceMaps:t,ScriptElements:r}=e,a=[];for(const e of t){if(!e.map)continue;const{scriptUrl:t,map:n}=e;if(!n.mappings)continue;const i=r.find((e=>e.src===t));if(!i)continue;const o=e.scriptUrl||"compiled.js",s=e.sourceMapUrl||"compiled.js.map",c=new Ub.TextSourceMap(o,s,n),l={rawMap:n,script:i,map:c,sizes:computeGeneratedFileSizes(c,i?.content?i.content:"")};a.push(l)}return a}},["ScriptElements","SourceMaps"]);const Bb=Ao,$b=jb;class ModuleDuplication$2{static normalizeSource(e){const t=(e=e.replace(/\?$/,"")).lastIndexOf("node_modules");return-1!==t&&(e=e.substring(t)),e}static _shouldIgnoreSource(e){
return!!e.includes("webpack/bootstrap")||(!!e.includes("(webpack)/buildin")||!!e.includes("external "))}static _normalizeAggregatedData(e){for(const[t,r]of e.entries()){let a=r;if(a.sort(((e,t)=>t.resourceSize-e.resourceSize)),a.length>1){const e=a[0].resourceSize;a=a.filter((t=>t.resourceSize/e>=.1))}a=a.filter((e=>e.resourceSize>=512)),a.length>1?e.set(t,a):e.delete(t)}}static async compute_(e,t){const r=await $b.request(e,t),a=new Map;for(const{rawMap:e,sizes:t}of r){if("errorMessage"in t)continue;const r=[];a.set(e,r);for(let a=0;a<e.sources.length;a++){if(this._shouldIgnoreSource(e.sources[a]))continue;const n=(e.sourceRoot||"")+e.sources[a],i=t.files[n];r.push({source:ModuleDuplication$2.normalizeSource(e.sources[a]),resourceSize:i})}}const n=new Map;for(const{rawMap:e,script:t}of r){const r=a.get(e);if(r)for(const e of r){let r=n.get(e.source);r||(r=[],n.set(e.source,r)),r.push({scriptUrl:t.src||"",resourceSize:e.resourceSize})}}return this._normalizeAggregatedData(n),n}}
var qb=Bb(ModuleDuplication$2,["ScriptElements","SourceMaps"]);var zb={getRequestForScript:function getRequestForScript$3(e,t){if(!t)return;let r=t.requestId&&e.find((e=>e.requestId===t.requestId));for(r||(r=e.find((e=>e.url===t.src)));r?.redirectDestination;)r=r.redirectDestination;return r}};const Vb=Ib,Wb=qb,Gb=oi,{getRequestForScript:Hb}=zb,Yb={title:"Remove duplicate modules in JavaScript bundles",description:"Remove large, duplicate JavaScript modules from bundles to reduce unnecessary bytes consumed by network activity. "},Kb=Gb.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/duplicated-javascript.js",Yb);function indexOfOrEnd(e,t,r=0){const a=e.indexOf(t,r);return-1===a?e.length:a}class DuplicatedJavascript extends Vb{static get meta(){return{id:"duplicated-javascript",title:Kb(Yb.title),description:Kb(Yb.description),scoreDisplayMode:Vb.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces","SourceMaps","ScriptElements","GatherContext","URL"]}}
static _getNodeModuleName(e){const t=e.split("node_modules/"),r=indexOfOrEnd(e=t[t.length-1],"/");return"@"===e[0]?e.slice(0,indexOfOrEnd(e,"/",r+1)):e.slice(0,r)}static async _getDuplicationGroupedByNodeModules(e,t){const r=await Wb.request(e,t),a=new Map;for(const[e,t]of r.entries()){if(!e.includes("node_modules")){a.set(e,t);continue}const r="node_modules/"+DuplicatedJavascript._getNodeModuleName(e),n=a.get(r)||[];for(const{scriptUrl:e,resourceSize:r}of t){let t=n.find((t=>t.scriptUrl===e));t||(t={scriptUrl:e,resourceSize:0},n.push(t)),t.resourceSize+=r}a.set(r,n)}for(const e of r.values())e.sort(((e,t)=>t.resourceSize-e.resourceSize));return a}static _estimateTransferRatio(e,t){return Vb.estimateTransferSize(e,t,"Script")/t}static async audit_(e,t,r){const a=r.options?.ignoreThresholdInBytes||1024,n=await DuplicatedJavascript._getDuplicationGroupedByNodeModules(e,r),i=new Map,o=[];let s=0;const c=new Set,l=new Map;for(const[r,u]of n.entries()){const n=[];let d=0
;for(let r=0;r<u.length;r++){const a=u[r],o=a.scriptUrl;let s=i.get(o);if(void 0===s){const r=Hb(t,{src:o}),a=e.ScriptElements.find((e=>e.src===o));if(!a||null===a.content)continue;const n=a.content.length;s=DuplicatedJavascript._estimateTransferRatio(r,n),i.set(o,s)}if(void 0===s)continue;const c=Math.round(a.resourceSize*s);n.push({url:o,sourceTransferBytes:c}),0!==r&&(d+=c,l.set(o,(l.get(o)||0)+c))}if(d<=a){s+=d;for(const e of n)c.add(e.url)}else o.push({source:r,wastedBytes:d,url:"",totalBytes:0,subItems:{type:"subitems",items:n}})}s>a&&o.push({source:"Other",wastedBytes:s,url:"",totalBytes:0,subItems:{type:"subitems",items:Array.from(c).map((e=>({url:e})))}});return{items:o,headings:[{key:"source",valueType:"code",subItemsHeading:{key:"url",valueType:"url"},label:Kb(Gb.UIStrings.columnSource)},{key:null,valueType:"bytes",subItemsHeading:{key:"sourceTransferBytes"},granularity:.05,label:Kb(Gb.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",granularity:.05,
label:Kb(Gb.UIStrings.columnWastedBytes)}],wastedBytesByUrl:l}}}Bv.exports=DuplicatedJavascript,Bv.exports.UIStrings=Yb;var Jb={exports:{}};const Xb=Ki,Zb=Ib,Qb=oi,ew={title:"Use video formats for animated content",description:"Large GIFs are inefficient for delivering animated content. Consider using MPEG4/WebM videos for animations and PNG/WebP for static images instead of GIF to save network bytes. [Learn more](https://web.dev/efficient-animated-content/)"},tw=Qb.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/efficient-animated-content.js",ew);class EfficientAnimatedContent extends Zb{static get meta(){return{id:"efficient-animated-content",title:tw(ew.title),description:tw(ew.description),scoreDisplayMode:Zb.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces","GatherContext"]}}static getPercentSavings(e){return Math.round(29.1*Math.log10(e)-100.7)/100}static audit_(e,t){return{
items:t.filter((e=>"image/gif"===e.mimeType&&e.resourceType===Xb.TYPES.Image&&(e.resourceSize||0)>102400)).map((e=>{const t=e.resourceSize||0;return{url:e.url,totalBytes:t,wastedBytes:Math.round(t*EfficientAnimatedContent.getPercentSavings(t))}})),headings:[{key:"url",valueType:"url",label:tw(Qb.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:tw(Qb.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:tw(Qb.UIStrings.columnWastedBytes)}]}}}Jb.exports=EfficientAnimatedContent,Jb.exports.UIStrings=ew;var rw={exports:{}};const aw=/:\/\/(\S*?)(:\d+)?(\/|$)/,nw=/([a-z0-9.-]+\.[a-z0-9]+|localhost)/i,iw=/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/,ow=/[^.]+\.([^.]+|(gov|com|co|ne)\.\w{2})$/i;function getDomainFromOriginOrURL(e){return"string"!=typeof e||e.length>1e4||e.startsWith("data:")?null:aw.test(e)?e.match(aw)[1]:nw.test(e)?e.match(nw)[0]:null}function getRootDomain(e){const t=getDomainFromOriginOrURL(e);if(!t)return null;if(iw.test(t))return t
;const r=t.match(ow);return r&&r[0]||t}function sliceSubdomainFromDomain(e,t){return e.length<=t.length?e:e.split(".").slice(1).join(".")}function getEntityInDataset(e,t,r,a){const n=getDomainFromOriginOrURL(a),i=getRootDomain(n);if(n&&i){if(e.has(n))return e.get(n);for(let e=n;e.length>i.length;e=sliceSubdomainFromDomain(e,i))if(t.has(e))return t.get(e);return r.has(i)?r.get(i):void 0}}function getProductInDataset(e,t,r,a){const n=getEntityInDataset(e,t,r,a),i=n&&n.products;if(i&&"string"==typeof a)for(const e of i)for(const t of e.urlPatterns){if(t instanceof RegExp&&t.test(a))return e;if("string"==typeof t&&a.includes(t))return e}}var sw={createAPIFromDataset:function createAPIFromDataset$1(e){const t=function cloneEntities(e){return e.map((e=>{const t={company:e.name,...e},r=(e.products||[]).map((e=>({company:t.company,categories:t.categories,facades:[],...e,urlPatterns:(e.urlPatterns||[]).map((e=>e.startsWith("REGEXP:")?new RegExp(e.slice("REGEXP:".length)):e))})))
;return t.products=r,t}))}(e),r=new Map,a=new Map,n=new Map;for(const e of t){e.totalExecutionTime=Number(e.totalExecutionTime)||0,e.totalOccurrences=Number(e.totalOccurrences)||0,e.averageExecutionTime=e.totalExecutionTime/e.totalOccurrences;for(const t of e.domains){if(r.has(t)){const a=r.get(t);throw new Error(`Duplicate domain ${t} (${e.name} and ${a.name})`)}r.set(t,e);const i=getRootDomain(t);if(t.startsWith("*.")){const r=t.slice(2);r===i?a.set(i,e):n.set(r,e)}}}for(const[e,t]of a.entries())t||a.delete(e);return{getEntity:getEntityInDataset.bind(null,r,n,a),getProduct:getProductInDataset.bind(null,r,n,a),getRootDomain,entities:t}}};const{createAPIFromDataset:cw}=sw;const lw=cw([{name:"Google Analytics",company:"Google",homepage:"https://marketingplatform.google.com/about/analytics/",categories:["analytics"],domains:["*.google-analytics.com","*.urchin.com","analytics.google.com"]},{name:"Google Tag Manager",company:"Google",
homepage:"https://marketingplatform.google.com/about/tag-manager/",categories:["tag-manager"],domains:["*.googletagmanager.com"]},{name:"Facebook",homepage:"https://www.facebook.com",categories:["social"],domains:["*.facebook.com","*.atlassbx.com","*.fbsbx.com","fbcdn-photos-e-a.akamaihd.net","*.facebook.net","*.fbcdn.net"],products:[{name:"Facebook Messenger Customer Chat",urlPatterns:["REGEXP:connect\\.facebook\\.net\\/.*\\/sdk\\/xfbml\\.customerchat\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Google CDN",company:"Google",homepage:"https://developers.google.com/speed/libraries/",categories:["cdn"],domains:["ajax.googleapis.com","commondatastorage.googleapis.com","www.gstatic.com","ssl.gstatic.com"]},{name:"Other Google APIs/SDKs",company:"Google",homepage:"https://developers.google.com/apis-explorer/#p/",categories:["utility"],
domains:["accounts.google.com","apis.google.com","calendar.google.com","clients2.google.com","cse.google.com","news.google.com","pay.google.com","payments.google.com","play.google.com","smartlock.google.com","www.google.com","www.google.de","www.google.co.jp","www.google.com.au","www.google.co.uk","www.google.ie","www.google.com.sg","www.google.co.in","www.google.com.br","www.google.ca","www.google.co.kr","www.google.co.nz","www.google.co.id","www.google.fr","www.google.be","www.google.com.ua","www.google.nl","www.google.ru","www.google.se","www.googleapis.com","imasdk.googleapis.com","storage.googleapis.com","translate.googleapis.com","translate.google.com","lh3.googleusercontent.com","csi.gstatic.com"]},{name:"Google/Doubleclick Ads",company:"Google",homepage:"https://marketingplatform.google.com/about/enterprise/",categories:["ad"],
domains:["adservice.google.com","adservice.google.com.au","adservice.google.com.sg","adservice.google.com.br","adservice.google.com.ua","adservice.google.co.uk","adservice.google.co.jp","adservice.google.co.in","adservice.google.co.kr","adservice.google.co.id","adservice.google.co.nz","adservice.google.ie","adservice.google.se","adservice.google.de","adservice.google.ca","adservice.google.be","adservice.google.es","adservice.google.ch","adservice.google.fr","adservice.google.nl","*.googleadservices.com","*.googlesyndication.com","*.googletagservices.com","*.2mdn.net","*.doubleclick.net"]},{name:"Google Maps",company:"Google",homepage:"https://www.google.com/maps",categories:["utility"],domains:["maps.google.com","maps-api-ssl.google.com","maps.googleapis.com","mts.googleapis.com","maps.gstatic.com"]},{name:"YouTube",homepage:"https://youtube.com",categories:["video"],domains:["*.youtube.com","*.ggpht.com","*.youtube-nocookie.com","*.ytimg.com"],products:[{
name:"YouTube Embedded Player",urlPatterns:["youtube.com/embed/"],facades:[{name:"Lite YouTube",repo:"https://github.com/paulirish/lite-youtube-embed"}]}]},{name:"Yandex Metrica",company:"Yandex",homepage:"https://metrica.yandex.com/about?",categories:["analytics"],domains:["mc.yandex.ru","d31j93rd8oukbv.cloudfront.net"]},{name:"jQuery CDN",homepage:"https://code.jquery.com/",categories:["cdn"],domains:["*.jquery.com"]},{name:"Twitter",homepage:"https://twitter.com",categories:["social"],domains:["*.vine.co","*.twimg.com","*.twitpic.com","platform.twitter.com","syndication.twitter.com"]},{name:"Cloudflare CDN",homepage:"https://cdnjs.com/",categories:["cdn"],domains:["cdnjs.cloudflare.com","amp.cloudflare.com"]},{name:"Hotjar",homepage:"https://www.hotjar.com/",categories:["analytics"],domains:["*.hotjar.com","*.hotjar.io"]},{name:"Shopify",homepage:"https://www.shopify.com/",categories:["hosting"],domains:["*.shopify.com","*.shopifyapps.com","*.shopifycdn.com","*.shopifysvc.com"]},{
name:"WordPress",company:"Automattic",homepage:"https://wp.com/",categories:["hosting"],domains:["*.wordpress.com","s0.wp.com","s2.wp.com","*.w.org","c0.wp.com","s1.wp.com","i0.wp.com","i1.wp.com","i2.wp.com","widgets.wp.com"]},{name:"JSDelivr CDN",homepage:"https://www.jsdelivr.com/",categories:["cdn"],domains:["*.jsdelivr.net"]},{name:"Wix",homepage:"https://www.wix.com/",categories:["hosting"],domains:["*.parastorage.com","*.wix.com","*.wixstatic.com","*.wixapps.net"]},{name:"Pubmatic",homepage:"https://pubmatic.com/",categories:["ad"],domains:["*.pubmatic.com"]},{name:"FontAwesome CDN",homepage:"https://fontawesome.com/",categories:["cdn"],domains:["*.fontawesome.com"]},{name:"Rubicon Project",homepage:"https://rubiconproject.com/",categories:["ad"],domains:["*.rubiconproject.com","*.chango.com","*.fimserve.com"]},{name:"Pinterest",homepage:"https://pinterest.com/",categories:["social"],domains:["*.pinimg.com","*.pinterest.com"]},{name:"AddThis",homepage:"https://www.addthis.com/",
categories:["social"],domains:["*.addthis.com","*.addthiscdn.com","*.addthisedge.com"]},{name:"Criteo",homepage:"https://www.criteo.com/",categories:["ad"],domains:["*.criteo.com","*.emailretargeting.com","*.criteo.net"]},{name:"ShareThis",homepage:"https://www.sharethis.com/",categories:["social"],domains:["*.sharethis.com"]},{name:"New Relic",homepage:"https://newrelic.com/",categories:["utility"],domains:["*.newrelic.com","*.nr-data.net"]},{name:"Yandex CDN",company:"Yandex",homepage:"https://yandex.ru/",categories:["cdn"],domains:["*.yandex.st","*.yastatic.net"]},{name:"Blogger",homepage:"https://www.blogger.com/",categories:["hosting"],domains:["*.blogblog.com","*.blogger.com","*.blogspot.com","images-blogger-opensocial.googleusercontent.com"]},{name:"BlueKai",company:"Oracle",categories:["ad"],domains:["*.bkrtx.com","*.bluekai.com"]},{name:"Tynt",company:"33 Across",categories:["ad"],domains:["*.tynt.com"]},{name:"Tawk.to",homepage:"https://www.tawk.to/",
categories:["customer-success"],domains:["*.tawk.to"]},{name:"Cloudflare",homepage:"https://www.cloudflare.com/website-optimization/",categories:["utility"],domains:["ajax.cloudflare.com","*.nel.cloudflare.com","static.cloudflareinsights.com"]},{name:"Hubspot",homepage:"https://hubspot.com/",categories:["marketing"],domains:["*.hs-scripts.com","*.hubspot.com","*.leadin.com","*.hs-analytics.net","*.hscollectedforms.net","*.hscta.net","*.hsforms.net","*.hsleadflows.net","*.hsstatic.net","*.hubspot.net"]},{name:"Google Fonts",company:"Google",homepage:"https://fonts.google.com/",categories:["cdn"],domains:["fonts.googleapis.com","fonts.gstatic.com"]},{name:"AMP",homepage:"https://amp.dev/",categories:["content"],domains:["*.ampproject.org"]},{name:"ZenDesk",homepage:"https://zendesk.com/",categories:["customer-success"],domains:["*.zdassets.com","*.zendesk.com","*.zopim.com"]},{name:"Squarespace",homepage:"https://www.squarespace.com/",categories:["hosting"],domains:["*.squarespace.com"]
},{name:"Amazon Ads",homepage:"https://ad.amazon.com/",categories:["ad"],domains:["*.amazon-adsystem.com"]},{name:"Klaviyo",categories:["ad"],domains:["*.klaviyo.com"]},{name:"Amazon Web Services",homepage:"https://aws.amazon.com/s3/",categories:["other"],domains:["*.amazon.com","*.amazonaws.com","*.amazonwebapps.com","*.amazonwebservices.com","*.elasticbeanstalk.com","*.images-amazon.com","*.amazon.co.uk"]},{name:"TikTok",company:"ByteDance Ltd",homepage:"https://www.tiktok.com/en/",categories:["social"],domains:["*.tiktok.com","*.ipstatp.com"]},{name:"OneSignal",homepage:"https://onesignal.com/",categories:["utility"],domains:["*.onesignal.com"]},{name:"Quantcast",homepage:"https://www.quantcast.com",categories:["analytics"],domains:["*.brtstats.com","*.quantcount.com","*.quantserve.com","*.semantictec.com","*.ntv.io"]},{name:"Jivochat",homepage:"https://www.jivochat.com/",categories:["customer-success"],domains:["*.jivosite.com"]},{name:"AppNexus",
homepage:"https://www.appnexus.com/",categories:["ad"],domains:["*.adnxs.com","*.ctasnet.com","*.adrdgt.com"]},{name:"Vimeo",homepage:"https://vimeo.com/",categories:["video"],domains:["*.vimeo.com","*.vimeocdn.com"],products:[{name:"Vimeo Embedded Player",urlPatterns:["player.vimeo.com/video/"],facades:[{name:"Lite Vimeo",repo:"https://github.com/slightlyoff/lite-vimeo"},{name:"Lite Vimeo Embed",repo:"https://github.com/luwes/lite-vimeo-embed"}]}]},{name:"Cookiebot",homepage:"https://www.cookiebot.com/",categories:["utility"],domains:["*.cookiebot.com"]},{name:"Optanon",homepage:"https://www.cookielaw.org/",categories:["consent-provider"],domains:["*.onetrust.com","*.cookielaw.org"]},{name:"Adobe Tag Manager",company:"Adobe",homepage:"https://www.adobe.com/experience-platform/",categories:["tag-manager"],domains:["*.adobedtm.com","*.demdex.net","*.everesttech.net"]},{name:"Media.net",homepage:"https://www.media.net/",categories:["ad"],domains:["*.media.net","*.mnet-ad.net"]},{
name:"Stripe",homepage:"https://stripe.com",categories:["utility"],domains:["*.stripe.com","*.stripecdn.com","*.stripe.network"]},{name:"Crowd Control",company:"Lotame",categories:["ad"],domains:["*.crwdcntrl.net"]},{name:"AddToAny",homepage:"https://www.addtoany.com/",categories:["social"],domains:["*.addtoany.com"]},{name:"VK",homepage:"https://vk.com/",categories:["social"],domains:["*.vk.com"]},{name:"Unpkg",homepage:"https://unpkg.com",categories:["cdn"],domains:["*.unpkg.com","*.npmcdn.com"]},{name:"WordAds",company:"Automattic",homepage:"https://wordads.co/",categories:["ad"],domains:["*.pubmine.com"]},{name:"Index Exchange",company:"WPP",categories:["ad"],domains:["*.casalemedia.com","*.indexww.com"]},{name:"Skimbit",categories:["ad"],domains:["*.redirectingat.com","*.skimresources.com","*.skimresources.net"]},{name:"VigLink",categories:["ad"],domains:["*.viglink.com"]},{name:"StatCounter",categories:["analytics"],domains:["*.statcounter.com"]},{name:"Mailchimp",
homepage:"https://mailchimp.com/",categories:["marketing"],domains:["*.chimpstatic.com","*.list-manage.com","*.mailchimp.com"]},{name:"iubenda",categories:["utility"],domains:["*.iubenda.com"]},{name:"Bing Ads",homepage:"https://bingads.microsoft.com",categories:["ad"],domains:["*.bing.com","*.microsoft.com","*.msn.com","*.s-msft.com","*.s-msn.com","*.msads.net","*.msecnd.net"]},{name:"Taboola",homepage:"https://www.taboola.com/",categories:["ad"],domains:["*.taboola.com","*.taboolasyndication.com"]},{name:"Snapchat",homepage:"https://www.snapchat.com",categories:["analytics"],domains:["*.snapchat.com","*.sc-static.net"]},{name:"Kakao",categories:["social"],domains:["*.daum.net","*.daumcdn.net"]},{name:"PayPal",homepage:"https://paypal.com",categories:["utility"],domains:["*.paypal.com","*.paypalobjects.com"]},{name:"Azure Web Services",company:"Microsoft",categories:["cdn"],domains:["*.azurewebsites.net","*.azureedge.net","*.msedge.net","*.windows.net"]},{name:"Optimizely",
homepage:"https://www.optimizely.com/",categories:["analytics"],domains:["*.optimizely.com"]},{name:"Adobe TypeKit",company:"Adobe",homepage:"https://fonts.adobe.com/",categories:["cdn"],domains:["*.typekit.com","*.typekit.net"]},{name:"Google Optimize",company:"Google",homepage:"https://marketingplatform.google.com/about/optimize/",categories:["analytics"],domains:["www.googleoptimize.com"]},{name:"Trust Pilot",categories:["analytics"],domains:["*.trustpilot.com"]},{name:"Quantcast Choice",homepage:"https://quantcast.com",categories:["consent-provider"],domains:["quantcast.mgr.consensu.org","*.quantcast.mgr.consensu.org"]},{name:"Fastly",categories:["utility"],domains:["*.fastly.net"]},{name:"Adroll",homepage:"https://www.adroll.com/",categories:["ad"],domains:["*.adroll.com"]},{name:"Tidio Live Chat",company:"Tidio",homepage:"https://www.tidiochat.com/en/",categories:["customer-success"],domains:["*.tidiochat.com"]},{name:"GumGum",categories:["ad"],domains:["*.gumgum.com"]},{
name:"Yandex Ads",company:"Yandex",homepage:"https://yandex.com/adv/",categories:["ad"],domains:["an.yandex.ru"]},{name:"POWr",homepage:"https://www.powr.io",categories:["utility"],domains:["*.powr.io"]},{name:"AudienceSearch",company:"Intimate Merger",categories:["ad"],domains:["*.im-apps.net"]},{name:"LiveChat",homepage:"https://www.livechat.com/",categories:["customer-success"],domains:["*.livechatinc.com","*.livechat.com","*.livechat-static.com"]},{name:"Tilda",homepage:"https://tilda.cc/",categories:["hosting"],domains:["*.tildacdn.com"]},{name:"GoDaddy",homepage:"https://www.godaddy.com/",categories:["utility"],domains:["*.godaddy.com","*.wsimg.com"]},{name:"Hexton",categories:["utility"],domains:["*.hextom.com"]},{name:"Sentry",homepage:"https://sentry.io/",categories:["utility"],domains:["*.getsentry.com","*.ravenjs.com","*.sentry-cdn.com"]},{name:"mPulse",homepage:"https://developer.akamai.com/akamai-mpulse",categories:["analytics"],
domains:["*.akstat.io","*.go-mpulse.net","*.mpulse.net","*.mpstat.us"]},{name:"Weebly",homepage:"https://www.weebly.com/",categories:["hosting"],domains:["*.editmysite.com"]},{name:"Judge.me",homepage:"https://judge.me/",categories:["marketing"],domains:["*.judge.me"]},{name:"Hatena Blog",homepage:"https://hatenablog.com/",categories:["hosting"],domains:["*.st-hatena.com","*.hatena.ne.jp"]},{name:"Baidu Analytics",homepage:"https://tongji.baidu.com/web/welcome/login",categories:["analytics"],domains:["hm.baidu.com","hmcdn.baidu.com"]},{name:"LiveRamp IdentityLink",homepage:"https://liveramp.com/discover-identitylink/",categories:["analytics"],domains:["*.circulate.com","*.rlcdn.com"]},{name:"DTSCOUT",categories:["ad"],domains:["*.dtscout.com"]},{name:"District M",categories:["ad"],domains:["*.districtm.io"]},{name:"Gemius",categories:["ad"],domains:["*.gemius.pl"]},{name:"Crazy Egg",homepage:"https://www.crazyegg.com/",categories:["analytics"],
domains:["*.cetrk.com","*.crazyegg.com","*.hellobar.com","dnn506yrbagrg.cloudfront.net"]},{name:"Smartsupp",company:"Smartsupp.com",homepage:"https://www.smartsupp.com",categories:["customer-success"],domains:["*.smartsuppchat.com","*.smartsupp.com","smartsupp-widget-161959.c.cdn77.org","*.smartsuppcdn.com"]},{name:"Bootstrap CDN",homepage:"https://www.bootstrapcdn.com/",categories:["cdn"],domains:["*.bootstrapcdn.com"]},{name:"Histats",homepage:"https://www.histats.com/",categories:["analytics"],domains:["*.histats.com"]},{name:"WordPress Site Stats",company:"Automattic",homepage:"https://wp.com/",categories:["analytics"],domains:["pixel.wp.com","stats.wp.com"]},{name:"Yandex APIs",company:"Yandex",homepage:"https://yandex.ru/",categories:["utility"],domains:["api-maps.yandex.ru","money.yandex.ru"]},{name:"Nielsen NetRatings SiteCensus",company:"The Nielsen Company",homepage:"http://www.nielsen-online.com/intlpage.html",categories:["analytics"],domains:["*.imrworldwide.com"]},{
name:"Intercom",homepage:"https://www.intercom.com",categories:["customer-success"],domains:["*.intercomcdn.com","*.intercom.io"],products:[{name:"Intercom Widget",urlPatterns:["widget.intercom.io","js.intercomcdn.com/shim.latest.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"},{name:"Intercom Facade",repo:"https://github.com/danielbachhuber/intercom-facade/"}]}]},{name:"Yotpo",homepage:"https://www.yotpo.com/",categories:["marketing"],domains:["*.yotpo.com","*.swellrewards.com"]},{name:"Tealium",homepage:"https://tealium.com/",categories:["tag-manager"],domains:["*.aniview.com","*.delvenetworks.com","*.limelight.com","*.tiqcdn.com","*.llnwd.net","*.tealiumiq.com"]},{name:"Privy",categories:["ad"],domains:["*.privy.com","*.privymktg.com"]},{name:"Microsoft Hosted Libs",company:"Microsoft",categories:["cdn"],domains:["*.aspnetcdn.com"]},{name:"Bold Commerce",categories:["utility"],
domains:["*.shappify-cdn.com","*.shappify.com","*.boldapps.net"]},{name:"RD Station",homepage:"https://www.rdstation.com/en/",categories:["marketing"],domains:["d335luupugsy2.cloudfront.net"]},{name:"PIXNET",homepage:"https://www.pixnet.net/",categories:["social"],domains:["*.pixfs.net","*.pixnet.net"]},{name:"Segment",homepage:"https://segment.com/",categories:["analytics"],domains:["*.segment.com","*.segment.io"]},{name:"Wistia",homepage:"https://wistia.com/",categories:["video"],domains:["*.wistia.com","embedwistia-a.akamaihd.net","*.wistia.net"]},{name:"Adform",categories:["ad"],domains:["*.adform.net","*.adformdsp.net"]},{name:"Tumblr",homepage:"https://tumblr.com/",categories:["social"],domains:["*.tumblr.com"]},{name:"Snowplow",homepage:"https://snowplowanalytics.com/",categories:["analytics"],domains:["d32hwlnfiv2gyn.cloudfront.net"]},{name:"OpenX",homepage:"https://www.openx.com/",categories:["ad"],
domains:["*.deliverimp.com","*.openxadexchange.com","*.servedbyopenx.com","*.jump-time.net","*.openx.net"]},{name:"LinkedIn",homepage:"https://www.linkedin.com/",categories:["social"],domains:["*.bizographics.com","platform.linkedin.com","*.slideshare.com","*.slidesharecdn.com"]},{name:"Seznam",categories:["utility"],domains:["*.imedia.cz"]},{name:"Sumo",homepage:"https://sumo.com/",categories:["marketing"],domains:["*.sumo.com","*.sumome.com","sumo.b-cdn.net"]},{name:"Trusted Shops",categories:["utility"],domains:["*.trustedshops.com"]},{name:"Yahoo! JAPAN Ads",company:"Yahoo! JAPAN",categories:["ad"],homepage:"https://marketing.yahoo.co.jp/service/yahooads/",domains:["yads.c.yimg.jp","s.yimg.jp","b92.yahoo.co.jp"]},{name:"LINE Corporation",categories:["ad"],domains:["*.line-scdn.net","*.line.me"]},{name:"Bigcommerce",categories:["marketing"],domains:["*.bigcommerce.com"]},{name:"Brightcove",homepage:"https://www.brightcove.com/en/",categories:["video"],
domains:["*.brightcove.com","*.brightcove.net","*.zencdn.net"]},{name:"CallRail",categories:["analytics"],domains:["*.callrail.com"]},{name:"The Trade Desk",homepage:"https://www.thetradedesk.com/",categories:["ad"],domains:["*.adsrvr.org","d1eoo1tco6rr5e.cloudfront.net"]},{name:"Bridgewell DSP",homepage:"https://www.bridgewell.com/",categories:["ad"],domains:["*.scupio.com"]},{name:"i-mobile",company:"i-mobile",categories:["ad"],domains:["*.i-mobile.co.jp"]},{name:"Mixpanel",homepage:"https://mixpanel.com/",categories:["analytics"],domains:["*.mixpanel.com","*.mxpnl.com"]},{name:"MGID",homepage:"https://www.mgid.com/",categories:["ad"],domains:["*.mgid.com","*.dt07.net"]},{name:"Lucky Orange",homepage:"https://www.luckyorange.com/",categories:["analytics"],domains:["*.luckyorange.com","d10lpsik1i8c69.cloudfront.net","*.luckyorange.net"]},{name:"Rambler",company:"Rambler & Co",categories:["utility"],domains:["*.rambler.ru"]},{name:"Heroku",categories:["other"],
domains:["*.herokuapp.com"]},{name:"Akamai",homepage:"https://www.akamai.com/",categories:["cdn"],domains:["23.62.3.183","*.akamaitechnologies.com","*.akamaitechnologies.fr","*.akamai.net","*.akamaiedge.net","*.akamaihd.net","*.akamaized.net","*.edgefcs.net","*.edgekey.net","edgesuite.net","*.srip.net"]},{name:"Yahoo! Tag Manager",company:"Yahoo! JAPAN",categories:["tag-manager"],homepage:"https://marketing.yahoo.co.jp/service/tagmanager/",domains:["*.yjtag.jp"]},{name:"SnapWidget",categories:["content"],domains:["*.snapwidget.com"]},{name:"Tribal Fusion",company:"Exponential Interactive",categories:["ad"],domains:["*.tribalfusion.com"]},{name:"Constant Contact",categories:["ad"],domains:["*.ctctcdn.com"]},{name:"Supership",homepage:"https://supership.jp/",categories:["ad"],domains:["*.socdm.com"]},{name:"Mapbox",categories:["utility"],domains:["*.mapbox.com"]},{name:"Treasure Data",categories:["analytics"],domains:["*.treasuredata.com"]},{name:"Google reCAPTCHA",company:"Google",
categories:["utility"],domains:["*.recaptcha.net"]},{name:"OneTag",categories:["ad"],domains:["*.onetag-sys.com"]},{name:"Mediavine",homepage:"https://www.mediavine.com/",categories:["ad"],domains:["*.mediavine.com"]},{name:"FullStory",categories:["analytics"],domains:["*.fullstory.com"]},{name:"Smart AdServer",categories:["ad"],domains:["*.01net.com","*.sascdn.com","*.sasqos.com","*.smartadserver.com"]},{name:"Amplitude Mobile Analytics",company:"Amplitude",categories:["analytics"],domains:["*.amplitude.com","d24n15hnbwhuhn.cloudfront.net"]},{name:"33 Across",homepage:"https://33across.com/",categories:["ad"],domains:["*.33across.com"]},{name:"LightWidget",categories:["utility"],domains:["*.lightwidget.com"]},{name:"Unbounce",categories:["ad"],domains:["*.ubembed.com","*.unbounce.com","d2xxq4ijfwetlm.cloudfront.net","d9hhrg4mnvzow.cloudfront.net"]},{name:"Geniee",categories:["ad"],domains:["*.href.asia","*.genieessp.jp","*.genieesspv.jp","*.gssprt.jp"]},{name:"Tray Commerce",
homepage:"https://www.tray.com.br/",categories:["marketing"],domains:["*.tcdn.com.br"]},{name:"DeepIntent",categories:["ad"],domains:["*.deepintent.com"]},{name:"Moat",homepage:"https://moat.com/",categories:["ad"],domains:["*.moatads.com","*.moatpixel.com"]},{name:"Salesforce",homepage:"https://www.salesforce.com/products/marketing-cloud/",categories:["analytics"],domains:["*.krxd.net"]},{name:"MaxCDN Enterprise",company:"MaxCDN",categories:["utility"],domains:["*.netdna-cdn.com","*.netdna-ssl.com"]},{name:"Olark",homepage:"https://www.olark.com/",categories:["customer-success"],domains:["*.olark.com"]},{name:"Roxr Software",categories:["analytics"],domains:["*.getclicky.com"]},{name:"VWO",homepage:"https://vwo.com",categories:["analytics"],domains:["*.vwo.com","*.visualwebsiteoptimizer.com","d5phz18u4wuww.cloudfront.net","*.wingify.com"]},{name:"Chartbeat",categories:["analytics"],domains:["*.chartbeat.com","*.chartbeat.net"]},{name:"Fastly Insights",
homepage:"https://insights.fastlylabs.com",categories:["analytics"],domains:["*.fastly-insights.com"]},{name:"Yahoo!",homepage:"https://www.yahoo.com/",categories:["ad"],domains:["*.bluelithium.com","*.hostingprod.com","*.lexity.com","*.yahoo.com","*.yahooapis.com","*.yimg.com","*.zenfs.com","*.yahoo.net"]},{name:"Searchanise",categories:["analytics"],domains:["*.searchanise.com"]},{name:"Heap",categories:["analytics"],domains:["*.heapanalytics.com"]},{name:"Stamped.io",categories:["analytics"],domains:["*.stamped.io"]},{name:"Drift",homepage:"https://www.drift.com/",categories:["marketing"],domains:["*.drift.com","*.driftt.com"],products:[{name:"Drift Live Chat",urlPatterns:["REGEXP:js\\.driftt\\.com\\/include\\/.*\\/.*\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Attentive",homepage:"https://attentivemobile.com/",categories:["ad"],domains:["*.attn.tv","*.attentivemobile.com"]},{name:"TrafficStars",
categories:["ad"],domains:["*.trafficstars.com","*.tsyndicate.com"]},{name:"Bugsnag",categories:["utility"],domains:["*.bugsnag.com","d2wy8f7a9ursnm.cloudfront.net"]},{name:"Instagram",homepage:"https://www.instagram.com",categories:["social"],domains:["*.cdninstagram.com","*.instagram.com"]},{name:"Medium",categories:["content"],domains:["*.medium.com"]},{name:"Freshchat",homepage:"https://www.freshworks.com/live-chat-software/",categories:["customer-success"],domains:["*.freshchat.com","*.freshworksapi.com"],products:[{name:"Freshdesk Messaging",urlPatterns:["wchat.freshchat.com"],facades:[{name:"Freshdesk Messaging (formerly Freshchat) Facade",repo:"https://github.com/coliff/freshdesk-messaging-facade/"}]}]},{name:"BlueCava",categories:["ad"],domains:["*.bluecava.com"]},{name:"Marchex",categories:["analytics"],domains:["*.voicestar.com","*.marchex.io"]},{name:"Tencent",categories:["content"],domains:["*.qq.com","*.ywxi.net"]},{name:"Nend",categories:["ad"],domains:["*.nend.net"]},{
name:"Siteimprove",categories:["utility"],domains:["*.siteimprove.com","*.siteimproveanalytics.com"]},{name:"Outbrain",homepage:"https://www.outbrain.com/",categories:["ad"],domains:["*.outbrain.com","*.outbrainimg.com","*.visualrevenue.com"]},{name:"fluct",categories:["ad"],domains:["*.adingo.jp"]},{name:"Inspectlet",categories:["analytics"],domains:["*.inspectlet.com"]},{name:"Cookie-Script.com",categories:["utility"],domains:["*.cookie-script.com"]},{name:"Cxense",categories:["ad"],domains:["*.cxense.com","*.cxpublic.com","*.emediate.dk","*.emediate.eu"]},{name:"LongTail Ad Solutions",categories:["ad"],domains:["*.jwpcdn.com","*.jwplatform.com","*.jwplayer.com","*.jwpltx.com","*.jwpsrv.com","*.longtailvideo.com"]},{name:"Sizmek",homepage:"https://www.sizmek.com/",categories:["ad"],domains:["*.serving-sys.com","*.peer39.net"]},{name:"Spotify",homepage:"https://www.spotify.com/",categories:["content"],domains:["*.scdn.co","*.spotify.com"]},{name:"LinkedIn Ads",categories:["ad"],
domains:["*.licdn.com","*.ads.linkedin.com","ads.linkedin.com","www.linkedin.com"]},{name:"Monotype",categories:["cdn"],domains:["*.fonts.com","*.fonts.net"]},{name:"Accessibe Accessibility Overlay",company:"Accessibe",homepage:"https://accessibe.com/",categories:["utility"],domains:["*.accessibe.com","*.acsbapp.com"]},{name:"LiveJournal",categories:["social"],domains:["*.livejournal.com","*.livejournal.net"]},{name:"ContextWeb",categories:["ad"],domains:["*.contextweb.com"]},{name:"OptinMonster",homepage:"https://optinmonster.com/",categories:["marketing"],domains:["*.opmnstr.com","*.optmnstr.com","*.optmstr.com"]},{name:"Affirm",categories:["utility"],domains:["*.affirm.com"]},{name:"Pure Chat",categories:["customer-success"],domains:["*.purechat.com"]},{name:"Integral Ad Science",homepage:"https://integralads.com/uk/",categories:["ad"],domains:["*.adsafeprotected.com","*.iasds01.com"]},{name:"TripleLift",categories:["ad"],domains:["*.3lift.com"]},{name:"SoundCloud",
homepage:"https://www.soundcloud.com/",categories:["content"],domains:["*.sndcdn.com","*.soundcloud.com","*.stratus.sc"]},{name:"sovrn",categories:["ad"],domains:["*.lijit.com"]},{name:"Sharethrough",categories:["ad"],domains:["*.sharethrough.com"]},{name:"Evidon",categories:["analytics"],domains:["*.evidon.com"]},{name:"Secomapp",categories:["utility"],domains:["*.secomapp.com"]},{name:"Infolinks",categories:["ad"],domains:["*.infolinks.com"]},{name:"IPONWEB",categories:["ad"],domains:["*.company-target.com","*.liadm.com","*.iponweb.net","*.p161.net"]},{name:"Consent Manager CMP",homepage:"https://consentmanager.net",categories:["consent-provider"],domains:["consentmanager.mgr.consensu.org","*consentmanager.mgr.consensu.org"]},{name:"LivePerson",categories:["customer-success"],homepage:"https://www.liveperson.com/",domains:["*.liveperson.com","*.look.io","*.liveperson.net","*.lpsnmedia.net"]},{name:"Embedly",categories:["content"],domains:["*.embedly.com","*.embed.ly"]},{
name:"Between Digital",categories:["ad"],domains:["*.betweendigital.com"]},{name:"Amazon Pay",homepage:"https://pay.amazon.com",categories:["utility"],domains:["payments.amazon.com","*.payments-amazon.com"]},{name:"Net Reviews",categories:["analytics"],domains:["*.avis-verifies.com"]},{name:"Teads",categories:["ad"],domains:["*.teads.tv"]},{name:"TrustArc",homepage:"https://www.trustarc.com/",categories:["utility"],domains:["*.trustarc.com"]},{name:"iPerceptions",categories:["customer-success"],domains:["*.iperceptions.com"]},{name:"AB Tasty",categories:["analytics"],domains:["*.abtasty.com","d1447tq2m68ekg.cloudfront.net"]},{name:"Ensighten",homepage:"https://www.ensighten.com/",categories:["tag-manager"],domains:["*.ensighten.com"]},{name:"OpenTable",company:"Priceline Group",categories:["content"],domains:["*.opentable.com","*.opentable.co.uk","*.toptable.co.uk"]},{name:"CreateJS CDN",homepage:"https://code.createjs.com/",categories:["cdn"],domains:["*.createjs.com"]},{
name:"BrightTag / Signal",company:"Signal",homepage:"https://www.signal.co",categories:["tag-manager"],domains:["*.btstatic.com","*.thebrighttag.com"]},{name:"Key CDN",categories:["utility"],domains:["*.kxcdn.com"]},{name:"LoyaltyLion",categories:["ad"],domains:["*.loyaltylion.com","*.loyaltylion.net","dg1f2pfrgjxdq.cloudfront.net"]},{name:"GitHub",categories:["utility"],domains:["*.github.com","*.githubusercontent.com","*.github.io","*.rawgit.com"]},{name:"SocialShopWave",categories:["social"],domains:["*.socialshopwave.com"]},{name:"Branch Metrics",categories:["ad"],domains:["*.branch.io","*.app.link"]},{name:"Dailymotion",categories:["content"],domains:["*.dailymotion.com","*.dmxleo.com","*.dm.gg","*.pxlad.io","*.dmcdn.net","*.sublimevideo.net"]},{name:"Sonobi",categories:["ad"],domains:["*.sonobi.com"]},{name:"Salesforce Commerce Cloud",homepage:"https://www.salesforce.com/products/commerce-cloud/overview/",categories:["hosting"],
domains:["*.cquotient.com","*.demandware.net","demandware.edgesuite.net"]},{name:"StackAdapt",categories:["ad"],domains:["*.stackadapt.com"]},{name:"Ecwid",categories:["hosting"],domains:["*.ecwid.com","*.shopsettings.com","d3fi9i0jj23cau.cloudfront.net","d3j0zfs7paavns.cloudfront.net"]},{name:"Media Math",homepage:"https://www.mediamath.com/",categories:["ad"],domains:["*.mathads.com","*.mathtag.com"]},{name:"GetSiteControl",company:"GetWebCraft",categories:["utility"],domains:["*.getsitecontrol.com"]},{name:"Qualtrics",categories:["analytics"],domains:["*.qualtrics.com"]},{name:"Refersion",categories:["ad"],domains:["*.refersion.com"]},{name:"SiteScout",company:"Centro",categories:["ad"],domains:["*.pixel.ad","*.sitescout.com"]},{name:"Parse.ly",categories:["analytics"],domains:["*.parsely.com","d1z2jf7jlzjs58.cloudfront.net"]},{name:"Help Scout",homepage:"https://www.helpscout.net/",categories:["customer-success"],domains:["djtflbt20bdde.cloudfront.net","*.helpscout.net"],
products:[{name:"Help Scout Beacon",urlPatterns:["beacon-v2.helpscout.net"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Bidswitch",homepage:"https://www.bidswitch.com/",categories:["ad"],domains:["*.bidswitch.net"]},{name:"Civic",categories:["hosting"],domains:["*.civiccomputing.com"]},{name:"WisePops",categories:["utility"],domains:["*.wisepops.com"]},{name:"FreakOut",categories:["ad"],domains:["*.fout.jp"]},{name:"Sailthru",categories:["analytics"],domains:["*.sail-horizon.com","*.sail-personalize.com","*.sail-track.com"]},{name:"Affiliate Window",company:"Digital Window",categories:["ad"],domains:["*.dwin1.com"]},{name:"JuicyAds",categories:["ad"],domains:["*.juicyads.com"]},{name:"Parking Crew",homepage:"https://parkingcrew.net/",categories:["other"],domains:["d1lxhc4jvstzrp.cloudfront.net","*.parkingcrew.net"]},{name:"Twitter Online Conversion Tracking",company:"Twitter",categories:["ad"],
domains:["*.ads-twitter.com","analytics.twitter.com"]},{name:"ResponsiveVoice",categories:["other"],domains:["*.responsivevoice.org"]},{name:"Beeketing",homepage:"https://beeketing.com/",categories:["marketing"],domains:["*.beeketing.com"]},{name:"etracker",categories:["analytics"],domains:["*.etracker.com","*.etracker.de"]},{name:"Calendly",categories:["other"],domains:["*.calendly.com"]},{name:"PureCars",homepage:"https://www.purecars.com/",categories:["marketing"],domains:["*.purecars.com"]},{name:"Conversant",categories:["analytics"],domains:["*.dotomi.com","*.dtmpub.com","*.emjcd.com","mediaplex.com","*.tqlkg.com","*.fastclick.net"]},{name:"Salesforce.com",categories:["ad"],domains:["*.force.com","*.salesforce.com"]},{name:"ReadSpeaker",homepage:"https://www.readspeaker.com",categories:["other"],domains:["*.readspeaker.com"]},{name:"Scorecard Research",homepage:"https://www.scorecardresearch.com/",categories:["ad"],domains:["*.scorecardresearch.com"]},{name:"STINGRAY",
company:"FlexOne",categories:["ad"],domains:["*.impact-ad.jp"]},{name:"Bazaarvoice",categories:["analytics"],domains:["*.bazaarvoice.com","*.feedmagnet.com"]},{name:"Reklama",categories:["ad"],domains:["*.o2.pl","*.wp.pl"]},{name:"PageSense",homepage:"https://www.zoho.com/pagesense/",categories:["analytics"],domains:["*.pagesense.io"]},{name:"Intercept Interactive",categories:["ad"],domains:["*.undertone.com"]},{name:"Pendo",homepage:"https://www.pendo.io",categories:["analytics"],domains:["*.pendo.io"]},{name:"Alexa",homepage:"https://www.alexa.com/",categories:["analytics"],domains:["*.alexametrics.com","d31qbv1cthcecs.cloudfront.net"]},{name:"Gigya",categories:["analytics"],domains:["*.gigya.com"]},{name:"JustUno",categories:["ad"],domains:["*.justuno.com","d2j3qa5nc37287.cloudfront.net"]},{name:"Brandmetrics",homepage:"https://www.brandmetrics.com",categories:["analytics"],domains:["*.brandmetrics.com"]},{name:"OwnerIQ",categories:["ad"],domains:["*.owneriq.net"]},{
name:"ContentSquare",categories:["analytics"],domains:["d1m6l9dfulcyw7.cloudfront.net","*.content-square.net","*.contentsquare.net"]},{name:"Tail Target",company:"Tail",categories:["ad"],domains:["*.tailtarget.com"]},{name:"Ezoic",categories:["analytics"],domains:["*.ezoic.net"]},{name:"issuu",categories:["content"],domains:["*.issuu.com","*.isu.pub"]},{name:"Polyfill service",company:"Polyfill.io",categories:["other"],domains:["*.polyfill.io"]},{name:"ExoClick",categories:["ad"],domains:["*.exoclick.com"]},{name:"Yieldmo",categories:["ad"],domains:["*.yieldmo.com"]},{name:"Covert Pics",categories:["content"],domains:["*.covet.pics"]},{name:"AppDynamics",homepage:"https://www.appdynamics.com/",categories:["utility"],domains:["*.appdynamics.com","*.eum-appdynamics.com","d3tjaysgumg9lf.cloudfront.net"]},{name:"Albacross",homepage:"https://albacross.com/",categories:["marketing"],domains:["*.albacross.com"]},{name:"Mouseflow",categories:["analytics"],domains:["*.mouseflow.com"]},{
name:"Beachfront Media",categories:["ad"],domains:["*.bfmio.com"]},{name:"Booking.com",categories:["content"],domains:["*.bstatic.com"]},{name:"Reviews.co.uk",categories:["analytics"],domains:["*.reviews.co.uk"]},{name:"Feefo.com",company:"Feefo",categories:["analytics"],domains:["*.feefo.com"]},{name:"Smart Insight Tracking",company:"Emarsys",categories:["analytics"],domains:["*.scarabresearch.com"]},{name:"Sortable",categories:["ad"],domains:["*.deployads.com"]},{name:"Quora Ads",homepage:"https://www.quora.com/business/",categories:["ad"],domains:["*.quora.com"]},{name:"iovation",categories:["utility"],domains:["*.iesnare.com"]},{name:"DemandBase",categories:["marketing"],domains:["*.demandbase.com"]},{name:"Esri ArcGIS",company:"Esri",categories:["utility"],domains:["*.arcgis.com","*.arcgisonline.com"]},{name:"uLogin",categories:["other"],domains:["*.ulogin.ru"]},{name:"Foursixty",categories:["customer-success"],domains:["*.foursixty.com"]},{name:"LiveTex",
categories:["customer-success"],domains:["*.livetex.ru"]},{name:"PushCrew",categories:["ad"],domains:["*.pushcrew.com"]},{name:"iZooto",homepage:"https://www.izooto.com",categories:["marketing"],domains:["*.izooto.com"]},{name:"Highcharts",categories:["utility"],domains:["*.highcharts.com"]},{name:"Permutive",categories:["ad"],domains:["*.permutive.com","d3alqb8vzo7fun.cloudfront.net"]},{name:"Revolver Maps",categories:["analytics"],domains:["*.revolvermaps.com"]},{name:"F@N Communications",homepage:"https://www.fancs.com/",categories:["ad"],domains:["*.ladsp.com"]},{name:"Bizible",categories:["ad"],domains:["*.bizible.com","*.bizibly.com"]},{name:"BounceX",categories:["analytics"],homepage:"https://www.bouncex.com/",domains:["*.bounceexchange.com","*.bouncex.net"]},{name:"Matomo",company:"InnoCraft",homepage:"https://matomo.org/",categories:["analytics"],domains:["*.matomo.cloud"]},{name:"Clerk.io ApS",categories:["analytics"],domains:["*.clerk.io"]},{name:"bRealTime",
categories:["ad"],domains:["*.brealtime.com"]},{name:"TrackJS",categories:["analytics"],domains:["*.trackjs.com","d2zah9y47r7bi2.cloudfront.net"]},{name:"Convert Insights",categories:["analytics"],domains:["*.convertexperiments.com"]},{name:"Forter",categories:["utility"],domains:["*.forter.com"]},{name:"MailMunch",categories:["ad"],domains:["*.mailmunch.co"]},{name:"AddShoppers",categories:["social"],domains:["*.addshoppers.com","d3rr3d0n31t48m.cloudfront.net","*.shop.pe"]},{name:"BoldChat",company:"LogMeIn",categories:["customer-success"],domains:["*.boldchat.com"]},{name:"RTB House AdPilot",company:"RTB House",categories:["ad"],domains:["*.erne.co","*.creativecdn.com"]},{name:"Nativo",categories:["ad"],domains:["*.postrelease.com"]},{name:"Pardot",categories:["marketing"],domains:["*.pardot.com"]},{name:"Nosto",categories:["analytics"],domains:["*.nosto.com"]},{name:"Drip",company:"The Numa Group",categories:["ad"],domains:["*.getdrip.com"]},{name:"ContactAtOnce",
homepage:"https://www.contactatonce.com/",categories:["customer-success"],domains:["*.contactatonce.com"]},{name:"Browsealoud",homepage:"https://www.texthelp.com/en-gb/products/browsealoud/",categories:["other"],domains:["*.browsealoud.com","*.texthelp.com"]},{name:"Dealer",homepage:"https://www.dealer.com/",categories:["hosting"],domains:["*.dealer.com"]},{name:"Adscale",categories:["ad"],domains:["*.adscale.de"]},{name:"Dynamic Yield",categories:["customer-success"],domains:["*.dynamicyield.com"]},{name:"DoubleVerify",homepage:"https://www.doubleverify.com/",categories:["ad"],domains:["*.doubleverify.com","*.dvtps.com","*.iqfp1.com"]},{name:"WebsiteBuilder.com",homepage:"https://www.websitebuilder.com",categories:["hosting"],domains:["*.mywebsitebuilder.com"]},{name:"Klevu Search",company:"Klevu",categories:["utility"],domains:["*.klevu.com"]},{name:"DialogTech",categories:["ad"],domains:["*.dialogtech.com"]},{name:"piano",categories:["ad"],domains:["*.npttech.com","*.tinypass.com"]
},{name:"Marketo",homepage:"https://www.marketo.com",categories:["analytics"],domains:["*.marketo.com","*.mktoresp.com","*.marketo.net"]},{name:"KARTE",company:"Plaid",homepage:"https://karte.io/",categories:["analytics","marketing"],domains:["*.karte.io"]},{name:"Hotmart",homepage:"https://www.hotmart.com/",categories:["content"],domains:["*.hotmart.com"]},{name:"Usabilla",homepage:"https://usabilla.com",categories:["analytics"],domains:["*.usabilla.com","d6tizftlrpuof.cloudfront.net"]},{name:"Microad",categories:["ad"],domains:["*.microad.jp"]},{name:"Vidyard",homepage:"https://www.vidyard.com/",categories:["utility"],domains:["*.vidyard.com"]},{name:"Popads",homepage:"https://www.popads.net/",categories:["ad"],domains:["*.popads.net"]},{name:"PowerReviews",categories:["analytics"],domains:["*.powerreviews.com"]},{name:"SnapEngage",categories:["customer-success"],domains:["*.snapengage.com"]},{name:"Technorati",company:"Synacor",categories:["ad"],domains:["*.technoratimedia.com"]},{
name:"LKQD",categories:["ad"],domains:["*.lkqd.net"]},{name:"CPEx",categories:["content"],domains:["*.cpex.cz"]},{name:"Luigis Box",company:"Luigis Box",homepage:"https://www.luigisbox.com/",categories:["utility"],domains:["*.luigisbox.com"]},{name:"Adyoulike",categories:["ad"],domains:["*.adyoulike.com","*.omnitagjs.com","*.adyoulike.net"]},{name:"CleverTap",categories:["analytics"],domains:["d2r1yp2w7bby2u.cloudfront.net"]},{name:"GetResponse",categories:["ad"],domains:["*.getresponse.com"]},{name:"SessionCam",company:"ServiceTick",categories:["analytics"],domains:["*.sessioncam.com","d2oh4tlt9mrke9.cloudfront.net"]},{name:"EQ works",categories:["ad"],domains:["*.eqads.com"]},{name:"TagCommander",categories:["tag-manager"],domains:["*.commander1.com","*.tagcommander.com"]},{name:"Simpli.fi",categories:["ad"],domains:["*.simpli.fi"]},{name:"BowNow",categories:["analytics"],homepage:"https://bow-now.jp/",domains:["*.bownow.jp"]},{name:"Braze",homepage:"https://www.braze.com",
categories:["analytics"],domains:["*.appboycdn.com"]},{name:"Listrak",homepage:"https://www.listrak.com/",categories:["marketing"],domains:["*.listrak.com","*.listrakbi.com"]},{name:"Admixer for Publishers",company:"Admixer",categories:["ad"],domains:["*.admixer.net"]},{name:"Rakuten Marketing",company:"Rakuten",categories:["ad"],domains:["*.rakuten-static.com","*.rmtag.com"]},{name:"reddit",categories:["social"],domains:["*.reddit.com","*.redditstatic.com"]},{name:"Swiftype",categories:["utility"],domains:["*.swiftype.com","*.swiftypecdn.com"]},{name:"Comm100",categories:["customer-success"],domains:["*.comm100.com"]},{name:"StickyADS.tv",categories:["ad"],domains:["*.stickyadstv.com"]},{name:"Lytics",categories:["ad"],domains:["*.lytics.io"]},{name:"Madison Logic",categories:["marketing"],domains:["*.ml314.com"]},{name:"Reviews.io",categories:["analytics"],domains:["*.reviews.io"]},{name:"Skype",categories:["other"],domains:["*.skype.com"]},{name:"Bootstrap Chinese network",
categories:["cdn"],domains:["*.bootcss.com"]},{name:"Fort Awesome",categories:["cdn"],domains:["*.fortawesome.com"]},{name:"Riskified",categories:["utility"],domains:["*.riskified.com"]},{name:"Auto Link Maker",company:"Apple",categories:["ad"],domains:["*.apple.com"]},{name:"AdMatic",categories:["ad"],domains:["*.admatic.com.tr"]},{name:"TruConversion",categories:["analytics"],domains:["*.truconversion.com"]},{name:"Accuweather",categories:["content"],domains:["*.accuweather.com"]},{name:"rewardStyle.com",categories:["ad"],domains:["*.rewardstyle.com"]},{name:"Wishpond Technologies",categories:["marketing"],domains:["*.wishpond.com","*.wishpond.net"]},{name:"Foxentry",company:"AVANTRO",homepage:"https://foxentry.cz/",categories:["utility"],domains:["*.foxentry.cz"]},{name:"Sojern",categories:["marketing"],domains:["*.sojern.com"]},{name:"Kampyle",categories:["analytics"],domains:["*.kampyle.com"]},{name:"IBM Acoustic Campaign",company:"IBM",categories:["analytics"],
domains:["www.sc.pages01.net","www.sc.pages02.net","www.sc.pages03.net","www.sc.pages04.net","www.sc.pages05.net","www.sc.pages06.net","www.sc.pages07.net","www.sc.pages08.net","www.sc.pages09.net","www.sc.pagesA.net"]},{name:"Revcontent",categories:["content"],domains:["*.revcontent.com"]},{name:"Shareaholic",homepage:"https://www.shareaholic.com/",categories:["social"],domains:["*.shareaholic.com","dsms0mj1bbhn4.cloudfront.net"]},{name:"Twitch",homepage:"https://twitch.tv/",categories:["video"],domains:["*.twitch.tv"]},{name:"Talkable",categories:["ad"],domains:["*.talkable.com","d2jjzw81hqbuqv.cloudfront.net"]},{name:"Dynatrace",categories:["analytics"],domains:["*.ruxit.com","js-cdn.dynatrace.com"]},{name:"Media Management Technologies",categories:["ad"],domains:["*.speedshiftmedia.com"]},{name:"Disqus",homepage:"https://disqus.com/",categories:["social"],domains:["*.disqus.com","*.disquscdn.com"]},{name:"DialogTech SourceTrak",company:"DialogTech",categories:["ad"],
domains:["d31y97ze264gaa.cloudfront.net"]},{name:"fam",company:"Fing Co Ltd.",homepage:"http://admin.fam-ad.com/report/",categories:["ad"],domains:["*.fam-ad.com"]},{name:"Adyen",categories:["utility"],domains:["*.adyen.com"]},{name:"Rackspace",categories:["hosting"],domains:["*.rackcdn.com","*.rackspacecloud.com","*.raxcdn.com","*.websitetestlink.com"]},{name:"Evergage",categories:["analytics"],domains:["*.evergage.com","*.evgnet.com"]},{name:"Ve",company:"Ve",homepage:"https://www.ve.com/",categories:["marketing"],domains:["*.veinteractive.com","*.ve.com"]},{name:"Digioh",categories:["ad"],domains:["*.lightboxcdn.com"]},{name:"Navegg",categories:["ad"],domains:["*.navdmp.com"]},{name:"Cloudinary",categories:["content"],domains:["*.cloudinary.com"]},{name:"Trustcommander",company:"Commandersact",homepage:"https://www.commandersact.com",categories:["consent-provider"],domains:["*.trustcommander.net"]},{name:"AdsWizz",categories:["ad"],domains:["*.adswizz.com"]},{name:"Monetate",
categories:["analytics"],domains:["*.monetate.net"]},{name:"Exponea",categories:["analytics"],domains:["*.exponea.com"]},{name:"eBay",categories:["ad"],domains:["*.ebay.com","*.ebayimg.com","*.fetchback.com"]},{name:"Movable Ink",categories:["analytics"],domains:["*.micpn.com"]},{name:"AdRiver",categories:["ad"],domains:["*.adriver.ru"]},{name:"WebpageFX",categories:["ad"],domains:["*.leadmanagerfx.com"]},{name:"Pagely",categories:["other"],domains:["*.optnmstr.com"]},{name:"ForeSee",company:"Answers",categories:["analytics"],domains:["*.4seeresults.com","*.answerscloud.com","*.foresee.com","*.foreseeresults.com"]},{name:"Appier",categories:["ad"],domains:["*.appier.net"]},{name:"Keen",company:"Keen",homepage:"https://keen.io/",categories:["analytics"],domains:["*.keen.io","d26b395fwzu5fz.cloudfront.net"]},{name:"Quantum Metric",homepage:"https://www.quantummetric.com/",categories:["analytics"],domains:["*.quantummetric.com"]},{name:"Wufoo",categories:["utility"],
domains:["*.wufoo.com"]},{name:"TripAdvisor",categories:["content"],domains:["*.jscache.com","*.tacdn.com","*.tamgrt.com","*.tripadvisor.com","*.viator.com","*.tripadvisor.co.uk"]},{name:"Tradelab",categories:["ad"],domains:["*.tradelab.fr"]},{name:"CyberSource (Visa)",categories:["utility"],domains:["*.authorize.net"]},{name:"Impact Radius",categories:["ad"],domains:["*.impactradius-event.com","*.impactradius-go.com","*.7eer.net","d3cxv97fi8q177.cloudfront.net","*.evyy.net","*.ojrq.net"]},{name:"iAdvize SAS",categories:["customer-success"],domains:["*.iadvize.com"]},{name:"Adocean",company:"Gemius",categories:["ad"],domains:["*.adocean.pl"]},{name:"Bronto Software",categories:["marketing"],domains:["*.bm23.com","*.bronto.com","*.brontops.com"]},{name:"SublimeSkinz",categories:["ad"],domains:["*.ayads.co"]},{name:"ResponseTap",categories:["analytics"],domains:["*.adinsight.com","*.responsetap.com"]},{name:"Connatix",categories:["ad"],domains:["*.connatix.com"]},{name:"Ipify",
homepage:"https://www.ipify.org",categories:["utility"],domains:["*.ipify.org"]},{name:"UserReport",categories:["analytics"],domains:["*.userreport.com"]},{name:"KISSmetrics",categories:["analytics"],domains:["*.kissmetrics.com","doug1izaerwt3.cloudfront.net","dsyszv14g9ymi.cloudfront.net"]},{name:"Wicked Reports",homepage:"https://www.wickedreports.com/",categories:["marketing"],domains:["*.wickedreports.com"]},{name:"Raygun",categories:["utility"],domains:["*.raygun.io"]},{name:"Arbor",company:"LiveRamp",categories:["other"],domains:["*.pippio.com"]},{name:"engage:BDR",categories:["ad"],domains:["*.bnmla.com","*.ebdr3.com"]},{name:"AdTheorent",categories:["ad"],domains:["*.adentifi.com"]},{name:"ClickDesk",categories:["customer-success"],domains:["*.clickdesk.com","d1gwclp1pmzk26.cloudfront.net"]},{name:"Simplicity Marketing",categories:["ad"],domains:["*.flashtalking.com"]},{name:"Curalate",categories:["marketing"],domains:["*.curalate.com","d116tqlcqfmz3v.cloudfront.net"]},{
name:"Global-e",categories:["hosting"],domains:["*.global-e.com"]},{name:"WebEngage",categories:["customer-success"],domains:["*.webengage.co","*.webengage.com","d23nd6ymopvz52.cloudfront.net","d3701cc9l7v9a6.cloudfront.net"]},{name:"Ekm Systems",categories:["analytics"],domains:["*.ekmsecure.com","*.ekmpinpoint.co.uk"]},{name:"Sift Science",categories:["utility"],domains:["*.siftscience.com"]},{name:"JustPremium Ads",company:"JustPremium",categories:["ad"],domains:["*.justpremium.com"]},{name:"Decibel Insight",categories:["analytics"],domains:["*.decibelinsight.net"]},{name:"ThreatMetrix",categories:["utility"],domains:["*.online-metrix.net"]},{name:"Rocket Fuel",categories:["ad"],domains:["*.rfihub.com","*.ru4.com","*.rfihub.net","*.ad1x.com"]},{name:"Kaltura Video Platform",company:"Kaltura",categories:["content"],domains:["*.kaltura.com"]},{name:"Bitly",categories:["utility"],domains:["*.bitly.com","*.lemde.fr","*.bit.ly"]},{name:"Attribution",categories:["ad"],
domains:["*.attributionapp.com"]},{name:"ec-concier",homepage:"https://ec-concier.com/",categories:["marketing"],domains:["*.ec-concier.com"]},{name:"Snacktools",categories:["ad"],domains:["*.bannersnack.com"]},{name:"DMD Marketing",homepage:"https://www.dmdconnects.com/",categories:["ad"],domains:["*.medtargetsystem.com"]},{name:"Okas Concepts",categories:["utility"],domains:["*.okasconcepts.com"]},{name:"IBM Digital Analytics",company:"IBM",categories:["analytics"],domains:["*.cmcore.com","coremetrics.com","data.coremetrics.com","data.de.coremetrics.com","libs.de.coremetrics.com","tmscdn.de.coremetrics.com","iocdn.coremetrics.com","libs.coremetrics.com","tmscdn.coremetrics.com","*.s81c.com","*.unica.com","*.coremetrics.eu"]},{name:"Receiptful",categories:["utility"],domains:["*.receiptful.com"]},{name:"Fraudlogix",categories:["utility"],domains:["*.yabidos.com"]},{name:"GetIntent RTBSuite",company:"GetIntent",categories:["ad"],domains:["*.adhigh.net"]},{name:"Survicate",
categories:["analytics"],domains:["*.survicate.com"]},{name:"Ada",homepage:"https://www.ada.support/",categories:["customer-success"],domains:["*.ada.support"]},{name:"Rollbar",categories:["utility"],domains:["*.rollbar.com","d37gvrvc0wt4s1.cloudfront.net"]},{name:"Infinity Tracking",categories:["analytics"],domains:["*.infinity-tracking.net"]},{name:"Effective Measure",categories:["ad"],domains:["*.effectivemeasure.net"]},{name:"Browser-Update.org",categories:["other"],domains:["*.browser-update.org"]},{name:"SearchSpring",categories:["utility"],domains:["*.searchspring.net"]},{name:"linkpulse",categories:["analytics"],domains:["*.lp4.io"]},{name:"Sirv",categories:["other"],domains:["*.sirv.com"]},{name:"Sooqr Search",company:"Sooqr",categories:["utility"],domains:["*.sooqr.com"]},{name:"Customer.io",categories:["ad"],domains:["*.customer.io"]},{name:"Perfect Market",categories:["ad"],domains:["*.perfectmarket.com"]},{name:"LiveHelpNow",categories:["customer-success"],
domains:["*.livehelpnow.net"]},{name:"Forensiq",categories:["utility"],domains:["*.fqtag.com"]},{name:"Flowplayer",categories:["content"],domains:["*.flowplayer.org"]},{name:"Woopra",categories:["analytics"],domains:["*.woopra.com"]},{name:"Radar",company:"Cedexis",homepage:"https://www.cedexis.com/radar/",categories:["analytics"],domains:["*.cedexis-test.com","*.cedexis.com","*.cmdolb.com","cedexis.leasewebcdn.com","*.cedexis-radar.net","*.cedexis.net","cedexis-test01.insnw.net","cedexisakamaitest.azureedge.net","cedexispub.cdnetworks.net","cs600.wac.alphacdn.net","cs600.wpc.edgecastdns.net","global2.cmdolb.com","img-cedexis.mncdn.com","a-cedexis.msedge.net","zn3vgszfh.fastestcdn.net"]},{name:"Click Guardian",homepage:"https://www.clickguardian.co.uk/",categories:["ad"],domains:["*.clickguardian.app","*.clickguardian.co.uk"]},{name:"Edge Web Fonts",company:"Adobe Systems",categories:["cdn"],domains:["*.edgefonts.net"]},{name:"Fresh Relevance",categories:["analytics"],
domains:["*.freshrelevance.com","*.cloudfront.ne","d1y9qtn9cuc3xw.cloudfront.net","d81mfvml8p5ml.cloudfront.net","dkpklk99llpj0.cloudfront.net"]},{name:"Azure Traffic Manager",company:"Microsoft",categories:["other"],domains:["*.gateway.net","*.trafficmanager.net"]},{name:"Symantec",categories:["utility"],domains:["*.norton.com","*.symantec.com","*.symcb.com","*.symcd.com"]},{name:"Pusher",homepage:"https://pusher.com/",categories:["utility"],domains:["*.pusher.com","*.pusherapp.com"]},{name:"Flockler",categories:["ad"],domains:["*.flockler.com"]},{name:"Clicktale",categories:["analytics"],domains:["*.cdngc.net","*.clicktale.net"]},{name:"Yottaa",categories:["hosting"],domains:["*.yottaa.com","*.yottaa.net"]},{name:"Braintree Payments",company:"Paypal",categories:["utility"],domains:["*.braintreegateway.com"]},{name:"Hubvisor",homepage:"https://www.hubvisor.io",categories:["ad"],domains:["*.hubvisor.io"]},{name:"mParticle",homepage:"https://www.mparticle.com/",categories:["utility"],
domains:["*.mparticle.com"]},{name:"SaleCycle",categories:["ad"],domains:["*.salecycle.com","d16fk4ms6rqz1v.cloudfront.net","d22j4fzzszoii2.cloudfront.net","d30ke5tqu2tkyx.cloudfront.net","dn1i8v75r669j.cloudfront.net"]},{name:"Freshdesk",company:"Freshworks",homepage:"https://freshdesk.com/",categories:["customer-success"],domains:["d36mpcpuzc4ztk.cloudfront.net"]},{name:"Typepad",categories:["hosting"],domains:["*.typepad.com"]},{name:"Podsights",homepage:"https://podsights.com/",categories:["marketing"],domains:["*.pdst.fm"]},{name:"Tapad",categories:["ad"],domains:["*.tapad.com"]},{name:"SpringServer",categories:["ad"],domains:["*.springserve.com"]},{name:"LoopMe",categories:["ad"],domains:["*.loopme.biz","*.loopme.com","*.vntsm.com","*.loopme.me"]},{name:"Netlify",homepage:"https://www.netlify.com/",categories:["utility"],domains:["*.netlify.com","*.netlifyusercontent.com"]},{name:"SpeedCurve LUX",company:"SpeedCurve",homepage:"https://speedcurve.com/features/lux/",
categories:["analytics"],domains:["*.speedcurve.com"]},{name:"OneSoon",categories:["analytics"],domains:["*.adalyser.com"]},{name:"eXelate",categories:["ad"],domains:["*.exelator.com"]},{name:"Airship",categories:["marketing"],domains:["*.urbanairship.com","*.aswpsdkus.com"]},{name:"Adobe Scene7",company:"Adobe Systems",categories:["content"],domains:["wwwimages.adobe.com","*.scene7.com","*.everestads.net","*.everestjs.net"]},{name:"SpotXchange",categories:["ad"],domains:["*.spotxcdn.com","*.spotxchange.com","*.spotx.tv"]},{name:"Eyeota",categories:["ad"],domains:["*.eyeota.net"]},{name:"Crisp",homepage:"https://crisp.chat/",categories:["customer-success"],domains:["*.crisp.chat"]},{name:"Site24x7 Real User Monitoring",company:"Site24x7",categories:["analytics"],domains:["*.site24x7rum.com"]},{name:"Segmento",categories:["ad"],domains:["*.rutarget.ru"]},{name:"Onet",categories:["ad"],domains:["*.onet.pl"]},{name:"Yieldify",categories:["ad"],
domains:["*.yieldify.com","*.yieldifylabs.com","d33wq5gej88ld6.cloudfront.net","dwmvwp56lzq5t.cloudfront.net"]},{name:"Pingdom RUM",homepage:"https://www.pingdom.com/product/performance-monitoring/",categories:["analytics"],domains:["*.pingdom.net"]},{name:"Salesforce Live Agent",company:"Salesforce.com",categories:["customer-success"],domains:["*.salesforceliveagent.com"]},{name:"Vidible",categories:["ad"],domains:["*.vidible.tv"]},{name:"Yahoo! Ad Exchange",company:"Yahoo!",categories:["ad"],domains:["*.yieldmanager.com","*.browsiprod.com"]},{name:"Signyfyd",categories:["utility"],domains:["*.signifyd.com"]},{name:"Delta Projects AB",categories:["ad"],domains:["*.de17a.com"]},{name:"RevJet",homepage:"https://www.revjet.com/",categories:["ad"],domains:["*.revjet.com"]},{name:"SecuredVisit",company:"4Cite Marketing",categories:["ad"],domains:["*.securedvisit.com"]},{name:"Bidtellect",categories:["ad"],domains:["*.bttrack.com"]},{name:"GoSquared",homepage:"https://www.gosquared.com",
categories:["analytics"],domains:["*.gosquared.com","d1l6p2sc9645hc.cloudfront.net"]},{name:"Qualaroo",categories:["analytics"],domains:["*.qualaroo.com"]},{name:"Pixlee",categories:["social"],domains:["*.pixlee.com"]},{name:"Polldaddy",company:"Automattic",categories:["analytics"],domains:["polldaddy.com"]},{name:"Terminus",homepage:"https://terminus.com/",categories:["ad"],domains:["*.terminus.services"]},{name:"Concert",homepage:"https://concert.io/",categories:["ad"],domains:["*.concert.io"]},{name:"Bluecore",categories:["analytics"],domains:["*.bluecore.com"]},{name:"PayPal Ads",categories:["ad"],domains:["*.where.com"]},{name:"Infoline",categories:["analytics"],domains:["*.ioam.de"]},{name:"UpSellit",categories:["analytics"],domains:["*.upsellit.com"]},{name:"SATORI",homepage:"https://satori.marketing/",categories:["marketing"],domains:["satori.segs.jp"]},{name:"FoxyCart",categories:["utility"],domains:["*.foxycart.com"]},{name:"Mather Economics",categories:["analytics"],
domains:["*.matheranalytics.com"]},{name:"SalesLoft",homepage:"https://salesloft.com/",categories:["analytics","marketing"],domains:["*.salesloft.com"]},{name:"MaxMind",categories:["utility"],domains:["*.maxmind.com"]},{name:"Vox Media",homepage:"https://www.voxmedia.com/",categories:["content"],domains:["*.vox-cdn.com","*.voxmedia.com"]},{name:"Adition",homepage:"https://www.adition.com",categories:["ad"],domains:["*.adition.com"]},{name:"Friendbuy",categories:["ad"],domains:["*.friendbuy.com","djnf6e5yyirys.cloudfront.net"]},{name:"Weborama",categories:["ad"],domains:["*.weborama.com","*.weborama.fr"]},{name:"iBillboard",categories:["ad"],domains:["*.ibillboard.com"]},{name:"Xaxis",homepage:"https://www.xaxis.com/",categories:["ad"],domains:["*.247realmedia.com","*.mookie1.com","*.gmads.net"]},{name:"XiTi",company:"AT Internet",categories:["analytics"],domains:["*.xiti.com","*.aticdn.net"],homepage:"https://www.atinternet.com/en/"},{name:"Cloud.typography",company:"Hoefler &amp; Co",
categories:["cdn"],domains:["*.typography.com"]},{name:"Picreel",categories:["analytics"],domains:["*.pcrl.co","*.picreel.com"]},{name:"Perfect Audience",company:"Marin Software",categories:["ad"],domains:["*.prfct.co","*.marinsm.com","*.perfectaudience.com"]},{name:"Profitshare",categories:["ad"],domains:["*.profitshare.ro"]},{name:"The Hut Group",categories:["content"],domains:["*.thcdn.com"]},{name:"Conversant CMP",homepage:"https://www.conversantmedia.eu/",categories:["consent-provider"],domains:["conversant.mgr.consensu.org","*.conversant.mgr.consensu.org"]},{name:"WalkMe",categories:["customer-success"],domains:["*.walkme.com"]},{name:"Audience 360",company:"Datapoint Media",categories:["ad"],domains:["*.dpmsrv.com"]},{name:"Marketplace Web Service",company:"Amazon",categories:["other"],domains:["*.ssl-images-amazon.com"]},{name:"Meetrics",categories:["ad"],domains:["*.de.com","*.meetrics.net","*.mxcdn.net"]},{name:"Cachefly",categories:["utility"],domains:["*.cachefly.net"]},{
name:"Flipdesk",categories:["customer-success"],homepage:"https://flipdesk.jp/",domains:["*.flipdesk.jp"]},{name:"Keywee",categories:["ad"],domains:["*.keywee.co"]},{name:"Cookie Reports",categories:["utility"],domains:["*.cookiereports.com"]},{name:"LockerDome",categories:["analytics"],domains:["*.lockerdome.com"]},{name:"Auth0",homepage:"https://auth0.com/",categories:["utility"],domains:["*.auth0.com"]},{name:"Aggregate Knowledge",company:"Neustar",categories:["ad"],domains:["*.agkn.com"]},{name:"Elastic Ad",categories:["ad"],domains:["*.elasticad.net"]},{name:"NEORY Marketing Cloud",company:"NEORY",categories:["marketing"],domains:["*.ad-srv.net"]},{name:"Knight Lab",company:"Northwestern University",categories:["utility"],domains:["*.knightlab.com"]},{name:"Opta",company:"Perform Group",categories:["content"],domains:["*.opta.net"]},{name:"Selligent",categories:["ad"],domains:["*.emsecure.net","*.slgnt.eu","targetemsecure.blob.core.windows.net"]},{name:"PebblePost",
categories:["ad"],domains:["*.pbbl.co"]},{name:"Provide Support",categories:["customer-success"],domains:["*.providesupport.com"]},{name:"Retention Science",categories:["ad"],domains:["*.retentionscience.com","d1stxfv94hrhia.cloudfront.net"]},{name:"Apester",categories:["analytics"],domains:["*.apester.com","*.qmerce.com"]},{name:"Google Plus",company:"Google",categories:["social"],domains:["plus.google.com"]},{name:"Reach Group",categories:["ad"],domains:["*.redintelligence.net"]},{name:"MathJax",categories:["utility"],domains:["*.mathjax.org"]},{name:"Gravatar",homepage:"https://en.gravatar.com/",categories:["social"],domains:["*.gravatar.com"]},{name:"Betgenius",company:"Genius Sports",categories:["content"],domains:["*.connextra.com"]},{name:"WebSpectator",categories:["ad"],domains:["*.webspectator.com"]},{name:"Investis",categories:["utility"],domains:["*.investis.com"]},{name:"Infusionsoft",categories:["ad"],domains:["*.infusionsoft.com"]},{name:"AWeber",categories:["ad"],
domains:["*.aweber.com"]},{name:"Alchemy",company:"AndBeyond.Media",categories:["ad"],domains:["*.andbeyond.media"]},{name:"ClickDimensions",categories:["ad"],domains:["*.clickdimensions.com"]},{name:"FirstImpression",categories:["ad"],domains:["*.firstimpression.io"]},{name:"BannerFlow",company:"Nordic Factory Solutions",categories:["ad"],domains:["*.bannerflow.com"]},{name:"Ad6Media",categories:["ad"],domains:["*.ad6media.fr"]},{name:"Sajari Pty",categories:["utility"],domains:["*.sajari.com"]},{name:"Snack Media",categories:["content"],domains:["*.snack-media.com"]},{name:"Rakuten LinkShare",company:"Rakuten",categories:["ad"],domains:["*.linksynergy.com"]},{name:"Clickio CMP",homepage:"https://clickio.com",categories:["consent-provider"],domains:["clickio.mgr.consensu.org","*.clickio.mgr.consensu.org"]},{name:"Catchpoint",homepage:"https://www.catchpoint.com/",categories:["analytics"],domains:["*.3gl.net"]},{name:"Force24",categories:["ad"],domains:["*.force24.co.uk"]},{
name:"Smarter Click",categories:["ad"],domains:["*.smct.co","*.smarterclick.co.uk"]},{name:"Boomtrain",categories:["ad"],domains:["*.boomtrain.com","*.boomtrain.net"]},{name:"SlimCut Media Outstream",company:"SlimCut Media",categories:["ad"],domains:["*.freeskreen.com"]},{name:"CleverDATA",categories:["ad"],domains:["*.1dmp.io"]},{name:"Gleam",categories:["marketing"],domains:["*.gleam.io"]},{name:"Flickr",categories:["content"],domains:["*.flickr.com","*.staticflickr.com"]},{name:"Zemanta",categories:["ad"],domains:["*.zemanta.com"]},{name:"SurveyMonkey",categories:["analytics"],domains:["*.surveymonkey.com"]},{name:"sage Pay",company:"Sage Pay Europe",categories:["utility"],domains:["*.sagepay.com"]},{name:"Performio",categories:["ad"],domains:["*.performax.cz"]},{name:"ShareThis CMP",homepage:"https://sharethis.com",categories:["consent-provider"],domains:["sharethis.mgr.consensu.org","*.sharethis.mgr.consensu.org"]},{name:"Feedbackify",company:"InsideMetrics",
categories:["analytics"],domains:["*.feedbackify.com"]},{name:"Omniconvert",categories:["analytics"],domains:["*.omniconvert.com","d2tgfbvjf3q6hn.cloudfront.net","d3vbj265bmdenw.cloudfront.net"]},{name:"Barilliance",categories:["analytics"],domains:["*.barilliance.net","dn3y71tq7jf07.cloudfront.net"]},{name:"GIPHY",categories:["content"],domains:["*.giphy.com"]},{name:"AdGear",company:"Samsung Electronics",categories:["ad"],domains:["*.adgear.com","*.adgrx.com"]},{name:"BuySellAds",categories:["ad"],domains:["*.buysellads.com","*.buysellads.net"]},{name:"Mopinion",categories:["analytics"],domains:["*.mopinion.com"]},{name:"Datawrapper",categories:["utility"],domains:["*.datawrapper.de","*.dwcdn.net"]},{name:"AddEvent",categories:["utility"],domains:["*.addevent.com"]},{name:"Mux",categories:["analytics"],domains:["*.litix.io"]},{name:"Vibrant Media",categories:["ad"],domains:["*.intellitxt.com","*.picadmedia.com"]},{name:"StackExchange",categories:["social"],domains:["*.sstatic.net"]
},{name:"Loqate",company:"Loqate",categories:["other"],domains:["*.pcapredict.com","*.postcodeanywhere.co.uk"]},{name:"Kaizen Platform",categories:["analytics"],domains:["*.kaizenplatform.net"]},{name:"Zmags",categories:["marketing"],domains:["*.zmags.com"]},{name:"Usersnap",homepage:"https://usersnap.com",categories:["customer-success"],domains:["*.usersnap.com"]},{name:"Transifex",categories:["utility"],domains:["*.transifex.com"]},{name:"Fastest Forward",categories:["analytics"],domains:["*.gaug.es"]},{name:"Stackla PTY",categories:["social"],domains:["*.stackla.com"]},{name:"Bolt",homepage:"https://www.bolt.com/",categories:["utility"],domains:["*.bolt.com"]},{name:"Best Of Media S.A.",categories:["content"],domains:["*.servebom.com"]},{name:"Ruler Analytics",company:"Ruler",categories:["analytics"],domains:["*.nyltx.com","*.ruleranalytics.com"]},{name:"WebInsight",company:"dotMailer",categories:["analytics"],domains:["*.trackedlink.net","*.trackedweb.net"]},{name:"Reevoo",
categories:["analytics"],domains:["*.reevoo.com"]},{name:"Polar",homepage:"https://polar.me/",categories:["ad"],domains:["*.polarmobile.ca","*.mediaeverywhere.com","*.mediavoice.com","*.plrsrvcs.com","*.polarcdn-engine.com","*.polarcdn-meraxes.com","*.polarcdn-pentos.com","*.polarcdn-static.com","*.polarcdn-terrax.com","*.polarcdn.com","*.polarmobile.com","*.poweredbypolar.com","*.mediaconductor.me","*.polaracademy.me"]},{name:"infogr.am",categories:["utility"],domains:["*.infogr.am","*.jifo.co"]},{name:"Petametrics",categories:["analytics"],domains:["*.petametrics.com"]},{name:"Webkul",company:"Webkul Software",categories:["utility"],domains:["*.webkul.com"]},{name:"Builder",homepage:"https://www.builder.io/",categories:["hosting"],domains:["*.builder.io"]},{name:"Soundest",categories:["ad"],domains:["*.soundestlink.com","*.soundest.net"]},{name:"Neodata",categories:["ad"],domains:["*.neodatagroup.com"]},{name:"Heatmap",categories:["analytics"],domains:["*.heatmap.it"]},{
name:"Autopilot",categories:["ad"],domains:["*.autopilothq.com"]},{name:"Hupso Website Analyzer",company:"Hupso",categories:["analytics"],domains:["*.hupso.com"]},{name:"Fanplayr",categories:["analytics"],domains:["*.fanplayr.com","d38nbbai6u794i.cloudfront.net"]},{name:"Exponential Interactive",categories:["ad"],domains:["*.exponential.com"]},{name:"Recite Me",categories:["other"],domains:["*.reciteme.com"]},{name:"Hola Networks",categories:["other"],domains:["*.h-cdn.com"]},{name:"Optimove",company:"Mobius Solutions",categories:["analytics"],domains:["*.optimove.net"]},{name:"AdvertServe",categories:["ad"],domains:["*.advertserve.com"]},{name:"BidTheatre",categories:["ad"],domains:["*.bidtheatre.com"]},{name:"Wigzo",homepage:"https://www.wigzo.com/",categories:["marketing"],domains:["*.wigzo.com","*.wigzopush.com"]},{name:"NetAffiliation",company:"Kwanco",categories:["ad"],domains:["*.metaffiliation.com"]},{name:"Ordergroove",homepage:"https://www.ordergroove.com/",
categories:["marketing"],domains:["*.ordergroove.com"]},{name:"Proper Media",categories:["content"],domains:["*.proper.io"]},{name:"Smartlook",company:"Smartsupp.com",homepage:"https://www.smartlook.com/",categories:["analytics"],domains:["*.smartlook.com"]},{name:"The ADEX",categories:["ad"],domains:["*.theadex.com"]},{name:"Ziff Davis Tech",categories:["ad"],domains:["*.adziff.com","*.zdbb.net"]},{name:"Click4Assistance",categories:["customer-success"],domains:["*.click4assistance.co.uk"]},{name:"AOL / Oath / Verizon Media",homepage:"https://www.oath.com/",categories:["ad"],domains:["*.advertising.com","*.aol.com","*.aolcdn.com","*.blogsmithmedia.com","*.oath.com","*.aol.net","*.tacoda.net","*.aol.co.uk"]},{name:"Triblio",categories:["marketing"],domains:["*.tribl.io"]},{name:"Tag Inspector",company:"InfoTrust",categories:["analytics"],domains:["d22xmn10vbouk4.cloudfront.net"]},{name:"MailPlus",categories:["ad"],domains:["*.mailplus.nl"]},{name:"Livefyre",categories:["content"],
domains:["*.fyre.co","*.livefyre.com"]},{name:"reEmbed",categories:["other"],domains:["*.reembed.com"]},{name:"Storygize",categories:["ad"],domains:["*.storygize.net"]},{name:"IS Group",categories:["hosting"],domains:["*.creative-serving.com"]},{name:"IcoMoon",categories:["cdn"],domains:["d19ayerf5ehaab.cloudfront.net","d1azc1qln24ryf.cloudfront.net"]},{name:"PrintFriendly",categories:["utility"],domains:["*.printfriendly.com"]},{name:"YoYo",categories:["utility"],domains:["*.goadservices.com"]},{name:"WizRocket Technologies",categories:["analytics"],domains:["*.wzrkt.com"]},{name:"ucfunnel ucX",company:"ucfunnel",categories:["ad"],domains:["*.aralego.com"]},{name:"TrafficJunky",homepage:"https://www.trafficjunky.com/",categories:["ad"],domains:["*.contentabc.com","*.trafficjunky.net"]},{name:"Rtoaster",company:"Brainpad",homepage:"https://www.brainpad.co.jp/rtoaster/",categories:["analytics","marketing"],domains:["*.rtoaster.jp"]},{name:"Webmarked",categories:["utility"],
domains:["*.webmarked.net"]},{name:"Adkontekst",categories:["ad"],domains:["*.adkontekst.pl"]},{name:"Advance Magazine Group",categories:["content"],domains:["*.condenastdigital.com","*.condenet.com","*.condenast.co.uk"]},{name:"Viacom",categories:["content"],domains:["*.mtvnservices.com"]},{name:"MyFonts",categories:["cdn"],domains:["*.myfonts.net"]},{name:"CANDDi",company:"Campaign and Digital Intelligence",categories:["ad"],domains:["*.canddi.com"]},{name:"Opinion Stage",categories:["analytics"],domains:["*.opinionstage.com"]},{name:"Oracle Recommendations On Demand",company:"Oracle",categories:["analytics"],domains:["*.atgsvcs.com"]},{name:"Realytics",categories:["analytics"],domains:["dcniko1cv0rz.cloudfront.net","*.realytics.net"]},{name:"AdSupply",categories:["ad"],domains:["*.doublepimp.com"]},{name:"Clicktripz",categories:["content"],domains:["*.clicktripz.com"]},{name:"Kargo",categories:["marketing"],domains:["*.kargo.com"]},{name:"ARM",categories:["analytics"],
domains:["*.tag4arm.com"]},{name:"ShopStorm",categories:["utility"],domains:["*.shopstorm.com"]},{name:"FLXone",company:"Teradata",categories:["ad"],domains:["*.pangolin.blue","*.flx1.com","d2hlpp31teaww3.cloudfront.net","*.flxpxl.com"]},{name:"MLveda",categories:["utility"],domains:["*.mlveda.com"]},{name:"Yellow Robot",categories:["ad"],domains:["*.backinstock.org"]},{name:"Ometria",categories:["analytics"],domains:["*.ometria.com"]},{name:"Tradedoubler",categories:["ad"],domains:["*.pvnsolutions.com","*.tradedoubler.com"]},{name:"Expedia",categories:["content"],domains:["*.travel-assets.com","*.trvl-media.com","*.trvl-px.com","*.uciservice.com"]},{name:"Playbuzz",categories:["hosting"],domains:["*.playbuzz.com"]},{name:"Underdog Media",categories:["ad"],domains:["*.underdog.media","*.udmserve.net"]},{name:"Filestack",categories:["content"],domains:["*.filepicker.io"]},{name:"Reflektion",categories:["analytics"],domains:["*.reflektion.com","d26opx5dl8t69i.cloudfront.net"]},{
name:"Okta",categories:["analytics"],domains:["*.okta.com"]},{name:"Wow Analytics",categories:["analytics"],domains:["*.wowanalytics.co.uk"]},{name:"Sidecar",categories:["other"],domains:["*.getsidecar.com","d3v27wwd40f0xu.cloudfront.net"]},{name:"Unruly Media",categories:["ad"],domains:["*.unrulymedia.com"]},{name:"epoq internet services",categories:["analytics"],domains:["*.epoq.de"]},{name:"Insider",homepage:"",categories:["analytics"],domains:["*.useinsider.com"]},{name:"Vivocha S.p.A",categories:["customer-success"],domains:["*.vivocha.com"]},{name:"Mediahawk",categories:["analytics"],domains:["*.mediahawk.co.uk"]},{name:"Cross Pixel Media",categories:["ad"],domains:["*.crsspxl.com"]},{name:"Tagboard",categories:["social"],domains:["*.tagboard.com"]},{name:"Conversant Tag Manager",company:"Conversant",categories:["tag-manager"],domains:["*.mplxtms.com"]},{name:"LeasdBoxer",company:"LeadBoxer",categories:["ad"],domains:["*.leadboxer.com"]},{name:"CallTrackingMetrics",
categories:["analytics"],domains:["*.tctm.co"]},{name:"SmarterHQ",categories:["analytics"],domains:["*.smarterhq.io","d1n00d49gkbray.cloudfront.net","*.smarterremarketer.net"]},{name:"AdultWebmasterEmpire.Com",categories:["ad"],domains:["*.awempire.com"]},{name:"Ambassador",categories:["ad"],domains:["*.getambassador.com"]},{name:"Shopgate",categories:["utility"],domains:["*.shopgate.com"]},{name:"Freespee",categories:["customer-success"],domains:["*.freespee.com"]},{name:"Acquisio",categories:["ad"],domains:["*.acq.io"]},{name:"Dynamic Converter",categories:["utility"],domains:["*.dynamicconverter.com"]},{name:"MyRegistry",categories:["other"],domains:["*.myregistry.com"]},{name:"Qubit",company:"Qubit",categories:["analytics"],domains:["*.qubit.com","*.qutics.com","d3c3cq33003psk.cloudfront.net","*.goqubit.com","*.qubitproducts.com"]},{name:"MonetizeMore",categories:["ad"],domains:["*.m2.ai"]},{name:"MouseStats",categories:["analytics"],domains:["*.mousestats.com"]},{name:"Ceros",
categories:["other"],domains:["ceros.com","view.ceros.com"]},{name:"Lead Forensics",categories:["ad"],domains:["*.200summit.com","*.baw5tracker.com","*.business-path-55.com","*.bux1le001.com","*.central-core-7.com","*.direct-azr-78.com","*.explore-123.com","*.forensics1000.com","*.gldsta-02-or.com","*.green-bloc9.com","*.lansrv040.com","*.lead-123.com","*.leadforensics.com","*.mavic852.com","*.mon-com-net.com","*.peak-ip-54.com","*.snta0034.com","*.svr-prc-01.com","*.syntace-094.com","*.tghbn12.com","*.trail-web.com","*.web-01-gbl.com","*.web-cntr-07.com","*.trackdiscovery.net"]},{name:"plista",categories:["ad"],domains:["*.plista.com"]},{name:"Celtra",categories:["ad"],domains:["*.celtra.com"]},{name:"Virtual Earth",company:"Microsoft",categories:["utility"],domains:["*.virtualearth.net"]},{name:"eGain",categories:["analytics"],domains:["*.analytics-egain.com","*.egain.com"]},{name:"Captify Media",categories:["ad"],domains:["*.cpx.to"]},{name:"Resonance Insights",
categories:["analytics"],domains:["*.res-x.com"]},{name:"Bookatable",categories:["content"],domains:["*.bookatable.com","*.livebookings.com"]},{name:"Queue-it",categories:["other"],domains:["*.queue-it.net"]},{name:"Moxie",homepage:"https://www.gomoxie.com/",categories:["utility"],domains:["*.gomoxie.solutions"]},{name:"Constructor.io",categories:["utility"],domains:["*.cnstrc.com"]},{name:"Council ad Network",categories:["ad"],domains:["*.counciladvertising.net"]},{name:"Segmint",categories:["analytics"],domains:["*.segmint.net"]},{name:"Swoop",categories:["ad"],domains:["*.swoop.com"]},{name:"Crimtan",categories:["ad"],domains:["*.ctnsnet.com"]},{name:"Gemius CMP",homepage:"https://www.gemius.com",categories:["consent-provider"],domains:["gemius.mgr.consensu.org","*.gemius.mgr.consensu.org"]},{name:"AI Media Group",categories:["ad"],domains:["*.aimediagroup.com"]},{name:"Confirmit",categories:["analytics"],domains:["*.confirmit.com"]},{name:"PerimeterX Bot Defender",
company:"PerimeterX",categories:["utility"],domains:["*.perimeterx.net","*.pxi.pub"]},{name:"AdSniper",categories:["ad"],domains:["*.adsniper.ru","*.sniperlog.ru"]},{name:"MaxPoint Interactive",categories:["ad"],domains:["*.mxptint.net"]},{name:"Holimetrix",homepage:"https://u360.d-bi.fr/",categories:["marketing"],domains:["*.d-bi.fr"]},{name:"ReCollect",categories:["utility"],domains:["*.recollect.net"]},{name:"CDK Dealer Management",company:"CDK Global",homepage:"https://www.cdkglobal.com/us",categories:["hosting"],domains:["*.assets-cdk.com"]},{name:"Spot.IM",categories:["social"],domains:["*.spot.im","*.spotim.market"]},{name:"Adthink",company:"Adthink Media",categories:["ad"],domains:["*.adxcore.com","*.dcoengine.com"]},{name:"Ahalogy",categories:["social"],domains:["*.ahalogy.com"]},{name:"Dropbox",categories:["utility"],domains:["*.dropboxusercontent.com"]},{name:"AdTrue",company:"FPT AdTrue",categories:["ad"],domains:["*.adtrue.com"]},{name:"Datonics",categories:["ad"],
domains:["*.pro-market.net"]},{name:"Flipboard",categories:["social"],domains:["*.flipboard.com"]},{name:"Exactag",categories:["ad"],domains:["*.exactag.com"]},{name:"Visual IQ",homepage:"https://www.visualiq.com",categories:["analytics"],domains:["*.myvisualiq.net"]},{name:"Vergic Engage Platform",company:"Vergic",categories:["customer-success"],domains:["*.vergic.com"]},{name:"adnanny",categories:["ad"],domains:["*.adserver01.de"]},{name:"Ably",homepage:"https://www.ably.io/",categories:["utility"],domains:["*.ably.io"]},{name:"Iterate",homepage:"https://iteratehq.com/",categories:["analytics"],domains:["*.iteratehq.com"]},{name:"Fonecall",categories:["analytics"],domains:["*.web-call-analytics.com"]},{name:"Byside",homepage:"https://byside.com",categories:["analytics"],domains:["*.byside.com"]},{name:"audioBoom",categories:["social"],domains:["*.audioboom.com","*.audioboo.fm"]},{name:"Consumable",homepage:"https://consumable.com/",categories:["ad"],domains:["*.serverbid.com"]},{
name:"Reactful",categories:["analytics"],domains:["*.reactful.com"]},{name:"Peaks & Pies",categories:["analytics"],domains:["*.bunchbox.co"]},{name:"dianomi",categories:["ad"],domains:["*.dianomi.com","*.dianomioffers.co.uk"]},{name:"Trustev",company:"TransUnion",categories:["utility"],domains:["*.trustev.com"]},{name:"Expedia USA",company:"Expedia",categories:["content"],domains:["*.expedia.com"]},{name:"Sub2 Technologies",categories:["analytics"],domains:["*.sub2tech.com"]},{name:"DemandJump",categories:["analytics"],domains:["*.demandjump.com"]},{name:"Leaflet",categories:["utility"],domains:["*.leafletjs.com"]},{name:"Adobe Experience Cloud",company:"Adobe",homepage:"",categories:["analytics"],domains:["*.2o7.net","du8783wkf05yr.cloudfront.net","*.hitbox.com","*.imageg.net","*.nedstat.com","*.omtrdc.net"]},{name:"Vergic AB",categories:["customer-success"],domains:["*.psplugin.com"]},{name:"Hawk Search",categories:["utility"],domains:["*.hawksearch.com"]},{
name:"Better Business Bureau",categories:["analytics"],domains:["*.bbb.org"]},{name:"United Internet",categories:["hosting"],domains:["*.uicdn.com"]},{name:"Zarget",categories:["analytics"],domains:["*.zarget.com"]},{name:"HP Optimost",company:"Hewlett-Packard Development Company",categories:["marketing"],domains:["*.hp.com","d2uncb19xzxhzx.cloudfront.net"]},{name:"RightNow Service Cloud",company:"Oracle",categories:["customer-success"],domains:["*.rightnowtech.com","*.rnengage.com"]},{name:"AliveChat",company:"AYU Technology Solutions",categories:["customer-success"],domains:["*.websitealive.com","*.websitealive7.com"]},{name:"AcuityAds",categories:["ad"],domains:["*.acuityplatform.com"]},{name:"VidPulse",categories:["analytics"],domains:["*.vidpulse.com"]},{name:"EpiServer",homepage:"https://www.episerver.com",categories:["content"],domains:["*.episerver.net"]},{name:"Oracle",categories:["marketing"],
domains:["*.custhelp.com","*.eloqua.com","*.en25.com","*.estara.com","*.instantservice.com"]},{name:"eXTReMe digital",categories:["analytics"],domains:["*.extreme-dm.com"]},{name:"RichRelevance",categories:["analytics"],domains:["*.richrelevance.com"]},{name:"Targito",company:"VIVmail.cz",homepage:"https://www.targito.com",categories:["marketing"],domains:["*.targito.com"]},{name:"Multiview",categories:["content"],domains:["*.multiview.com","*.track-mv.com"]},{name:"InAuth",categories:["utility"],homepage:"https://www.inauth.com/",domains:["*.cdn-net.com"]},{name:"Webtrends",categories:["analytics"],domains:["*.webtrends.com","*.webtrendslive.com","d1q62gfb8siqnm.cloudfront.net"]},{name:"AnswerDash",categories:["customer-success"],domains:["*.answerdash.com"]},{name:"Firebase",homepage:"https://developers.google.com/apis-explorer/#p/",categories:["utility"],domains:["firebasestorage.googleapis.com","firestore.googleapis.com"]},{name:"DistroScale",categories:["ad"],
domains:["*.jsrdn.com"]},{name:"ShinyStat CMP",homepage:"https://www.shinystat.com",categories:["consent-provider"],domains:["shinystat.mgr.consensu.org","*.shinystat.mgr.consensu.org"]},{name:"AD EBis",categories:["analytics"],homepage:"https://www.ebis.ne.jp/",domains:["*.ebis.ne.jp"]},{name:"TNS (Kantar Group)",categories:["analytics"],domains:["*.tns-counter.ru"]},{name:"Affiliatly",categories:["ad"],domains:["*.affiliatly.com"]},{name:"Mention Me",categories:["ad"],domains:["*.mention-me.com"]},{name:"Prezi",categories:["utility"],domains:["*.prezi.com"]},{name:"Cludo",categories:["utility"],domains:["*.cludo.com"]},{name:"Qubit Deliver",company:"Qubit",categories:["analytics"],domains:["d1m54pdnjzjnhe.cloudfront.net","d22rutvoghj3db.cloudfront.net","dd6zx4ibq538k.cloudfront.net"]},{name:"Chatwoot",homepage:"https://www.chatwoot.com/",categories:["customer-success"],domains:["*.chatwoot.com"]},{name:"Klarna",categories:["utility"],domains:["*.klarna.com"]},{name:"PowerFront",
categories:["hosting"],domains:["*.inside-graph.com"]},{name:"trueAnthem",categories:["social"],domains:["*.tru.am"]},{name:"Meltwater Group",categories:["customer-success"],domains:["*.meltwaternews.com"]},{name:"TubeMogul",categories:["ad"],domains:["*.tubemogul.com"]},{name:"SiteGainer",categories:["analytics"],domains:["*.sitegainer.com","d191y0yd6d0jy4.cloudfront.net"]},{name:"Freetobook",categories:["content"],domains:["*.freetobook.com"]},{name:"Kiosked",categories:["ad"],domains:["*.kiosked.com"]},{name:"TRUSTe",categories:["utility"],domains:["*.truste.com"]},{name:"Cardosa Enterprises",categories:["analytics"],domains:["*.y-track.com"]},{name:"Kameleoon",categories:["analytics"],domains:["*.kameleoon.com","*.kameleoon.eu"]},{name:"Pepperjam",homepage:"https://www.pepperjam.com/",categories:["marketing","analytics"],domains:["*.pepperjam.com","*.affiliatetechnology.com"]},{name:"Dash Hudson",company:"Dash Hudson",categories:["content"],domains:["*.dashhudson.com"]},{
name:"SreamAMG",company:"StreamAMG",categories:["other"],domains:["*.streamamg.com"]},{name:"ShopRunner",categories:["content"],domains:["*.shoprunner.com","*.s-9.us"]},{name:"Macropod BugHerd",company:"Macropod",categories:["utility"],domains:["*.bugherd.com"]},{name:"freewheel.tv",categories:["content"],domains:["*.fwmrm.net"]},{name:"AIR.TV",categories:["ad"],domains:["*.air.tv"]},{name:"News",categories:["social"],domains:["*.news.com.au","*.newsanalytics.com.au","*.newsapi.com.au","*.newscdn.com.au","*.newsdata.com.au","*.newsdiscover.com.au","*.news-static.com"]},{name:"Janrain",categories:["analytics"],domains:["*.janrain.com","*.janrainbackplane.com","*.rpxnow.com","d3hmp0045zy3cs.cloudfront.net"]},{name:"Turn",categories:["ad"],domains:["*.turn.com"]},{name:"Admedo",categories:["ad"],domains:["*.a8723.com","*.adizio.com","*.admedo.com"]},{name:"Sibbo CMP",homepage:"https://sibboventures.com/en/",categories:["consent-provider"],
domains:["sibboventures.mgr.consensu.org","*.sibboventures.mgr.consensu.org"]},{name:"Instansive",categories:["utility"],domains:["*.instansive.com"]},{name:"Socialphotos",categories:["social"],domains:["*.slpht.com"]},{name:"StumbleUpon",categories:["content"],domains:["*.stumble-upon.com","*.stumbleupon.com"]},{name:"ScientiaMobile",categories:["analytics"],domains:["*.wurflcloud.com","*.wurfl.io"]},{name:"Euroland",categories:["utility"],domains:["*.euroland.com"]},{name:"atlasRTX",homepage:"https://www.atlasrtx.com/",categories:["customer-success"],domains:["*.atlasrtx.com"]},{name:"CNET Content Solutions",company:"CBS Interactive",categories:["content"],domains:["*.cnetcontent.com"]},{name:"Mynewsdesk",categories:["utility"],domains:["*.mynewsdesk.com"]},{name:"bd4travel",categories:["analytics"],domains:["*.bd4travel.com"]},{name:"Imgur",categories:["utility"],domains:["*.imgur.com"]},{name:"Rakuten MediaForge",company:"Rakuten",categories:["ad"],domains:["*.mediaforge.com"]},{
name:"Dataxu",categories:["marketing"],domains:["*.w55c.net"]},{name:"OnScroll",categories:["ad"],domains:["*.onscroll.com"]},{name:"Zolando",categories:["content"],domains:["*.ztat.net"]},{name:"Clickagy Audience Lab",company:"Clickagy",categories:["ad"],domains:["*.clickagy.com"]},{name:"Loop11",categories:["analytics"],domains:["*.loop11.com"]},{name:"Beeswax",categories:["ad"],domains:["*.bidr.io"]},{name:"Woosmap",categories:["utility"],domains:["*.woosmap.com"]},{name:"Trust Guard",categories:["utility"],domains:["*.trust-guard.com"]},{name:"Sokrati",categories:["marketing"],domains:["*.sokrati.com"]},{name:"SelectMedia International",categories:["content"],domains:["*.selectmedia.asia"]},{name:"Gfycat",company:"Gycat",categories:["utility"],domains:["*.gfycat.com"]},{name:"Scroll",homepage:"https://scroll.com/",categories:["utility"],domains:["*.scroll.com"]},{name:"ToneMedia",categories:["ad"],domains:["*.clickfuse.com"]},{name:"Psyma",categories:["ad"],domains:["*.psyma.com"]
},{name:"360 picnic platform",company:"MediaV",categories:["ad"],domains:["*.mediav.com"]},{name:"Ido",categories:["customer-success"],domains:["*.idio.co"]},{name:"Sekindo",categories:["content"],domains:["*.sekindo.com"]},{name:"Adelphic",categories:["ad"],domains:["*.ipredictive.com"]},{name:"Yummley",categories:["other"],domains:["*.yummly.com"]},{name:"Trialfire",categories:["analytics"],domains:["*.trialfire.com"]},{name:"Extole",categories:["ad"],domains:["*.extole.com","*.extole.io"]},{name:"Adloox",categories:["ad"],domains:["*.adlooxtracking.com"]},{name:"TurnTo",homepage:"https://www.turntonetworks.com/",categories:["utility"],domains:["*.turnto.com"]},{name:"Chameleon",homepage:"https://www.trychameleon.com/",categories:["marketing"],domains:["*.trychameleon.com"]},{name:"DigiCert",categories:["utility"],domains:["*.digicert.com"]},{name:"AvantLink",categories:["ad"],domains:["*.avmws.com"]},{name:"Republer",categories:["ad"],domains:["*.republer.com"]},{
name:"Digital Millennium Copyright Act Services",categories:["utility"],domains:["*.dmca.com"]},{name:"Thinglink",categories:["utility"],domains:["*.thinglink.com"]},{name:"AdRecover",categories:["ad"],domains:["*.adrecover.com"]},{name:"Glassdoor",categories:["content"],domains:["*.glassdoor.com"]},{name:"ChannelAdvisor",categories:["ad"],domains:["*.channeladvisor.com","*.searchmarketing.com"]},{name:"Ooyala",categories:["ad"],domains:["*.ooyala.com"]},{name:"Optimise Media Group",categories:["utility"],domains:["*.omguk.com"]},{name:"Pulse Insights",categories:["analytics"],domains:["*.pulseinsights.com"]},{name:"Vizzit",homepage:"https://www.vizzit.se",categories:["analytics"],domains:["*.vizzit.se"]},{name:"Blue Triangle Technologies",categories:["analytics"],domains:["*.btttag.com"]},{name:"TrustArc CMP",homepage:"https://trustarc.com/",categories:["consent-provider"],domains:["trustarc.mgr.consensu.org","*.trustarc.mgr.consensu.org"]},{name:"cloudIQ",categories:["analytics"],
domains:["*.cloud-iq.com"]},{name:"Certona",categories:["analytics"],domains:["*.certona.net"]},{name:"Indeed",categories:["content"],domains:["*.indeed.com"]},{name:"Fospha",categories:["analytics"],domains:["*.fospha.com"]},{name:"BloomReach",categories:["ad"],domains:["*.brcdn.com","*.brsrvr.com","*.brsvr.com"]},{name:"Web Dissector",company:"Beijing Gridsum Technologies",categories:["analytics"],domains:["*.gridsumdissector.com","*.webdissector.com"]},{name:"Userzoom",categories:["analytics"],domains:["*.userzoom.com"]},{name:"Developer Media",categories:["ad"],domains:["*.developermedia.com"]},{name:"Comodo",categories:["utility"],domains:["*.comodo.com","*.trust-provider.com","*.trustlogo.com","usertrust.com","*.comodo.net"]},{name:"AgilOne",categories:["marketing"],domains:["*.agilone.com"]},{name:"Numberly",company:"1000mercis",categories:["ad"],domains:["*.mmtro.com","*.nzaza.com"]},{name:"MotionPoint",categories:["other"],domains:["*.convertlanguage.com"]},{
name:"Adara Media",categories:["ad"],domains:["*.yieldoptimizer.com"]},{name:"ipinfo.io",categories:["utility"],domains:["*.ipinfo.io"]},{name:"Getty Images",categories:["content"],domains:["*.gettyimages.com","*.gettyimages.co.uk"]},{name:"GlobalSign",categories:["utility"],domains:["*.globalsign.com","*.globalsign.net"]},{name:"Admitad",categories:["ad"],domains:["*.lenmit.com"]},{name:"mainADV",categories:["ad"],domains:["*.httptrack.com","*.solocpm.com"]},{name:"Bizrate",categories:["analytics"],domains:["*.bizrate.com"]},{name:"Business Message",categories:["ad"],domains:["*.message-business.com"]},{name:"BitGravity",company:"Tata Communications",categories:["content"],domains:["*.bitgravity.com"]},{name:"HitsLink",categories:["analytics"],domains:["*.hitslink.com"]},{name:"AdSpeed",categories:["ad"],domains:["*.adspeed.net"]},{name:"AdCurve",categories:["ad"],domains:["*.shop2market.com"]},{name:"Glimr",homepage:"https://glimr.io/",categories:["analytics"],domains:["*.glimr.io"]
},{name:"Adzerk",categories:["ad"],domains:["*.adzerk.net"]},{name:"Carbon Ads",homepage:"https://www.carbonads.net/",categories:["ad"],domains:["*.carbonads.net","*.carbonads.com"]},{name:"SPX",company:"Smaato",categories:["ad"],domains:["*.smaato.net"]},{name:"codigo",homepage:"https://www.codigo.se",categories:["analytics"],domains:["*.codigo.se"]},{name:"EasyAd",homepage:"https://web.easy-ads.com/",categories:["ad"],domains:["*.easy-ads.com"]},{name:"BAM",categories:["analytics"],domains:["*.bam-x.com"]},{name:"Rewardful",homepage:"https://www.getrewardful.com",categories:["analytics"],domains:["*.wdfl.co"]},{name:"CogoCast",company:"Cogo Labs",categories:["ad"],domains:["*.cogocast.net"]},{name:"smartclip",categories:["ad"],domains:["*.smartclip.net"]},{name:"Eventbrite",categories:["hosting"],domains:["*.evbuc.com","*.eventbrite.co.uk"]},{name:"Experian Cross-Channel Marketing Platform",company:"Experian",categories:["marketing"],domains:["*.eccmp.com","*.ccmp.eu"]},{
name:"SurveyGizmo",categories:["analytics"],domains:["*.surveygizmo.eu"]},{name:"emetriq",homepage:"https://www.emetriq.com/",categories:["ad"],domains:["*.emetriq.de","*.xplosion.de"]},{name:"adKernel",categories:["ad"],domains:["*.adkernel.com"]},{name:"CoolaData",categories:["analytics"],domains:["*.cooladata.com"]},{name:"AlphaSSL",categories:["utility"],domains:["*.alphassl.com"]},{name:"Webtrekk",categories:["analytics"],domains:["*.wbtrk.net","*.webtrekk-asia.net","*.webtrekk.net","*.wt-eu02.net"]},{name:"Accordant Media",categories:["ad"],domains:["*.a3cloud.net"]},{name:"Worldpay",categories:["utility"],domains:["*.worldpay.com"]},{name:"Sophus3",categories:["analytics"],domains:["*.s3ae.com","*.sophus3.com"]},{name:"eKomi",categories:["analytics"],domains:["*.ekomi.com","*.ekomi.de"]},{name:"Acceptable Ads",homepage:"https://acceptableads.com/",categories:["ad"],domains:["*.aaxads.com","*.aaxdetect.com"]},{name:"APSIS Forms",company:"APSIS",categories:["other"],
domains:["*.apsisforms.com"]},{name:"Samba TV",company:"Samba",categories:["content"],domains:["*.samba.tv"]},{name:"Datacamp",categories:["utility"],domains:["*.cdn77.org"]},{name:"Vextras",categories:["other"],domains:["*.vextras.com"]},{name:"VisualVisitor",categories:["ad"],domains:["*.id-visitors.com"]},{name:"Vizury",categories:["ad"],domains:["*.vizury.com"]},{name:"Adnium",categories:["ad"],domains:["*.adnium.com"]},{name:"j2 Cloud Services",categories:["ad"],domains:["*.campaigner.com"]},{name:"Intent IQ",categories:["ad"],domains:["*.intentiq.com"]},{name:"Silverpop",company:"IBM",categories:["ad"],domains:["*.mkt912.com","*.mkt922.com","*.mkt932.com","*.mkt941.com","*.mkt51.net","*.mkt61.net","*.pages01.net","*.pages02.net","*.pages03.net","*.pages04.net","*.pages05.net"]},{name:"Vero",company:"Semblance",categories:["ad"],domains:["*.getvero.com","d3qxef4rp70elm.cloudfront.net"]},{name:"OneTrust CMP",homepage:"https://onetrust.com",categories:["consent-provider"],
domains:["onetrust.mgr.consensu.org","*.onetrust.mgr.consensu.org"]},{name:"addtocalendar",categories:["utility"],domains:["*.addtocalendar.com"]},{name:"template-help.com",categories:["hosting"],domains:["*.template-help.com"]},{name:"AddThisEvent",categories:["hosting"],domains:["*.addthisevent.com"]},{name:"Bet365",categories:["ad"],domains:["*.bet365affiliates.com"]},{name:"Yieldlab",categories:["ad"],domains:["*.yieldlab.net"]},{name:"Flipp",categories:["analytics"],domains:["*.wishabi.com","d2e0sxz09bo7k2.cloudfront.net","*.wishabi.net"]},{name:"TechTarget",categories:["content"],domains:["*.techtarget.com","*.ttgtmedia.com"]},{name:"United Internet Media AG",categories:["hosting"],domains:["*.tifbs.net","*.uicdn.net","*.uimserv.net"]},{name:"Nano Interactive",categories:["ad"],domains:["*.audiencemanager.de"]},{name:"rss2json",categories:["utility"],domains:["*.rss2json.com"]},{name:"Emerse",homepage:"https://www.emerse.com/",categories:["ad"],domains:["*.emerse.com"]},{
name:"Ghostery Enterprise",company:"Ghostery",categories:["marketing"],domains:["*.betrad.com"]},{name:"SourceKnowledge",homepage:"https://www.sourceknowledge.com",categories:["ad"],domains:["*.provenpixel.com"]},{name:"One by AOL",company:"AOL",categories:["ad"],domains:["*.adtechjp.com","*.adtech.de"]},{name:"Burst Media",categories:["ad"],domains:["*.burstnet.com","*.1rx.io"]},{name:"Loggly",homepage:"https://www.loggly.com/",categories:["analytics"],domains:["*.loggly.com","d9jmv9u00p0mv.cloudfront.net"]},{name:"feedoptimise",categories:["hosting"],domains:["*.feedoptimise.com","d1w78njrm56n7g.cloudfront.net"]},{name:"eDigital Research",categories:["customer-success"],domains:["*.edigitalresearch.com","*.edigitalsurvey.com","*.edrcdn.com","*.ecustomeropinions.com"]},{name:"Jivox",categories:["ad"],domains:["*.jivox.com"]},{name:"SLI Systems",categories:["utility"],domains:["*.resultslist.com","*.resultspage.com","*.sli-spark.com"]},{name:"UniConsent CMP",
homepage:"https://uniconsent.com",categories:["consent-provider"],domains:["uniconsent.mgr.consensu.org","*.uniconsent.mgr.consensu.org"]},{name:"RadiumOne",categories:["ad"],domains:["*.gwallet.com","*.r1-cdn.net"]},{name:"HotelsCombined",categories:["content"],domains:["*.datahc.com"]},{name:"Zoover",categories:["analytics"],domains:["*.zoover.nl","*.zoover.co.uk"]},{name:"ActiveCampaign",categories:["ad"],domains:["*.trackcmp.net","app-us1.com"]},{name:"Steepto",categories:["ad"],domains:["*.steepto.com"]},{name:"AirPR",categories:["analytics"],domains:["*.airpr.com"]},{name:"Adacado",categories:["ad"],domains:["*.adacado.com"]},{name:"TinyURL",categories:["utility"],domains:["*.tinyurl.com"]},{name:"Improve Digital",categories:["ad"],domains:["*.360yield.com"]},{name:"Kenshoo",categories:["marketing"],domains:["*.xg4ken.com"]},{name:"Business Week",company:"Bloomberg",categories:["social"],domains:["*.bwbx.io"]},{name:"Adwise",categories:["ad"],domains:["*.adwise.bg"]},{
name:"Engagio",categories:["marketing"],domains:["*.engagio.com"]},{name:"Adblade",categories:["ad"],domains:["*.adblade.com"]},{name:"SearchForce",categories:["ad"],domains:["*.searchforce.net"]},{name:"NextPerf",company:"Rakuten Marketing",categories:["ad"],domains:["*.nxtck.com"]},{name:"CJ Affiliate by Conversant",company:"Conversant",categories:["ad"],domains:["*.ftjcfx.com"]},{name:"Adtegrity",categories:["ad"],domains:["*.adtpix.com"]},{name:"SkyGlue Technology",categories:["analytics"],domains:["*.skyglue.com"]},{name:"Effiliation sa",categories:["ad"],domains:["*.effiliation.com"]},{name:"SkyScanner",categories:["content"],domains:["*.skyscanner.net"]},{name:"Widespace",homepage:"https://www.widespace.com",categories:["ad"],domains:["*.widespace.com"]},{name:"ZergNet",categories:["content"],domains:["*.zergnet.com"]},{name:"Kantar Sifo",homepage:"https://www.kantarsifo.se",categories:["analytics"],domains:["*.research-int.se"]},{name:"Conversion Labs",categories:["ad"],
domains:["*.net.pl"]},{name:"Geoplugin",categories:["utility"],domains:["*.geoplugin.com","*.geoplugin.net"]},{name:"SAS Institute",categories:["ad"],domains:["*.aimatch.com","*.sas.com"]},{name:"PollDaddy (Automattic)",categories:["ad"],domains:["static.polldaddy.com","*.poll.fm"]},{name:"Sweet Tooth",categories:["ad"],domains:["*.sweettooth.io"]},{name:"Cookie Information CMP",homepage:"https://www.cookieinformation.com/",categories:["consent-provider"],domains:["cookieinformation.mgr.consensu.org","*.cookieinformation.mgr.consensu.org"]},{name:"Qode Interactive",categories:["hosting"],domains:["*.qodeinteractive.com"]},{name:"Digital Window",categories:["ad"],domains:["*.awin1.com","*.zenaps.com"]},{name:"Blindado",categories:["utility"],domains:["*.siteblindado.com"]},{name:"Macromill",company:"Macromill",categories:["analytics"],homepage:"https://group.macromill.com/",domains:["*.macromill.com"]},{name:"Geniuslink",categories:["analytics"],domains:["*.geni.us"]},{name:"Algolia",
homepage:"https://www.algolia.com/",categories:["utility"],domains:["*.algolianet.com","*.algolia.net","*.algolia.io"]},{name:"Google Trusted Stores",company:"Google",categories:["utility"],domains:["*.googlecommerce.com"]},{name:"McAffee",categories:["utility"],domains:["*.mcafeesecure.com","*.scanalert.com"]},{name:"Button",categories:["ad"],domains:["*.btncdn.com"]},{name:"Trustwave",categories:["utility"],domains:["*.trustwave.com"]},{name:"AdScore",homepage:"https://www.adscore.com/",categories:["ad"],domains:["*.adsco.re"]},{name:"Affectv",categories:["ad"],domains:["*.affectv.com","*.affec.tv"]},{name:"Agility",categories:["hosting"],domains:["*.agilitycms.com"]},{name:"Market GID",homepage:"https://www.marketgid.com/",categories:["ad"],domains:["*.marketgid.com"]},{name:"Spiceworks",homepage:"https://www.spiceworks.com",categories:["analytics"],domains:["*.spiceworks.com"]},{name:"PhotoBucket",categories:["content"],domains:["*.photobucket.com"]},{name:"Volvelle",
company:"Optomaton",categories:["ad"],domains:["*.volvelle.tech"]},{name:"GovMetric",company:"ROL Solutions",categories:["analytics"],domains:["*.govmetric.com"]},{name:"Directed Edge",categories:["social"],domains:["*.directededge.com"]},{name:"Truefit",categories:["analytics"],domains:["*.truefitcorp.com"]},{name:"mbr targeting",categories:["ad"],domains:["*.m6r.eu"]},{name:"Improvely",categories:["analytics"],domains:["*.iljmp.com"]},{name:"Network Solutions",categories:["utility"],domains:["*.netsolssl.com","*.networksolutions.com"]},{name:"Trinity Mirror",categories:["content"],domains:["*.mirror.co.uk"]},{name:"Netmining",company:"Ignition One",categories:["ad"],domains:["*.netmng.com"]},{name:"GetSocial",categories:["social"],domains:["*.getsocial.io"]},{name:"Net Applications",categories:["analytics"],domains:["*.hitsprocessor.com"]},{name:"Playground",homepage:"https://playground.xyz",categories:["ad"],domains:["*.playground.xyz"]},{name:"TrafficFactory",categories:["ad"],
domains:["*.trafficfactory.biz"]},{name:"Starfield Services Root Certificate Authority",company:"Starfield Technologies",categories:["utility"],domains:["*.starfieldtech.com","ss2.us"]},{name:"Launch Darkly",homepage:"https://launchdarkly.com",categories:["utility"],domains:["*.launchdarkly.com"]},{name:"Errorception",categories:["utility"],domains:["*.errorception.com"]},{name:"Sectigo",homepage:"https://sectigo.com/",categories:["utility"],domains:["*.sectigo.com"]},{name:"Proclivity Media",categories:["analytics"],domains:["*.pswec.com"]},{name:"Adschoom",company:"JSWeb Production",categories:["ad"],domains:["*.adschoom.com"]},{name:"Commission Factory",categories:["ad"],domains:["*.cfjump.com"]},{name:"Statuspage",company:"Atlassian",homepage:"https://www.statuspage.io",categories:["utility"],domains:["*.statuspage.io"]},{name:"Lengow",categories:["hosting"],domains:["*.lengow.com"]},{name:"Zanox",categories:["ad"],domains:["*.zanox.com","*.zanox.ws"]},{name:"Atlas Solutions",
homepage:"https://atlassolutions.com",categories:["analytics"],domains:["*.atdmt.com"]},{name:"Google Trust Services",company:"Google",categories:["utility"],domains:["*.pki.goog"]},{name:"OptiMonk",categories:["ad"],domains:["*.optimonk.com"]},{name:"Verizon Uplynk",company:"Verizon",categories:["content"],domains:["*.uplynk.com"]},{name:"Dynamic Dummy Image Generator",company:"Open Source",categories:["utility"],domains:["*.dummyimage.com"]},{name:"Blogg.se",categories:["hosting"],domains:["*.cdnme.se","*.publishme.se"]},{name:"Intelligent Reach",categories:["ad"],domains:["*.ist-track.com"]},{name:"DMG Media",categories:["content"],domains:["*.mol.im","*.and.co.uk","*.anm.co.uk","*.dailymail.co.uk"]},{name:"EMX Digital",homepage:"https://emxdigital.com",categories:["ad"],domains:["*.emxdgt.com"]},{name:"SecurityMetrics",categories:["utility"],domains:["*.securitymetrics.com"]},{name:"Merchant Equipment Store",categories:["utility"],domains:["*.merchantequip.com"]},{name:"ShopiMind",
company:"ShopIMind",categories:["ad"],domains:["*.shopimind.com"]},{name:"Clickadu (Winner Solutions)",categories:["ad"],domains:["*.clickadu.com"]},{name:"CJ Affiliate",company:"Conversant",categories:["ad"],domains:["*.cj.com","*.dpbolvw.net"]},{name:"NAVIS",categories:["content"],domains:["*.navistechnologies.info"]},{name:"dstillery",categories:["ad"],domains:["*.dstillery.com","*.media6degrees.com"]},{name:"Let's Encrypt",homepage:"https://letsencrypt.org/",categories:["utility"],domains:["*.letsencrypt.org"]},{name:"Webtype",categories:["cdn"],domains:["*.webtype.com"]},{name:"Travelocity USA",company:"Travelocity",categories:["content"],domains:["*.travelocity.com"]},{name:"eWAY",company:"Web Active Pty",categories:["utility"],domains:["*.eway.com.au"]},{name:"Research Now",categories:["analytics"],domains:["*.researchgnow.com","*.researchnow.com"]},{name:"Grapeshot",categories:["ad"],domains:["*.gscontxt.net","*.grapeshot.co.uk"]},{name:"Twitter Short URL",company:"Twitter",
categories:["social"],domains:["*.t.co"]}]);function getEntity(e){return lw.getEntity(e)}function isThirdParty(e,t){const r=getEntity(e);return!!r&&r!==t}var uw={getEntity,getProduct:function getProduct(e){return lw.getProduct(e)},isThirdParty,isFirstParty:function isFirstParty(e,t){return!isThirdParty(e,t)}},dw={moduleSizes:[498,155,242,615,220,657,651,1664,790,1534,558,279,868,974,618,356,720,133,826,732,235,552,170,585,1030,210,349,179,546,167,1634,118,199,478,849,470,452,417,147,60,180,433,360,303,1325,1518,397,201,550,226,132,156,198,312,544,2125,658,778,1084,701,401,81,716,632,321,428,648,804,718,130,1443,142,374,259,286,403,821,938,514,654,280,328,186,233,243,553,267,187,206,879,105,343,779,833,773,275,477,696,224,759,671,772,746,716,182,304,658,473,592,235,334,277,404,420,280,675,1034,508,725,526,498,498,499,752,661,276,275,843,1698,962,562,609,573,1048,205,374,226,625,632,308,772,641,233],dependencies:{
"Array.prototype.fill":[3,5,8,17,19,21,22,29,30,35,38,39,40,42,43,45,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,91],"Array.prototype.filter":[1,8,9,10,12,14,17,19,21,22,27,28,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,92],"Array.prototype.find":[1,3,8,9,12,14,17,19,21,22,29,30,33,35,38,39,40,42,43,45,47,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,94],"Array.prototype.findIndex":[1,3,8,9,12,14,17,19,21,22,29,30,33,35,38,39,40,42,43,45,47,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,93],"Array.prototype.forEach":[1,6,8,9,11,12,14,17,19,21,22,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,95],"Array.from":[1,7,8,15,16,17,18,19,21,22,23,29,30,33,35,36,38,39,42,43,45,46,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,86,87,88,89,96],
"Array.isArray":[8,17,19,21,22,29,30,35,38,39,42,43,45,47,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,98],"Array.prototype.map":[1,8,9,10,12,14,17,19,21,22,27,28,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,99],"Array.of":[8,17,19,21,22,23,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,100],"Array.prototype.reduce":[1,8,11,12,13,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,102],"Array.prototype.reduceRight":[1,8,11,12,13,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,101],"Array.prototype.some":[1,8,9,11,12,14,17,19,21,22,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,103],"Date.now":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,104],
"Date.prototype.toISOString":[8,17,19,21,22,24,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,77,78,80,81,82,83,87,105],"Date.prototype.toJSON":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,106],"Date.prototype.toString":[21,22,38,39,43,45,51,53,70,72,73,74,75,87,107],"Function.prototype.name":[108],"Number.isInteger":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,49,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,109],"Number.isSafeInteger":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,49,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,110],"Number.parseInt":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,54,58,60,61,63,65,68,69,70,71,72,73,74,75,79,80,81,82,83,87,90,111],"Object.defineProperties":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,87,112],
"Object.defineProperty":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,113],"Object.freeze":[8,17,19,21,22,29,30,32,35,38,39,42,43,44,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,115],"Object.getOwnPropertyNames":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,59,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,117],"Object.getPrototypeOf":[8,17,19,20,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,62,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,118],"Object.isExtensible":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,119],"Object.isFrozen":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,120],"Object.isSealed":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,121],
"Object.keys":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,122],"Object.preventExtensions":[8,17,19,21,22,29,30,32,35,38,39,42,43,44,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,123],"Object.seal":[8,17,19,21,22,29,30,32,35,38,39,42,43,44,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,124],"Object.setPrototypeOf":[2,8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,66,68,69,70,71,72,73,74,75,80,81,82,83,87,125],"Reflect.apply":[1,8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,127],"Reflect.construct":[1,8,17,19,21,22,29,30,34,35,38,39,40,42,43,45,48,51,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,87,128],"Reflect.defineProperty":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,129],
"Reflect.deleteProperty":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,130],"Reflect.get":[8,17,19,20,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,62,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,133],"Reflect.getOwnPropertyDescriptor":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,131],"Reflect.getPrototypeOf":[8,17,19,20,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,62,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,132],"Reflect.has":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,134],"Reflect.isExtensible":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,135],"Reflect.ownKeys":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,136],
"Reflect.preventExtensions":[8,17,19,21,22,29,30,32,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,137],"Reflect.setPrototypeOf":[2,8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,66,68,69,70,71,72,73,74,75,80,81,82,83,87,138],"String.prototype.codePointAt":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,76,80,81,82,83,87,139],"String.fromCodePoint":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,140],"String.raw":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,141],"String.prototype.repeat":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,78,80,81,82,83,87,142],"Array.prototype.includes":[3,8,12,17,19,21,22,29,30,35,38,39,40,42,43,45,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,87,88,89,97],
"Object.entries":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,64,65,67,68,69,70,71,72,73,74,75,80,81,82,83,87,114],"Object.getOwnPropertyDescriptors":[8,17,19,21,22,23,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,116],"Object.values":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,64,65,67,68,69,70,71,72,73,74,75,80,81,82,83,87,126]},maxSize:77759,baseSize:3708};!function(e){const t=Ib,r=jb,a=oi,n=uw,{getRequestForScript:i}=zb,o={title:"Avoid serving legacy JavaScript to modern browsers",
description:"Polyfills and transforms enable legacy browsers to use new JavaScript features. However, many aren't necessary for modern browsers. For your bundled JavaScript, adopt a modern script deployment strategy using module/nomodule feature detection to reduce the amount of code shipped to modern browsers, while retaining support for legacy browsers. [Learn More](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},s=a.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/legacy-javascript.js",o);class CodePatternMatcher{constructor(e){const t=e.map((e=>`(${e.expression})`)).join("|");this.re=new RegExp(`(^\r\n|\r|\n)|${t}`,"g"),this.patterns=e}match(e){this.re.lastIndex=0;const t=new Set,r=[];let a,n=0,i=0;for(;null!==(a=this.re.exec(e));){const e=a.slice(1),[o,...s]=e;if(o){n++,i=a.index+1;continue}const c=this.patterns[s.findIndex(Boolean)];if(t.has(c)){const e=r.find((e=>e.name===c.name));e&&(e.count+=1)}else t.add(c),r.push({name:c.name,
line:n,column:a.index-i,count:1})}return r}}e.exports=class LegacyJavascript extends t{static get meta(){return{id:"legacy-javascript",scoreDisplayMode:t.SCORING_MODES.NUMERIC,description:s(o.description),title:s(o.title),requiredArtifacts:["devtoolsLogs","traces","ScriptElements","SourceMaps","GatherContext","URL"]}}static buildPolyfillExpression(e,t){const qt=e=>`['"]${e}['"]`;let r="";if(r+=e?`${e}\\.${t}\\s?=[^=]`:`(?:window\\.|[\\s;]+)${t}\\s?=[^=]`,e&&(r+=`|${e}\\[${qt(t)}\\]\\s?=[^=]`),r+=`|defineProperty\\(${e||"window"},\\s?${qt(t)}`,e){const a=e.replace(".prototype","");r+=`|\\$export\\([^,]+,${qt(a)},{${t}:`,r+=`|{target:${qt(a)}\\S*},{${t}:`}else r+=`|function ${t}\\(`;return r}static getPolyfillData(){
return[["Array.prototype.fill","es6.array.fill"],["Array.prototype.filter","es6.array.filter"],["Array.prototype.find","es6.array.find"],["Array.prototype.findIndex","es6.array.find-index"],["Array.prototype.forEach","es6.array.for-each"],["Array.from","es6.array.from"],["Array.isArray","es6.array.is-array"],["Array.prototype.map","es6.array.map"],["Array.of","es6.array.of"],["Array.prototype.some","es6.array.some"],["Date.now","es6.date.now"],["Date.prototype.toISOString","es6.date.to-iso-string"],["Date.prototype.toJSON","es6.date.to-json"],["Date.prototype.toString","es6.date.to-string"],["Function.prototype.name","es6.function.name"],["Number.isInteger","es6.number.is-integer"],["Number.isSafeInteger","es6.number.is-safe-integer"],["Object.defineProperties","es6.object.define-properties"],["Object.defineProperty","es6.object.define-property"],["Object.freeze","es6.object.freeze"],["Object.getPrototypeOf","es6.object.get-prototype-of"],["Object.isExtensible","es6.object.is-extensible"],["Object.isFrozen","es6.object.is-frozen"],["Object.isSealed","es6.object.is-sealed"],["Object.keys","es6.object.keys"],["Object.preventExtensions","es6.object.prevent-extensions"],["Object.seal","es6.object.seal"],["Object.setPrototypeOf","es6.object.set-prototype-of"],["Reflect.apply","es6.reflect.apply"],["Reflect.construct","es6.reflect.construct"],["Reflect.defineProperty","es6.reflect.define-property"],["Reflect.deleteProperty","es6.reflect.delete-property"],["Reflect.get","es6.reflect.get"],["Reflect.getOwnPropertyDescriptor","es6.reflect.get-own-property-descriptor"],["Reflect.getPrototypeOf","es6.reflect.get-prototype-of"],["Reflect.has","es6.reflect.has"],["Reflect.isExtensible","es6.reflect.is-extensible"],["Reflect.ownKeys","es6.reflect.own-keys"],["Reflect.preventExtensions","es6.reflect.prevent-extensions"],["Reflect.setPrototypeOf","es6.reflect.set-prototype-of"],["String.prototype.codePointAt","es6.string.code-point-at"],["String.fromCodePoint","es6.string.from-code-point"],["String.raw","es6.string.raw"],["String.prototype.repeat","es6.string.repeat"],["Array.prototype.includes","es7.array.includes"],["Object.entries","es7.object.entries"],["Object.getOwnPropertyDescriptors","es7.object.get-own-property-descriptors"],["Object.values","es7.object.values"]].map((e=>{
const[t,r]=e;return{name:t,coreJs2Module:r,coreJs3Module:r.replace("es6.","es.").replace("es7.","es.").replace("typed.","typed-array.")}}))}static getPolyfillPatterns(){return this.getPolyfillData().map((({name:e})=>{const t=e.split("."),r=t.length>1?t.slice(0,t.length-1).join("."):null,a=t[t.length-1];return{name:e,expression:this.buildPolyfillExpression(r,a)}}))}static getTransformPatterns(){return[{name:"@babel/plugin-transform-classes",expression:"Cannot call a class as a function",estimateBytes:e=>150+e.count*"_classCallCheck()".length},{name:"@babel/plugin-transform-regenerator",expression:/regeneratorRuntime\.a?wrap/.source,estimateBytes:e=>80*e.count},{name:"@babel/plugin-transform-spread",expression:/\.apply\(void 0,\s?_toConsumableArray/.source,estimateBytes:e=>1169+e.count*"_toConsumableArray()".length}]}static detectAcrossScripts(e,t,r,a){const n=new Map,i=this.getPolyfillData();for(const{requestId:o,content:s}of Object.values(t)){if(!s)continue
;const t=r.find((e=>e.requestId===o));if(!t)continue;const c=e.match(s),l=a.find((e=>e.script.src===t.url));if(l)for(const{coreJs2Module:e,coreJs3Module:t,name:r}of i){if(c.some((e=>e.name===r)))continue;const a=l.rawMap.sources.find((r=>r.endsWith(`${e}.js`)||r.endsWith(`${t}.js`)));if(!a)continue;const n=l.map.mappings().find((e=>e.sourceURL===a));n?c.push({name:r,line:n.lineNumber,column:n.columnNumber,count:1}):c.push({name:r,line:0,column:0,count:1})}c.length&&n.set(t.url,c)}return n}static estimateWastedBytes(e){const t=e.filter((e=>!e.name.startsWith("@"))),r=e.filter((e=>e.name.startsWith("@")));let a=0;const n=dw,i=new Set;for(const e of t){const t=n.dependencies[e.name];if(t)for(const e of t)i.add(e)}t.length>0&&(a+=n.baseSize),a+=[...i].reduce(((e,t)=>e+n.moduleSizes[t]),0),a=Math.min(a,n.maxSize);let o=0;for(const e of r){const t=this.getTransformPatterns().find((t=>t.name===e.name));t&&t.estimateBytes&&(o+=t.estimateBytes(e))}return a+o}
static async estimateTransferRatioForScript(e,r,a,n){let o=e.get(r);if(void 0!==o)return o;const s=a.ScriptElements.find((e=>e.src===r)),c=i(n,s);if(s&&null!==s.content){const e=s.content.length;o=t.estimateTransferSize(c,e,"Script")/e}else o=1;return e.set(r,o),o}static async audit_(e,i,o){const c=n.getEntity(e.URL.finalUrl),l=await r.request(e,o),u=[],d=new CodePatternMatcher([...this.getPolyfillPatterns(),...this.getTransformPatterns()]),m=new Map,p=this.detectAcrossScripts(d,e.ScriptElements,i,l);for(const[r,a]of p.entries()){const n=await this.estimateTransferRatioForScript(m,r,e,i),o=Math.round(this.estimateWastedBytes(a)*n),s={url:r,wastedBytes:o,subItems:{type:"subitems",items:[]},totalBytes:0},c=l.find((e=>e.script.src===r));for(const e of a){const{name:a,line:n,column:i}=e,o={signal:a,location:t.makeSourceLocation(r,n,i,c)};s.subItems.items.push(o)}u.push(s)}const h=new Map;for(const e of u)n.isFirstParty(e.url,c)&&h.set(e.url,e.wastedBytes);return{items:u,headings:[{
key:"url",valueType:"url",subItemsHeading:{key:"location",valueType:"source-location"},label:s(a.UIStrings.columnURL)},{key:null,valueType:"code",subItemsHeading:{key:"signal"},label:""},{key:"wastedBytes",valueType:"bytes",label:s(a.UIStrings.columnWastedBytes)}],wastedBytesByUrl:h}}},e.exports.UIStrings=o}(rw);var mw={exports:{}};const pw=Ib,hw=ji,gw=oi,fw={title:"Serve images in next-gen formats",description:"Image formats like WebP and AVIF often provide better compression than PNG or JPEG, which means faster downloads and less data consumption. [Learn more](https://web.dev/uses-webp-images/)."},yw=gw.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/modern-image-formats.js",fw);class ModernImageFormats extends pw{static get meta(){return{id:"modern-image-formats",title:yw(fw.title),description:yw(fw.description),scoreDisplayMode:pw.SCORING_MODES.NUMERIC,requiredArtifacts:["OptimizedImages","devtoolsLogs","traces","URL","GatherContext","ImageElements"]}}
static estimateWebPSizeFromDimensions(e){const t=e.naturalWidth*e.naturalHeight;return Math.round(.2*t)}static estimateAvifSizeFromDimensions(e){const t=e.naturalWidth*e.naturalHeight;return Math.round(t*(2/12))}static estimateAvifSizeFromWebPAndJpegEstimates(e){if(!e.jpegSize||!e.webpSize)return;return 5*e.jpegSize/10/2+8*e.webpSize/10/2}static audit_(e){const t=e.URL.finalUrl,r=e.OptimizedImages,a=e.ImageElements,n=new Map;a.forEach((e=>n.set(e.src,e)));const i=[],o=[];for(const e of r){const r=n.get(e.url);if(e.failed){o.push(`Unable to decode ${hw.getURLDisplayName(e.url)}`);continue}if("image/webp"===e.mimeType||"image/avif"===e.mimeType)continue;const a=e.jpegSize;let s=e.webpSize,c=ModernImageFormats.estimateAvifSizeFromWebPAndJpegEstimates({jpegSize:a,webpSize:s}),l=!0;if(void 0===s){if(!r){o.push(`Unable to locate resource ${hw.getURLDisplayName(e.url)}`);continue}if(!r.naturalDimensions)continue;const t=r.naturalDimensions.height,a=r.naturalDimensions.width;if(!a||!t)continue
;s=ModernImageFormats.estimateWebPSizeFromDimensions({naturalHeight:t,naturalWidth:a}),c=ModernImageFormats.estimateAvifSizeFromDimensions({naturalHeight:t,naturalWidth:a}),l=!1}if(void 0===s||void 0===c)continue;const u=e.originalSize-s,d=e.originalSize-c;if(d<8192)continue;const m=hw.elideDataURI(e.url),p=!hw.originsMatch(t,e.url);i.push({node:r?pw.makeNodeItem(r.node):void 0,url:m,fromProtocol:l,isCrossOrigin:p,totalBytes:e.originalSize,wastedBytes:d,wastedWebpBytes:u})}return{warnings:o,items:i,headings:[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:yw(gw.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:yw(gw.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:yw(gw.UIStrings.columnWastedBytes)}]}}}mw.exports=ModernImageFormats,mw.exports.UIStrings=fw;var vw={exports:{}};const bw=ao,ww=Yp,Sw=Xp,Tw=Lo;var Ew=class Metric$1{constructor(){}static getMetricComputationInput(e){return{trace:e.trace,devtoolsLog:e.devtoolsLog,
gatherContext:e.gatherContext,settings:e.settings}}static computeSimulatedMetric(e,t){throw new Error("Unimplemented")}static computeObservedMetric(e,t){throw new Error("Unimplemented")}static async compute_(e,t){const r=e.gatherContext||{gatherMode:"navigation"},{trace:a,devtoolsLog:n,settings:i}=e;if(!a||!n||!i)throw new Error("Did not provide necessary metric computation data");const o=await ww.request(a,t),s="timespan"===r.gatherMode?void 0:await Sw.request(o,t),c=Object.assign({networkRecords:await Tw.request(n,t),gatherContext:r,processedTrace:o,processedNavigation:s},e);switch(bw.assertHasToplevelEvents(c.processedTrace.mainThreadEvents),i.throttlingMethod){case"simulate":if("navigation"!==r.gatherMode)throw new Error(`${r.gatherMode} does not support throttlingMethod simulate`);return this.computeSimulatedMetric(c,t);case"provided":case"devtools":return this.computeObservedMetric(c,t);default:throw new TypeError(`Unrecognized throttling method: ${i.throttlingMethod}`)}}}
;const xw=Ew;var _w=class NavigationMetric$8 extends xw{static computeSimulatedMetric(e,t){throw new Error("Unimplemented")}static computeObservedMetric(e,t){throw new Error("Unimplemented")}static async compute_(e,t){if("navigation"!==e.gatherContext.gatherMode)throw new Error(`${this.name} can only be computed on navigations`);return super.compute_(e,t)}};const Aw=Ao,Rw=_w,kw=Tb,Dw=ls,Cw=ao,Iw=vi.exports,Nw=5e3;class Interactive$4 extends Rw{static _findNetworkQuietPeriods(e,t){const r=t.timestamps.traceEnd/1e3,a=e.filter((e=>e.finished&&"GET"===e.requestMethod&&!e.failed&&e.statusCode<400));return Dw.findNetworkQuietPeriods(a,2,r)}static _findCPUQuietPeriods(e,t){const r=t.timestamps.timeOrigin/1e3,a=t.timestamps.traceEnd/1e3;if(0===e.length)return[{start:0,end:a}];const n=[];return e.forEach(((t,i)=>{0===i&&n.push({start:0,end:t.start+r}),i===e.length-1?n.push({start:t.end+r,end:a}):n.push({start:t.end+r,end:e[i+1].start+r})})),n}static findOverlappingQuietPeriods(e,t,r){
const a=r.timestamps.firstContentfulPaint/1e3,isLongEnoughQuietPeriod=e=>e.end>a+Nw&&e.end-e.start>=Nw,n=this._findNetworkQuietPeriods(t,r).filter(isLongEnoughQuietPeriod),i=this._findCPUQuietPeriods(e,r).filter(isLongEnoughQuietPeriod),o=i.slice(),s=n.slice();let c=o.shift(),l=s.shift();for(;c&&l;)if(c.start>=l.start){if(l.end>=c.start+Nw)return{cpuQuietPeriod:c,networkQuietPeriod:l,cpuQuietPeriods:i,networkQuietPeriods:n};l=s.shift()}else{if(c.end>=l.start+Nw)return{cpuQuietPeriod:c,networkQuietPeriod:l,cpuQuietPeriods:i,networkQuietPeriods:n};c=o.shift()}throw new Iw(c?Iw.errors.NO_TTI_NETWORK_IDLE_PERIOD:Iw.errors.NO_TTI_CPU_IDLE_PERIOD)}static computeSimulatedMetric(e,t){const r=Rw.getMetricComputationInput(e);return kw.request(r,t)}static computeObservedMetric(e){const{processedTrace:t,processedNavigation:r,networkRecords:a}=e;if(!r.timestamps.domContentLoaded)throw new Iw(Iw.errors.NO_DCL)
;const n=Cw.getMainThreadTopLevelEvents(t).filter((e=>e.duration>=50)),i=Interactive$4.findOverlappingQuietPeriods(n,a,r).cpuQuietPeriod,o=1e3*Math.max(i.start,r.timestamps.firstContentfulPaint/1e3,r.timestamps.domContentLoaded/1e3),s=(o-r.timestamps.timeOrigin)/1e3;return Promise.resolve({timing:s,timestamp:o})}}var Lw=Aw(Interactive$4,["devtoolsLog","gatherContext","settings","simulator","trace"]);const Mw=Ib,Pw=Ki,Ow=Jl,Fw=ji,Uw=oi,jw=Lw,Bw=Yp,$w={title:"Defer offscreen images",description:"Consider lazy-loading offscreen and hidden images after all critical resources have finished loading to lower time to interactive. [Learn more](https://web.dev/offscreen-images/)."},qw=Uw.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/offscreen-images.js",$w);class OffscreenImages extends Mw{static get meta(){return{id:"offscreen-images",title:qw($w.title),description:qw($w.description),scoreDisplayMode:Mw.SCORING_MODES.NUMERIC,supportedModes:["navigation"],
requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces"]}}static computeVisiblePixels(e,t){const r=t.innerWidth,a=t.innerHeight,n=3*t.innerHeight,i=Math.max(e.top,-100),o=Math.min(e.right,r+100),s=Math.min(e.bottom,a+n),c=Math.max(e.left,-100);return Math.max(o-c,0)*Math.max(s-i,0)}static computeWaste(e,t,r){const a=r.find((t=>t.url===e.src));if(!a)return null;if("lazy"===e.loading||"eager"===e.loading)return null;const n=Fw.elideDataURI(e.src),i=e.displayedWidth*e.displayedHeight,o=this.computeVisiblePixels(e.clientRect,t),s=0===i?1:1-o/i,c=Pw.getResourceSizeOnNetwork(a),l=Math.round(c*s);return Number.isFinite(s)?{node:Mw.makeNodeItem(e.node),url:n,requestStartTime:a.startTime,totalBytes:c,wastedBytes:l,wastedPercent:100*s}:new Error(`Invalid image sizing information ${n}`)}static filterLanternResults(e,t){const r=t.pessimisticEstimate.nodeTimings;let a=0;const n=new Map
;for(const[e,t]of r)"cpu"===e.type&&t.duration>=50?a=Math.max(a,t.startTime):"network"===e.type&&n.set(e.record.url,t.startTime);return e.filter((e=>{if(e.wastedBytes<2048)return!1;if(e.wastedPercent<75)return!1;return(n.get(e.url)||0)<a-50}))}static filterObservedResults(e,t){return e.filter((e=>!(e.wastedBytes<2048)&&(!(e.wastedPercent<75)&&e.requestStartTime<t/1e6-.05)))}static computeWasteWithTTIGraph(e,t,r){return super.computeWasteWithTTIGraph(e,t,r,{includeLoad:!1})}static async audit_(e,t,r){const a=e.ImageElements,n=e.ViewportDimensions,i=e.GatherContext,o=e.traces[Mw.DEFAULT_PASS],s=e.devtoolsLogs[Mw.DEFAULT_PASS],c=[],l=new Map;for(const e of a){const r=OffscreenImages.computeWaste(e,n,t);if(null===r)continue;if(r instanceof Error){c.push(r.message),Ow.captureException(r,{tags:{audit:this.meta.id},level:"warning"});continue}const a=l.get(r.url);(!a||a.wastedBytes>r.wastedBytes)&&l.set(r.url,r)}const u=r.settings;let d;const m=Array.from(l.values());try{const e={trace:o,
devtoolsLog:s,gatherContext:i,settings:u},t=await jw.request(e,r),a=t;d="simulate"===r.settings.throttlingMethod?OffscreenImages.filterLanternResults(m,a):OffscreenImages.filterObservedResults(m,t.timestamp)}catch(e){if("simulate"===r.settings.throttlingMethod)throw e;d=OffscreenImages.filterObservedResults(m,await Bw.request(o,r).then((e=>e.timestamps.traceEnd)))}return{warnings:c,items:d,headings:[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:qw(Uw.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:qw(Uw.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:qw(Uw.UIStrings.columnWastedBytes)}]}}}vw.exports=OffscreenImages,vw.exports.UIStrings=$w;var zw={exports:{}};const Vw=Ao,Ww=Ib,Gw=Lo,Hw=100;class UnusedCSS$3{static indexStylesheetsById(e,t){const r=t.filter((e=>e.resourceSize>0)).reduce(((e,t)=>(e[t.url]=t,e)),{});return e.reduce(((e,t)=>(e[t.header.styleSheetId]=Object.assign({usedRules:[],
networkRecord:r[t.header.sourceURL]},t),e)),{})}static indexUsedRules(e,t){e.forEach((e=>{const r=t[e.styleSheetId];r&&e.used&&r.usedRules.push(e)}))}static computeUsage(e){let t=0;const r=e.content.length;for(const r of e.usedRules)t+=r.endOffset-r.startOffset;const a=Ww.estimateTransferSize(e.networkRecord,r,"Stylesheet"),n=(r-t)/r;return{wastedBytes:Math.round(n*a),wastedPercent:100*n,totalBytes:a}}static determineContentPreview(e){let t=(e||"").slice(0,500).replace(/( {2,}|\t)+/g,"  ").replace(/\n\s+}/g,"\n}").trim();if(t.length>Hw){const e=t.indexOf("{"),r=t.indexOf("}");if(-1===e||-1===r||e>r||e>Hw)t=t.slice(0,Hw)+"...";else if(r<Hw)t=t.slice(0,r+1)+" ...";else{const r=t.slice(0,Hw).lastIndexOf(";");t=r<e?t.slice(0,Hw)+"... } ...":t.slice(0,r+1)+" ... } ..."}}return t}static mapSheetToResult(e,t){let r=e.header.sourceURL;if(!r||r===t){r=UnusedCSS$3.determineContentPreview(e.content)}return{url:r,...UnusedCSS$3.computeUsage(e)}}static async compute_(e,t){
const{CSSUsage:r,URL:a,devtoolsLog:n}=e,i=await Gw.request(n,t),o=UnusedCSS$3.indexStylesheetsById(r.stylesheets,i);UnusedCSS$3.indexUsedRules(r.rules,o);return Object.keys(o).map((e=>UnusedCSS$3.mapSheetToResult(o[e],a.finalUrl)))}}var Yw=Vw(UnusedCSS$3,["CSSUsage","URL","devtoolsLog"]);const Kw=Ao,Jw=_w,Xw=db;var Zw=Kw(class FirstContentfulPaint$3 extends Jw{static computeSimulatedMetric(e,t){const r=Jw.getMetricComputationInput(e);return Xw.request(r,t)}static async computeObservedMetric(e){const{processedNavigation:t}=e;return{timing:t.timings.firstContentfulPaint,timestamp:t.timestamps.firstContentfulPaint}}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const Qw=kc,eS=oi,tS=Zc,rS=Ib,aS=Yw,nS=Ki,iS=Yp,oS=Xp,sS=Dl,cS=Zw,lS={title:"Eliminate render-blocking resources",
description:"Resources are blocking the first paint of your page. Consider delivering critical JS/CSS inline and deferring all non-critical JS/styles. [Learn more](https://web.dev/render-blocking-resources/)."},uS=eS.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/render-blocking-resources.js",lS);function computeStackSpecificTiming(e,t,r){const a={...t};return r.some((e=>"amp"===e.id))&&e.type===tS.TYPES.NETWORK&&e.record.resourceType===nS.TYPES.Stylesheet&&t.endTime>2100&&(a.endTime=Math.max(t.startTime,2100),a.duration=a.endTime-a.startTime),a}class RenderBlockingResources extends Qw{static get meta(){return{id:"render-blocking-resources",title:uS(lS.title),supportedModes:["navigation"],scoreDisplayMode:Qw.SCORING_MODES.NUMERIC,description:uS(lS.description),requiredArtifacts:["URL","TagsBlockingFirstPaint","traces","devtoolsLogs","CSSUsage","GatherContext","Stacks"]}}static async computeResults(e,t){
const r=e.GatherContext,a=e.traces[Qw.DEFAULT_PASS],n=e.devtoolsLogs[Qw.DEFAULT_PASS],i={devtoolsLog:n,settings:t.settings},o=await iS.request(a,t),s=await oS.request(o,t),c=await sS.request(i,t),l=await RenderBlockingResources.computeWastedCSSBytes(e,t),u={trace:a,devtoolsLog:n,gatherContext:r,simulator:c,settings:{...t.settings,throttlingMethod:"simulate"}},d=await cS.request(u,t),m=s.timestamps.firstContentfulPaint/1e3,p=function getNodesAndTimingByUrl(e){const t={};return Array.from(e.keys()).forEach((r=>{if("network"!==r.type)return;const a=e.get(r);a&&(t[r.record.url]={node:r,nodeTiming:a})})),t}(d.optimisticEstimate.nodeTimings),h=[],f=new Set;for(const t of e.TagsBlockingFirstPaint){if(1e3*t.endTime>m)continue;if(!p[t.tag.url])continue;const{node:r,nodeTiming:a}=p[t.tag.url],n=computeStackSpecificTiming(r,a,e.Stacks);r.traverse((e=>f.add(e.id)));const i=Math.round(n.duration);i<50||h.push({url:t.tag.url,totalBytes:t.transferSize,wastedMs:i})}if(!h.length)return{results:h,
wastedMs:0};return{results:h,wastedMs:RenderBlockingResources.estimateSavingsWithGraphs(c,d.optimisticGraph,f,l,e.Stacks)}}static estimateSavingsWithGraphs(e,t,r,a,n){const{nodeTimings:i}=e.simulate(t),o=new Map(i);let s=0;const c=t.cloneWithRelationships((e=>{!function adjustNodeTimings(e,t,r){const a=e.get(t);if(!a)return;const n=computeStackSpecificTiming(t,a,r);a.duration-n.duration&&(t.traverse((t=>{e.delete(t)})),e.set(t,n))}(o,e,n);const t=r.has(e.id);if(e.type!==tS.TYPES.NETWORK)return!t;const i=e.record.resourceType===nS.TYPES.Stylesheet;if(t&&i){const t=a.get(e.record.url)||0;s+=(e.record.transferSize||0)-t}return!t}));if("network"!==c.type)throw new Error("minimalFCPGraph not a NetworkNode");const l=Math.max(...Array.from(Array.from(o).map((e=>e[1].endTime)))),u=c.record.transferSize,d=u||0;c.record.transferSize=d+s;const m=e.simulate(c).timeInMs;return c.record.transferSize=u,Math.round(Math.max(l-m,0))}static async computeWastedCSSBytes(e,t){const r=new Map;try{
const a=await aS.request({CSSUsage:e.CSSUsage,URL:e.URL,devtoolsLog:e.devtoolsLogs[Qw.DEFAULT_PASS]},t);for(const e of a)r.set(e.url,e.wastedBytes)}catch(e){}return r}static async audit(e,t){const{results:r,wastedMs:a}=await RenderBlockingResources.computeResults(e,t);let n;r.length>0&&(n=uS(eS.UIStrings.displayValueMsSavings,{wastedMs:a}));const i=[{key:"url",valueType:"url",label:uS(eS.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:uS(eS.UIStrings.columnTransferSize)},{key:"wastedMs",valueType:"timespanMs",label:uS(eS.UIStrings.columnWastedMs)}],o=Qw.makeOpportunityDetails(i,r,a);return{displayValue:n,score:rS.scoreForWastedMs(a),numericValue:a,numericUnit:"millisecond",details:o}}}zw.exports=RenderBlockingResources,zw.exports.UIStrings=lS;var dS={exports:{}};const mS=kc,pS=oi,hS=Ki,gS=Lo,fS={title:"Avoids enormous network payloads",failureTitle:"Avoid enormous network payloads",
description:"Large network payloads cost users real money and are highly correlated with long load times. [Learn more](https://web.dev/total-byte-weight/).",displayValue:"Total size was {totalBytes, number, bytes} KiB"},yS=pS.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/total-byte-weight.js",fS);dS.exports=class TotalByteWeight extends mS{static get meta(){return{id:"total-byte-weight",title:yS(fS.title),failureTitle:yS(fS.failureTitle),description:yS(fS.description),scoreDisplayMode:mS.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:2731008,median:4096e3}}static async audit(e,t){const r=e.devtoolsLogs[mS.DEFAULT_PASS],a=await gS.request(r,t);let n=0,i=[];a.forEach((e=>{if(hS.isNonNetworkRequest(e)||!e.transferSize)return;const t={url:e.url,totalBytes:e.transferSize};n+=t.totalBytes,i.push(t)})),i=i.sort(((e,t)=>t.totalBytes-e.totalBytes||e.url.localeCompare(t.url))).slice(0,10);const o=mS.computeLogNormalScore({
p10:t.options.p10,median:t.options.median},n),s=[{key:"url",itemType:"url",text:yS(pS.UIStrings.columnURL)},{key:"totalBytes",itemType:"bytes",text:yS(pS.UIStrings.columnTransferSize)}],c=mS.makeTableDetails(s,i);return{score:o,numericValue:n,numericUnit:"byte",displayValue:yS(fS.displayValue,{totalBytes:n}),details:c}}},dS.exports.UIStrings=fS;var vS={exports:{}};const bS=/(return|case|{|\(|\[|\.\.\.|;|,|<|>|<=|>=|==|!=|===|!==|\+|-|\*|%|\*\*|\+\+|--|<<|>>|>>>|&|\||\^|!|~|&&|\|\||\?|:|=|\+=|-=|\*=|%=|\*\*=|<<=|>>=|>>>=|&=|\|=|\^=|=>|\/|\/=|\})$/,wS=/( |\n|\t)+$/;function hasPunctuatorBefore(e,t){for(let r=t;r>0;r--){const t=Math.max(0,r-6),a=e.slice(t,r);if(!wS.test(a))return bS.test(a)}return!0}function computeTokenLength$2(e,t){let r=0,a=!1,n=!1,i=!1,o=!1,s=!1,c=!1,l=null;const u=[];for(let d=0;d<e.length;d++){const m=e.substr(d,2),p=m.charAt(0),h=" "===p||"\n"===p||"\t"===p,f="'"===p||'"'===p||"`"===p;a?"\n"===p&&(a=!1):n?(i&&r++,"*/"===m&&(i&&r++,n=!1,d++)):o?(r++,
"`"===l&&"${"===m?(u.push("templateBrace"),o=!1,r++,d++):"\\"===p?(r++,d++):p===l&&(o=!1)):s?(r++,"\\"===p?(r++,d++):"["===p?c=!0:"]"===p&&c?c=!1:"/"!==p||c||(s=!1)):"/*"===m?(n=!0,i="!"===e.charAt(d+2),i&&(r+=2),d++):"//"===m&&t.singlelineComments?(a=!0,n=!1,i=!1,d++):"/"===p&&t.regex&&hasPunctuatorBefore(e,d)?(s=!0,r++):"{"===p&&u.length?(u.push("normalBrace"),r++):"}"===p&&u.length?("templateBrace"===u[u.length-1]&&(o=!0,l="`"),u.pop(),r++):f?(o=!0,l=p,r++):h||r++}return n||o?e.length:r}var SS=function computeJSTokenLength(e){return computeTokenLength$2(e,{singlelineComments:!0,regex:!0})};const TS=Ib,ES=Yw,xS=oi,_S=function computeCSSTokenLength(e){return computeTokenLength$2(e,{singlelineComments:!1,regex:!1})},AS={title:"Minify CSS",description:"Minifying CSS files can reduce network payload sizes. [Learn more](https://web.dev/unminified-css/)."},RS=xS.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/unminified-css.js",AS);class UnminifiedCSS extends TS{
static get meta(){return{id:"unminified-css",title:RS(AS.title),description:RS(AS.description),scoreDisplayMode:TS.SCORING_MODES.NUMERIC,requiredArtifacts:["CSSUsage","devtoolsLogs","traces","URL","GatherContext"]}}static computeTokenLength(e){return _S(e)}static computeWaste(e,t,r){const a=e.content,n=UnminifiedCSS.computeTokenLength(a);let i=e.header.sourceURL;if(!i||i===r){i=ES.determineContentPreview(e.content)}const o=TS.estimateTransferSize(t,a.length,"Stylesheet"),s=1-n/a.length;return{url:i,totalBytes:o,wastedBytes:Math.round(o*s),wastedPercent:100*s}}static audit_(e,t){const r=e.URL.finalUrl,a=[];for(const n of e.CSSUsage.stylesheets){const e=t.find((e=>e.url===n.header.sourceURL));if(!n.content)continue;const i=UnminifiedCSS.computeWaste(n,e,r);i.wastedPercent<5||i.wastedBytes<2048||!Number.isFinite(i.wastedBytes)||a.push(i)}return{items:a,headings:[{key:"url",valueType:"url",label:RS(xS.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",
label:RS(xS.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:RS(xS.UIStrings.columnWastedBytes)}]}}}vS.exports=UnminifiedCSS,vS.exports.UIStrings=AS;var kS={exports:{}};const DS=Ib,CS=oi,IS=SS,{getRequestForScript:NS}=zb,LS={title:"Minify JavaScript",description:"Minifying JavaScript files can reduce payload sizes and script parse time. [Learn more](https://web.dev/unminified-javascript/)."},MS=CS.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/unminified-javascript.js",LS);class UnminifiedJavaScript extends DS{static get meta(){return{id:"unminified-javascript",title:MS(LS.title),description:MS(LS.description),scoreDisplayMode:DS.SCORING_MODES.NUMERIC,requiredArtifacts:["ScriptElements","devtoolsLogs","traces","GatherContext"]}}static computeWaste(e,t,r){const a=e.length,n=IS(e),i=DS.estimateTransferSize(r,a,"Script"),o=1-n/a;return{url:t,totalBytes:i,wastedBytes:Math.round(i*o),wastedPercent:100*o}}static audit_(e,t){const r=[],a=[]
;for(const n of e.ScriptElements){const{src:e,content:i}=n;if(!i)continue;const o=NS(t,n),s=e&&o?o.url:`inline: ${i.substr(0,40)}...`;try{const e=UnminifiedJavaScript.computeWaste(i,s,o);if(e.wastedPercent<10||e.wastedBytes<2048||!Number.isFinite(e.wastedBytes))continue;r.push(e)}catch(e){const t=o?o.url:"?";a.push(`Unable to process script ${t}: ${e.message}`)}}return{items:r,warnings:a,headings:[{key:"url",valueType:"url",label:MS(CS.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:MS(CS.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:MS(CS.UIStrings.columnWastedBytes)}]}}}kS.exports=UnminifiedJavaScript,kS.exports.UIStrings=LS;var PS={exports:{}};const OS=Ib,FS=Yw,US=oi,jS={title:"Reduce unused CSS",description:"Reduce unused rules from stylesheets and defer CSS not used for above-the-fold content to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-css-rules/)."
},BS=US.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/unused-css-rules.js",jS);PS.exports=class UnusedCSSRules extends OS{static get meta(){return{id:"unused-css-rules",title:BS(jS.title),description:BS(jS.description),scoreDisplayMode:OS.SCORING_MODES.NUMERIC,requiredArtifacts:["CSSUsage","URL","devtoolsLogs","traces","GatherContext"]}}static async audit_(e,t,r){return{items:(await FS.request({CSSUsage:e.CSSUsage,URL:e.URL,devtoolsLog:e.devtoolsLogs[OS.DEFAULT_PASS]},r)).filter((e=>e&&e.wastedBytes>10240)),headings:[{key:"url",valueType:"url",label:BS(US.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:BS(US.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:BS(US.UIStrings.columnWastedBytes)}]}}},PS.exports.UIStrings=jS;var $S={exports:{}};
/**
   * @license Copyright 2020 Google Inc. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   */const qS=Ao;class UnusedJavascriptSummary{static computeWaste(e){let t=0;for(const r of e.functions)t=Math.max(t,...r.ranges.map((e=>e.endOffset)));const r=new Uint8Array(t);for(const t of e.functions)for(const e of t.ranges)if(0===e.count)for(let t=e.startOffset;t<e.endOffset;t++)r[t]=1;let a=0;for(const e of r)a+=e;return{unusedByIndex:r,unusedLength:a,contentLength:t}}static createItem(e,t){const r=t.unused/t.content||0,a=Math.round(t.content*r);return{url:e,totalBytes:t.content,wastedBytes:a,wastedPercent:100*r}}static determineLengths(e){let t=0,r=0;for(const a of e)t+=a.unusedLength,r+=a.contentLength;return{content:r,unused:t}}static createSourceWastedBytes(e,t){if(!t.script.content)return;const r={},a=t.script.content.split("\n").map((e=>e.length));let n=0;const i=a.map((e=>{const t=n;return n+=e+1,t}));t.map.computeLastGeneratedColumns();for(const n of t.map.mappings()){let t=i[n.lineNumber];t+=n.columnNumber
;const o=void 0!==n.lastColumnNumber?n.lastColumnNumber-1:a[n.lineNumber];for(let a=n.columnNumber;a<=o;a++){if(e.every((e=>1===e.unusedByIndex[t]))){const e=n.sourceURL||"(unmapped)";r[e]=(r[e]||0)+1}t+=1}}const o=Object.entries(r).sort((([e,t],[r,a])=>a-t)),s={};for(const[e,t]of o)s[e]=t;return s}static async compute_(e){const{url:t,scriptCoverages:r,bundle:a}=e,n=r.map(UnusedJavascriptSummary.computeWaste),i=UnusedJavascriptSummary.determineLengths(n),o=UnusedJavascriptSummary.createItem(t,i);return a?{...o,sourcesWastedBytes:UnusedJavascriptSummary.createSourceWastedBytes(n,a)}:o}}var zS=qS(UnusedJavascriptSummary,["bundle","scriptCoverages","url"]);const VS=Ib,WS=zS,GS=jb,HS=oi,{getRequestForScript:YS}=zb,KS={title:"Reduce unused JavaScript",description:"Reduce unused JavaScript and defer loading scripts until they are required to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-javascript/)."
},JS=HS.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/unused-javascript.js",KS),XS=20480,ZS=512;function commonPrefix(e){if(!e.length)return"";const t=e.reduce(((e,t)=>e>t?e:t));let r=e.reduce(((e,t)=>e>t?t:e));for(;!t.startsWith(r);)r=r.slice(0,-1);return r}function trimCommonPrefix(e,t){return t&&e.startsWith(t)?"…"+e.slice(t.length):e}$S.exports=class UnusedJavaScript extends VS{static get meta(){return{id:"unused-javascript",title:JS(KS.title),description:JS(KS.description),scoreDisplayMode:VS.SCORING_MODES.NUMERIC,requiredArtifacts:["JsUsage","ScriptElements","SourceMaps","GatherContext","devtoolsLogs","traces"]}}static async audit_(e,t,r){const a=await GS.request(e,r),{unusedThreshold:n=XS,bundleSourceUnusedThreshold:i=ZS}=r.options||{},o=[];for(const[s,c]of Object.entries(e.JsUsage)){const e=YS(t,{src:s});if(!e)continue;const l=a.find((e=>e.script.src===s)),u=await WS.request({url:s,scriptCoverages:c,bundle:l},r)
;if(0===u.wastedBytes||0===u.totalBytes)continue;const d=VS.estimateTransferSize(e,u.totalBytes,"Script")/u.totalBytes,m={url:u.url,totalBytes:Math.round(d*u.totalBytes),wastedBytes:Math.round(d*u.wastedBytes),wastedPercent:u.wastedPercent};if(m.wastedBytes<=n)continue;if(o.push(m),!l||"errorMessage"in l.sizes)continue;const p=l.sizes;if(u.sourcesWastedBytes){const e=Object.entries(u.sourcesWastedBytes).sort(((e,t)=>t[1]-e[1])).slice(0,5).map((([e,t])=>{const r="(unmapped)"===e?p.unmappedBytes:p.files[e];return{source:e,unused:Math.round(t*d),total:Math.round(r*d)}})).filter((e=>e.unused>=i)),t=commonPrefix([...l.map.sourceInfos.keys()]);m.subItems={type:"subitems",items:e.map((({source:e,unused:r,total:a})=>({source:trimCommonPrefix(e,t),sourceBytes:a,sourceWastedBytes:r})))}}}return{items:o,headings:[{key:"url",valueType:"url",subItemsHeading:{key:"source",valueType:"code"},label:JS(HS.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",subItemsHeading:{key:"sourceBytes"},
label:JS(HS.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",subItemsHeading:{key:"sourceWastedBytes"},label:JS(HS.UIStrings.columnWastedBytes)}]}}},$S.exports.UIStrings=KS;var QS={exports:{}};const eT=function parseCacheControl(e){if("string"!=typeof e)return null;var t={},r=e.replace(/(?:^|(?:\s*\,\s*))([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)(?:\=(?:([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)|(?:\"((?:[^"\\]|\\.)*)\")))?/g,(function(e,r,a,n){var i=a||n;return t[r]=!i||i.toLowerCase(),""}));if(t["max-age"])try{var a=parseInt(t["max-age"],10);if(isNaN(a))return null;t["max-age"]=a}catch(r){}return r?null:t},tT=kc,rT=Ki,aT=ji,nT=xc.linearInterpolation,iT=oi,oT=Lo,sT={title:"Uses efficient cache policy on static assets",failureTitle:"Serve static assets with an efficient cache policy",description:"A long cache lifetime can speed up repeat visits to your page. [Learn more](https://web.dev/uses-long-cache-ttl/).",
displayValue:"{itemCount, plural,\n    =1 {1 resource found}\n    other {# resources found}\n    }"},cT=iT.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js",sT);class CacheHeaders$1 extends tT{static get meta(){return{id:"uses-long-cache-ttl",title:cT(sT.title),failureTitle:cT(sT.failureTitle),description:cT(sT.description),scoreDisplayMode:tT.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:28672,median:131072}}static getCacheHitProbability(e){const t=[0,.2,1,3,8,12,24,48,72,168,8760,1/0];if(12!==t.length)throw new Error("deciles 0-10 and 1 for overflow");const r=e/3600,a=t.findIndex((e=>e>=r));if(a===t.length-1)return 1;if(0===a)return 0;const n=t[a],i=t[a-1];return nT(i,(a-1)/10,n,a/10,r)}static computeCacheLifetimeInSeconds(e,t){if(t&&void 0!==t["max-age"])return t["max-age"];const r=e.get("expires");if(r){const e=new Date(r).getTime();return e?Math.ceil((e-Date.now())/1e3):0}return null}
static isCacheableAsset(e){const t=new Set([200,203,206]),r=new Set([rT.TYPES.Font,rT.TYPES.Image,rT.TYPES.Media,rT.TYPES.Script,rT.TYPES.Stylesheet]);return!rT.isNonNetworkRequest(e)&&(t.has(e.statusCode)&&r.has(e.resourceType||"Other"))}static shouldSkipRecord(e,t){return!(t||!(e.get("pragma")||"").includes("no-cache"))||!(!t||!(t["must-revalidate"]||t["no-cache"]||t["no-store"]||t["stale-while-revalidate"]||t.private))}static audit(e,t){const r=e.devtoolsLogs[tT.DEFAULT_PASS];return oT.request(r,t).then((e=>{const r=[];let a=0;for(const t of e){if(!CacheHeaders$1.isCacheableAsset(t))continue;const e=new Map;for(const r of t.responseHeaders||[])if(e.has(r.name.toLowerCase())){const t=e.get(r.name.toLowerCase());e.set(r.name.toLowerCase(),`${t}, ${r.value}`)}else e.set(r.name.toLowerCase(),r.value);const n=eT(e.get("cache-control"));if(this.shouldSkipRecord(e,n))continue;let i=CacheHeaders$1.computeCacheLifetimeInSeconds(e,n);if(null!==i&&(!Number.isFinite(i)||i<=0))continue;i=i||0
;const o=CacheHeaders$1.getCacheHitProbability(i);if(o>.925)continue;const s=aT.elideDataURI(t.url),c=t.transferSize||0,l=(1-o)*c;let u;a+=l,n&&(u={type:"debugdata",...n}),r.push({url:s,debugData:u,cacheLifetimeMs:1e3*i,cacheHitProbability:o,totalBytes:c,wastedBytes:l})}r.sort(((e,t)=>e.cacheLifetimeMs-t.cacheLifetimeMs||t.totalBytes-e.totalBytes||e.url.localeCompare(t.url)));const n=tT.computeLogNormalScore({p10:t.options.p10,median:t.options.median},a),i=[{key:"url",itemType:"url",text:cT(iT.UIStrings.columnURL)},{key:"cacheLifetimeMs",itemType:"ms",text:cT(iT.UIStrings.columnCacheTTL),displayUnit:"duration"},{key:"totalBytes",itemType:"bytes",text:cT(iT.UIStrings.columnTransferSize),displayUnit:"kb",granularity:1}],o={wastedBytes:a},s=tT.makeTableDetails(i,r,o);return{score:n,numericValue:a,numericUnit:"byte",displayValue:cT(sT.displayValue,{itemCount:r.length}),details:s}}))}}QS.exports=CacheHeaders$1,QS.exports.UIStrings=sT;var lT={exports:{}};const uT=Ib,dT=ji,mT=oi,pT={
title:"Efficiently encode images",description:"Optimized images load faster and consume less cellular data. [Learn more](https://web.dev/uses-optimized-images/)."},hT=mT.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/uses-optimized-images.js",pT);class UsesOptimizedImages extends uT{static get meta(){return{id:"uses-optimized-images",title:hT(pT.title),description:hT(pT.description),scoreDisplayMode:uT.SCORING_MODES.NUMERIC,requiredArtifacts:["OptimizedImages","ImageElements","GatherContext","devtoolsLogs","traces","URL"]}}static computeSavings(e){const t=e.originalSize-e.jpegSize;return{bytes:t,percent:100*t/e.originalSize}}static estimateJPEGSizeFromDimensions(e){const t=e.naturalWidth*e.naturalHeight;return Math.round(t*(2/8))}static audit_(e){const t=e.URL.finalUrl,r=e.OptimizedImages,a=e.ImageElements,n=new Map;a.forEach((e=>n.set(e.src,e)));const i=[],o=[];for(const e of r){const r=n.get(e.url);if(e.failed){
o.push(`Unable to decode ${dT.getURLDisplayName(e.url)}`);continue}if(!1===/(jpeg|bmp)/.test(e.mimeType))continue;let a=e.jpegSize,s=!0;if(void 0===a){if(!r){o.push(`Unable to locate resource ${dT.getURLDisplayName(e.url)}`);continue}if(!r.naturalDimensions)continue;const t=r.naturalDimensions.height,n=r.naturalDimensions.width;if(!t||!n)continue;a=UsesOptimizedImages.estimateJPEGSizeFromDimensions({naturalHeight:t,naturalWidth:n}),s=!1}if(e.originalSize<a+4096)continue;const c=dT.elideDataURI(e.url),l=!dT.originsMatch(t,e.url),u=UsesOptimizedImages.computeSavings({...e,jpegSize:a});i.push({node:r?uT.makeNodeItem(r.node):void 0,url:c,fromProtocol:s,isCrossOrigin:l,totalBytes:e.originalSize,wastedBytes:u.bytes})}return{warnings:o,items:i,headings:[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:hT(mT.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:hT(mT.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",
label:hT(mT.UIStrings.columnWastedBytes)}]}}}lT.exports=UsesOptimizedImages,lT.exports.UIStrings=pT;var gT={exports:{}},fT={exports:{}};const yT=ji,vT=Ao;class ImageRecords$1{static indexNetworkRecords(e){return e.reduce(((e,t)=>((/^image/.test(t.mimeType)||/\.(avif|webp)$/i.test(t.url))&&t.finished&&200===t.statusCode&&(e[t.url]=t),e)),{})}static async compute_(e){const t=ImageRecords$1.indexNetworkRecords(e.networkRecords),r=[];for(const a of e.ImageElements){const e=t[a.src]?.mimeType;r.push({...a,mimeType:e||yT.guessMimeType(a.src)})}return r.sort(((e,r)=>{const a=t[e.src]||{};return(t[r.src]||{}).resourceSize-a.resourceSize})),r}}var bT=vT(ImageRecords$1,["ImageElements","networkRecords"]);const wT=Ib,ST=Ki,TT=bT,ET=ji,xT=oi,_T={title:"Properly size images",description:"Serve images that are appropriately-sized to save cellular data and improve load time. [Learn more](https://web.dev/uses-responsive-images/)."
},AT=xT.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/uses-responsive-images.js",_T);class UsesResponsiveImages$1 extends wT{static get meta(){return{id:"uses-responsive-images",title:AT(_T.title),description:AT(_T.description),scoreDisplayMode:wT.SCORING_MODES.NUMERIC,requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces"]}}static getDisplayedDimensions(e,t){if(e.displayedWidth&&e.displayedHeight)return{width:e.displayedWidth*t.devicePixelRatio,height:e.displayedHeight*t.devicePixelRatio};const r=t.innerWidth,a=2*t.innerHeight,n=e.naturalWidth/e.naturalHeight;let i=r,o=a;return n>r/a?o=r/n:i=a*n,{width:i*t.devicePixelRatio,height:o*t.devicePixelRatio}}static computeWaste(e,t,r){const a=r.find((t=>t.url===e.src));if(!a)return null;const n=this.getDisplayedDimensions(e,t),i=n.width*n.height,o=ET.elideDataURI(e.src),s=1-i/(e.naturalWidth*e.naturalHeight),c=ST.getResourceSizeOnNetwork(a),l=Math.round(c*s);return{
node:wT.makeNodeItem(e.node),url:o,totalBytes:c,wastedBytes:l,wastedPercent:100*s}}static async audit_(e,t,r){const a=await TT.request({ImageElements:e.ImageElements,networkRecords:t},r),n=e.ViewportDimensions,i=new Map;for(const e of a){if("image/svg+xml"===e.mimeType||e.isCss)continue;if(!e.naturalDimensions)continue;const r=e.naturalDimensions.height,a=e.naturalDimensions.width;if(!a||!r)continue;const o=UsesResponsiveImages$1.computeWaste({...e,naturalHeight:r,naturalWidth:a},n,t);if(!o)continue;const s=i.get(o.url);(!s||s.wastedBytes>o.wastedBytes)&&i.set(o.url,o)}return{items:Array.from(i.values()).filter((e=>e.wastedBytes>4096)),headings:[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:AT(xT.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:AT(xT.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:AT(xT.UIStrings.columnWastedBytes)}]}}}fT.exports=UsesResponsiveImages$1,fT.exports.UIStrings=_T,fT.exports.str_=AT
;const RT=kc,kT=fT.exports,DT=ji,CT=oi,IT={title:"Images were appropriate for their displayed size",failureTitle:"Images were larger than their displayed size",columnDisplayedDimensions:"Displayed dimensions",columnActualDimensions:"Actual dimensions"},NT=CT.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/uses-responsive-images-snapshot.js",IT);gT.exports=class UsesResponsiveImagesSnapshot extends RT{static get meta(){return{id:"uses-responsive-images-snapshot",title:NT(IT.title),failureTitle:NT(IT.failureTitle),description:kT.str_(kT.UIStrings.description),supportedModes:["snapshot"],requiredArtifacts:["ImageElements","ViewportDimensions"]}}static async audit(e){let t=1;const r=[];for(const a of e.ImageElements){if(!a.naturalDimensions)continue;const n=a.naturalDimensions,i=kT.getDisplayedDimensions({...a,naturalWidth:n.width,naturalHeight:n.height},e.ViewportDimensions),o=n.width*n.height,s=i.width*i.height;o<=s||(o-s>1365&&(t=0),r.push({
node:RT.makeNodeItem(a.node),url:DT.elideDataURI(a.src),displayedDimensions:`${i.width}x${i.height}`,actualDimensions:`${n.width}x${n.height}`}))}const a=[{key:"node",itemType:"node",text:""},{key:"url",itemType:"url",text:NT(CT.UIStrings.columnURL)},{key:"displayedDimensions",itemType:"text",text:NT(IT.columnDisplayedDimensions)},{key:"actualDimensions",itemType:"text",text:NT(IT.columnActualDimensions)}];return{score:t,details:RT.makeTableDetails(a,r)}}},gT.exports.UIStrings=IT;var LT={exports:{}};const MT=Ib,PT=ji,OT=oi,FT={title:"Enable text compression",description:"Text-based resources should be served with compression (gzip, deflate or brotli) to minimize total network bytes. [Learn more](https://web.dev/uses-text-compression/)."},UT=OT.createMessageInstanceIdFn("lighthouse-core/audits/byte-efficiency/uses-text-compression.js",FT);LT.exports=class ResponsesAreCompressed extends MT{static get meta(){return{id:"uses-text-compression",title:UT(FT.title),
description:UT(FT.description),scoreDisplayMode:MT.SCORING_MODES.NUMERIC,requiredArtifacts:["ResponseCompression","GatherContext","devtoolsLogs","traces"]}}static audit_(e){const t=e.ResponseCompression,r=[];t.forEach((e=>{if(!e.gzipSize||e.gzipSize<0)return;const t=e.resourceSize,a=e.gzipSize,n=t-a;if(1-a/t<.1||n<1400||e.transferSize<a)return;const i=PT.elideDataURI(e.url);r.find((t=>t.url===i&&t.totalBytes===e.resourceSize))||r.push({url:i,totalBytes:t,wastedBytes:n})}));const a=[{key:"url",valueType:"url",label:UT(OT.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:UT(OT.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:UT(OT.UIStrings.columnWastedBytes)}];return{items:r,headings:a}}},LT.exports.UIStrings=FT;var jT={exports:{}};const BT=kc,$T={title:"Content is sized correctly for the viewport",failureTitle:"Content is not sized correctly for the viewport",
description:"If the width of your app's content doesn't match the width of the viewport, your app might not be optimized for mobile screens. [Learn more](https://web.dev/content-width/).",explanation:"The viewport size of {innerWidth}px does not match the window size of {outerWidth}px."},qT=oi.createMessageInstanceIdFn("lighthouse-core/audits/content-width.js",$T);jT.exports=class ContentWidth extends BT{static get meta(){return{id:"content-width",title:qT($T.title),failureTitle:qT($T.failureTitle),description:qT($T.description),requiredArtifacts:["ViewportDimensions"]}}static audit(e,t){const r=e.ViewportDimensions.innerWidth===e.ViewportDimensions.outerWidth;if("desktop"===t.settings.formFactor)return{score:1,notApplicable:!0};let a;return r||(a=qT($T.explanation,{innerWidth:e.ViewportDimensions.innerWidth,outerWidth:e.ViewportDimensions.outerWidth})),{score:Number(r),explanation:a}}},jT.exports.UIStrings=$T;var zT={exports:{}};const VT=Ao,WT=Fo,GT=Lo;var HT=VT(class MainResource$g{
static async compute_(e,t){const r=e.URL.finalUrl,a=await GT.request(e.devtoolsLog,t),n=WT.findMainDocument(a,r);if(!n)throw new Error("Unable to identify the main resource");return n}},["URL","devtoolsLog"]);const YT=Ao,KT=Ki,JT=HT,XT=eb;class CriticalRequestChains$2{static isCritical(e,t){if(!t)throw new Error("mainResource not provided");if(e.requestId===t.requestId)return!0;if(e.isLinkPreload)return!1;for(;e.redirectDestination;)e=e.redirectDestination;const r=e.resourceType===KT.TYPES.Document&&e.frameId!==t.frameId;return!([KT.TYPES.Image,KT.TYPES.XHR,KT.TYPES.Fetch,KT.TYPES.EventSource].includes(e.resourceType||"Other")||r||e.mimeType&&e.mimeType.startsWith("image/"))&&(!!e.initiatorRequest&&["VeryHigh","High","Medium"].includes(e.priority))}static extractChainsFromGraph(e,t){const r={};const a=new Set;return t.traverse(((t,n)=>{if(a.add(t),"network"!==t.type)return;if(!CriticalRequestChains$2.isCritical(t.record,e))return
;const i=n.filter((e=>"network"===e.type)).reverse().map((e=>e.record));i.some((t=>!CriticalRequestChains$2.isCritical(t,e)))||function addChain(e){let t=r;for(const r of e)t[r.requestId]||(t[r.requestId]={request:r,children:{}}),t=t[r.requestId].children}(i)}),(function getNextNodes(e){return e.getDependents().filter((e=>e.getDependencies().every((e=>a.has(e)))))})),r}static async compute_(e,t){const r=await JT.request({URL:e.URL,devtoolsLog:e.devtoolsLog},t),a=await XT.request({trace:e.trace,devtoolsLog:e.devtoolsLog},t);return CriticalRequestChains$2.extractChainsFromGraph(r,a)}}var ZT=YT(CriticalRequestChains$2,["URL","devtoolsLog","trace"]);const QT=kc,eE=ZT,tE={title:"Avoid chaining critical requests",
description:"The Critical Request Chains below show you what resources are loaded with a high priority. Consider reducing the length of chains, reducing the download size of resources, or deferring the download of unnecessary resources to improve page load. [Learn more](https://web.dev/critical-request-chains/).",displayValue:"{itemCount, plural,\n    =1 {1 chain found}\n    other {# chains found}\n    }"},rE=oi.createMessageInstanceIdFn("lighthouse-core/audits/critical-request-chains.js",tE);class CriticalRequestChains$1 extends QT{static get meta(){return{id:"critical-request-chains",title:rE(tE.title),description:rE(tE.description),scoreDisplayMode:QT.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL"]}}static _traverse(e,t){!function walk(e,r,a,n=0){const i=Object.keys(e);0!==i.length&&i.forEach((i=>{const o=e[i];a||(a=o.request.startTime),t({depth:r,id:i,node:o,chainDuration:1e3*(o.request.endTime-a),
chainTransferSize:n+o.request.transferSize}),o.children&&walk(o.children,r+1,a)}),"")}(e,0)}static _getLongestChain(e){const t={duration:0,length:0,transferSize:0};return CriticalRequestChains$1._traverse(e,(e=>{const r=e.chainDuration;r>t.duration&&(t.duration=r,t.transferSize=e.chainTransferSize,t.length=e.depth)})),t.length++,t}static flattenRequests(e){const t={},r=new Map;return CriticalRequestChains$1._traverse(e,(function flatten(e){const a=e.node.request,n={url:a.url,startTime:a.startTime,endTime:a.endTime,responseReceivedTime:a.responseReceivedTime,transferSize:a.transferSize};let i=r.get(e.id);if(i?i.request=n:(i={request:n},t[e.id]=i),e.node.children)for(const t of Object.keys(e.node.children)){const e={request:{}};r.set(t,e),i.children||(i.children={}),i.children[t]=e}r.set(e.id,i)})),t}static audit(e,t){const r=e.traces[QT.DEFAULT_PASS],a=e.devtoolsLogs[QT.DEFAULT_PASS],n=e.URL;return eE.request({devtoolsLog:a,trace:r,URL:n},t).then((e=>{let t=0
;const r=CriticalRequestChains$1.flattenRequests(e),a=Object.keys(r)[0],n=a&&r[a].children;n&&Object.keys(n).length>0&&function walk(e,r){Object.keys(e).forEach((r=>{const a=e[r];a.children?walk(a.children):t++}),"")}(n);const i=CriticalRequestChains$1._getLongestChain(r);return{score:Number(0===t),notApplicable:0===t,displayValue:t?rE(tE.displayValue,{itemCount:t}):"",details:{type:"criticalrequestchain",chains:r,longestChain:i}}}))}}zT.exports=CriticalRequestChains$1,zT.exports.UIStrings=tE;var aE={exports:{}},nE={},iE={},oE={},sE={};!function(e){Object.defineProperty(e,"__esModule",{value:!0}),e.Type=e.Severity=e.Finding=void 0;class Finding{constructor(e,t,r,a,n){this.type=e,this.description=t,this.severity=r,this.directive=a,this.value=n}static getHighestSeverity(e){if(0===e.length)return t.NONE;return e.map((e=>e.severity)).reduce(((e,t)=>e<t?e:t),t.NONE)}equals(e){
return e instanceof Finding&&(e.type===this.type&&e.description===this.description&&e.severity===this.severity&&e.directive===this.directive&&e.value===this.value)}}var t;e.Finding=Finding,function(e){e[e.HIGH=10]="HIGH",e[e.SYNTAX=20]="SYNTAX",e[e.MEDIUM=30]="MEDIUM",e[e.HIGH_MAYBE=40]="HIGH_MAYBE",e[e.STRICT_CSP=45]="STRICT_CSP",e[e.MEDIUM_MAYBE=50]="MEDIUM_MAYBE",e[e.INFO=60]="INFO",e[e.NONE=100]="NONE"}(t=e.Severity||(e.Severity={})),function(e){e[e.MISSING_SEMICOLON=100]="MISSING_SEMICOLON",e[e.UNKNOWN_DIRECTIVE=101]="UNKNOWN_DIRECTIVE",e[e.INVALID_KEYWORD=102]="INVALID_KEYWORD",e[e.NONCE_CHARSET=106]="NONCE_CHARSET",e[e.MISSING_DIRECTIVES=300]="MISSING_DIRECTIVES",e[e.SCRIPT_UNSAFE_INLINE=301]="SCRIPT_UNSAFE_INLINE",e[e.SCRIPT_UNSAFE_EVAL=302]="SCRIPT_UNSAFE_EVAL",e[e.PLAIN_URL_SCHEMES=303]="PLAIN_URL_SCHEMES",e[e.PLAIN_WILDCARD=304]="PLAIN_WILDCARD",e[e.SCRIPT_ALLOWLIST_BYPASS=305]="SCRIPT_ALLOWLIST_BYPASS",e[e.OBJECT_ALLOWLIST_BYPASS=306]="OBJECT_ALLOWLIST_BYPASS",
e[e.NONCE_LENGTH=307]="NONCE_LENGTH",e[e.IP_SOURCE=308]="IP_SOURCE",e[e.DEPRECATED_DIRECTIVE=309]="DEPRECATED_DIRECTIVE",e[e.SRC_HTTP=310]="SRC_HTTP",e[e.STRICT_DYNAMIC=400]="STRICT_DYNAMIC",e[e.STRICT_DYNAMIC_NOT_STANDALONE=401]="STRICT_DYNAMIC_NOT_STANDALONE",e[e.NONCE_HASH=402]="NONCE_HASH",e[e.UNSAFE_INLINE_FALLBACK=403]="UNSAFE_INLINE_FALLBACK",e[e.ALLOWLIST_FALLBACK=404]="ALLOWLIST_FALLBACK",e[e.IGNORED=405]="IGNORED",e[e.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS=500]="REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS",e[e.REPORTING_DESTINATION_MISSING=600]="REPORTING_DESTINATION_MISSING",e[e.REPORT_TO_ONLY=601]="REPORT_TO_ONLY"}(e.Type||(e.Type={}))}(sE),function(e){Object.defineProperty(e,"__esModule",{value:!0}),e.CspError=e.isHash=e.HASH_PATTERN=e.STRICT_HASH_PATTERN=e.isNonce=e.NONCE_PATTERN=e.STRICT_NONCE_PATTERN=e.isUrlScheme=e.isKeyword=e.isDirective=e.Version=e.FETCH_DIRECTIVES=e.Directive=e.TrustedTypesSink=e.Keyword=e.Csp=void 0;const t=sE;class Csp{constructor(){this.directives={}}clone(){
const e=new Csp;for(const[t,r]of Object.entries(this.directives))r&&(e.directives[t]=[...r]);return e}convertToString(){let e="";for(const[t,r]of Object.entries(this.directives)){if(e+=t,void 0!==r)for(let t,a=0;t=r[a];a++)e+=" ",e+=t;e+="; "}return e}getEffectiveCsp(e,i){const o=i||[],s=this.clone(),c=s.getEffectiveDirective(a.SCRIPT_SRC),l=this.directives[c]||[],u=s.directives[c];if(u&&(s.policyHasScriptNonces()||s.policyHasScriptHashes()))if(e>=n.CSP2)l.includes(r.UNSAFE_INLINE)&&(arrayRemove(u,r.UNSAFE_INLINE),o.push(new t.Finding(t.Type.IGNORED,"unsafe-inline is ignored if a nonce or a hash is present. (CSP2 and above)",t.Severity.NONE,c,r.UNSAFE_INLINE)));else for(const e of l)(e.startsWith("'nonce-")||e.startsWith("'sha"))&&arrayRemove(u,e);if(u&&this.policyHasStrictDynamic())if(e>=n.CSP3)for(const e of l)e.startsWith("'")&&e!==r.SELF&&e!==r.UNSAFE_INLINE||(arrayRemove(u,e),
o.push(new t.Finding(t.Type.IGNORED,"Because of strict-dynamic this entry is ignored in CSP3 and above",t.Severity.NONE,c,e)));else arrayRemove(u,r.STRICT_DYNAMIC);return e<n.CSP3&&(delete s.directives[a.REPORT_TO],delete s.directives[a.WORKER_SRC],delete s.directives[a.MANIFEST_SRC],delete s.directives[a.TRUSTED_TYPES],delete s.directives[a.REQUIRE_TRUSTED_TYPES_FOR]),s}getEffectiveDirective(t){return!(t in this.directives)&&e.FETCH_DIRECTIVES.includes(t)?a.DEFAULT_SRC:t}getEffectiveDirectives(e){return[...new Set(e.map((e=>this.getEffectiveDirective(e))))]}policyHasScriptNonces(){const e=this.getEffectiveDirective(a.SCRIPT_SRC);return(this.directives[e]||[]).some((e=>isNonce(e)))}policyHasScriptHashes(){const e=this.getEffectiveDirective(a.SCRIPT_SRC);return(this.directives[e]||[]).some((e=>isHash(e)))}policyHasStrictDynamic(){const e=this.getEffectiveDirective(a.SCRIPT_SRC);return(this.directives[e]||[]).includes(r.STRICT_DYNAMIC)}}var r,a,n;function isNonce(t,r){
return(r?e.STRICT_NONCE_PATTERN:e.NONCE_PATTERN).test(t)}function isHash(t,r){return(r?e.STRICT_HASH_PATTERN:e.HASH_PATTERN).test(t)}e.Csp=Csp,function(e){e.SELF="'self'",e.NONE="'none'",e.UNSAFE_INLINE="'unsafe-inline'",e.UNSAFE_EVAL="'unsafe-eval'",e.WASM_EVAL="'wasm-eval'",e.WASM_UNSAFE_EVAL="'wasm-unsafe-eval'",e.STRICT_DYNAMIC="'strict-dynamic'",e.UNSAFE_HASHED_ATTRIBUTES="'unsafe-hashed-attributes'",e.UNSAFE_HASHES="'unsafe-hashes'",e.REPORT_SAMPLE="'report-sample'"}(r=e.Keyword||(e.Keyword={})),(e.TrustedTypesSink||(e.TrustedTypesSink={})).SCRIPT="'script'",function(e){e.CHILD_SRC="child-src",e.CONNECT_SRC="connect-src",e.DEFAULT_SRC="default-src",e.FONT_SRC="font-src",e.FRAME_SRC="frame-src",e.IMG_SRC="img-src",e.MEDIA_SRC="media-src",e.OBJECT_SRC="object-src",e.SCRIPT_SRC="script-src",e.SCRIPT_SRC_ATTR="script-src-attr",e.SCRIPT_SRC_ELEM="script-src-elem",e.STYLE_SRC="style-src",e.STYLE_SRC_ATTR="style-src-attr",e.STYLE_SRC_ELEM="style-src-elem",e.PREFETCH_SRC="prefetch-src",
e.MANIFEST_SRC="manifest-src",e.WORKER_SRC="worker-src",e.BASE_URI="base-uri",e.PLUGIN_TYPES="plugin-types",e.SANDBOX="sandbox",e.DISOWN_OPENER="disown-opener",e.FORM_ACTION="form-action",e.FRAME_ANCESTORS="frame-ancestors",e.REPORT_TO="report-to",e.REPORT_URI="report-uri",e.BLOCK_ALL_MIXED_CONTENT="block-all-mixed-content",e.UPGRADE_INSECURE_REQUESTS="upgrade-insecure-requests",e.REFLECTED_XSS="reflected-xss",e.REFERRER="referrer",e.REQUIRE_SRI_FOR="require-sri-for",e.TRUSTED_TYPES="trusted-types",e.REQUIRE_TRUSTED_TYPES_FOR="require-trusted-types-for"}(a=e.Directive||(e.Directive={})),e.FETCH_DIRECTIVES=[a.CHILD_SRC,a.CONNECT_SRC,a.DEFAULT_SRC,a.FONT_SRC,a.FRAME_SRC,a.IMG_SRC,a.MANIFEST_SRC,a.MEDIA_SRC,a.OBJECT_SRC,a.SCRIPT_SRC,a.SCRIPT_SRC_ATTR,a.SCRIPT_SRC_ELEM,a.STYLE_SRC,a.STYLE_SRC_ATTR,a.STYLE_SRC_ELEM,a.WORKER_SRC],function(e){e[e.CSP1=1]="CSP1",e[e.CSP2=2]="CSP2",e[e.CSP3=3]="CSP3"}(n=e.Version||(e.Version={})),e.isDirective=function isDirective(e){
return Object.values(a).includes(e)},e.isKeyword=function isKeyword(e){return Object.values(r).includes(e)},e.isUrlScheme=function isUrlScheme(e){return new RegExp("^[a-zA-Z][+a-zA-Z0-9.-]*:$").test(e)},e.STRICT_NONCE_PATTERN=new RegExp("^'nonce-[a-zA-Z0-9+/_-]+[=]{0,2}'$"),e.NONCE_PATTERN=new RegExp("^'nonce-(.+)'$"),e.isNonce=isNonce,e.STRICT_HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-[a-zA-Z0-9+/]+[=]{0,2}'$"),e.HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-(.+)'$"),e.isHash=isHash;class CspError extends Error{constructor(e){super(e)}}function arrayRemove(e,t){if(e.includes(t)){const r=e.findIndex((e=>t===e));e.splice(r,1)}}e.CspError=CspError}(oE);var cE=globalThis&&globalThis.__createBinding||(Object.create?function(e,t,r,a){void 0===a&&(a=r),Object.defineProperty(e,a,{enumerable:!0,get:function(){return t[r]}})}:function(e,t,r,a){void 0===a&&(a=r),e[a]=t[r]}),lE=globalThis&&globalThis.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{
enumerable:!0,value:t})}:function(e,t){e.default=t}),uE=globalThis&&globalThis.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var r in e)"default"!==r&&Object.prototype.hasOwnProperty.call(e,r)&&cE(t,e,r);return lE(t,e),t};Object.defineProperty(iE,"__esModule",{value:!0}),iE.checkInvalidKeyword=iE.checkMissingSemicolon=iE.checkUnknownDirective=void 0;const dE=uE(oE),mE=oE,pE=sE;iE.checkUnknownDirective=function checkUnknownDirective(e){const t=[];for(const r of Object.keys(e.directives))dE.isDirective(r)||(r.endsWith(":")?t.push(new pE.Finding(pE.Type.UNKNOWN_DIRECTIVE,"CSP directives don't end with a colon.",pE.Severity.SYNTAX,r)):t.push(new pE.Finding(pE.Type.UNKNOWN_DIRECTIVE,'Directive "'+r+'" is not a known CSP directive.',pE.Severity.SYNTAX,r)));return t},iE.checkMissingSemicolon=function checkMissingSemicolon(e){const t=[]
;for(const[r,a]of Object.entries(e.directives))if(void 0!==a)for(const e of a)dE.isDirective(e)&&t.push(new pE.Finding(pE.Type.MISSING_SEMICOLON,'Did you forget the semicolon? "'+e+'" seems to be a directive, not a value.',pE.Severity.SYNTAX,r,e));return t},iE.checkInvalidKeyword=function checkInvalidKeyword(e){const t=[],r=Object.values(mE.Keyword).map((e=>e.replace(/'/g,"")));for(const[a,n]of Object.entries(e.directives))if(void 0!==n)for(const e of n)if(r.some((t=>t===e))||e.startsWith("nonce-")||e.match(/^(sha256|sha384|sha512)-/))t.push(new pE.Finding(pE.Type.INVALID_KEYWORD,'Did you forget to surround "'+e+'" with single-ticks?',pE.Severity.SYNTAX,a,e));else if(e.startsWith("'")){if(a===dE.Directive.REQUIRE_TRUSTED_TYPES_FOR){if(e===dE.TrustedTypesSink.SCRIPT)continue}else if(a===dE.Directive.TRUSTED_TYPES){if("'allow-duplicates'"===e||"'none'"===e)continue}else if(dE.isKeyword(e)||dE.isHash(e)||dE.isNonce(e))continue
;t.push(new pE.Finding(pE.Type.INVALID_KEYWORD,e+" seems to be an invalid CSP keyword.",pE.Severity.SYNTAX,a,e))}return t};var hE={},gE={};Object.defineProperty(gE,"__esModule",{value:!0}),gE.URLS=void 0,
gE.URLS=["//gstatic.com/fsn/angular_js-bundle1.js","//www.gstatic.com/fsn/angular_js-bundle1.js","//www.googleadservices.com/pageadimg/imgad","//yandex.st/angularjs/1.2.16/angular-cookies.min.js","//yastatic.net/angularjs/1.2.23/angular.min.js","//yuedust.yuedu.126.net/js/components/angular/angular.js","//art.jobs.netease.com/script/angular.js","//csu-c45.kxcdn.com/angular/angular.js","//elysiumwebsite.s3.amazonaws.com/uploads/blog-media/rockstar/angular.min.js","//inno.blob.core.windows.net/new/libs/AngularJS/1.2.1/angular.min.js","//gift-talk.kakao.com/public/javascripts/angular.min.js","//ajax.googleapis.com/ajax/libs/angularjs/1.2.0rc1/angular-route.min.js","//master-sumok.ru/vendors/angular/angular-cookies.js","//ayicommon-a.akamaihd.net/static/vendor/angular-1.4.2.min.js","//pangxiehaitao.com/framework/angular-1.3.9/angular-animate.min.js","//cdnjs.cloudflare.com/ajax/libs/angular.js/1.2.16/angular.min.js","//96fe3ee995e96e922b6b-d10c35bd0a0de2c718b252bc575fdb73.ssl.cf1.rackcdn.com/angular.js","//oss.maxcdn.com/angularjs/1.2.20/angular.min.js","//reports.zemanta.com/smedia/common/angularjs/1.2.11/angular.js","//cdn.shopify.com/s/files/1/0225/6463/t/1/assets/angular-animate.min.js","//parademanagement.com.s3-website-ap-southeast-1.amazonaws.com/js/angular.min.js","//cdn.jsdelivr.net/angularjs/1.1.2/angular.min.js","//eb2883ede55c53e09fd5-9c145fb03d93709ea57875d307e2d82e.ssl.cf3.rackcdn.com/components/angular-resource.min.js","//andors-trail.googlecode.com/git/AndorsTrailEdit/lib/angular.min.js","//cdn.walkme.com/General/EnvironmentTests/angular/angular.min.js","//laundrymail.com/angular/angular.js","//s3-eu-west-1.amazonaws.com/staticancpa/js/angular-cookies.min.js","//collade.demo.stswp.com/js/vendor/angular.min.js","//mrfishie.github.io/sailor/bower_components/angular/angular.min.js","//askgithub.com/static/js/angular.min.js","//services.amazon.com/solution-providers/assets/vendor/angular-cookies.min.js","//raw.githubusercontent.com/angular/code.angularjs.org/master/1.0.7/angular-resource.js","//prb-resume.appspot.com/bower_components/angular-animate/angular-animate.js","//dl.dropboxusercontent.com/u/30877786/angular.min.js","//static.tumblr.com/x5qdx0r/nPOnngtff/angular-resource.min_1_.js","//storage.googleapis.com/assets-prod.urbansitter.net/us-sym/assets/vendor/angular-sanitize/angular-sanitize.min.js","//twitter.github.io/labella.js/bower_components/angular/angular.min.js","//cdn2-casinoroom.global.ssl.fastly.net/js/lib/angular-animate.min.js","//www.adobe.com/devnet-apps/flashshowcase/lib/angular/angular.1.1.5.min.js","//eternal-sunset.herokuapp.com/bower_components/angular/angular.js","//cdn.bootcss.com/angular.js/1.2.0/angular.min.js"]
;var fE={};Object.defineProperty(fE,"__esModule",{value:!0}),fE.URLS=void 0,fE.URLS=["//vk.com/swf/video.swf","//ajax.googleapis.com/ajax/libs/yui/2.8.0r4/build/charts/assets/charts.swf"];var yE={};Object.defineProperty(yE,"__esModule",{value:!0}),yE.URLS=yE.NEEDS_EVAL=void 0,yE.NEEDS_EVAL=["googletagmanager.com","www.googletagmanager.com","www.googleadservices.com","google-analytics.com","ssl.google-analytics.com","www.google-analytics.com"],
yE.URLS=["//bebezoo.1688.com/fragment/index.htm","//www.google-analytics.com/gtm/js","//googleads.g.doubleclick.net/pagead/conversion/1036918760/wcm","//www.googleadservices.com/pagead/conversion/1070110417/wcm","//www.google.com/tools/feedback/escalation-options","//pin.aliyun.com/check_audio","//offer.alibaba.com/market/CID100002954/5/fetchKeyword.do","//ccrprod.alipay.com/ccr/arriveTime.json","//group.aliexpress.com/ajaxAcquireGroupbuyProduct.do","//detector.alicdn.com/2.7.3/index.php","//suggest.taobao.com/sug","//translate.google.com/translate_a/l","//count.tbcdn.cn//counter3","//wb.amap.com/channel.php","//translate.googleapis.com/translate_a/l","//afpeng.alimama.com/ex","//accounts.google.com/o/oauth2/revoke","//pagead2.googlesyndication.com/relatedsearch","//yandex.ru/soft/browsers/check","//api.facebook.com/restserver.php","//mts0.googleapis.com/maps/vt","//syndication.twitter.com/widgets/timelines/765840589183213568","//www.youtube.com/profile_style","//googletagmanager.com/gtm/js","//mc.yandex.ru/watch/24306916/1","//share.yandex.net/counter/gpp/","//ok.go.mail.ru/lady_on_lady_recipes_r.json","//d1f69o4buvlrj5.cloudfront.net/__efa_15_1_ornpba.xekq.arg/optout_check","//www.googletagmanager.com/gtm/js","//api.vk.com/method/wall.get","//www.sharethis.com/get-publisher-info.php","//google.ru/maps/vt","//pro.netrox.sc/oapi/h_checksite.ashx","//vimeo.com/api/oembed.json/","//de.blog.newrelic.com/wp-admin/admin-ajax.php","//ajax.googleapis.com/ajax/services/search/news","//ssl.google-analytics.com/gtm/js","//pubsub.pubnub.com/subscribe/demo/hello_world/","//pass.yandex.ua/services","//id.rambler.ru/script/topline_info.js","//m.addthis.com/live/red_lojson/100eng.json","//passport.ngs.ru/ajax/check","//catalog.api.2gis.ru/ads/search","//gum.criteo.com/sync","//maps.google.com/maps/vt","//ynuf.alipay.com/service/um.json","//securepubads.g.doubleclick.net/gampad/ads","//c.tiles.mapbox.com/v3/texastribune.tx-congress-cvap/6/15/26.grid.json","//rexchange.begun.ru/banners","//an.yandex.ru/page/147484","//links.services.disqus.com/api/ping","//api.map.baidu.com/","//tj.gongchang.com/api/keywordrecomm/","//data.gongchang.com/livegrail/","//ulogin.ru/token.php","//beta.gismeteo.ru/api/informer/layout.js/120x240-3/ru/","//maps.googleapis.com/maps/api/js/GeoPhotoService.GetMetadata","//a.config.skype.com/config/v1/Skype/908_1.33.0.111/SkypePersonalization","//maps.beeline.ru/w","//target.ukr.net/","//www.meteoprog.ua/data/weather/informer/Poltava.js","//cdn.syndication.twimg.com/widgets/timelines/599200054310604802","//wslocker.ru/client/user.chk.php","//community.adobe.com/CommunityPod/getJSON","//maps.google.lv/maps/vt","//dev.virtualearth.net/REST/V1/Imagery/Metadata/AerialWithLabels/26.318581","//awaps.yandex.ru/10/8938/02400400.","//a248.e.akamai.net/h5.hulu.com/h5.mp4","//nominatim.openstreetmap.org/","//plugins.mozilla.org/en-us/plugins_list.json","//h.cackle.me/widget/32153/bootstrap","//graph.facebook.com/1/","//fellowes.ugc.bazaarvoice.com/data/reviews.json","//widgets.pinterest.com/v3/pidgets/boards/ciciwin/hedgehog-squirrel-crafts/pins/","//appcenter.intuit.com/Account/LogoutJSONP","//www.linkedin.com/countserv/count/share","//se.wikipedia.org/w/api.php","//cse.google.com/api/007627024705277327428/cse/r3vs7b0fcli/queries/js","//relap.io/api/v2/similar_pages_jsonp.js","//c1n3.hypercomments.com/stream/subscribe","//maps.google.de/maps/vt","//books.google.com/books","//connect.mail.ru/share_count","//tr.indeed.com/m/newjobs","//www-onepick-opensocial.googleusercontent.com/gadgets/proxy","//www.panoramio.com/map/get_panoramas.php","//client.siteheart.com/streamcli/client","//www.facebook.com/restserver.php","//autocomplete.travelpayouts.com/avia","//www.googleapis.com/freebase/v1/topic/m/0344_","//mts1.googleapis.com/mapslt/ft","//api.twitter.com/1/statuses/oembed.json","//fast.wistia.com/embed/medias/o75jtw7654.json","//partner.googleadservices.com/gampad/ads","//pass.yandex.ru/services","//gupiao.baidu.com/stocks/stockbets","//widget.admitad.com/widget/init","//api.instagram.com/v1/tags/partykungen23328/media/recent","//video.media.yql.yahoo.com/v1/video/sapi/streams/063fb76c-6c70-38c5-9bbc-04b7c384de2b","//ib.adnxs.com/jpt","//pass.yandex.com/services","//www.google.de/maps/vt","//clients1.google.com/complete/search","//api.userlike.com/api/chat/slot/proactive/","//www.youku.com/index_cookielist/s/jsonp","//mt1.googleapis.com/mapslt/ft","//api.mixpanel.com/track/","//wpd.b.qq.com/cgi/get_sign.php","//pipes.yahooapis.com/pipes/pipe.run","//gdata.youtube.com/feeds/api/videos/WsJIHN1kNWc","//9.chart.apis.google.com/chart","//cdn.syndication.twitter.com/moments/709229296800440320","//api.flickr.com/services/feeds/photos_friends.gne","//cbks0.googleapis.com/cbk","//www.blogger.com/feeds/5578653387562324002/posts/summary/4427562025302749269","//query.yahooapis.com/v1/public/yql","//kecngantang.blogspot.com/feeds/posts/default/-/Komik","//www.travelpayouts.com/widgets/50f53ce9ada1b54bcc000031.json","//i.cackle.me/widget/32586/bootstrap","//translate.yandex.net/api/v1.5/tr.json/detect","//a.tiles.mapbox.com/v3/zentralmedia.map-n2raeauc.jsonp","//maps.google.ru/maps/vt","//c1n2.hypercomments.com/stream/subscribe","//rec.ydf.yandex.ru/cookie","//cdn.jsdelivr.net"]
;var vE={};function getSchemeFreeUrl(e){return e=(e=e.replace(/^\w[+\w.-]*:\/\//i,"")).replace(/^\/\//,"")}function setScheme(e){return e.startsWith("//")?e.replace("//","https://"):e}Object.defineProperty(vE,"__esModule",{value:!0}),vE.applyCheckFunktionToDirectives=vE.matchWildcardUrls=vE.getHostname=vE.getSchemeFreeUrl=void 0,vE.getSchemeFreeUrl=getSchemeFreeUrl,vE.getHostname=function getHostname(e){const t=new URL("https://"+getSchemeFreeUrl(e).replace("*","wildcard_placeholder")).hostname.replace("wildcard_placeholder","*"),r=/^\[[\d:]+\]/;return getSchemeFreeUrl(e).match(r)&&!t.match(r)?"["+t+"]":t},vE.matchWildcardUrls=function matchWildcardUrls(e,t){const r=new URL(setScheme(e.replace("*","wildcard_placeholder"))),a=t.map((e=>new URL(setScheme(e)))),n=r.hostname.toLowerCase(),i=n.startsWith("wildcard_placeholder."),o=n.replace(/^\wildcard_placeholder/i,""),s=r.pathname,c="/"!==s;for(const e of a){const t=e.hostname;if(t.endsWith(o)&&(i||n===t)){if(c)if(s.endsWith("/")){
if(!e.pathname.startsWith(s))continue}else if(e.pathname!==s)continue;return e}}return null},vE.applyCheckFunktionToDirectives=function applyCheckFunktionToDirectives(e,t){const r=Object.keys(e.directives);for(const a of r){const r=e.directives[a];r&&t(a,r)}},function(e){var t=this&&this.__createBinding||(Object.create?function(e,t,r,a){void 0===a&&(a=r),Object.defineProperty(e,a,{enumerable:!0,get:function(){return t[r]}})}:function(e,t,r,a){void 0===a&&(a=r),e[a]=t[r]}),r=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),a=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var a={};if(null!=e)for(var n in e)"default"!==n&&Object.prototype.hasOwnProperty.call(e,n)&&t(a,e,n);return r(a,e),a};Object.defineProperty(e,"__esModule",{value:!0}),
e.checkHasConfiguredReporting=e.checkSrcHttp=e.checkNonceLength=e.checkDeprecatedDirective=e.checkIpSource=e.looksLikeIpAddress=e.checkFlashObjectAllowlistBypass=e.checkScriptAllowlistBypass=e.checkMissingDirectives=e.checkMultipleMissingBaseUriDirective=e.checkMissingBaseUriDirective=e.checkMissingScriptSrcDirective=e.checkMissingObjectSrcDirective=e.checkWildcards=e.checkPlainUrlSchemes=e.checkScriptUnsafeEval=e.checkScriptUnsafeInline=e.URL_SCHEMES_CAUSING_XSS=e.DIRECTIVES_CAUSING_XSS=void 0;const n=a(gE),i=a(fE),o=a(yE),s=a(oE),c=oE,l=sE,u=a(vE);function checkMissingObjectSrcDirective(e){let t=[];return c.Directive.OBJECT_SRC in e.directives?t=e.directives[c.Directive.OBJECT_SRC]:c.Directive.DEFAULT_SRC in e.directives&&(t=e.directives[c.Directive.DEFAULT_SRC]),void 0!==t&&t.length>=1?[]:[new l.Finding(l.Type.MISSING_DIRECTIVES,"Missing object-src allows the injection of plugins which can execute JavaScript. Can you set it to 'none'?",l.Severity.HIGH,c.Directive.OBJECT_SRC)]}
function checkMissingScriptSrcDirective(e){return c.Directive.SCRIPT_SRC in e.directives||c.Directive.DEFAULT_SRC in e.directives?[]:[new l.Finding(l.Type.MISSING_DIRECTIVES,"script-src directive is missing.",l.Severity.HIGH,c.Directive.SCRIPT_SRC)]}function checkMissingBaseUriDirective(e){return checkMultipleMissingBaseUriDirective([e])}function checkMultipleMissingBaseUriDirective(e){if(e.some((e=>e.policyHasScriptNonces()||e.policyHasScriptHashes()&&e.policyHasStrictDynamic()))&&!e.some((e=>c.Directive.BASE_URI in e.directives))){const e="Missing base-uri allows the injection of base tags. They can be used to set the base URL for all relative (script) URLs to an attacker controlled domain. Can you set it to 'none' or 'self'?";return[new l.Finding(l.Type.MISSING_DIRECTIVES,e,l.Severity.HIGH,c.Directive.BASE_URI)]}return[]}function looksLikeIpAddress(e){return!(!e.startsWith("[")||!e.endsWith("]"))||!!/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/.test(e)}
e.DIRECTIVES_CAUSING_XSS=[c.Directive.SCRIPT_SRC,c.Directive.OBJECT_SRC,c.Directive.BASE_URI],e.URL_SCHEMES_CAUSING_XSS=["data:","http:","https:"],e.checkScriptUnsafeInline=function checkScriptUnsafeInline(e){const t=e.getEffectiveDirective(c.Directive.SCRIPT_SRC);return(e.directives[t]||[]).includes(c.Keyword.UNSAFE_INLINE)?[new l.Finding(l.Type.SCRIPT_UNSAFE_INLINE,"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers.",l.Severity.HIGH,t,c.Keyword.UNSAFE_INLINE)]:[]},e.checkScriptUnsafeEval=function checkScriptUnsafeEval(e){const t=e.getEffectiveDirective(c.Directive.SCRIPT_SRC);return(e.directives[t]||[]).includes(c.Keyword.UNSAFE_EVAL)?[new l.Finding(l.Type.SCRIPT_UNSAFE_EVAL,"'unsafe-eval' allows the execution of code injected into DOM APIs such as eval().",l.Severity.MEDIUM_MAYBE,t,c.Keyword.UNSAFE_EVAL)]:[]},e.checkPlainUrlSchemes=function checkPlainUrlSchemes(t){const r=[],a=t.getEffectiveDirectives(e.DIRECTIVES_CAUSING_XSS);for(const n of a){
const a=t.directives[n]||[];for(const t of a)e.URL_SCHEMES_CAUSING_XSS.includes(t)&&r.push(new l.Finding(l.Type.PLAIN_URL_SCHEMES,t+" URI in "+n+" allows the execution of unsafe scripts.",l.Severity.HIGH,n,t))}return r},e.checkWildcards=function checkWildcards(t){const r=[],a=t.getEffectiveDirectives(e.DIRECTIVES_CAUSING_XSS);for(const e of a){const a=t.directives[e]||[];for(const t of a){"*"!==u.getSchemeFreeUrl(t)||r.push(new l.Finding(l.Type.PLAIN_WILDCARD,e+" should not allow '*' as source",l.Severity.HIGH,e,t))}}return r},e.checkMissingObjectSrcDirective=checkMissingObjectSrcDirective,e.checkMissingScriptSrcDirective=checkMissingScriptSrcDirective,e.checkMissingBaseUriDirective=checkMissingBaseUriDirective,e.checkMultipleMissingBaseUriDirective=checkMultipleMissingBaseUriDirective,e.checkMissingDirectives=function checkMissingDirectives(e){return[...checkMissingObjectSrcDirective(e),...checkMissingScriptSrcDirective(e),...checkMissingBaseUriDirective(e)]},
e.checkScriptAllowlistBypass=function checkScriptAllowlistBypass(e){const t=[],r=e.getEffectiveDirective(c.Directive.SCRIPT_SRC),a=e.directives[r]||[];if(a.includes(c.Keyword.NONE))return t;for(const e of a){if(e===c.Keyword.SELF){t.push(new l.Finding(l.Type.SCRIPT_ALLOWLIST_BYPASS,"'self' can be problematic if you host JSONP, Angular or user uploaded files.",l.Severity.MEDIUM_MAYBE,r,e));continue}if(e.startsWith("'"))continue;if(s.isUrlScheme(e)||-1===e.indexOf("."))continue;const i="//"+u.getSchemeFreeUrl(e),d=u.matchWildcardUrls(i,n.URLS);let m=u.matchWildcardUrls(i,o.URLS);if(m){const e=o.NEEDS_EVAL.includes(m.hostname),t=a.includes(c.Keyword.UNSAFE_EVAL);e&&!t&&(m=null)}if(m||d){let a="",n="";m&&(a=m.hostname,n=" JSONP endpoints"),d&&(a=d.hostname,n+=""===n.trim()?"":" and",n+=" Angular libraries"),t.push(new l.Finding(l.Type.SCRIPT_ALLOWLIST_BYPASS,a+" is known to host"+n+" which allow to bypass this CSP.",l.Severity.HIGH,r,e))
}else t.push(new l.Finding(l.Type.SCRIPT_ALLOWLIST_BYPASS,"No bypass found; make sure that this URL doesn't serve JSONP replies or Angular libraries.",l.Severity.MEDIUM_MAYBE,r,e))}return t},e.checkFlashObjectAllowlistBypass=function checkFlashObjectAllowlistBypass(e){const t=[],r=e.getEffectiveDirective(c.Directive.OBJECT_SRC),a=e.directives[r]||[],n=e.directives[c.Directive.PLUGIN_TYPES];if(n&&!n.includes("application/x-shockwave-flash"))return[];for(const e of a){if(e===c.Keyword.NONE)return[];const a="//"+u.getSchemeFreeUrl(e),n=u.matchWildcardUrls(a,i.URLS);n?t.push(new l.Finding(l.Type.OBJECT_ALLOWLIST_BYPASS,n.hostname+" is known to host Flash files which allow to bypass this CSP.",l.Severity.HIGH,r,e)):r===c.Directive.OBJECT_SRC&&t.push(new l.Finding(l.Type.OBJECT_ALLOWLIST_BYPASS,"Can you restrict object-src to 'none' only?",l.Severity.MEDIUM_MAYBE,r,e))}return t},e.looksLikeIpAddress=looksLikeIpAddress,e.checkIpSource=function checkIpSource(e){const t=[]
;return u.applyCheckFunktionToDirectives(e,((e,r)=>{for(const a of r){const r=u.getHostname(a);looksLikeIpAddress(r)&&("127.0.0.1"===r?t.push(new l.Finding(l.Type.IP_SOURCE,e+" directive allows localhost as source. Please make sure to remove this in production environments.",l.Severity.INFO,e,a)):t.push(new l.Finding(l.Type.IP_SOURCE,e+" directive has an IP-Address as source: "+r+" (will be ignored by browsers!). ",l.Severity.INFO,e,a)))}})),t},e.checkDeprecatedDirective=function checkDeprecatedDirective(e){const t=[];return c.Directive.REFLECTED_XSS in e.directives&&t.push(new l.Finding(l.Type.DEPRECATED_DIRECTIVE,"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",l.Severity.INFO,c.Directive.REFLECTED_XSS)),c.Directive.REFERRER in e.directives&&t.push(new l.Finding(l.Type.DEPRECATED_DIRECTIVE,"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead.",l.Severity.INFO,c.Directive.REFERRER)),
c.Directive.DISOWN_OPENER in e.directives&&t.push(new l.Finding(l.Type.DEPRECATED_DIRECTIVE,"disown-opener is deprecated since CSP3. Please, use the Cross Origin Opener Policy header instead.",l.Severity.INFO,c.Directive.DISOWN_OPENER)),t},e.checkNonceLength=function checkNonceLength(e){const t=new RegExp("^'nonce-(.+)'$"),r=[];return u.applyCheckFunktionToDirectives(e,((e,a)=>{for(const n of a){const a=n.match(t);if(!a)continue;a[1].length<8&&r.push(new l.Finding(l.Type.NONCE_LENGTH,"Nonces should be at least 8 characters long.",l.Severity.MEDIUM,e,n)),s.isNonce(n,!0)||r.push(new l.Finding(l.Type.NONCE_CHARSET,"Nonces should only use the base64 charset.",l.Severity.INFO,e,n))}})),r},e.checkSrcHttp=function checkSrcHttp(e){const t=[];return u.applyCheckFunktionToDirectives(e,((e,r)=>{for(const a of r){const r=e===c.Directive.REPORT_URI?"Use HTTPS to send violation reports securely.":"Allow only resources downloaded over HTTPS."
;a.startsWith("http://")&&t.push(new l.Finding(l.Type.SRC_HTTP,r,l.Severity.MEDIUM,e,a))}})),t},e.checkHasConfiguredReporting=function checkHasConfiguredReporting(e){return(e.directives[c.Directive.REPORT_URI]||[]).length>0?[]:(e.directives[c.Directive.REPORT_TO]||[]).length>0?[new l.Finding(l.Type.REPORT_TO_ONLY,"This CSP policy only provides a reporting destination via the 'report-to' directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a 'report-uri' directive.",l.Severity.INFO,c.Directive.REPORT_TO)]:[new l.Finding(l.Type.REPORTING_DESTINATION_MISSING,"This CSP policy does not configure a reporting destination. This makes it difficult to maintain the CSP policy over time and monitor for any breakages.",l.Severity.INFO,c.Directive.REPORT_URI)]}}(hE);var bE={},wE=globalThis&&globalThis.__createBinding||(Object.create?function(e,t,r,a){void 0===a&&(a=r),Object.defineProperty(e,a,{enumerable:!0,get:function(){return t[r]}})
}:function(e,t,r,a){void 0===a&&(a=r),e[a]=t[r]}),SE=globalThis&&globalThis.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),TE=globalThis&&globalThis.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var r in e)"default"!==r&&Object.prototype.hasOwnProperty.call(e,r)&&wE(t,e,r);return SE(t,e),t};Object.defineProperty(bE,"__esModule",{value:!0}),bE.checkRequiresTrustedTypesForScripts=bE.checkAllowlistFallback=bE.checkUnsafeInlineFallback=bE.checkStrictDynamicNotStandalone=bE.checkStrictDynamic=void 0;const EE=TE(oE),xE=oE,_E=sE;bE.checkStrictDynamic=function checkStrictDynamic(e){const t=e.getEffectiveDirective(EE.Directive.SCRIPT_SRC),r=e.directives[t]||[]
;return r.some((e=>!e.startsWith("'")))&&!r.includes(xE.Keyword.STRICT_DYNAMIC)?[new _E.Finding(_E.Type.STRICT_DYNAMIC,"Host allowlists can frequently be bypassed. Consider using 'strict-dynamic' in combination with CSP nonces or hashes.",_E.Severity.STRICT_CSP,t)]:[]},bE.checkStrictDynamicNotStandalone=function checkStrictDynamicNotStandalone(e){const t=e.getEffectiveDirective(EE.Directive.SCRIPT_SRC);return!(e.directives[t]||[]).includes(xE.Keyword.STRICT_DYNAMIC)||e.policyHasScriptNonces()||e.policyHasScriptHashes()?[]:[new _E.Finding(_E.Type.STRICT_DYNAMIC_NOT_STANDALONE,"'strict-dynamic' without a CSP nonce/hash will block all scripts.",_E.Severity.INFO,t)]},bE.checkUnsafeInlineFallback=function checkUnsafeInlineFallback(e){if(!e.policyHasScriptNonces()&&!e.policyHasScriptHashes())return[];const t=e.getEffectiveDirective(EE.Directive.SCRIPT_SRC)
;return(e.directives[t]||[]).includes(xE.Keyword.UNSAFE_INLINE)?[]:[new _E.Finding(_E.Type.UNSAFE_INLINE_FALLBACK,"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers.",_E.Severity.STRICT_CSP,t)]},bE.checkAllowlistFallback=function checkAllowlistFallback(e){const t=e.getEffectiveDirective(EE.Directive.SCRIPT_SRC),r=e.directives[t]||[];return r.includes(xE.Keyword.STRICT_DYNAMIC)?r.some((e=>["http:","https:","*"].includes(e)||e.includes(".")))?[]:[new _E.Finding(_E.Type.ALLOWLIST_FALLBACK,"Consider adding https: and http: url schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers.",_E.Severity.STRICT_CSP,t)]:[]},bE.checkRequiresTrustedTypesForScripts=function checkRequiresTrustedTypesForScripts(e){const t=e.getEffectiveDirective(EE.Directive.REQUIRE_TRUSTED_TYPES_FOR)
;return(e.directives[t]||[]).includes(EE.TrustedTypesSink.SCRIPT)?[]:[new _E.Finding(_E.Type.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS,"Consider requiring Trusted Types for scripts to lock down DOM XSS injection sinks. You can do this by adding \"require-trusted-types-for 'script'\" to your policy.",_E.Severity.INFO,EE.Directive.REQUIRE_TRUSTED_TYPES_FOR)]},Object.defineProperty(nE,"__esModule",{value:!0}),nE.evaluateForSyntaxErrors=nE.evaluateForWarnings=nE.evaluateForFailure=void 0;const AE=iE,RE=hE,kE=bE,DE=oE;function arrayContains(e,t){return e.some((e=>e.equals(t)))}function atLeastOnePasses(e,t){const r=[];for(const a of e)r.push(t(a));return function setIntersection(e){const t=[];if(0===e.length)return t;const r=e[0];for(const a of r)e.every((e=>arrayContains(e,a)))&&t.push(a);return t}(r)}function atLeastOneFails(e,t){const r=[];for(const a of e)r.push(t(a));return function setUnion(e){const t=[];for(const r of e)for(const e of r)arrayContains(t,e)||t.push(e);return t}(r)}
nE.evaluateForFailure=function evaluateForFailure$1(e){const t=[...atLeastOnePasses(e,RE.checkMissingScriptSrcDirective),...atLeastOnePasses(e,RE.checkMissingObjectSrcDirective),...RE.checkMultipleMissingBaseUriDirective(e)],r=e.map((e=>e.getEffectiveCsp(DE.Version.CSP3))),a=r.filter((e=>{const t=e.getEffectiveDirective(DE.Directive.SCRIPT_SRC);return e.directives[t]}));return[...t,...[...atLeastOnePasses(a,kE.checkStrictDynamic),...atLeastOnePasses(a,RE.checkScriptUnsafeInline),...atLeastOnePasses(r,RE.checkWildcards),...atLeastOnePasses(r,RE.checkPlainUrlSchemes)]]},nE.evaluateForWarnings=function evaluateForWarnings$1(e){return[...atLeastOneFails(e,kE.checkUnsafeInlineFallback),...atLeastOneFails(e,kE.checkAllowlistFallback)]},nE.evaluateForSyntaxErrors=function evaluateForSyntaxErrors$1(e){const t=[];for(const r of e){const e=[...RE.checkNonceLength(r),...AE.checkUnknownDirective(r),...RE.checkDeprecatedDirective(r),...AE.checkMissingSemicolon(r),...AE.checkInvalidKeyword(r)]
;t.push(e)}return t};var CE={},IE=globalThis&&globalThis.__createBinding||(Object.create?function(e,t,r,a){void 0===a&&(a=r),Object.defineProperty(e,a,{enumerable:!0,get:function(){return t[r]}})}:function(e,t,r,a){void 0===a&&(a=r),e[a]=t[r]}),NE=globalThis&&globalThis.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),LE=globalThis&&globalThis.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var r in e)"default"!==r&&Object.prototype.hasOwnProperty.call(e,r)&&IE(t,e,r);return NE(t,e),t};Object.defineProperty(CE,"__esModule",{value:!0}),CE.TEST_ONLY=CE.CspParser=void 0;const ME=LE(oE);function normalizeDirectiveValue(e){const t=(e=e.trim()).toLowerCase();return ME.isKeyword(t)||ME.isUrlScheme(e)?t:e}CE.CspParser=class CspParser$1{constructor(e){this.csp=new ME.Csp,this.parse(e)}parse(e){this.csp=new ME.Csp;const t=e.split(";");for(let e=0;e<t.length;e++){
const r=t[e].trim().match(/\S+/g);if(Array.isArray(r)){const e=r[0].toLowerCase();if(e in this.csp.directives)continue;ME.isDirective(e);const t=[];for(let e,a=1;e=r[a];a++)e=normalizeDirectiveValue(e),t.includes(e)||t.push(e);this.csp.directives[e]=t}}return this.csp}},CE.TEST_ONLY={normalizeDirectiveValue};const{evaluateForFailure:PE,evaluateForSyntaxErrors:OE,evaluateForWarnings:FE}=nE,{Type:UE}=sE,{CspParser:jE}=CE,{Directive:BE}=oE,$E=on.default,qE=oi,{isIcuMessage:zE}=Vn,VE={missingBaseUri:"Missing base-uri allows injected <base> tags to set the base URL for all relative URLs (e.g. scripts) to an attacker controlled domain. Consider setting base-uri to 'none' or 'self'.",missingScriptSrc:"script-src directive is missing. This can allow the execution of unsafe scripts.",missingObjectSrc:"Missing object-src allows the injection of plugins that execute unsafe scripts. Consider setting object-src to 'none' if you can.",
strictDynamic:"Host allowlists can frequently be bypassed. Consider using CSP nonces or hashes instead, along with 'strict-dynamic' if necessary.",unsafeInline:"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers. Consider using CSP nonces or hashes to allow scripts individually.",unsafeInlineFallback:"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers.",allowlistFallback:"Consider adding https: and http: URL schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers.",reportToOnly:"The reporting destination is only configured via the report-to directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a report-uri directive.",reportingDestinationMissing:"No CSP configures a reporting destination. This makes it difficult to maintain the CSP over time and monitor for any breakages.",
nonceLength:"Nonces should be at least 8 characters long.",nonceCharset:"Nonces should use the base64 charset.",missingSemicolon:"Did you forget the semicolon? {keyword} seems to be a directive, not a keyword.",unknownDirective:"Unknown CSP directive.",unknownKeyword:"{keyword} seems to be an invalid keyword.",deprecatedReflectedXSS:"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",deprecatedReferrer:"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead.",deprecatedDisownOpener:"disown-opener is deprecated since CSP3. Please, use the Cross-Origin-Opener-Policy header instead.",plainWildcards:"Avoid using plain wildcards ({keyword}) in this directive. Plain wildcards allow scripts to be sourced from an unsafe domain.",plainUrlScheme:"Avoid using plain URL schemes ({keyword}) in this directive. Plain URL schemes allow scripts to be sourced from an unsafe domain."
},WE=qE.createMessageInstanceIdFn("lighthouse-core/lib/csp-evaluator.js",VE),GE={[UE.MISSING_SEMICOLON]:VE.missingSemicolon,[UE.UNKNOWN_DIRECTIVE]:WE(VE.unknownDirective),[UE.INVALID_KEYWORD]:VE.unknownKeyword,[UE.MISSING_DIRECTIVES]:{[BE.BASE_URI]:WE(VE.missingBaseUri),[BE.SCRIPT_SRC]:WE(VE.missingScriptSrc),[BE.OBJECT_SRC]:WE(VE.missingObjectSrc)},[UE.SCRIPT_UNSAFE_INLINE]:WE(VE.unsafeInline),[UE.PLAIN_WILDCARD]:VE.plainWildcards,[UE.PLAIN_URL_SCHEMES]:VE.plainUrlScheme,[UE.NONCE_LENGTH]:WE(VE.nonceLength),[UE.NONCE_CHARSET]:WE(VE.nonceCharset),[UE.DEPRECATED_DIRECTIVE]:{[BE.REFLECTED_XSS]:WE(VE.deprecatedReflectedXSS),[BE.REFERRER]:WE(VE.deprecatedReferrer),[BE.DISOWN_OPENER]:WE(VE.deprecatedDisownOpener)},[UE.STRICT_DYNAMIC]:WE(VE.strictDynamic),[UE.UNSAFE_INLINE_FALLBACK]:WE(VE.unsafeInlineFallback),[UE.ALLOWLIST_FALLBACK]:WE(VE.allowlistFallback),[UE.REPORTING_DESTINATION_MISSING]:WE(VE.reportingDestinationMissing),[UE.REPORT_TO_ONLY]:WE(VE.reportToOnly)};function parseCsp(e){
return new jE(e).csp}var HE={getTranslatedDescription:function getTranslatedDescription$1(e){let t=GE[e.type];return t?zE(t)?t:"string"==typeof t?WE(t,{keyword:e.value||""}):(t=t[e.directive],t||($E.warn("CSP Evaluator",`No translation found for description: ${e.description}`),e.description)):($E.warn("CSP Evaluator",`No translation found for description: ${e.description}`),e.description)},evaluateRawCspsForXss:function evaluateRawCspsForXss$1(e){const t=e.map(parseCsp);return{bypasses:PE(t),warnings:FE(t),syntax:OE(t)}},parseCsp,UIStrings:VE};const YE=kc,KE=HT,JE=oi,{evaluateRawCspsForXss:XE,getTranslatedDescription:ZE}=HE,QE={title:"Ensure CSP is effective against XSS attacks",description:"A strong Content Security Policy (CSP) significantly reduces the risk of cross-site scripting (XSS) attacks. [Learn more](https://web.dev/csp-xss/)",noCsp:"No CSP found in enforcement mode",
metaTagMessage:"The page contains a CSP defined in a <meta> tag. Consider defining the CSP in an HTTP header if you can.",columnDirective:"Directive",columnSeverity:"Severity",itemSeveritySyntax:"Syntax"},ex=JE.createMessageInstanceIdFn("lighthouse-core/audits/csp-xss.js",QE);aE.exports=class CspXss extends YE{static get meta(){return{id:"csp-xss",scoreDisplayMode:YE.SCORING_MODES.INFORMATIVE,title:ex(QE.title),description:ex(QE.description),requiredArtifacts:["devtoolsLogs","MetaElements","URL"]}}static async getRawCsps(e,t){const r=e.devtoolsLogs[YE.DEFAULT_PASS],a=await KE.request({devtoolsLog:r,URL:e.URL},t),n=e.MetaElements.filter((e=>e.httpEquiv&&"content-security-policy"===e.httpEquiv.toLowerCase())).flatMap((e=>(e.content||"").split(","))).filter((e=>e.replace(/\s/g,"")));return{cspHeaders:a.responseHeaders.filter((e=>"content-security-policy"===e.name.toLowerCase())).flatMap((e=>e.value.split(","))).filter((e=>e.replace(/\s/g,""))),cspMetaTags:n}}
static findingToTableItem(e,t){return{directive:e.directive,description:ZE(e),severity:t}}static constructSyntaxResults(e,t){const r=[];for(let a=0;a<e.length;++a){const n=e[a].map((e=>this.findingToTableItem(e)));n.length&&r.push({severity:ex(QE.itemSeveritySyntax),description:{type:"code",value:t[a]},subItems:{type:"subitems",items:n}})}return r}static constructResults(e,t){const r=[...e,...t];if(!r.length)return{score:0,results:[{severity:ex(JE.UIStrings.itemSeverityHigh),description:ex(QE.noCsp),directive:void 0}]};const{bypasses:a,warnings:n,syntax:i}=XE(r),o=[...this.constructSyntaxResults(i,r),...a.map((e=>this.findingToTableItem(e,ex(JE.UIStrings.itemSeverityHigh)))),...n.map((e=>this.findingToTableItem(e,ex(JE.UIStrings.itemSeverityMedium))))];return t.length&&o.push({severity:ex(JE.UIStrings.itemSeverityMedium),description:ex(QE.metaTagMessage),directive:void 0}),{score:a.length?0:1,results:o}}static async audit(e,t){
const{cspHeaders:r,cspMetaTags:a}=await this.getRawCsps(e,t),{score:n,results:i}=this.constructResults(r,a),o=[{key:"description",itemType:"text",subItemsHeading:{key:"description"},text:ex(JE.UIStrings.columnDescription)},{key:"directive",itemType:"code",subItemsHeading:{key:"directive"},text:ex(QE.columnDirective)},{key:"severity",itemType:"text",subItemsHeading:{key:"severity"},text:ex(QE.columnSeverity)}],s=YE.makeTableDetails(o,i);return{score:n,notApplicable:!i.length,details:s}}},aE.exports.UIStrings=QE;var tx={exports:{}};const rx=kc,ax=jb,nx=oi,ix={title:"Avoids deprecated APIs",failureTitle:"Uses deprecated APIs",description:"Deprecated APIs will eventually be removed from the browser. [Learn more](https://web.dev/deprecations/).",displayValue:"{itemCount, plural,\n    =1 {1 warning found}\n    other {# warnings found}\n    }",columnDeprecate:"Deprecation / Warning",columnLine:"Line",feature:"Check the feature status page for more details.",
milestone:"This change will go into effect with milestone {milestone}.",authorizationCoveredByWildcard:"Authorization will not be covered by the wildcard symbol (*) in CORS `Access-Control-Allow-Headers` handling.",canRequestURLHTTPContainingNewline:"Resource requests whose URLs contained both removed whitespace `(n|r|t)` characters and less-than characters (`<`) are blocked. Please remove newlines and encode less-than characters from places like element attribute values in order to load these resources.",chromeLoadTimesConnectionInfo:"`chrome.loadTimes()` is deprecated, instead use standardized API: Navigation Timing 2.",chromeLoadTimesFirstPaintAfterLoadTime:"`chrome.loadTimes()` is deprecated, instead use standardized API: Paint Timing.",chromeLoadTimesWasAlternateProtocolAvailable:"`chrome.loadTimes()` is deprecated, instead use standardized API: `nextHopProtocol` in Navigation Timing 2.",
cookieWithTruncatingChar:"Cookies containing a `(0|r|n)` character will be rejected instead of truncated.",crossOriginAccessBasedOnDocumentDomain:"Relaxing the same-origin policy by setting `document.domain` is deprecated, and will be disabled by default. This deprecation warning is for a cross-origin access that was enabled by setting `document.domain`.",crossOriginWindowAlert:"Triggering `window.alert` from cross origin iframes has been deprecated and will be removed in the future.",crossOriginWindowConfirm:"Triggering `window.confirm` from cross origin iframes has been deprecated and will be removed in the future.",cssSelectorInternalMediaControlsOverlayCastButton:"The `disableRemotePlayback` attribute should be used in order to disable the default Cast integration instead of using `-internal-media-controls-overlay-cast-button` selector.",customCursorIntersectsViewport:"Custom cursors with size greater than 32x32 DIP intersecting native UI is deprecated and will be removed.",
documentDomainSettingWithoutOriginAgentClusterHeader:"Relaxing the same-origin policy by setting `document.domain` is deprecated, and will be disabled by default. To continue using this feature, please opt-out of origin-keyed agent clusters by sending an `Origin-Agent-Cluster: ?0` header along with the HTTP response for the document and frames. See https://developer.chrome.com/blog/immutable-document-domain/ for more details.",eventPath:"`Event.path` is deprecated and will be removed. Please use `Event.composedPath()` instead.",geolocationInsecureOrigin:"`getCurrentPosition()` and `watchPosition()` no longer work on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",
geolocationInsecureOriginDeprecatedNotRemoved:"`getCurrentPosition()` and `watchPosition()` are deprecated on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",getUserMediaInsecureOrigin:"`getUserMedia()` no longer works on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",hostCandidateAttributeGetter:"`RTCPeerConnectionIceErrorEvent.hostCandidate` is deprecated. Please use `RTCPeerConnectionIceErrorEvent.address` or `RTCPeerConnectionIceErrorEvent.port` instead.",
insecurePrivateNetworkSubresourceRequest:"The website requested a subresource from a network that it could only access because of its users' privileged network position. These requests expose non-public devices and servers to the internet, increasing the risk of a cross-site request forgery (CSRF) attack, and/or information leakage. To mitigate these risks, Chrome deprecates requests to non-public subresources when initiated from non-secure contexts, and will start blocking them.",legacyConstraintGoogCpuOveruseDetection:"CPU overuse detection is enabled-by-default and the ability to disable it using `googCpuOveruseDetection` will soon be removed. Please stop using this legacy constraint.",legacyConstraintGoogIPv6:"IPv6 is enabled-by-default and the ability to disable it using `googIPv6` will soon be removed. Please stop using this legacy constraint.",
legacyConstraintGoogScreencastMinBitrate:"Screencast min bitrate is now set to 100 kbps by default and `googScreencastMinBitrate` will soon be ignored in favor of this new default. Please stop using this legacy constraint.",legacyConstraintGoogSuspendBelowMinBitrate:"Support for the `googSuspendBelowMinBitrate` constraint is about to be removed. Please stop using this legacy constraint.",localCSSFileExtensionRejected:"CSS cannot be loaded from `file:` URLs unless they end in a `.css` file extension.",mediaElementAudioSourceNode:"Creating a `MediaElementAudioSourceNode` on an `OfflineAudioContext` is deprecated and will be removed.",mediaSourceAbortRemove:"Using `SourceBuffer.abort()` to abort `remove()`'s asynchronous range removal is deprecated due to specification change. Support will be removed in the future. You should instead await `updateend`. `abort()` is intended to only abort an asynchronous media append or reset parser state.",
mediaSourceDurationTruncatingBuffered:"Setting `MediaSource.duration` below the highest presentation timestamp of any buffered coded frames is deprecated due to specification change. Support for implicit removal of truncated buffered media will be removed in the future. You should instead perform explicit `remove(newDuration, oldDuration)` on all `sourceBuffers`, where `newDuration < oldDuration`.",noSysexWebMIDIWithoutPermission:"Web MIDI will ask a permission to use even if the sysex is not specified in the `MIDIOptions`.",notificationInsecureOrigin:"The Notification API may no longer be used from insecure origins. You should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",notificationPermissionRequestedIframe:"Permission for the Notification API may no longer be requested from a cross-origin iframe. You should consider requesting permission from a top-level frame or opening a new window instead.",
obsoleteWebRtcCipherSuite:"Your partner is negotiating an obsolete (D)TLS version. Please check with your partner to have this fixed.",paymentRequestBasicCard:"The `basic-card` payment method is deprecated and will be removed.",paymentRequestShowWithoutGesture:"Calling `PaymentRequest.show()` without user activation is deprecated and will be removed.",pictureSourceSrc:"`<source src>` with a `<picture>` parent is invalid and therefore ignored. Please use `<source srcset>` instead.",prefixedCancelAnimationFrame:"`webkitCancelAnimationFrame` is vendor-specific. Please use the standard `cancelAnimationFrame` instead.",prefixedRequestAnimationFrame:"`webkitRequestAnimationFrame` is vendor-specific. Please use the standard `requestAnimationFrame` instead.",prefixedStorageInfo:"`window.webkitStorageInfo` is deprecated. Please use `navigator.webkitTemporaryStorage` or `navigator.webkitPersistentStorage` instead.",
prefixedVideoDisplayingFullscreen:"`HTMLVideoElement.webkitDisplayingFullscreen` is deprecated. Please use `Document.fullscreenElement` instead.",prefixedVideoEnterFullScreen:"`HTMLVideoElement.webkitEnterFullScreen()` is deprecated. Please use `Element.requestFullscreen()` instead.",prefixedVideoEnterFullscreen:"`HTMLVideoElement.webkitEnterFullscreen()` is deprecated. Please use `Element.requestFullscreen()` instead.",prefixedVideoExitFullScreen:"`HTMLVideoElement.webkitExitFullsSreen()` is deprecated. Please use `Document.exitFullscreen()` instead.",prefixedVideoExitFullscreen:"`HTMLVideoElement.webkitExitFullscreen()` is deprecated. Please use `Document.exitFullscreen()` instead.",prefixedVideoSupportsFullscreen:"`HTMLVideoElement.webkitSupportsFullscreen` is deprecated. Please use `Document.fullscreenEnabled` instead.",rangeExpand:"`Range.expand()` is deprecated. Please use `Selection.modify()` instead.",
requestedSubresourceWithEmbeddedCredentials:"Subresource requests whose URLs contain embedded credentials (e.g. `https://user:pass@host/`) are blocked.",rtcConstraintEnableDtlsSrtpFalse:"The constraint `DtlsSrtpKeyAgreement` is removed. You have specified a `false` value for this constraint, which is interpreted as an attempt to use the removed `SDES` key negotiation method. This functionality is removed; use a service that supports DTLS key negotiation instead.",rtcConstraintEnableDtlsSrtpTrue:"The constraint `DtlsSrtpKeyAgreement` is removed. You have specified a `true` value for this constraint, which had no effect, but you can remove this constraint for tidiness.",
rtcPeerConnectionComplexPlanBSdpUsingDefaultSdpSemantics:"Complex Plan B SDP detected! Chrome will switch the default `sdpSemantics` from `plan-b` to the standardized `unified-plan` format and this peer connection is relying on the default `sdpSemantics`. This SDP is not compatible with Unified Plan and will be rejected by clients expecting Unified Plan. For more information about how to prepare for the switch, see https://webrtc.org/web-apis/chrome/unified-plan/.",rtcPeerConnectionLegacyCreateWithMediaConstraints:"The `mediaConstraints` version of `RTCOfferOptions/RTCAnswerOptions` are deprecated and will soon be removed, please migrate to the promise-based `createOffer`/`createAnswer` instead.",
rtcPeerConnectionSdpSemanticsPlanB:"Plan B SDP semantics, which is used when constructing an `RTCPeerConnection` with `{sdpSemantics:plan-b}`, is a legacy non-standard version of the Session Description Protocol that has been permanently deleted from the Web Platform. It is still available when building with IS_FUCHSIA, but we intend to delete it as soon as possible. Stop depending on it. See https://crbug.com/1302249 for status.",rtcpMuxPolicyNegotiate:"The `rtcpMuxPolicy` option is deprecated and will be removed.",rtpDataChannel:"RTP data channels are no longer supported. The `RtpDataChannels` constraint is currently ignored, and may cause an error at a later date.",selectionAddRangeIntersect:"The behavior that `Selection.addRange()` merges existing Range and the specified Range was removed.",sharedArrayBufferConstructedWithoutIsolation:"`SharedArrayBuffer` will require cross-origin isolation. See https://developer.chrome.com/blog/enabling-shared-array-buffer/ for more details.",
textToSpeech_DisallowedByAutoplay:"`speechSynthesis.speak()` without user activation is deprecated and will be removed.",v8SharedArrayBufferConstructedInExtensionWithoutIsolation:"Extensions should opt into cross-origin isolation to continue using `SharedArrayBuffer`. See https://developer.chrome.com/docs/extensions/mv3/cross-origin-isolation/.",webCodecsVideoFrameDefaultTimestamp:"Constructing a `VideoFrame` without a timestamp is deprecated and support will be removed. Please provide a timestamp via `VideoFrameInit`.",xhrJSONEncodingDetection:"UTF-16 is not supported by response json in `XMLHttpRequest`",xmlHttpRequestSynchronousInNonWorkerOutsideBeforeUnload:"Synchronous `XMLHttpRequest` on the main thread is deprecated because of its detrimental effects to the end user’s experience. For more help, check https://xhr.spec.whatwg.org/.",xrSupportsSession:"`supportsSession()` is deprecated. Please use `isSessionSupported()` and check the resolved boolean value instead.",
unknownDeprecation:"..."},ox=nx.createMessageInstanceIdFn("lighthouse-core/audits/deprecations.js",ix);tx.exports=class Deprecations extends rx{static get meta(){return{id:"deprecations",title:ox(ix.title),failureTitle:ox(ix.failureTitle),description:ox(ix.description),requiredArtifacts:["InspectorIssues","SourceMaps","ScriptElements"]}}static async audit(e,t){const r=await ax.request(e,t),a=e.InspectorIssues.deprecationIssue.map((e=>{const{url:t,lineNumber:a,columnNumber:n}=e.sourceCodeLocation,i=r.find((e=>e.script.src===t)),o=function getMeta(e){let t,r=0,a=0;const n=e.message;switch(e.type){case"AuthorizationCoveredByWildcard":t=ox(ix.authorizationCoveredByWildcard),a=97;break;case"CanRequestURLHTTPContainingNewline":t=ox(ix.canRequestURLHTTPContainingNewline),r=5735596811091968;break;case"ChromeLoadTimesConnectionInfo":t=ox(ix.chromeLoadTimesConnectionInfo),r=5637885046816768;break;case"ChromeLoadTimesFirstPaintAfterLoadTime":t=ox(ix.chromeLoadTimesFirstPaintAfterLoadTime),
r=5637885046816768;break;case"ChromeLoadTimesWasAlternateProtocolAvailable":t=ox(ix.chromeLoadTimesWasAlternateProtocolAvailable),r=5637885046816768;break;case"CookieWithTruncatingChar":t=ox(ix.cookieWithTruncatingChar),a=103;break;case"CrossOriginAccessBasedOnDocumentDomain":t=ox(ix.crossOriginAccessBasedOnDocumentDomain),a=106;break;case"CrossOriginWindowAlert":t=ox(ix.crossOriginWindowAlert);break;case"CrossOriginWindowConfirm":t=ox(ix.crossOriginWindowConfirm);break;case"CSSSelectorInternalMediaControlsOverlayCastButton":t=ox(ix.cssSelectorInternalMediaControlsOverlayCastButton),r=5714245488476160;break;case"CustomCursorIntersectsViewport":t=ox(ix.customCursorIntersectsViewport),r=5825971391299584,a=75;break;case"DocumentDomainSettingWithoutOriginAgentClusterHeader":t=ox(ix.documentDomainSettingWithoutOriginAgentClusterHeader),a=106;break;case"EventPath":t=ox(ix.eventPath),r=5726124632965120,a=109;break;case"GeolocationInsecureOrigin":t=ox(ix.geolocationInsecureOrigin);break
;case"GeolocationInsecureOriginDeprecatedNotRemoved":t=ox(ix.geolocationInsecureOriginDeprecatedNotRemoved);break;case"GetUserMediaInsecureOrigin":t=ox(ix.getUserMediaInsecureOrigin);break;case"HostCandidateAttributeGetter":t=ox(ix.hostCandidateAttributeGetter);break;case"InsecurePrivateNetworkSubresourceRequest":t=ox(ix.insecurePrivateNetworkSubresourceRequest),r=5436853517811712,a=92;break;case"LegacyConstraintGoogCpuOveruseDetection":t=ox(ix.legacyConstraintGoogCpuOveruseDetection),a=103;break;case"LegacyConstraintGoogIPv6":t=ox(ix.legacyConstraintGoogIPv6),a=103;break;case"LegacyConstraintGoogScreencastMinBitrate":t=ox(ix.legacyConstraintGoogScreencastMinBitrate),a=103;break;case"LegacyConstraintGoogSuspendBelowMinBitrate":t=ox(ix.legacyConstraintGoogSuspendBelowMinBitrate),a=103;break;case"LocalCSSFileExtensionRejected":t=ox(ix.localCSSFileExtensionRejected),a=64;break;case"MediaElementAudioSourceNode":t=ox(ix.mediaElementAudioSourceNode),r=5258622686724096,a=71;break
;case"MediaSourceAbortRemove":t=ox(ix.mediaSourceAbortRemove),r=6107495151960064;break;case"MediaSourceDurationTruncatingBuffered":t=ox(ix.mediaSourceDurationTruncatingBuffered),r=6107495151960064;break;case"NoSysexWebMIDIWithoutPermission":t=ox(ix.noSysexWebMIDIWithoutPermission),r=5138066234671104,a=82;break;case"NotificationInsecureOrigin":t=ox(ix.notificationInsecureOrigin);break;case"NotificationPermissionRequestedIframe":t=ox(ix.notificationPermissionRequestedIframe),r=6451284559265792;break;case"ObsoleteWebRtcCipherSuite":t=ox(ix.obsoleteWebRtcCipherSuite),a=81;break;case"PaymentRequestBasicCard":t=ox(ix.paymentRequestBasicCard),r=5730051011117056,a=100;break;case"PaymentRequestShowWithoutGesture":t=ox(ix.paymentRequestShowWithoutGesture),r=5948593429020672,a=102;break;case"PictureSourceSrc":t=ox(ix.pictureSourceSrc);break;case"PrefixedCancelAnimationFrame":t=ox(ix.prefixedCancelAnimationFrame);break;case"PrefixedRequestAnimationFrame":t=ox(ix.prefixedRequestAnimationFrame)
;break;case"PrefixedStorageInfo":t=ox(ix.prefixedStorageInfo);break;case"PrefixedVideoDisplayingFullscreen":t=ox(ix.prefixedVideoDisplayingFullscreen);break;case"PrefixedVideoEnterFullScreen":t=ox(ix.prefixedVideoEnterFullScreen);break;case"PrefixedVideoEnterFullscreen":t=ox(ix.prefixedVideoEnterFullscreen);break;case"PrefixedVideoExitFullScreen":t=ox(ix.prefixedVideoExitFullScreen);break;case"PrefixedVideoExitFullscreen":t=ox(ix.prefixedVideoExitFullscreen);break;case"PrefixedVideoSupportsFullscreen":t=ox(ix.prefixedVideoSupportsFullscreen);break;case"RangeExpand":t=ox(ix.rangeExpand);break;case"RequestedSubresourceWithEmbeddedCredentials":t=ox(ix.requestedSubresourceWithEmbeddedCredentials),r=5669008342777856;break;case"RTCConstraintEnableDtlsSrtpFalse":t=ox(ix.rtcConstraintEnableDtlsSrtpFalse),a=97;break;case"RTCConstraintEnableDtlsSrtpTrue":t=ox(ix.rtcConstraintEnableDtlsSrtpTrue),a=97;break;case"RTCPeerConnectionComplexPlanBSdpUsingDefaultSdpSemantics":
t=ox(ix.rtcPeerConnectionComplexPlanBSdpUsingDefaultSdpSemantics),a=72;break;case"RTCPeerConnectionLegacyCreateWithMediaConstraints":t=ox(ix.rtcPeerConnectionLegacyCreateWithMediaConstraints),a=103;break;case"RTCPeerConnectionSdpSemanticsPlanB":t=ox(ix.rtcPeerConnectionSdpSemanticsPlanB),r=5823036655665152,a=93;break;case"RtcpMuxPolicyNegotiate":t=ox(ix.rtcpMuxPolicyNegotiate),r=5654810086866944,a=62;break;case"RTPDataChannel":t=ox(ix.rtpDataChannel),a=88;break;case"SelectionAddRangeIntersect":t=ox(ix.selectionAddRangeIntersect),r=6680566019653632;break;case"SharedArrayBufferConstructedWithoutIsolation":t=ox(ix.sharedArrayBufferConstructedWithoutIsolation),a=106;break;case"TextToSpeech_DisallowedByAutoplay":t=ox(ix.textToSpeech_DisallowedByAutoplay),r=5687444770914304,a=71;break;case"V8SharedArrayBufferConstructedInExtensionWithoutIsolation":t=ox(ix.v8SharedArrayBufferConstructedInExtensionWithoutIsolation),a=96;break;case"WebCodecsVideoFrameDefaultTimestamp":
t=ox(ix.webCodecsVideoFrameDefaultTimestamp),r=5667793157488640,a=99;break;case"XHRJSONEncodingDetection":t=ox(ix.xhrJSONEncodingDetection),a=93;break;case"XMLHttpRequestSynchronousInNonWorkerOutsideBeforeUnload":t=ox(ix.xmlHttpRequestSynchronousInNonWorkerOutsideBeforeUnload);break;case"XRSupportsSession":t=ox(ix.xrSupportsSession),a=80;break;default:t=n||ox(ix.unknownDeprecation)}return{message:t,milestone:a,feature:r}}(e),s=[];let c;o.feature&&s.push({type:"link",url:`https://chromestatus.com/feature/${o.feature}`,text:ox(ix.feature)}),o.milestone&&s.push({type:"link",url:"https://chromiumdash.appspot.com/schedule",text:ox(ix.milestone,{milestone:o.milestone})}),s.length&&(c={type:"subitems",items:s});return{value:o.message||"",source:rx.makeSourceLocation(t,a,n-1,i),subItems:c}})),n=[{key:"value",itemType:"text",text:ox(ix.columnDeprecate)},{key:"source",itemType:"source-location",text:ox(nx.UIStrings.columnSource)}],i=rx.makeTableDetails(n,a);let o
;return a.length>0&&(o=ox(ix.displayValue,{itemCount:a.length})),{score:Number(0===a.length),displayValue:o,details:i}}},tx.exports.UIStrings=ix;const sx=kc,cx=Rv,lx=Lo,ux=xl,dx=Fo;var mx=class Diagnostics extends sx{static get meta(){return{id:"diagnostics",scoreDisplayMode:sx.SCORING_MODES.INFORMATIVE,title:"Diagnostics",description:"Collection of useful page vitals.",supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs"]}}static async audit(e,t){const r=e.traces[sx.DEFAULT_PASS],a=e.devtoolsLogs[sx.DEFAULT_PASS],n=await cx.request(r,t),i=await lx.request(a,t),o=await ux.request(a,t),s=n.filter((e=>!e.parent)),c=dx.findMainDocument(i).transferSize,l=i.reduce(((e,t)=>e+(t.transferSize||0)),0),u=s.reduce(((e,t)=>e+(t.duration||0)),0),d=Math.max(...o.additionalRttByOrigin.values())+o.rtt,m=Math.max(...o.serverResponseTimeByOrigin.values());return{score:1,details:{type:"debugdata",items:[{numRequests:i.length,numScripts:i.filter((e=>"Script"===e.resourceType)).length,
numStylesheets:i.filter((e=>"Stylesheet"===e.resourceType)).length,numFonts:i.filter((e=>"Font"===e.resourceType)).length,numTasks:s.length,numTasksOver10ms:s.filter((e=>e.duration>10)).length,numTasksOver25ms:s.filter((e=>e.duration>25)).length,numTasksOver50ms:s.filter((e=>e.duration>50)).length,numTasksOver100ms:s.filter((e=>e.duration>100)).length,numTasksOver500ms:s.filter((e=>e.duration>500)).length,rtt:o.rtt,throughput:o.throughput,maxRtt:d,maxServerLatency:m,totalByteWeight:l,totalTaskTime:u,mainDocumentTransferSize:c}]}}}},px={exports:{}};const hx=kc,gx=HT,fx={title:"Properly defines charset",failureTitle:"Charset declaration is missing or occurs too late in the HTML",description:"A character encoding declaration is required. It can be done with a `<meta>` tag in the first 1024 bytes of the HTML or in the Content-Type HTTP response header. [Learn more](https://web.dev/charset/)."
},yx=oi.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/charset.js",fx),vx=/^[a-zA-Z0-9-_:.()]{2,}$/,bx=/<meta[^>]+charset[^<]+>/i,wx=/charset\s*=\s*[a-zA-Z0-9-_:.()]{2,}/i;px.exports=class CharsetDefined extends hx{static get meta(){return{id:"charset",title:yx(fx.title),failureTitle:yx(fx.failureTitle),description:yx(fx.description),requiredArtifacts:["MainDocumentContent","URL","devtoolsLogs","MetaElements"]}}static async audit(e,t){const r=e.devtoolsLogs[hx.DEFAULT_PASS],a=await gx.request({devtoolsLog:r,URL:e.URL},t);let n=!1;if(a.responseHeaders){const e=a.responseHeaders.find((e=>"content-type"===e.name.toLowerCase()));e&&(n=wx.test(e.value))}return n=n||65279===e.MainDocumentContent.charCodeAt(0),bx.test(e.MainDocumentContent.slice(0,1024))&&(n=n||e.MetaElements.some((e=>e.charset&&vx.test(e.charset)||"content-type"===e.httpEquiv&&e.content&&wx.test(e.content)))),{score:Number(n)}}},px.exports.UIStrings=fx,px.exports.CHARSET_HTML_REGEX=bx,
px.exports.CHARSET_HTTP_REGEX=wx,px.exports.IANA_REGEX=vx;var Sx={exports:{}};const Tx=kc,Ex={title:"Page has the HTML doctype",failureTitle:"Page lacks the HTML doctype, thus triggering quirks-mode",description:"Specifying a doctype prevents the browser from switching to quirks-mode. [Learn more](https://web.dev/doctype/).",explanationNoDoctype:"Document must contain a doctype",explanationPublicId:"Expected publicId to be an empty string",explanationSystemId:"Expected systemId to be an empty string",explanationBadDoctype:"Doctype name must be the lowercase string `html`"},xx=oi.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/doctype.js",Ex);Sx.exports=class Doctype extends Tx{static get meta(){return{id:"doctype",title:xx(Ex.title),failureTitle:xx(Ex.failureTitle),description:xx(Ex.description),requiredArtifacts:["Doctype"]}}static audit(e){if(!e.Doctype)return{score:0,explanation:xx(Ex.explanationNoDoctype)}
;const t=e.Doctype.name.trim(),r=e.Doctype.publicId,a=e.Doctype.systemId;return""!==r?{score:0,explanation:xx(Ex.explanationPublicId)}:""!==a?{score:0,explanation:xx(Ex.explanationSystemId)}:"html"===t?{score:1}:{score:0,explanation:xx(Ex.explanationBadDoctype)}}},Sx.exports.UIStrings=Ex;var _x={exports:{}};const Ax=kc,Rx=oi,kx={title:"Avoids an excessive DOM size",failureTitle:"Avoid an excessive DOM size",description:"A large DOM will increase memory usage, cause longer [style calculations](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), and produce costly [layout reflows](https://developers.google.com/speed/articles/reflow). [Learn more](https://web.dev/dom-size/).",columnStatistic:"Statistic",columnValue:"Value",displayValue:"{itemCount, plural,\n    =1 {1 element}\n    other {# elements}\n    }",statisticDOMElements:"Total DOM Elements",statisticDOMDepth:"Maximum DOM Depth",
statisticDOMWidth:"Maximum Child Elements"},Dx=Rx.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/dom-size.js",kx);_x.exports=class DOMSize extends Ax{static get meta(){return{id:"dom-size",title:Dx(kx.title),failureTitle:Dx(kx.failureTitle),description:Dx(kx.description),scoreDisplayMode:Ax.SCORING_MODES.NUMERIC,requiredArtifacts:["DOMStats"]}}static get defaultOptions(){return{p10:818,median:1400}}static audit(e,t){const r=e.DOMStats,a=Ax.computeLogNormalScore({p10:t.options.p10,median:t.options.median},r.totalBodyElements),n=[{key:"statistic",itemType:"text",text:Dx(kx.columnStatistic)},{key:"node",itemType:"node",text:Dx(Rx.UIStrings.columnElement)},{key:"value",itemType:"numeric",text:Dx(kx.columnValue)}],i=[{statistic:Dx(kx.statisticDOMElements),value:r.totalBodyElements},{node:Ax.makeNodeItem(r.depth),statistic:Dx(kx.statisticDOMDepth),value:r.depth.max},{node:Ax.makeNodeItem(r.width),statistic:Dx(kx.statisticDOMWidth),value:r.width.max}];return{score:a,
numericValue:r.totalBodyElements,numericUnit:"element",displayValue:Dx(kx.displayValue,{itemCount:r.totalBodyElements}),details:Ax.makeTableDetails(n,i)}}},_x.exports.UIStrings=kx;var Cx={exports:{}};const Ix=kc,Nx=jb;var Lx=class ViolationAudit$4 extends Ix{static async getViolationResults(e,t,r){const a=await Nx.request(e,t);const n=new Set;return e.ConsoleMessages.filter((e=>e.url&&"violation"===e.source&&r.test(e.text))).map((e=>{const t=a.find((t=>t.script.src===e.url));return Ix.makeSourceLocationFromConsoleMessage(e,t)})).filter((function filterUndefined(e){return void 0!==e})).filter((e=>{const t=`${e.url}!${e.line}!${e.column}`;return!n.has(t)&&(n.add(t),!0)})).map((e=>({source:e})))}};const Mx=Lx,Px=oi,Ox={title:"Avoids requesting the geolocation permission on page load",failureTitle:"Requests the geolocation permission on page load",
description:"Users are mistrustful of or confused by sites that request their location without context. Consider tying the request to a user action instead. [Learn more](https://web.dev/geolocation-on-start/)."},Fx=Px.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/geolocation-on-start.js",Ox);Cx.exports=class GeolocationOnStart extends Mx{static get meta(){return{id:"geolocation-on-start",title:Fx(Ox.title),failureTitle:Fx(Ox.failureTitle),description:Fx(Ox.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages","SourceMaps","ScriptElements"]}}static async audit(e,t){const r=await Mx.getViolationResults(e,t,/geolocation/),a=[{key:"source",itemType:"source-location",text:Fx(Px.UIStrings.columnSource)}],n=Mx.makeTableDetails(a,r);return{score:Number(0===r.length),details:n}}},Cx.exports.UIStrings=Ox;var Ux={exports:{}};const jx=kc,Bx={title:"No issues in the `Issues` panel in Chrome Devtools",
failureTitle:"Issues were logged in the `Issues` panel in Chrome Devtools",description:"Issues logged to the `Issues` panel in Chrome Devtools indicate unresolved problems. They can come from network request failures, insufficient security controls, and other browser concerns. Open up the Issues panel in Chrome DevTools for more details on each issue.",columnIssueType:"Issue type",issueTypeBlockedByResponse:"Blocked by cross-origin policy",issueTypeHeavyAds:"Heavy resource usage by ads"},$x=oi.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/inspector-issues.js",Bx);Ux.exports=class IssuesPanelEntries extends jx{static get meta(){return{id:"inspector-issues",title:$x(Bx.title),failureTitle:$x(Bx.failureTitle),description:$x(Bx.description),requiredArtifacts:["InspectorIssues"]}}static getMixedContentRow(e){const t=new Set;for(const r of e){const e=r.request?.url||r.mainResourceURL;t.add(e)}return{issueType:"Mixed content",subItems:{type:"subitems",
items:Array.from(t).map((e=>({url:e})))}}}static getCookieRow(e){const t=new Set;for(const r of e){const e=r.request?.url||r.cookieUrl;e&&t.add(e)}return{issueType:"Cookie",subItems:{type:"subitems",items:Array.from(t).map((e=>({url:e})))}}}static getBlockedByResponseRow(e){const t=new Set;for(const r of e){const e=r.request?.url;e&&t.add(e)}return{issueType:$x(Bx.issueTypeBlockedByResponse),subItems:{type:"subitems",items:Array.from(t).map((e=>({url:e})))}}}static getContentSecurityPolicyRow(e){const t=new Set;for(const r of e){const e=r.blockedURL;e&&t.add(e)}return{issueType:"Content security policy",subItems:{type:"subitems",items:Array.from(t).map((e=>({url:e})))}}}static audit(e){const t=[{key:"issueType",itemType:"text",subItemsHeading:{key:"url",itemType:"url"},text:$x(Bx.columnIssueType)}],r=e.InspectorIssues,a=[];r.mixedContentIssue.length&&a.push(this.getMixedContentRow(r.mixedContentIssue)),r.cookieIssue.length&&a.push(this.getCookieRow(r.cookieIssue)),
r.blockedByResponseIssue.length&&a.push(this.getBlockedByResponseRow(r.blockedByResponseIssue)),r.heavyAdIssue.length&&a.push({issueType:$x(Bx.issueTypeHeavyAds)});const n=r.contentSecurityPolicyIssue.filter((e=>"kTrustedTypesSinkViolation"!==e.contentSecurityPolicyViolationType&&"kTrustedTypesPolicyViolation"!==e.contentSecurityPolicyViolationType));return n.length&&a.push(this.getContentSecurityPolicyRow(n)),{score:a.length>0?0:1,details:jx.makeTableDetails(t,a)}}},Ux.exports.UIStrings=Bx;var qx={exports:{}};const zx=kc,Vx=oi,Wx={title:"Detected JavaScript libraries",description:"All front-end JavaScript libraries detected on the page. [Learn more](https://web.dev/js-libraries/).",columnVersion:"Version"},Gx=Vx.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/js-libraries.js",Wx);qx.exports=class JsLibrariesAudit extends zx{static get meta(){return{id:"js-libraries",title:Gx(Wx.title),scoreDisplayMode:zx.SCORING_MODES.INFORMATIVE,description:Gx(Wx.description),
requiredArtifacts:["Stacks"]}}static audit(e){const t=e.Stacks.filter((e=>"js"===e.detector)).filter((e=>!e.id.endsWith("-fast"))).map((e=>({name:e.name,version:e.version,npm:e.npm}))),r=[{key:"name",itemType:"text",text:Gx(Vx.UIStrings.columnName)},{key:"version",itemType:"text",text:Gx(Wx.columnVersion)}],a=zx.makeTableDetails(r,t,{}),n={type:"debugdata",stacks:e.Stacks.map((e=>({id:e.id,version:e.version})))};return t.length?{score:1,details:{...a,debugData:n}}:{score:null,notApplicable:!0}}},qx.exports.UIStrings=Wx;var Hx={exports:{}};const Yx=Lx,Kx=oi,Jx={title:"Avoids `document.write()`",failureTitle:"Avoid `document.write()`",description:"For users on slow connections, external scripts dynamically injected via `document.write()` can delay page load by tens of seconds. [Learn more](https://web.dev/no-document-write/)."},Xx=Kx.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/no-document-write.js",Jx);Hx.exports=class NoDocWriteAudit extends Yx{static get meta(){
return{id:"no-document-write",title:Xx(Jx.title),failureTitle:Xx(Jx.failureTitle),description:Xx(Jx.description),requiredArtifacts:["ConsoleMessages","SourceMaps","ScriptElements"]}}static async audit(e,t){const r=await Yx.getViolationResults(e,t,/document\.write/),a=[{key:"source",itemType:"source-location",text:Xx(Kx.UIStrings.columnSource)}],n=Yx.makeTableDetails(a,r);return{score:Number(0===r.length),details:n}}},Hx.exports.UIStrings=Jx;var Zx={exports:{}},Qx={exports:{}};!function(e,t){var r;t=e.exports=SemVer,r="object"==typeof La&&La.env&&La.env.NODE_DEBUG&&/\bsemver\b/i.test(La.env.NODE_DEBUG)?function(){var e=Array.prototype.slice.call(arguments,0);e.unshift("SEMVER"),console.log.apply(console,e)}:function(){},t.SEMVER_SPEC_VERSION="2.0.0";var a=Number.MAX_SAFE_INTEGER||9007199254740991,n=t.re=[],i=t.src=[],o=0,s=o++;i[s]="0|[1-9]\\d*";var c=o++;i[c]="[0-9]+";var l=o++;i[l]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var u=o++;i[u]="("+i[s]+")\\.("+i[s]+")\\.("+i[s]+")";var d=o++
;i[d]="("+i[c]+")\\.("+i[c]+")\\.("+i[c]+")";var m=o++;i[m]="(?:"+i[s]+"|"+i[l]+")";var p=o++;i[p]="(?:"+i[c]+"|"+i[l]+")";var h=o++;i[h]="(?:-("+i[m]+"(?:\\."+i[m]+")*))";var f=o++;i[f]="(?:-?("+i[p]+"(?:\\."+i[p]+")*))";var y=o++;i[y]="[0-9A-Za-z-]+";var v=o++;i[v]="(?:\\+("+i[y]+"(?:\\."+i[y]+")*))";var b=o++,w="v?"+i[u]+i[h]+"?"+i[v]+"?";i[b]="^"+w+"$";var S="[v=\\s]*"+i[d]+i[f]+"?"+i[v]+"?",T=o++;i[T]="^"+S+"$";var E=o++;i[E]="((?:<|>)?=?)";var x=o++;i[x]=i[c]+"|x|X|\\*";var _=o++;i[_]=i[s]+"|x|X|\\*";var A=o++;i[A]="[v=\\s]*("+i[_]+")(?:\\.("+i[_]+")(?:\\.("+i[_]+")(?:"+i[h]+")?"+i[v]+"?)?)?";var R=o++;i[R]="[v=\\s]*("+i[x]+")(?:\\.("+i[x]+")(?:\\.("+i[x]+")(?:"+i[f]+")?"+i[v]+"?)?)?";var k=o++;i[k]="^"+i[E]+"\\s*"+i[A]+"$";var D=o++;i[D]="^"+i[E]+"\\s*"+i[R]+"$";var C=o++;i[C]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var I=o++;i[I]="(?:~>?)";var N=o++;i[N]="(\\s*)"+i[I]+"\\s+",n[N]=new RegExp(i[N],"g");var L=o++;i[L]="^"+i[I]+i[A]+"$";var M=o++
;i[M]="^"+i[I]+i[R]+"$";var P=o++;i[P]="(?:\\^)";var O=o++;i[O]="(\\s*)"+i[P]+"\\s+",n[O]=new RegExp(i[O],"g");var F=o++;i[F]="^"+i[P]+i[A]+"$";var U=o++;i[U]="^"+i[P]+i[R]+"$";var j=o++;i[j]="^"+i[E]+"\\s*("+S+")$|^$";var B=o++;i[B]="^"+i[E]+"\\s*("+w+")$|^$";var $=o++;i[$]="(\\s*)"+i[E]+"\\s*("+S+"|"+i[A]+")",n[$]=new RegExp(i[$],"g");var q=o++;i[q]="^\\s*("+i[A]+")\\s+-\\s+("+i[A]+")\\s*$";var z=o++;i[z]="^\\s*("+i[R]+")\\s+-\\s+("+i[R]+")\\s*$";var V=o++;i[V]="(<|>)?=?\\s*\\*";for(var W=0;W<35;W++)r(W,i[W]),n[W]||(n[W]=new RegExp(i[W]));function parse(e,t){if(t&&"object"==typeof t||(t={loose:!!t,includePrerelease:!1}),e instanceof SemVer)return e;if("string"!=typeof e)return null;if(e.length>256)return null;if(!(t.loose?n[T]:n[b]).test(e))return null;try{return new SemVer(e,t)}catch(e){return null}}function SemVer(e,t){if(t&&"object"==typeof t||(t={loose:!!t,includePrerelease:!1}),e instanceof SemVer){if(e.loose===t.loose)return e;e=e.version
}else if("string"!=typeof e)throw new TypeError("Invalid Version: "+e);if(e.length>256)throw new TypeError("version is longer than 256 characters");if(!(this instanceof SemVer))return new SemVer(e,t);r("SemVer",e,t),this.options=t,this.loose=!!t.loose;var i=e.trim().match(t.loose?n[T]:n[b]);if(!i)throw new TypeError("Invalid Version: "+e);if(this.raw=e,this.major=+i[1],this.minor=+i[2],this.patch=+i[3],this.major>a||this.major<0)throw new TypeError("Invalid major version");if(this.minor>a||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>a||this.patch<0)throw new TypeError("Invalid patch version");i[4]?this.prerelease=i[4].split(".").map((function(e){if(/^[0-9]+$/.test(e)){var t=+e;if(t>=0&&t<a)return t}return e})):this.prerelease=[],this.build=i[5]?i[5].split("."):[],this.format()}t.parse=parse,t.valid=function valid(e,t){var r=parse(e,t);return r?r.version:null},t.clean=function clean(e,t){var r=parse(e.trim().replace(/^[=v]+/,""),t);return r?r.version:null},
t.SemVer=SemVer,SemVer.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},SemVer.prototype.toString=function(){return this.version},SemVer.prototype.compare=function(e){return r("SemVer.compare",this.version,this.options,e),e instanceof SemVer||(e=new SemVer(e,this.options)),this.compareMain(e)||this.comparePre(e)},SemVer.prototype.compareMain=function(e){return e instanceof SemVer||(e=new SemVer(e,this.options)),compareIdentifiers(this.major,e.major)||compareIdentifiers(this.minor,e.minor)||compareIdentifiers(this.patch,e.patch)},SemVer.prototype.comparePre=function(e){if(e instanceof SemVer||(e=new SemVer(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;var t=0;do{var a=this.prerelease[t],n=e.prerelease[t]
;if(r("prerelease compare",t,a,n),void 0===a&&void 0===n)return 0;if(void 0===n)return 1;if(void 0===a)return-1;if(a!==n)return compareIdentifiers(a,n)}while(++t)},SemVer.prototype.inc=function(e,t){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t),this.inc("pre",t);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t),this.inc("pre",t);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":if(0===this.prerelease.length)this.prerelease=[0];else{
for(var r=this.prerelease.length;--r>=0;)"number"==typeof this.prerelease[r]&&(this.prerelease[r]++,r=-2);-1===r&&this.prerelease.push(0)}t&&(this.prerelease[0]===t?isNaN(this.prerelease[1])&&(this.prerelease=[t,0]):this.prerelease=[t,0]);break;default:throw new Error("invalid increment argument: "+e)}return this.format(),this.raw=this.version,this},t.inc=function inc(e,t,r,a){"string"==typeof r&&(a=r,r=void 0);try{return new SemVer(e,r).inc(t,a).version}catch(e){return null}},t.diff=function diff(e,t){if(eq(e,t))return null;var r=parse(e),a=parse(t),n="";if(r.prerelease.length||a.prerelease.length){n="pre";var i="prerelease"}for(var o in r)if(("major"===o||"minor"===o||"patch"===o)&&r[o]!==a[o])return n+o;return i},t.compareIdentifiers=compareIdentifiers;var G=/^[0-9]+$/;function compareIdentifiers(e,t){var r=G.test(e),a=G.test(t);return r&&a&&(e=+e,t=+t),e===t?0:r&&!a?-1:a&&!r?1:e<t?-1:1}function compare(e,t,r){return new SemVer(e,r).compare(new SemVer(t,r))}function gt(e,t,r){
return compare(e,t,r)>0}function lt(e,t,r){return compare(e,t,r)<0}function eq(e,t,r){return 0===compare(e,t,r)}function neq(e,t,r){return 0!==compare(e,t,r)}function gte(e,t,r){return compare(e,t,r)>=0}function lte(e,t,r){return compare(e,t,r)<=0}function cmp(e,t,r,a){switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof r&&(r=r.version),e===r;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof r&&(r=r.version),e!==r;case"":case"=":case"==":return eq(e,r,a);case"!=":return neq(e,r,a);case">":return gt(e,r,a);case">=":return gte(e,r,a);case"<":return lt(e,r,a);case"<=":return lte(e,r,a);default:throw new TypeError("Invalid operator: "+t)}}function Comparator(e,t){if(t&&"object"==typeof t||(t={loose:!!t,includePrerelease:!1}),e instanceof Comparator){if(e.loose===!!t.loose)return e;e=e.value}if(!(this instanceof Comparator))return new Comparator(e,t);r("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),
this.semver===H?this.value="":this.value=this.operator+this.semver.version,r("comp",this)}t.rcompareIdentifiers=function rcompareIdentifiers(e,t){return compareIdentifiers(t,e)},t.major=function major(e,t){return new SemVer(e,t).major},t.minor=function minor(e,t){return new SemVer(e,t).minor},t.patch=function patch(e,t){return new SemVer(e,t).patch},t.compare=compare,t.compareLoose=function compareLoose(e,t){return compare(e,t,!0)},t.rcompare=function rcompare(e,t,r){return compare(t,e,r)},t.sort=function sort(e,r){return e.sort((function(e,a){return t.compare(e,a,r)}))},t.rsort=function rsort(e,r){return e.sort((function(e,a){return t.rcompare(e,a,r)}))},t.gt=gt,t.lt=lt,t.eq=eq,t.neq=neq,t.gte=gte,t.lte=lte,t.cmp=cmp,t.Comparator=Comparator;var H={};function Range(e,t){if(t&&"object"==typeof t||(t={loose:!!t,includePrerelease:!1}),e instanceof Range)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new Range(e.raw,t)
;if(e instanceof Comparator)return new Range(e.value,t);if(!(this instanceof Range))return new Range(e,t);if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e,this.set=e.split(/\s*\|\|\s*/).map((function(e){return this.parseRange(e.trim())}),this).filter((function(e){return e.length})),!this.set.length)throw new TypeError("Invalid SemVer Range: "+e);this.format()}function isX(e){return!e||"x"===e.toLowerCase()||"*"===e}function hyphenReplace(e,t,r,a,n,i,o,s,c,l,u,d,m){return((t=isX(r)?"":isX(a)?">="+r+".0.0":isX(n)?">="+r+"."+a+".0":">="+t)+" "+(s=isX(c)?"":isX(l)?"<"+(+c+1)+".0.0":isX(u)?"<"+c+"."+(+l+1)+".0":d?"<="+c+"."+l+"."+u+"-"+d:"<="+s)).trim()}function testSet(e,t,a){for(var n=0;n<e.length;n++)if(!e[n].test(t))return!1;if(t.prerelease.length&&!a.includePrerelease){for(n=0;n<e.length;n++)if(r(e[n].semver),e[n].semver!==H&&e[n].semver.prerelease.length>0){var i=e[n].semver
;if(i.major===t.major&&i.minor===t.minor&&i.patch===t.patch)return!0}return!1}return!0}function satisfies(e,t,r){try{t=new Range(t,r)}catch(e){return!1}return t.test(e)}function outside(e,t,r,a){var n,i,o,s,c;switch(e=new SemVer(e,a),t=new Range(t,a),r){case">":n=gt,i=lte,o=lt,s=">",c=">=";break;case"<":n=lt,i=gte,o=gt,s="<",c="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(satisfies(e,t,a))return!1;for(var l=0;l<t.set.length;++l){var u=t.set[l],d=null,m=null;if(u.forEach((function(e){e.semver===H&&(e=new Comparator(">=0.0.0")),d=d||e,m=m||e,n(e.semver,d.semver,a)?d=e:o(e.semver,m.semver,a)&&(m=e)})),d.operator===s||d.operator===c)return!1;if((!m.operator||m.operator===s)&&i(e,m.semver))return!1;if(m.operator===c&&o(e,m.semver))return!1}return!0}Comparator.prototype.parse=function(e){var t=this.options.loose?n[j]:n[B],r=e.match(t);if(!r)throw new TypeError("Invalid comparator: "+e);this.operator=r[1],"="===this.operator&&(this.operator=""),
r[2]?this.semver=new SemVer(r[2],this.options.loose):this.semver=H},Comparator.prototype.toString=function(){return this.value},Comparator.prototype.test=function(e){return r("Comparator.test",e,this.options.loose),this.semver===H||("string"==typeof e&&(e=new SemVer(e,this.options)),cmp(e,this.operator,this.semver,this.options))},Comparator.prototype.intersects=function(e,t){if(!(e instanceof Comparator))throw new TypeError("a Comparator is required");var r;if(t&&"object"==typeof t||(t={loose:!!t,includePrerelease:!1}),""===this.operator)return r=new Range(e.value,t),satisfies(this.value,r,t);if(""===e.operator)return r=new Range(this.value,t),satisfies(e.semver,r,t)
;var a=!(">="!==this.operator&&">"!==this.operator||">="!==e.operator&&">"!==e.operator),n=!("<="!==this.operator&&"<"!==this.operator||"<="!==e.operator&&"<"!==e.operator),i=this.semver.version===e.semver.version,o=!(">="!==this.operator&&"<="!==this.operator||">="!==e.operator&&"<="!==e.operator),s=cmp(this.semver,"<",e.semver,t)&&(">="===this.operator||">"===this.operator)&&("<="===e.operator||"<"===e.operator),c=cmp(this.semver,">",e.semver,t)&&("<="===this.operator||"<"===this.operator)&&(">="===e.operator||">"===e.operator);return a||n||i&&o||s||c},t.Range=Range,Range.prototype.format=function(){return this.range=this.set.map((function(e){return e.join(" ").trim()})).join("||").trim(),this.range},Range.prototype.toString=function(){return this.range},Range.prototype.parseRange=function(e){var t=this.options.loose;e=e.trim();var a=t?n[z]:n[q];e=e.replace(a,hyphenReplace),r("hyphen replace",e),e=e.replace(n[$],"$1$2$3"),r("comparator trim",e,n[$]),
e=(e=(e=e.replace(n[N],"$1~")).replace(n[O],"$1^")).split(/\s+/).join(" ");var i=t?n[j]:n[B],o=e.split(" ").map((function(e){return function parseComparator(e,t){return r("comp",e,t),e=function replaceCarets(e,t){return e.trim().split(/\s+/).map((function(e){return function replaceCaret(e,t){r("caret",e,t);var a=t.loose?n[U]:n[F];return e.replace(a,(function(t,a,n,i,o){var s;return r("caret",e,t,a,n,i,o),isX(a)?s="":isX(n)?s=">="+a+".0.0 <"+(+a+1)+".0.0":isX(i)?s="0"===a?">="+a+"."+n+".0 <"+a+"."+(+n+1)+".0":">="+a+"."+n+".0 <"+(+a+1)+".0.0":o?(r("replaceCaret pr",o),s="0"===a?"0"===n?">="+a+"."+n+"."+i+"-"+o+" <"+a+"."+n+"."+(+i+1):">="+a+"."+n+"."+i+"-"+o+" <"+a+"."+(+n+1)+".0":">="+a+"."+n+"."+i+"-"+o+" <"+(+a+1)+".0.0"):(r("no pr"),s="0"===a?"0"===n?">="+a+"."+n+"."+i+" <"+a+"."+n+"."+(+i+1):">="+a+"."+n+"."+i+" <"+a+"."+(+n+1)+".0":">="+a+"."+n+"."+i+" <"+(+a+1)+".0.0"),r("caret return",s),s}))}(e,t)})).join(" ")}(e,t),r("caret",e),e=function replaceTildes(e,t){
return e.trim().split(/\s+/).map((function(e){return function replaceTilde(e,t){var a=t.loose?n[M]:n[L];return e.replace(a,(function(t,a,n,i,o){var s;return r("tilde",e,t,a,n,i,o),isX(a)?s="":isX(n)?s=">="+a+".0.0 <"+(+a+1)+".0.0":isX(i)?s=">="+a+"."+n+".0 <"+a+"."+(+n+1)+".0":o?(r("replaceTilde pr",o),s=">="+a+"."+n+"."+i+"-"+o+" <"+a+"."+(+n+1)+".0"):s=">="+a+"."+n+"."+i+" <"+a+"."+(+n+1)+".0",r("tilde return",s),s}))}(e,t)})).join(" ")}(e,t),r("tildes",e),e=function replaceXRanges(e,t){return r("replaceXRanges",e,t),e.split(/\s+/).map((function(e){return function replaceXRange(e,t){e=e.trim();var a=t.loose?n[D]:n[k];return e.replace(a,(function(t,a,n,i,o,s){r("xRange",e,t,a,n,i,o,s);var c=isX(n),l=c||isX(i),u=l||isX(o);return"="===a&&u&&(a=""),c?t=">"===a||"<"===a?"<0.0.0":"*":a&&u?(l&&(i=0),o=0,">"===a?(a=">=",l?(n=+n+1,i=0,o=0):(i=+i+1,o=0)):"<="===a&&(a="<",l?n=+n+1:i=+i+1),t=a+n+"."+i+"."+o):l?t=">="+n+".0.0 <"+(+n+1)+".0.0":u&&(t=">="+n+"."+i+".0 <"+n+"."+(+i+1)+".0"),
r("xRange return",t),t}))}(e,t)})).join(" ")}(e,t),r("xrange",e),e=function replaceStars(e,t){return r("replaceStars",e,t),e.trim().replace(n[V],"")}(e,t),r("stars",e),e}(e,this.options)}),this).join(" ").split(/\s+/);return this.options.loose&&(o=o.filter((function(e){return!!e.match(i)}))),o=o.map((function(e){return new Comparator(e,this.options)}),this)},Range.prototype.intersects=function(e,t){if(!(e instanceof Range))throw new TypeError("a Range is required");return this.set.some((function(r){return r.every((function(r){return e.set.some((function(e){return e.every((function(e){return r.intersects(e,t)}))}))}))}))},t.toComparators=function toComparators(e,t){return new Range(e,t).set.map((function(e){return e.map((function(e){return e.value})).join(" ").trim().split(" ")}))},Range.prototype.test=function(e){if(!e)return!1;"string"==typeof e&&(e=new SemVer(e,this.options));for(var t=0;t<this.set.length;t++)if(testSet(this.set[t],e,this.options))return!0;return!1},
t.satisfies=satisfies,t.maxSatisfying=function maxSatisfying(e,t,r){var a=null,n=null;try{var i=new Range(t,r)}catch(e){return null}return e.forEach((function(e){i.test(e)&&(a&&-1!==n.compare(e)||(n=new SemVer(a=e,r)))})),a},t.minSatisfying=function minSatisfying(e,t,r){var a=null,n=null;try{var i=new Range(t,r)}catch(e){return null}return e.forEach((function(e){i.test(e)&&(a&&1!==n.compare(e)||(n=new SemVer(a=e,r)))})),a},t.minVersion=function minVersion(e,t){e=new Range(e,t);var r=new SemVer("0.0.0");if(e.test(r))return r;if(r=new SemVer("0.0.0-0"),e.test(r))return r;r=null;for(var a=0;a<e.set.length;++a){e.set[a].forEach((function(e){var t=new SemVer(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":r&&!gt(r,t)||(r=t);break;case"<":case"<=":break;default:throw new Error("Unexpected operation: "+e.operator)}}))}if(r&&e.test(r))return r;return null},t.validRange=function validRange(e,t){try{
return new Range(e,t).range||"*"}catch(e){return null}},t.ltr=function ltr(e,t,r){return outside(e,t,"<",r)},t.gtr=function gtr(e,t,r){return outside(e,t,">",r)},t.outside=outside,t.prerelease=function prerelease(e,t){var r=parse(e,t);return r&&r.prerelease.length?r.prerelease:null},t.intersects=function intersects(e,t,r){return e=new Range(e,r),t=new Range(t,r),e.intersects(t)},t.coerce=function coerce(e){if(e instanceof SemVer)return e;if("string"!=typeof e)return null;var t=e.match(n[C]);if(null==t)return null;return parse(t[1]+"."+(t[2]||"0")+"."+(t[3]||"0"))}}(Qx,Qx.exports);const e_=kc,t_=Jl,r_=Qx.exports,a_={npm:{"@angular/core":[{id:"SNYK-JS-ANGULARCORE-1070902",severity:"low",semver:{vulnerable:["<11.0.5",">=11.1.0-next.0 <11.1.0-next.3"]}}],angular:[{id:"SNYK-JS-ANGULAR-572020",severity:"high",semver:{vulnerable:["<1.8.0"]}},{id:"SNYK-JS-ANGULAR-570058",severity:"medium",semver:{vulnerable:["<1.8.0"]}},{id:"SNYK-JS-ANGULAR-534884",severity:"high",semver:{
vulnerable:[">=1.4.0-beta.6 <1.7.9"]}},{id:"SNYK-JS-ANGULAR-471885",severity:"medium",semver:{vulnerable:["<1.6.3"]}},{id:"SNYK-JS-ANGULAR-471882",severity:"medium",semver:{vulnerable:["<1.6.5"]}},{id:"SNYK-JS-ANGULAR-471879",severity:"medium",semver:{vulnerable:["<1.6.0-rc.0"]}},{id:"npm:angular:20180202",severity:"medium",semver:{vulnerable:["<1.6.9"]}},{id:"npm:angular:20171018",severity:"medium",semver:{vulnerable:["<1.6.7"]}},{id:"npm:angular:20160527",severity:"medium",semver:{vulnerable:[">=1.0.0 <1.2.30"]}},{id:"npm:angular:20160122",severity:"medium",semver:{vulnerable:[">=1.3.0 <1.5.0-rc.2"]}},{id:"npm:angular:20140608",severity:"low",semver:{vulnerable:["<1.3.0"]}},{id:"npm:angular:20131113",severity:"high",semver:{vulnerable:["<1.2.2"]}},{id:"npm:angular:20140908",severity:"medium",semver:{vulnerable:["<1.3.0-rc.5"]}},{id:"npm:angular:20161101",severity:"medium",semver:{vulnerable:[">=1.5.0 <1.5.9"]}},{id:"npm:angular:20150909",severity:"high",semver:{
vulnerable:["<1.5.0-beta.2"]}},{id:"npm:angular:20151205",severity:"medium",semver:{vulnerable:["<1.5.0-rc.0"]}},{id:"npm:angular:20151130",severity:"medium",semver:{vulnerable:["<1.4.10"]}},{id:"npm:angular:20130622",severity:"medium",semver:{vulnerable:[">=1.0.0 <1.2.0"]}},{id:"npm:angular:20150807-1",severity:"medium",semver:{vulnerable:[">=1.3.1 <1.5.0-beta.0"]}},{id:"npm:angular:20150807",severity:"high",semver:{vulnerable:[">=1.0.0 <1.5.0-beta.0"]}},{id:"npm:angular:20150315",severity:"medium",semver:{vulnerable:["<1.6.1"]}},{id:"npm:angular:20150310",severity:"high",semver:{vulnerable:["<1.4.0-beta.6"]}},{id:"npm:angular:20141104",severity:"medium",semver:{vulnerable:["<1.3.2"]}},{id:"npm:angular:20130621",severity:"medium",semver:{vulnerable:["<1.2.0"]}},{id:"npm:angular:20140909",severity:"high",semver:{vulnerable:[">=1.2.19 <1.2.27"]}},{id:"npm:angular:20130625",severity:"high",semver:{vulnerable:["<1.1.5"]}}],backbone:[{id:"npm:backbone:20160523",severity:"medium",semver:{
vulnerable:["<0.1.2"]}},{id:"npm:backbone:20110701",severity:"medium",semver:{vulnerable:["<0.5.0"]}}],bootstrap:[{id:"SNYK-JS-BOOTSTRAP-173700",severity:"medium",semver:{vulnerable:["<3.4.1",">=4.0.0 <4.3.1"]}},{id:"SNYK-JS-BOOTSTRAP-73560",severity:"medium",semver:{vulnerable:[">=4.0.0 <4.1.2"]}},{id:"SNYK-JS-BOOTSTRAP-72890",severity:"medium",semver:{vulnerable:["<3.4.0"]}},{id:"SNYK-JS-BOOTSTRAP-72889",severity:"medium",semver:{vulnerable:["<3.4.0"]}},{id:"npm:bootstrap:20180529",severity:"medium",semver:{vulnerable:["<3.4.0",">=4.0.0 <4.1.2"]}},{id:"npm:bootstrap:20160627",severity:"medium",semver:{vulnerable:["<3.4.0",">=4.0.0-alpha <4.0.0-beta.2"]}},{id:"npm:bootstrap:20120510",severity:"medium",semver:{vulnerable:["<2.1.0"]}}],dojo:[{id:"SNYK-JS-DOJO-1535223",severity:"high",semver:{vulnerable:["<1.17.0"]}},{id:"SNYK-JS-DOJO-559224",severity:"medium",semver:{vulnerable:["<1.11.10",">=1.12.1 <1.12.8",">=1.13.0 <1.13.7",">=1.14.0 <1.14.6",">=1.15.0 <1.15.3",">=1.16.0 <1.16.2"]}
},{id:"SNYK-JS-DOJO-174934",severity:"medium",semver:{vulnerable:[">=1.0.0 <1.0.3",">=1.1.0 <1.1.2",">=1.2.0 <1.2.4",">=1.3.0 <1.3.3",">=1.4.0 <1.4.2"]}},{id:"SNYK-JS-DOJO-174933",severity:"medium",semver:{vulnerable:["<1.2.0"]}},{id:"SNYK-JS-DOJO-72305",severity:"medium",semver:{vulnerable:[">=1.14.0-pre <1.14.0",">=1.13.0 <1.13.1",">=1.12.1 <1.12.4",">=1.11.0-rc1 <1.11.6","<1.10.10"]}},{id:"npm:dojo:20180818",severity:"medium",semver:{vulnerable:["<1.10.10",">=1.11.0 <1.11.6",">=1.12.0 <1.12.4",">=1.13.0 <1.13.1"]}},{id:"npm:dojo:20100614-6",severity:"medium",semver:{vulnerable:["<1.4.2"]}},{id:"npm:dojo:20100614",severity:"medium",semver:{vulnerable:[">=0.4.0 <0.4.4",">=1.0.0 <1.0.3",">=1.1.0 <1.1.2",">=1.2.0 <1.2.4",">=1.3.0 <1.3.3",">=1.4.0 <1.4.2"]}}],"foundation-sites":[{id:"npm:foundation-sites:20170802",severity:"medium",semver:{vulnerable:["<6.0.0"]}},{id:"npm:foundation-sites:20150619",severity:"medium",semver:{vulnerable:["<5.5.3"]}},{id:"npm:foundation-sites:20120717",
severity:"medium",semver:{vulnerable:[">=3.0.0 <3.0.6"]}}],"google-closure-library":[{id:"SNYK-JS-GOOGLECLOSURELIBRARY-561341",severity:"medium",semver:{vulnerable:["<20200315.0.0"]}},{id:"SNYK-JS-GOOGLECLOSURELIBRARY-174519",severity:"medium",semver:{vulnerable:[">=20190121.0.0 <20190301.0.0"]}}],gsap:[{id:"SNYK-JS-GSAP-1054614",severity:"high",semver:{vulnerable:["<3.6.0"]}}],handlebars:[{id:"SNYK-JS-HANDLEBARS-1279029",severity:"medium",semver:{vulnerable:["<4.7.7"]}},{id:"SNYK-JS-HANDLEBARS-1056767",severity:"high",semver:{vulnerable:["<4.7.7"]}},{id:"SNYK-JS-HANDLEBARS-567742",severity:"medium",semver:{vulnerable:["<4.6.0"]}},{id:"SNYK-JS-HANDLEBARS-534988",severity:"critical",semver:{vulnerable:[">=4.0.0 <4.5.3","<3.0.8"]}},{id:"SNYK-JS-HANDLEBARS-534478",severity:"high",semver:{vulnerable:[">=4.0.0 <4.5.3","<3.0.8"]}},{id:"SNYK-JS-HANDLEBARS-480388",severity:"high",semver:{vulnerable:[">=4.0.0 <4.4.5"]}},{id:"SNYK-JS-HANDLEBARS-469063",severity:"high",semver:{
vulnerable:[">=4.0.0 <4.3.0","<3.8.0"]}},{id:"SNYK-JS-HANDLEBARS-174183",severity:"high",semver:{vulnerable:[">=3.0.0 <3.0.7",">=4.1.0 <4.1.2",">=4.0.0 <4.0.14"]}},{id:"SNYK-JS-HANDLEBARS-173692",severity:"high",semver:{vulnerable:["<4.0.14",">=4.1.0 <4.1.2"]}},{id:"npm:handlebars:20151207",severity:"medium",semver:{vulnerable:["<4.0.0"]}},{id:"npm:handlebars:20110425",severity:"medium",semver:{vulnerable:["<=1.0.0-beta.3"]}}],highcharts:[{id:"SNYK-JS-HIGHCHARTS-1290057",severity:"medium",semver:{vulnerable:["<9.0.0"]}},{id:"SNYK-JS-HIGHCHARTS-1018906",severity:"medium",semver:{vulnerable:["<9.0.0"]}},{id:"SNYK-JS-HIGHCHARTS-571995",severity:"high",semver:{vulnerable:["<7.2.2",">=8.0.0 <8.1.1"]}},{id:"npm:highcharts:20180225",severity:"high",semver:{vulnerable:["<6.1.0"]}}],jquery:[{id:"SNYK-JS-JQUERY-569619",severity:"medium",semver:{vulnerable:["<1.9.0"]}},{id:"SNYK-JS-JQUERY-567880",severity:"medium",semver:{vulnerable:[">=1.2.0 <3.5.0"]}},{id:"SNYK-JS-JQUERY-565129",
severity:"medium",semver:{vulnerable:[">=1.5.1 <3.5.0"]}},{id:"SNYK-JS-JQUERY-174006",severity:"medium",semver:{vulnerable:["<3.4.0"]}},{id:"npm:jquery:20160529",severity:"low",semver:{vulnerable:[">=3.0.0-rc1 <3.0.0"]}},{id:"npm:jquery:20150627",severity:"medium",semver:{vulnerable:["<1.12.2",">=1.12.3 <2.2.0",">=2.2.3 <3.0.0"]}},{id:"npm:jquery:20140902",severity:"medium",semver:{vulnerable:[">=1.4.2 <1.6.2"]}},{id:"npm:jquery:20120206",severity:"medium",semver:{vulnerable:["<1.9.1"]}},{id:"npm:jquery:20110606",severity:"medium",semver:{vulnerable:["<1.6.3"]}}],"jquery-mobile":[{id:"SNYK-JS-JQUERYMOBILE-174599",severity:"medium",semver:{vulnerable:["<=1.5.0-alpha.1"]}},{id:"npm:jquery-mobile:20120802",severity:"medium",semver:{vulnerable:["<1.2.0"]}}],"jquery-ui":[{id:"SNYK-JS-JQUERYUI-1767767",severity:"high",semver:{vulnerable:["<1.13.0"]}},{id:"SNYK-JS-JQUERYUI-1767175",severity:"high",semver:{vulnerable:["<1.13.0"]}},{id:"SNYK-JS-JQUERYUI-1767167",severity:"high",semver:{
vulnerable:["<1.13.0"]}},{id:"npm:jquery-ui:20121127",severity:"medium",semver:{vulnerable:["<1.10.0"]}},{id:"npm:jquery-ui:20100903",severity:"medium",semver:{vulnerable:["<1.10.0"]}},{id:"npm:jquery-ui:20160721",severity:"high",semver:{vulnerable:["<1.12.0"]}}],knockout:[{id:"npm:knockout:20180213",severity:"medium",semver:{vulnerable:["<3.5.0-beta"]}},{id:"npm:knockout:20130701",severity:"medium",semver:{vulnerable:[">=2.1.0-pre <3.0.0"]}}],lodash:[{id:"SNYK-JS-LODASH-1040724",severity:"high",semver:{vulnerable:["<4.17.21"]}},{id:"SNYK-JS-LODASH-1018905",severity:"medium",semver:{vulnerable:["<4.17.21"]}},{id:"SNYK-JS-LODASH-608086",severity:"high",semver:{vulnerable:["<4.17.17"]}},{id:"SNYK-JS-LODASH-567746",severity:"high",semver:{vulnerable:["<4.17.20"]}},{id:"SNYK-JS-LODASH-450202",severity:"high",semver:{vulnerable:["<4.17.12"]}},{id:"SNYK-JS-LODASH-73639",severity:"medium",semver:{vulnerable:["<4.17.11"]}},{id:"SNYK-JS-LODASH-73638",severity:"high",semver:{
vulnerable:["<4.17.11"]}},{id:"npm:lodash:20180130",severity:"medium",semver:{vulnerable:["<4.17.5"]}}],moment:[{id:"SNYK-JS-MOMENT-2440688",severity:"high",semver:{vulnerable:["<2.29.2"]}},{id:"npm:moment:20170905",severity:"low",semver:{vulnerable:["<2.19.3"]}},{id:"npm:moment:20161019",severity:"medium",semver:{vulnerable:["<2.15.2"]}},{id:"npm:moment:20160126",severity:"medium",semver:{vulnerable:["<2.11.2"]}}],mustache:[{id:"npm:mustache:20151207",severity:"medium",semver:{vulnerable:["<2.2.1"]}},{id:"npm:mustache:20110814",severity:"medium",semver:{vulnerable:["< 0.3.1"]}}],next:[{id:"SNYK-JS-NEXT-2405694",severity:"medium",semver:{vulnerable:[">=10.0.0 <12.1.0"]}},{id:"SNYK-JS-NEXT-2388583",severity:"medium",semver:{vulnerable:[">=12.0.0 <12.0.9"]}},{id:"SNYK-JS-NEXT-2312745",severity:"high",semver:{vulnerable:[">=12.0.0 <12.0.5",">=11.1.0 <11.1.3"]}},{id:"SNYK-JS-NEXT-1577139",severity:"medium",semver:{vulnerable:[">=10.0.0 <11.1.1"]}},{id:"SNYK-JS-NEXT-1540422",
severity:"medium",semver:{vulnerable:["<11.1.0"]}},{id:"SNYK-JS-NEXT-1063481",severity:"medium",semver:{vulnerable:[">=9.5.0 <9.5.4"]}},{id:"SNYK-JS-NEXT-571938",severity:"high",semver:{vulnerable:["<5.1.0"]}},{id:"SNYK-JS-NEXT-561584",severity:"medium",semver:{vulnerable:["<9.3.2"]}},{id:"SNYK-JS-NEXT-174590",severity:"high",semver:{vulnerable:["<2.4.1"]}},{id:"SNYK-JS-NEXT-72454",severity:"medium",semver:{vulnerable:[">=7.0.0 <7.0.2"]}},{id:"npm:next:20180124",severity:"high",semver:{vulnerable:["<4.2.3"]}},{id:"npm:next:20170607",severity:"medium",semver:{vulnerable:["<2.4.3"]}},{id:"npm:next:20170601",severity:"high",semver:{vulnerable:["<2.4.1",">=3.0.0-beta1 <3.0.0-beta7"]}}],react:[{id:"npm:react:20150318",severity:"high",semver:{vulnerable:[">=0.0.1 <0.14.0"]}},{id:"npm:react:20131217",severity:"medium",semver:{vulnerable:[">=0.5.0 <0.5.2",">=0.4.0 <0.4.2"]}}],riot:[{id:"npm:riot:20131114",severity:"medium",semver:{vulnerable:["<0.9.6"]}}],"socket.io":[{
id:"SNYK-JS-SOCKETIO-1024859",severity:"medium",semver:{vulnerable:["<2.4.0"]}},{id:"npm:socket.io:20120417",severity:"medium",semver:{vulnerable:["<0.9.6"]}},{id:"npm:socket.io:20120323",severity:"medium",semver:{vulnerable:["<0.9.7"]}}],three:[{id:"SNYK-JS-THREE-1064931",severity:"high",semver:{vulnerable:["<0.125.0"]}}],underscore:[{id:"SNYK-JS-UNDERSCORE-1080984",severity:"medium",semver:{vulnerable:[">=1.13.0-0 <1.13.0-2",">=1.3.2 <1.12.1"]}}],vue:[{id:"npm:vue:20170829",severity:"medium",semver:{vulnerable:["<2.4.3"]}},{id:"npm:vue:20170401",severity:"medium",semver:{vulnerable:["<2.3.0-beta.1"]}},{id:"npm:vue:20180802",severity:"medium",semver:{vulnerable:["<2.5.17"]}},{id:"npm:vue:20180222",severity:"low",semver:{vulnerable:["<2.5.14"]}}],yui:[{id:"npm:yui:20130604",severity:"medium",semver:{vulnerable:[">=3.0.0 <3.10.1","=3.10.2"]}},{id:"npm:yui:20130515",severity:"medium",semver:{vulnerable:["<3.10.0 >=3.0.0"]}},{id:"npm:yui:20121030",severity:"medium",semver:{
vulnerable:["<3.0.0 >=2.4.0"]}},{id:"npm:yui:20120428",severity:"medium",semver:{vulnerable:["<3.5.1 >=3.5.0-PR1"]}},{id:"npm:yui:20101025",severity:"medium",semver:{vulnerable:["<2.8.2 >=2.4.0"]}}]}},n_=oi,i_={title:"Avoids front-end JavaScript libraries with known security vulnerabilities",failureTitle:"Includes front-end JavaScript libraries with known security vulnerabilities",description:"Some third-party scripts may contain known security vulnerabilities that are easily identified and exploited by attackers. [Learn more](https://web.dev/no-vulnerable-libraries/).",displayValue:"{itemCount, plural,\n    =1 {1 vulnerability detected}\n    other {# vulnerabilities detected}\n    }",columnVersion:"Library Version",columnVuln:"Vulnerability Count",columnSeverity:"Highest Severity"},o_=n_.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js",i_),s_=/^(\d+\.\d+\.\d+)[^-0-9]+/,c_={low:o_(n_.UIStrings.itemSeverityLow),
medium:o_(n_.UIStrings.itemSeverityMedium),high:o_(n_.UIStrings.itemSeverityHigh)};class NoVulnerableLibrariesAudit extends e_{static get meta(){return{id:"no-vulnerable-libraries",title:o_(i_.title),failureTitle:o_(i_.failureTitle),description:o_(i_.description),requiredArtifacts:["Stacks"]}}static get snykDB(){return a_}static get severityMap(){return{high:3,medium:2,low:1}}static normalizeVersion(e){if(!e)return e;if(r_.valid(e))return e;if(/^\d+\.\d+$/.test(e))return`${e}.0`;const t=e.match(s_);return t?t[1]:e}static getVulnerabilities(e,t,r){if(!t.npm||!r.npm[t.npm])return[];try{r_.satisfies(e,"*")}catch(e){return e.pkgName=t.npm,t_.captureException(e,{level:"warning"}),[]}return r.npm[t.npm].filter((t=>t.semver.vulnerable.some((t=>r_.satisfies(e,t))))).map((r=>({severity:c_[r.severity],numericSeverity:this.severityMap[r.severity],library:`${t.name}@${e}`,url:"https://snyk.io/vuln/"+r.id})))}static highestSeverity(e){
return e.sort(((e,t)=>t.numericSeverity-e.numericSeverity))[0].severity}static audit(e){const t=e.Stacks.filter((e=>"js"===e.detector)),r=NoVulnerableLibrariesAudit.snykDB;if(!t.length)return{score:1};let a=0;const n=[];for(const e of t){const t=this.normalizeVersion(e.version)||"",i=this.getVulnerabilities(t,e,r),o=i.length;let s;a+=o,i.length>0&&(s=this.highestSeverity(i),n.push({highestSeverity:s,vulnCount:o,detectedLib:{text:e.name+"@"+t,url:`https://snyk.io/vuln/npm:${e.npm}?lh=${t}&utm_source=lighthouse&utm_medium=ref&utm_campaign=audit`,type:"link"}}))}let i;a>0&&(i=o_(i_.displayValue,{itemCount:a}));const o=[{key:"detectedLib",itemType:"link",text:o_(i_.columnVersion)},{key:"vulnCount",itemType:"text",text:o_(i_.columnVuln)},{key:"highestSeverity",itemType:"text",text:o_(i_.columnSeverity)}],s=e_.makeTableDetails(o,n,{});return{score:Number(0===a),displayValue:i,details:s}}}Zx.exports=NoVulnerableLibrariesAudit,Zx.exports.UIStrings=i_;var l_={exports:{}};const u_=Lx,d_=oi,m_={
title:"Avoids requesting the notification permission on page load",failureTitle:"Requests the notification permission on page load",description:"Users are mistrustful of or confused by sites that request to send notifications without context. Consider tying the request to user gestures instead. [Learn more](https://web.dev/notification-on-start/)."},p_=d_.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/notification-on-start.js",m_);l_.exports=class NotificationOnStart extends u_{static get meta(){return{id:"notification-on-start",title:p_(m_.title),failureTitle:p_(m_.failureTitle),description:p_(m_.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages","SourceMaps","ScriptElements"]}}static async audit(e,t){const r=await u_.getViolationResults(e,t,/notification permission/),a=[{key:"source",itemType:"source-location",text:p_(d_.UIStrings.columnSource)}],n=u_.makeTableDetails(a,r);return{score:Number(0===r.length),details:n}}},
l_.exports.UIStrings=m_;var h_={exports:{}};const g_=kc,f_=oi,y_={title:"Allows users to paste into password fields",failureTitle:"Prevents users to paste into password fields",description:"Preventing password pasting undermines good security policy. [Learn more](https://web.dev/password-inputs-can-be-pasted-into/)."},v_=f_.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js",y_);h_.exports=class PasswordInputsCanBePastedIntoAudit extends g_{static get meta(){return{id:"password-inputs-can-be-pasted-into",title:v_(y_.title),failureTitle:v_(y_.failureTitle),description:v_(y_.description),requiredArtifacts:["PasswordInputsWithPreventedPaste"]}}static audit(e){const t=e.PasswordInputsWithPreventedPaste,r=[];t.forEach((e=>{r.push({node:g_.makeNodeItem(e.node)})}));const a=[{key:"node",itemType:"node",text:v_(f_.UIStrings.columnFailingElem)}];return{score:Number(0===t.length),details:g_.makeTableDetails(a,r)}}},h_.exports.UIStrings=y_;var b_={
exports:{}};const w_=kc,S_=uw,T_=ji,E_=Ib,x_=Tb,A_=Ki,R_=Lo,k_=Dl,D_=eb,C_=oi,I_={title:"Use HTTP/2",description:"HTTP/2 offers many benefits over HTTP/1.1, including binary headers and multiplexing. [Learn more](https://web.dev/uses-http2/).",displayValue:"{itemCount, plural,\n    =1 {1 request not served via HTTP/2}\n    other {# requests not served via HTTP/2}\n    }",columnProtocol:"Protocol"},N_=C_.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/uses-http2.js",I_),L_=new Set([A_.TYPES.Document,A_.TYPES.Font,A_.TYPES.Image,A_.TYPES.Stylesheet,A_.TYPES.Script,A_.TYPES.Media]);class UsesHTTP2Audit extends w_{static get meta(){return{id:"uses-http2",title:N_(I_.title),description:N_(I_.description),scoreDisplayMode:w_.SCORING_MODES.NUMERIC,supportedModes:["timespan","navigation"],requiredArtifacts:["URL","devtoolsLogs","traces","GatherContext"]}}static computeWasteWithTTIGraph(e,t,r){const a=new Set(e.map((e=>e.url))),n=r.simulate(t,{label:"uses-http2-before",
flexibleOrdering:true}),i=new Map;t.traverse((e=>{"network"===e.type&&a.has(e.record.url)&&(i.set(e.record.requestId,e.record.protocol),e.record.protocol="h2")}));const o=r.simulate(t,{label:"uses-http2-after",flexibleOrdering:true});t.traverse((e=>{if("network"!==e.type)return;const t=i.get(e.record.requestId);void 0!==t&&(e.record.protocol=t)}));const s=n.timeInMs-o.timeInMs,c=x_.getLastLongTaskEndTime(n.nodeTimings)-x_.getLastLongTaskEndTime(o.nodeTimings),l=Math.max(c,s);return 10*Math.round(Math.max(l,0)/10)}static isStaticAsset(e){if(!L_.has(e.resourceType))return!1;if(e.resourceSize<100){if(S_.getEntity(e.url))return!1}return!0}static determineNonHttp2Resources(e){const t=[],r=new Set,a=new Map;for(const t of e){if(!UsesHTTP2Audit.isStaticAsset(t))continue;if(T_.isLikeLocalhost(t.parsedURL.host))continue;const e=a.get(t.parsedURL.securityOrigin)||[];e.push(t),a.set(t.parsedURL.securityOrigin,e)}for(const n of e){if(r.has(n.url))continue;if(n.fetchedViaServiceWorker)continue
;if(!/HTTP\/[01][.\d]?/i.test(n.protocol))continue;(a.get(n.parsedURL.securityOrigin)||[]).length<6||(r.add(n.url),t.push({protocol:n.protocol,url:n.url}))}return t}static async audit(e,t){const r=e.traces[w_.DEFAULT_PASS],a=e.devtoolsLogs[w_.DEFAULT_PASS],n=await R_.request(a,t),i=UsesHTTP2Audit.determineNonHttp2Resources(n);let o;if(i.length>0&&(o=N_(I_.displayValue,{itemCount:i.length})),"timespan"===e.GatherContext.gatherMode){const e=[{key:"url",itemType:"url",text:N_(C_.UIStrings.columnURL)},{key:"protocol",itemType:"text",text:N_(I_.columnProtocol)}],t=w_.makeTableDetails(e,i);return{displayValue:o,score:i.length?0:1,details:t}}const s={devtoolsLog:a,settings:t?.settings||{}},c=await D_.request({trace:r,devtoolsLog:a},t),l=await k_.request(s,t),u=UsesHTTP2Audit.computeWasteWithTTIGraph(i,c,l),d=[{key:"url",valueType:"url",label:N_(C_.UIStrings.columnURL)},{key:"protocol",valueType:"text",label:N_(I_.columnProtocol)}],m=w_.makeOpportunityDetails(d,i,u);return{displayValue:o,
numericValue:u,numericUnit:"millisecond",score:E_.scoreForWastedMs(u),details:m}}}b_.exports=UsesHTTP2Audit,b_.exports.UIStrings=I_;var M_={exports:{}};const P_=Lx,O_=oi,F_={title:"Uses passive listeners to improve scrolling performance",failureTitle:"Does not use passive listeners to improve scrolling performance",description:"Consider marking your touch and wheel event listeners as `passive` to improve your page's scroll performance. [Learn more](https://web.dev/uses-passive-event-listeners/)."},U_=O_.createMessageInstanceIdFn("lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js",F_);M_.exports=class PassiveEventsAudit extends P_{static get meta(){return{id:"uses-passive-event-listeners",title:U_(F_.title),failureTitle:U_(F_.failureTitle),description:U_(F_.description),requiredArtifacts:["ConsoleMessages","SourceMaps","ScriptElements"]}}static async audit(e,t){const r=await P_.getViolationResults(e,t,/passive event listener/),a=[{key:"source",
itemType:"source-location",text:U_(O_.UIStrings.columnSource)}],n=P_.makeTableDetails(a,r);return{score:Number(0===r.length),details:n}}},M_.exports.UIStrings=F_;var j_={exports:{}};const B_=on.default,$_=kc,q_=jb,z_=oi,V_={title:"No browser errors logged to the console",failureTitle:"Browser errors were logged to the console",description:"Errors logged to the console indicate unresolved problems. They can come from network request failures and other browser concerns. [Learn more](https://web.dev/errors-in-console/)"},W_=z_.createMessageInstanceIdFn("lighthouse-core/audits/errors-in-console.js",V_);class ErrorLogs extends $_{static get meta(){return{id:"errors-in-console",title:W_(V_.title),failureTitle:W_(V_.failureTitle),description:W_(V_.description),requiredArtifacts:["ConsoleMessages","SourceMaps","ScriptElements"]}}static get defaultOptions(){return{ignoredPatterns:["ERR_BLOCKED_BY_CLIENT.Inspector"]}}static filterAccordingToOptions(e,t){
const{ignoredPatterns:r,...a}=t,n=Object.keys(a);return n.length&&B_.warn(this.meta.id,"Unrecognized options",n),r?e.filter((({description:e})=>{if(!e)return!0;for(const t of r){if(t instanceof RegExp&&t.test(e))return!1;if("string"==typeof t&&e.includes(t))return!1}return!0})):e}static async audit(e,t){const r=t.options,a=await q_.request(e,t),n=e.ConsoleMessages.filter((e=>"error"===e.level)).map((e=>{const t=a.find((t=>t.script.src===e.url));return{source:e.source,description:e.text,sourceLocation:$_.makeSourceLocationFromConsoleMessage(e,t)}})),i=ErrorLogs.filterAccordingToOptions(n,r).sort(((e,t)=>(e.description||"").localeCompare(t.description||""))),o=[{key:"sourceLocation",itemType:"source-location",text:W_(z_.UIStrings.columnSource)},{key:"description",itemType:"code",text:W_(z_.UIStrings.columnDescription)}],s=$_.makeTableDetails(o,i),c=i.length;return{score:Number(0===c),details:s}}}j_.exports=ErrorLogs,j_.exports.UIStrings=V_;const G_=Ao;var H_=G_(class Screenshots$1{
static async compute_(e){return e.traceEvents.filter((e=>"Screenshot"===e.name)).map((e=>({timestamp:e.ts,datauri:`data:image/jpeg;base64,${e.args.snapshot}`})))}},null);const Y_=kc,K_=vi.exports,J_=Yp,X_=H_;var Z_=class FinalScreenshot extends Y_{static get meta(){return{id:"final-screenshot",scoreDisplayMode:Y_.SCORING_MODES.INFORMATIVE,title:"Final Screenshot",description:"The last screenshot captured of the pageload.",requiredArtifacts:["traces","GatherContext"]}}static async audit(e,t){const r=e.traces[Y_.DEFAULT_PASS],a=await J_.request(r,t),n=await X_.request(r,t),{timeOrigin:i}=a.timestamps,o=n[n.length-1];if(!o){if("timespan"===e.GatherContext.gatherMode)return{notApplicable:!0,score:1};throw new K_(K_.errors.NO_SCREENSHOTS)}return{score:1,details:{type:"screenshot",timing:Math.round((o.timestamp-i)/1e3),timestamp:o.timestamp,data:o.datauri}}}},Q_={exports:{}};const eA=kc,tA=ji,rA=/^(block|fallback|optional|swap)$/,aA=/url\((.*?)\)/,nA=new RegExp(aA,"g"),iA=oi,oA=Jl,sA=Lo,cA={
title:"All text remains visible during webfont loads",failureTitle:"Ensure text remains visible during webfont load",description:"Leverage the font-display CSS feature to ensure text is user-visible while webfonts are loading. [Learn more](https://web.dev/font-display/).",undeclaredFontOriginWarning:"{fontCountForOrigin, plural, =1 {Lighthouse was unable to automatically check the `font-display` value for the origin {fontOrigin}.} other {Lighthouse was unable to automatically check the `font-display` values for the origin {fontOrigin}.}}"},lA=iA.createMessageInstanceIdFn("lighthouse-core/audits/font-display.js",cA);class FontDisplay$1 extends eA{static get meta(){return{id:"font-display",title:lA(cA.title),failureTitle:lA(cA.failureTitle),description:lA(cA.description),supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","CSSUsage","URL"]}}static findFontDisplayDeclarations(e,t){const r=new Set,a=new Set;for(const n of e.CSSUsage.stylesheets){
const i=n.content.replace(/(\r|\n)+/g," ").match(/@font-face\s*{(.*?)}/g)||[];for(const o of i){const i=o.match(nA);if(!i)continue;const s=o.match(/font-display\s*:\s*(\w+)\s*(;|\})/)?.[1]||"",c=t.test(s)?r:a,l=i.map((e=>e.match(aA)[1].trim())).map((e=>/^('|").*\1$/.test(e)?e.substr(1,e.length-2):e));for(const t of l)try{const r=tA.isValid(n.header.sourceURL)?n.header.sourceURL:e.URL.finalUrl,a=new tA(t,r);c.add(a.href)}catch(e){oA.captureException(e,{tags:{audit:this.meta.id}})}}}return{passingURLs:r,failingURLs:a}}static getWarningsForFontUrls(e){const t=new Map;for(const r of e){const e=tA.getOrigin(r);if(!e)continue;const a=t.get(e)||0;t.set(e,a+1)}return[...t].map((([e,t])=>lA(cA.undeclaredFontOriginWarning,{fontCountForOrigin:t,fontOrigin:e})))}static async audit(e,t){
const r=e.devtoolsLogs[this.DEFAULT_PASS],a=await sA.request(r,t),{passingURLs:n,failingURLs:i}=FontDisplay$1.findFontDisplayDeclarations(e,rA),o=[],s=a.filter((e=>"Font"===e.resourceType)).filter((e=>!/^data:/.test(e.url))).filter((e=>!/^blob:/.test(e.url))).filter((e=>!!i.has(e.url)||(n.has(e.url)||o.push(e.url),!1))).map((e=>{const t=Math.min(1e3*(e.endTime-e.startTime),3e3);return{url:e.url,wastedMs:t}})),c=[{key:"url",itemType:"url",text:lA(iA.UIStrings.columnURL)},{key:"wastedMs",itemType:"ms",text:lA(iA.UIStrings.columnWastedMs)}],l=eA.makeTableDetails(c,s);return{score:Number(0===s.length),details:l,warnings:FontDisplay$1.getWarningsForFontUrls(o)}}}Q_.exports=FontDisplay$1,Q_.exports.UIStrings=cA;
/**
   * @license Copyright 2020 Google Inc. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   */
const uA=kc;var dA=class FullPageScreenshot extends uA{static get meta(){return{id:"full-page-screenshot",scoreDisplayMode:uA.SCORING_MODES.INFORMATIVE,title:"Full-page screenshot",description:"A full-height screenshot of the final rendered page",requiredArtifacts:["FullPageScreenshot"]}}static async audit(e){return e.FullPageScreenshot?{score:1,details:{type:"full-page-screenshot",...e.FullPageScreenshot}}:{score:0,notApplicable:!0}}},mA={exports:{}};const pA=kc,hA=ji,gA=oi,fA={title:"Displays images with correct aspect ratio",failureTitle:"Displays images with incorrect aspect ratio",description:"Image display dimensions should match natural aspect ratio. [Learn more](https://web.dev/image-aspect-ratio/).",columnDisplayed:"Aspect Ratio (Displayed)",columnActual:"Aspect Ratio (Actual)"},yA=gA.createMessageInstanceIdFn("lighthouse-core/audits/image-aspect-ratio.js",fA);class ImageAspectRatio extends pA{static get meta(){return{id:"image-aspect-ratio",title:yA(fA.title),
failureTitle:yA(fA.failureTitle),description:yA(fA.description),requiredArtifacts:["ImageElements"]}}static computeAspectRatios(e){const t=hA.elideDataURI(e.src),r=e.naturalDimensions.width/e.naturalDimensions.height,a=e.displayedWidth/e.displayedHeight,n=e.displayedWidth/r,i=Math.abs(n-e.displayedHeight)<2;return{url:t,node:pA.makeNodeItem(e.node),displayedAspectRatio:`${e.displayedWidth} x ${e.displayedHeight}\n        (${a.toFixed(2)})`,actualAspectRatio:`${e.naturalDimensions.width} x ${e.naturalDimensions.height}\n        (${r.toFixed(2)})`,doRatiosMatch:i}}static audit(e){const t=e.ImageElements,r=[];t.filter((e=>!e.isCss&&"image/svg+xml"!==hA.guessMimeType(e.src)&&e.naturalDimensions&&e.naturalDimensions.height>5&&e.naturalDimensions.width>5&&e.displayedWidth&&e.displayedHeight&&"fill"===e.computedStyles.objectFit)).forEach((e=>{const t=e,a=ImageAspectRatio.computeAspectRatios(t);a.doRatiosMatch||r.push(a)}));const a=[{key:"node",itemType:"node",text:""},{key:"url",
itemType:"url",text:yA(gA.UIStrings.columnURL)},{key:"displayedAspectRatio",itemType:"text",text:yA(fA.columnDisplayed)},{key:"actualAspectRatio",itemType:"text",text:yA(fA.columnActual)}];return{score:Number(0===r.length),details:pA.makeTableDetails(a,r)}}}mA.exports=ImageAspectRatio,mA.exports.UIStrings=fA;var vA={exports:{}};const bA=kc,wA=ji,SA=oi,TA={title:"Serves images with appropriate resolution",failureTitle:"Serves images with low resolution",description:"Image natural dimensions should be proportional to the display size and the pixel ratio to maximize image clarity. [Learn more](https://web.dev/serve-responsive-images/).",columnDisplayed:"Displayed size",columnActual:"Actual size",columnExpected:"Expected size"},EA=SA.createMessageInstanceIdFn("lighthouse-core/audits/image-size-responsive.js",TA);function isCandidate(e){
return!(e.displayedWidth<=1||e.displayedHeight<=1)&&(!!(e.naturalDimensions&&e.naturalDimensions.width&&e.naturalDimensions.height)&&("image/svg+xml"!==wA.guessMimeType(e.src)&&(!e.isCss&&("fill"===e.computedStyles.objectFit&&(!["pixelated","crisp-edges"].includes(e.computedStyles.imageRendering)&&!/ \d+(\.\d+)?x/.test(e.srcset))))))}function imageHasNaturalDimensions(e){return!!e.naturalDimensions}function imageHasRightSize(e,t){const[r,a]=function allowedImageSize(e,t,r){let a=1;(e>64||t>64)&&(a=.75);const n=quantizeDpr(r),i=Math.ceil(a*n*e),o=Math.ceil(a*n*t);return[i,o]}(e.displayedWidth,e.displayedHeight,t);return e.naturalDimensions.width>=r&&e.naturalDimensions.height>=a}function getResult(e,t){const[r,a]=function expectedImageSize(e,t,r){const a=Math.ceil(quantizeDpr(r)*e),n=Math.ceil(quantizeDpr(r)*t);return[a,n]}(e.displayedWidth,e.displayedHeight,t);return{url:wA.elideDataURI(e.src),node:bA.makeNodeItem(e.node),displayedSize:`${e.displayedWidth} x ${e.displayedHeight}`,
actualSize:`${e.naturalDimensions.width} x ${e.naturalDimensions.height}`,actualPixels:e.naturalDimensions.width*e.naturalDimensions.height,expectedSize:`${r} x ${a}`,expectedPixels:r*a}}function quantizeDpr(e){return e>=2?2:e>=1.5?1.5:1}vA.exports=class ImageSizeResponsive extends bA{static get meta(){return{id:"image-size-responsive",title:EA(TA.title),failureTitle:EA(TA.failureTitle),description:EA(TA.description),requiredArtifacts:["ImageElements","ViewportDimensions"]}}static audit(e){const t=e.ViewportDimensions.devicePixelRatio,r=Array.from(e.ImageElements).filter(isCandidate).filter(imageHasNaturalDimensions).filter((e=>!imageHasRightSize(e,t))).filter((t=>function isVisible(e,t){return(e.bottom-e.top)*(e.right-e.left)>0&&e.top<=t.innerHeight&&e.bottom>=0&&e.left<=t.innerWidth&&e.right>=0}(t.clientRect,e.ViewportDimensions))).filter((t=>function isSmallerThanViewport(e,t){return e.bottom-e.top<=t.innerHeight&&e.right-e.left<=t.innerWidth
}(t.clientRect,e.ViewportDimensions))).map((e=>getResult(e,t))),a=[{key:"node",itemType:"node",text:""},{key:"url",itemType:"url",text:EA(SA.UIStrings.columnURL)},{key:"displayedSize",itemType:"text",text:EA(TA.columnDisplayed)},{key:"actualSize",itemType:"text",text:EA(TA.columnActual)},{key:"expectedSize",itemType:"text",text:EA(TA.columnExpected)}],n=function sortResultsBySizeDelta(e){return e.sort(((e,t)=>t.expectedPixels-t.actualPixels-(e.expectedPixels-e.actualPixels)))}(function deduplicateResultsByUrl(e){e.sort(((e,t)=>e.url===t.url?0:e.url<t.url?-1:1));const t=[];for(const r of e){const e=t[t.length-1];e&&e.url===r.url?e.expectedPixels<r.expectedPixels&&(t[t.length-1]=r):t.push(r)}return t}(r));return{score:Number(0===r.length),details:bA.makeTableDetails(a,n)}}},vA.exports.UIStrings=TA;var xA={exports:{}};const _A=ji;const AA=Ao,RA={doExist:function doExist(e){return!(!e||!e.icons)&&0!==e.icons.value.length},pngSizedAtLeast:function pngSizedAtLeast(e,t){
const r=t.icons.value,a=[];return r.filter((e=>{const t=e.value.type.value;if(t)return"image/png"===t;const r=e.value.src.value;return r&&new _A(r).pathname.endsWith(".png")})).forEach((e=>{e.value.sizes.value&&a.push(...e.value.sizes.value)})),a.filter((e=>/\d+x\d+/.test(e))).filter((t=>{const r=t.split(/x/i),a=[parseFloat(r[0]),parseFloat(r[1])];return a[0]>=e&&a[1]>=e&&a[0]===a[1]}))},containsMaskableIcon:function containsMaskableIcon(e){return e.icons.value.some((e=>e.value.purpose?.value&&e.value.purpose.value.includes("maskable")))}},kA=["minimal-ui","fullscreen","standalone"];class ManifestValues$4{static get manifestChecks(){return[{id:"hasStartUrl",failureText:"Manifest does not contain a `start_url`",validate:e=>!!e.start_url.value},{id:"hasIconsAtLeast144px",failureText:"Manifest does not have a PNG icon of at least 144px",validate:e=>RA.doExist(e)&&RA.pngSizedAtLeast(144,e).length>0},{id:"hasIconsAtLeast512px",
failureText:"Manifest does not have a PNG icon of at least 512px",validate:e=>RA.doExist(e)&&RA.pngSizedAtLeast(512,e).length>0},{id:"fetchesIcon",failureText:"Manifest icon failed to be fetched",validate:(e,t)=>{const r=["cannot-download-icon","no-icon-available"];return RA.doExist(e)&&!t.some((e=>r.includes(e.errorId)))}},{id:"hasPWADisplayValue",failureText:"Manifest's `display` value is not one of: "+kA.join(" | "),validate:e=>kA.includes(e.display.value)},{id:"hasBackgroundColor",failureText:"Manifest does not have `background_color`",validate:e=>!!e.background_color.value},{id:"hasThemeColor",failureText:"Manifest does not have `theme_color`",validate:e=>!!e.theme_color.value},{id:"hasShortName",failureText:"Manifest does not have `short_name`",validate:e=>!!e.short_name.value},{id:"shortNameLength",failureText:"Manifest's `short_name` is too long (>12 characters) to be displayed on a homescreen without truncation",validate:e=>!!e.short_name.value&&e.short_name.value.length<=12
},{id:"hasName",failureText:"Manifest does not have `name`",validate:e=>!!e.name.value},{id:"hasMaskableIcon",failureText:"Manifest does not have at least one icon that is maskable",validate:e=>RA.doExist(e)&&RA.containsMaskableIcon(e)}]}static async compute_({WebAppManifest:e,InstallabilityErrors:t}){if(null===e)return{isParseFailure:!0,parseFailureReason:"No manifest was fetched",allChecks:[]};const r=e.value;if(void 0===r)return{isParseFailure:!0,parseFailureReason:"Manifest failed to parse as valid JSON",allChecks:[]};return{isParseFailure:!1,allChecks:ManifestValues$4.manifestChecks.map((e=>({id:e.id,failureText:e.failureText,passing:e.validate(r,t.errors)})))}}}var DA=AA(ManifestValues$4,["InstallabilityErrors","WebAppManifest"]);const CA=kc,IA=DA,NA={title:"Web app manifest and service worker meet the installability requirements",failureTitle:"Web app manifest or service worker do not meet the installability requirements",
description:"Service worker is the technology that enables your app to use many Progressive Web App features, such as offline, add to homescreen, and push notifications. With proper service worker and manifest implementations, browsers can proactively prompt users to add your app to their homescreen, which can lead to higher engagement. [Learn more](https://web.dev/installable-manifest/).",columnValue:"Failure reason",displayValue:"{itemCount, plural,\n    =1 {1 reason}\n    other {# reasons}\n    }",noErrorId:"Installability error id '{errorId}' is not recognized","not-in-main-frame":"Page is not loaded in the main frame","not-from-secure-origin":"Page is not served from a secure origin","no-manifest":"Page has no manifest <link> URL","start-url-not-valid":"Manifest start URL is not valid","manifest-missing-name-or-short-name":"Manifest does not contain a 'name' or 'short_name' field",
"manifest-display-not-supported":"Manifest 'display' property must be one of 'standalone', 'fullscreen', or 'minimal-ui'","manifest-empty":"Manifest could not be fetched, is empty, or could not be parsed","no-matching-service-worker":"No matching service worker detected. You may need to reload the page, or check that the scope of the service worker for the current page encloses the scope and start URL from the manifest.","manifest-missing-suitable-icon":'Manifest does not contain a suitable icon - PNG, SVG or WebP format of at least {value0} px is required, the sizes attribute must be set, and the purpose attribute, if set, must include "any".',"no-acceptable-icon":'No supplied icon is at least {value0} px square in PNG, SVG or WebP format, with the purpose attribute unset or set to "any"',"cannot-download-icon":"Could not download a required icon from the manifest","no-icon-available":"Downloaded icon was empty or corrupted",
"platform-not-supported-on-android":"The specified application platform is not supported on Android","no-id-specified":"No Play store ID provided","ids-do-not-match":"The Play Store app URL and Play Store ID do not match","already-installed":"The app is already installed","url-not-supported-for-webapk":"A URL in the manifest contains a username, password, or port","in-incognito":"Page is loaded in an incognito window","not-offline-capable":"Page does not work offline","no-url-for-service-worker":"Could not check service worker without a 'start_url' field in the manifest","prefer-related-applications":"Manifest specifies prefer_related_applications: true","prefer-related-applications-only-beta-stable":"prefer_related_applications is only supported on Chrome Beta and Stable channels on Android.","manifest-display-override-not-supported":"Manifest contains 'display_override' field, and the first supported display mode must be one of 'standalone', 'fullscreen', or 'minimal-ui'",
"manifest-location-changed":"Manifest URL changed while the manifest was being fetched.","warn-not-offline-capable":"Page does not work offline. The page will not be regarded as installable after Chrome 93, stable release August 2021.","protocol-timeout":"Lighthouse could not determine if there was a service worker. Please try with a newer version of Chrome.","pipeline-restarted":"PWA has been uninstalled and installability checks resetting.","scheme-not-supported-for-webapk":"The manifest URL scheme ({scheme}) is not supported on Android."},LA=oi.createMessageInstanceIdFn("lighthouse-core/audits/installable-manifest.js",NA);class InstallableManifest extends CA{static get meta(){return{id:"installable-manifest",title:LA(NA.title),failureTitle:LA(NA.failureTitle),description:LA(NA.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static getInstallabilityErrors(e){const t=e.InstallabilityErrors.errors,r=[],a=[],n=/{([^}]+)}/g
;for(const i of t){if("in-incognito"===i.errorId)continue;if("warn-not-offline-capable"===i.errorId){a.push(LA(NA[i.errorId]));continue}if("pipeline-restarted"===i.errorId)continue;const t=NA[i.errorId];if("scheme-not-supported-for-webapk"===i.errorId){const a=e.WebAppManifest?.url;if(!a)continue;const n=new URL(a).protocol;r.push(LA(t,{scheme:n}));continue}if(void 0===t){r.push(LA(NA.noErrorId,{errorId:i.errorId}));continue}const o=t.match(n)||[],s=i.errorArguments?.length&&i.errorArguments[0].value;if(t&&i.errorArguments.length!==o.length){const e=JSON.stringify(i.errorArguments),t=i.errorArguments.length>o.length?`${i.errorId} has unexpected arguments ${e}`:`${i.errorId} does not have the expected number of arguments.`;r.push(t)}else t&&s?r.push(LA(t,{value0:s})):t&&r.push(LA(t))}return{i18nErrors:r,warnings:a}}static async audit(e,t){const{i18nErrors:r,warnings:a}=InstallableManifest.getInstallabilityErrors(e),n=e.WebAppManifest?e.WebAppManifest.url:null,i=[{key:"reason",
itemType:"text",text:LA(NA.columnValue)}],o=r.map((e=>({reason:e})));if(!o.length){const r=await IA.request(e,t);r.isParseFailure&&o.push({reason:r.parseFailureReason})}const s={type:"debugdata",manifestUrl:n};return o.length>0?{score:0,warnings:a,numericValue:o.length,numericUnit:"element",displayValue:LA(NA.displayValue,{itemCount:o.length}),details:{...CA.makeTableDetails(i,o),debugData:s}}:{score:1,warnings:a,details:{...CA.makeTableDetails(i,o),debugData:s}}}}xA.exports=InstallableManifest,xA.exports.UIStrings=NA;var MA={exports:{}};const PA=kc,OA=ji,FA=Ki,UA=Lo,jA={title:"Uses HTTPS",failureTitle:"Does not use HTTPS",
description:"All sites should be protected with HTTPS, even ones that don't handle sensitive data. This includes avoiding [mixed content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), where some resources are loaded over HTTP despite the initial request being served over HTTPS. HTTPS prevents intruders from tampering with or passively listening in on the communications between your app and your users, and is a prerequisite for HTTP/2 and many new web platform APIs. [Learn more](https://web.dev/is-on-https/).",displayValue:"{itemCount, plural,\n    =1 {1 insecure request found}\n    other {# insecure requests found}\n    }",columnInsecureURL:"Insecure URL",columnResolution:"Request Resolution",allowed:"Allowed",blocked:"Blocked",warning:"Allowed with warning",upgraded:"Automatically upgraded to HTTPS"},BA={MixedContentAutomaticallyUpgraded:jA.upgraded,MixedContentBlocked:jA.blocked,MixedContentWarning:jA.warning
},$A=oi.createMessageInstanceIdFn("lighthouse-core/audits/is-on-https.js",jA);MA.exports=class HTTPS extends PA{static get meta(){return{id:"is-on-https",title:$A(jA.title),failureTitle:$A(jA.failureTitle),description:$A(jA.description),requiredArtifacts:["devtoolsLogs","InspectorIssues"]}}static audit(e,t){const r=e.devtoolsLogs[PA.DEFAULT_PASS];return UA.request(r,t).then((t=>{const r=t.filter((e=>!FA.isSecureRequest(e))).map((e=>OA.elideDataURI(e.url))),a=Array.from(new Set(r)).map((e=>({url:e,resolution:void 0}))),n=[{key:"url",itemType:"url",text:$A(jA.columnInsecureURL)},{key:"resolution",itemType:"text",text:$A(jA.columnResolution)}];for(const t of e.InspectorIssues.mixedContentIssue){let e=a.find((e=>e.url===t.insecureURL));e||(e={url:t.insecureURL},a.push(e)),e.resolution=BA[t.resolutionStatus]?$A(BA[t.resolutionStatus]):t.resolutionStatus}for(const e of a)e.resolution||(e.resolution=$A(jA.allowed));let i;return a.length>0&&(i=$A(jA.displayValue,{itemCount:a.length})),{
score:Number(0===a.length),displayValue:i,details:PA.makeTableDetails(n,a)}}))}},MA.exports.UIStrings=jA;var qA={exports:{}};const zA=kc,VA=oi,WA={title:"Largest Contentful Paint element",description:"This is the largest contentful element painted within the viewport. [Learn More](https://web.dev/lighthouse-largest-contentful-paint/)"},GA=VA.createMessageInstanceIdFn("lighthouse-core/audits/largest-contentful-paint-element.js",WA);qA.exports=class LargestContentfulPaintElement extends zA{static get meta(){return{id:"largest-contentful-paint-element",title:GA(WA.title),description:GA(WA.description),scoreDisplayMode:zA.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["traces","TraceElements"]}}static audit(e){const t=e.TraceElements.find((e=>"largest-contentful-paint"===e.traceEventType)),r=[];t&&r.push({node:zA.makeNodeItem(t.node)});const a=[{key:"node",itemType:"node",text:GA(VA.UIStrings.columnElement)
}],n=zA.makeTableDetails(a,r),i=GA(VA.UIStrings.displayValueElementsFound,{nodeCount:r.length});return{score:1,notApplicable:0===r.length,displayValue:i,details:n}}},qA.exports.UIStrings=WA;var HA={exports:{}};
/**
   * @license Copyright 2020 Google Inc. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   */const YA=kc,KA=oi,JA={title:"Avoid large layout shifts",description:"These DOM elements contribute most to the CLS of the page.",columnContribution:"CLS Contribution"},XA=KA.createMessageInstanceIdFn("lighthouse-core/audits/layout-shift-elements.js",JA);HA.exports=class LayoutShiftElements extends YA{static get meta(){return{id:"layout-shift-elements",title:XA(JA.title),description:XA(JA.description),scoreDisplayMode:YA.SCORING_MODES.INFORMATIVE,requiredArtifacts:["traces","TraceElements"]}}static audit(e){const t=e.TraceElements.filter((e=>"layout-shift"===e.traceEventType)).map((e=>({node:YA.makeNodeItem(e.node),score:e.score}))),r=[{key:"node",itemType:"node",text:XA(KA.UIStrings.columnElement)},{key:"score",itemType:"numeric",granularity:.001,text:XA(JA.columnContribution)}],a=YA.makeTableDetails(r,t);let n;return t.length>0&&(n=XA(KA.UIStrings.displayValueElementsFound,{nodeCount:t.length})),{score:1,notApplicable:0===a.items.length,displayValue:n,details:a}}},
HA.exports.UIStrings=JA;var ZA={exports:{}};const QA=kc,eR=oi,tR={title:"Largest Contentful Paint image was not lazily loaded",failureTitle:"Largest Contentful Paint image was lazily loaded",description:"Above-the-fold images that are lazily loaded render later in the page lifecycle, which can delay the largest contentful paint. [Learn more](https://web.dev/lcp-lazy-loading/)."},rR=eR.createMessageInstanceIdFn("lighthouse-core/audits/lcp-lazy-loaded.js",tR);ZA.exports=class LargestContentfulPaintLazyLoaded extends QA{static get meta(){return{id:"lcp-lazy-loaded",title:rR(tR.title),failureTitle:rR(tR.failureTitle),description:rR(tR.description),supportedModes:["navigation"],requiredArtifacts:["TraceElements","ViewportDimensions","ImageElements"]}}static isImageInViewport(e,t){return e.clientRect.top<t.innerHeight}static audit(e){
const t=e.TraceElements.find((e=>"largest-contentful-paint"===e.traceEventType)),r=t?e.ImageElements.find((e=>e.node.devtoolsNodePath===t.node.devtoolsNodePath)):void 0;if(!r||!this.isImageInViewport(r,e.ViewportDimensions))return{score:1,notApplicable:!0};const a=[{key:"node",itemType:"node",text:rR(eR.UIStrings.columnElement)}],n=QA.makeTableDetails(a,[{node:QA.makeNodeItem(r.node)}]);return{score:"lazy"===r.loading?0:1,details:n}}},ZA.exports.UIStrings=tR;var aR={exports:{}};const nR=kc,iR=Lo,oR=oi,sR=Rv,cR=eb,lR=Dl,{getJavaScriptURLs:uR,getAttributableURLForTask:dR}=Iv,mR={startTime:0,endTime:0,duration:0},pR={title:"Avoid long main-thread tasks",description:"Lists the longest tasks on the main thread, useful for identifying worst contributors to input delay. [Learn more](https://web.dev/long-tasks-devtools/)",displayValue:"{itemCount, plural,\n  =1 {# long task found}\n  other {# long tasks found}\n  }"},hR=oR.createMessageInstanceIdFn("lighthouse-core/audits/long-tasks.js",pR)
;class LongTasks$3 extends nR{static get meta(){return{id:"long-tasks",scoreDisplayMode:nR.SCORING_MODES.INFORMATIVE,title:hR(pR.title),description:hR(pR.description),requiredArtifacts:["traces","devtoolsLogs"]}}static async audit(e,t){const r=t.settings||{},a=e.traces[nR.DEFAULT_PASS],n=await sR.request(a,t),i=e.devtoolsLogs[LongTasks$3.DEFAULT_PASS],o=await iR.request(i,t),s=new Map;if("simulate"===r.throttlingMethod){const e={devtoolsLog:i,settings:t.settings},r=await cR.request({trace:a,devtoolsLog:i},t),n=await lR.request(e,t),o=await n.simulate(r,{label:"long-tasks-diagnostic"});for(const[e,t]of o.nodeTimings.entries())"cpu"===e.type&&s.set(e.event,t)}else for(const e of n)e.unbounded||e.parent||s.set(e.event,e);const c=uR(o),l=n.map((e=>{const t=s.get(e.event)||mR;return{...e,duration:t.duration,startTime:t.startTime}})).filter((e=>e.duration>=50&&!e.unbounded&&!e.parent)).sort(((e,t)=>t.duration-e.duration)).slice(0,20).map((e=>({url:dR(e,c),duration:e.duration,
startTime:e.startTime}))),u=[{key:"url",itemType:"url",text:hR(oR.UIStrings.columnURL)},{key:"startTime",itemType:"ms",granularity:1,text:hR(oR.UIStrings.columnStartTime)},{key:"duration",itemType:"ms",granularity:1,text:hR(oR.UIStrings.columnDuration)}],d=nR.makeTableDetails(u,l);let m;return l.length>0&&(m=hR(pR.displayValue,{itemCount:l.length})),{score:0===l.length?1:0,notApplicable:0===l.length,details:d,displayValue:m}}}aR.exports=LongTasks$3,aR.exports.UIStrings=pR;const gR=kc,fR=Rv;var yR=class MainThreadTasks$5 extends gR{static get meta(){return{id:"main-thread-tasks",scoreDisplayMode:gR.SCORING_MODES.INFORMATIVE,title:"Tasks",description:"Lists the toplevel main thread tasks that executed during page load.",requiredArtifacts:["traces"]}}static async audit(e,t){const r=e.traces[gR.DEFAULT_PASS],a=(await fR.request(r,t)).filter((e=>e.duration>5&&!e.parent)).map((e=>({duration:e.duration,startTime:e.startTime})));return{score:1,details:gR.makeTableDetails([{key:"startTime",
itemType:"ms",granularity:1,text:"Start Time"},{key:"duration",itemType:"ms",granularity:1,text:"End Time"}],a)}}},vR={exports:{}};const bR=kc,{taskGroups:wR}=wv,SR=oi,TR=Rv,ER={title:"Minimizes main-thread work",failureTitle:"Minimize main-thread work",description:"Consider reducing the time spent parsing, compiling and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/mainthread-work-breakdown/)",columnCategory:"Category"},xR=SR.createMessageInstanceIdFn("lighthouse-core/audits/mainthread-work-breakdown.js",ER);class MainThreadWorkBreakdown extends bR{static get meta(){return{id:"mainthread-work-breakdown",title:xR(ER.title),failureTitle:xR(ER.failureTitle),description:xR(ER.description),scoreDisplayMode:bR.SCORING_MODES.NUMERIC,requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:2017,median:4e3}}static getExecutionTimingsByGroup(e){const t=new Map;for(const r of e){const e=t.get(r.group.id)||0
;t.set(r.group.id,e+r.selfTime)}return t}static async audit(e,t){const r=t.settings||{},a=e.traces[MainThreadWorkBreakdown.DEFAULT_PASS],n=await TR.request(a,t),i="simulate"===r.throttlingMethod?r.throttling.cpuSlowdownMultiplier:1,o=MainThreadWorkBreakdown.getExecutionTimingsByGroup(n);let s=0;const c={},l=Array.from(o).map((([e,t])=>{const r=t*i;s+=r;const a=c[e]||0;return c[e]=a+r,{group:e,groupLabel:wR[e].label,duration:r}})),u=[{key:"groupLabel",itemType:"text",text:xR(ER.columnCategory)},{key:"duration",itemType:"ms",granularity:1,text:xR(SR.UIStrings.columnTimeSpent)}];l.sort(((e,t)=>c[t.group]-c[e.group]));const d=MainThreadWorkBreakdown.makeTableDetails(u,l);return{score:bR.computeLogNormalScore({p10:t.options.p10,median:t.options.median},s),numericValue:s,numericUnit:"millisecond",displayValue:xR(SR.UIStrings.seconds,{timeInMs:s}),details:d}}}vR.exports=MainThreadWorkBreakdown,vR.exports.UIStrings=ER;var _R={exports:{}};const AR=iy,RR={title:"Site works cross-browser",
description:"To reach the most number of users, sites should work across every major browser. [Learn more](https://web.dev/pwa-cross-browser/)."},kR=oi.createMessageInstanceIdFn("lighthouse-core/audits/manual/pwa-cross-browser.js",RR);_R.exports=class PWACrossBrowser extends AR{static get meta(){return Object.assign({id:"pwa-cross-browser",title:kR(RR.title),description:kR(RR.description)},super.partialMeta)}},_R.exports.UIStrings=RR;var DR={exports:{}};const CR=iy,IR={title:"Each page has a URL",description:"Ensure individual pages are deep linkable via URL and that URLs are unique for the purpose of shareability on social media. [Learn more](https://web.dev/pwa-each-page-has-url/)."},NR=oi.createMessageInstanceIdFn("lighthouse-core/audits/manual/pwa-each-page-has-url.js",IR);DR.exports=class PWAEachPageHasURL extends CR{static get meta(){return Object.assign({id:"pwa-each-page-has-url",title:NR(IR.title),description:NR(IR.description)},super.partialMeta)}},DR.exports.UIStrings=IR
;var LR={exports:{}};const MR=iy,PR={title:"Page transitions don't feel like they block on the network",description:"Transitions should feel snappy as you tap around, even on a slow network. This experience is key to a user's perception of performance. [Learn more](https://web.dev/pwa-page-transitions/)."},OR=oi.createMessageInstanceIdFn("lighthouse-core/audits/manual/pwa-page-transitions.js",PR);LR.exports=class PWAPageTransitions extends MR{static get meta(){return Object.assign({id:"pwa-page-transitions",title:OR(PR.title),description:OR(PR.description)},super.partialMeta)}},LR.exports.UIStrings=PR;var FR={exports:{}};const UR=kc,jR=DA,BR={title:"Manifest has a maskable icon",failureTitle:"Manifest doesn't have a maskable icon",description:"A maskable icon ensures that the image fills the entire shape without being letterboxed when installing the app on a device. [Learn more](https://web.dev/maskable-icon-audit/)."
},$R=oi.createMessageInstanceIdFn("lighthouse-core/audits/maskable-icon.js",BR);FR.exports=class MaskableIcon extends UR{static get meta(){return{id:"maskable-icon",title:$R(BR.title),failureTitle:$R(BR.failureTitle),description:$R(BR.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static async audit(e,t){const r=await jR.request(e,t);if(r.isParseFailure)return{score:0,explanation:r.parseFailureReason};return{score:r.allChecks.find((e=>"hasMaskableIcon"===e.id))?.passing?1:0}}},FR.exports.UIStrings=BR;var qR={exports:{}};!function(e){function JPEGEncoder(e){
var t,r,a,n,i,o=Math.floor,s=new Array(64),c=new Array(64),l=new Array(64),u=new Array(64),d=new Array(65535),m=new Array(65535),p=new Array(64),h=new Array(64),f=[],y=0,v=7,b=new Array(64),w=new Array(64),S=new Array(64),T=new Array(256),E=new Array(2048),x=[0,1,5,6,14,15,27,28,2,4,7,13,16,26,29,42,3,8,12,17,25,30,41,43,9,11,18,24,31,40,44,53,10,19,23,32,39,45,52,54,20,22,33,38,46,51,55,60,21,34,37,47,50,56,59,61,35,36,48,49,57,58,62,63],_=[0,0,1,5,1,1,1,1,1,1,0,0,0,0,0,0,0],A=[0,1,2,3,4,5,6,7,8,9,10,11],R=[0,0,2,1,3,3,2,4,3,5,5,4,4,0,0,1,125],k=[1,2,3,0,4,17,5,18,33,49,65,6,19,81,97,7,34,113,20,50,129,145,161,8,35,66,177,193,21,82,209,240,36,51,98,114,130,9,10,22,23,24,25,26,37,38,39,40,41,42,52,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,225,226,227,228,229,230,231,232,233,234,241,242,243,244,245,246,247,248,249,250],D=[0,0,3,1,1,1,1,1,1,1,1,1,0,0,0,0,0],C=[0,1,2,3,4,5,6,7,8,9,10,11],I=[0,0,2,1,2,4,4,3,4,7,5,4,4,0,1,2,119],N=[0,1,2,3,17,4,5,33,49,6,18,65,81,7,97,113,19,34,50,129,8,20,66,145,161,177,193,9,35,51,82,240,21,98,114,209,10,22,36,52,225,37,241,23,24,25,26,38,39,40,41,42,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,130,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,226,227,228,229,230,231,232,233,234,242,243,244,245,246,247,248,249,250]
;function computeHuffmanTbl(e,t){for(var r=0,a=0,n=new Array,i=1;i<=16;i++){for(var o=1;o<=e[i];o++)n[t[a]]=[],n[t[a]][0]=r,n[t[a]][1]=i,a++,r++;r*=2}return n}function writeBits(e){for(var t=e[0],r=e[1]-1;r>=0;)t&1<<r&&(y|=1<<v),r--,--v<0&&(255==y?(writeByte(255),writeByte(0)):writeByte(y),v=7,y=0)}function writeByte(e){f.push(e)}function writeWord(e){writeByte(e>>8&255),writeByte(255&e)}function processDU(e,t,r,a,n){for(var i,o=n[0],s=n[240],c=function fDCTQuant(e,t){var r,a,n,i,o,s,c,l,u,d,m=0;for(u=0;u<8;++u){r=e[m],a=e[m+1],n=e[m+2],i=e[m+3],o=e[m+4],s=e[m+5],c=e[m+6];var h=r+(l=e[m+7]),f=r-l,y=a+c,v=a-c,b=n+s,w=n-s,S=i+o,T=i-o,E=h+S,x=h-S,_=y+b,A=y-b;e[m]=E+_,e[m+4]=E-_;var R=.707106781*(A+x);e[m+2]=x+R,e[m+6]=x-R;var k=.382683433*((E=T+w)-(A=v+f)),D=.5411961*E+k,C=1.306562965*A+k,I=.707106781*(_=w+v),N=f+I,L=f-I;e[m+5]=L+D,e[m+3]=L-D,e[m+1]=N+C,e[m+7]=N-C,m+=8}for(m=0,u=0;u<8;++u){r=e[m],a=e[m+8],n=e[m+16],i=e[m+24],o=e[m+32],s=e[m+40],c=e[m+48]
;var M=r+(l=e[m+56]),P=r-l,O=a+c,F=a-c,U=n+s,j=n-s,B=i+o,$=i-o,q=M+B,z=M-B,V=O+U,W=O-U;e[m]=q+V,e[m+32]=q-V;var G=.707106781*(W+z);e[m+16]=z+G,e[m+48]=z-G;var H=.382683433*((q=$+j)-(W=F+P)),Y=.5411961*q+H,K=1.306562965*W+H,J=.707106781*(V=j+F),X=P+J,Z=P-J;e[m+40]=Z+Y,e[m+24]=Z-Y,e[m+8]=X+K,e[m+56]=X-K,m++}for(u=0;u<64;++u)d=e[u]*t[u],p[u]=d>0?d+.5|0:d-.5|0;return p}(e,t),l=0;l<64;++l)h[x[l]]=c[l];var u=h[0]-r;r=h[0],0==u?writeBits(a[0]):(writeBits(a[m[i=32767+u]]),writeBits(d[i]));for(var f=63;f>0&&0==h[f];f--);if(0==f)return writeBits(o),r;for(var y,v=1;v<=f;){for(var b=v;0==h[v]&&v<=f;++v);var w=v-b;if(w>=16){y=w>>4;for(var S=1;S<=y;++S)writeBits(s);w&=15}i=32767+h[v],writeBits(n[(w<<4)+m[i]]),writeBits(d[i]),v++}return 63!=f&&writeBits(o),r}function setQuality(e){if(e<=0&&(e=1),e>100&&(e=100),i!=e){(function initQuantTables(e){
for(var t=[16,11,10,16,24,40,51,61,12,12,14,19,26,58,60,55,14,13,16,24,40,57,69,56,14,17,22,29,51,87,80,62,18,22,37,56,68,109,103,77,24,35,55,64,81,104,113,92,49,64,78,87,103,121,120,101,72,92,95,98,112,100,103,99],r=0;r<64;r++){var a=o((t[r]*e+50)/100);a<1?a=1:a>255&&(a=255),s[x[r]]=a}for(var n=[17,18,24,47,99,99,99,99,18,21,26,66,99,99,99,99,24,26,56,99,99,99,99,99,47,66,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99],i=0;i<64;i++){var d=o((n[i]*e+50)/100);d<1?d=1:d>255&&(d=255),c[x[i]]=d}for(var m=[1,1.387039845,1.306562965,1.175875602,1,.785694958,.5411961,.275899379],p=0,h=0;h<8;h++)for(var f=0;f<8;f++)l[p]=1/(s[x[p]]*m[h]*m[f]*8),u[p]=1/(c[x[p]]*m[h]*m[f]*8),p++})(e<50?Math.floor(5e3/e):Math.floor(200-2*e)),i=e}}this.encode=function(e,i){(new Date).getTime(),i&&setQuality(i),f=new Array,y=0,v=7,writeWord(65496),function writeAPP0(){writeWord(65504),writeWord(16),writeByte(74),writeByte(70),writeByte(73),
writeByte(70),writeByte(0),writeByte(1),writeByte(1),writeByte(0),writeWord(1),writeWord(1),writeByte(0),writeByte(0)}(),function writeAPP1(e){if(e){writeWord(65505),69===e[0]&&120===e[1]&&105===e[2]&&102===e[3]?writeWord(e.length+2):(writeWord(e.length+5+2),writeByte(69),writeByte(120),writeByte(105),writeByte(102),writeByte(0));for(var t=0;t<e.length;t++)writeByte(e[t])}}(e.exifBuffer),function writeDQT(){writeWord(65499),writeWord(132),writeByte(0);for(var e=0;e<64;e++)writeByte(s[e]);writeByte(1);for(var t=0;t<64;t++)writeByte(c[t])}(),function writeSOF0(e,t){writeWord(65472),writeWord(17),writeByte(8),writeWord(t),writeWord(e),writeByte(3),writeByte(1),writeByte(17),writeByte(0),writeByte(2),writeByte(17),writeByte(1),writeByte(3),writeByte(17),writeByte(1)}(e.width,e.height),function writeDHT(){writeWord(65476),writeWord(418),writeByte(0);for(var e=0;e<16;e++)writeByte(_[e+1]);for(var t=0;t<=11;t++)writeByte(A[t]);writeByte(16);for(var r=0;r<16;r++)writeByte(R[r+1])
;for(var a=0;a<=161;a++)writeByte(k[a]);writeByte(1);for(var n=0;n<16;n++)writeByte(D[n+1]);for(var i=0;i<=11;i++)writeByte(C[i]);writeByte(17);for(var o=0;o<16;o++)writeByte(I[o+1]);for(var s=0;s<=161;s++)writeByte(N[s])}(),function writeSOS(){writeWord(65498),writeWord(12),writeByte(3),writeByte(1),writeByte(0),writeByte(2),writeByte(17),writeByte(3),writeByte(17),writeByte(0),writeByte(63),writeByte(0)}();var o=0,d=0,m=0;y=0,v=7,this.encode.displayName="_encode_";for(var p,h,T,x,L,M,P,O,F,U=e.data,j=e.width,B=e.height,$=4*j,q=0;q<B;){for(p=0;p<$;){for(M=L=$*q+p,P=-1,O=0,F=0;F<64;F++)M=L+(O=F>>3)*$+(P=4*(7&F)),q+O>=B&&(M-=$*(q+1+O-B)),p+P>=$&&(M-=p+P-$+4),h=U[M++],T=U[M++],x=U[M++],b[F]=(E[h]+E[T+256>>0]+E[x+512>>0]>>16)-128,w[F]=(E[h+768>>0]+E[T+1024>>0]+E[x+1280>>0]>>16)-128,S[F]=(E[h+1280>>0]+E[T+1536>>0]+E[x+1792>>0]>>16)-128;o=processDU(b,l,o,t,a),d=processDU(w,u,d,r,n),m=processDU(S,u,m,r,n),p+=32}q+=8}if(v>=0){var z=[];z[1]=v+1,z[0]=(1<<v+1)-1,writeBits(z)}
return writeWord(65497),new Buffer$2(f)},function init(){(new Date).getTime(),e||(e=50),function initCharLookupTable(){for(var e=String.fromCharCode,t=0;t<256;t++)T[t]=e(t)}(),function initHuffmanTbl(){t=computeHuffmanTbl(_,A),r=computeHuffmanTbl(D,C),a=computeHuffmanTbl(R,k),n=computeHuffmanTbl(I,N)}(),function initCategoryNumber(){for(var e=1,t=2,r=1;r<=15;r++){for(var a=e;a<t;a++)m[32767+a]=r,d[32767+a]=[],d[32767+a][1]=r,d[32767+a][0]=a;for(var n=-(t-1);n<=-e;n++)m[32767+n]=r,d[32767+n]=[],d[32767+n][1]=r,d[32767+n][0]=t-1+n;e<<=1,t<<=1}}(),function initRGBYUVTable(){for(var e=0;e<256;e++)E[e]=19595*e,E[e+256>>0]=38470*e,E[e+512>>0]=7471*e+32768,E[e+768>>0]=-11059*e,E[e+1024>>0]=-21709*e,E[e+1280>>0]=32768*e+8421375,E[e+1536>>0]=-27439*e,E[e+1792>>0]=-5329*e}(),setQuality(e),(new Date).getTime()}()}e.exports=function encode(e,t){void 0===t&&(t=50);return{data:new JPEGEncoder(t).encode(e,t),width:e.width,height:e.height}}}(qR);var zR,VR,WR={exports:{}};zR=WR,VR=function jpegImage(){
var e=new Int32Array([0,1,8,16,9,2,3,10,17,24,32,25,18,11,4,5,12,19,26,33,40,48,41,34,27,20,13,6,7,14,21,28,35,42,49,56,57,50,43,36,29,22,15,23,30,37,44,51,58,59,52,45,38,31,39,46,53,60,61,54,47,55,62,63]),t=4017,r=799,a=3406,n=2276,i=1567,o=3784,s=5793,c=2896;function constructor(){}function buildHuffmanTable(e,t){for(var r,a,n=0,i=[],o=16;o>0&&!e[o-1];)o--;i.push({children:[],index:0});var s,c=i[0];for(r=0;r<o;r++){for(a=0;a<e[r];a++){for((c=i.pop()).children[c.index]=t[n];c.index>0;){if(0===i.length)throw new Error("Could not recreate Huffman Table");c=i.pop()}for(c.index++,i.push(c);i.length<=r;)i.push(s={children:[],index:0}),c.children[c.index]=s.children,c=s;n++}r+1<o&&(i.push(s={children:[],index:0}),c.children[c.index]=s.children,c=s)}return i[0].children}function decodeScan(t,r,a,n,i,o,s,c,l,u){a.precision,a.samplesPerLine,a.scanLines;var d=a.mcusPerLine,m=a.progressive;a.maxH,a.maxV;var p=r,h=0,f=0;function readBit(){if(f>0)return f--,h>>f&1;if(255==(h=t[r++])){var e=t[r++]
;if(e)throw new Error("unexpected marker: "+(h<<8|e).toString(16))}return f=7,h>>>7}function decodeHuffman(e){for(var t,r=e;null!==(t=readBit());){if("number"==typeof(r=r[t]))return r;if("object"!=typeof r)throw new Error("invalid huffman sequence")}return null}function receive(e){for(var t=0;e>0;){var r=readBit();if(null===r)return;t=t<<1|r,e--}return t}function receiveAndExtend(e){var t=receive(e);return t>=1<<e-1?t:t+(-1<<e)+1}var y,v=0,b=0;function decodeMcu(e,t,r,a,n){var i=r%d,o=(r/d|0)*e.v+a,s=i*e.h+n;void 0===e.blocks[o]&&u.tolerantDecoding||t(e,e.blocks[o][s])}function decodeBlock(e,t,r){var a=r/e.blocksPerLine|0,n=r%e.blocksPerLine;void 0===e.blocks[a]&&u.tolerantDecoding||t(e,e.blocks[a][n])}var w,S,T,E,x,_,A=n.length;_=m?0===o?0===c?function decodeDCFirst(e,t){var r=decodeHuffman(e.huffmanTableDC),a=0===r?0:receiveAndExtend(r)<<l;t[0]=e.pred+=a}:function decodeDCSuccessive(e,t){t[0]|=readBit()<<l}:0===c?function decodeACFirst(t,r){if(v>0)v--;else for(var a=o,n=s;a<=n;){
var i=decodeHuffman(t.huffmanTableAC),c=15&i,u=i>>4;if(0!==c)r[e[a+=u]]=receiveAndExtend(c)*(1<<l),a++;else{if(u<15){v=receive(u)+(1<<u)-1;break}a+=16}}}:function decodeACSuccessive(t,r){for(var a=o,n=s,i=0;a<=n;){var c=e[a],u=r[c]<0?-1:1;switch(b){case 0:var d=decodeHuffman(t.huffmanTableAC),m=15&d;if(i=d>>4,0===m)i<15?(v=receive(i)+(1<<i),b=4):(i=16,b=1);else{if(1!==m)throw new Error("invalid ACn encoding");y=receiveAndExtend(m),b=i?2:3}continue;case 1:case 2:r[c]?r[c]+=(readBit()<<l)*u:0==--i&&(b=2==b?3:0);break;case 3:r[c]?r[c]+=(readBit()<<l)*u:(r[c]=y<<l,b=0);break;case 4:r[c]&&(r[c]+=(readBit()<<l)*u)}a++}4===b&&0==--v&&(b=0)}:function decodeBaseline(t,r){var a=decodeHuffman(t.huffmanTableDC),n=0===a?0:receiveAndExtend(a);r[0]=t.pred+=n;for(var i=1;i<64;){var o=decodeHuffman(t.huffmanTableAC),s=15&o,c=o>>4;if(0!==s)r[e[i+=c]]=receiveAndExtend(s),i++;else{if(c<15)break;i+=16}}};var R,k,D,C,I=0;for(k=1==A?n[0].blocksPerLine*n[0].blocksPerColumn:d*a.mcusPerColumn,i||(i=k);I<k;){
for(S=0;S<A;S++)n[S].pred=0;if(v=0,1==A)for(w=n[0],x=0;x<i;x++)decodeBlock(w,_,I),I++;else for(x=0;x<i;x++){for(S=0;S<A;S++)for(D=(w=n[S]).h,C=w.v,T=0;T<C;T++)for(E=0;E<D;E++)decodeMcu(w,_,I,T,E);if(++I===k)break}if(I===k)do{if(255===t[r]&&0!==t[r+1])break;r+=1}while(r<t.length-2);if(f=0,(R=t[r]<<8|t[r+1])<65280)throw new Error("marker was not found");if(!(R>=65488&&R<=65495))break;r+=2}return r-p}function buildComponentData(e,l){var u,d,m=[],p=l.blocksPerLine,h=l.blocksPerColumn,f=p<<3,y=new Int32Array(64),v=new Uint8Array(64);function quantizeAndInverse(e,u,d){var m,p,h,f,y,v,b,w,S,T,E=l.quantizationTable,x=d;for(T=0;T<64;T++)x[T]=e[T]*E[T];for(T=0;T<8;++T){var _=8*T;0!=x[1+_]||0!=x[2+_]||0!=x[3+_]||0!=x[4+_]||0!=x[5+_]||0!=x[6+_]||0!=x[7+_]?(m=s*x[0+_]+128>>8,p=s*x[4+_]+128>>8,h=x[2+_],f=x[6+_],y=c*(x[1+_]-x[7+_])+128>>8,w=c*(x[1+_]+x[7+_])+128>>8,v=x[3+_]<<4,b=x[5+_]<<4,S=m-p+1>>1,m=m+p+1>>1,p=S,S=h*o+f*i+128>>8,h=h*i-f*o+128>>8,f=S,S=y-b+1>>1,y=y+b+1>>1,b=S,S=w+v+1>>1,v=w-v+1>>1,
w=S,S=m-f+1>>1,m=m+f+1>>1,f=S,S=p-h+1>>1,p=p+h+1>>1,h=S,S=y*n+w*a+2048>>12,y=y*a-w*n+2048>>12,w=S,S=v*r+b*t+2048>>12,v=v*t-b*r+2048>>12,b=S,x[0+_]=m+w,x[7+_]=m-w,x[1+_]=p+b,x[6+_]=p-b,x[2+_]=h+v,x[5+_]=h-v,x[3+_]=f+y,x[4+_]=f-y):(S=s*x[0+_]+512>>10,x[0+_]=S,x[1+_]=S,x[2+_]=S,x[3+_]=S,x[4+_]=S,x[5+_]=S,x[6+_]=S,x[7+_]=S)}for(T=0;T<8;++T){var A=T;0!=x[8+A]||0!=x[16+A]||0!=x[24+A]||0!=x[32+A]||0!=x[40+A]||0!=x[48+A]||0!=x[56+A]?(m=s*x[0+A]+2048>>12,p=s*x[32+A]+2048>>12,h=x[16+A],f=x[48+A],y=c*(x[8+A]-x[56+A])+2048>>12,w=c*(x[8+A]+x[56+A])+2048>>12,v=x[24+A],b=x[40+A],S=m-p+1>>1,m=m+p+1>>1,p=S,S=h*o+f*i+2048>>12,h=h*i-f*o+2048>>12,f=S,S=y-b+1>>1,y=y+b+1>>1,b=S,S=w+v+1>>1,v=w-v+1>>1,w=S,S=m-f+1>>1,m=m+f+1>>1,f=S,S=p-h+1>>1,p=p+h+1>>1,h=S,S=y*n+w*a+2048>>12,y=y*a-w*n+2048>>12,w=S,S=v*r+b*t+2048>>12,v=v*t-b*r+2048>>12,b=S,x[0+A]=m+w,x[56+A]=m-w,x[8+A]=p+b,x[48+A]=p-b,x[16+A]=h+v,x[40+A]=h-v,x[24+A]=f+y,x[32+A]=f-y):(S=s*d[T+0]+8192>>14,x[0+A]=S,x[8+A]=S,x[16+A]=S,x[24+A]=S,x[32+A]=S,
x[40+A]=S,x[48+A]=S,x[56+A]=S)}for(T=0;T<64;++T){var R=128+(x[T]+8>>4);u[T]=R<0?0:R>255?255:R}}requestMemoryAllocation(f*h*8);for(var b=0;b<h;b++){var w=b<<3;for(u=0;u<8;u++)m.push(new Uint8Array(f));for(var S=0;S<p;S++){quantizeAndInverse(l.blocks[b][S],v,y);var T=0,E=S<<3;for(d=0;d<8;d++){var x=m[w+d];for(u=0;u<8;u++)x[E+u]=v[T++]}}}return m}function clampTo8bit(e){return e<0?0:e>255?255:e}constructor.prototype={load:function load(e){var t=new XMLHttpRequest;t.open("GET",e,!0),t.responseType="arraybuffer",t.onload=function(){var e=new Uint8Array(t.response||t.mozResponseArrayBuffer);this.parse(e),this.onload&&this.onload()}.bind(this),t.send(null)},parse:function parse(t){var r=1e3*this.opts.maxResolutionInMP*1e3,a=0;function readUint16(){var e=t[a]<<8|t[a+1];return a+=2,e}function readDataBlock(){var e=readUint16(),r=t.subarray(a,a+e-2);return a+=r.length,r}function prepareComponents(e){var t,r,a=0,n=0
;for(r in e.components)e.components.hasOwnProperty(r)&&(a<(t=e.components[r]).h&&(a=t.h),n<t.v&&(n=t.v));var i=Math.ceil(e.samplesPerLine/8/a),o=Math.ceil(e.scanLines/8/n);for(r in e.components)if(e.components.hasOwnProperty(r)){t=e.components[r];var s=Math.ceil(Math.ceil(e.samplesPerLine/8)*t.h/a),c=Math.ceil(Math.ceil(e.scanLines/8)*t.v/n),l=i*t.h,u=o*t.v,d=[];requestMemoryAllocation(u*l*256);for(var m=0;m<u;m++){for(var p=[],h=0;h<l;h++)p.push(new Int32Array(64));d.push(p)}t.blocksPerLine=s,t.blocksPerColumn=c,t.blocks=d}e.maxH=a,e.maxV=n,e.mcusPerLine=i,e.mcusPerColumn=o}t.length;var n,i,o=null,s=null,c=[],l=[],u=[],d=[],m=readUint16();if(this.comments=[],65496!=m)throw new Error("SOI not found");for(m=readUint16();65497!=m;){switch(m){case 65280:break;case 65504:case 65505:case 65506:case 65507:case 65508:case 65509:case 65510:case 65511:case 65512:case 65513:case 65514:case 65515:case 65516:case 65517:case 65518:case 65519:case 65534:var p=readDataBlock();if(65534===m){
var h=String.fromCharCode.apply(null,p);this.comments.push(h)}65504===m&&74===p[0]&&70===p[1]&&73===p[2]&&70===p[3]&&0===p[4]&&(o={version:{major:p[5],minor:p[6]},densityUnits:p[7],xDensity:p[8]<<8|p[9],yDensity:p[10]<<8|p[11],thumbWidth:p[12],thumbHeight:p[13],thumbData:p.subarray(14,14+3*p[12]*p[13])}),65505===m&&69===p[0]&&120===p[1]&&105===p[2]&&102===p[3]&&0===p[4]&&(this.exifBuffer=p.subarray(5,p.length)),65518===m&&65===p[0]&&100===p[1]&&111===p[2]&&98===p[3]&&101===p[4]&&0===p[5]&&(s={version:p[6],flags0:p[7]<<8|p[8],flags1:p[9]<<8|p[10],transformCode:p[11]});break;case 65499:for(var f=readUint16()+a-2;a<f;){var y=t[a++];requestMemoryAllocation(256);var v=new Int32Array(64);if(y>>4==0)for(B=0;B<64;B++)v[e[B]]=t[a++];else{if(y>>4!=1)throw new Error("DQT: invalid table spec");for(B=0;B<64;B++)v[e[B]]=readUint16()}c[15&y]=v}break;case 65472:case 65473:case 65474:readUint16(),(n={}).extended=65473===m,n.progressive=65474===m,n.precision=t[a++],n.scanLines=readUint16(),
n.samplesPerLine=readUint16(),n.components={},n.componentsOrder=[];var b=n.scanLines*n.samplesPerLine;if(b>r){var w=Math.ceil((b-r)/1e6);throw new Error(`maxResolutionInMP limit exceeded by ${w}MP`)}var S,T=t[a++];for(U=0;U<T;U++){S=t[a];var E=t[a+1]>>4,x=15&t[a+1],_=t[a+2];n.componentsOrder.push(S),n.components[S]={h:E,v:x,quantizationIdx:_},a+=3}prepareComponents(n),l.push(n);break;case 65476:var A=readUint16();for(U=2;U<A;){var R=t[a++],k=new Uint8Array(16),D=0;for(B=0;B<16;B++,a++)D+=k[B]=t[a];requestMemoryAllocation(16+D);var C=new Uint8Array(D);for(B=0;B<D;B++,a++)C[B]=t[a];U+=17+D,(R>>4==0?d:u)[15&R]=buildHuffmanTable(k,C)}break;case 65501:readUint16(),i=readUint16();break;case 65498:readUint16();var I=t[a++],N=[];for(U=0;U<I;U++){$=n.components[t[a++]];var L=t[a++];$.huffmanTableDC=d[L>>4],$.huffmanTableAC=u[15&L],N.push($)}var M=t[a++],P=t[a++],O=t[a++],F=decodeScan(t,a,n,N,i,M,P,O>>4,15&O,this.opts);a+=F;break;case 65535:255!==t[a]&&a--;break;default:
if(255==t[a-3]&&t[a-2]>=192&&t[a-2]<=254){a-=3;break}throw new Error("unknown JPEG marker "+m.toString(16))}m=readUint16()}if(1!=l.length)throw new Error("only single frame JPEGs supported");for(var U=0;U<l.length;U++){var j=l[U].components;for(var B in j)j[B].quantizationTable=c[j[B].quantizationIdx],delete j[B].quantizationIdx}for(this.width=n.samplesPerLine,this.height=n.scanLines,this.jfif=o,this.adobe=s,this.components=[],U=0;U<n.componentsOrder.length;U++){var $=n.components[n.componentsOrder[U]];this.components.push({lines:buildComponentData(0,$),scaleX:$.h/n.maxH,scaleY:$.v/n.maxV})}},getData:function getData(e,t){var r,a,n,i,o,s,c,l,u,d,m,p,h,f,y,v,b,w,S,T,E,x=this.width/e,_=this.height/t,A=0,R=e*t*this.components.length;requestMemoryAllocation(R);var k=new Uint8Array(R);switch(this.components.length){case 1:for(r=this.components[0],d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],u=0;u<e;u++)m=o[0|u*r.scaleX*x],k[A++]=m;break;case 2:for(r=this.components[0],a=this.components[1],
d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],s=a.lines[0|d*a.scaleY*_],u=0;u<e;u++)m=o[0|u*r.scaleX*x],k[A++]=m,m=s[0|u*a.scaleX*x],k[A++]=m;break;case 3:for(E=!0,this.adobe&&this.adobe.transformCode?E=!0:void 0!==this.opts.colorTransform&&(E=!!this.opts.colorTransform),r=this.components[0],a=this.components[1],n=this.components[2],d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],s=a.lines[0|d*a.scaleY*_],c=n.lines[0|d*n.scaleY*_],u=0;u<e;u++)E?(m=o[0|u*r.scaleX*x],p=s[0|u*a.scaleX*x],w=clampTo8bit(m+1.402*((h=c[0|u*n.scaleX*x])-128)),S=clampTo8bit(m-.3441363*(p-128)-.71413636*(h-128)),T=clampTo8bit(m+1.772*(p-128))):(w=o[0|u*r.scaleX*x],S=s[0|u*a.scaleX*x],T=c[0|u*n.scaleX*x]),k[A++]=w,k[A++]=S,k[A++]=T;break;case 4:if(!this.adobe)throw new Error("Unsupported color mode (4 components)");for(E=!1,this.adobe&&this.adobe.transformCode?E=!0:void 0!==this.opts.colorTransform&&(E=!!this.opts.colorTransform),r=this.components[0],a=this.components[1],n=this.components[2],i=this.components[3],
d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],s=a.lines[0|d*a.scaleY*_],c=n.lines[0|d*n.scaleY*_],l=i.lines[0|d*i.scaleY*_],u=0;u<e;u++)E?(m=o[0|u*r.scaleX*x],p=s[0|u*a.scaleX*x],h=c[0|u*n.scaleX*x],f=l[0|u*i.scaleX*x],y=255-clampTo8bit(m+1.402*(h-128)),v=255-clampTo8bit(m-.3441363*(p-128)-.71413636*(h-128)),b=255-clampTo8bit(m+1.772*(p-128))):(y=o[0|u*r.scaleX*x],v=s[0|u*a.scaleX*x],b=c[0|u*n.scaleX*x],f=l[0|u*i.scaleX*x]),k[A++]=255-y,k[A++]=255-v,k[A++]=255-b,k[A++]=255-f;break;default:throw new Error("Unsupported color mode")}return k},copyToImageData:function copyToImageData(e,t){var r,a,n,i,o,s,c,l,u,d=e.width,m=e.height,p=e.data,h=this.getData(d,m),f=0,y=0;switch(this.components.length){case 1:for(a=0;a<m;a++)for(r=0;r<d;r++)n=h[f++],p[y++]=n,p[y++]=n,p[y++]=n,t&&(p[y++]=255);break;case 3:for(a=0;a<m;a++)for(r=0;r<d;r++)c=h[f++],l=h[f++],u=h[f++],p[y++]=c,p[y++]=l,p[y++]=u,t&&(p[y++]=255);break;case 4:for(a=0;a<m;a++)for(r=0;r<d;r++)o=h[f++],s=h[f++],n=h[f++],
c=255-clampTo8bit(o*(1-(i=h[f++])/255)+i),l=255-clampTo8bit(s*(1-i/255)+i),u=255-clampTo8bit(n*(1-i/255)+i),p[y++]=c,p[y++]=l,p[y++]=u,t&&(p[y++]=255);break;default:throw new Error("Unsupported color mode")}}};var l=0,u=0;function requestMemoryAllocation(e=0){var t=l+e;if(t>u){var r=Math.ceil((t-u)/1024/1024);throw new Error(`maxMemoryUsageInMB limit exceeded by at least ${r}MB`)}l=t}return constructor.resetMaxMemoryUsage=function(e){l=0,u=e},constructor.getBytesAllocated=function(){return l},constructor.requestMemoryAllocation=requestMemoryAllocation,constructor}(),zR.exports=function decode(e,t={}){var r={colorTransform:void 0,useTArray:!1,formatAsRGBA:!0,tolerantDecoding:!0,maxResolutionInMP:100,maxMemoryUsageInMB:512,...t},a=new Uint8Array(e),n=new VR;n.opts=r,VR.resetMaxMemoryUsage(1024*r.maxMemoryUsageInMB*1024),n.parse(a);var i=r.formatAsRGBA?4:3,o=n.width*n.height*i;try{VR.requestMemoryAllocation(o);var s={width:n.width,height:n.height,exifBuffer:n.exifBuffer,
data:r.useTArray?new Uint8Array(o):new Buffer$2(o)};n.comments.length>0&&(s.comments=n.comments)}catch(e){throw e instanceof RangeError?new Error("Could not allocate enough memory for the image. Required: "+o):e}return n.copyToImageData(s,r.formatAsRGBA),s};const GR=wn,HR={encode:qR.exports,decode:WR.exports};function getPixel(e,t,r,a,n){return n[4*(e+t*a)+r]}function isWhitePixel(e,t,r){return getPixel(e,t,0,r.width,r.data)>=249&&getPixel(e,t,1,r.width,r.data)>=249&&getPixel(e,t,2,r.width,r.data)>=249}function frame$1(e,t){let r=null,a=null,n=null,i=null,o=null,s=null;return{getHistogram:function(){if(r)return r;const e=this.getParsedImage();return r=function convertPixelsToHistogram(e){const createHistogramArray=function(){const e=[];for(let t=0;t<256;t++)e[t]=0;return e},t=e.width,r=e.height,a=[createHistogramArray(),createHistogramArray(),createHistogramArray()];for(let n=0;n<r;n++)for(let r=0;r<t;r++)if(!isWhitePixel(r,n,e))for(let i=0;i<a.length;i++){
const o=getPixel(r,n,i,t,e.data);a[i][o]++}return a}(e),r},getTimeStamp:function(){return t},setProgress:function(e,t){a=e,n=Boolean(t)},setPerceptualProgress:function(e,t){i=e,o=Boolean(t)},getImage:function(){return e},getParsedImage:function(){return s||(s=HR.decode(e)),s},getProgress:function(){return a},isProgressInterpolated:function(){return n},getPerceptualProgress:function(){return i},isPerceptualProgressInterpolated:function(){return o}}}var YR,KR={extractFramesFromTimeline:function extractFramesFromTimeline(e,t){let r;t=t||{},e="string"==typeof e?GR.readFileSync(e,"utf-8"):e;try{r="string"==typeof e?JSON.parse(e):e}catch(e){throw new Error("Speedline: Invalid JSON"+e.message)}let a=r.traceEvents||r,n=Number.MAX_VALUE,i=-Number.MAX_VALUE;a.forEach((e=>{0!==e.ts&&(n=Math.min(n,e.ts),i=Math.max(i,e.ts))})),n=(t.timeOrigin||n)/1e3,i/=1e3;let o=null;const s=a.filter((e=>e.cat.includes("disabled-by-default-devtools.screenshot")&&e.ts>=1e3*n));s.sort(((e,t)=>e.ts-t.ts))
;const c=s.map((function(e){const t=e.args&&e.args.snapshot,r=e.ts/1e3;if(t===o)return null;o=t;return frame$1(Buffer$2.from(t,"base64"),r)})).filter(Boolean);if(0===c.length)return Promise.reject(new Error("No screenshots found in trace"));const l=frame$1(function synthesizeWhiteFrame(e){const t=HR.decode(e[0].getImage()),r=t.width,a=t.height,n=Buffer$2.alloc(r*a*4);let i=0;for(;i<n.length;)n[i++]=255,n[i++]=255,n[i++]=255,n[i++]=255;return HR.encode({data:n,width:r,height:a}).data}(c),n);c.unshift(l);const u={startTs:n,endTs:i,frames:c};return Promise.resolve(u)},create:frame$1};
/**
   * @preserve
   * Copyright 2015 Igor Bezkrovny
   * All rights reserved. (MIT Licensed)
   *
   * ssim.ts - part of Image Quantization Library
   */!function(e){var t,r;(t=e.Channels||(e.Channels={}))[t.Grey=1]="Grey",t[t.GreyAlpha=2]="GreyAlpha",t[t.RGB=3]="RGB",t[t.RGBAlpha=4]="RGBAlpha",e.Channels,e.compare=function compare(e,t,a,n,i,o,s){if(void 0===a&&(a=8),void 0===n&&(n=.01),void 0===i&&(i=.03),void 0===o&&(o=!0),void 0===s&&(s=8),e.width!==t.width||e.height!==t.height)throw new Error("Images have different sizes!");var c=(1<<s)-1,l=Math.pow(n*c,2),u=Math.pow(i*c,2),d=0,m=0,p=0;return r._iterate(e,t,a,o,(function iteration(e,t,r,a){var n,i,o;n=i=o=0;for(var s=0;s<e.length;s++)i+=Math.pow(e[s]-r,2),o+=Math.pow(t[s]-a,2),n+=(e[s]-r)*(t[s]-a);var c=e.length-1;i/=c,o/=c;var h=(2*r*a+l)*(2*(n/=c)+u),f=(Math.pow(r,2)+Math.pow(a,2)+l)*(i+o+u);m+=h/f,p+=(2*n+u)/(i+o+u),d++})),{ssim:m/d,mcs:p/d}},function(e){function _lumaValuesForWindow(e,t,r,a,n,i){for(var o=e.data,s=new Float32Array(new ArrayBuffer(a*n*4)),c=0,l=r+n,u=r;u<l;u++){var d=u*e.width,m=(d+t)*e.channels,p=(d+t+a)*e.channels;switch(e.channels){case 1:
for(;m<p;)s[c++]=o[m++];break;case 2:for(;m<p;)s[c++]=o[m++]*(o[m++]/255);break;case 3:if(i)for(;m<p;)s[c++]=.212655*o[m++]+.715158*o[m++]+.072187*o[m++];else for(;m<p;)s[c++]=o[m++]+o[m++]+o[m++];break;case 4:if(i)for(;m<p;)s[c++]=(.212655*o[m++]+.715158*o[m++]+.072187*o[m++])*(o[m++]/255);else for(;m<p;)s[c++]=(o[m++]+o[m++]+o[m++])*(o[m++]/255)}}return s}function _averageLuma(e){for(var t=0,r=0;r<e.length;r++)t+=e[r];return t/e.length}e._iterate=function _iterate(e,t,r,a,n){for(var i=e.width,o=e.height,s=0;s<o;s+=r)for(var c=0;c<i;c+=r){var l=Math.min(r,i-c),u=Math.min(r,o-s),d=_lumaValuesForWindow(e,c,s,l,u,a),m=_lumaValuesForWindow(t,c,s,l,u,a);n(d,m,_averageLuma(d),_averageLuma(m))}}}(r||(r={}))}(YR||(YR={}));const JR=YR,XR=Math.log(4/6);function calculateFastModeAllowableChange(e){const t=e/1e3;return 6*Math.exp(XR*t)-1}function calculateProgressBetweenFrames(e,t,r,a,n,i){if(!a)return void e.forEach((e=>i(e,n(e),!1)))
;const o=e[t],s=e[r],c=s.getTimeStamp()-o.getTimeStamp(),l=n(o),u=n(s);if(i(o,l,!1),i(s,u,!1),Math.abs(l-u)<calculateFastModeAllowableChange(c))for(let a=t+1;a<r;a++)i(e[a],l,!0);else if(r-t>1){const o=Math.floor((t+r)/2);calculateProgressBetweenFrames(e,t,o,a,n,i),calculateProgressBetweenFrames(e,o,r,a,n,i)}}function calculateFrameSimilarity(e,t){const r={channels:4},a=Object.assign(e.getParsedImage(),r),n=Object.assign(t.getParsedImage(),r);return JR.compare(a,n).ssim}var ZR={calculateFastModeAllowableChange,calculateFrameSimilarity,calculateVisualProgress:function calculateVisualProgress(e,t){const r=e[0],a=e[e.length-1];return calculateProgressBetweenFrames(e,0,e.length-1,t&&t.fastMode,(function getProgress(e){return"number"==typeof e.getProgress()?e.getProgress():function calculateFrameProgress(e,t,r){let a=0,n=0;const i=e.getHistogram(),o=t.getHistogram(),s=r.getHistogram();for(let e=0;e<3;e++)for(let t=0;t<256;t++){
const r=i[e][t],c=o[e][t],l=s[e][t],u=Math.abs(r-c),d=Math.abs(l-c);n+=Math.min(u,d),a+=d}let c;return c=0===n&&0===a?100:Math.floor(n/a*100),c}(e,r,a)}),(function setProgress(e,t,r){return e.setProgress(t,r)})),e},calculatePerceptualProgress:function calculatePerceptualProgress(e,t){const r=e[0],a=e[e.length-1],n=calculateFrameSimilarity(r,a);return calculateProgressBetweenFrames(e,0,e.length-1,t&&t.fastMode,(function getProgress(e){if("number"==typeof e.getPerceptualProgress())return e.getPerceptualProgress();const t=calculateFrameSimilarity(e,a);return Math.max(100*(t-n)/(1-n),0)}),(function setProgress(e,t,r){return e.setPerceptualProgress(t,r)})),e},calculateSpeedIndexes:function calculateSpeedIndexes(e,t){const r="number"==typeof e[0].getProgress(),a="number"==typeof e[0].getPerceptualProgress(),n=r?"getProgress":"getPerceptualProgress",i=t.startTs;let o,s;for(let t=0;t<e.length&&!s;t++)e[t][n]()>0&&(s=e[t].getTimeStamp())
;for(let t=0;t<e.length&&!o;t++)e[t][n]()>=100&&(o=e[t].getTimeStamp());let c=e[0].getTimeStamp(),l=e[0].getProgress(),u=e[0].getPerceptualProgress(),d=s-i,m=s-i;return e.forEach((function(e){if(e.getTimeStamp()>s){const t=e.getTimeStamp()-c;d+=t*(1-l),m+=t*(1-u)}c=e.getTimeStamp(),l=e.getProgress()/100,u=e.getPerceptualProgress()/100})),d=r?d:void 0,m=a?m:void 0,{firstPaintTs:s,visuallyCompleteTs:o,speedIndex:d,perceptualSpeedIndex:m}}};const QR=KR,ek=ZR;const tk={All:"all",pSI:"perceptualSpeedIndex",SI:"speedIndex"};const rk=Ao,speedline=function(e,t){const r=t&&t.include||tk.All;if(!Object.keys(tk).some((e=>tk[e]===r)))throw new Error(`Unrecognized include option: ${r}`);return QR.extractFramesFromTimeline(e,t).then((function(e){const a=e.frames;return r!==tk.All&&r!==tk.SI||ek.calculateVisualProgress(a,t),r!==tk.All&&r!==tk.pSI||ek.calculatePerceptualProgress(a,t),function calculateValues(e,t){
const r=ek.calculateSpeedIndexes(e,t),a=Math.floor(t.endTs-t.startTs),n=Math.floor(r.firstPaintTs-t.startTs),i=Math.floor(r.visuallyCompleteTs-t.startTs);return{beginning:t.startTs,end:t.endTs,frames:e,first:n,complete:i,duration:a,speedIndex:r.speedIndex,perceptualSpeedIndex:r.perceptualSpeedIndex}}(a,e)}))},ak=vi.exports,nk=Yp;var ik=rk(class Speedline$4{static async compute_(e,t){return nk.request(e,t).then((t=>{const r=e.traceEvents.slice(),a=t.timestamps.timeOrigin;return speedline(r,{timeOrigin:a,fastMode:!0,include:"speedIndex"})})).catch((e=>{if(/No screenshots found in trace/.test(e.message))throw new ak(ak.errors.NO_SCREENSHOTS);throw e})).then((e=>{if(0===e.frames.length)throw new ak(ak.errors.NO_SPEEDLINE_FRAMES);if(0===e.speedIndex)throw new ak(ak.errors.SPEEDINDEX_OF_ZERO);return e}))}},null);const ok=Ao,sk=_w;var ck=ok(class FirstContentfulPaintAllFrames$1 extends sk{static computeSimulatedMetric(){throw new Error("FCP All Frames not implemented in lantern")}
static async computeObservedMetric(e){const{processedNavigation:t}=e;return{timing:t.timings.firstContentfulPaintAllFrames,timestamp:t.timestamps.firstContentfulPaintAllFrames}}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const lk=Ao,uk=_w,dk=vi.exports,mk=fb;var pk=lk(class FirstMeaningfulPaint$2 extends uk{static computeSimulatedMetric(e,t){const r=uk.getMetricComputationInput(e);return mk.request(r,t)}static async computeObservedMetric(e){const{processedNavigation:t}=e;if(void 0===t.timings.firstMeaningfulPaint)throw new dk(dk.errors.NO_FMP);return{timing:t.timings.firstMeaningfulPaint,timestamp:t.timestamps.firstMeaningfulPaint}}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const hk=Ao,gk=sb,fk=vi.exports,yk=db;class LanternLargestContentfulPaint$1 extends gk{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static isNotLowPriorityImageNode(e){if("network"!==e.type)return!0
;const t="Image"===e.record.resourceType,r="Low"===e.record.priority||"VeryLow"===e.record.priority;return!t||!r}static getOptimisticGraph(e,t){const r=t.timestamps.largestContentfulPaint;if(!r)throw new fk(fk.errors.NO_LCP);return yk.getFirstPaintBasedGraph(e,r,LanternLargestContentfulPaint$1.isNotLowPriorityImageNode)}static getPessimisticGraph(e,t){const r=t.timestamps.largestContentfulPaint;if(!r)throw new fk(fk.errors.NO_LCP);return yk.getFirstPaintBasedGraph(e,r,(e=>!0),(e=>e.didPerformLayout()))}static getEstimateFromSimulation(e){const t=Array.from(e.nodeTimings.entries()).filter((e=>LanternLargestContentfulPaint$1.isNotLowPriorityImageNode(e[0]))).map((e=>e[1].endTime));return{timeInMs:Math.max(...t),nodeTimings:e.nodeTimings}}static async compute_(e,t){const r=await yk.request(e,t),a=await this.computeMetricWithGraphs(e,t);return a.timing=Math.max(a.timing,r.timing),a}}var vk=hk(LanternLargestContentfulPaint$1,["devtoolsLog","gatherContext","settings","simulator","trace"])
;const bk=Ao,wk=_w,Sk=vi.exports,Tk=vk;var Ek=bk(class LargestContentfulPaint$2 extends wk{static computeSimulatedMetric(e,t){const r=wk.getMetricComputationInput(e);return Tk.request(r,t)}static async computeObservedMetric(e){const{processedNavigation:t}=e;if(void 0===t.timings.largestContentfulPaint)throw new Sk(Sk.errors.NO_LCP);return{timing:t.timings.largestContentfulPaint,timestamp:t.timestamps.largestContentfulPaint}}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const xk=Ao,_k=_w,Ak=vi.exports;var Rk=xk(class LargestContentfulPaintAllFrames$1 extends _k{static async computeSimulatedMetric(){throw new Error("LCP All Frames not implemented in lantern")}static async computeObservedMetric(e){const{processedNavigation:t}=e;if(void 0===t.timings.largestContentfulPaintAllFrames)throw new Ak(Ak.errors.NO_LCP_ALL_FRAMES);return{timing:t.timings.largestContentfulPaintAllFrames,timestamp:t.timestamps.largestContentfulPaintAllFrames}}
},["devtoolsLog","gatherContext","settings","simulator","trace"]);const kk=Ao,Dk=Yp,Ck=vi.exports;class CumulativeLayoutShift$2{static getLayoutShiftEvents(e){const t=[];let r=!0;for(const a of e)if("LayoutShift"===a.name&&a.args.data&&void 0!==a.args.data.is_main_frame){if(void 0===a.args.data.weighted_score_delta)throw new Ck(Ck.errors.UNSUPPORTED_OLD_CHROME,{featureName:"Cumulative Layout Shift"});if(a.args.data.had_recent_input){if(!r)continue}else r=!1;t.push({ts:a.ts,isMainFrame:a.args.data.is_main_frame,weightedScore:a.args.data.weighted_score_delta})}return t}static calculate(e){let t=0,r=0,a=Number.NEGATIVE_INFINITY,n=Number.NEGATIVE_INFINITY;for(const i of e)(i.ts-a>5e6||i.ts-n>1e6)&&(a=i.ts,r=0),n=i.ts,r+=i.weightedScore,t=Math.max(t,r);return t}static calculateTotalCumulativeLayoutShift(e){return e.reduce(((e,t)=>e+t.weightedScore),0)}static async compute_(e,t){
const r=await Dk.request(e,t),a=CumulativeLayoutShift$2.getLayoutShiftEvents(r.frameTreeEvents),n=a.filter((e=>e.isMainFrame)),i=CumulativeLayoutShift$2.calculateTotalCumulativeLayoutShift(n);return{cumulativeLayoutShift:CumulativeLayoutShift$2.calculate(a),cumulativeLayoutShiftMainFrame:CumulativeLayoutShift$2.calculate(n),totalCumulativeLayoutShift:i}}}var Ik=kk(CumulativeLayoutShift$2,null);const Nk=Ao,Lk=sb,Mk=Zc,Pk=ik,Ok=db,Fk=mn.throttling;class LanternSpeedIndex$2 extends Lk{static get COEFFICIENTS(){return{intercept:-250,optimistic:1.4,pessimistic:.65}}static getScaledCoefficients(e){const t=this.COEFFICIENTS,r=Fk.mobileSlow4G.rttMs-30,a=Math.max((e-30)/r,0);return{intercept:t.intercept*a,optimistic:.5+(t.optimistic-.5)*a,pessimistic:.5+(t.pessimistic-.5)*a}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,t){if(!t.fcpResult)throw new Error("missing fcpResult");if(!t.speedline)throw new Error("missing speedline")
;const r=t.fcpResult.pessimisticEstimate.timeInMs;return{timeInMs:t.optimistic?t.speedline.speedIndex:LanternSpeedIndex$2.computeLayoutBasedSpeedIndex(e.nodeTimings,r),nodeTimings:e.nodeTimings}}static async compute_(e,t){const r=await Pk.request(e.trace,t),a=await Ok.request(e,t),n=await this.computeMetricWithGraphs(e,t,{speedline:r,fcpResult:a});return n.timing=Math.max(n.timing,a.timing),n}static computeLayoutBasedSpeedIndex(e,t){const r=[];for(const[t,a]of e.entries())if(t.type===Mk.TYPES.CPU&&t.childEvents.some((e=>"Layout"===e.name))){const e=Math.max(Math.log2(a.endTime-a.startTime),0);r.push({time:a.endTime,weight:e})}const a=r.map((e=>e.weight*Math.max(e.time,t))).reduce(((e,t)=>e+t),0),n=r.map((e=>e.weight)).reduce(((e,t)=>e+t),0);return n?a/n:t}}var Uk=Nk(LanternSpeedIndex$2,["devtoolsLog","gatherContext","settings","simulator","trace"]);const jk=Ao,Bk=_w,$k=Uk,qk=ik;var zk=jk(class SpeedIndex$2 extends Bk{static computeSimulatedMetric(e,t){
const r=Bk.getMetricComputationInput(e);return $k.request(r,t)}static async computeObservedMetric(e,t){const r=await qk.request(e.trace,t),a=Math.round(r.speedIndex),n=1e3*(a+r.beginning);return Promise.resolve({timing:a,timestamp:n})}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const Vk=Ao,Wk=sb,Gk=Zc,Hk=db;class LanternMaxPotentialFID$1 extends Wk{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,t){if(!t.fcpResult)throw new Error("missing fcpResult");const r=t.optimistic?t.fcpResult.pessimisticEstimate.timeInMs:t.fcpResult.optimisticEstimate.timeInMs,a=LanternMaxPotentialFID$1.getTimingsAfterFCP(e.nodeTimings,r);return{timeInMs:Math.max(...a.map((e=>e.duration)),16),nodeTimings:e.nodeTimings}}static async compute_(e,t){const r=await Hk.request(e,t);return super.computeMetricWithGraphs(e,t,{fcpResult:r})}
static getTimingsAfterFCP(e,t){return Array.from(e.entries()).filter((([e,r])=>e.type===Gk.TYPES.CPU&&r.endTime>t)).map((([e,t])=>t))}}var Yk=Vk(LanternMaxPotentialFID$1,["devtoolsLog","gatherContext","settings","simulator","trace"]);const Kk=Ao,Jk=_w,Xk=Yk,Zk=ao;var Qk=Kk(class MaxPotentialFID$2 extends Jk{static computeSimulatedMetric(e,t){const r=Jk.getMetricComputationInput(e);return Xk.request(r,t)}static computeObservedMetric(e){const{firstContentfulPaint:t}=e.processedNavigation.timings,r=Zk.getMainThreadTopLevelEvents(e.processedTrace,t).filter((e=>e.duration>=1));return Promise.resolve({timing:Math.max(...r.map((e=>e.duration)),16)})}},["devtoolsLog","gatherContext","settings","simulator","trace"]);var eD={BLOCKING_TIME_THRESHOLD:50,calculateSumOfBlockingTime:function calculateSumOfBlockingTime$2(e,t,r){if(r<=t)return 0;let a=0;for(const n of e){if(n.duration<50)continue;if(n.end<t)continue;if(n.start>r)continue;const e=Math.max(n.start,t),i=Math.min(n.end,r)-e;i<50||(a+=i-50)
}return a}};const tD=Ao,rD=sb,aD=Zc,nD=db,iD=Tb,{BLOCKING_TIME_THRESHOLD:oD,calculateSumOfBlockingTime:sD}=eD;class LanternTotalBlockingTime$1 extends rD{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,t){if(!t.fcpResult)throw new Error("missing fcpResult");if(!t.interactiveResult)throw new Error("missing interactiveResult");const r=t.optimistic?t.fcpResult.pessimisticEstimate.timeInMs:t.fcpResult.optimisticEstimate.timeInMs,a=t.optimistic?t.interactiveResult.optimisticEstimate.timeInMs:t.interactiveResult.pessimisticEstimate.timeInMs,n=oD,i=LanternTotalBlockingTime$1.getTopLevelEvents(e.nodeTimings,n);return{timeInMs:sD(i,r,a),nodeTimings:e.nodeTimings}}static async compute_(e,t){const r=await nD.request(e,t),a=await iD.request(e,t);return this.computeMetricWithGraphs(e,t,{fcpResult:r,interactiveResult:a})}static getTopLevelEvents(e,t){const r=[]
;for(const[a,n]of e.entries())a.type===aD.TYPES.CPU&&(n.duration<t||r.push({start:n.startTime,end:n.endTime,duration:n.duration}));return r}}var cD=tD(LanternTotalBlockingTime$1,["devtoolsLog","gatherContext","settings","simulator","trace"]);const lD=Ao,uD=Ew,dD=ao,mD=cD,pD=Lw,{calculateSumOfBlockingTime:hD}=eD;var gD=lD(class TotalBlockingTime$2 extends uD{static computeSimulatedMetric(e,t){const r=uD.getMetricComputationInput(e);return mD.request(r,t)}static async computeObservedMetric(e,t){const r=dD.getMainThreadTopLevelEvents(e.processedTrace);if(e.processedNavigation){const{firstContentfulPaint:a}=e.processedNavigation.timings,n=uD.getMetricComputationInput(e),i=(await pD.request(n,t)).timing;return{timing:hD(r,a,i)}}return{timing:hD(r,0,e.processedTrace.timestamps.traceEnd)}}},["devtoolsLog","gatherContext","settings","simulator","trace"]);const fD=Yp,yD=Xp,vD=ik,bD=Zw,wD=ck,SD=pk,TD=Ek,ED=Rk,xD=Lw,_D=Ik,AD=zk,RD=Qk,kD=gD,DD=Ao;class TimingSummary$1{
static async summarize(e,t,r,a,n){const i={trace:e,devtoolsLog:t,gatherContext:r,settings:a},requestOrUndefined=(e,t)=>e.request(t,n).catch((e=>{})),o=await fD.request(e,n),s=await requestOrUndefined(yD,o),c=await vD.request(e,n),l=await requestOrUndefined(bD,i),u=await requestOrUndefined(wD,i),d=await requestOrUndefined(SD,i),m=await requestOrUndefined(TD,i),p=await requestOrUndefined(ED,i),h=await requestOrUndefined(xD,i),f=await requestOrUndefined(_D,e),y=await requestOrUndefined(RD,i),v=await requestOrUndefined(AD,i),b=await requestOrUndefined(kD,i),{cumulativeLayoutShift:w,cumulativeLayoutShiftMainFrame:S,totalCumulativeLayoutShift:T}=f||{};return{metrics:{firstContentfulPaint:l?.timing,firstContentfulPaintTs:l?.timestamp,firstContentfulPaintAllFrames:u?.timing,firstContentfulPaintAllFramesTs:u?.timestamp,firstMeaningfulPaint:d?.timing,firstMeaningfulPaintTs:d?.timestamp,largestContentfulPaint:m?.timing,largestContentfulPaintTs:m?.timestamp,
largestContentfulPaintAllFrames:p?.timing,largestContentfulPaintAllFramesTs:p?.timestamp,interactive:h?.timing,interactiveTs:h?.timestamp,speedIndex:v?.timing,speedIndexTs:v?.timestamp,totalBlockingTime:b?.timing,maxPotentialFID:y?.timing,cumulativeLayoutShift:w,cumulativeLayoutShiftMainFrame:S,totalCumulativeLayoutShift:T,observedTimeOrigin:o.timings.timeOrigin,observedTimeOriginTs:o.timestamps.timeOrigin,observedNavigationStart:s?.timings.timeOrigin,observedNavigationStartTs:s?.timestamps.timeOrigin,observedFirstPaint:s?.timings.firstPaint,observedFirstPaintTs:s?.timestamps.firstPaint,observedFirstContentfulPaint:s?.timings.firstContentfulPaint,observedFirstContentfulPaintTs:s?.timestamps.firstContentfulPaint,observedFirstContentfulPaintAllFrames:s?.timings.firstContentfulPaintAllFrames,observedFirstContentfulPaintAllFramesTs:s?.timestamps.firstContentfulPaintAllFrames,observedFirstMeaningfulPaint:s?.timings.firstMeaningfulPaint,
observedFirstMeaningfulPaintTs:s?.timestamps.firstMeaningfulPaint,observedLargestContentfulPaint:s?.timings.largestContentfulPaint,observedLargestContentfulPaintTs:s?.timestamps.largestContentfulPaint,observedLargestContentfulPaintAllFrames:s?.timings.largestContentfulPaintAllFrames,observedLargestContentfulPaintAllFramesTs:s?.timestamps.largestContentfulPaintAllFrames,observedTraceEnd:o.timings.traceEnd,observedTraceEndTs:o.timestamps.traceEnd,observedLoad:s?.timings.load,observedLoadTs:s?.timestamps.load,observedDomContentLoaded:s?.timings.domContentLoaded,observedDomContentLoadedTs:s?.timestamps.domContentLoaded,observedCumulativeLayoutShift:w,observedCumulativeLayoutShiftMainFrame:S,observedTotalCumulativeLayoutShift:T,observedFirstVisualChange:c.first,observedFirstVisualChangeTs:1e3*(c.first+c.beginning),observedLastVisualChange:c.complete,observedLastVisualChangeTs:1e3*(c.complete+c.beginning),observedSpeedIndex:c.speedIndex,observedSpeedIndexTs:1e3*(c.speedIndex+c.beginning)},
debugInfo:{lcpInvalidated:!!s?.lcpInvalidated}}}static async compute_(e,t){return TimingSummary$1.summarize(e.trace,e.devtoolsLog,e.gatherContext,e.settings,t)}}var CD=DD(TimingSummary$1,["devtoolsLog","gatherContext","settings","trace"]);const ID=kc,ND=CD,LD=new Set(["cumulativeLayoutShift","cumulativeLayoutShiftMainFrame","totalCumulativeLayoutShift","observedCumulativeLayoutShift","observedCumulativeLayoutShiftMainFrame","observedTotalCumulativeLayoutShift"]);var MD=class Metrics extends ID{static get meta(){return{id:"metrics",scoreDisplayMode:ID.SCORING_MODES.INFORMATIVE,title:"Metrics",description:"Collects all available metrics.",supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static async audit(e,t){const r=e.GatherContext,a=e.traces[ID.DEFAULT_PASS],n=e.devtoolsLogs[ID.DEFAULT_PASS],i=await ND.request({trace:a,devtoolsLog:n,gatherContext:r,settings:t.settings},t),o=i.metrics,s=i.debugInfo;for(const[e,t]of Object.entries(o)){const r=e
;"number"!=typeof t||LD.has(r)||(o[r]=Math.round(t))}const c={type:"debugdata",items:[o,s]};return{score:1,numericValue:o.interactive||0,numericUnit:"millisecond",details:c}}},PD={exports:{}};const OD=kc,FD=Ik,UD=oi,jD={description:"Cumulative Layout Shift measures the movement of visible elements within the viewport. [Learn more](https://web.dev/cls/)."},BD=UD.createMessageInstanceIdFn("lighthouse-core/audits/metrics/cumulative-layout-shift.js",jD);PD.exports=class CumulativeLayoutShift extends OD{static get meta(){return{id:"cumulative-layout-shift",title:BD(UD.UIStrings.cumulativeLayoutShiftMetric),description:BD(jD.description),scoreDisplayMode:OD.SCORING_MODES.NUMERIC,requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:.1,median:.25}}static async audit(e,t){const r=e.traces[OD.DEFAULT_PASS],{cumulativeLayoutShift:a,...n}=await FD.request(r,t),i={type:"debugdata",items:[n]};return{score:OD.computeLogNormalScore({p10:t.options.p10,median:t.options.median},a),
numericValue:a,numericUnit:"unitless",displayValue:a.toLocaleString(t.settings.locale),details:i}}},PD.exports.UIStrings=jD;var $D={exports:{}};const qD=kc,zD=ah,VD=oi,WD={description:"Interaction to Next Paint measures page responsiveness, how long it takes the page to visibly respond to user input. [Learn more](https://web.dev/inp/)."},GD=VD.createMessageInstanceIdFn("lighthouse-core/audits/metrics/experimental-interaction-to-next-paint.js",WD);$D.exports=class ExperimentalInteractionToNextPaint extends qD{static get meta(){return{id:"experimental-interaction-to-next-paint",title:GD(VD.UIStrings.interactionToNextPaint),description:GD(WD.description),scoreDisplayMode:qD.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:200,median:500}}static async audit(e,t){const{settings:r}=t;if("simulate"===r.throttlingMethod)return{score:null,notApplicable:!0};const a={trace:e.traces[qD.DEFAULT_PASS],settings:r
},n=await zD.request(a,t);if(null===n)return{score:null,notApplicable:!0};const i="FallbackTiming"===n.name?n.duration:n.args.data.duration;return{score:qD.computeLogNormalScore({p10:t.options.p10,median:t.options.median},i),numericValue:i,numericUnit:"millisecond",displayValue:GD(VD.UIStrings.ms,{timeInMs:i})}}},$D.exports.UIStrings=WD;const HD=kc,YD=mn.throttling.mobileRegular3G,KD=Zw;var JD=class FirstContentfulPaint3G extends HD{static get meta(){return{id:"first-contentful-paint-3g",title:"First Contentful Paint (3G)",description:"First Contentful Paint 3G marks the time at which the first text or image is painted while on a 3G network. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/first-contentful-paint).",scoreDisplayMode:HD.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{p10:2700,median:4500}}static async audit(e,t){const r=e.GatherContext,a={
trace:e.traces[HD.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[HD.DEFAULT_PASS],gatherContext:r,settings:{...t.settings,throttlingMethod:"simulate",throttling:YD}},n=await KD.request(a,t);return{score:HD.computeLogNormalScore({p10:t.options.p10,median:t.options.median},n.timing),numericValue:n.timing,numericUnit:"millisecond",displayValue:`${n.timing} ms`}}},XD={exports:{}};const ZD=kc,QD=oi,eC=Zw,tC={description:"First Contentful Paint marks the time at which the first text or image is painted. [Learn more](https://web.dev/first-contentful-paint/)."},rC=QD.createMessageInstanceIdFn("lighthouse-core/audits/metrics/first-contentful-paint.js",tC);XD.exports=class FirstContentfulPaint extends ZD{static get meta(){return{id:"first-contentful-paint",title:rC(QD.UIStrings.firstContentfulPaintMetric),description:rC(tC.description),scoreDisplayMode:ZD.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{
mobile:{scoring:{p10:1800,median:3e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(e,t){const r={trace:e.traces[ZD.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[ZD.DEFAULT_PASS],gatherContext:e.GatherContext,settings:t.settings},a=await eC.request(r,t),n=t.options[t.settings.formFactor];return{score:ZD.computeLogNormalScore(n.scoring,a.timing),numericValue:a.timing,numericUnit:"millisecond",displayValue:rC(QD.UIStrings.seconds,{timeInMs:a.timing})}}},XD.exports.UIStrings=tC;var aC={exports:{}};const nC=kc,iC=oi,oC=pk,sC={description:"First Meaningful Paint measures when the primary content of a page is visible. [Learn more](https://web.dev/first-meaningful-paint/)."},cC=iC.createMessageInstanceIdFn("lighthouse-core/audits/metrics/first-meaningful-paint.js",sC);aC.exports=class FirstMeaningfulPaint extends nC{static get meta(){return{id:"first-meaningful-paint",title:cC(iC.UIStrings.firstMeaningfulPaintMetric),description:cC(sC.description),
scoreDisplayMode:nC.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2336,median:4e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(e,t){const r={trace:e.traces[nC.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[nC.DEFAULT_PASS],gatherContext:e.GatherContext,settings:t.settings},a=await oC.request(r,t),n=t.options[t.settings.formFactor];return{score:nC.computeLogNormalScore(n.scoring,a.timing),numericValue:a.timing,numericUnit:"millisecond",displayValue:cC(iC.UIStrings.seconds,{timeInMs:a.timing})}}},aC.exports.UIStrings=sC;var lC={exports:{}};const uC=kc,dC=oi,mC=Lw,pC={description:"Time to interactive is the amount of time it takes for the page to become fully interactive. [Learn more](https://web.dev/interactive/)."},hC=dC.createMessageInstanceIdFn("lighthouse-core/audits/metrics/interactive.js",pC);lC.exports=class InteractiveMetric extends uC{
static get meta(){return{id:"interactive",title:hC(dC.UIStrings.interactiveMetric),description:hC(pC.description),scoreDisplayMode:uC.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3785,median:7300}},desktop:{scoring:{p10:2468,median:4500}}}}static async audit(e,t){const r={trace:e.traces[uC.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[uC.DEFAULT_PASS],gatherContext:e.GatherContext,settings:t.settings},a=(await mC.request(r,t)).timing,n=t.options[t.settings.formFactor];return{score:uC.computeLogNormalScore(n.scoring,a),numericValue:a,numericUnit:"millisecond",displayValue:hC(dC.UIStrings.seconds,{timeInMs:a})}}},lC.exports.UIStrings=pC;var gC={exports:{}};const fC=kc,yC=oi,vC=Ek,bC=vi.exports,wC={description:"Largest Contentful Paint marks the time at which the largest text or image is painted. [Learn more](https://web.dev/lighthouse-largest-contentful-paint/)"
},SC=yC.createMessageInstanceIdFn("lighthouse-core/audits/metrics/largest-contentful-paint.js",wC);gC.exports=class LargestContentfulPaint extends fC{static get meta(){return{id:"largest-contentful-paint",title:SC(yC.UIStrings.largestContentfulPaintMetric),description:SC(wC.description),scoreDisplayMode:fC.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["HostUserAgent","traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2500,median:4e3}},desktop:{scoring:{p10:1200,median:2400}}}}static async audit(e,t){const r={trace:e.traces[fC.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[fC.DEFAULT_PASS],gatherContext:e.GatherContext,settings:t.settings};let a;try{a=await vC.request(r,t)}catch(t){const r=e.HostUserAgent.match(/Chrome\/(\d+)/);if(!r)throw t;if(Number(r[1])<79&&"NO_LCP"===t.code)throw new bC(bC.errors.UNSUPPORTED_OLD_CHROME,{featureName:"Largest Contentful Paint"});throw t}const n=t.options[t.settings.formFactor];return{
score:fC.computeLogNormalScore(n.scoring,a.timing),numericValue:a.timing,numericUnit:"millisecond",displayValue:SC(yC.UIStrings.seconds,{timeInMs:a.timing})}}},gC.exports.UIStrings=wC;var TC={exports:{}};const EC=kc,xC=Qk,_C=oi,AC={description:"The maximum potential First Input Delay that your users could experience is the duration of the longest task. [Learn more](https://web.dev/lighthouse-max-potential-fid/)."},RC=_C.createMessageInstanceIdFn("lighthouse-core/audits/metrics/max-potential-fid.js",AC);TC.exports=class MaxPotentialFID extends EC{static get meta(){return{id:"max-potential-fid",title:RC(_C.UIStrings.maxPotentialFIDMetric),description:RC(AC.description),scoreDisplayMode:EC.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{p10:130,median:250}}static async audit(e,t){const r={trace:e.traces[EC.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[EC.DEFAULT_PASS],
gatherContext:e.GatherContext,settings:t.settings},a=await xC.request(r,t);return{score:EC.computeLogNormalScore({p10:t.options.p10,median:t.options.median},a.timing),numericValue:a.timing,numericUnit:"millisecond",displayValue:RC(_C.UIStrings.ms,{timeInMs:a.timing})}}},TC.exports.UIStrings=AC;var kC={exports:{}};const DC=kc,CC=oi,IC=zk,NC={description:"Speed Index shows how quickly the contents of a page are visibly populated. [Learn more](https://web.dev/speed-index/)."},LC=CC.createMessageInstanceIdFn("lighthouse-core/audits/metrics/speed-index.js",NC);kC.exports=class SpeedIndex extends DC{static get meta(){return{id:"speed-index",title:LC(CC.UIStrings.speedIndexMetric),description:LC(NC.description),scoreDisplayMode:DC.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3387,median:5800}},desktop:{scoring:{p10:1311,median:2300}}}}static async audit(e,t){const r={
trace:e.traces[DC.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[DC.DEFAULT_PASS],gatherContext:e.GatherContext,settings:t.settings},a=await IC.request(r,t),n=t.options[t.settings.formFactor];return{score:DC.computeLogNormalScore(n.scoring,a.timing),numericValue:a.timing,numericUnit:"millisecond",displayValue:LC(CC.UIStrings.seconds,{timeInMs:a.timing})}}},kC.exports.UIStrings=NC;var MC={exports:{}};const PC=kc,OC=gD,FC=oi,UC={description:"Sum of all time periods between FCP and Time to Interactive, when task length exceeded 50ms, expressed in milliseconds. [Learn more](https://web.dev/lighthouse-total-blocking-time/)."},jC=FC.createMessageInstanceIdFn("lighthouse-core/audits/metrics/total-blocking-time.js",UC);MC.exports=class TotalBlockingTime extends PC{static get meta(){return{id:"total-blocking-time",title:jC(FC.UIStrings.totalBlockingTimeMetric),description:jC(UC.description),scoreDisplayMode:PC.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}
static get defaultOptions(){return{mobile:{scoring:{p10:200,median:600}},desktop:{scoring:{p10:150,median:350}}}}static async audit(e,t){const r=e.traces[PC.DEFAULT_PASS],a=e.devtoolsLogs[PC.DEFAULT_PASS],n=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:n,settings:t.settings};if("timespan"===n.gatherMode&&"simulate"===t.settings.throttlingMethod)return{score:1,notApplicable:!0};const o=await OC.request(i,t),s=t.options[t.settings.formFactor];return{score:PC.computeLogNormalScore(s.scoring,o.timing),numericValue:o.timing,numericUnit:"millisecond",displayValue:jC(FC.UIStrings.ms,{timeInMs:o.timing})}}},MC.exports.UIStrings=UC;const BC=kc,$C=ji,qC=Lo;var zC=class NetworkRequests extends BC{static get meta(){return{id:"network-requests",scoreDisplayMode:BC.SCORING_MODES.INFORMATIVE,title:"Network Requests",description:"Lists the network requests that were made during page load.",requiredArtifacts:["devtoolsLogs"]}}static audit(e,t){const r=e.devtoolsLogs[BC.DEFAULT_PASS]
;return qC.request(r,t).then((e=>{const t=e.reduce(((e,t)=>Math.min(e,t.startTime)),1/0),timeToMs=e=>e<t||!Number.isFinite(e)?void 0:1e3*(e-t),r=e.map((e=>{const t=e.lrStatistics?.endTimeDeltaMs,r=e.lrStatistics?.TCPMs,a=e.lrStatistics?.requestMs,n=e.lrStatistics?.responseMs;return{url:$C.elideDataURI(e.url),protocol:e.protocol,startTime:timeToMs(e.startTime),endTime:timeToMs(e.endTime),finished:e.finished,transferSize:e.transferSize,resourceSize:e.resourceSize,statusCode:e.statusCode,mimeType:e.mimeType,resourceType:e.resourceType,lrEndTimeDeltaMs:t,lrTCPMs:r,lrRequestMs:a,lrResponseMs:n}}));return{score:1,details:BC.makeTableDetails([{key:"url",itemType:"url",text:"URL"},{key:"protocol",itemType:"text",text:"Protocol"},{key:"startTime",itemType:"ms",granularity:1,text:"Start Time"},{key:"endTime",itemType:"ms",granularity:1,text:"End Time"},{key:"transferSize",itemType:"bytes",displayUnit:"kb",granularity:1,text:"Transfer Size"},{key:"resourceSize",itemType:"bytes",displayUnit:"kb",
granularity:1,text:"Resource Size"},{key:"statusCode",itemType:"text",text:"Status Code"},{key:"mimeType",itemType:"text",text:"MIME Type"},{key:"resourceType",itemType:"text",text:"Resource Type"}],r)}}))}},VC={exports:{}};const WC=kc,GC=oi,HC=Lo,YC=xl,KC={title:"Network Round Trip Times",description:"Network round trip times (RTT) have a large impact on performance. If the RTT to an origin is high, it's an indication that servers closer to the user could improve performance. [Learn more](https://hpbn.co/primer-on-latency-and-bandwidth/)."},JC=GC.createMessageInstanceIdFn("lighthouse-core/audits/network-rtt.js",KC);VC.exports=class NetworkRTT extends WC{static get meta(){return{id:"network-rtt",scoreDisplayMode:WC.SCORING_MODES.INFORMATIVE,title:JC(KC.title),description:JC(KC.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,t){const r=e.devtoolsLogs[WC.DEFAULT_PASS];if(!(await HC.request(r,t)).length)return{score:1,notApplicable:!0};const a=await YC.request(r,t)
;let n=0;const i=a.rtt,o=[];for(const[e,t]of a.additionalRttByOrigin.entries()){if(!e.startsWith("http"))continue;const r=t+i;o.push({origin:e,rtt:r}),n=Number.isFinite(r)?Math.max(r,n):n}o.sort(((e,t)=>t.rtt-e.rtt));const s=[{key:"origin",itemType:"text",text:JC(GC.UIStrings.columnURL)},{key:"rtt",itemType:"ms",granularity:1,text:JC(GC.UIStrings.columnTimeSpent)}],c=WC.makeTableDetails(s,o);return{score:1,numericValue:n,numericUnit:"millisecond",displayValue:JC(GC.UIStrings.ms,{timeInMs:n}),details:c}}},VC.exports.UIStrings=KC;var XC={exports:{}};const ZC=kc,QC=oi,eI=Lo,tI=xl,rI={title:"Server Backend Latencies",description:"Server latencies can impact web performance. If the server latency of an origin is high, it's an indication the server is overloaded or has poor backend performance. [Learn more](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},aI=QC.createMessageInstanceIdFn("lighthouse-core/audits/network-server-latency.js",rI)
;XC.exports=class NetworkServerLatency extends ZC{static get meta(){return{id:"network-server-latency",scoreDisplayMode:ZC.SCORING_MODES.INFORMATIVE,title:aI(rI.title),description:aI(rI.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,t){const r=e.devtoolsLogs[ZC.DEFAULT_PASS];if(!(await eI.request(r,t)).length)return{score:1,notApplicable:!0};const a=await tI.request(r,t);let n=0;const i=[];for(const[e,t]of a.serverResponseTimeByOrigin.entries())e.startsWith("http")&&(n=Math.max(t,n),i.push({origin:e,serverResponseTime:t}));i.sort(((e,t)=>t.serverResponseTime-e.serverResponseTime));const o=[{key:"origin",itemType:"text",text:aI(QC.UIStrings.columnURL)},{key:"serverResponseTime",itemType:"ms",granularity:1,text:aI(QC.UIStrings.columnTimeSpent)}],s=ZC.makeTableDetails(o,i);return{score:Math.max(1-n/500,0),numericValue:n,numericUnit:"millisecond",displayValue:aI(QC.UIStrings.ms,{timeInMs:n}),details:s}}},XC.exports.UIStrings=rI;var nI={exports:{}}
;const iI=kc,oI=jb,sI=oi,cI={title:"Avoids `unload` event listeners",failureTitle:"Registers an `unload` listener",description:"The `unload` event does not fire reliably and listening for it can prevent browser optimizations like the Back-Forward Cache. Use `pagehide` or `visibilitychange` events instead. [Learn more](https://web.dev/bfcache/#never-use-the-unload-event)"},lI=sI.createMessageInstanceIdFn("lighthouse-core/audits/no-unload-listeners.js",cI);nI.exports=class NoUnloadListeners extends iI{static get meta(){return{id:"no-unload-listeners",title:lI(cI.title),failureTitle:lI(cI.failureTitle),description:lI(cI.description),requiredArtifacts:["GlobalListeners","JsUsage","SourceMaps","ScriptElements"]}}static async audit(e,t){const r=e.GlobalListeners.filter((e=>"unload"===e.type));if(!r.length)return{score:1};const a=await oI.request(e,t),n=[{key:"source",itemType:"source-location",text:lI(sI.UIStrings.columnSource)}],i=new Map
;for(const[t,r]of Object.entries(e.JsUsage))for(const e of r)i.set(e.scriptId,t);const o=r.map((e=>{const t=i.get(e.scriptId);if(!t)return{source:{type:"url",value:"(unknown)"}};const r=a.find((e=>e.script.src===t));return{source:iI.makeSourceLocation(t,e.lineNumber,e.columnNumber,r)}}));return{score:0,details:iI.makeTableDetails(n,o)}}},nI.exports.UIStrings=cI;var uI={exports:{}};const dI=kc,mI=oi,pI={title:"Avoid non-composited animations",description:"Animations which are not composited can be janky and increase CLS. [Learn more](https://web.dev/non-composited-animations)",displayValue:"{itemCount, plural,\n  =1 {# animated element found}\n  other {# animated elements found}\n  }",unsupportedCSSProperty:"{propertyCount, plural,\n    =1 {Unsupported CSS Property: {properties}}\n    other {Unsupported CSS Properties: {properties}}\n  }",transformDependsBoxSize:"Transform-related property depends on box size",filterMayMovePixels:"Filter-related property may move pixels",
nonReplaceCompositeMode:'Effect has composite mode other than "replace"',incompatibleAnimations:"Target has another animation which is incompatible",unsupportedTimingParameters:"Effect has unsupported timing parameters"},hI=mI.createMessageInstanceIdFn("lighthouse-core/audits/non-composited-animations.js",pI),gI=[{flag:8192,text:pI.unsupportedCSSProperty},{flag:2048,text:pI.transformDependsBoxSize},{flag:4096,text:pI.filterMayMovePixels},{flag:16,text:pI.nonReplaceCompositeMode},{flag:64,text:pI.incompatibleAnimations},{flag:8,text:pI.unsupportedTimingParameters}];function getActionableFailureReasons(e,t){return gI.filter((t=>e&t.flag)).map((e=>e.text===pI.unsupportedCSSProperty?hI(e.text,{propertyCount:t.length,properties:t.join(", ")}):hI(e.text)))}uI.exports=class NonCompositedAnimations extends dI{static get meta(){return{id:"non-composited-animations",scoreDisplayMode:dI.SCORING_MODES.INFORMATIVE,title:hI(pI.title),description:hI(pI.description),
requiredArtifacts:["TraceElements","HostUserAgent"]}}static async audit(e){const t=e.HostUserAgent.match(/Chrome\/(\d+)/);if(!t||Number(t[1])<86)return{score:1,notApplicable:!0};const r=[];let a=!1;e.TraceElements.forEach((e=>{if("animation"!==e.traceEventType)return;const t=e.animations||[],n=new Map;for(const{name:e,failureReasonsMask:r,unsupportedProperties:i}of t){if(!r)continue;const t=getActionableFailureReasons(r,i||[]);for(const r of t){e&&(a=!0);const t=n.get(e)||new Set;t.add(r),n.set(e,t)}}if(!n.size)return;const i=[];for(const[e,t]of n)for(const r of t)i.push({failureReason:r,animation:e});r.push({node:dI.makeNodeItem(e.node),subItems:{type:"subitems",items:i}})}));const n=[{key:"node",itemType:"node",subItemsHeading:{key:"failureReason",itemType:"text"},text:hI(mI.UIStrings.columnElement)}];a&&n.push({key:null,itemType:"text",subItemsHeading:{key:"animation",itemType:"text"},text:hI(mI.UIStrings.columnName)});const i=dI.makeTableDetails(n,r);let o
;return r.length>0&&(o=hI(pI.displayValue,{itemCount:r.length})),{score:0===r.length?1:0,notApplicable:0===r.length,details:i,displayValue:o}}},uI.exports.UIStrings=pI;var fI={exports:{}};const yI=Ao,vI=Lo,bI=ji,wI=Ki,SI=Tu,{Util:TI}=Ni;class ResourceSummary$2{static determineResourceType(e){if(!e.resourceType)return"other";return{Stylesheet:"stylesheet",Image:"image",Media:"media",Font:"font",Script:"script",Document:"document"}[e.resourceType]||"other"}static summarize(e,t,r){const a={stylesheet:{count:0,resourceSize:0,transferSize:0},image:{count:0,resourceSize:0,transferSize:0},media:{count:0,resourceSize:0,transferSize:0},font:{count:0,resourceSize:0,transferSize:0},script:{count:0,resourceSize:0,transferSize:0},document:{count:0,resourceSize:0,transferSize:0},other:{count:0,resourceSize:0,transferSize:0},total:{count:0,resourceSize:0,transferSize:0},"third-party":{count:0,resourceSize:0,transferSize:0}},n=SI.getMatchingBudget(r,t);let i=[]
;if(n?.options?.firstPartyHostnames)i=n.options.firstPartyHostnames;else{const e=TI.getRootDomain(t);i=[`*.${e}`]}return e.filter((e=>("other"!==this.determineResourceType(e)||!e.url.endsWith("/favicon.ico"))&&!wI.isNonNetworkRequest(e))).forEach((e=>{const t=this.determineResourceType(e);a[t].count++,a[t].resourceSize+=e.resourceSize,a[t].transferSize+=e.transferSize,a.total.count++,a.total.resourceSize+=e.resourceSize,a.total.transferSize+=e.transferSize;i.some((t=>{const r=new bI(e.url);return t.startsWith("*.")?r.hostname.endsWith(t.slice(2)):r.hostname===t}))||(a["third-party"].count++,a["third-party"].resourceSize+=e.resourceSize,a["third-party"].transferSize+=e.transferSize)})),a}static async compute_(e,t){const r=await vI.request(e.devtoolsLog,t);return ResourceSummary$2.summarize(r,e.URL.finalUrl,e.budgets)}}var EI=yI(ResourceSummary$2,["URL","devtoolsLog","budgets"]);const xI=kc,_I=EI,AI=HT,RI=Tu,kI=oi,DI={title:"Performance budget",
description:"Keep the quantity and size of network requests under the targets set by the provided performance budget. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets).",requestCountOverBudget:"{count, plural,\n    =1 {1 request}\n    other {# requests}\n   }"},CI=kI.createMessageInstanceIdFn("lighthouse-core/audits/performance-budget.js",DI);fI.exports=class ResourceBudget extends xI{static get meta(){return{id:"performance-budget",title:CI(DI.title),description:CI(DI.description),scoreDisplayMode:xI.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","URL"]}}static getRowLabel(e){return{total:kI.UIStrings.totalResourceType,document:kI.UIStrings.documentResourceType,script:kI.UIStrings.scriptResourceType,stylesheet:kI.UIStrings.stylesheetResourceType,image:kI.UIStrings.imageResourceType,media:kI.UIStrings.mediaResourceType,font:kI.UIStrings.fontResourceType,other:kI.UIStrings.otherResourceType,
"third-party":kI.UIStrings.thirdPartyResourceType}[e]}static tableItems(e,t){return Object.keys(t).map((r=>{const a=CI(this.getRowLabel(r)),n=t[r].count,i=t[r].transferSize;let o,s;if(e.resourceSizes){const t=e.resourceSizes.find((e=>e.resourceType===r));t&&i>1024*t.budget&&(o=i-1024*t.budget)}if(e.resourceCounts){const t=e.resourceCounts.find((e=>e.resourceType===r));if(t&&n>t.budget){const e=n-t.budget;s=CI(DI.requestCountOverBudget,{count:e})}}return{resourceType:r,label:a,requestCount:n,transferSize:i,countOverBudget:s,sizeOverBudget:o}})).filter((t=>!(!e.resourceSizes||!e.resourceSizes.some((e=>e.resourceType===t.resourceType)))||!(!e.resourceCounts||!e.resourceCounts.some((e=>e.resourceType===t.resourceType))))).sort(((e,t)=>(t.sizeOverBudget||0)-(e.sizeOverBudget||0)))}static async audit(e,t){const r=e.devtoolsLogs[xI.DEFAULT_PASS],a={devtoolsLog:r,URL:e.URL,budgets:t.settings.budgets},n=await _I.request(a,t),i=await AI.request({URL:e.URL,devtoolsLog:r
},t),o=RI.getMatchingBudget(t.settings.budgets,i.url);if(!o)return{score:0,notApplicable:!0};const s=[{key:"label",itemType:"text",text:CI(kI.UIStrings.columnResourceType)},{key:"requestCount",itemType:"numeric",text:CI(kI.UIStrings.columnRequests)},{key:"transferSize",itemType:"bytes",text:CI(kI.UIStrings.columnTransferSize)},{key:"countOverBudget",itemType:"text",text:""},{key:"sizeOverBudget",itemType:"bytes",text:CI(kI.UIStrings.columnOverBudget)}];return{details:xI.makeTableDetails(s,this.tableItems(o,n)),score:1}}},fI.exports.UIStrings=DI;const II=kc,NI=oi,LI=db,MI=fb,PI=Tb,OI=Uk,FI=vk,UI=NI.createMessageInstanceIdFn("lighthouse-core/audits/predictive-perf.js",{});var jI=class PredictivePerf extends II{static get meta(){return{id:"predictive-perf",title:"Predicted Performance (beta)",description:"Predicted performance evaluates how your site will perform under a cellular connection on a mobile device.",scoreDisplayMode:II.SCORING_MODES.NUMERIC,supportedModes:["navigation"],
requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static async audit(e,t){const r=e.GatherContext,a={trace:e.traces[II.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[II.DEFAULT_PASS],gatherContext:r,settings:{}},n=await LI.request(a,t),i=await MI.request(a,t),o=await PI.request(a,t),s=await OI.request(a,t),c=await FI.request(a,t),l={roughEstimateOfFCP:n.timing,optimisticFCP:n.optimisticEstimate.timeInMs,pessimisticFCP:n.pessimisticEstimate.timeInMs,roughEstimateOfFMP:i.timing,optimisticFMP:i.optimisticEstimate.timeInMs,pessimisticFMP:i.pessimisticEstimate.timeInMs,roughEstimateOfTTI:o.timing,optimisticTTI:o.optimisticEstimate.timeInMs,pessimisticTTI:o.pessimisticEstimate.timeInMs,roughEstimateOfSI:s.timing,optimisticSI:s.optimisticEstimate.timeInMs,pessimisticSI:s.pessimisticEstimate.timeInMs,roughEstimateOfLCP:c.timing,optimisticLCP:c.optimisticEstimate.timeInMs,pessimisticLCP:c.pessimisticEstimate.timeInMs};return{score:II.computeLogNormalScore({p10:3651,median:1e4
},l.roughEstimateOfTTI),numericValue:l.roughEstimateOfTTI,numericUnit:"millisecond",displayValue:UI(NI.UIStrings.ms,{timeInMs:l.roughEstimateOfTTI}),details:{type:"debugdata",items:[l]}}}},BI={exports:{}};const $I=kc,qI=oi,zI=Q_.exports,VI=/^(optional)$/,WI=Lo,GI={title:"Fonts with `font-display: optional` are preloaded",failureTitle:"Fonts with `font-display: optional` are not preloaded",description:"Preload `optional` fonts so first-time visitors may use them. [Learn more](https://web.dev/preload-optional-fonts/)"},HI=qI.createMessageInstanceIdFn("lighthouse-core/audits/preload-fonts.js",GI);class PreloadFontsAudit extends $I{static get meta(){return{id:"preload-fonts",title:HI(GI.title),failureTitle:HI(GI.failureTitle),description:HI(GI.description),requiredArtifacts:["devtoolsLogs","URL","CSSUsage"]}}static getURLsAttemptedToPreload(e){const t=e.filter((e=>"Font"===e.resourceType)).filter((e=>e.isLinkPreload)).map((e=>e.url));return new Set(t)}static async audit_(e,t){
const r=e.devtoolsLogs[this.DEFAULT_PASS],a=await WI.request(r,t),n=zI.findFontDisplayDeclarations(e,VI).passingURLs,i=PreloadFontsAudit.getURLsAttemptedToPreload(a),o=Array.from(n).filter((e=>!i.has(e))).map((e=>({url:e}))),s=[{key:"url",itemType:"url",text:HI(qI.UIStrings.columnURL)}];return{score:o.length>0?0:1,details:$I.makeTableDetails(s,o),notApplicable:0===n.size}}static async audit(){return{score:1,notApplicable:!0}}}BI.exports=PreloadFontsAudit,BI.exports.UIStrings=GI;var YI={exports:{}};const KI=kc,JI=oi,XI=Ki,ZI=HT,QI=vk,eN=Dl,tN=Ib,rN={title:"Preload Largest Contentful Paint image",description:"Preload the image used by the LCP element in order to improve your LCP time. [Learn more](https://web.dev/optimize-lcp/#preload-important-resources)."},aN=JI.createMessageInstanceIdFn("lighthouse-core/audits/preload-lcp-image.js",rN);class PreloadLCPImageAudit extends KI{static get meta(){return{id:"preload-lcp-image",title:aN(rN.title),description:aN(rN.description),
supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL","TraceElements","ImageElements"],scoreDisplayMode:KI.SCORING_MODES.NUMERIC}}static shouldPreloadRequest(e,t,r){const a=t.redirects?t.redirects.length:0;return!e.isLinkPreload&&(!XI.isNonNetworkRequest(e)&&(!(r.length<=a)&&e.frameId===t.frameId))}static findLCPNode(e,t){let r,a;return e.traverse(((e,n)=>{"network"===e.type&&e.record.url===t&&(r=e,a=n.slice(1).filter((e=>"network"===e.type)))})),{lcpNode:r,path:a}}static getLCPNodeToPreload(e,t,r,a){if(!r)return;const n=a.find((e=>e.node.devtoolsNodePath===r.node.devtoolsNodePath));if(!n)return;const i=n.src,{lcpNode:o,path:s}=PreloadLCPImageAudit.findLCPNode(t,i);if(!o||!s)return;return PreloadLCPImageAudit.shouldPreloadRequest(o.record,e,s)?o:void 0}static computeWasteWithGraph(e,t,r,a){if(!e||!t)return{wastedMs:0,results:[]};const n=r.cloneWithRelationships(),i=new Set;for(const e of t.getDependencies())i.add(e.id);let o=null,s=null
;for(const{node:e}of n.traverseGenerator())"network"===e.type&&(e.isMainDocument()?s=e:e.id===t.id&&(o=e));if(!s)throw new Error("Could not find main document node");if(!o)throw new Error("Could not find the LCP node");o.removeAllDependencies(),o.addDependency(s);const c=a.simulate(r,{flexibleOrdering:!0}),l=a.simulate(n,{flexibleOrdering:!0}),u=c.nodeTimings.get(t);if(!u)throw new Error("Impossible - node timings should never be undefined");const d=l.nodeTimings.get(o);if(!d)throw new Error("Impossible - node timings should never be undefined");const m=Array.from(l.nodeTimings.keys()).reduce(((e,t)=>e.set(t.id,t)),new Map);let p=0;for(const e of Array.from(i)){const t=m.get(e);if(!t)throw new Error("Impossible - node should never be undefined");const r=l.nodeTimings.get(t)?.endTime||0;p=Math.max(p,r)}const h=u.endTime-Math.max(d.endTime,p);return{wastedMs:h,results:[{node:KI.makeNodeItem(e.node),url:t.record.url,wastedMs:h}]}}static async audit(e,t){
const r=e.GatherContext,a=e.traces[PreloadLCPImageAudit.DEFAULT_PASS],n=e.devtoolsLogs[PreloadLCPImageAudit.DEFAULT_PASS],i=e.URL,o={trace:a,devtoolsLog:n,gatherContext:r,settings:t.settings},s=e.TraceElements.find((e=>"largest-contentful-paint"===e.traceEventType)),[c,l,u]=await Promise.all([ZI.request({devtoolsLog:n,URL:i},t),QI.request(o,t),eN.request({devtoolsLog:n,settings:t.settings},t)]),d=l.pessimisticGraph,m=PreloadLCPImageAudit.getLCPNodeToPreload(c,d,s,e.ImageElements),{results:p,wastedMs:h}=PreloadLCPImageAudit.computeWasteWithGraph(s,m,d,u),f=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:aN(JI.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:aN(JI.UIStrings.columnWastedMs)}],y=KI.makeOpportunityDetails(f,p,h);return{score:tN.scoreForWastedMs(h),numericValue:h,numericUnit:"millisecond",displayValue:h?aN(JI.UIStrings.displayValueMsSavings,{wastedMs:h}):"",details:y}}}YI.exports=PreloadLCPImageAudit,YI.exports.UIStrings=rN;var nN={
exports:{}};const iN=kc,oN=Ib,sN=oi,cN=Yp,lN=Lo,uN=HT,dN=Tb,mN={title:"Avoid multiple page redirects",description:"Redirects introduce additional delays before the page can be loaded. [Learn more](https://web.dev/redirects/)."},pN=sN.createMessageInstanceIdFn("lighthouse-core/audits/redirects.js",mN);class Redirects extends iN{static get meta(){return{id:"redirects",title:pN(mN.title),description:pN(mN.description),scoreDisplayMode:iN.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["URL","GatherContext","devtoolsLogs","traces"]}}static getDocumentRequestChain(e,t,r){const a=[];for(const e of r.processEvents){if("navigationStart"!==e.name)continue;const r=e.args.data||{};if(!r.documentLoaderURL||!r.isLoadingMainFrame)continue;let n=t.find((e=>e.url===r.documentLoaderURL));for(;n;)a.push(n),n=n.redirectDestination}return a.length?a:(e.redirects||[]).concat(e)}static async audit(e,t){
const r=t.settings,a=e.traces[iN.DEFAULT_PASS],n=e.devtoolsLogs[iN.DEFAULT_PASS],i=e.GatherContext,o=await cN.request(a,t),s=await lN.request(n,t),c=await uN.request({URL:e.URL,devtoolsLog:n},t),l={trace:a,devtoolsLog:n,gatherContext:i,settings:r},u=await dN.request(l,t),d=new Map;for(const[e,t]of u.pessimisticEstimate.nodeTimings.entries())"network"===e.type&&d.set(e.record.url,t);const m=Redirects.getDocumentRequestChain(c,s,o);let p=0;const h=[];for(let e=0;e<m.length&&!(m.length<2);e++){const t=m[e],a=m[e+1]||t,n=d.get(t.url),i=d.get(a.url);if(!n||!i)throw new Error("Could not find redirects in graph");const o=i.startTime-n.startTime,s=a.startTime-t.startTime,c="simulate"===r.throttlingMethod?o:1e3*s;p+=c,h.push({url:t.url,wastedMs:c})}const f=[{key:"url",valueType:"url",label:pN(sN.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:pN(sN.UIStrings.columnTimeSpent)}],y=iN.makeOpportunityDetails(f,h,p);return{score:m.length<=2?1:oN.scoreForWastedMs(p),numericValue:p,
numericUnit:"millisecond",displayValue:p?pN(sN.UIStrings.displayValueMsSavings,{wastedMs:p}):"",details:y}}}nN.exports=Redirects,nN.exports.UIStrings=mN;var hN={exports:{}};const gN=kc,fN=EI,yN=oi,vN={title:"Keep request counts low and transfer sizes small",description:"To set budgets for the quantity and size of page resources, add a budget.json file. [Learn more](https://web.dev/use-lighthouse-for-performance-budgets/).",displayValue:"{requestCount, plural, =1 {1 request • {byteCount, number, bytes} KiB} other {# requests • {byteCount, number, bytes} KiB}}"},bN=yN.createMessageInstanceIdFn("lighthouse-core/audits/resource-summary.js",vN);hN.exports=class ResourceSummary extends gN{static get meta(){return{id:"resource-summary",title:bN(vN.title),description:bN(vN.description),scoreDisplayMode:gN.SCORING_MODES.INFORMATIVE,requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,t){const r=e.devtoolsLogs[gN.DEFAULT_PASS],a=await fN.request({devtoolsLog:r,URL:e.URL,
budgets:t.settings.budgets},t),n=[{key:"label",itemType:"text",text:bN(yN.UIStrings.columnResourceType)},{key:"requestCount",itemType:"numeric",text:bN(yN.UIStrings.columnRequests)},{key:"transferSize",itemType:"bytes",text:bN(yN.UIStrings.columnTransferSize)}],i={total:bN(yN.UIStrings.totalResourceType),document:bN(yN.UIStrings.documentResourceType),script:bN(yN.UIStrings.scriptResourceType),stylesheet:bN(yN.UIStrings.stylesheetResourceType),image:bN(yN.UIStrings.imageResourceType),media:bN(yN.UIStrings.mediaResourceType),font:bN(yN.UIStrings.fontResourceType),other:bN(yN.UIStrings.otherResourceType),"third-party":bN(yN.UIStrings.thirdPartyResourceType)},o=Object.keys(a).map((e=>({resourceType:e,label:i[e],requestCount:a[e].count,transferSize:a[e].transferSize}))),s=o.find((e=>"third-party"===e.resourceType))||[],c=o.filter((e=>"third-party"!==e.resourceType)).sort(((e,t)=>t.transferSize-e.transferSize)).concat(s);return{details:gN.makeTableDetails(n,c),score:1,
displayValue:bN(vN.displayValue,{requestCount:a.total.count,byteCount:a.total.transferSize})}}},hN.exports.UIStrings=vN;var wN={exports:{}};!function(e){function JPEGEncoder(e){
var t,r,a,n,i,o=Math.floor,s=new Array(64),c=new Array(64),l=new Array(64),u=new Array(64),d=new Array(65535),m=new Array(65535),p=new Array(64),h=new Array(64),f=[],y=0,v=7,b=new Array(64),w=new Array(64),S=new Array(64),T=new Array(256),E=new Array(2048),x=[0,1,5,6,14,15,27,28,2,4,7,13,16,26,29,42,3,8,12,17,25,30,41,43,9,11,18,24,31,40,44,53,10,19,23,32,39,45,52,54,20,22,33,38,46,51,55,60,21,34,37,47,50,56,59,61,35,36,48,49,57,58,62,63],_=[0,0,1,5,1,1,1,1,1,1,0,0,0,0,0,0,0],A=[0,1,2,3,4,5,6,7,8,9,10,11],R=[0,0,2,1,3,3,2,4,3,5,5,4,4,0,0,1,125],k=[1,2,3,0,4,17,5,18,33,49,65,6,19,81,97,7,34,113,20,50,129,145,161,8,35,66,177,193,21,82,209,240,36,51,98,114,130,9,10,22,23,24,25,26,37,38,39,40,41,42,52,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,225,226,227,228,229,230,231,232,233,234,241,242,243,244,245,246,247,248,249,250],D=[0,0,3,1,1,1,1,1,1,1,1,1,0,0,0,0,0],C=[0,1,2,3,4,5,6,7,8,9,10,11],I=[0,0,2,1,2,4,4,3,4,7,5,4,4,0,1,2,119],N=[0,1,2,3,17,4,5,33,49,6,18,65,81,7,97,113,19,34,50,129,8,20,66,145,161,177,193,9,35,51,82,240,21,98,114,209,10,22,36,52,225,37,241,23,24,25,26,38,39,40,41,42,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,130,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,226,227,228,229,230,231,232,233,234,242,243,244,245,246,247,248,249,250]
;function computeHuffmanTbl(e,t){for(var r=0,a=0,n=new Array,i=1;i<=16;i++){for(var o=1;o<=e[i];o++)n[t[a]]=[],n[t[a]][0]=r,n[t[a]][1]=i,a++,r++;r*=2}return n}function writeBits(e){for(var t=e[0],r=e[1]-1;r>=0;)t&1<<r&&(y|=1<<v),r--,--v<0&&(255==y?(writeByte(255),writeByte(0)):writeByte(y),v=7,y=0)}function writeByte(e){f.push(e)}function writeWord(e){writeByte(e>>8&255),writeByte(255&e)}function processDU(e,t,r,a,n){for(var i,o=n[0],s=n[240],c=function fDCTQuant(e,t){var r,a,n,i,o,s,c,l,u,d,m=0;for(u=0;u<8;++u){r=e[m],a=e[m+1],n=e[m+2],i=e[m+3],o=e[m+4],s=e[m+5],c=e[m+6];var h=r+(l=e[m+7]),f=r-l,y=a+c,v=a-c,b=n+s,w=n-s,S=i+o,T=i-o,E=h+S,x=h-S,_=y+b,A=y-b;e[m]=E+_,e[m+4]=E-_;var R=.707106781*(A+x);e[m+2]=x+R,e[m+6]=x-R;var k=.382683433*((E=T+w)-(A=v+f)),D=.5411961*E+k,C=1.306562965*A+k,I=.707106781*(_=w+v),N=f+I,L=f-I;e[m+5]=L+D,e[m+3]=L-D,e[m+1]=N+C,e[m+7]=N-C,m+=8}for(m=0,u=0;u<8;++u){r=e[m],a=e[m+8],n=e[m+16],i=e[m+24],o=e[m+32],s=e[m+40],c=e[m+48]
;var M=r+(l=e[m+56]),P=r-l,O=a+c,F=a-c,U=n+s,j=n-s,B=i+o,$=i-o,q=M+B,z=M-B,V=O+U,W=O-U;e[m]=q+V,e[m+32]=q-V;var G=.707106781*(W+z);e[m+16]=z+G,e[m+48]=z-G;var H=.382683433*((q=$+j)-(W=F+P)),Y=.5411961*q+H,K=1.306562965*W+H,J=.707106781*(V=j+F),X=P+J,Z=P-J;e[m+40]=Z+Y,e[m+24]=Z-Y,e[m+8]=X+K,e[m+56]=X-K,m++}for(u=0;u<64;++u)d=e[u]*t[u],p[u]=d>0?d+.5|0:d-.5|0;return p}(e,t),l=0;l<64;++l)h[x[l]]=c[l];var u=h[0]-r;r=h[0],0==u?writeBits(a[0]):(writeBits(a[m[i=32767+u]]),writeBits(d[i]));for(var f=63;f>0&&0==h[f];f--);if(0==f)return writeBits(o),r;for(var y,v=1;v<=f;){for(var b=v;0==h[v]&&v<=f;++v);var w=v-b;if(w>=16){y=w>>4;for(var S=1;S<=y;++S)writeBits(s);w&=15}i=32767+h[v],writeBits(n[(w<<4)+m[i]]),writeBits(d[i]),v++}return 63!=f&&writeBits(o),r}function setQuality(e){if(e<=0&&(e=1),e>100&&(e=100),i!=e){(function initQuantTables(e){
for(var t=[16,11,10,16,24,40,51,61,12,12,14,19,26,58,60,55,14,13,16,24,40,57,69,56,14,17,22,29,51,87,80,62,18,22,37,56,68,109,103,77,24,35,55,64,81,104,113,92,49,64,78,87,103,121,120,101,72,92,95,98,112,100,103,99],r=0;r<64;r++){var a=o((t[r]*e+50)/100);a<1?a=1:a>255&&(a=255),s[x[r]]=a}for(var n=[17,18,24,47,99,99,99,99,18,21,26,66,99,99,99,99,24,26,56,99,99,99,99,99,47,66,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99],i=0;i<64;i++){var d=o((n[i]*e+50)/100);d<1?d=1:d>255&&(d=255),c[x[i]]=d}for(var m=[1,1.387039845,1.306562965,1.175875602,1,.785694958,.5411961,.275899379],p=0,h=0;h<8;h++)for(var f=0;f<8;f++)l[p]=1/(s[x[p]]*m[h]*m[f]*8),u[p]=1/(c[x[p]]*m[h]*m[f]*8),p++})(e<50?Math.floor(5e3/e):Math.floor(200-2*e)),i=e}}this.encode=function(e,i){(new Date).getTime(),i&&setQuality(i),f=new Array,y=0,v=7,writeWord(65496),function writeAPP0(){writeWord(65504),writeWord(16),writeByte(74),writeByte(70),writeByte(73),
writeByte(70),writeByte(0),writeByte(1),writeByte(1),writeByte(0),writeWord(1),writeWord(1),writeByte(0),writeByte(0)}(),function writeAPP1(e){if(e){writeWord(65505),69===e[0]&&120===e[1]&&105===e[2]&&102===e[3]?writeWord(e.length+2):(writeWord(e.length+5+2),writeByte(69),writeByte(120),writeByte(105),writeByte(102),writeByte(0));for(var t=0;t<e.length;t++)writeByte(e[t])}}(e.exifBuffer),function writeDQT(){writeWord(65499),writeWord(132),writeByte(0);for(var e=0;e<64;e++)writeByte(s[e]);writeByte(1);for(var t=0;t<64;t++)writeByte(c[t])}(),function writeSOF0(e,t){writeWord(65472),writeWord(17),writeByte(8),writeWord(t),writeWord(e),writeByte(3),writeByte(1),writeByte(17),writeByte(0),writeByte(2),writeByte(17),writeByte(1),writeByte(3),writeByte(17),writeByte(1)}(e.width,e.height),function writeDHT(){writeWord(65476),writeWord(418),writeByte(0);for(var e=0;e<16;e++)writeByte(_[e+1]);for(var t=0;t<=11;t++)writeByte(A[t]);writeByte(16);for(var r=0;r<16;r++)writeByte(R[r+1])
;for(var a=0;a<=161;a++)writeByte(k[a]);writeByte(1);for(var n=0;n<16;n++)writeByte(D[n+1]);for(var i=0;i<=11;i++)writeByte(C[i]);writeByte(17);for(var o=0;o<16;o++)writeByte(I[o+1]);for(var s=0;s<=161;s++)writeByte(N[s])}(),function writeSOS(){writeWord(65498),writeWord(12),writeByte(3),writeByte(1),writeByte(0),writeByte(2),writeByte(17),writeByte(3),writeByte(17),writeByte(0),writeByte(63),writeByte(0)}();var o=0,d=0,m=0;y=0,v=7,this.encode.displayName="_encode_";for(var p,h,T,x,L,M,P,O,F,U=e.data,j=e.width,B=e.height,$=4*j,q=0;q<B;){for(p=0;p<$;){for(M=L=$*q+p,P=-1,O=0,F=0;F<64;F++)M=L+(O=F>>3)*$+(P=4*(7&F)),q+O>=B&&(M-=$*(q+1+O-B)),p+P>=$&&(M-=p+P-$+4),h=U[M++],T=U[M++],x=U[M++],b[F]=(E[h]+E[T+256>>0]+E[x+512>>0]>>16)-128,w[F]=(E[h+768>>0]+E[T+1024>>0]+E[x+1280>>0]>>16)-128,S[F]=(E[h+1280>>0]+E[T+1536>>0]+E[x+1792>>0]>>16)-128;o=processDU(b,l,o,t,a),d=processDU(w,u,d,r,n),m=processDU(S,u,m,r,n),p+=32}q+=8}if(v>=0){var z=[];z[1]=v+1,z[0]=(1<<v+1)-1,writeBits(z)}
return writeWord(65497),Buffer$2.from(f)},function init(){(new Date).getTime(),e||(e=50),function initCharLookupTable(){for(var e=String.fromCharCode,t=0;t<256;t++)T[t]=e(t)}(),function initHuffmanTbl(){t=computeHuffmanTbl(_,A),r=computeHuffmanTbl(D,C),a=computeHuffmanTbl(R,k),n=computeHuffmanTbl(I,N)}(),function initCategoryNumber(){for(var e=1,t=2,r=1;r<=15;r++){for(var a=e;a<t;a++)m[32767+a]=r,d[32767+a]=[],d[32767+a][1]=r,d[32767+a][0]=a;for(var n=-(t-1);n<=-e;n++)m[32767+n]=r,d[32767+n]=[],d[32767+n][1]=r,d[32767+n][0]=t-1+n;e<<=1,t<<=1}}(),function initRGBYUVTable(){for(var e=0;e<256;e++)E[e]=19595*e,E[e+256>>0]=38470*e,E[e+512>>0]=7471*e+32768,E[e+768>>0]=-11059*e,E[e+1024>>0]=-21709*e,E[e+1280>>0]=32768*e+8421375,E[e+1536>>0]=-27439*e,E[e+1792>>0]=-5329*e}(),setQuality(e),(new Date).getTime()}()}e.exports=function encode(e,t){void 0===t&&(t=50);return{data:new JPEGEncoder(t).encode(e,t),width:e.width,height:e.height}}}(wN);var SN={exports:{}};!function(e){
var t=function jpegImage(){var e=new Int32Array([0,1,8,16,9,2,3,10,17,24,32,25,18,11,4,5,12,19,26,33,40,48,41,34,27,20,13,6,7,14,21,28,35,42,49,56,57,50,43,36,29,22,15,23,30,37,44,51,58,59,52,45,38,31,39,46,53,60,61,54,47,55,62,63]),t=4017,r=799,a=3406,n=2276,i=1567,o=3784,s=5793,c=2896;function constructor(){}function buildHuffmanTable(e,t){for(var r,a,n=0,i=[],o=16;o>0&&!e[o-1];)o--;i.push({children:[],index:0});var s,c=i[0];for(r=0;r<o;r++){for(a=0;a<e[r];a++){for((c=i.pop()).children[c.index]=t[n];c.index>0;){if(0===i.length)throw new Error("Could not recreate Huffman Table");c=i.pop()}for(c.index++,i.push(c);i.length<=r;)i.push(s={children:[],index:0}),c.children[c.index]=s.children,c=s;n++}r+1<o&&(i.push(s={children:[],index:0}),c.children[c.index]=s.children,c=s)}return i[0].children}function decodeScan(t,r,a,n,i,o,s,c,l,u){a.precision,a.samplesPerLine,a.scanLines;var d=a.mcusPerLine,m=a.progressive;a.maxH,a.maxV;var p=r,h=0,f=0;function readBit(){if(f>0)return f--,h>>f&1
;if(255==(h=t[r++])){var e=t[r++];if(e)throw new Error("unexpected marker: "+(h<<8|e).toString(16))}return f=7,h>>>7}function decodeHuffman(e){for(var t,r=e;null!==(t=readBit());){if("number"==typeof(r=r[t]))return r;if("object"!=typeof r)throw new Error("invalid huffman sequence")}return null}function receive(e){for(var t=0;e>0;){var r=readBit();if(null===r)return;t=t<<1|r,e--}return t}function receiveAndExtend(e){var t=receive(e);return t>=1<<e-1?t:t+(-1<<e)+1}var y=0;var v,b=0;function decodeMcu(e,t,r,a,n){var i=r%d,o=(r/d|0)*e.v+a,s=i*e.h+n;void 0===e.blocks[o]&&u.tolerantDecoding||t(e,e.blocks[o][s])}function decodeBlock(e,t,r){var a=r/e.blocksPerLine|0,n=r%e.blocksPerLine;void 0===e.blocks[a]&&u.tolerantDecoding||t(e,e.blocks[a][n])}var w,S,T,E,x,_,A=n.length;_=m?0===o?0===c?function decodeDCFirst(e,t){var r=decodeHuffman(e.huffmanTableDC),a=0===r?0:receiveAndExtend(r)<<l;t[0]=e.pred+=a}:function decodeDCSuccessive(e,t){t[0]|=readBit()<<l}:0===c?function decodeACFirst(t,r){
if(y>0)y--;else for(var a=o,n=s;a<=n;){var i=decodeHuffman(t.huffmanTableAC),c=15&i,u=i>>4;if(0!==c)r[e[a+=u]]=receiveAndExtend(c)*(1<<l),a++;else{if(u<15){y=receive(u)+(1<<u)-1;break}a+=16}}}:function decodeACSuccessive(t,r){for(var a=o,n=s,i=0;a<=n;){var c=e[a],u=r[c]<0?-1:1;switch(b){case 0:var d=decodeHuffman(t.huffmanTableAC),m=15&d;if(i=d>>4,0===m)i<15?(y=receive(i)+(1<<i),b=4):(i=16,b=1);else{if(1!==m)throw new Error("invalid ACn encoding");v=receiveAndExtend(m),b=i?2:3}continue;case 1:case 2:r[c]?r[c]+=(readBit()<<l)*u:0==--i&&(b=2==b?3:0);break;case 3:r[c]?r[c]+=(readBit()<<l)*u:(r[c]=v<<l,b=0);break;case 4:r[c]&&(r[c]+=(readBit()<<l)*u)}a++}4===b&&0==--y&&(b=0)}:function decodeBaseline(t,r){var a=decodeHuffman(t.huffmanTableDC),n=0===a?0:receiveAndExtend(a);r[0]=t.pred+=n;for(var i=1;i<64;){var o=decodeHuffman(t.huffmanTableAC),s=15&o,c=o>>4;if(0!==s)r[e[i+=c]]=receiveAndExtend(s),i++;else{if(c<15)break;i+=16}}};var R,k,D,C,I=0
;for(k=1==A?n[0].blocksPerLine*n[0].blocksPerColumn:d*a.mcusPerColumn,i||(i=k);I<k;){for(S=0;S<A;S++)n[S].pred=0;if(y=0,1==A)for(w=n[0],x=0;x<i;x++)decodeBlock(w,_,I),I++;else for(x=0;x<i;x++){for(S=0;S<A;S++)for(D=(w=n[S]).h,C=w.v,T=0;T<C;T++)for(E=0;E<D;E++)decodeMcu(w,_,I,T,E);if(++I===k)break}if(I===k)do{if(255===t[r]&&0!==t[r+1])break;r+=1}while(r<t.length-2);if(f=0,(R=t[r]<<8|t[r+1])<65280)throw new Error("marker was not found");if(!(R>=65488&&R<=65495))break;r+=2}return r-p}function buildComponentData(e,l){var u,d,m=[],p=l.blocksPerLine,h=l.blocksPerColumn,f=p<<3,y=new Int32Array(64),v=new Uint8Array(64);function quantizeAndInverse(e,u,d){var m,p,h,f,y,v,b,w,S,T,E=l.quantizationTable,x=d;for(T=0;T<64;T++)x[T]=e[T]*E[T];for(T=0;T<8;++T){var _=8*T;0!=x[1+_]||0!=x[2+_]||0!=x[3+_]||0!=x[4+_]||0!=x[5+_]||0!=x[6+_]||0!=x[7+_]?(m=s*x[0+_]+128>>8,p=s*x[4+_]+128>>8,h=x[2+_],f=x[6+_],y=c*(x[1+_]-x[7+_])+128>>8,w=c*(x[1+_]+x[7+_])+128>>8,v=x[3+_]<<4,b=x[5+_]<<4,S=m-p+1>>1,m=m+p+1>>1,p=S,
S=h*o+f*i+128>>8,h=h*i-f*o+128>>8,f=S,S=y-b+1>>1,y=y+b+1>>1,b=S,S=w+v+1>>1,v=w-v+1>>1,w=S,S=m-f+1>>1,m=m+f+1>>1,f=S,S=p-h+1>>1,p=p+h+1>>1,h=S,S=y*n+w*a+2048>>12,y=y*a-w*n+2048>>12,w=S,S=v*r+b*t+2048>>12,v=v*t-b*r+2048>>12,b=S,x[0+_]=m+w,x[7+_]=m-w,x[1+_]=p+b,x[6+_]=p-b,x[2+_]=h+v,x[5+_]=h-v,x[3+_]=f+y,x[4+_]=f-y):(S=s*x[0+_]+512>>10,x[0+_]=S,x[1+_]=S,x[2+_]=S,x[3+_]=S,x[4+_]=S,x[5+_]=S,x[6+_]=S,x[7+_]=S)}for(T=0;T<8;++T){var A=T;0!=x[8+A]||0!=x[16+A]||0!=x[24+A]||0!=x[32+A]||0!=x[40+A]||0!=x[48+A]||0!=x[56+A]?(m=s*x[0+A]+2048>>12,p=s*x[32+A]+2048>>12,h=x[16+A],f=x[48+A],y=c*(x[8+A]-x[56+A])+2048>>12,w=c*(x[8+A]+x[56+A])+2048>>12,v=x[24+A],b=x[40+A],S=m-p+1>>1,m=m+p+1>>1,p=S,S=h*o+f*i+2048>>12,h=h*i-f*o+2048>>12,f=S,S=y-b+1>>1,y=y+b+1>>1,b=S,S=w+v+1>>1,v=w-v+1>>1,w=S,S=m-f+1>>1,m=m+f+1>>1,f=S,S=p-h+1>>1,p=p+h+1>>1,h=S,S=y*n+w*a+2048>>12,y=y*a-w*n+2048>>12,w=S,S=v*r+b*t+2048>>12,v=v*t-b*r+2048>>12,b=S,x[0+A]=m+w,x[56+A]=m-w,x[8+A]=p+b,x[48+A]=p-b,x[16+A]=h+v,x[40+A]=h-v,x[24+A]=f+y,
x[32+A]=f-y):(S=s*d[T+0]+8192>>14,x[0+A]=S,x[8+A]=S,x[16+A]=S,x[24+A]=S,x[32+A]=S,x[40+A]=S,x[48+A]=S,x[56+A]=S)}for(T=0;T<64;++T){var R=128+(x[T]+8>>4);u[T]=R<0?0:R>255?255:R}}requestMemoryAllocation(f*h*8);for(var b=0;b<h;b++){var w=b<<3;for(u=0;u<8;u++)m.push(new Uint8Array(f));for(var S=0;S<p;S++){quantizeAndInverse(l.blocks[b][S],v,y);var T=0,E=S<<3;for(d=0;d<8;d++){var x=m[w+d];for(u=0;u<8;u++)x[E+u]=v[T++]}}}return m}function clampTo8bit(e){return e<0?0:e>255?255:e}constructor.prototype={load:function load(e){var t=new XMLHttpRequest;t.open("GET",e,!0),t.responseType="arraybuffer",t.onload=function(){var e=new Uint8Array(t.response||t.mozResponseArrayBuffer);this.parse(e),this.onload&&this.onload()}.bind(this),t.send(null)},parse:function parse(t){var r=1e3*this.opts.maxResolutionInMP*1e3,a=0;function readUint16(){var e=t[a]<<8|t[a+1];return a+=2,e}function readDataBlock(){var e=readUint16(),r=t.subarray(a,a+e-2);return a+=r.length,r}function prepareComponents(e){var t,r,a=0,n=0
;for(r in e.components)e.components.hasOwnProperty(r)&&(a<(t=e.components[r]).h&&(a=t.h),n<t.v&&(n=t.v));var i=Math.ceil(e.samplesPerLine/8/a),o=Math.ceil(e.scanLines/8/n);for(r in e.components)if(e.components.hasOwnProperty(r)){t=e.components[r];var s=Math.ceil(Math.ceil(e.samplesPerLine/8)*t.h/a),c=Math.ceil(Math.ceil(e.scanLines/8)*t.v/n),l=i*t.h,u=o*t.v,d=[];requestMemoryAllocation(256*(u*l));for(var m=0;m<u;m++){for(var p=[],h=0;h<l;h++)p.push(new Int32Array(64));d.push(p)}t.blocksPerLine=s,t.blocksPerColumn=c,t.blocks=d}e.maxH=a,e.maxV=n,e.mcusPerLine=i,e.mcusPerColumn=o}t.length;var n,i,o=null,s=null,c=[],l=[],u=[],d=[],m=readUint16(),p=-1;if(this.comments=[],65496!=m)throw new Error("SOI not found");for(m=readUint16();65497!=m;){switch(m){case 65280:break;case 65504:case 65505:case 65506:case 65507:case 65508:case 65509:case 65510:case 65511:case 65512:case 65513:case 65514:case 65515:case 65516:case 65517:case 65518:case 65519:case 65534:var h=readDataBlock();if(65534===m){
var f=String.fromCharCode.apply(null,h);this.comments.push(f)}65504===m&&74===h[0]&&70===h[1]&&73===h[2]&&70===h[3]&&0===h[4]&&(o={version:{major:h[5],minor:h[6]},densityUnits:h[7],xDensity:h[8]<<8|h[9],yDensity:h[10]<<8|h[11],thumbWidth:h[12],thumbHeight:h[13],thumbData:h.subarray(14,14+3*h[12]*h[13])}),65505===m&&69===h[0]&&120===h[1]&&105===h[2]&&102===h[3]&&0===h[4]&&(this.exifBuffer=h.subarray(5,h.length)),65518===m&&65===h[0]&&100===h[1]&&111===h[2]&&98===h[3]&&101===h[4]&&0===h[5]&&(s={version:h[6],flags0:h[7]<<8|h[8],flags1:h[9]<<8|h[10],transformCode:h[11]});break;case 65499:for(var y=readUint16()+a-2;a<y;){var v=t[a++];requestMemoryAllocation(256);var b=new Int32Array(64);if(v>>4==0)for($=0;$<64;$++){b[e[$]]=t[a++]}else{if(v>>4!=1)throw new Error("DQT: invalid table spec");for($=0;$<64;$++){b[e[$]]=readUint16()}}c[15&v]=b}break;case 65472:case 65473:case 65474:readUint16(),(n={}).extended=65473===m,n.progressive=65474===m,n.precision=t[a++],n.scanLines=readUint16(),
n.samplesPerLine=readUint16(),n.components={},n.componentsOrder=[];var w=n.scanLines*n.samplesPerLine;if(w>r){var S=Math.ceil((w-r)/1e6);throw new Error(`maxResolutionInMP limit exceeded by ${S}MP`)}var T,E=t[a++];for(j=0;j<E;j++){T=t[a];var x=t[a+1]>>4,_=15&t[a+1],A=t[a+2];n.componentsOrder.push(T),n.components[T]={h:x,v:_,quantizationIdx:A},a+=3}prepareComponents(n),l.push(n);break;case 65476:var R=readUint16();for(j=2;j<R;){var k=t[a++],D=new Uint8Array(16),C=0;for($=0;$<16;$++,a++)C+=D[$]=t[a];requestMemoryAllocation(16+C);var I=new Uint8Array(C);for($=0;$<C;$++,a++)I[$]=t[a];j+=17+C,(k>>4==0?d:u)[15&k]=buildHuffmanTable(D,I)}break;case 65501:readUint16(),i=readUint16();break;case 65500:readUint16(),readUint16();break;case 65498:readUint16();var N=t[a++],L=[];for(j=0;j<N;j++){q=n.components[t[a++]];var M=t[a++];q.huffmanTableDC=d[M>>4],q.huffmanTableAC=u[15&M],L.push(q)}var P=t[a++],O=t[a++],F=t[a++],U=decodeScan(t,a,n,L,i,P,O,F>>4,15&F,this.opts);a+=U;break;case 65535:
255!==t[a]&&a--;break;default:if(255==t[a-3]&&t[a-2]>=192&&t[a-2]<=254){a-=3;break}if(224===m||225==m){if(-1!==p)throw new Error(`first unknown JPEG marker at offset ${p.toString(16)}, second unknown JPEG marker ${m.toString(16)} at offset ${(a-1).toString(16)}`);p=a-1;const e=readUint16();if(255===t[a+e-2]){a+=e-2;break}}throw new Error("unknown JPEG marker "+m.toString(16))}m=readUint16()}if(1!=l.length)throw new Error("only single frame JPEGs supported");for(var j=0;j<l.length;j++){var B=l[j].components;for(var $ in B)B[$].quantizationTable=c[B[$].quantizationIdx],delete B[$].quantizationIdx}this.width=n.samplesPerLine,this.height=n.scanLines,this.jfif=o,this.adobe=s,this.components=[];for(j=0;j<n.componentsOrder.length;j++){var q=n.components[n.componentsOrder[j]];this.components.push({lines:buildComponentData(0,q),scaleX:q.h/n.maxH,scaleY:q.v/n.maxV})}},getData:function getData(e,t){
var r,a,n,i,o,s,c,l,u,d,m,p,h,f,y,v,b,w,S,T,E,x=this.width/e,_=this.height/t,A=0,R=e*t*this.components.length;requestMemoryAllocation(R);var k=new Uint8Array(R);switch(this.components.length){case 1:for(r=this.components[0],d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],u=0;u<e;u++)m=o[0|u*r.scaleX*x],k[A++]=m;break;case 2:for(r=this.components[0],a=this.components[1],d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],s=a.lines[0|d*a.scaleY*_],u=0;u<e;u++)m=o[0|u*r.scaleX*x],k[A++]=m,m=s[0|u*a.scaleX*x],k[A++]=m;break;case 3:for(E=!0,this.adobe&&this.adobe.transformCode?E=!0:void 0!==this.opts.colorTransform&&(E=!!this.opts.colorTransform),r=this.components[0],a=this.components[1],n=this.components[2],d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],s=a.lines[0|d*a.scaleY*_],c=n.lines[0|d*n.scaleY*_],u=0;u<e;u++)E?(m=o[0|u*r.scaleX*x],p=s[0|u*a.scaleX*x],w=clampTo8bit(m+1.402*((h=c[0|u*n.scaleX*x])-128)),S=clampTo8bit(m-.3441363*(p-128)-.71413636*(h-128)),
T=clampTo8bit(m+1.772*(p-128))):(w=o[0|u*r.scaleX*x],S=s[0|u*a.scaleX*x],T=c[0|u*n.scaleX*x]),k[A++]=w,k[A++]=S,k[A++]=T;break;case 4:if(!this.adobe)throw new Error("Unsupported color mode (4 components)");for(E=!1,this.adobe&&this.adobe.transformCode?E=!0:void 0!==this.opts.colorTransform&&(E=!!this.opts.colorTransform),r=this.components[0],a=this.components[1],n=this.components[2],i=this.components[3],d=0;d<t;d++)for(o=r.lines[0|d*r.scaleY*_],s=a.lines[0|d*a.scaleY*_],c=n.lines[0|d*n.scaleY*_],l=i.lines[0|d*i.scaleY*_],u=0;u<e;u++)E?(m=o[0|u*r.scaleX*x],p=s[0|u*a.scaleX*x],h=c[0|u*n.scaleX*x],f=l[0|u*i.scaleX*x],y=255-clampTo8bit(m+1.402*(h-128)),v=255-clampTo8bit(m-.3441363*(p-128)-.71413636*(h-128)),b=255-clampTo8bit(m+1.772*(p-128))):(y=o[0|u*r.scaleX*x],v=s[0|u*a.scaleX*x],b=c[0|u*n.scaleX*x],f=l[0|u*i.scaleX*x]),k[A++]=255-y,k[A++]=255-v,k[A++]=255-b,k[A++]=255-f;break;default:throw new Error("Unsupported color mode")}return k},copyToImageData:function copyToImageData(e,t){
var r,a,n,i,o,s,c,l,u,d=e.width,m=e.height,p=e.data,h=this.getData(d,m),f=0,y=0;switch(this.components.length){case 1:for(a=0;a<m;a++)for(r=0;r<d;r++)n=h[f++],p[y++]=n,p[y++]=n,p[y++]=n,t&&(p[y++]=255);break;case 3:for(a=0;a<m;a++)for(r=0;r<d;r++)c=h[f++],l=h[f++],u=h[f++],p[y++]=c,p[y++]=l,p[y++]=u,t&&(p[y++]=255);break;case 4:for(a=0;a<m;a++)for(r=0;r<d;r++)o=h[f++],s=h[f++],n=h[f++],c=255-clampTo8bit(o*(1-(i=h[f++])/255)+i),l=255-clampTo8bit(s*(1-i/255)+i),u=255-clampTo8bit(n*(1-i/255)+i),p[y++]=c,p[y++]=l,p[y++]=u,t&&(p[y++]=255);break;default:throw new Error("Unsupported color mode")}}};var l=0,u=0;function requestMemoryAllocation(e=0){var t=l+e;if(t>u){var r=Math.ceil((t-u)/1024/1024);throw new Error(`maxMemoryUsageInMB limit exceeded by at least ${r}MB`)}l=t}return constructor.resetMaxMemoryUsage=function(e){l=0,u=e},constructor.getBytesAllocated=function(){return l},constructor.requestMemoryAllocation=requestMemoryAllocation,constructor}();e.exports=function decode(e,r={}){
var a={colorTransform:void 0,useTArray:!1,formatAsRGBA:!0,tolerantDecoding:!0,maxResolutionInMP:100,maxMemoryUsageInMB:512,...r},n=new Uint8Array(e),i=new t;i.opts=a,t.resetMaxMemoryUsage(1024*a.maxMemoryUsageInMB*1024),i.parse(n);var o=a.formatAsRGBA?4:3,s=i.width*i.height*o;try{t.requestMemoryAllocation(s);var c={width:i.width,height:i.height,exifBuffer:i.exifBuffer,data:a.useTArray?new Uint8Array(s):Buffer$2.alloc(s)};i.comments.length>0&&(c.comments=i.comments)}catch(e){throw e instanceof RangeError?new Error("Could not allocate enough memory for the image. Required: "+s):e}return i.copyToImageData(c,a.formatAsRGBA),c}}(SN);var TN={encode:wN.exports,decode:SN.exports};const EN=kc,xN=vi.exports,_N=TN,AN=ik;class ScreenshotThumbnails extends EN{static get meta(){return{id:"screenshot-thumbnails",scoreDisplayMode:EN.SCORING_MODES.INFORMATIVE,title:"Screenshot Thumbnails",description:"This is what the load of your site looked like.",requiredArtifacts:["traces","GatherContext"]}}
static scaleImageToThumbnail(e){const t=120,r=e.width/t,a=Math.floor(e.height/r),n=new Uint8Array(t*a*4);for(let i=0;i<t;i++)for(let o=0;o<a;o++){const a=Math.floor(i*r),s=4*(Math.floor(o*r)*e.width+a),c=4*(o*t+i);n[c]=e.data[s],n[c+1]=e.data[s+1],n[c+2]=e.data[s+2],n[c+3]=e.data[s+3]}return{width:t,height:a,data:n}}static async _audit(e,t){const r=e.traces[EN.DEFAULT_PASS],a=new Map,n=await AN.request(r,t),i=t.options.minimumTimelineDuration||3e3,o=[],s=n.frames.filter((e=>!e.isProgressInterpolated())),c=n.complete||Math.max(...n.frames.map((e=>e.getTimeStamp()-n.beginning))),l=Math.max(c,i);if(!s.length||!Number.isFinite(l))throw new xN(xN.errors.INVALID_SPEEDLINE);for(let e=1;e<=10;e++){const t=n.beginning+l*e/10;let r,i=null;10===e?i=s[s.length-1]:s.forEach((e=>{e.getTimeStamp()<=t&&(i=e)}));const c=a.get(i);if(c)r=c;else{const e=i.getParsedImage(),t=ScreenshotThumbnails.scaleImageToThumbnail(e);r=_N.encode(t,90).data.toString("base64"),a.set(i,r)}o.push({
timing:Math.round(t-n.beginning),timestamp:1e3*t,data:`data:image/jpeg;base64,${r}`})}return{score:1,details:{type:"filmstrip",scale:l,items:o}}}static async audit(e,t){try{return await this._audit(e,t)}catch(t){if(new Set([xN.errors.NO_SCREENSHOTS.code,xN.errors.SPEEDINDEX_OF_ZERO.code,xN.errors.NO_SPEEDLINE_FRAMES.code,xN.errors.INVALID_SPEEDLINE.code]).has(t.code)&&"timespan"===e.GatherContext.gatherMode)return{notApplicable:!0,score:1};throw t}}}var RN=ScreenshotThumbnails;const kN=kc,DN=jb,CN=zS,IN=qb;class ScriptTreemapDataAudit extends kN{static get meta(){return{id:"script-treemap-data",scoreDisplayMode:kN.SCORING_MODES.INFORMATIVE,title:"Script Treemap Data",description:"Used for treemap app",requiredArtifacts:["traces","devtoolsLogs","SourceMaps","ScriptElements","JsUsage","URL"]}}static makeScriptNode(e,t,r){function newNode(e){return{name:e,resourceBytes:0}}const a=newNode(t);function addAllNodesInSourcePath(e,r){let n=a;a.resourceBytes+=r.resourceBytes,
r.unusedBytes&&(a.unusedBytes=(a.unusedBytes||0)+r.unusedBytes);const i=e.replace(t,"").split(/\/+/);i.forEach(((e,t)=>{if(0===e.length)return;const a=t===i.length-1;let o=n.children&&n.children.find((t=>t.name===e));o||(o=newNode(e),n.children=n.children||[],n.children.push(o)),n=o,n.resourceBytes+=r.resourceBytes,r.unusedBytes&&(n.unusedBytes=(n.unusedBytes||0)+r.unusedBytes),a&&void 0!==r.duplicatedNormalizedModuleName&&(n.duplicatedNormalizedModuleName=r.duplicatedNormalizedModuleName)}))}for(const[e,t]of Object.entries(r))addAllNodesInSourcePath(e,t);if(function collapseAll(e){for(;e.children&&1===e.children.length;)e.name+="/"+e.children[0].name,e.children=e.children[0].children;if(e.children)for(const t of e.children)collapseAll(t)}(a),!a.name)return{...a,name:e,children:a.children};const n={...a};return n.name=e,n.children=[a],n}static async makeNodes(e,t){const r=[];let a=0;for(const t of e.ScriptElements)t.src||(a+=(t.content||"").length);if(a){const t=e.URL.finalUrl;r.push({
name:t,resourceBytes:a})}const n=await DN.request(e,t),i=await IN.request(e,t);for(const a of e.ScriptElements){if(!a.src)continue;const o=a.src,s=n.find((e=>a.src===e.script.src)),c=e.JsUsage[a.src]||[];if(!s&&0===c.length){r.push({name:o,resourceBytes:a.content?.length||0});continue}const l=await CN.request({url:a.src,scriptCoverages:c,bundle:s},t);let u;if(s&&!("errorMessage"in s.sizes)){const e={};for(const t of Object.keys(s.sizes.files)){const r={resourceBytes:s.sizes.files[t]};l.sourcesWastedBytes&&(r.unusedBytes=l.sourcesWastedBytes[t]);let a=t;s.rawMap.sourceRoot&&t.startsWith(s.rawMap.sourceRoot)&&(a=t.replace(s.rawMap.sourceRoot,""));const n=IN.normalizeSource(a);i.has(n)&&(r.duplicatedNormalizedModuleName=n),e[t]=r}if(s.sizes.unmappedBytes){const t={resourceBytes:s.sizes.unmappedBytes};l.sourcesWastedBytes&&(t.unusedBytes=l.sourcesWastedBytes["(unmapped)"]),e["(unmapped)"]=t}u=this.makeScriptNode(a.src,s.rawMap.sourceRoot||"",e)}else u={name:o,resourceBytes:l.totalBytes,
unusedBytes:l.wastedBytes};r.push(u)}return r}static async audit(e,t){return{score:1,details:{type:"treemap-data",nodes:await ScriptTreemapDataAudit.makeNodes(e,t)}}}}var NN=ScriptTreemapDataAudit,LN={exports:{}};const MN=kc,PN=ji,ON=HT,FN={title:"Document has a valid `rel=canonical`",failureTitle:"Document does not have a valid `rel=canonical`",description:"Canonical links suggest which URL to show in search results. [Learn more](https://web.dev/canonical/).",explanationConflict:"Multiple conflicting URLs ({urlList})",explanationInvalid:"Invalid URL ({url})",explanationRelative:"Is not an absolute URL ({url})",explanationPointsElsewhere:"Points to another `hreflang` location ({url})",explanationRoot:"Points to the domain's root URL (the homepage), instead of an equivalent page of content"},UN=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/canonical.js",FN);class Canonical extends MN{static get meta(){return{id:"canonical",title:UN(FN.title),failureTitle:UN(FN.failureTitle),
description:UN(FN.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements","URL","devtoolsLogs"]}}static collectCanonicalURLs(e){const t=new Set,r=new Set;let a,n;for(const i of e)if("body"!==i.source)if("canonical"===i.rel){if(!i.hrefRaw)continue;i.href?PN.isValid(i.hrefRaw)?t.add(i.href):n=i:a=i}else"alternate"===i.rel&&i.href&&i.hreflang&&r.add(i.href);return{uniqueCanonicalURLs:t,hreflangURLs:r,invalidCanonicalLink:a,relativeCanonicallink:n}}static findInvalidCanonicalURLReason(e){const{uniqueCanonicalURLs:t,invalidCanonicalLink:r,relativeCanonicallink:a}=e;if(r)return{score:0,explanation:UN(FN.explanationInvalid,{url:r.hrefRaw})};if(a)return{score:0,explanation:UN(FN.explanationRelative,{url:a.hrefRaw})};const n=Array.from(t);return 0===n.length?{score:1,notApplicable:!0}:n.length>1?{score:0,explanation:UN(FN.explanationConflict,{urlList:n.join(", ")})}:void 0}static findCommonCanonicalURLMistakes(e,t,r){const{hreflangURLs:a}=e
;return a.has(r.href)&&a.has(t.href)&&r.href!==t.href?{score:0,explanation:UN(FN.explanationPointsElsewhere,{url:r.href})}:t.origin===r.origin&&"/"===t.pathname&&"/"!==r.pathname?{score:0,explanation:UN(FN.explanationRoot)}:void 0}static async audit(e,t){const r=e.devtoolsLogs[MN.DEFAULT_PASS],a=await ON.request({devtoolsLog:r,URL:e.URL},t),n=new PN(a.url),i=Canonical.collectCanonicalURLs(e.LinkElements),o=Canonical.findInvalidCanonicalURLReason(i);if(o)return o;const s=new PN([...i.uniqueCanonicalURLs][0]),c=Canonical.findCommonCanonicalURLMistakes(i,s,n);return c||{score:1}}}LN.exports=Canonical,LN.exports.UIStrings=FN;var jN={exports:{}};const BN=kc,$N={title:"Links are crawlable",failureTitle:"Links are not crawlable",
description:"Search engines may use `href` attributes on links to crawl websites. Ensure that the `href` attribute of anchor elements links to an appropriate destination, so more pages of the site can be discovered. [Learn More](https://support.google.com/webmasters/answer/9112205)",columnFailingLink:"Uncrawlable Link"},qN=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/crawlable-anchors.js",$N);jN.exports=class CrawlableAnchors extends BN{static get meta(){return{id:"crawlable-anchors",title:qN($N.title),failureTitle:qN($N.failureTitle),description:qN($N.description),requiredArtifacts:["AnchorElements","URL"]}}static audit({AnchorElements:e,URL:t}){const r=e.filter((({rawHref:e,name:r="",role:a=""})=>{if(e=e.replace(/\s/g,""),r=r.trim(),(a=a.trim()).length>0)return;if(e.startsWith("mailto:"))return;if(e.startsWith("file:"))return!0;if(!(r.length>0)){if(""===e)return!0;if(/javascript:void(\(|)0(\)|)/.test(e))return!0;try{new URL(e,t.finalUrl)}catch(e){return!0}}})),a=[{
key:"node",itemType:"node",text:qN($N.columnFailingLink)}],n=r.map((e=>({node:BN.makeNodeItem(e.node)})));return{score:Number(0===r.length),details:BN.makeTableDetails(a,n)}}},jN.exports.UIStrings=$N;var zN={exports:{}},VN={};function min(e,t){return null===e?t:null===t?e:Math.min(e,t)}function max(e,t){return null===e?t:null===t?e:Math.max(e,t)}function translateLengthProperty(e,t,r){return"number"==typeof e?e>=0?clamp(e,1,1e4):void 0:"device-width"===e?100*t:"device-height"===e?100*r:1}function translateZoomProperty(e){return"number"==typeof e?e>=0?clamp(e,.1,10):void 0:"yes"===e?1:"device-width"===e||"device-height"===e?10:"no"===e||null===e?.1:void 0}function clamp(e,t,r){return max(min(e,r),t)}VN.getRenderingDataFromViewport=function(e,t,r,a,n){var i=t/100,o=r/100,s=null,c=null,l=null,u=null,d=null,m=null,p=null,h=null,f=null,y=t,v=r,b="zoom";if(void 0!==e["maximum-scale"]&&(s=translateZoomProperty(e["maximum-scale"])),
void 0!==e["minimum-scale"]&&(c=translateZoomProperty(e["minimum-scale"])),void 0!==e["initial-scale"]&&(l=translateZoomProperty(e["initial-scale"])),null!==c&&null===s&&(c=min(a,translateZoomProperty(e["minimum-scale"]))),void 0!==e.width&&(u="extend-to-zoom",m=translateLengthProperty(e.width,i,o)),void 0!==e.height&&(d="extend-to-zoom",p=translateLengthProperty(e.height,i,o)),void 0!==e["user-scalable"])if("number"==typeof(b=e["user-scalable"]))b=b>=1||b<=-1?"zoom":"fixed";else switch(b){case"yes":case"device-width":case"device-height":b="zoom";break;case"no":default:b="fixed"}null===l||void 0!==e.width&&void 0!==h||(void 0!==e.height?(u=null,m=null):(u="extend-to-zoom",m="extend-to-zoom")),null!==c&&null!==s&&(s=max(c,s)),null!==l&&(l=clamp(l,c,s));var w,S,T=null===l&&null===s?null:min(l,s);return null===T?("extend-to-zoom"===m&&(m=null),"extend-to-zoom"===p&&(p=null),"extend-to-zoom"===u&&(u=m),"extend-to-zoom"===d&&(d=p)):(w=y/T,S=v/T,"extend-to-zoom"===m&&(m=w),
"extend-to-zoom"===p&&(p=S),"extend-to-zoom"===u&&(u=max(w,m)),"extend-to-zoom"===d&&(d=max(S,p))),null===u&&null===m||(h=max(u,min(m,y))),null===d&&null===p||(f=max(d,min(p,v))),null===h&&(h=null===f?y:0!==v?Math.round(f*(y/v)):y),null===f&&(f=0!==y?Math.round(h*(v/y)):v),{zoom:l,width:h,height:f,userZoom:b}},VN.parseMetaViewPortContent=function(e){for(var t={validProperties:{},unknownProperties:{},invalidValues:{}},r=1;r<=e.length;){for(;r<=e.length&&RegExp(" |\n|\t|\0d|,|;|=").test(e[r-1]);)r++;r<=e.length&&(r=parseProperty(t,e,r))}return t};var WN=["width","height","initial-scale","minimum-scale","maximum-scale","user-scalable","shrink-to-fit","viewport-fit"];function parseProperty(e,t,r){for(var a=r;r<=t.length&&!RegExp(" |\n|\t|\0d|,|;|=").test(t[r-1]);)r++;if(r>t.length||RegExp(",|;").test(t[r-1]))return r;for(var n=t.slice(a-1,r-1);r<=t.length&&!RegExp(",|;|=").test(t[r-1]);)r++;if(r>t.length||RegExp(",|;").test(t[r-1]))return r
;for(;r<=t.length&&RegExp(" |\n|\t|\0d|=").test(t[r-1]);)r++;if(r>t.length||RegExp(",|;").test(t[r-1]))return r;for(a=r;r<=t.length&&!RegExp(" |\n|\t|\0d|,|;|=").test(t[r-1]);)r++;return function setProperty(e,t,r){if(WN.indexOf(t)>=0){var a=parseFloat(r);if(!isNaN(a))return void(e.validProperties[t]=a);var n=r.toLowerCase();if("yes"===n||"no"===n||"device-width"===n||"device-height"===n||"viewport-fit"===t.toLowerCase()&&("auto"===n||"cover"===n))return void(e.validProperties[t]=n);e.validProperties[t]=null,e.invalidValues[t]=r}else e.unknownProperties[t]=r}(e,n,t.slice(a-1,r-1)),r}VN.expectedValues={width:["device-width","device-height","a positive number"],height:["device-width","device-height","a positive number"],"initial-scale":["a positive number"],"minimum-scale":["a positive number"],"maximum-scale":["a positive number"],"user-scalable":["yes","no","0","1"],"shrink-to-fit":["yes","no"],"viewport-fit":["auto","cover"]};const GN=VN,HN=Ao;var YN=HN(class ViewportMeta{
static async compute_(e){const t=e.find((e=>"viewport"===e.name));if(!t)return{hasViewportTag:!1,isMobileOptimized:!1,parserWarnings:[]};const r=[],a=GN.parseMetaViewPortContent(t.content||"");Object.keys(a.unknownProperties).length&&r.push(`Invalid properties found: ${JSON.stringify(a.unknownProperties)}`),Object.keys(a.invalidValues).length&&r.push(`Invalid values found: ${JSON.stringify(a.invalidValues)}`);const n=a.validProperties;return{hasViewportTag:!0,isMobileOptimized:Boolean(n.width||n["initial-scale"]),parserWarnings:r}}},null);const KN=oi,JN=kc,XN=YN,ZN={title:"Document uses legible font sizes",failureTitle:"Document doesn't use legible font sizes",description:"Font sizes less than 12px are too small to be legible and require mobile visitors to “pinch to zoom” in order to read. Strive to have >60% of page text ≥12px. [Learn more](https://web.dev/font-size/).",displayValue:"{decimalProportion, number, extendedPercent} legible text",
explanationViewport:"Text is illegible because there's no viewport meta tag optimized for mobile screens.",additionalIllegibleText:"Add'l illegible text",legibleText:"Legible text",columnSelector:"Selector",columnPercentPageText:"% of Page Text",columnFontSize:"Font Size"},QN=KN.createMessageInstanceIdFn("lighthouse-core/audits/seo/font-size.js",ZN);function getSelector(e){const t=function getAttributeMap(e=[]){const t=new Map;for(let r=0;r<e.length;r+=2){const a=e[r],n=e[r+1];if(!a||!n)continue;const i=n.trim();i&&t.set(a.toLowerCase(),i)}return t}(e.attributes);if(t.has("id"))return"#"+t.get("id");{const e=t.get("class");if(e)return"."+e.split(/\s+/).join(".")}return e.nodeName.toLowerCase()}function nodeToTableNode(e){const t=(e.attributes||[]).map(((e,t)=>t%2==0?` ${e}`:`="${e}"`)).join("");return{type:"node",selector:e.parentNode?getSelector(e.parentNode):"",snippet:`<${e.nodeName.toLowerCase()}${t}>`}}zN.exports=class FontSize extends JN{static get meta(){return{id:"font-size",
title:QN(ZN.title),failureTitle:QN(ZN.failureTitle),description:QN(ZN.description),requiredArtifacts:["FontSize","URL","MetaElements"]}}static async audit(e,t){if("desktop"===t.settings.formFactor)return{score:1,notApplicable:!0};if(!(await XN.request(e.MetaElements,t)).isMobileOptimized)return{score:0,explanation:QN(ZN.explanationViewport)};const{analyzedFailingNodesData:r,analyzedFailingTextLength:a,failingTextLength:n,totalTextLength:i}=e.FontSize;if(0===i)return{score:1};const o=function getUniqueFailingRules(e){const t=new Map;return e.forEach((e=>{const{nodeId:r,cssRule:a,fontSize:n,textLength:i,parentNode:o}=e,s=function getFontArtifactId(e,t){if(e&&"Regular"===e.type){const t=e.range?e.range.startLine:0,r=e.range?e.range.startColumn:0;return`${e.styleSheetId}@${t}:${r}`}return`node_${t}`}(a,r),c=t.get(s);c?c.textLength+=i:t.set(s,{nodeId:r,parentNode:o,cssRule:a,fontSize:n,textLength:i})})),[...t.values()]}(r),s=(i-n)/i*100,c=e.URL.finalUrl,l=[{key:"source",
itemType:"source-location",text:QN(KN.UIStrings.columnSource)},{key:"selector",itemType:"code",text:QN(ZN.columnSelector)},{key:"coverage",itemType:"text",text:QN(ZN.columnPercentPageText)},{key:"fontSize",itemType:"text",text:QN(ZN.columnFontSize)}],u=o.sort(((e,t)=>t.textLength-e.textLength)).map((({cssRule:e,textLength:t,fontSize:r,parentNode:a})=>{const n=t/i*100,o=function findStyleRuleSource(e,t,r){if(!t||"Attributes"===t.type||"Inline"===t.type)return{source:{type:"url",value:e},selector:nodeToTableNode(r)};if(t.parentRule&&"user-agent"===t.parentRule.origin)return{source:{type:"code",value:"User Agent Stylesheet"},selector:t.parentRule.selectors.map((e=>e.text)).join(", ")};let a="";t.parentRule&&(a=t.parentRule.selectors.map((e=>e.text)).join(", "));if(t.stylesheet&&!t.stylesheet.sourceURL)return{source:{type:"code",value:"dynamic"},selector:a};if(t.stylesheet&&t.range){const{range:e,stylesheet:r}=t,n=r.hasSourceURL?"comment":"network";let i=e.startLine,o=e.startColumn
;r.isInline&&"comment"!==n&&(i+=r.startLine,0===e.startLine&&(o+=r.startColumn));const s=JN.makeSourceLocation(r.sourceURL,i,o);return s.urlProvider=n,{source:s,selector:a}}return{selector:a,source:{type:"code",value:"Unknown"}}}(c,e,a);return{source:o.source,selector:o.selector,coverage:`${n.toFixed(2)}%`,fontSize:`${r}px`}}));if(a<n){const e=(n-a)/i*100;u.push({source:{type:"code",value:QN(ZN.additionalIllegibleText)},selector:"",coverage:`${e.toFixed(2)}%`,fontSize:"< 12px"})}s>0&&u.push({source:{type:"code",value:QN(ZN.legibleText)},selector:"",coverage:`${s.toFixed(2)}%`,fontSize:"≥ 12px"});const d=QN(ZN.displayValue,{decimalProportion:s/100}),m=JN.makeTableDetails(l,u);return{score:Number(s>=60),details:m,displayValue:d}}},zN.exports.UIStrings=ZN;var eL={exports:{}}
;const tL=[,[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,,,,,1,1,1,1,,,1,1,1,,1,,1,,1,1],[1,1,1,,1,1,,1,1,1,,1,,,1,1,1,,,1,1,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,,,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1],[,1,,,,,,1,,1,,,,,1,,1,,,,1,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,,,1,,,,,1,1,1,,1,,1,,1,,,,,,1],[1,,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,,1,,1,,,,,1,,1,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,,1,1,1,,1,,1,1,1,,,1,1,1,1,1,1,1,1],[,,1,,,1,,1,,,,1,1,1,,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1,1,1,1,1,,,1,1,1],[1,1,1,1,1,,,1,,,1,,,1,1,1,,,,,1,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1],[,1,,1,1,1,,1,1,,1,,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,,,1,1,1,,,1,1,,,,,,1,1],[1,1,1,,,,,1,,,,1,1,,1,,,,,,1,,,,,1],[,1,,,1,,,1,,,,,,1],[,1,,1,,,,1,,,,1],[1,,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,,1,,,1,1,1,1],[,1,1,1,1,1,,,1,,,1,,1,1,,1,,1,,,,,1,,1],[,1,,,,1,,,1,1,,1,,1,1,1,1,,1,1,,,1,,,1],[,1,1,,,,,,1,,,,1,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,,1,1,1,,,1,1,1,1,1,1,,1,,,,,1,1,,1,,1],[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,1,1],[,1,1,1,,,,1,1,1,,1,1,,,1,1,,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,,1,,,,,1,1,1,,,1,,1,,,1,1],[,,,,1,,,,,,,,,,,,,,,,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,,1,1,1,,1,1,,,,1,1,1,1,1,,,1,1,1,,,,,1],[1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,1,,,,,,,1],[,1,1,,1,1,,1,,,,,,,,,,,,,1],,[1,1,1,,,,,,,,,,,,,1],[,,,,,,,,1,,,1,,,1,1,,,,,1]],[,[1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,,1],[,,,1,,,,,,,,,,,,,,,1],[,1,,,1,1,,1,,1,1,,,,1,1,,,1,1,,,,1],[1,,,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,,,,1],,[,1,1,1,1,1,,1,1,1,,1,1,,1,1,,,1,1,1,1,,1,1,,1],[,1,,,1,,,1,,1,,,1,1,1,1,,,1,1,,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,,,1,1,1,1,1,1,1,,,1,,,1,,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,,,,1],[,,,,,,,1,,,,1,,1,1],[,1,1,1,1,1,1,1,,,,1,1,1,1,1,,,1,1,,1,1,1,1,1],[,1,,,1,1,,1,,1,1,1,,,1,1,,,1,,1,1,1,1,,1],[,1,1,1,,1,1,,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1],[,,,,,,,,,,,,,,,,1],,[,1,1,1,1,1,,1,1,1,,,1,,1,1,,1,1,1,1,1,,1,,1],[,,1,,,1,,,1,1,,,1,,1,1,,1],[,1,1,,1,,,,1,1,,1,,1,1,1,1,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,1,,1,,1,1],,[,1,1,,1,,,1,,1,,,,1,1,1,,,,,,1,,,,1],[1,1,,,1,1,,1,,,,,1,,1]],[,[,1],[,,,1,,,,1,,,,1,,,,1,,,1,,,1],[,,,,,,,,,,,,,,,,,,1,1,,,,,,1],,[1,,,,,1],[,1,,,,1,,,,1],[,1,,,,,,,,,,,1,,,1,,,,,,,,,1,1],[,,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,1,,1],[,1],[,1,,1,,1,,1,,1,,1,1,1,,1,1,,1,,,,,,,1],[1,,,,,1,,,1,1,,1,,1,,1,1,,,,,1,,,1],[,1,1,,,1,,1,,1,,1,,1,1,1,1,,,1,,1,,1,1,1],[1,1,1,1,1,,1,,1,,,,1,1,1,1,,1,1,,,1,1,1,1],[1,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],,[,1,,,,,,1,1,1,,1,,,,1,,,1,1,1,,,1],[1,,,,,1,,1,1,1,,1,1,1,1,1,,1,,1,,1,,,1,1],[1,,1,1,,,,,1,,,,,,1,1,,,1,1,1,1,,,1,,1],[1,,,,,,,,,,,,,,,,,1],[,,,,,1,,,1,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,,,1],[,1,,,,1]],[,[1,1,1,,1,,1,1,1,1,1,1,1,1,1,,1,,1,,1,1,,,1,1,1],[,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],,[,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1],,[1,1,,,,1,1,,,,,,1,,,,1,,1,,1,1,,1],[1],[,,,,,,,,,,,1,,,,,,,,,,,1],[,1,,,,,,,1,1,,,1,,1,,,,1,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,,1],[,,1,,,,,1,,1],[1,,,,1,,,,,1,,,,1,1,,,,1,1,,,,,1],[,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[1,,,1,1,,,,,,,1,,1,,1,1,1,1,1,1],[,,,,,1,,,,,,,1,,,,,,,1],,[,,1,1,1,1,1,,1,1,1,,,1,1,,,1,1,,1,1,1,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,,,,1],,[1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,,,1,1,1,1,,,,,,1,,1,,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,,,,1,,1,,,1,1,1,1,1],[,,,,,,,,,,,1,,,,,,,,,1,,,,1],[,1,1,,1,1,,1,,,,1,1,,1,1,,,1,,1,1,,1],[,1,,1,,1,,,1,,,1,1,,1,1,,,1,1,1],[,1,1,1,1,1,,1,1,,,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,,,,,,,,,1,,1,,1,1,,,,1,,,1],[,1,,,1,1,,,,,,,,,1,1,1,,,,,1],[1,,,1,1,,,,1,1,1,1,1,,,1,,,1,,,1,,1,,1],[,1,1,,1,1,,1,1,,,,1,1,1,,,1,1,,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,,,,1,,,,,,,,,1],[,1,,,,,,,,1,,,,,1,,,,1,,,1],[,1,1,1,1,,,1,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1],[,,,,,1,,1,,,,,1,1,1,1,1,,,1,,,,1],[,1,,,,,,,,1,,,,,,,,,,,,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,1,,,,1,,1,1,1,1,1,,1,1,,,,,,1],[,1,1,1,1,1,1,1,,1,1,,,1,1,,,,1,,1,1,,1,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,1,1,,1,,,1,1,1,1,,,1,,,,,,,1],[,1,,,,,,,,1,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1],[,1,1,,,,,,,,,,,,1,1,,,,,,1],[,1,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,,,,,1],[1,1,,,1,,,1,1,1,,,,1],,[,,,,,,,,,,,,,1,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,1,,,,,,,1],[1,1,1,,1,,1,1,1,1,1,1,1,1,,1,,,1,,1,,,1,1],[,,,,,,,,,1],[,1,,,,1,,,,,,1,,,1,,,,,1],[,1,1,,1,1,,,,,,,,,,,,,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,1,1,1,,,,1,1,,,,1,,1],[1,1,1,1,1,1,,,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,,1,1],[,,,,,,,,,,,,,,,1,,,,1],,[1,1,,1,,1,,,,,,1,,1,,1,1,,1,,1,1,,1,1,,1],[,,1,,,,,,1,,,,1,,1,,,,,1],[1,,,,,,,,,1,,,,,,1,,,,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,,1,,,,,,1,,,1,,,,,,,,1],[,1,,1,,,,,,,,,,,,1],,[1,1,,,,,,,,,,,,,,,,,,,,,,1,1],[1]],[,[1,,,,,,,,,1,,,,,1,,1,,1],[,1,1,,1,1,,1,1,1,,,1,1,1,,,,1,,,1,,,,1],[,1,,,,,,,1,,,,1,,,,,,1],[1,1,1,1,1,1,,,,1,,,,,,,,,1,1,1,1],[1],[,1,1,,,1,1,,,,,1,,1,,,,,,,,1,,,,1],[1,,1,,,1,,1,,,,,1,1,1,1,,,,1,,,,1],[,,1,,,,,,,1,,,,,,,1,,,,,,,1],[1,,,,,,,,,,,,,,1,,,,1],[,,,1,,1,,,,,1,,,,1,1,,,,1],[1,,,,,1,,,,1,,1,1,,,1,1,,1,1,1,,1,1,1,,1],[,1,1,,,,,1,,1,,1,1,1,,1,1,,,1,,1,1,1],[,1,,,,1,,,,1,,,1,,1,1,,,1,1,,,,,,1],[1,,1,1,,1,,1,1,,1,,1,1,1,1,1,,,1,1,,,,,,1],[1,,,,,,,,,,,,,,,,,,1,,,1,,1],[,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,,1,,1],[,1,,,,1,,,1,1,,1,,,1,1,,,1,,,1,,,1,1],[1,1,,1,1,1,,1,1,1,,1,,1,1,1,,,1,,1,1],[1,,1,1,1,1,,,,1,,1,1,1,,1,,,1,1,1,,1,1,1,1,1],[1,,,,,,,,,,,,,1],[,,1,,,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,,,1,,1,,1,,,,1],[,,,1,,,,,,,,,1],[,1,,,,,,,,,,,,,,1,,,,,,,,,1],[,,,,,,,,1,1,,,,,,,,,1,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,,,1,1,1],[,,,,,1,,,,1,1,1,,,1,1,,,1,,1,1,,1],[,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,1,,,,,,,,,,,,,1],[,,1,,,1,,1,1,1,,1,1,,1,,,,1,,1,1],,[,,1,,,1,,,,,,1,,,,1],[,,,,,,,,,1,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,,1,1,,1,,1,,,1,1,1,,,1],[,,,,,1,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,1,,1,1,,1,,,1],[,,,,,1,,,,,,,,,,,,,,1],[,1,1,1,1,,,,,1,,,1,,1,,,,1,1,,,,1,1],[,1,,,1,,,1,,1,1,,1,,,,,,,1],[,,1,,1,,,1,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,,,,,,,,,,1,,1,1],[,,,,,,,,,,,,1],,[,1,1,1,1,,,,1,1,,1,1,1,1,1,1,,1,1,1,1,,1,,1],[1,,,,1,,,,,,,,,,1],[1,,,,,,,,,1],,[,1,,,,1,,,,,,,,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,,1,,,,1,1,,,1,1,,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,1],[1,1,1,,,,,1,1,1,,1,1,1,1,,,1,1,,1,1,,,,,1],[,1,,,,,,,1,1,,,1,1,1,,1,,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,,,1,,,,1,,,1,,,,1,,,,,,,1,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1],[1,1,1,,1,,,1,1,1,1,,1,1,1,1,,,,1,,1,,1,,,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,,1,1,,,,,,,,,1],,[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,,1,,1,,,,1],[,1,,,1,1,,1,1,1,,,1,1,1,1,1,,1,1,1,,1,,,1],[1,,,1,,,,1,1,1,,,,,1,1,,,,1,,1],[1,1,,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,,1,,1,,,,,,,,1,,1],[,1,,,,1,,1,1,,,,1,1,,1,,,,1,1,1,,1],,[,1,,,,,,1,,,,,,,1],[,,,,,,,,1,,,,1,,1,,,,,,,,,,,,1]],[,[,1,1,,1,1,1,1,,1,1,1,,1,1,,1,1,,1,1,1,1,1,1,,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,,,1,,,,,,,,1,,,,,,1,,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,,1,,1,1,1,1,1,1,1,,1,1,,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1],[,1,1,,,,,1,1,1,,,1,,1,1,,,,1,,1,,,1,1],[,,,,,,,1,,,,1,1,1,1,1,,1,,,,,,,,1],[1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,,1,,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,1,1,,1,,1,1,1,,1,,1,1,,1,1,,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,,1,,,,,1,,1],[,1,1,1,,1,,1,,1,,,,1,,1,,,1,,,,,,1,1],[,1,,,1,1,,1,,1,,1,1,1,1,1,,1,1,,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,,1,,1,,1,,,,,,1,,1,,,,1,1]],[,[,1,,1,,,,,,,,,,,,,,,1,,,,1],[,,,,,,,,,1,,1,1,1,,1,,,1,,1,1],[1,1,,,,,,,1,,,,,,,1,,,,,,1],[,1,,,,,,,,,,1,,,,,,,,,1,1],,[,,,,,,,,,,,,,,,1,,,,1,,1],[,,1,1,,1,,1,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,,,,,,,,1],[1,,1,1,,,,1,,,,,,,,,1,,,1,,,1,1],[,1,1,,1,1,,1,1,1,1,1,1,1,1,1,,,1,1,,1,1,,1],[,1,,,1,1,,,,,,1,,1,,1,,,1,,1,1],[1,1,1,1,,1,,1,,1,,1,1,,1,1,1,1,1,,1,1,1,1,1],[,1,1,,,1,,1,,1,1,1,,,1,1,1,,1,1,1,1,,1,1],[,,,,1,,,1,,,,,,,1,,,,1,1],[,1,,,,,,,,,,1,,1,,1,,,,,1,,,,,1],,[1,1,,1,,1,,1,1,,,,,,1,1,,,1,1,1,1,1,1,1,1,1],[1,1,,1,,,,,,1,,,,,,1,1,,,,1,1,,,1],[,1,1,,1,1,,,,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,,,1,,,,1,,,,1,1],[,,,,1],[,,,,,,,,,1,,,1],,[,,1,,1,,,,,,,,,1,,,,,,,,,,,,1],[,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,,,1],[,1,,1,,,,,,1,,,,,1,1,,,,,1,1],[,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,,,1,,1,1,1],[,1,,,,1,,,,,,,1],[,1,,,1,,,1,,1,,1,1,,1,,,,,1,,1,,,,1,1],[,1,,,1,,,1,1,1,,1,1,1,1,1,,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,1,1,,,,1,1,,,,,,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,,1,1,,1,1,1,1,1],[,1,,,,1,,,,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,1,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,,1,1,1,,1,1,1,,,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,,,,,,,1,1,,,,,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,1,,1,1,1,1],,[,1,1,,,,,1,,1,,,,1,1,1,,,1,,,,,1],[,,,,,,,,,,,,,1],[,,,,,1,,,,,,,,1,1,,,,,1,,1,,,1,1],[,,,,,,,,,,,,,,1]],[,[,1],,,,,,,,,,,,,,,,,,,,[1,1,1,1,1,,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,1,1,1,1],[,1,,1,,1,,,1,1,1,,1,1,1,1,1,,,1,,,,1,,1,1],[,1,,1,,1,,,1,,,,,1,,,,,,1,1],[,1,,1,,,,,1,,,,1,,1,1,1,1,1,1,1,1,,1],[,1,,,,,,,,,,,,,,,1]],[,[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,,,,,,,,,1,1,,,,1],[,,,,,,1],[,,1],[,1,1,,,1,,1,,1,1,,1,1,1,,,,1,1,1,,,,,1],,[,1,,,,1,,,,,,1,,,1,,,,1,1,,1],[,,,,,,,1,,,,,,,,,1],[,1,,,,1,1,,,,,,1,1,1,,,,1,,1,1],[,,,,,,,1,,1,,,,,,,,,,1],[,1,1,,,,,,1,1,,,,1,,,,,,,1,,,1],,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,,1,,,1,,,,,1,,1,,1,,1,,,,,1],[1,1,1,1,1,1,1,1,,,,,1,1,,1,1,,1,,,1,,1],[,,,,,,,,,,,,,,1,,,,,,1],,[,,,,,,,,,1,,,,,,1,,,,,1],[,,1,,,,,,,1,,,1,1],[,,,1,,,,,1,,,,,1,,,,,,1,,,,1],[1,,1,1,,1,1,1,1,1,,1,,,,1,1,1,,,1,1,,,,1,1],,[1,1,,,,,,,,,,1,,1,,1,,,1],[,,,,1,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,1],[,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,,1,,,1,,,,,,,,1,,,,,,1,,,,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,1,,,,1,1,1,1,1,1,,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,1,,1,1,,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,,1,,1,,1,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,,,,,,1,,1,,,,,1,1,,,,,1],[1,,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,,1,,,,1,1,1,1,1,,,1,1,,1,,1],[,1,1,1,1,,,,,1,,1,1,1,1,1,,,1,1,,,,1,1,1],[,1,1,1,1,1,,1,,,,,1,,1,,1,,,1,,,1,1,,1]],[,[1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,,,,,1,,,,,1,1,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,,,,1,,1,1,,1,1,1,1,1,,,1,,1,,1],[1,1,1,,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,,1,,,,,,,,,,1,1,1,1,1,1,1,,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,1,1,,,,,,1,1,1,1,1,,,,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,,1,1,1],[,1,1,1,,1,,1,1,1,1,,,1,1,1,,1,1,1,1,1,,,1,1],[1,1,,,,1,,,1,1,1,,1,,1,,1,,1,1,1,1,1,,1,,1],[,1,,,,,,,1,,1,,1,1,1,1,,,,,,,,,1]],[,[,,,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,1,,,1,,,,,,1,,,1,,,,1],,[,1,,,,1,,1,,1,1,,1,1,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],[1,1,1,,,1,,,,,,,,,1,1,,,,,,,,,,1],[,1,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1,,,1],[,,,,,,,,,1],[1,1,,,,,,1,1,1,,1,1,,,,1,1,,1,,1,1,1,,1],[,1,1,1,,1,1,,,1,,1,1,1,1,,,,,,,1,,1],[,1,1,1,1,,,1,,1,,,,1,1,1,1,,1,1,,1],[,1,,,1,1,,1,,,,1,,1,1,,1,,1,,,1,,,1,,1],[,,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,,,,,1],,[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1],[,1,,,,,,,1,1,,1,,,,,1,,,1,,1],[,1,,,,1,,,1,,,,,,,,1,,1,,,1],[,,,,,,,,,,,,,1,1,,,,1,,,1],[,,,,,1,,,1,,,,1],[,1],,[,1],[1,,,,,,,,,,,,,,1,,,,,1]],[,[,1,,,,1,1,1,1,1,1,,1,1,1,1,1,,1,1,,1,1,,,1],[,,1,,,,,,,,,1],,,[1,,,1,1,,,,,,,,1,1,,1,1,,1],,[,,,,,,,,,,,,,,,,,,1,,1],,[1,,,1,1,,1,1,,,,,1,,1,,,,,1,1,,1],,[,1,,,,,,,,1,1,1,1,1,,1,1,,,,1,1],[,,,,,,,,,,,,,,,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,,1,1,1,1,1,1],[,,,,,,,,,,,1,,1,,,1],[1,,,,,,,,,,,,,,,,,,1,,1],,,[,1,,,,,,,,,,,,,,1,,,,1,1],[,,,,,,,,,1,,,1,,,,,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,1,1,,,,,,1],,[,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,1,1,,1,1,1,1,1,1,,,1,1,1,1,1,,1,1],[,1,,,,,,,,1],[,,,,1,,,1,,,1,1,,,,,,,,,,1,,,,1],[,1,,1,1,,,1,1,1,,,,1,1,1,1,,1,1,1,1,,1],[,,,,,,,1],[,1,1,,,,,1,,1,,,,,,1,,,,,,1,,1,,1],[,1,,,,,,1,,,,1,,,,,,,,,,1],[,,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1,1,1,1,,1],[,1,,,,,,,,1],[,1,1,,1,,,,,,,,1,,,,,,1,,,1,,1,,1],[,1,,1,,1,,1,1,1,,1,1,1,,1,,,1,1,,1,1,1,1,1],[,1,1,1,1,1,,,1,1,,,,1,1,1,,,,1,1,,,1,1],[,,1,1,1,1,,1,,1,,1,,1,1,1,1,,,,,1,,1,,1],[1,1,1,1,1,1,1,1,,1,,1,,1,1,1,,,1,1,,,,1,,1],[,,,1],,[,1,1,,1,,,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1],[,1,,,,,,1,,1,,1,,,,,,,1,1,,1,1],[,,,,,,1,,1,1,,1,,1,,,,,,,,,,1],[,1,1,,1,,,,1,,,,1,1,1,,,,1,,1,1,1,,1,1],,[,1,1,,,,,,,,,,,,,1,,,1,,,,,1],[,1,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,1,,,,1,,,,,1,,,,,,,1]],[,[,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[,1,1,1,1,1,,1,,1,1,,,1,1,1,1,,1,,,,,1,1,1],[,,1,1,,1,,1,1,,,,1,1,1,1,,,1,,1,1,1,1,,1],[,1,,1,,,,,,,,1,,1,,1,,,,,,,,,,1],[,,1,,1,,,1,,,,,1,1,,,1,,1,1,1,1],[,1],[,1,1,,1,,1,1,,1,,,1,1,1,,,,1,,,1,,1],[1,1,,1,1,1,,,,,,,,,,,,,1,,1,1,1],[,1,1,,,,,,,1,,,1,,1,,1,,1,1,,,1,,,1],[,,1,,,,,,,,,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,,1,,,,,1,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,,1,,1,1,1,,,1,1,1,1,,,,1,1],[,,,1,1,,,1,,1,,1,,1,1,1,1,,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,,1,,1,,,,1,1,,,1,1,,1,1,,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1,,1,1,,,1],[,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,,1,,,1,,,1,,1,1,1,1,1,,1,,1,1],[,,,,,1,,,,1,,,,,1,1,,,,1],[,1,,1,1,1,,1,,,1,1,1,,,1,,,1,,1,,,1],[,,1,,,,,,,,,1,,1,,,,,1,,1],[,1,1,,,,,,,,1,1,1,,,,,,,,1,,,,,1],[,,,,,,,,1,,,,,1,,,1]],[,[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,,1,1,1,1,1,1,1,1,,,,,,,,,1,1],[,,,,,,,,1,,,,1,,1,,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,1,,1,,1,,,,1,1,,1,,1,,,,1,1,1,1,1,,,1],,[,1,,,,,,,,1,,,1,1,,,1,,1,1,,1,,1],[,1,,,1,,,,,,,,1,,,,,,,1],[1,1,,,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1],,[,1,,,,,,1,,1,,1,1,1,1,1,,,1,,1,1,,,,1],[,1,1,,,1,,1,,1,,,1,1,1,1,,,1,,,1,,,,1],[,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1],[,1,,,1,1,,1,1,,,1,1,,1,1,,1,,1,,1],[1,,1,,,,,1,,1,,1,1,1,1,,,,,1,1,,,,1,1],[,1,1,,,,,1,1,,,1,,1,1,1,1,,,,,,,,,,1],,[,1,1,,,1,,,,1,,1,1,1,1,1,,,,1,,,,1,,1],[,,,1,1,,,1,,,,,1,,1,1,1,,1,1,,,,,,1],[,1,,,,,,,,,,,1,,,,1,,,,,,,1,,1],[,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,1,,,,,1,,1,,,1,1,,1,1,,1],[,1,,,,,,1,,,,,1,1,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1,,,1,,,,,1],[,,,,,,,1,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,,1,,,,,,,1,,,,,,,,1,,,1],[,1,,,,,,,1],[,,,,,,,,,,1],[,1,,,,,,1,1,,,,,,1],,[,1,1,,,,,,1,,,,,1,1,,,,1],[1,,1,,1,,,,,1,,,,,1,,,,,,,,,1,1],[,1,1,,,,,,,,,1,1,1,1,,,,1,,,,,1,,,1],,[,1,1,,1,,,1,1,,,1,,,1,1,1,,1,,1,1,1,,,,1],[,,,,,1,,,,,1,,,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,,,1,,,,,1,,,,,1,,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,1],[,1,,,,,,1,,,,,,,1,1,1,,,1],[,1,,,,,,,,,,1,1,1,,,,,1,,,1],[,,,,,1,,1,,,,,1,1,1,,1,1,,1,1,1,,,1,1],[1,1,,,,,,,1,,,,,1,1,,,,,,,,,,,1],,[,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,,1,,,,,1,,,1,,,,1,,1],[,1,,,,,,,,,1]]]
;var rL={isValidLang:function isValidLang$1(e){let t=tL;for(;e.length<3;)e+="`";for(let r=0;r<=e.length-1;r++){if(t=t[e.charCodeAt(r)-96],!t)return!1}return!0}};const aL=kc,nL=oi,{isValidLang:iL}=rL,oL={title:"Document has a valid `hreflang`",failureTitle:"Document doesn't have a valid `hreflang`",description:"hreflang links tell search engines what version of a page they should list in search results for a given language or region. [Learn more](https://web.dev/hreflang/).",unexpectedLanguage:"Unexpected language code",notFullyQualified:"Relative href value"},sL=nL.createMessageInstanceIdFn("lighthouse-core/audits/seo/hreflang.js",oL);function isExpectedLanguageCode(e){if("x-default"===e.toLowerCase())return!0;const[t]=e.split("-");return iL(t.toLowerCase())}eL.exports=class Hreflang extends aL{static get meta(){return{id:"hreflang",title:sL(oL.title),failureTitle:sL(oL.failureTitle),description:sL(oL.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements","URL"]}}
static audit({LinkElements:e}){const t=[],r=e.filter((e=>{const t="alternate"===e.rel,r=e.hreflang,a="body"===e.source;return t&&r&&!a}));for(const e of r){const r=[];let n;isExpectedLanguageCode(e.hreflang)||r.push(sL(oL.unexpectedLanguage)),(a=e.hrefRaw.toLowerCase()).startsWith("http:")||a.startsWith("https:")||r.push(sL(oL.notFullyQualified)),"head"===e.source?n=e.node?{...aL.makeNodeItem(e.node),snippet:`<link rel="alternate" hreflang="${e.hreflang}" href="${e.hrefRaw}" />`}:{type:"node",snippet:`<link rel="alternate" hreflang="${e.hreflang}" href="${e.hrefRaw}" />`}:"headers"===e.source&&(n=`Link: <${e.hrefRaw}>; rel="alternate"; hreflang="${e.hreflang}"`),n&&r.length&&t.push({source:n,subItems:{type:"subitems",items:r.map((e=>({reason:e})))}})}var a;const n=aL.makeTableDetails([{key:"source",itemType:"code",subItemsHeading:{key:"reason",itemType:"text"},text:""}],t);return{score:Number(0===t.length),details:n}}},eL.exports.UIStrings=oL;var cL={exports:{}}
;const lL=kc,uL=Lo,dL=Fo,mL={title:"Page has successful HTTP status code",failureTitle:"Page has unsuccessful HTTP status code",description:"Pages with unsuccessful HTTP status codes may not be indexed properly. [Learn more](https://web.dev/http-status-code/)."},pL=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/http-status-code.js",mL);cL.exports=class HTTPStatusCode extends lL{static get meta(){return{id:"http-status-code",title:pL(mL.title),failureTitle:pL(mL.failureTitle),description:pL(mL.description),requiredArtifacts:["devtoolsLogs","URL","GatherContext"],supportedModes:["navigation"]}}static async audit(e,t){const r=e.devtoolsLogs[lL.DEFAULT_PASS],a=e.URL,n=await uL.request(r,t),i=dL.findMainDocument(n,a.finalUrl).statusCode;return i>=400&&i<=599?{score:0,displayValue:`${i}`}:{score:1}}},cL.exports.UIStrings=mL;var hL={exports:{}};function trimLine(e){return e?Array.isArray(e)?e.map(trimLine):String(e).trim():null}function removeComments(e){var t=e.indexOf("#")
;return t>-1?e.substr(0,t):e}function splitLine(e){var t=String(e).indexOf(":");return!e||t<0?null:[e.slice(0,t),e.slice(t+1)]}function formatUserAgent(e){var t=e.toLowerCase(),r=t.indexOf("/");return r>-1&&(t=t.substr(0,r)),t.trim()}function normaliseEncoding(e){try{return urlEncodeToUpper(encodeURI(e).replace(/%25/g,"%"))}catch(t){return e}}function urlEncodeToUpper(e){return e.replace(/%[0-9a-fA-F]{2}/g,(function(e){return e.toUpperCase()}))}function matches(e,t){var r=new Array(t.length+1),a=1;r[0]=0;for(var n=0;n<e.length;n++){if("$"===e[n]&&n+1===e.length)return r[a-1]===t.length;if("*"==e[n]){a=t.length-r[0]+1;for(var i=1;i<a;i++)r[i]=r[i-1]+1}else{var o=0;for(i=0;i<a;i++)r[i]<t.length&&t[r[i]]===e[n]&&(r[o++]=r[i]+1);if(0==o)return!1;a=o}}return!0}function parseUrl(e){try{return new URL(e,"http://robots-relative.samclarke.com/")}catch(e){return null}}function Robots$1(e,t){this._url=parseUrl(e)||{},this._url.port=this._url.port||80,this._rules=Object.create(null),
this._sitemaps=[],this._preferredHost=null,function parseRobots(e,t){for(var r=e.split(/\r\n|\r|\n/).map(removeComments).map(splitLine).map(trimLine),a=[],n=!0,i=0;i<r.length;i++){var o=r[i];if(o&&o[0]){switch(o[0].toLowerCase()){case"user-agent":n&&(a.length=0),o[1]&&a.push(formatUserAgent(o[1]));break;case"disallow":t.addRule(a,o[1],!1,i+1);break;case"allow":t.addRule(a,o[1],!0,i+1);break;case"crawl-delay":t.setCrawlDelay(a,o[1]);break;case"sitemap":o[1]&&t.addSitemap(o[1]);break;case"host":o[1]&&t.setPreferredHost(o[1].toLowerCase())}n="user-agent"!==o[0].toLowerCase()}}}(t||"",this)}Robots$1.prototype.addRule=function(e,t,r,a){var n=this._rules;e.forEach((function(e){n[e]=n[e]||[],t&&n[e].push({pattern:normaliseEncoding(t),allow:r,lineNumber:a})}))},Robots$1.prototype.setCrawlDelay=function(e,t){var r=this._rules,a=Number(t);e.forEach((function(e){r[e]=r[e]||[],isNaN(a)||(r[e].crawlDelay=a)}))},Robots$1.prototype.addSitemap=function(e){this._sitemaps.push(e)},
Robots$1.prototype.setPreferredHost=function(e){this._preferredHost=e},Robots$1.prototype._getRule=function(e,t){var r=parseUrl(e)||{},a=formatUserAgent(t||"*");if(r.port=r.port||80,r.protocol===this._url.protocol&&r.hostname===this._url.hostname&&r.port===this._url.port){var n=this._rules[a]||this._rules["*"]||[];return function findRule(e,t){for(var r=null,a=0;a<t.length;a++){var n=t[a];matches(n.pattern,e)&&(!r||n.pattern.length>r.pattern.length||n.pattern.length==r.pattern.length&&n.allow&&!r.allow)&&(r=n)}return r}(urlEncodeToUpper(r.pathname+r.search),n)}},Robots$1.prototype.isAllowed=function(e,t){var r=this._getRule(e,t);if(void 0!==r)return!r||r.allow},Robots$1.prototype.getMatchingLineNumber=function(e,t){var r=this._getRule(e,t);return r?r.lineNumber:-1},Robots$1.prototype.isDisallowed=function(e,t){return!this.isAllowed(e,t)},Robots$1.prototype.getCrawlDelay=function(e){var t=formatUserAgent(e||"*");return(this._rules[t]||this._rules["*"]||{}).crawlDelay},
Robots$1.prototype.getPreferredHost=function(){return this._preferredHost},Robots$1.prototype.getSitemaps=function(){return this._sitemaps.slice(0)};var gL=Robots$1;const fL=kc,robotsParser=function(e,t){return new gL(e,t)},yL=ji,vL=HT,bL=new Set(["noindex","none"]),wL="unavailable_after",SL={title:"Page isn’t blocked from indexing",failureTitle:"Page is blocked from indexing",description:"Search engines are unable to include your pages in search results if they don't have permission to crawl them. [Learn more](https://web.dev/is-crawable/)."},TL=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/is-crawlable.js",SL);function hasBlockingDirective(e){return e.split(",").map((e=>e.toLowerCase().trim())).some((e=>bL.has(e)||function isUnavailable(e){const t=e.split(":");if(t.length<=1||t[0]!==wL)return!1;const r=Date.parse(t.slice(1).join(":"));return!isNaN(r)&&r<Date.now()}(e)))}hL.exports=class IsCrawlable extends fL{static get meta(){return{id:"is-crawlable",title:TL(SL.title),
failureTitle:TL(SL.failureTitle),description:TL(SL.description),supportedModes:["navigation"],requiredArtifacts:["MetaElements","RobotsTxt","URL","devtoolsLogs"]}}static audit(e,t){const r=e.devtoolsLogs[fL.DEFAULT_PASS],a=e.MetaElements.find((e=>"robots"===e.name));return vL.request({devtoolsLog:r,URL:e.URL},t).then((t=>{const r=[];if(a){const e=a.content||"";hasBlockingDirective(e)&&r.push({source:{...fL.makeNodeItem(a.node),snippet:`<meta name="robots" content="${e}" />`}})}if(t.responseHeaders&&t.responseHeaders.filter((e=>"x-robots-tag"===e.name.toLowerCase()&&!function hasUserAgent(e){const t=e.match(/^([^,:]+):/);return!!t&&t[1].toLowerCase()!==wL}(e.value)&&hasBlockingDirective(e.value))).forEach((e=>r.push({source:`${e.name}: ${e.value}`}))),e.RobotsTxt.content){const a=new yL("/robots.txt",t.url),n=robotsParser(a.href,e.RobotsTxt.content);if(!n.isAllowed(t.url)){const e=n.getMatchingLineNumber(t.url)||1;r.push({source:{type:"source-location",url:a.href,urlProvider:"network",
line:e-1,column:0}})}}const n=fL.makeTableDetails([{key:"source",itemType:"code",text:"Blocking Directive Source"}],r);return{score:Number(0===r.length),details:n}}))}},hL.exports.UIStrings=SL;var EL={exports:{}};const xL=kc,_L=ji,AL=new Set(["click here","click this","go","here","information","learn more","more","more info","more information","right here","read more","see more","start","this","ここをクリック","こちらをクリック","リンク","続きを読む","続く","全文表示","click aquí","click aqui","clicka aquí","clicka aqui","pincha aquí","pincha aqui","aquí","aqui","más","mas","más información","más informacion","mas información","mas informacion","este","enlace","este enlace","empezar","clique aqui","ir","mais informação","mais informações","mais","veja mais","여기","여기를 클릭","클릭","링크","자세히","자세히 보기","계속","이동","전체 보기","här","klicka här","läs mer","mer","mer info","mer information"]),RL={title:"Links have descriptive text",failureTitle:"Links do not have descriptive text",
description:"Descriptive link text helps search engines understand your content. [Learn more](https://web.dev/link-text/).",displayValue:"{itemCount, plural,\n    =1 {1 link found}\n    other {# links found}\n    }"},kL=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/link-text.js",RL);EL.exports=class LinkText extends xL{static get meta(){return{id:"link-text",title:kL(RL.title),failureTitle:kL(RL.failureTitle),description:kL(RL.description),requiredArtifacts:["URL","AnchorElements"]}}static audit(e){const t=e.AnchorElements.filter((e=>e.href&&!e.rel.includes("nofollow"))).filter((t=>{const r=t.href.toLowerCase();return!(r.startsWith("javascript:")||r.startsWith("mailto:")||_L.equalWithExcludedFragments(t.href,e.URL.finalUrl))&&AL.has(t.text.trim().toLowerCase())})).map((e=>({href:e.href,text:e.text.trim()}))),r=xL.makeTableDetails([{key:"href",itemType:"url",text:"Link destination"},{key:"text",itemType:"text",text:"Link Text"}],t,{});let a
;return t.length&&(a=kL(RL.displayValue,{itemCount:t.length})),{score:Number(0===t.length),details:r,displayValue:a}}},EL.exports.UIStrings=RL;var DL={exports:{}};const CL=iy,IL={description:"Run the [Structured Data Testing Tool](https://search.google.com/structured-data/testing-tool/) and the [Structured Data Linter](http://linter.structured-data.org/) to validate structured data. [Learn more](https://web.dev/structured-data/).",title:"Structured data is valid"},NL=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/manual/structured-data.js",IL);DL.exports=class StructuredData extends CL{static get meta(){return Object.assign({id:"structured-data",description:NL(IL.description),title:NL(IL.title)},super.partialMeta)}},DL.exports.UIStrings=IL;var LL={exports:{}};const ML=kc,PL={title:"Document has a meta description",failureTitle:"Document does not have a meta description",
description:"Meta descriptions may be included in search results to concisely summarize page content. [Learn more](https://web.dev/meta-description/).",explanation:"Description text is empty."},OL=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/meta-description.js",PL);LL.exports=class Description extends ML{static get meta(){return{id:"meta-description",title:OL(PL.title),failureTitle:OL(PL.failureTitle),description:OL(PL.description),requiredArtifacts:["MetaElements"]}}static audit(e){const t=e.MetaElements.find((e=>"description"===e.name));if(!t)return{score:0};return 0===(t.content||"").trim().length?{score:0,explanation:OL(PL.explanation)}:{score:1}}},LL.exports.UIStrings=PL;var FL={exports:{}};const UL=kc,jL=ji,BL="application/x-java-applet",$L="application/x-java-bean",qL=new Set(["application/x-shockwave-flash",BL,$L,"application/x-silverlight","application/x-silverlight-2"]),zL=new Set(["swf","flv","class","xap"]),VL=new Set(["code","movie","source","src"]),WL={
title:"Document avoids plugins",failureTitle:"Document uses plugins",description:"Search engines can't index plugin content, and many devices restrict plugins or don't support them. [Learn more](https://web.dev/plugins/)."},GL=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/plugins.js",WL);function isPluginURL(e){try{const t=new jL(e,"http://example.com").pathname.split(".");if(t.length<2)return!1;const r=t[t.length-1];return zL.has(r.trim().toLowerCase())}catch(e){return!1}}FL.exports=class Plugins extends UL{static get meta(){return{id:"plugins",title:GL(WL.title),failureTitle:GL(WL.failureTitle),description:GL(WL.description),requiredArtifacts:["EmbeddedContent"]}}static audit(e){const t=e.EmbeddedContent.filter((e=>{if("APPLET"===e.tagName)return!0;if(("EMBED"===e.tagName||"OBJECT"===e.tagName)&&e.type&&function isPluginType(e){return e=e.trim().toLowerCase(),qL.has(e)||e.startsWith(BL)||e.startsWith($L)}(e.type))return!0;const t=e.src||e.code
;if("EMBED"===e.tagName&&t&&isPluginURL(t))return!0;if("OBJECT"===e.tagName&&e.data&&isPluginURL(e.data))return!0;return e.params.filter((e=>VL.has(e.name.trim().toLowerCase())&&isPluginURL(e.value))).length>0})).map((e=>({source:UL.makeNodeItem(e.node)}))),r=UL.makeTableDetails([{key:"source",itemType:"code",text:"Element source"}],t);return{score:Number(0===t.length),details:r}}},FL.exports.UIStrings=WL;var HL={exports:{}};const YL=kc,KL=ji,JL="sitemap",XL="user-agent",ZL="allow",QL="disallow",eM=new Set([ZL,QL]),tM=new Set([XL,QL,ZL,JL,"crawl-delay","clean-param","host","request-rate","visit-time","noindex"]),rM=new Set(["https:","http:","ftp:"]),aM={title:"robots.txt is valid",failureTitle:"robots.txt is not valid",description:"If your robots.txt file is malformed, crawlers may not be able to understand how you want your website to be crawled or indexed. [Learn more](https://web.dev/robots-txt/).",displayValueHttpBadCode:"Request for robots.txt returned HTTP status: {statusCode}",
displayValueValidationError:"{itemCount, plural,\n    =1 {1 error found}\n    other {# errors found}\n    }",explanation:"Lighthouse was unable to download a robots.txt file"},nM=oi.createMessageInstanceIdFn("lighthouse-core/audits/seo/robots-txt.js",aM);function parseLine(e){const t=e.indexOf("#");if(-1!==t&&(e=e.substr(0,t)),0===(e=e.trim()).length)return null;const r=e.indexOf(":");if(-1===r)throw new Error("Syntax not understood");const a=e.slice(0,r).trim().toLowerCase(),n=e.slice(r+1).trim();return function verifyDirective(e,t){if(!tM.has(e))throw new Error("Unknown directive");if(e===JL){let e;try{e=new KL(t)}catch(e){throw new Error("Invalid sitemap URL")}if(!rM.has(e.protocol))throw new Error("Invalid sitemap URL protocol")}if(e===XL&&!t)throw new Error("No user-agent specified");if(e===ZL||e===QL){if(""!==t&&"/"!==t[0]&&"*"!==t[0])throw new Error('Pattern should either be empty, start with "/" or "*"');const e=t.indexOf("$")
;if(-1!==e&&e!==t.length-1)throw new Error('"$" should only be used at the end of the pattern')}}(a,n),{directive:a,value:n}}HL.exports=class RobotsTxt extends YL{static get meta(){return{id:"robots-txt",title:nM(aM.title),failureTitle:nM(aM.failureTitle),description:nM(aM.description),requiredArtifacts:["RobotsTxt"]}}static audit(e){const{status:t,content:r}=e.RobotsTxt;if(!t)return{score:0,explanation:nM(aM.explanation)};if(t>=500)return{score:0,displayValue:nM(aM.displayValueHttpBadCode,{statusCode:t})};if(t>=400||""===r)return{score:1,notApplicable:!0};if(null===r)throw new Error(`Status ${t} was valid, but content was null`);const a=function validateRobots(e){const t=[];let r=!1;return e.split(/\r\n|\r|\n/).forEach(((e,a)=>{let n;try{n=parseLine(e)}catch(r){t.push({index:(a+1).toString(),line:e,message:r.message.toString()})}n&&(n.directive===XL?r=!0:!r&&eM.has(n.directive)&&t.push({index:(a+1).toString(),line:e,message:"No user-agent specified"}))})),t
}(r),n=YL.makeTableDetails([{key:"index",itemType:"text",text:"Line #"},{key:"line",itemType:"code",text:"Content"},{key:"message",itemType:"code",text:"Error"}],a,{});let i;return a.length&&(i=nM(aM.displayValueValidationError,{itemCount:a.length})),{score:Number(0===a.length),details:n,displayValue:i}}},HL.exports.UIStrings=aM;var iM={exports:{}};const oM=kp;function almostEqual(e,t){return Math.abs(e-t)<=10}function mergeTouchingClientRects(e){for(let t=0;t<e.length;t++)for(let r=t+1;r<e.length;r++){const a=e[t],n=e[r],i=almostEqual(a.top,n.top)||almostEqual(a.bottom,n.bottom),o=almostEqual(a.left,n.left)||almostEqual(a.right,n.right);if(oM.rectsTouchOrOverlap(a,n)&&(i||o)){const t=oM.getBoundingRect([a,n]),r=oM.getRectCenterPoint(t);if(!oM.rectContainsPoint(a,r)&&!oM.rectContainsPoint(n,r))continue;return(e=e.filter((e=>e!==a&&e!==n))).push(t),mergeTouchingClientRects(e)}}return e}var sM={getTappableRectsFromClientRects:function getTappableRectsFromClientRects$1(e){
return e=oM.filterOutTinyRects(e),e=mergeTouchingClientRects(e=oM.filterOutRectsContainedByOthers(e))}};const cM=kc,lM=YN,{rectsTouchOrOverlap:uM,getRectOverlapArea:dM,getRectAtCenter:mM,allRectsContainedWithinEachOther:pM,getLargestRect:hM,getBoundingRectWithPadding:gM}=kp,{getTappableRectsFromClientRects:fM}=sM,yM=oi,vM={title:"Tap targets are sized appropriately",failureTitle:"Tap targets are not sized appropriately",description:"Interactive elements like buttons and links should be large enough (48x48px), and have enough space around them, to be easy enough to tap without overlapping onto other elements. [Learn more](https://web.dev/tap-targets/).",tapTargetHeader:"Tap Target",overlappingTargetHeader:"Overlapping Target",explanationViewportMetaNotOptimized:"Tap targets are too small because there's no viewport meta tag optimized for mobile screens",displayValue:"{decimalProportion, number, percent} appropriately sized tap targets"
},bM=yM.createMessageInstanceIdFn("lighthouse-core/audits/seo/tap-targets.js",vM);function clientRectBelowMinimumSize(e){return e.width<48||e.height<48}function getOverlapFailureForTargetPair(e,t){let r=null;for(const a of e){const e=mM(a,48),n=dM(e,a);for(const a of t){const t=dM(e,a),i=t/n;i<.25||(!r||i>r.overlapScoreRatio)&&(r={overlapScoreRatio:i,tapTargetScore:n,overlappingTargetScore:t})}}return r}class TapTargets extends cM{static get meta(){return{id:"tap-targets",title:bM(vM.title),failureTitle:bM(vM.failureTitle),description:bM(vM.description),requiredArtifacts:["MetaElements","TapTargets"]}}static async audit(e,t){if("desktop"===t.settings.formFactor)return{score:1,notApplicable:!0};if(!(await lM.request(e.MetaElements,t)).isMobileOptimized)return{score:0,explanation:bM(vM.explanationViewportMetaNotOptimized)};const r=function getBoundedTapTargets(e){return e.map((e=>({tapTarget:e,paddedBoundsRect:gM(e.clientRects,48)})))}(e.TapTargets),a=function getAllOverlapFailures(e,t){
const r=[];return e.forEach((e=>{const a=fM(e.tapTarget.clientRects);for(const n of t){if(n===e)continue;if(!uM(e.paddedBoundsRect,n.paddedBoundsRect))continue;if(e.tapTarget.href===n.tapTarget.href&&/https?:\/\//.test(e.tapTarget.href))continue;const t=n.tapTarget.clientRects;if(pM(a,t))continue;const i=getOverlapFailureForTargetPair(a,t);i&&r.push({...i,tapTarget:e.tapTarget,overlappingTarget:n.tapTarget})}})),r}(function getTooSmallTargets(e){return e.filter((e=>e.tapTarget.clientRects.every(clientRectBelowMinimumSize)))}(r),r),n=function getTableItems(e){const t=e.map((e=>{const t=hM(e.tapTarget.clientRects),r=Math.floor(t.width),a=Math.floor(t.height),n=r+"x"+a;return{tapTarget:cM.makeNodeItem(e.tapTarget.node),overlappingTarget:cM.makeNodeItem(e.overlappingTarget.node),tapTargetScore:e.tapTargetScore,overlappingTargetScore:e.overlappingTargetScore,overlapScoreRatio:e.overlapScoreRatio,size:n,width:r,height:a}}));return t.sort(((e,t)=>t.overlapScoreRatio-e.overlapScoreRatio)),t
}(function mergeSymmetricFailures(e){const t=[];return e.forEach(((r,a)=>{const n=e.find((e=>e.tapTarget===r.overlappingTarget&&e.overlappingTarget===r.tapTarget));if(!n)return void t.push(r);const{overlapScoreRatio:i}=r,{overlapScoreRatio:o}=n;(i>o||i===o&&a<e.indexOf(n))&&t.push(r)})),t}(a)),i=[{key:"tapTarget",itemType:"node",text:bM(vM.tapTargetHeader)},{key:"size",itemType:"text",text:bM(yM.UIStrings.columnSize)},{key:"overlappingTarget",itemType:"node",text:bM(vM.overlappingTargetHeader)}],o=cM.makeTableDetails(i,n),s=e.TapTargets.length,c=new Set(a.map((e=>e.tapTarget))).size;let l=1,u=1;c>0&&(u=(s-c)/s,l=.89*u);return{score:l,details:o,displayValue:bM(vM.displayValue,{decimalProportion:u})}}}TapTargets.FINGER_SIZE_PX=48,iM.exports=TapTargets,iM.exports.UIStrings=vM;var wM={exports:{}};const SM=kc,TM=oi,EM=HT,xM=Lo,_M=Fo,AM={title:"Initial server response time was short",failureTitle:"Reduce initial server response time",
description:"Keep the server response time for the main document short because all other requests depend on it. [Learn more](https://web.dev/time-to-first-byte/).",displayValue:"Root document took {timeInMs, number, milliseconds} ms"},RM=TM.createMessageInstanceIdFn("lighthouse-core/audits/server-response-time.js",AM);class ServerResponseTime extends SM{static get meta(){return{id:"server-response-time",title:RM(AM.title),failureTitle:RM(AM.failureTitle),description:RM(AM.description),supportedModes:["timespan","navigation"],requiredArtifacts:["devtoolsLogs","URL","GatherContext"]}}static calculateResponseTime(e){const t=e.timing;return t?t.receiveHeadersEnd-t.sendEnd:0}static async audit(e,t){const r=e.devtoolsLogs[SM.DEFAULT_PASS];let a;if("timespan"===e.GatherContext.gatherMode){const n=await xM.request(r,t),i=_M.findOptionalMainDocument(n,e.URL.finalUrl);if(!i)return{score:null,notApplicable:!0};a=i}else a=await EM.request({devtoolsLog:r,URL:e.URL},t)
;const n=ServerResponseTime.calculateResponseTime(a),i=n<600,o=RM(AM.displayValue,{timeInMs:n}),s=[{key:"url",valueType:"url",label:RM(TM.UIStrings.columnURL)},{key:"responseTime",valueType:"timespanMs",label:RM(TM.UIStrings.columnTimeSpent)}],c=SM.makeOpportunityDetails(s,[{url:a.url,responseTime:n}],n-100);return{numericValue:n,numericUnit:"millisecond",score:Number(i),displayValue:o,details:c}}}wM.exports=ServerResponseTime,wM.exports.UIStrings=AM;var kM={exports:{}};const DM=ji,CM=kc,IM={title:"Registers a service worker that controls page and `start_url`",failureTitle:"Does not register a service worker that controls page and `start_url`",description:"The service worker is the technology that enables your app to use many Progressive Web App features, such as offline, add to homescreen, and push notifications. [Learn more](https://web.dev/service-worker/).",explanationOutOfScope:"This origin has one or more service workers, however the page ({pageUrl}) is not in scope.",
explanationNoManifest:"This page is controlled by a service worker, however no `start_url` was found because no manifest was fetched.",explanationBadManifest:"This page is controlled by a service worker, however no `start_url` was found because manifest failed to parse as valid JSON",explanationBadStartUrl:"This page is controlled by a service worker, however the `start_url` ({startUrl}) is not in the service worker's scope ({scopeUrl})"},NM=oi.createMessageInstanceIdFn("lighthouse-core/audits/service-worker.js",IM);class ServiceWorker extends CM{static get meta(){return{id:"service-worker",title:NM(IM.title),failureTitle:NM(IM.failureTitle),description:NM(IM.description),requiredArtifacts:["URL","ServiceWorker","WebAppManifest"]}}static getVersionsForOrigin(e,t){return e.filter((e=>"activated"===e.status)).filter((e=>new DM(e.scriptURL).origin===t.origin))}static getControllingServiceWorker(e,t,r){const a=[];for(const r of e){const e=t.find((e=>e.registrationId===r.registrationId))
;if(e){const t=new DM(e.scopeURL).href,n=new DM(r.scriptURL).href;a.push({scopeUrl:t,scriptUrl:n})}}return a.filter((e=>r.href.startsWith(e.scopeUrl))).sort(((e,t)=>e.scopeUrl.length-t.scopeUrl.length)).pop()}static checkStartUrl(e,t){if(!e)return NM(IM.explanationNoManifest);if(!e.value)return NM(IM.explanationBadManifest);const r=e.value.start_url.value;return r.startsWith(t)?void 0:NM(IM.explanationBadStartUrl,{startUrl:r,scopeUrl:t})}static audit(e){const t=new DM(e.URL.finalUrl),{versions:r,registrations:a}=e.ServiceWorker,n=ServiceWorker.getVersionsForOrigin(r,t);if(0===n.length)return{score:0};const i=ServiceWorker.getControllingServiceWorker(n,a,t);if(!i)return{score:0,explanation:NM(IM.explanationOutOfScope,{pageUrl:t.href})};const{scriptUrl:o,scopeUrl:s}=i,c={type:"debugdata",scriptUrl:o,scopeUrl:s},l=ServiceWorker.checkStartUrl(e.WebAppManifest,i.scopeUrl);return l?{score:0,details:c,explanation:l}:{score:1,details:c}}}kM.exports=ServiceWorker,kM.exports.UIStrings=IM
;var LM={exports:{}};const MM=kc;var PM=class MultiCheckAudit$2 extends MM{static async audit(e,t){const r=await this.audit_(e,t);return this.createAuditProduct(r)}static createAuditProduct(e){const t={...e,...e.manifestValues,manifestValues:void 0,allChecks:void 0};e.manifestValues?.allChecks&&e.manifestValues.allChecks.forEach((e=>{t[e.id]=e.passing}));const r={type:"debugdata",items:[t]};return e.failures.length>0?{score:0,explanation:`Failures: ${e.failures.join(",\n")}.`,details:r}:{score:1,details:r}}static audit_(e,t){throw new Error("audit_ unimplemented")}};const OM=PM,FM=DA,UM={title:"Configured for a custom splash screen",failureTitle:"Is not configured for a custom splash screen",description:"A themed splash screen ensures a high-quality experience when users launch your app from their homescreens. [Learn more](https://web.dev/splash-screen/)."},jM=oi.createMessageInstanceIdFn("lighthouse-core/audits/splash-screen.js",UM);class SplashScreen extends OM{static get meta(){
return{id:"splash-screen",title:jM(UM.title),failureTitle:jM(UM.failureTitle),description:jM(UM.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static assessManifest(e,t){if(e.isParseFailure&&e.parseFailureReason)return void t.push(e.parseFailureReason);const r=["hasName","hasBackgroundColor","hasThemeColor","hasIconsAtLeast512px"];e.allChecks.filter((e=>r.includes(e.id))).forEach((e=>{e.passing||t.push(e.failureText)}))}static async audit_(e,t){const r=[],a=await FM.request(e,t);return SplashScreen.assessManifest(a,r),{failures:r,manifestValues:a}}}LM.exports=SplashScreen,LM.exports.UIStrings=UM;var BM={exports:{}};const $M=PM,qM=DA,zM=Rs,VM={title:"Sets a theme color for the address bar.",failureTitle:"Does not set a theme color for the address bar.",description:"The browser address bar can be themed to match your site. [Learn more](https://web.dev/themed-omnibox/)."
},WM=oi.createMessageInstanceIdFn("lighthouse-core/audits/themed-omnibox.js",VM);class ThemedOmnibox extends $M{static get meta(){return{id:"themed-omnibox",title:WM(VM.title),failureTitle:WM(VM.failureTitle),description:WM(VM.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors","MetaElements"]}}static isValidColor(e){return zM.valueType(e)===zM.TYPES.COLOR}static assessMetaThemecolor(e,t){e?ThemedOmnibox.isValidColor(e.content||"")||t.push("The theme-color meta tag did not contain a valid CSS color"):t.push('No `<meta name="theme-color">` tag found')}static assessManifest(e,t){if(e.isParseFailure&&e.parseFailureReason)return void t.push(e.parseFailureReason);const r=e.allChecks.find((e=>"hasThemeColor"===e.id));r&&!r.passing&&t.push(r.failureText)}static async audit_(e,t){const r=[],a=e.MetaElements.find((e=>"theme-color"===e.name)),n=await qM.request(e,t);return ThemedOmnibox.assessManifest(n,r),ThemedOmnibox.assessMetaThemecolor(a,r),
{failures:r,manifestValues:n,themeColor:a?.content||null}}}BM.exports=ThemedOmnibox,BM.exports.UIStrings=VM;var GM={exports:{}},HM={exports:{}};const YM=kc,KM=oi,JM=uw,XM=Lo,ZM=Rv,{getJavaScriptURLs:QM,getAttributableURLForTask:eP}=Iv,tP={title:"Minimize third-party usage",failureTitle:"Reduce the impact of third-party code",description:"Third-party code can significantly impact load performance. Limit the number of redundant third-party providers and try to load third-party code after your page has primarily finished loading. [Learn more](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/).",columnThirdParty:"Third-Party",displayValue:"Third-party code blocked the main thread for {timeInMs, number, milliseconds} ms"},rP=KM.createMessageInstanceIdFn("lighthouse-core/audits/third-party-summary.js",tP);class ThirdPartySummary$1 extends YM{static get meta(){return{id:"third-party-summary",title:rP(tP.title),
failureTitle:rP(tP.failureTitle),description:rP(tP.description),requiredArtifacts:["traces","devtoolsLogs","URL"]}}static getSummaries(e,t,r){const a=new Map,n=new Map,i={mainThreadTime:0,blockingTime:0,transferSize:0};for(const t of e){const e=a.get(t.url)||{...i};e.transferSize+=t.transferSize,a.set(t.url,e)}const o=QM(e);for(const e of t){const t=eP(e,o),n=a.get(t)||{...i},s=e.selfTime*r;n.mainThreadTime+=s,n.blockingTime+=Math.max(s-50,0),a.set(t,n)}const s=new Map;for(const[e,t]of a.entries()){const r=JM.getEntity(e);if(!r){a.delete(e);continue}const o=n.get(r)||{...i};o.transferSize+=t.transferSize,o.mainThreadTime+=t.mainThreadTime,o.blockingTime+=t.blockingTime,n.set(r,o);const c=s.get(r)||[];c.push(e),s.set(r,c)}return{byURL:a,byEntity:n,urls:s}}static makeSubItems(e,t,r){let a=(t.urls.get(e)||[]).map((e=>({url:e,...t.byURL.get(e)}))).filter((e=>e.transferSize>0)).sort(((e,t)=>t.blockingTime-e.blockingTime||t.transferSize-e.transferSize));const n={transferSize:0,blockingTime:0
},i=Math.max(4096,r.transferSize/20),o=Math.min(5,a.length);let s=0;for(;s<o;){const e=a[s];if(0===e.blockingTime&&e.transferSize<i)break;s++,n.transferSize+=e.transferSize,n.blockingTime+=e.blockingTime}if(!n.blockingTime&&!n.transferSize)return[];a=a.slice(0,s);const c={url:rP(KM.UIStrings.otherResourcesLabel),transferSize:r.transferSize-n.transferSize,blockingTime:r.blockingTime-n.blockingTime};return c.transferSize>i&&a.push(c),a}static async audit(e,t){const r=t.settings||{},a=e.traces[YM.DEFAULT_PASS],n=e.devtoolsLogs[YM.DEFAULT_PASS],i=await XM.request(n,t),o=JM.getEntity(e.URL.finalUrl),s=await ZM.request(a,t),c="simulate"===r.throttlingMethod?r.throttling.cpuSlowdownMultiplier:1,l=ThirdPartySummary$1.getSummaries(i,s,c),u={wastedBytes:0,wastedMs:0},d=Array.from(l.byEntity.entries()).filter((([e])=>!(o&&o.name===e.name))).map((([e,t])=>(u.wastedBytes+=t.transferSize,u.wastedMs+=t.blockingTime,{...t,entity:{type:"link",text:e.name,url:e.homepage||""},subItems:{type:"subitems",
items:ThirdPartySummary$1.makeSubItems(e,l,t)}}))).sort(((e,t)=>t.blockingTime-e.blockingTime||t.transferSize-e.transferSize)),m=[{key:"entity",itemType:"link",text:rP(tP.columnThirdParty),subItemsHeading:{key:"url",itemType:"url"}},{key:"transferSize",granularity:1,itemType:"bytes",text:rP(KM.UIStrings.columnTransferSize),subItemsHeading:{key:"transferSize"}},{key:"blockingTime",granularity:1,itemType:"ms",text:rP(KM.UIStrings.columnBlockingTime),subItemsHeading:{key:"blockingTime"}}];return d.length?{score:Number(u.wastedMs<=250),displayValue:rP(tP.displayValue,{timeInMs:u.wastedMs}),details:YM.makeTableDetails(m,d,u)}:{score:1,notApplicable:!0}}}HM.exports=ThirdPartySummary$1,HM.exports.UIStrings=tP;const aP=kc,nP=oi,iP=uw,oP=Lo,sP=HT,cP=Rv,lP=HM.exports,uP={title:"Lazy load third-party resources with facades",failureTitle:"Some third-party resources can be lazy loaded with a facade",
description:"Some third-party embeds can be lazy loaded. Consider replacing them with a facade until they are required. [Learn more](https://web.dev/third-party-facades/).",displayValue:"{itemCount, plural,\n  =1 {# facade alternative available}\n  other {# facade alternatives available}\n  }",columnProduct:"Product",categoryVideo:"{productName} (Video)",categoryCustomerSuccess:"{productName} (Customer Success)",categoryMarketing:"{productName} (Marketing)",categorySocial:"{productName} (Social)"},dP=nP.createMessageInstanceIdFn("lighthouse-core/audits/third-party-facades.js",uP),mP={video:uP.categoryVideo,"customer-success":uP.categoryCustomerSuccess,marketing:uP.categoryMarketing,social:uP.categorySocial};class ThirdPartyFacades extends aP{static get meta(){return{id:"third-party-facades",title:dP(uP.title),failureTitle:dP(uP.failureTitle),description:dP(uP.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL"]}}static condenseItems(e){
e.sort(((e,t)=>t.transferSize-e.transferSize));let t=e.findIndex((e=>e.transferSize<1e3))||1;if((-1===t||t>5)&&(t=5),t>=e.length-1)return;const r=e.splice(t).reduce(((e,t)=>(e.transferSize+=t.transferSize,e.blockingTime+=t.blockingTime,e)));r.transferSize<1e3||(r.url=dP(nP.UIStrings.otherResourcesLabel),e.push(r))}static getProductsWithFacade(e,t){const r=new Map;for(const a of e.keys()){const e=iP.getEntity(a);if(!e||iP.isFirstParty(a,t))continue;const n=iP.getProduct(a);n&&n.facades&&n.facades.length&&(r.has(n.name)||r.set(n.name,{product:n,entity:e}))}return Array.from(r.values())}static async audit(e,t){const r=t.settings,a=e.traces[aP.DEFAULT_PASS],n=e.devtoolsLogs[aP.DEFAULT_PASS],i=await oP.request(n,t),o=await sP.request({devtoolsLog:n,URL:e.URL},t),s=iP.getEntity(o.url),c=await cP.request(a,t),l="simulate"===r.throttlingMethod?r.throttling.cpuSlowdownMultiplier:1,u=lP.getSummaries(i,c,l),d=ThirdPartyFacades.getProductsWithFacade(u.byURL,s),m=[]
;for(const{product:e,entity:t}of d){const r=mP[e.categories[0]];let a;a=r?dP(r,{productName:e.name}):e.name;const n=u.urls.get(t),i=u.byEntity.get(t);if(!n||!i)continue;const o=Array.from(n).map((e=>({url:e,...u.byURL.get(e)})));this.condenseItems(o),m.push({product:a,transferSize:i.transferSize,blockingTime:i.blockingTime,subItems:{type:"subitems",items:o}})}if(!m.length)return{score:1,notApplicable:!0};const p=[{key:"product",itemType:"text",subItemsHeading:{key:"url",itemType:"url"},text:dP(uP.columnProduct)},{key:"transferSize",itemType:"bytes",subItemsHeading:{key:"transferSize"},granularity:1,text:dP(nP.UIStrings.columnTransferSize)},{key:"blockingTime",itemType:"ms",subItemsHeading:{key:"blockingTime"},granularity:1,text:dP(nP.UIStrings.columnBlockingTime)}];return{score:0,displayValue:dP(uP.displayValue,{itemCount:m.length}),details:aP.makeTableDetails(p,m)}}}GM.exports=ThirdPartyFacades,GM.exports.UIStrings=uP;var pP={exports:{}};const hP=kc,gP=CD,fP=HT,yP=Tu,vP=oi,bP={
title:"Timing budget",description:"Set a timing budget to help you keep an eye on the performance of your site. Performant sites load fast and respond to user input events quickly. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets).",columnTimingMetric:"Metric",columnMeasurement:"Measurement"},wP=vP.createMessageInstanceIdFn("lighthouse-core/audits/timing-budget.js",bP);pP.exports=class TimingBudget extends hP{static get meta(){return{id:"timing-budget",title:wP(bP.title),description:wP(bP.description),scoreDisplayMode:hP.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","traces","URL","GatherContext"]}}static getRowLabel(e){const t={"first-contentful-paint":vP.UIStrings.firstContentfulPaintMetric,interactive:vP.UIStrings.interactiveMetric,"first-meaningful-paint":vP.UIStrings.firstMeaningfulPaintMetric,"max-potential-fid":vP.UIStrings.maxPotentialFIDMetric,"total-blocking-time":vP.UIStrings.totalBlockingTimeMetric,
"speed-index":vP.UIStrings.speedIndexMetric,"largest-contentful-paint":vP.UIStrings.largestContentfulPaintMetric,"cumulative-layout-shift":vP.UIStrings.cumulativeLayoutShiftMetric};return wP(t[e])}static getMeasurement(e,t){return{"first-contentful-paint":t.firstContentfulPaint,interactive:t.interactive,"first-meaningful-paint":t.firstMeaningfulPaint,"max-potential-fid":t.maxPotentialFID,"total-blocking-time":t.totalBlockingTime,"speed-index":t.speedIndex,"largest-contentful-paint":t.largestContentfulPaint,"cumulative-layout-shift":t.cumulativeLayoutShift}[e]}static tableItems(e,t){let r=[];if(!e.timings)return r;r=e.timings.map((e=>{const r=e.metric,a=this.getRowLabel(r),n=this.getMeasurement(r,t);return{metric:r,label:a,measurement:n,overBudget:n&&n>e.budget?n-e.budget:void 0}})).sort(((e,t)=>(t.overBudget||0)-(e.overBudget||0)));const a=r.find((e=>"cumulative-layout-shift"===e.metric));return a&&("number"==typeof a.measurement&&(a.measurement={type:"numeric",
value:Number(a.measurement),granularity:.01}),"number"==typeof a.overBudget&&(a.overBudget={type:"numeric",value:Number(a.overBudget),granularity:.01})),r}static async audit(e,t){const r=e.GatherContext,a=e.devtoolsLogs[hP.DEFAULT_PASS],n=e.traces[hP.DEFAULT_PASS],i=await fP.request({URL:e.URL,devtoolsLog:a},t),o={trace:n,devtoolsLog:a,gatherContext:r,settings:t.settings},s=(await gP.request(o,t)).metrics,c=yP.getMatchingBudget(t.settings.budgets,i.url);if(!c)return{score:0,notApplicable:!0};const l=[{key:"label",itemType:"text",text:wP(bP.columnTimingMetric)},{key:"measurement",itemType:"ms",text:wP(bP.columnMeasurement)},{key:"overBudget",itemType:"ms",text:wP(vP.UIStrings.columnOverBudget)}];return{details:hP.makeTableDetails(l,this.tableItems(c,s)),score:1}}},pP.exports.UIStrings=bP;var SP={exports:{}};const TP=kc,EP=oi,xP=ji,_P={title:"Image elements have explicit `width` and `height`",failureTitle:"Image elements do not have explicit `width` and `height`",
description:"Set an explicit width and height on image elements to reduce layout shifts and improve CLS. [Learn more](https://web.dev/optimize-cls/#images-without-dimensions)"},AP=EP.createMessageInstanceIdFn("lighthouse-core/audits/unsized-images.js",_P);class UnsizedImages extends TP{static get meta(){return{id:"unsized-images",title:AP(_P.title),failureTitle:AP(_P.failureTitle),description:AP(_P.description),requiredArtifacts:["ImageElements"]}}static doesHtmlAttrProvideExplicitSize(e){if(!e)return!1;if(e.startsWith("+"))return!1;return parseInt(e,10)>=0}static isCssPropExplicitlySet(e){return!!e&&!["auto","initial","unset","inherit"].includes(e)}static isSizedImage(e){if(void 0===e.cssEffectiveRules)return!0
;const t=e.attributeWidth,r=e.attributeHeight,a=e.cssEffectiveRules.width,n=e.cssEffectiveRules.height,i=e.cssEffectiveRules.aspectRatio,o=UnsizedImages.doesHtmlAttrProvideExplicitSize(t),s=UnsizedImages.isCssPropExplicitlySet(a),c=UnsizedImages.doesHtmlAttrProvideExplicitSize(r),l=UnsizedImages.isCssPropExplicitlySet(n),u=UnsizedImages.isCssPropExplicitlySet(i),d=o||s,m=c||l;return d&&m||d&&u||m&&u}static isNonNetworkSvg(e){const t="image/svg+xml"===xP.guessMimeType(e.src),r=e.src.slice(0,e.src.indexOf(":")),a=xP.isNonNetworkProtocol(r);return t&&a}static async audit(e){const t=e.ImageElements.filter((e=>!e.isCss&&!e.isInShadowDOM)),r=[];for(const e of t){if("fixed"===e.computedStyles.position||"absolute"===e.computedStyles.position)continue;if(UnsizedImages.isNonNetworkSvg(e))continue;if(UnsizedImages.isSizedImage(e))continue;const t=e.node.boundingRect;0===t.width&&0===t.height||r.push({url:xP.elideDataURI(e.src),node:TP.makeNodeItem(e.node)})}const a=[{key:"node",itemType:"node",
text:""},{key:"url",itemType:"url",text:AP(EP.UIStrings.columnURL)}];return{score:r.length>0?0:1,notApplicable:0===t.length,details:TP.makeTableDetails(a,r)}}}SP.exports=UnsizedImages,SP.exports.UIStrings=_P;var RP={exports:{}};const kP=Ao,DP=Yp;var CP=kP(class UserTimings$1{static async compute_(e,t){const r=await DP.request(e,t),a=[],n={};return r.processEvents.filter((e=>!!e.cat.includes("blink.user_timing")&&("requestStart"!==e.name&&"navigationStart"!==e.name&&"paintNonDefaultBackgroundColor"!==e.name&&void 0===e.args.frame))).forEach((e=>{"R"===e.ph||"I"===e.ph.toUpperCase()?a.push({name:e.name,isMark:!0,args:e.args,startTime:e.ts}):"b"===e.ph.toLowerCase()?n[e.name]=e.ts:"e"===e.ph.toLowerCase()&&a.push({name:e.name,isMark:!1,args:e.args,startTime:n[e.name],endTime:e.ts,duration:e.ts-n[e.name]})})),a.forEach((e=>{e.startTime=(e.startTime-r.timeOriginEvt.ts)/1e3,e.isMark||(e.endTime=(e.endTime-r.timeOriginEvt.ts)/1e3,e.duration=e.duration/1e3)})),a}},null)
;const IP=kc,NP=oi,LP=CP,MP={title:"User Timing marks and measures",description:"Consider instrumenting your app with the User Timing API to measure your app's real-world performance during key user experiences. [Learn more](https://web.dev/user-timings/).",displayValue:"{itemCount, plural,\n    =1 {1 user timing}\n    other {# user timings}\n    }",columnType:"Type"},PP=NP.createMessageInstanceIdFn("lighthouse-core/audits/user-timings.js",MP);class UserTimings extends IP{static get meta(){return{id:"user-timings",title:PP(MP.title),description:PP(MP.description),scoreDisplayMode:IP.SCORING_MODES.INFORMATIVE,requiredArtifacts:["traces"]}}static get excludedPrefixes(){return["goog_"]}static excludeEvent(e){return UserTimings.excludedPrefixes.every((t=>!e.name.startsWith(t)))}static audit(e,t){const r=e.traces[IP.DEFAULT_PASS];return LP.request(r,t).then((e=>{const t=e.filter(UserTimings.excludeEvent),r=t.map((e=>({name:e.name,startTime:e.startTime,duration:e.isMark?void 0:e.duration,
timingType:e.isMark?"Mark":"Measure"}))).sort(((e,t)=>e.timingType===t.timingType?e.startTime-t.startTime:"Measure"===e.timingType?-1:1)),a=[{key:"name",itemType:"text",text:PP(NP.UIStrings.columnName)},{key:"timingType",itemType:"text",text:PP(MP.columnType)},{key:"startTime",itemType:"ms",granularity:.01,text:PP(NP.UIStrings.columnStartTime)},{key:"duration",itemType:"ms",granularity:.01,text:PP(NP.UIStrings.columnDuration)}],n=IP.makeTableDetails(a,r);let i;return t.length&&(i=PP(MP.displayValue,{itemCount:t.length})),{score:Number(0===t.length),notApplicable:0===t.length,displayValue:i,details:n}}))}}RP.exports=UserTimings,RP.exports.UIStrings=MP;var OP={exports:{}};const FP=kc,UP=Ib,jP=ji,BP=oi,$P=Lo,qP=HT,zP=Dl,VP=Yp,WP=Xp,GP=eb,HP=vk,YP={title:"Preconnect to required origins",description:"Consider adding `preconnect` or `dns-prefetch` resource hints to establish early connections to important third-party origins. [Learn more](https://web.dev/uses-rel-preconnect/).",
unusedWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Only use `preconnect` for important origins that the page will certainly request.',crossoriginWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.',tooManyPreconnectLinksWarning:"More than 2 `<link rel=preconnect>` connections were found. These should be used sparingly and only to the most important origins."},KP=BP.createMessageInstanceIdFn("lighthouse-core/audits/uses-rel-preconnect.js",YP);class UsesRelPreconnectAudit extends FP{static get meta(){return{id:"uses-rel-preconnect",title:KP(YP.title),description:KP(YP.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL","LinkElements"],scoreDisplayMode:FP.SCORING_MODES.NUMERIC}}static hasValidTiming(e){return!!e.timing&&e.timing.connectEnd>0&&e.timing.connectStart>0}
static hasAlreadyConnectedToOrigin(e){return!!e.timing&&e.timing.dnsEnd-e.timing.dnsStart==0&&e.timing.connectEnd-e.timing.connectStart==0}static socketStartTimeIsBelowThreshold(e,t){return Math.max(0,e.startTime-t.endTime)<15}static async audit(e,t){const r=e.traces[UsesRelPreconnectAudit.DEFAULT_PASS],a=e.devtoolsLogs[UsesRelPreconnectAudit.DEFAULT_PASS],n=t.settings;let i=0;const o=[],s=await VP.request(r,t),[c,l,u,d,m]=await Promise.all([$P.request(a,t),qP.request({devtoolsLog:a,URL:e.URL},t),zP.request({devtoolsLog:a,settings:n},t),WP.request(s,t),GP.request({trace:r,devtoolsLog:a},t)]),{rtt:p,additionalRttByOrigin:h}=u.getOptions(),f=await HP.getPessimisticGraph(m,d),y=new Set;f.traverse((e=>{"network"===e.type&&y.add(e.record.url)}));const v=new Map;c.forEach((e=>{
if(!UsesRelPreconnectAudit.hasValidTiming(e)||e.initiator.url===l.url||!e.parsedURL||!e.parsedURL.securityOrigin||l.parsedURL.securityOrigin===e.parsedURL.securityOrigin||!y.has(e.url)||UsesRelPreconnectAudit.hasAlreadyConnectedToOrigin(e)||!UsesRelPreconnectAudit.socketStartTimeIsBelowThreshold(e,l))return;const t=e.parsedURL.securityOrigin,r=v.get(t)||[];r.push(e),v.set(t,r)}));const b=e.LinkElements.filter((e=>"preconnect"===e.rel)),w=new Set(b.map((e=>jP.getOrigin(e.href||""))));let S=[];v.forEach((e=>{const t=e.reduce(((e,t)=>t.startTime<e.startTime?t:e));if(!t.timing)return;const r=t.parsedURL.securityOrigin,a=h.get(r)||0;let n=p+a;"https"===t.parsedURL.scheme&&(n*=2);const s=1e3*t.startTime-1e3*l.endTime+t.timing.dnsStart,c=Math.min(n,s);c<50||(w.has(r)?o.push(KP(YP.crossoriginWarning,{securityOrigin:r})):(i=Math.max(c,i),S.push({url:r,wastedMs:c})))})),S=S.sort(((e,t)=>t.wastedMs-e.wastedMs))
;for(const e of w)e&&(c.some((t=>e===t.parsedURL.securityOrigin))||o.push(KP(YP.unusedWarning,{securityOrigin:e})));if(b.length>=2)return{score:1,warnings:b.length>=3?[...o,KP(YP.tooManyPreconnectLinksWarning)]:o};const T=[{key:"url",valueType:"url",label:KP(BP.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:KP(BP.UIStrings.columnWastedMs)}],E=FP.makeOpportunityDetails(T,S,i);return{score:UP.scoreForWastedMs(i),numericValue:i,numericUnit:"millisecond",displayValue:i?KP(BP.UIStrings.displayValueMsSavings,{wastedMs:i}):"",warnings:o,details:E}}}OP.exports=UsesRelPreconnectAudit,OP.exports.UIStrings=YP;var JP={exports:{}};const XP=ji,ZP=Ki,QP=kc,eO=Ib,tO=ZT,rO=oi,aO=HT,nO=eb,iO=Dl,oO={title:"Preload key requests",description:"Consider using `<link rel=preload>` to prioritize fetching resources that are currently requested later in page load. [Learn more](https://web.dev/uses-rel-preload/).",
crossoriginWarning:'A preload `<link>` was found for "{preloadURL}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.'},sO=rO.createMessageInstanceIdFn("lighthouse-core/audits/uses-rel-preload.js",oO);class UsesRelPreloadAudit extends QP{static get meta(){return{id:"uses-rel-preload",title:sO(oO.title),description:sO(oO.description),supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","traces","URL"],scoreDisplayMode:QP.SCORING_MODES.NUMERIC}}static getURLsToPreload(e,t){const r=new Set;return t.traverse(((t,a)=>{if("network"!==t.type)return;const n=a.slice(1).filter((e=>"network"===e.type));UsesRelPreloadAudit.shouldPreloadRequest(t.record,e,n)&&r.add(t.record.url)})),r}static getURLsFailedToPreload(e){const t=[];e.traverse((e=>"network"===e.type&&t.push(e.record)));const r=t.filter((e=>e.isLinkPreload)),a=new Map;for(const e of r){const t=a.get(e.frameId)||new Set;t.add(e.url),a.set(e.frameId,t)}const n=t.filter((e=>{
const t=a.get(e.frameId);if(!t)return!1;if(!t.has(e.url))return!1;return!(e.fromDiskCache||e.fromMemoryCache||e.fromPrefetchCache)&&!e.isLinkPreload}));return new Set(n.map((e=>e.url)))}static shouldPreloadRequest(e,t,r){const a=t.redirects?t.redirects.length:0;return!e.isLinkPreload&&(!!tO.isCritical(e,t)&&(!ZP.isNonNetworkRequest(e)&&(r.length===a+2&&(e.frameId===t.frameId&&XP.rootDomainsMatch(e.url,t.url)))))}static computeWasteWithGraph(e,t,r){if(!e.size)return{wastedMs:0,results:[]};const a=r.simulate(t,{flexibleOrdering:!0}),n=t.cloneWithRelationships(),i=[];let o=null;if(n.traverse((t=>{"network"===t.type&&(t.isMainDocument()?o=t:t.record&&e.has(t.record.url)&&i.push(t))})),!o)throw new Error("Could not find main document node");for(const e of i)e.removeAllDependencies(),e.addDependency(o);const s=r.simulate(n,{flexibleOrdering:!0}),c=Array.from(a.nodeTimings.keys()).reduce(((e,t)=>e.set(t.record,t)),new Map),l=[];for(const e of i){
const t=c.get(e.record),r=s.nodeTimings.get(e),n=a.nodeTimings.get(t);if(!n||!r)throw new Error("Missing preload node");const i=Math.round(n.endTime-r.endTime);i<100||l.push({url:e.record.url,wastedMs:i})}return l.length?{wastedMs:Math.max(...l.map((e=>e.wastedMs))),results:l}:{wastedMs:0,results:l}}static async audit_(e,t){const r=e.traces[UsesRelPreloadAudit.DEFAULT_PASS],a=e.devtoolsLogs[UsesRelPreloadAudit.DEFAULT_PASS],n=e.URL,i={devtoolsLog:a,settings:t.settings},[o,s,c]=await Promise.all([aO.request({devtoolsLog:a,URL:n},t),nO.request({trace:r,devtoolsLog:a},t),iO.request(i,t)]),l=UsesRelPreloadAudit.getURLsToPreload(o,s),{results:u,wastedMs:d}=UsesRelPreloadAudit.computeWasteWithGraph(l,s,c);let m;u.sort(((e,t)=>t.wastedMs-e.wastedMs));const p=UsesRelPreloadAudit.getURLsFailedToPreload(s);p.size&&(m=Array.from(p).map((e=>sO(oO.crossoriginWarning,{preloadURL:e}))));const h=[{key:"url",valueType:"url",label:sO(rO.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",
label:sO(rO.UIStrings.columnWastedMs)}],f=QP.makeOpportunityDetails(h,u,d);return{score:eO.scoreForWastedMs(d),numericValue:d,numericUnit:"millisecond",displayValue:d?sO(rO.UIStrings.displayValueMsSavings,{wastedMs:d}):"",details:f,warnings:m}}static async audit(){return{score:1,notApplicable:!0,details:QP.makeOpportunityDetails([],[],0)}}}JP.exports=UsesRelPreloadAudit,JP.exports.UIStrings=oO;var cO={exports:{}};
/**
   * @license Copyright 2020 Google Inc. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   */const lO=uw,uO=kc,dO=oi,mO={title:"Page has valid source maps",failureTitle:"Missing source maps for large first-party JavaScript",description:"Source maps translate minified code to the original source code. This helps developers debug in production. In addition, Lighthouse is able to provide further insights. Consider deploying source maps to take advantage of these benefits. [Learn more](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps).",columnMapURL:"Map URL",missingSourceMapErrorMessage:"Large JavaScript file is missing a source map",missingSourceMapItemsWarningMesssage:"{missingItems, plural,\n    =1 {Warning: missing 1 item in `.sourcesContent`}\n    other {Warning: missing # items in `.sourcesContent`}\n    }"},pO=dO.createMessageInstanceIdFn("lighthouse-core/audits/valid-source-maps.js",mO);cO.exports=class ValidSourceMaps extends uO{static get meta(){return{id:"valid-source-maps",title:pO(mO.title),failureTitle:pO(mO.failureTitle),
description:pO(mO.description),requiredArtifacts:["ScriptElements","SourceMaps","URL"]}}static isLargeFirstPartyJS(e,t){if(null===e.content)return!1;const r=e.content.length>=512e3,a=!!e.src&&lO.isFirstParty(e.src,lO.getEntity(t));return r&&a}static async audit(e){const{SourceMaps:t}=e,r=new Set;let a=!1;const n=[];for(const i of e.ScriptElements){if(!i.src)continue;const o=t.find((e=>e.scriptUrl===i.src)),s=[];if(!this.isLargeFirstPartyJS(i,e.URL.finalUrl)||o&&o.map||(a=!0,r.add(i.src),s.push({error:pO(mO.missingSourceMapErrorMessage)})),o&&!o.map&&s.push({error:o.errorMessage}),o?.map){const e=o.map.sourcesContent||[];let t=0;for(let r=0;r<o.map.sources.length;r++)(e.length<r||!e[r])&&(t+=1);t>0&&s.push({error:pO(mO.missingSourceMapItemsWarningMesssage,{missingItems:t})})}(o||s.length)&&n.push({scriptUrl:i.src,sourceMapUrl:o?.sourceMapUrl,subItems:{type:"subitems",items:s}})}const i=[{key:"scriptUrl",itemType:"url",subItemsHeading:{key:"error"},text:pO(dO.UIStrings.columnURL)},{
key:"sourceMapUrl",itemType:"url",text:pO(mO.columnMapURL)}];return n.sort(((e,t)=>{const a=r.has(e.scriptUrl),n=r.has(t.scriptUrl);return a&&!n?-1:!a&&n?1:e.subItems.items.length&&!t.subItems.items.length?-1:!e.subItems.items.length&&t.subItems.items.length?1:t.scriptUrl.localeCompare(e.scriptUrl)})),{score:a?0:1,details:uO.makeTableDetails(i,n)}}},cO.exports.UIStrings=mO;var hO={exports:{}};const gO=kc,fO=YN,yO={title:'Has a `<meta name="viewport">` tag with `width` or `initial-scale`',failureTitle:'Does not have a `<meta name="viewport">` tag with `width` or `initial-scale`',description:'A `<meta name="viewport">` not only optimizes your app for mobile screen sizes, but also prevents [a 300 millisecond delay to user input](https://developers.google.com/web/updates/2013/12/300ms-tap-delay-gone-away). [Learn more](https://web.dev/viewport/).',explanationNoTag:'No `<meta name="viewport">` tag found'},vO=oi.createMessageInstanceIdFn("lighthouse-core/audits/viewport.js",yO)
;hO.exports=class Viewport extends gO{static get meta(){return{id:"viewport",title:vO(yO.title),failureTitle:vO(yO.failureTitle),description:vO(yO.description),requiredArtifacts:["MetaElements"]}}static async audit(e,t){const r=await fO.request(e.MetaElements,t);return r.hasViewportTag?{score:Number(r.isMobileOptimized),warnings:r.parserWarnings}:{score:0,explanation:vO(yO.explanationNoTag)}}},hO.exports.UIStrings=yO;var bO={exports:{}};const wO=kc,SO=ah,TO=Yp,EO=oi,xO=Lo,_O=Ev,{taskGroups:AO}=wv,RO=ao,{getExecutionTimingsByURL:kO}=Iv,DO=$D.exports.defaultOptions,CO=vi.exports,IO={title:"Minimizes work during key interaction",failureTitle:"Minimize work during key interaction",description:"This is the thread-blocking work occurring during the Interaction to Next Paint measurement. [Learn more](https://web.dev/inp/).",inputDelay:"Input delay",processingDelay:"Processing delay",presentationDelay:"Presentation delay",
displayValue:"{timeInMs, number, milliseconds} ms spent on event '{interactionType}'",eventTarget:"Event target"},NO=EO.createMessageInstanceIdFn("lighthouse-core/audits/work-during-interaction.js",IO);class WorkDuringInteraction extends wO{static get meta(){return{id:"work-during-interaction",title:NO(IO.title),failureTitle:NO(IO.failureTitle),description:NO(IO.description),scoreDisplayMode:wO.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["traces","devtoolsLogs","TraceElements"]}}static recursivelyClipTasks(e,t,r,a){const n=e.event.ts,i=e.endEvent?.ts??e.event.ts+Number(e.event.dur||0);e.startTime=Math.max(r,Math.min(a,n))/1e3,e.endTime=Math.max(r,Math.min(a,i))/1e3,e.duration=e.endTime-e.startTime;const o=e.children.map((t=>WorkDuringInteraction.recursivelyClipTasks(t,e,r,a))).reduce(((e,t)=>e+t),0);return e.selfTime=e.duration-o,e.duration}static clipTasksByTs(e,t,r){for(const a of e)a.parent||WorkDuringInteraction.recursivelyClipTasks(a,void 0,t,r)}
static getPhaseTimes(e){const t=e.args.data,r=e.ts,a=r-1e3*t.timeStamp,n=a+1e3*t.processingStart,i=a+1e3*t.processingEnd;return{inputDelay:{startTs:r,endTs:n},processingDelay:{startTs:n,endTs:i},presentationDelay:{startTs:i,endTs:r+1e3*t.duration}}}static getThreadBreakdownTable(e,t,r,a){const n=RO.filteredTraceSort(t.traceEvents,(t=>t.pid===e.pid&&t.tid===e.tid)),i=n.reduce(((e,t)=>Math.max(t.ts+(t.dur||0),e)),0),{frames:o}=r,s=_O.getMainThreadTasks(n,o,i),c=WorkDuringInteraction.getPhaseTimes(e),l=[];for(const[e,t]of Object.entries(c)){WorkDuringInteraction.clipTasksByTs(s,t.startTs,t.endTs);const r=kO(s,a),n=[];for(const[e,t]of r){const r=Object.values(t).reduce(((e,t)=>e+t)),a=t[AO.scriptEvaluation.id]||0,i=t[AO.styleLayout.id]||0,o=t[AO.paintCompositeRender.id]||0;n.push({url:e,total:r,scripting:a,layout:i,render:o})}const i=n.filter((e=>e.total>1)).sort(((e,t)=>t.total-e.total));l.push({phase:NO(IO[e]),total:(t.endTs-t.startTs)/1e3,subItems:{type:"subitems",items:i}})}const u=[{
key:"phase",itemType:"text",subItemsHeading:{key:"url",itemType:"url"},text:"Phase"},{key:"total",itemType:"ms",subItemsHeading:{key:"total",granularity:1,itemType:"ms"},granularity:1,text:"Total time"},{key:null,itemType:"ms",subItemsHeading:{key:"scripting",granularity:1,itemType:"ms"},text:"Script evaluation"},{key:null,itemType:"ms",subItemsHeading:{key:"layout",granularity:1,itemType:"ms"},text:AO.styleLayout.label},{key:null,itemType:"ms",subItemsHeading:{key:"render",granularity:1,itemType:"ms"},text:AO.paintCompositeRender.label}];return{table:wO.makeTableDetails(u,l),phases:c}}static getTraceElementTable(e){const t=e.find((e=>"responsiveness"===e.traceEventType));if(!t)return;const r=[{key:"node",itemType:"node",text:NO(IO.eventTarget)}],a=[{node:wO.makeNodeItem(t.node)}];return wO.makeTableDetails(r,a)}static async audit(e,t){const{settings:r}=t;if("simulate"===r.throttlingMethod)return{score:null,notApplicable:!0};const a=e.traces[WorkDuringInteraction.DEFAULT_PASS],n={
trace:a,settings:r},i=await SO.request(n,t);if(null===i)return{score:null,notApplicable:!0};if("FallbackTiming"===i.name)throw new CO(CO.errors.UNSUPPORTED_OLD_CHROME,{featureName:"detailed EventTiming trace events"});const o=[],s=WorkDuringInteraction.getTraceElementTable(e.TraceElements);s&&o.push(s);const c=e.devtoolsLogs[WorkDuringInteraction.DEFAULT_PASS],l=await xO.request(c,t),u=await TO.request(a,t),{table:d,phases:m}=WorkDuringInteraction.getThreadBreakdownTable(i,a,u,l);o.push(d);const p=i.args.data.type;o.push({type:"debugdata",interactionType:p,phases:m});const h=i.args.data.duration,f=NO(IO.displayValue,{timeInMs:h,interactionType:p});return{score:h<DO.p10?1:0,displayValue:f,details:{type:"list",items:o}}}}bO.exports=WorkDuringInteraction,bO.exports.UIStrings=IO;var LO={exports:{}},MO={exports:{}};const PO={GROUPS__METRICS:"Metrics",GROUPS__ADS_PERFORMANCE:"Ad Speed",GROUPS__ADS_BEST_PRACTICES:"Tag Best Practices",NOT_APPLICABLE__DEFAULT:"Audit not applicable",
NOT_APPLICABLE__INVALID_TIMING:"Invalid timing task data",NOT_APPLICABLE__NO_AD_RELATED_REQ:"No ad-related requests",NOT_APPLICABLE__NO_AD_RENDERED:"No ads rendered",NOT_APPLICABLE__NO_ADS_VIEWPORT:"No ads in viewport",NOT_APPLICABLE__NO_ADS:"No ads requested",NOT_APPLICABLE__NO_BIDS:"No bids detected",NOT_APPLICABLE__NO_EVENT_MATCHING_REQ:"No event matches network records",NOT_APPLICABLE__NO_GPT:"GPT not requested",NOT_APPLICABLE__NO_RECORDS:"No successful network records",NOT_APPLICABLE__NO_VISIBLE_SLOTS:"No visible slots",NOT_APPLICABLE__NO_TAG:"No tag requested",NOT_APPLICABLE__NO_TAGS:"No tags requested",NOT_APPLICABLE__NO_TASKS:"No tasks to compare",NOT_APPLICABLE__NO_VALID_AD_WIDTHS:"No requested ads contain ads of valid width",NOT_APPLICABLE__NO_LAYOUT_SHIFTS:"No layout shift events found",ERRORS__AREA_LARGER_THAN_VIEWPORT:"Calculated ad area is larger than viewport",ERRORS__VIEWPORT_AREA_ZERO:"Viewport area is zero",
WARNINGS__NO_ADS:"No ads were requested when fetching this page.",WARNINGS__NO_AD_RENDERED:"No ads were rendered when rendering this page.",WARNINGS__NO_TAG:"The GPT tag was not requested."},OO=oi.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/messages/common-strings.js",PO),notApplicableObj=e=>({notApplicable:!0,score:1,displayValue:OO(e)}),FO={Default:notApplicableObj(PO.NOT_APPLICABLE__DEFAULT),InvalidTiming:notApplicableObj(PO.NOT_APPLICABLE__INVALID_TIMING),NoAdRelatedReq:notApplicableObj(PO.NOT_APPLICABLE__NO_AD_RELATED_REQ),NoAdRendered:notApplicableObj(PO.NOT_APPLICABLE__NO_AD_RENDERED),NoAdsViewport:notApplicableObj(PO.NOT_APPLICABLE__NO_ADS_VIEWPORT),NoAds:notApplicableObj(PO.NOT_APPLICABLE__NO_ADS),NoBids:notApplicableObj(PO.NOT_APPLICABLE__NO_BIDS),NoEventMatchingReq:notApplicableObj(PO.NOT_APPLICABLE__NO_EVENT_MATCHING_REQ),NoGpt:notApplicableObj(PO.NOT_APPLICABLE__NO_GPT),NoLayoutShifts:notApplicableObj(PO.NOT_APPLICABLE__NO_LAYOUT_SHIFTS),
NoRecords:notApplicableObj(PO.NOT_APPLICABLE__NO_RECORDS),NoVisibleSlots:notApplicableObj(PO.NOT_APPLICABLE__NO_VISIBLE_SLOTS),NoTag:notApplicableObj(PO.NOT_APPLICABLE__NO_TAG),NoTags:notApplicableObj(PO.NOT_APPLICABLE__NO_TAGS),NoTasks:notApplicableObj(PO.NOT_APPLICABLE__NO_TASKS),NoValidAdWidths:notApplicableObj(PO.NOT_APPLICABLE__NO_VALID_AD_WIDTHS)},UO={NoAds:OO(PO.WARNINGS__NO_ADS),NoAdRendered:OO(PO.WARNINGS__NO_AD_RENDERED),NoTag:OO(PO.WARNINGS__NO_TAG)},jO={ViewportAreaZero:OO(PO.ERRORS__VIEWPORT_AREA_ZERO)},BO={Metrics:OO(PO.GROUPS__METRICS),AdsPerformance:OO(PO.GROUPS__ADS_PERFORMANCE),AdsBestPractices:OO(PO.GROUPS__ADS_BEST_PRACTICES)};MO.exports={auditNotApplicable:FO,runWarning:UO,auditError:jO,group:BO},MO.exports.UIStrings=PO,function(e){const t=oi,{group:r}=MO.exports,a="lighthouse-plugin-publisher-ads",n={
categoryDescription:"A Lighthouse plugin to improve ad speed and overall quality that is targeted at sites using GPT or AdSense tag. [Learn more](https://developers.google.com/publisher-ads-audits/reference)"},i=t.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/plugin.js",n);e.exports={audits:[{path:`${a}/audits/ad-blocking-tasks`},{path:`${a}/audits/ad-render-blocking-resources`},{path:`${a}/audits/ad-request-critical-path`},{path:`${a}/audits/bid-request-from-page-start`},{path:`${a}/audits/ad-request-from-page-start`},{path:`${a}/audits/ad-top-of-viewport`},{path:`${a}/audits/ads-in-viewport`},{path:`${a}/audits/async-ad-tags`},{path:`${a}/audits/blocking-load-events`},{path:`${a}/audits/bottleneck-requests`},{path:`${a}/audits/duplicate-tags`},{path:`${a}/audits/first-ad-render`},{path:`${a}/audits/full-width-slots`},{path:`${a}/audits/gpt-bids-parallel`},{path:`${a}/audits/loads-gpt-from-official-source`},{path:`${a}/audits/loads-ad-tag-over-https`},{
path:`${a}/audits/script-injected-tags`},{path:`${a}/audits/serial-header-bidding`},{path:`${a}/audits/tag-load-time`},{path:`${a}/audits/viewport-ad-density`},{path:`${a}/audits/cumulative-ad-shift`},{path:`${a}/audits/deprecated-api-usage`},{path:`${a}/audits/gpt-errors-overall`},{path:`${a}/audits/total-ad-blocking-time`}],groups:{metrics:{title:r.Metrics},"ads-performance":{title:r.AdsPerformance},"ads-best-practices":{title:r.AdsBestPractices}},category:{title:"Publisher Ads",description:i(n.categoryDescription),auditRefs:[{id:"tag-load-time",weight:5,group:"metrics"},{id:"bid-request-from-page-start",weight:5,group:"metrics"},{id:"ad-request-from-page-start",weight:25,group:"metrics"},{id:"first-ad-render",weight:10,group:"metrics"},{id:"cumulative-ad-shift",weight:5,group:"metrics"},{id:"total-ad-blocking-time",weight:2,group:"metrics"},{id:"gpt-bids-parallel",weight:1,group:"ads-performance"},{id:"serial-header-bidding",weight:1,group:"ads-performance"},{
id:"bottleneck-requests",weight:1,group:"ads-performance"},{id:"script-injected-tags",weight:1,group:"ads-performance"},{id:"blocking-load-events",weight:1,group:"ads-performance"},{id:"ad-render-blocking-resources",weight:1,group:"ads-performance"},{id:"ad-blocking-tasks",weight:1,group:"ads-performance"},{id:"ad-request-critical-path",weight:0,group:"ads-performance"},{id:"ads-in-viewport",weight:4,group:"ads-best-practices"},{id:"async-ad-tags",weight:2,group:"ads-best-practices"},{id:"loads-ad-tag-over-https",weight:1,group:"ads-best-practices"},{id:"loads-gpt-from-official-source",weight:4,group:"ads-best-practices"},{id:"viewport-ad-density",weight:2,group:"ads-best-practices"},{id:"ad-top-of-viewport",weight:2,group:"ads-best-practices"},{id:"duplicate-tags",weight:1,group:"ads-best-practices"},{id:"deprecated-gpt-api-usage",weight:0,group:"ads-best-practices"},{id:"gpt-errors-overall",weight:0,group:"ads-best-practices"}]}},Object.defineProperty(e.exports,"UIStrings",{
enumerable:!1,get:()=>n})}(LO);var $O={exports:{}},qO=[{label:"Prebid JS",patterns:["^https?://([^.]*.)?prebid[.]org/.*","^https?://acdn[.]adnxs[.]com/prebid/.*"]},{label:"33Across",patterns:["^https?://ssc[.]33across.com/api/.*"]},{label:"AppNexus",patterns:["^https?://ib[.]adnxs[.]com/.*"]},{label:"Amazon Ads",patterns:["^https?://[a-z-_.]*[.]amazon-adsystem[.]com/.*bid.*"]},{label:"AdTechus (AOL)",patterns:["^https?://([^.]*.)?adserver[.]adtechus[.]com/.*"]},{label:"Aardvark",patterns:["^https?://thor[.]rtk[.]io/.*"]},{label:"AdBlade",patterns:["^https?://rtb[.]adblade[.]com/prebidjs/bid.*"]},{label:"AdBund",patterns:["^https?://us-east-engine[.]adbund[.]xyz/prebid/ad/get.*","^https?://us-west-engine[.]adbund[.]xyz/prebid/ad/get.*"]},{label:"AdButler",patterns:["^https?://servedbyadbutler[.]com/adserve.*"]},{label:"Adequant",patterns:["^https?://rex[.]adequant[.]com/rex/c2s_prebid.*"]},{label:"AdForm",patterns:["^https?://adx[.]adform[.]net/adx.*"]},{label:"AdMedia",
patterns:["^https?://b[.]admedia[.]com/banner/prebid/bidder.*"]},{label:"AdMixer",patterns:["^https?://inv-nets[.]admixer[.]net/prebid[.]aspx.*","^https?://inv-nets[.]admixer[.]net/videoprebid[.]aspx.*"]},{label:"AOL",patterns:["^https?://adserver-us[.]adtech[.]advertising[.]com.*","^https?://adserver-eu[.]adtech[.]advertising[.]com.*","^https?://adserver-as[.]adtech[.]advertising[.]com.*","^https?://adserver[.]adtech[.]de/pubapi/.*"]},{label:"Beachfront",patterns:["^https?://reachms[.]bfmio[.]com/bid[.]json?exchange_id=.*"]},{label:"Bidfluence",patterns:["^https?://cdn[.]bidfluence[.]com/forge[.]js.*"]},{label:"Brightcom",patterns:["^https?://hb[.]iselephant[.]com/auc/ortb.*"]},{label:"C1x",patterns:["^https?://ht-integration[.]c1exchange[.]com:9000/ht.*"]},{label:"CentroBid",patterns:["^https?://t[.]brand-server[.]com/hb.*"]},{label:"Conversant",patterns:["^https?://media[.]msg[.]dotomi[.]com/s2s/.*"]},{label:"Criteo",
patterns:["^https?://static[.]criteo[.]net/js/ld/publishertag[.]js.*","^https?://([^.]*.)?bidder[.]criteo[.]com/cdb.*","^https?://([^.]*.)?rtax[.]criteo[.]com/delivery/rta.*","^https?://([^.]*.)?rtax[.]eu[.]criteo[.]com/delivery/rta.*"]},{label:"Datablocks",patterns:["^https?://[a-z0-9_.-]*[.]dblks[.]net/.*"]},{label:"Districtm",patterns:["^https?://prebid[.]districtm[.]ca/lib[.]js.*"]},{label:"E-Planning",patterns:["^https?://ads[.]us[.]e-planning[.]net.*"]},{label:"Essens",patterns:["^https?://bid[.]essrtb[.]com/bid/prebid_call.*"]},{label:"Facebook",patterns:["^https?://an[.]facebook[.]com/v2/placementbid[.]json.*"]},{label:"FeatureForward",patterns:["^https?://prmbdr[.]featureforward[.]com/newbidder/.*"]},{label:"Fidelity",patterns:["^https?://x[.]fidelity-media[.]com.*"]},{label:"GetIntent",patterns:["^https?://px[.]adhigh[.]net/rtb/direct_banner.*","^https?://px[.]adhigh[.]net/rtb/direct_vast.*"]},{label:"GumGum",patterns:["^https?://g2[.]gumgum[.]com/hbid/imp.*"]},{
label:"Hiromedia",patterns:["^https?://hb-rtb[.]ktdpublishers[.]com/bid/get.*"]},{label:"Imonomy",patterns:["^https?://b[.]imonomy[.]com/openrtb/hb/.*"]},{label:"ImproveDigital",patterns:["^https?://ad[.]360yield[.]com/hb.*"]},{label:"IndexExchange",patterns:["^https?://as(-sec)?[.]casalemedia[.]com/(cygnus|headertag).*","^https?://js(-sec)?[.]indexww[.]com/ht/.*"]},{label:"InnerActive",patterns:["^https?://ad-tag[.]inner-active[.]mobi/simpleM2M/requestJsonAd.*"]},{label:"Innity",patterns:["^https?://as[.]innity[.]com/synd/.*"]},{label:"JCM",patterns:["^https?://media[.]adfrontiers[.]com/pq.*"]},{label:"JustPremium",patterns:["^https?://pre[.]ads[.]justpremium[.]com/v/.*"]},{label:"Kargo",patterns:["^https?://krk[.]kargo[.]com/api/v1/bid.*"]},{label:"Komoona",patterns:["^https?://bidder[.]komoona[.]com/v1/GetSBids.*"]},{label:"KruxLink",patterns:["^https?://link[.]krxd[.]net/hb.*"]},{label:"Kumma",patterns:["^https?://cdn[.]kumma[.]com/pb_ortb[.]js.*"]},{label:"Mantis",
patterns:["^https?://mantodea[.]mantisadnetwork[.]com/website/prebid.*"]},{label:"MarsMedia",patterns:["^https?://bid306[.]rtbsrv[.]com:9306/bidder.*"]},{label:"Media.net",patterns:["^https?://contextual[.]media[.]net/bidexchange.*"]},{label:"MemeGlobal",patterns:["^https?://stinger[.]memeglobal[.]com/api/v1/services/prebid.*"]},{label:"MobFox",patterns:["^https?://my[.]mobfox[.]com/request[.]php.*"]},{label:"NanoInteractive",patterns:["^https?://tmp[.]audiencemanager[.]de/hb.*"]},{label:"OpenX",patterns:["^https?://([^.]*.)?d[.]openx[.]net/w/1[.]0/arj.*","^https?://([^.]*.)?servedbyopenx[.]com/.*"]},{label:"Piximedia",patterns:["^https?://static[.]adserver[.]pm/prebid.*"]},{label:"Platformio",patterns:["^https?://piohbdisp[.]hb[.]adx1[.]com.*"]},{label:"Pollux",patterns:["^https?://adn[.]plxnt[.]com/prebid.*"]},{label:"PubGears",patterns:["^https?://c[.]pubgears[.]com/tags.*"]},{label:"Pubmatic",
patterns:["^https?://ads[.]pubmatic[.]com/AdServer/js/gshowad[.]js.*","^https?://([^.]*.)?gads.pubmatic[.]com/.*","^https?://hbopenbid.pubmatic[.]com/.*"]},{label:"Pulsepoint",patterns:["^https?://bid[.]contextweb[.]com/header/tag.*"]},{label:"Quantcast",patterns:["^https?://global[.]qc[.]rtb[.]quantserve[.]com:8080/qchb.*"]},{label:"Rhythmone",patterns:["^https?://tag[.]1rx[.]io/rmp/.*"]},{label:"Roxot",patterns:["^https?://r[.]rxthdr[.]com.*"]},{label:"Rubicon",patterns:["^https?://([^.]*.)?(fastlane|optimized-by|anvil)[.]rubiconproject[.]com/a/api.*","^https?://fastlane-adv[.]rubiconproject[.]com/v1/auction/video.*"]},{label:"Sekindo",patterns:["^https?://hb[.]sekindo[.]com/live/liveView[.]php.*"]},{label:"ShareThrough",patterns:["^https?://btlr[.]sharethrough[.]com/header-bid/.*"]},{label:"Smart AdServer",patterns:["^https?://prg[.]smartadserver[.]com/prebid.*"]},{label:"Sonobi",patterns:["^https?://apex[.]go[.]sonobi[.]com/trinity[.]js.*"]},{label:"Sovrn",
patterns:["^https?://ap[.]lijit[.]com/rtb/bid.*"]},{label:"SpringServe",patterns:["^https?://bidder[.]springserve[.]com/display/hbid.*"]},{label:"StickyAds",patterns:["^https?://cdn[.]stickyadstv[.]com/mustang/mustang[.]min[.]js.*","^https?://cdn[.]stickyadstv[.]com/prime-time/.*"]},{label:"TapSense3",patterns:["^https?://ads04[.]tapsense[.]com/ads/headerad.*"]},{label:"ThoughtLeadr",patterns:["^https?://a[.]thoughtleadr[.]com/v4/.*"]},{label:"TremorBid",patterns:["^https?://([^.]*.)?ads[.]tremorhub[.]com/ad/tag.*"]},{label:"Trion",patterns:["^https?://in-appadvertising[.]com/api/bidRequest.*"]},{label:"TripleLift",patterns:["^https?://tlx[.]3lift[.]com/header/auction.*"]},{label:"TrustX",patterns:["^https?://sofia[.]trustx[.]org/hb.*"]},{label:"UCFunnel",patterns:["^https?://agent[.]aralego[.]com/header.*"]},{label:"Underdog Media",patterns:["^https?://udmserve[.]net/udm/img[.]fetch.*"]},{label:"UnRuly",patterns:["^https?://targeting[.]unrulymedia[.]com/prebid.*"]},{
label:"VertaMedia",patterns:["^https?://rtb[.]vertamedia[.]com/hb/.*"]},{label:"Vertoz",patterns:["^https?://hb[.]vrtzads[.]com/vzhbidder/bid.*"]},{label:"WideOrbig",patterns:["^https?://([^.]*.)?atemda[.]com/JSAdservingMP[.]ashx.*"]},{label:"WideSpace",patterns:["^https?://engine[.]widespace[.]com/map/engine/hb/.*"]},{label:"YieldBot",patterns:["^https?://cdn[.]yldbt[.]com/js/yieldbot[.]intent[.]js.*"]},{label:"YieldMo",patterns:["^https?://ads[.]yieldmo[.]com/exchange/prebid.*"]}];const zO=/([a-zA-Z][a-zA-Z_-]*)\s*(?:=(?:"([^"]*)"|([^ \t",;]*)))?/g,VO="max-age",WO="s-maxage",GO="max-stale",HO="min-fresh",YO="immutable",KO="must-revalidate",JO="no-cache",XO="no-store",ZO="no-transform",QO="only-if-cached",eF="private",tF="proxy-revalidate",rF="public";function parseBooleanOnly(e){return null===e}function parseDuration(e){if(!e)return null;const t=parseInt(e,10);return!Number.isFinite(t)||t<0?null:t}class CacheControl{constructor(){this.maxAge=null,this.sharedMaxAge=null,
this.maxStale=null,this.maxStaleDuration=null,this.minFresh=null,this.immutable=null,this.mustRevalidate=null,this.noCache=null,this.noStore=null,this.noTransform=null,this.onlyIfCached=null,this.private=null,this.proxyRevalidate=null,this.public=null}parse(e){if(!e||0===e.length)return this;const t={},r=e.match(zO)||[];return Array.prototype.forEach.call(r,(e=>{const r=e.split("=",2),[a]=r;let n=null;r.length>1&&(n=r[1].trim()),t[a.toLowerCase()]=n})),this.maxAge=parseDuration(t[VO]),this.sharedMaxAge=parseDuration(t[WO]),this.maxStale=parseBooleanOnly(t[GO]),this.maxStaleDuration=parseDuration(t[GO]),this.maxStaleDuration&&(this.maxStale=!0),this.minFresh=parseDuration(t[HO]),this.immutable=parseBooleanOnly(t[YO]),this.mustRevalidate=parseBooleanOnly(t[KO]),this.noCache=parseBooleanOnly(t[JO]),this.noStore=parseBooleanOnly(t[XO]),this.noTransform=parseBooleanOnly(t[ZO]),this.onlyIfCached=parseBooleanOnly(t[QO]),this.private=parseBooleanOnly(t[eF]),
this.proxyRevalidate=parseBooleanOnly(t[tF]),this.public=parseBooleanOnly(t[rF]),this}format(){const e=[];return"number"==typeof this.maxAge&&e.push(`${VO}=${this.maxAge}`),"number"==typeof this.sharedMaxAge&&e.push(`${WO}=${this.sharedMaxAge}`),this.maxStale&&("number"==typeof this.maxStaleDuration?e.push(`${GO}=${this.maxStaleDuration}`):e.push(GO)),"number"==typeof this.minFresh&&e.push(`${HO}=${this.minFresh}`),this.immutable&&e.push(YO),this.mustRevalidate&&e.push(KO),this.noCache&&e.push(JO),this.noStore&&e.push(XO),this.noTransform&&e.push(ZO),this.onlyIfCached&&e.push(QO),this.private&&e.push(eF),this.proxyRevalidate&&e.push(tF),this.public&&e.push(rF),e.join(", ")}}var aF={CacheControl,parse:function parse(e){return(new CacheControl).parse(e)},format:function format$2(e){return e instanceof CacheControl?e.format():CacheControl.prototype.format.call(e)}};const nF=QS.exports,{parse:iF}=aF;function getHeader(e,t){const r=t.toLowerCase()
;return(e.responseHeaders||[]).find((e=>e.name.toLowerCase()===r))}var oF={isCacheable:function isCacheable$2(e){if(!nF.isCacheableAsset(e))return!1;const t=getHeader(e,"cache-control");if(t){try{const e=iF(t.value);if(e.noStore||e.noCache||0===e.maxAge)return!1}catch(e){}return!0}return!!getHeader(e,"expires")||!!getHeader(e,"last-modified")}};const sF=qO,cF=uw,{isCacheable:lF}=oF,{URL:uF}=Gn;function toURL$2(e){let t;try{t="string"==typeof e?new uF(e):e}catch(e){t=new uF("http://_")}return t}function isGoogleAds$2(e){return e=toURL$2(e),/(^|\.)(doubleclick.net|google(syndication|tagservices).com)$/.test(e.hostname)}function isAdSenseTag(e){const t="pagead2.googlesyndication.com"===(e=toURL$2(e)).host,r=["/pagead/js/adsbygoogle.js","/pagead/show_ads.js"].includes(e.pathname);return t&&r}function isAdSenseImplTag(e){const t="pagead2.googlesyndication.com"===(e=toURL$2(e)).host,r=/(^\/pagead\/js\/.*\/show_ads_impl.*?\.js)/.test(e.pathname);return t&&r}function isAdSense$1(e){
return isAdSenseTag(e=toURL$2(e))||isAdSenseImplTag(e)}function isAdSenseAdRequest(e){if(!e)return!1;const t=new uF(e.url);return"/pagead/ads"===t.pathname&&"googleads.g.doubleclick.net"===t.host}function isAdSenseIframe(e){return/(^aswift_\d+)/.test(e.id)}function isGptTag$2(e){const{host:t,pathname:r}=toURL$2(e),a=["www.googletagservices.com","pagead2.googlesyndication.com","securepubads.g.doubleclick.net"].includes(t),n=["/tag/js/gpt.js","/tag/js/gpt_mobile.js"].includes(r);return a&&n}function isAMPTag(e){const{host:t,pathname:r}=toURL$2(e),a=["cdn.ampproject.org"].includes(t),n=["/v0/amp-ad-0.1.js"].includes(r);return a&&n}function isGptImplTag$4(e){return isGoogleAds$2(e)&&/(^\/gpt\/pubads_impl([a-z_]*)((?<!rendering)_)\d+\.js)/.test(toURL$2(e).pathname)}function isAMPImplTag(e){return/^\/[a-z_]*\/\d+\/v0\/amp-ad-network-doubleclick-impl-0.1.js/.test(toURL$2(e).pathname)}function isGpt$3(e){return isGptTag$2(e=toURL$2(e))||isGptImplTag$4(e)}function isGptAdRequest$1(e){
if(!e)return!1;return"/gampad/ads"===new uF(e.url).pathname&&"XHR"===e.resourceType&&isGoogleAds$2(e.url)}function isAMPAdRequest(e){if(!e)return!1;const t=new uF(e.url);return"/gampad/ads"===t.pathname&&"securepubads.g.doubleclick.net"===t.host&&"Fetch"===e.resourceType}function isGptIframe$1(e){return/(^google_ads_iframe_)/.test(e.id)}function isAdScript$2(e){return isAdSense$1(e)||isGpt$3(e)||function isAMP(e){return isAMPTag(e)||isAMPImplTag(e)}(e)}function getHeaderBidder$2(e){for(const t of sF)for(const r of t.patterns)if(new RegExp(r).test(e))return t.label}function isBidRelatedRequest$1(e){return!!getHeaderBidder$2("string"==typeof e?e:e.url)}var dF={isGoogleAds:isGoogleAds$2,isGptAdRequest:isGptAdRequest$1,isImpressionPing:function isImpressionPing$3(e){const{host:t,pathname:r}=toURL$2(e);return["securepubads.g.doubleclick.net","googleads4.g.doubleclick.net"].includes(t)&&["/pcs/view","/pagead/adview"].includes(r)},isGpt:isGpt$3,isAdSense:isAdSense$1,isAdSenseTag,
isAdSenseImplTag,isAdSenseAdRequest,isAdSenseIframe,isGptTag:isGptTag$2,isGptImplTag:isGptImplTag$4,isGptIframe:isGptIframe$1,isAdTag:function isAdTag$3(e){return isAdSenseTag(e)||isGptTag$2(e)||isAMPTag(e)},isAdScript:isAdScript$2,isAdRequest:function isAdRequest$5(e){return isAdSenseAdRequest(e)||isGptAdRequest$1(e)||isAMPAdRequest(e)},isAdIframe:function isAdIframe$3(e){return isAdSenseIframe(e)||isGptIframe$1(e)},isImplTag:function isImplTag$3(e){return isAdSenseTag(e)||isGptImplTag$4(e)||isAMPImplTag(e)},containsAnySubstring:function containsAnySubstring$1(e,t){return t.some((t=>e.includes(t)))},hasImpressionPath:function hasImpressionPath(e){return"/pcs/view"===e.pathname||"/pagead/adview"===e.pathname},getHeaderBidder:getHeaderBidder$2,isBidRelatedRequest:isBidRelatedRequest$1,isBidRequest:function isBidRequest$4(e){return isBidRelatedRequest$1(e)&&function isPossibleBidRequest(e){return(null==e.resourceSize||e.resourceSize>0)&&"Image"!=e.resourceType&&!lF(e)}(e)},
isStaticRequest:function isStaticRequest$1(e){return["parser","preload","other"].includes(e.initiator.type)},toURL:toURL$2,trimUrl:function trimUrl$1(e){const t=new uF(e),r=t.pathname.length>60?t.pathname.substr(0,60)+"...":t.pathname;return t.origin+r},getNameOrTld:function getNameOrTld$2(e){const t=getHeaderBidder$2(e);if(t)return t;if(isGpt$3(e))return"GPT";if(isAdSense$1(e))return"AdSense";if(isAMPTag(e))return"AMP tag";const r=cF.getEntity(e);if(r)return r.name;const{host:a}=new uF(e),[n=""]=a.match(/([^.]*(\.[a-z]{2,3}){1,2})$/)||[];return n||a},isAMPTag,isAMPAdRequest,isAdRelated:function isAdRelated$3(e){const t="string"==typeof e?e:e.url;if(isAdScript$2(t)||getHeaderBidder$2(t))return!0;const r=cF.getEntity(t);return!!r&&r.categories.includes("ad")}};const mF=Zc,pF=sb,{isBidRelatedRequest:hF,isImpressionPing:gF,isGoogleAds:fF,isGptAdRequest:yF,isGptTag:vF,isGptImplTag:bF,toURL:wF}=dF;function getFrame(e){return e.args.frame||e.args.data&&e.args.data.frame||null}
function isAdTask(e){return!!function getCpuNodeUrls(e){const t=new Set;for(const{args:r}of e.childEvents)r.data&&r.data.url&&t.add(r.data.url);return Array.from(t)}(e).find((e=>hF(e)||fF(wF(e))))}function addEdge(e,t){e===t||e.endTime>t.startTime||e.addDependent(t)}function addEdges(e){const t=[],r=[];e.traverse((e=>{e.type===mF.TYPES.NETWORK&&(vF(e.record.url)&&"Script"===e.record.resourceType?r.push(e):yF(e.record)&&t.push(e))})),e.traverse((e=>{if(e.type===mF.TYPES.NETWORK){if(bF(e.record.url)){const t=e;for(const e of r)addEdge(e,t)}if(hF(e.record)){const r=e;for(const e of t)addEdge(r,e)}if(gF(e.record.url)){const r=e;for(const e of t){addEdge(e,r);for(const t of e.getDependents())addEdge(t,r)}}}}))}class AdLanternMetric$6 extends pF{static get COEFFICIENTS(){return{intercept:0,optimistic:1,pessimistic:0}}static getPessimisticGraph(e){const t=e.cloneWithRelationships((e=>!0));return addEdges(t),t}static getOptimisticGraph(e){
const t=e.record.frameId,r=AdLanternMetric$6.getPessimisticGraph(e),a=r.cloneWithRelationships((e=>{if(e.type===mF.TYPES.CPU)return function isLongTask(e){return e.event.dur>5e4}(e)||isAdTask(e)||!!getFrame(e.event)&&getFrame(e.event)!==t;if(e.hasRenderBlockingPriority())return!0;const r=e.record.url;return hF(r)||fF(wF(r))}));return addEdges(r),a}static getEstimateFromSimulation(e,t){throw new Error("getEstimateFromSimulation not implemented by "+this.name)}static findTiming(e,t){let r={startTime:1/0,endTime:-1/0,duration:0};for(const[a,n]of e.entries())t(a,n)&&r.startTime>n.startTime&&(r=n);return r}static findNetworkTiming(e,t){return this.findTiming(e,(e=>e.type===mF.TYPES.NETWORK&&t(e.record)))}}var SF=AdLanternMetric$6;const TF=SF,EF=Dl,xF=Lo,_F=eb,{isAdRequest:AF,isBidRequest:RF,isImplTag:kF,isImpressionPing:DF}=dF,{URL:CF}=Gn;function getPageStartTime$4(e,t=-1){const r=e.find((e=>200==e.statusCode));return r?r.startTime:t}async function getTimingsByRecord$5(e,t,r){
const a=new Map,n=await xF.request(t,r);if("simulate"==r.settings.throttlingMethod){const n=await _F.request({trace:e,devtoolsLog:t},r),i=TF.getOptimisticGraph(n),o=await EF.request({devtoolsLog:t,settings:r.settings},r),{nodeTimings:s}=o.simulate(i,{});for(const[{record:e},t]of s.entries())e&&a.set(e,t)}else{const e=getPageStartTime$4(n);for(const t of n)a.set(t,{startTime:1e3*(t.startTime-e),endTime:1e3*(t.endTime-e),duration:1e3*(t.endTime-t.startTime)})}return a}function getScriptUrl$1(e){if(e.args.data&&["EvaluateScript","FunctionCall"].includes(e.name))return e.args.data.url?e.args.data.url:e.args.data.stackTrace?e.args.data.stackTrace[0].url:void 0}var IF={getTagEndTime:function getTagEndTime$1(e){const t=e.find((e=>kF(new CF(e.url))));return t?t.endTime:-1},getImpressionStartTime:function getImpressionStartTime$1(e){const t=e.find((e=>DF(e.url)));return t?t.startTime:-1},getAdStartTime:function getAdStartTime$2(e){const t=e.find(AF);return t?t.startTime:-1},
getBidStartTime:function getBidStartTime$1(e){const t=e.find(RF);return t?t.startTime:-1},getPageStartTime:getPageStartTime$4,getPageResponseTime:function getPageResponseTime(e,t=-1){const r=e.find((e=>200==e.statusCode));return r?r.responseReceivedTime:t},getScriptUrl:getScriptUrl$1,getTimingsByRecord:getTimingsByRecord$5,getScriptEvaluationTimes:async function getScriptEvaluationTimes$1(e,t,r){const a=1e3*getPageStartTime$4(await xF.request(t,r)),n=new Map;for(const t of e.traceEvents){const e=getScriptUrl$1(t);if(!e)continue;const r=t.ts/1e3-a;(!n.has(e)||n.get(e)>r)&&n.set(e,r)}if("simulate"!==r.settings.throttlingMethod)return n;const i=await getTimingsByRecord$5(e,t,r),o=new Map;for(const[e,t]of i.entries()){const i=n.get(e.url);if(!i)continue;if(o.has(e.url))continue;const s=1e3*e.startTime-a,c=t.endTime,l=r.settings.throttling.cpuSlowdownMultiplier*(i-s);o.set(e.url,c+l)}return o}};const NF=SF,LF=Ew,MF=Ao,{getAdStartTime:PF,getPageStartTime:OF}=IF,{isAdRequest:FF}=dF
;class LanternAdRequestTime extends NF{static getEstimateFromSimulation(e,t){const{nodeTimings:r}=e;return{timeInMs:NF.findNetworkTiming(r,FF).startTime,nodeTimings:r}}}LanternAdRequestTime=MF(LanternAdRequestTime);class AdRequestTime$1 extends LF{static async computeSimulatedMetric(e,t){return LanternAdRequestTime.request(e,t)}static async computeObservedMetric(e){const{networkRecords:t}=e,r=OF(t),a=1e3*(PF(t)-r);return Promise.resolve({timing:a})}static async request(e,t){throw Error("Not implemented -- class not decorated")}}var UF=AdRequestTime$1=MF(AdRequestTime$1);var jF={getAttributableUrl:function getAttributableUrl$3(e,t=new Set){const r=e.attributableURLs.find((e=>t.has(e))),a=e.attributableURLs[0],n=r||a;if(n)return n;let i=50,o="";for(const r of e.children){const e=getAttributableUrl$3(r,t);e&&r.duration>i&&(o=e,i=r.duration)}return o}};const BF=SF,$F=Zc,qF=Ew,{getAttributableUrl:zF}=jF,VF=Dl,WF=Rv,GF=Ao,HF=Lo,YF=eb;class LongTasks$2 extends qF{
static async getSimulationGraph(e,t,r){const a=await YF.request({trace:e,devtoolsLog:t},r);return BF.getOptimisticGraph(a)}static async computeSimulatedResult(e,t,r){const a=await this.getSimulationGraph(e,t,r),n=await VF.request({devtoolsLog:t,settings:r.settings},r),{nodeTimings:i}=n.simulate(a,{}),o=[];for(const[e,t]of i.entries())e.type!==$F.TYPES.CPU||t.duration<100||o.push({event:e.event,startTime:t.startTime,endTime:t.endTime,duration:t.duration,selfTime:t.duration,attributableURLs:Array.from(e.getEvaluateScriptURLs()),children:[],parent:e.parent,unbounded:e.unbounded,group:e.group});return o}static async computeObservedResult(e,t,r){const a=await WF.request(e,r),n=await HF.request(t,r),i=new Set(n.filter((e=>"Script"===e.resourceType)).map((e=>e.url)));return a.filter((e=>function isLong(e,t){if(e.duration<50)return!1;const r=zF(e,t);if(!r)return!1;if(e.parent)return r!=zF(e.parent,t);return!0}(e,i)))}static async compute_({trace:e,devtoolsLog:t},r){
return"simulate"==r.settings.throttlingMethod?this.computeSimulatedResult(e,t,r):this.computeObservedResult(e,t,r)}static async request(e,t){throw Error("Not implemented -- class not decorated")}}var KF=LongTasks$2=GF(LongTasks$2),JF=getAugmentedNamespace(Object.freeze({__proto__:null,Audit:kc}));const XF=UF,ZF=oi,QF=KF,{auditNotApplicable:eU}=MO.exports,{Audit:tU}=JF,{getAttributableUrl:rU}=jF,{isAdScript:aU}=dF,{URL:nU}=Gn,iU={title:"No long tasks blocking ad-related network requests",failureTitle:"Avoid long tasks that block ad-related network requests",description:"Tasks blocking the main thread can delay ad requests and cause a poor user experience. Consider removing long blocking tasks or moving them off of the main thread. These tasks can be especially detrimental to performance on less powerful devices. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-blocking-tasks).",failureDisplayValue:"{timeInMs, number, seconds} s blocked",
columnScript:"Attributable URL",columnStartTime:"Start",columnDuration:"Duration"},oU=ZF.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/ad-blocking-tasks.js",iU),sU=[{key:"script",itemType:"url",text:oU(iU.columnScript)},{key:"startTime",itemType:"ms",text:oU(iU.columnStartTime),granularity:1},{key:"duration",itemType:"ms",text:oU(iU.columnDuration),granularity:1}];class AdBlockingTasks extends tU{static get meta(){return{id:"ad-blocking-tasks",title:oU(iU.title),failureTitle:oU(iU.failureTitle),description:oU(iU.description),requiredArtifacts:["traces","devtoolsLogs"]}}static async audit(e,t){const r="simulate"==t.settings.throttlingMethod?200:100,a={trace:e.traces[tU.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[tU.DEFAULT_PASS],settings:t.settings};let n=[];try{n=await QF.request(a,t)}catch(e){return eU.InvalidTiming}if(!n.length)return eU.NoTasks;const{timing:i}=await XF.request(a,t);if(!(i>0))return eU.NoAdRelatedReq;const o=[];for(const e of n){
if(e.startTime>i||e.duration<r)continue;const t=rU(e);if(t&&aU(new nU(t)))continue;const a=t&&new nU(t),n=a&&a.origin+a.pathname||"Other";o.push({script:n,rawUrl:t,startTime:e.startTime,endTime:e.endTime,duration:e.duration,isTopLevel:!e.parent})}let s=Array.from(o);s.length>10&&(s=o.filter((e=>"Other"!==e.script&&e.isTopLevel)).sort(((e,t)=>t.duration-e.duration)).splice(0,10).sort(((e,t)=>e.startTime-t.startTime)));const c=s.reduce(((e,t)=>t.isTopLevel?e+t.duration:e),0),l=s.length>0;return{score:l?0:1,numericValue:c,numericUnit:"millisecond",displayValue:l?oU(iU.failureDisplayValue,{timeInMs:c}):"",details:AdBlockingTasks.makeTableDetails(sU,s)}}}$O.exports=AdBlockingTasks,$O.exports.UIStrings=iU;var cU={exports:{}};const lU=oi,uU=Lo,{auditNotApplicable:dU}=MO.exports,{Audit:mU}=JF,{getTimingsByRecord:pU}=IF,{isAdTag:hU}=dF,{URL:gU}=Gn,fU={title:"Minimal render-blocking resources found",failureTitle:"Avoid render-blocking resources",
description:"Render-blocking resources slow down tag load times. Consider loading critical JS/CSS inline or loading scripts asynchronously or loading the tag earlier in the head. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/blocking-resources).",failureDisplayValue:"Up to {timeInMs, number, seconds} s tag load time improvement",columnUrl:"Resource",columnStartTime:"Start",columnDuration:"Duration"},yU=lU.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/ad-render-blocking-resources.js",fU),vU=[{key:"url",itemType:"url",text:yU(fU.columnUrl)},{key:"startTime",itemType:"ms",text:yU(fU.columnStartTime),granularity:1},{key:"duration",itemType:"ms",text:yU(fU.columnDuration),granularity:1}];class AdRenderBlockingResources extends mU{static get meta(){return{id:"ad-render-blocking-resources",title:yU(fU.title),failureTitle:yU(fU.failureTitle),scoreDisplayMode:"binary",description:yU(fU.description),
requiredArtifacts:["LinkElements","ScriptElements","devtoolsLogs","traces"]}}static async audit(e,t){const r=e.devtoolsLogs[mU.DEFAULT_PASS],a=e.traces[mU.DEFAULT_PASS],n=await uU.request(r,t),i=n.find((e=>hU(new gU(e.url))));if(!i)return dU.NoTag;const o=await pU(a,r,t),s=new Set;for(const t of e.LinkElements)t.href&&"stylesheet"==t.rel&&s.add(t.href);for(const t of e.ScriptElements)!t.src||t.defer||t.async||s.add(t.src);const c=n.filter((e=>e.endTime<i.startTime)).filter((e=>e!=i.initiatorRequest)).filter((e=>e.initiator.type="parser")).filter((e=>s.has(e.url))).map((e=>Object.assign({url:e.url},o.get(e))));c.sort(((e,t)=>e.endTime-t.endTime));const l=o.get(i)||{startTime:1/0},u=c.map((e=>e.startTime)),d=c.map((e=>e.endTime)),m=Math.min(...u),p=Math.min(Math.max(...d),l.startTime)-m;let h="";c.length>0&&p>0&&(h=yU(fU.failureDisplayValue,{timeInMs:p}));return{score:c.length>0&&p>100?0:1,numericValue:c.length,numericUnit:"unitless",displayValue:h,details:{opportunity:p,
...AdRenderBlockingResources.makeTableDetails(vU,c)}}}}cU.exports=AdRenderBlockingResources,cU.exports.UIStrings=fU;var bU={exports:{}};var wU={assert:function assert$2(e){if(null==e)throw new Error("Expected not to be null");return e}};const SU=Zc,TU=Lo,{assert:EU}=wU,{getNameOrTld:xU,trimUrl:_U}=dF,{getNetworkInitiators:AU}=eb,{getTimingsByRecord:RU}=IF,{isAdRequest:kU,isAdSense:DU,isGpt:CU,isBidRequest:IU,isAdRelated:NU}=dF;function isXhrCritical(e,t,r){const a=t.xhrEdges.get(e.url);if(!a)return!1;for(const{url:e}of r)if(a.has(e))return!0;return!1}function addInitiatedRequests(e,t,r,a){const n=r.allRecords.filter((e=>null!=e.resourceType)).filter((e=>["Script","XHR"].includes(e.resourceType||"")&&e.endTime<t.startTime)).filter((t=>t.initiatorRequest==e||AU(t).includes(e.url)));for(const e of n){"XHR"==e.resourceType&&isXhrCritical(e,r,a)&&linkGraph(r,e,a)}}function linkGraph(e,t,r=new Set){if(!t||r.has(t))return r;r.add(t);const a=new Set
;for(let n=t.initiator.stack;n;n=n.parent)for(const{url:i}of n.callFrames){if(a.has(i))continue;a.add(i);const o=e.requestsByUrl.get(i);if(o&&(linkGraph(e,o,r),"Script"==o.resourceType)){const a=n.callFrames[0].url,i=e.requestsByUrl.get(a);i&&addInitiatedRequests(i,t,e,r)}}return linkGraph(e,t.initiatorRequest||null,r),r}function buildNetworkSummary(e,t){const r=new Map;for(const t of e)r.set(t.url,t);const a=t.filter((e=>e.name.startsWith("XHR"))).filter((e=>!!(e.args.data||{}).url)),n=new Map;for(const e of a){const t=e.args.data||{},r=n.get(t.url)||new Set;for(const{url:e}of t.stackTrace||[])r.add(e);n.set(t.url,r)}return{requestsByUrl:r,xhrEdges:n,allRecords:e}}var LU={getTransitiveClosure:function getTransitiveClosure(e,t){const r=new Set,a=function findTargetRequest(e,t){let r=null;return e.traverse((e=>{e.type!==SU.TYPES.CPU&&t(e.record)&&(r&&r.startTime<e.startTime||(r=e))})),r}(e,t),n=[],i=[];if(null==a)return{requests:n,traceEvents:i};const o=[a];for(;o.length;){
const e=o.pop();e&&!r.has(e)&&(r.add(e),o.push(...e.getDependencies()))}const s=new Set;for(o.push(...e.getDependents());o.length;){const e=o.pop();if(e&&!s.has(e)){if(s.add(e),r.has(e))for(const e of o)r.add(e);o.push(...e.getDependents())}}for(const e of r)e.type===SU.TYPES.NETWORK?e.endTime<EU(a).startTime&&n.push(e.record):e.type===SU.TYPES.CPU&&e.event.ts<1e6*EU(a).startTime&&i.push(e.event,...e.childEvents);return{requests:n,traceEvents:i}},getCriticalGraph:function getCriticalGraph$1(e,t,r){const a=buildNetworkSummary(e,t),n=new Set;return linkGraph(a,r,n),n},computeAdRequestWaterfall:async function computeAdRequestWaterfall$4(e,t,r){const a=await TU.request(t,r),n=a.find(kU)||a.find(IU)||a.find(NU);if(null==n)return Promise.resolve([]);const i=new Set,o=EU(n),s=a.filter((e=>CU(e.url)||DU(e.url))),c=a.filter((e=>IU(e)&&e.endTime<=o.startTime)),l=buildNetworkSummary(a,e.traceEvents);for(const e of[o,...c,...s])linkGraph(l,e,i)
;const u=new Set(["Script","XHR","Fetch","EventStream","Document",void 0]),d=Array.from(i).filter((e=>e.endTime<o.startTime)).filter((e=>u.has(e.resourceType))).filter((e=>"text/css"!=e.mimeType)),m=await RU(e,t,r),p=function computeSummaries(e){e.sort(((e,t)=>e.nameOrTld!=t.nameOrTld?e.nameOrTld<t.nameOrTld?-1:1:e.type!=t.type?e.type<t.type?-1:1:e.startTime!=t.startTime?e.startTime<t.startTime?-1:1:e.endTime-t.endTime));const t=[];for(let n=0;n<e.length;n++){const i=e[n];let o;for(;n<e.length&&(o=e[n+1],o&&(r=o,a=i,!(Math.max(r.startTime,a.startTime)>Math.min(r.endTime,a.endTime)||r.type&&a.type&&r.type!=a.type||"Script"==r.type||r.nameOrTld!=a.nameOrTld)));)i.endTime=Math.max(i.endTime,o.endTime),i.duration=i.endTime-i.startTime,n++;t.push(i)}var r,a;return t.sort(((e,t)=>e.startTime-t.startTime)),t}(d.map((e=>{const{startTime:t,endTime:r}=m.get(e)||e;return{startTime:t,endTime:r,duration:r-t,selfTime:0,url:_U(e.url),nameOrTld:xU(e.url),type:e.resourceType,record:e}})))
;return function computeSelfTimes(e){if(!e.length)return[];let t=EU(e[0]);t.selfTime=t.duration;let r=t.startTime;for(const a of e){if(a.endTime<r||a==t)continue;const e=Math.max(r,a.startTime),n=Math.min(t.endTime,a.endTime);e<n&&(t.selfTime-=n-e),r=Math.max(r,n),a.endTime>t.endTime&&(a.selfTime=a.endTime-e,t=a)}}(p),p}};const MU=oi,{auditNotApplicable:PU}=MO.exports,{Audit:OU}=JF,{computeAdRequestWaterfall:FU}=LU,UU={title:"Ad request waterfall",failureTitle:"Reduce critical path for ad loading",description:"Consider reducing the number of resources, loading multiple resources simultaneously, or loading resources earlier to improve ad speed. Requests that block ad loading can be found below. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-request-critical-path).",displayValue:"{serialResources, plural, =1 {1 serial resource} other {# serial resources}}",columnUrl:"Request",columnType:"Type",columnStartTime:"Start",columnEndTime:"End"
},jU=MU.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/ad-request-critical-path.js",UU),BU=[{key:"nameOrTld",itemType:"text",text:jU(UU.columnType)},{key:"url",itemType:"url",text:jU(UU.columnUrl)},{key:"startTime",itemType:"ms",text:jU(UU.columnStartTime),granularity:1},{key:"endTime",itemType:"ms",text:jU(UU.columnEndTime),granularity:1}];class AdRequestCriticalPath extends OU{static get meta(){return{id:"ad-request-critical-path",title:jU(UU.title),failureTitle:jU(UU.failureTitle),description:jU(UU.description),scoreDisplayMode:"informative",requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,t){const r=e.traces[OU.DEFAULT_PASS],a=e.devtoolsLogs[OU.DEFAULT_PASS],n=(await FU(r,a,t)).filter((e=>e.startTime>0&&e.startTime<e.endTime));if(!n.length)return PU.NoAds;const i=function computeDepth(e){let t=0,r=0;for(const{startTime:a,endTime:n}of e)a>=t?(++r,t=n):t=Math.min(t,n);return r}(n),o=i>3;for(const e of n)delete e.record
;const s=function computeIdleTimes(e){let t=1/0;const r=[];for(let a=0;a<e.length;){const{startTime:n,endTime:i}=e[a];for(n-t>150&&r.push(n-t),t=i;++a<e.length&&e[a].startTime<t;)t=Math.max(t,e[a].endTime)}return r}(n),c=Math.max(...s),l=s.reduce(((e,t)=>e+t),0);return{numericValue:i,numericUnit:"unitless",score:o?0:1,displayValue:jU(UU.displayValue,{serialResources:i}),details:{size:n.length,depth:i,maxIdleTime:c,totalIdleTime:l,...AdRequestCriticalPath.makeTableDetails(BU,n)}}}}bU.exports=AdRequestCriticalPath,bU.exports.UIStrings=UU;var $U={exports:{}};const qU=SF,zU=Ew,VU=Ao,{getAdStartTime:WU,getBidStartTime:GU,getPageStartTime:HU}=IF,{isAdRequest:YU,isBidRequest:KU}=dF;class LanternBidRequestTime extends qU{static getEstimateFromSimulation(e,t){const{nodeTimings:r}=e,a=qU.findNetworkTiming(r,KU).startTime;return a>qU.findNetworkTiming(r,YU).startTime?{timeInMs:-1,nodeTimings:r}:{timeInMs:a,nodeTimings:r}}}LanternBidRequestTime=VU(LanternBidRequestTime)
;class BidRequestTime extends zU{static async computeSimulatedMetric(e,t){return LanternBidRequestTime.request(e,t)}static async computeObservedMetric(e){const{networkRecords:t}=e,r=HU(t),a=GU(t);if(WU(t)<a)return{timing:-1};return{timing:1e3*(a-r)}}static async request(e,t){throw Error("Not implemented -- class not decorated")}}const JU=BidRequestTime=VU(BidRequestTime),XU=oi,{auditNotApplicable:ZU}=MO.exports,{Audit:QU}=JF,ej={title:"First bid request time",failureTitle:"Reduce time to send the first bid request",description:"This metric measures the elapsed time from the start of page load until the first bid request is made. Delayed bid requests will decrease impressions and viewability, and have a negative impact on ad revenue. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/bid-request-from-page-start).",displayValue:"{timeInMs, number, seconds} s"
},tj=XU.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/bid-request-from-page-start.js",ej);$U.exports=class BidRequestFromPageStart extends QU{static get meta(){return{id:"bid-request-from-page-start",title:tj(ej.title),failureTitle:tj(ej.failureTitle),description:tj(ej.description),scoreDisplayMode:QU.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:4350,median:8e3},provided:{p10:1200,median:2e3}}}static async audit(e,t){const r={trace:e.traces[QU.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[QU.DEFAULT_PASS],settings:t.settings},a=t.options["provided"==t.settings.throttlingMethod?"provided":"simulate"],{timing:n}=await JU.request(r,t);return n>0?{numericValue:n,numericUnit:"millisecond",score:QU.computeLogNormalScore(a,n),displayValue:tj(ej.displayValue,{timeInMs:n})}:ZU.NoBids}},$U.exports.UIStrings=ej;var rj={exports:{}}
;const aj=UF,nj=oi,{auditNotApplicable:ij,runWarning:oj}=MO.exports,{Audit:sj}=JF,cj={title:"First ad request time",failureTitle:"Reduce time to send the first ad request",description:"This metric measures the elapsed time from the start of page load until the first ad request is made. Delayed ad requests will decrease impressions and viewability, and have a negative impact on ad revenue. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-request-from-page-start).",displayValue:"{timeInMs, number, seconds} s"},lj=nj.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/ad-request-from-page-start.js",cj);rj.exports=class AdRequestFromPageStart extends sj{static get meta(){return{id:"ad-request-from-page-start",title:lj(cj.title),failureTitle:lj(cj.failureTitle),description:lj(cj.description),scoreDisplayMode:sj.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{
p10:6500,median:1e4},provided:{p10:1900,median:3500}}}static async audit(e,t){const r={trace:e.traces[sj.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[sj.DEFAULT_PASS],settings:t.settings},a=t.options["provided"==t.settings.throttlingMethod?"provided":"simulate"],{timing:n}=await aj.request(r,t);if(!(n>0)){const e=ij.NoAds;return e.runWarnings=[oj.NoAds],e}return{numericValue:n,numericUnit:"millisecond",score:sj.computeLogNormalScore(a,n),displayValue:lj(cj.displayValue,{timeInMs:n})}}},rj.exports.UIStrings=cj;var uj={exports:{}};const dj=oi,{auditNotApplicable:mj}=MO.exports,{Audit:pj}=JF,{isAdIframe:hj}=dF,gj={title:"No ad found at the very top of the viewport",failureTitle:"Move the top ad further down the page",
description:"Over 10% of ads are never viewed because users scroll past them before they become viewable. By moving ad slots away from the very top of the viewport, users are more likely to see ads before scrolling away. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-top-of-viewport).",failureDisplayValue:"A scroll of {valueInPx, number} px would hide half of your topmost ad",columnSlot:"Top Slot ID"},fj=dj.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/ad-top-of-viewport.js",gj),yj=[{key:"slot",itemType:"text",text:fj(gj.columnSlot)}];class AdTopOfViewport extends pj{static get meta(){return{id:"ad-top-of-viewport",title:fj(gj.title),failureTitle:fj(gj.failureTitle),description:fj(gj.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){const t=e.ViewportDimensions,r=e.IFrameElements.filter(hj).filter((e=>e.clientRect.width*e.clientRect.height>1&&!e.isPositionFixed)).map((e=>({
midpoint:e.clientRect.top+e.clientRect.height/2,id:e.id})));if(!r.length)return mj.NoVisibleSlots;const a=r.reduce(((e,t)=>e.midpoint<t.midpoint?e:t)),n=a.midpoint<t.innerHeight;if(!n)return mj.NoAdsViewport;const i=n&&a.midpoint<100?0:1;return{score:i,numericValue:a.midpoint,numericUnit:"unitless",displayValue:i?"":fj(gj.failureDisplayValue,{valueInPx:a.midpoint}),details:AdTopOfViewport.makeTableDetails(yj,i?[]:[{slot:a.id}])}}}uj.exports=AdTopOfViewport,uj.exports.UIStrings=gj;var vj={exports:{}};function isBoxInViewport$1(e,t){const{innerWidth:r,innerHeight:a}=t,{left:n,top:i,right:o,bottom:s}=e;return n<o&&i<s&&n<r&&i<a&&0<o&&0<s}var bj={boxViewableArea:function boxViewableArea(e,t){if(!isBoxInViewport$1(e,t))return 0;const{innerWidth:r,innerHeight:a}=t,{left:n,top:i,right:o,bottom:s}=e;return(Math.min(o,r)-Math.max(n,0))*(Math.min(s,a)-Math.max(i,0))},isBoxInViewport:isBoxInViewport$1,overlaps:function overlaps$1(e,t){
const r=!(e.right<t.left||t.right<e.left),a=!(e.bottom<t.top||t.bottom<e.top);return r&&a},toClientRect:function toClientRect$1([e,t,r,a]){return{left:e,top:t,width:r,height:a,right:e+r,bottom:t+a}}};const{auditNotApplicable:wj}=MO.exports,{Audit:Sj}=JF,Tj=oi,{isBoxInViewport:Ej}=bj,{isGptIframe:xj}=dF,_j={title:"Few or no ads loaded outside viewport",failureTitle:"Avoid loading ads until they are nearly on-screen",description:"Too many ads loaded outside the viewport lowers viewability rates and impacts user experience. Consider loading ads below the fold lazily as the user scrolls down. Consider using GPT's [Lazy Loading API](https://developers.google.com/doubleclick-gpt/reference#googletag.PubAdsService_enableLazyLoad). [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ads-in-viewport).",failureDisplayValue:"{hiddenAds, plural, =1 {1 ad} other {# ads}} out of view",columnSlot:"Slots Outside Viewport"
},Aj=Tj.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/ads-in-viewport.js",_j),Rj=[{key:"slot",itemType:"text",text:Aj(_j.columnSlot)}];class AdsInViewport extends Sj{static get meta(){return{id:"ads-in-viewport",title:Aj(_j.title),failureTitle:Aj(_j.failureTitle),description:Aj(_j.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){const t=e.ViewportDimensions,r=e.IFrameElements.filter((e=>xj(e)&&e.clientRect.height*e.clientRect.width>1));if(!r.length)return wj.NoVisibleSlots;const a=r.filter((e=>!Ej(e.clientRect,t))).map((e=>({slot:e.id}))).sort(((e,t)=>e.slot.localeCompare(t.slot)));return{numericValue:(r.length-a.length)/r.length,numericUnit:"unitless",score:a.length>3?0:1,displayValue:a.length?Aj(_j.failureDisplayValue,{hiddenAds:a.length}):"",details:AdsInViewport.makeTableDetails(Rj,a)}}}vj.exports=AdsInViewport,vj.exports.UIStrings=_j;var kj={exports:{}};var Dj={count:function count(e,t){let r=0
;for(const a of e)t(a)&&r++;return r},bucket:function bucket$1(e,t){const r=new Map;for(const a of e){const e=t(a);if(null!=e){const t=r.get(e)||[];t.push(a),r.set(e,t)}}return r},flatten:function flatten(e){const t=[];for(const r of e)t.push(...r);return t}};const Cj=Dj,Ij=oi,Nj=HT,Lj=Lo,{auditNotApplicable:Mj}=MO.exports,{Audit:Pj}=JF,{isAdTag:Oj,isStaticRequest:Fj}=dF,{URL:Uj}=Gn,jj={title:"Ad tag is loaded asynchronously",failureTitle:"Load ad tag asynchronously",description:"Loading the ad tag synchronously blocks content rendering until the tag is fetched and loaded. Consider using the `async` attribute to load gpt.js and/or adsbygoogle.js asynchronously. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/async-ad-tags)."},Bj=Ij.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/async-ad-tags.js",jj);function isAsync(e){return"Low"==e.priority||Fj(e)}kj.exports=class AsyncAdTags extends Pj{static get meta(){return{
id:"async-ad-tags",title:Bj(jj.title),failureTitle:Bj(jj.failureTitle),description:Bj(jj.description),requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,t){const r=e.devtoolsLogs[Pj.DEFAULT_PASS],a=await Lj.request(r,t),n=await Nj.request({URL:e.URL,devtoolsLog:r},t),i=a.filter((e=>Oj(new Uj(e.url)))).filter((e=>e.frameId===n.frameId));if(!i.length)return Mj.NoTag;const o=Cj.count(i,isAsync)-i.length;return{score:Number(0===o),numericValue:o,numericUnit:"unitless"}}},kj.exports.UIStrings=jj;var $j={exports:{}};const qj=on.default,zj=Ao,Vj=Yp,Wj=Xp;qj.warn("trace-of-tab","trace-of-tab is deprecated, use processed-trace / processed-navigation instead");var Gj=zj(class TraceOfTab$1{static async compute_(e,t){const r=await Vj.request(e,t),a=await Wj.request(r,t);return{...r,...a}}},null);const Hj=oi,Yj=Lo,Kj=Gj,{auditNotApplicable:Jj}=MO.exports,{Audit:Xj}=JF,{computeAdRequestWaterfall:Zj}=LU,{getTimingsByRecord:Qj}=IF,eB={title:"Ads not blocked by load events",
failureTitle:"Avoid waiting on load events",description:"Waiting on load events increases ad latency. To speed up ads, eliminate the following load event handlers. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/blocking-load-events).",displayValue:"{timeInMs, number, seconds} s blocked",columnEvent:"Event Name",columnTime:"Event Time",columnScript:"Script",columnBlockedUrl:"Blocked URL",columnFunctionName:"Function"},tB=Hj.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/blocking-load-events.js",eB),rB=[{key:"eventName",itemType:"text",text:tB(eB.columnEvent)},{key:"time",itemType:"ms",text:tB(eB.columnTime),granularity:1},{key:"url",itemType:"url",text:tB(eB.columnScript)},{key:"functionName",itemType:"text",text:tB(eB.columnFunctionName)}];function findOriginalCallFrame(e){const{record:t}=e;let r=t&&t.initiator&&t.initiator.stack;if(r){for(;r.parent;)r=r.parent;return r.callFrames[r.callFrames.length-1]}}
function findTraceEventOfCallFrame(e,t){return t.find((t=>"FunctionCall"==t.name&&t.args.data&&t.args.data.functionName==e.functionName&&t.args.data.scriptId==e.scriptId&&t.args.data.url==e.url&&Math.abs(t.args.data.lineNumber==e.lineNumber)<2&&Math.abs(t.args.data.columnNumber==e.columnNumber)<2))}function findEventIntervals(e,t){let r={};const a=[];for(const n of t)n.name==`${e}EventStart`?r={start:n.ts,end:1/0,eventName:e}:n.name==`${e}EventEnd`&&(r.end=n.ts,a.push(r));return a}function quantifyBlockedTime(e,t,r){const a=t.find((t=>t.url==e.url)),n=t.find((t=>t.url==e.blockedUrl));if(!a||!n)return 0;const i=r.get(a),o=r.get(n);return i&&o?o.startTime-i.endTime:0}class BlockingLoadEvents extends Xj{static get meta(){return{id:"blocking-load-events",title:tB(eB.title),failureTitle:tB(eB.failureTitle),description:tB(eB.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,t){
const r=e.traces[Xj.DEFAULT_PASS],a=e.devtoolsLogs[Xj.DEFAULT_PASS],n=await Yj.request(a,t),{timings:i,processEvents:o}=await Kj.request(r,t),s=await Qj(r,a,t),c=(await Zj(r,a,t)).sort(((e,t)=>e.startTime-t.startTime));if(!c.length)return Jj.NoAdRelatedReq;const l=[...findEventIntervals("domContentLoaded",o),...findEventIntervals("load",o)],u=[],d=new Set;for(const e of c){const t=findOriginalCallFrame(e);if(!t)continue;const r=JSON.stringify(t);if(d.has(r))continue;d.add(r);const a=findTraceEventOfCallFrame(t,o);if(!a)continue;const c=l.find((e=>e.start<=a.ts&&a.ts<=e.end));if(c){const r=Object.assign({eventName:c.eventName,blockedUrl:e.url,time:i[c.eventName],blockedTime:1/0},t);r.blockedTime=quantifyBlockedTime(r,n,s),u.push(r)}}const m=u.length>0;let p=0;return m&&(p=Math.min(...u.map((e=>e.blockedTime)))),{numericValue:u.length,numericUnit:"unitless",score:m?0:1,displayValue:m&&p?tB(eB.displayValue,{timeInMs:p}):"",details:BlockingLoadEvents.makeTableDetails(rB,u)}}}
$j.exports=BlockingLoadEvents,$j.exports.UIStrings=eB;var aB={exports:{}};const nB=oi,{auditNotApplicable:iB}=MO.exports,{Audit:oB}=JF,{computeAdRequestWaterfall:sB}=LU,{isAdScript:cB,toURL:lB}=dF,uB={title:"No bottleneck requests found",failureTitle:"Avoid bottleneck requests",description:"Speed up, load earlier, parallelize, or eliminate the following requests and their dependencies in order to speed up ad loading. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/bottleneck-requests).",displayValue:"{blockedTime, number, seconds} s spent blocked on requests",columnUrl:"Blocking Request",columnInitiatorUrl:"Initiator Request",columnStartTime:"Start",columnSelfTime:"Exclusive Time",columnDuration:"Total Time"},dB=nB.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/bottleneck-requests.js",uB),mB=[{key:"url",itemType:"url",text:dB(uB.columnUrl)},{key:"selfTime",itemType:"ms",text:dB(uB.columnSelfTime),granularity:1},{
key:"duration",itemType:"ms",text:dB(uB.columnDuration),granularity:1}];class BottleneckRequests extends oB{static get meta(){return{id:"bottleneck-requests",title:dB(uB.title),failureTitle:dB(uB.failureTitle),description:dB(uB.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,t){const r=e.traces[oB.DEFAULT_PASS],a=e.devtoolsLogs[oB.DEFAULT_PASS],n=(await sB(r,a,t)).filter((e=>e.startTime>0));if(!n.length)return iB.NoAdRelatedReq;const cost=e=>3*e.selfTime+e.duration,i=n.filter((e=>!cB(lB(e.url))&&(e.selfTime>250||e.duration>1e3))).sort(((e,t)=>cost(t)-cost(e))).slice(0,5),o=i.reduce(((e,t)=>e+t.selfTime),0)/1e3,s=1e3*o>1e3;for(const e of i)delete e.record;return{numericValue:i.length,numericUnit:"unitless",score:s?0:1,displayValue:s?dB(uB.displayValue,{blockedTime:o}):"",details:BottleneckRequests.makeTableDetails(mB,i)}}}aB.exports=BottleneckRequests,aB.exports.UIStrings=uB;var pB={exports:{}}
;const hB=oi,gB=HT,fB=Lo,yB=Ki,{auditNotApplicable:vB}=MO.exports,{Audit:bB}=JF,{containsAnySubstring:wB}=dF,{URL:SB}=Gn,TB={title:"No duplicate tags found",failureTitle:"Load tags only once",description:"Loading a tag more than once in the same page is redundant and adds overhead without benefit. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/duplicate-tags).",failureDisplayValue:"{duplicateTags, plural, =1 {1 duplicate tag} other {# duplicate tags}}",columnScript:"Script",columnNumReqs:"Duplicate Requests",columnFrameId:"Frame ID"},EB=hB.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/duplicate-tags.js",TB),xB=["googletagservices.com/tag/js/gpt.js","securepubads.g.doubleclick.net/tag/js/gpt.js","pagead2.googlesyndication.com/pagead/js/adsbygoogle.js","pagead2.googlesyndication.com/pagead/js/show_ads.js","cdn.ampproject.org/v0/amp-ad-0.1.js"],_B=[{key:"script",itemType:"url",text:EB(TB.columnScript)},{key:"numReqs",
itemType:"text",text:EB(TB.columnNumReqs)}];class DuplicateTags extends bB{static get meta(){return{id:"duplicate-tags",title:EB(TB.title),failureTitle:EB(TB.failureTitle),description:EB(TB.description),requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,t){const r=e.devtoolsLogs[bB.DEFAULT_PASS],a=await fB.request(r,t),n=await gB.request({URL:e.URL,devtoolsLog:r},t),i=a.filter((e=>e.frameId===n.frameId)).filter((e=>wB(e.url,xB))).filter((e=>e.resourceType===yB.TYPES.Script));if(!i.length)return vB.NoTags;const o=new Map;for(const e of i){const t=new SB(e.url).pathname,r=o.get(t)||0;o.set(t,r+1)}const s=[];for(const[e,t]of o)t>1&&s.push({script:e,numReqs:t});return{numericValue:s.length,numericUnit:"unitless",score:s.length?0:1,details:DuplicateTags.makeTableDetails(_B,s),displayValue:s.length?EB(TB.failureDisplayValue,{duplicateTags:s.length}):""}}}pB.exports=DuplicateTags,pB.exports.UIStrings=TB;var AB={exports:{}}
;const RB=SF,kB=Ew,DB=Ao,{getPageStartTime:CB,getImpressionStartTime:IB}=IF,{isImpressionPing:NB}=dF;class LanternAdRenderTime extends RB{static getEstimateFromSimulation(e,t){const{nodeTimings:r}=e;return{timeInMs:RB.findNetworkTiming(r,(e=>!!e.url&&NB(new URL(e.url)))).startTime,nodeTimings:r}}}LanternAdRenderTime=DB(LanternAdRenderTime);class AdRenderTime extends kB{static async computeSimulatedMetric(e,t){return LanternAdRenderTime.request(e,t)}static async computeObservedMetric(e,t){const{networkRecords:r}=e,a=CB(r),n=1e3*(IB(r)-a);return Promise.resolve({timing:n})}static async request(e,t){throw Error("Not implemented -- class not decorated")}}const LB=AdRenderTime=DB(AdRenderTime),MB=oi,{auditNotApplicable:PB,runWarning:OB}=MO.exports,{Audit:FB}=JF,UB={title:"Latency of first ad render",failureTitle:"Reduce time to render first ad",
description:"This metric measures the time for the first ad iframe to render from page navigation. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/first-ad-render).",displayValue:"{timeInMs, number, seconds} s"},jB=MB.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/first-ad-render.js",UB);AB.exports=class FirstAdRender extends FB{static get meta(){return{id:"first-ad-render",title:jB(UB.title),failureTitle:jB(UB.failureTitle),description:jB(UB.description),scoreDisplayMode:FB.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:12900,median:22e3},provided:{p10:2750,median:3700}}}static async audit(e,t){const r=e.traces[FB.DEFAULT_PASS],a={devtoolsLog:e.devtoolsLogs[FB.DEFAULT_PASS],trace:r,settings:t.settings},{timing:n}=await LB.request(a,t);if(!(n>0)){const e=PB.NoAdRendered;return e.runWarnings=[OB.NoAdRendered],e}
const i=t.options["provided"==t.settings.throttlingMethod?"provided":"simulate"];return{numericValue:n,numericUnit:"millisecond",score:FB.computeLogNormalScore(i,n),displayValue:jB(UB.displayValue,{timeInMs:n})}}},AB.exports.UIStrings=UB;var BB={exports:{}};const $B=oi,qB=Lo,{auditNotApplicable:zB}=MO.exports,{Audit:VB}=JF,{isAdRequest:WB}=dF,{URL:GB}=Gn,HB={title:"Ad slots effectively use horizontal space",failureTitle:"Increase the width of ad slots",description:"Ad slots that utilize most of the page width generally experience increased click-through rate over smaller ad sizes. We recommend leaving no more than 25% of the viewport width unutilized on mobile devices.",failureDisplayValue:"{percentUnused, number, percent} of viewport width is underutilized"},YB=$B.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/full-width-slots.js",HB);BB.exports=class FullWidthSlots extends VB{static get meta(){return{id:"full-width-slots",title:YB(HB.title),
failureTitle:YB(HB.failureTitle),description:YB(HB.description),requiredArtifacts:["ViewportDimensions","devtoolsLogs"]}}static async audit(e,t){const r=e.devtoolsLogs[VB.DEFAULT_PASS],a=await qB.request(r,t),n=e.ViewportDimensions.innerWidth,i=a.filter(WB).map((e=>new GB(e.url)));if(!i.length)return zB.NoAds;const o=i.map((e=>e.searchParams.get("prev_iu_szs")||e.searchParams.get("sz"))).join("|").split(/[|,]/).map((e=>parseInt(e.split("x")[0]))).filter((e=>e<=n&&e>1));if(!o.length)return zB.NoValidAdWidths;const s=1-Math.max(...o)/n,c=s>.25?0:1;return{score:c,numericValue:s,numericUnit:"unitless",displayValue:c?"":YB(HB.failureDisplayValue,{percentUnused:s})}}},BB.exports.UIStrings=HB;var KB={exports:{}};const JB=Lo,{assert:XB}=wU,{auditNotApplicable:ZB}=MO.exports,{Audit:QB}=JF,{getCriticalGraph:e$}=LU,{getTimingsByRecord:t$}=IF,{isGptImplTag:r$,isBidRequest:a$,getHeaderBidder:n$}=dF,i$={title:"GPT and bids loaded in parallel",failureTitle:"Load GPT and bids in parallel",
description:"To optimize ad loading, bid requests should not wait on GPT to load. This issue can often be fixed by making sure that bid requests do not wait on `googletag.pubadsReady` or `googletag.cmd.push`. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/gpt-bids-parallel).",columnBidder:"Bidder",columnUrl:"URL",columnStartTime:"Start",columnDuration:"Duration"},o$=[{key:"bidder",itemType:"text",text:i$.columnBidder},{key:"url",itemType:"url",text:i$.columnUrl},{key:"startTime",itemType:"ms",text:i$.columnStartTime},{key:"duration",itemType:"ms",text:i$.columnDuration}];class GptBidsInParallel extends QB{static get meta(){return{id:"gpt-bids-parallel",title:i$.title,failureTitle:i$.failureTitle,description:i$.description,requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,t){const r=e.devtoolsLogs[QB.DEFAULT_PASS],a=e.traces[QB.DEFAULT_PASS],n=await JB.request(r,t),i=n.find((e=>r$(e.url)));if(!i)return ZB.NoGpt
;const o=n.filter(a$).filter((e=>e.frameId==i.frameId));if(!o.length)return ZB.NoBids;const s=await t$(a,r,t),c=[],l=new Set;for(const e of o)if(e$(n,a.traceEvents,e).has(i)){const{startTime:t,endTime:r}=s.get(e)||e,a=XB(n$(e.url));if(l.has(a))continue;l.add(a),c.push({bidder:a,url:e.url,startTime:t,duration:r-t})}const u=c.length>0;return{numericValue:c.length,numericUnit:"unitless",score:u?0:1,details:u?GptBidsInParallel.makeTableDetails(o$,c):void 0}}}KB.exports=GptBidsInParallel,KB.exports.UIStrings=i$;var s$={exports:{}};const c$=oi,l$=Lo,{auditNotApplicable:u$}=MO.exports,{Audit:d$}=JF,{isGptTag:m$}=dF,{URL:p$}=Gn,h$={title:"GPT tag is loaded from an official source",failureTitle:"Load GPT from an official source",description:"Load GPT from 'securepubads.g.doubleclick.net' for standard integrations or from 'pagead2.googlesyndication.com' for limited ads. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/loads-gpt-from-official-source)."
},g$=c$.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/loads-gpt-from-official-source.js",h$);s$.exports=class LoadsGptFromOfficalSource extends d${static get meta(){return{id:"loads-gpt-from-official-source",title:g$(h$.title),failureTitle:g$(h$.failureTitle),description:g$(h$.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,t){const r=e.devtoolsLogs[d$.DEFAULT_PASS],a=(await l$.request(r,t)).map((e=>new p$(e.url))).find(m$);if(!a)return u$.NoGpt;const n=["securepubads.g.doubleclick.net","pagead2.googlesyndication.com"].includes(a.host);return{score:Number(n),numericValue:Number(!n),numericUnit:"unitless"}}},s$.exports.UIStrings=h$;var f$={exports:{}};const y$=oi,v$=Lo,{auditNotApplicable:b$}=MO.exports,{Audit:w$}=JF,{isAdTag:S$}=dF,{URL:T$}=Gn,E$={title:"Ad tag is loaded over HTTPS",failureTitle:"Load ad tag over HTTPS",
description:'For privacy and security, always load GPT/AdSense over HTTPS. Insecure pages should explicitly request the ad script securely. GPT Example: `<script async src="https://securepubads.g.doubleclick.net/tag/js/gpt.js">` AdSense Example: `<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js">`. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/loads-ad-tag-over-https).'},x$=y$.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/loads-ad-tag-over-https.js",E$);f$.exports=class LoadsAdTagOverHttps extends w${static get meta(){return{id:"loads-ad-tag-over-https",title:x$(E$.title),failureTitle:x$(E$.failureTitle),description:x$(E$.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,t){const r=e.devtoolsLogs[w$.DEFAULT_PASS],a=await v$.request(r,t);if(!a.find((e=>200==e.statusCode)))return b$.NoRecords;const n=a.filter((e=>S$(new T$(e.url)))),i=n.filter((e=>e.isSecure)),o={
type:"debugdata",numAdTagHttpReqs:n.length-i.length,numAdTagHttpsReqs:i.length};if(!n.length){const e=b$.NoTag;return e.details=o,e}return{numericValue:o.numAdTagHttpReqs,score:o.numAdTagHttpReqs?0:1,details:o}}},f$.exports.UIStrings=E$;var _$={exports:{}};const A$=Dj,R$=oi,k$=eb,{auditNotApplicable:D$}=MO.exports,{Audit:C$}=JF,{computeAdRequestWaterfall:I$}=LU,{getScriptEvaluationTimes:N$}=IF,L$={title:"Ad scripts are loaded statically",failureTitle:"Load ad scripts statically",description:"Load the following scripts directly with `<script async src=...>` instead of injecting scripts with JavaScript. Doing so allows the browser to preload scripts sooner. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/script-injected-tags).",failureDisplayValue:"Load {tags, plural, =1 {1 script} other {# scripts}} statically",columnUrl:"Script",columnLoadTime:"Load Time"
},M$=R$.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/script-injected-tags.js",L$),P$=[{key:"url",itemType:"url",text:M$(L$.columnUrl)},{key:"loadTime",itemType:"ms",granularity:1,text:M$(L$.columnLoadTime)}],O$=[/amazon-adsystem\.com\/aax2\/apstag.js/,/js-sec\.indexww\.com\/ht\/p\/.*\.js/,/pubads\.g\.doubleclick\.net\/tag\/js\/gpt\.js/,/static\.criteo\.net\/js\/.*\/publishertag\.js/,/www\.googletagservices\.com\/tag\/js\/gpt\.js/,/pagead2\.googlesyndication\.com\/pagead\/js\/adsbygoogle\.js/,/cdn\.ampproject\.org\/v0\/amp-ad-\d+\.\d+\.js/];function initiatedByInlineScript(e){if("script"!==e.initiator.type)return!1;const t=k$.getNetworkInitiators(e);return 1===t.length&&t[0]===e.documentURL}class StaticAdTags extends C${static get meta(){return{id:"script-injected-tags",title:M$(L$.title),failureTitle:M$(L$.failureTitle),description:M$(L$.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,t){
const r=await async function findStaticallyLoadableTags(e,t){const r=e.devtoolsLogs[C$.DEFAULT_PASS],a=e.traces[C$.DEFAULT_PASS],n=[],i=await I$(a,r,t);for(const{record:e}of i)e&&"Script"===e.resourceType&&(initiatedByInlineScript(e)||O$.find((t=>e.url.match(t))))&&n.push(e);return n}(e,t);if(!r.length)return D$.NoTag;const a=new Set,n=[],i=e.devtoolsLogs[C$.DEFAULT_PASS],o=e.traces[C$.DEFAULT_PASS],s=await N$(o,i,t);for(const e of r){if(a.has(e.url))continue;a.add(e.url);const t=r.filter((t=>t.url===e.url));if(0===A$.count(t,(e=>"parser"===e.initiator.type&&!e.isLinkPreload))){const t=s.get(e.url)||0;if(t<400)continue;n.push({url:e.url,loadTime:t})}}n.sort(((e,t)=>e.loadTime-t.loadTime));const c=n.length>0;return{displayValue:c?M$(L$.failureDisplayValue,{tags:n.length}):"",score:Number(!c),numericValue:n.length,numericUnit:"unitless",details:StaticAdTags.makeTableDetails(P$,n)}}}_$.exports=StaticAdTags,_$.exports.UIStrings=L$;var F$={exports:{}}
;const U$=UF,j$=oi,B$=HT,$$=Lo,{auditNotApplicable:q$}=MO.exports,{Audit:z$}=JF,{bucket:V$}=Dj,{getTimingsByRecord:W$}=IF,{isCacheable:G$}=oF,{isGoogleAds:H$,getHeaderBidder:Y$}=dF,{URL:K$}=Gn,J$={title:"Header bidding is parallelized",failureTitle:"Parallelize bid requests",description:"Send header bidding requests simultaneously, rather than serially, to retrieve bids more quickly. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/serial-header-bidding).",columnBidder:"Bidder",columnUrl:"URL",columnStartTime:"Start",columnDuration:"Duration"},X$=j$.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/serial-header-bidding.js",J$),Z$=[{key:"bidder",itemType:"text",text:X$(J$.columnBidder)},{key:"url",itemType:"url",text:X$(J$.columnUrl)},{key:"startTime",itemType:"ms",text:X$(J$.columnStartTime)},{key:"duration",itemType:"ms",text:X$(J$.columnDuration)}],Q$="ad",tq="bid",rq="unknown";function checkRecordType(e){
return H$(new K$(e.url))?Q$:Y$(e.url)?tq:rq}function isPossibleBid(e){return(null==e.resourceSize||e.resourceSize>0)&&"Image"!=e.resourceType&&e.endTime-e.startTime>=.05&&!G$(e)}function clearQueryString(e){const t=new K$(e);return t.search="",t.toString()}class SerialHeaderBidding extends z${static get meta(){return{id:"serial-header-bidding",title:X$(J$.title),failureTitle:X$(J$.failureTitle),description:X$(J$.description),requiredArtifacts:["devtoolsLogs","traces","URL"]}}static async audit(e,t){const r=e.devtoolsLogs[z$.DEFAULT_PASS],a=e.traces[z$.DEFAULT_PASS],n=await $$.request(r,t);if(!n.length)return q$.NoRecords;const i=await B$.request({URL:e.URL,devtoolsLog:r},t),o=n.filter(isPossibleBid).filter((e=>e.frameId==i.frameId)),s=V$(o,checkRecordType);if(!s.has(tq))return q$.NoBids;const c={trace:a,devtoolsLog:r,settings:t.settings},{timing:l}=await U$.request(c,t),u=await W$(a,r,t),d=function constructRecords(e,t,r){const a=[];for(const n of e){const e=r.get(n)
;e&&a.push(Object.assign({},e,{url:n.url,type:t}))}return a}(s.get(tq)||[],tq,u);let m,p=[];for(const e of d)l>0&&e.endTime>l||(e.bidder=Y$(e.url),e.url=clearQueryString(e.url),m&&e.startTime>=m.endTime&&(p.push(m),p.push(e)),(!m||e.endTime<m.endTime||e.startTime>=m.endTime)&&(m=e));p=Array.from(new Set(p));const h=p.length>1;return{numericValue:Number(h),numericUnit:"unitless",score:h?0:1,details:h?SerialHeaderBidding.makeTableDetails(Z$,p):void 0}}}F$.exports=SerialHeaderBidding,F$.exports.UIStrings=J$;var aq={exports:{}};const nq=SF,iq=Ew,oq=Ao,{getPageStartTime:sq,getTagEndTime:cq}=IF,{isImplTag:lq}=dF,{URL:uq}=Gn;class LanternTagLoadTime extends nq{static getEstimateFromSimulation(e,t){const{nodeTimings:r}=e;return{timeInMs:nq.findNetworkTiming(r,(e=>!!e.url&&lq(new uq(e.url)))).endTime,nodeTimings:r}}}LanternTagLoadTime=oq(LanternTagLoadTime);class TagLoadTime$1 extends iq{static async computeSimulatedMetric(e,t){return LanternTagLoadTime.request(e,t)}
static async computeObservedMetric(e,t){const{networkRecords:r}=e,a=sq(r),n=1e3*(cq(r)-a);return Promise.resolve({timing:n})}static async request(e,t){throw Error("Not implemented -- class not decorated")}}const dq=TagLoadTime$1=oq(TagLoadTime$1),mq=oi,{auditNotApplicable:pq,runWarning:hq}=MO.exports,{Audit:gq}=JF,fq={title:"Tag load time",failureTitle:"Reduce tag load time",description:"This metric measures the time for the ad tag's implementation script (pubads_impl.js for GPT; adsbygoogle.js for AdSense) to load after the page loads. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/tag-load-time).",displayValue:"{timeInMs, number, seconds} s"},yq=mq.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/tag-load-time.js",fq);aq.exports=class TagLoadTime extends gq{static get meta(){return{id:"tag-load-time",title:yq(fq.title),failureTitle:yq(fq.failureTitle),description:yq(fq.description),
scoreDisplayMode:gq.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:4350,median:8e3},provided:{p10:1200,median:2e3}}}static async audit(e,t){const r={trace:e.traces[gq.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[gq.DEFAULT_PASS],settings:t.settings},a=t.options["provided"==t.settings.throttlingMethod?"provided":"simulate"],{timing:n}=await dq.request(r,t);if(!(n>0)){const e=pq.NoTag;return e.runWarnings=[hq.NoTag],e}return{numericValue:n,numericUnit:"millisecond",score:gq.computeLogNormalScore(a,n),displayValue:yq(fq.displayValue,{timeInMs:n})}}},aq.exports.UIStrings=fq;var vq={exports:{}};const bq=oi,{auditNotApplicable:wq,auditError:Sq}=MO.exports,{Audit:Tq}=JF,{isAdIframe:Eq}=dF,xq={title:"Ads to page-height ratio is within recommended range",failureTitle:"Reduce ads to page-height ratio",
description:"The ads to page-height ratio can impact user experience and ultimately user retention. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/viewport-ad-density).",displayValue:"{adDensity, number, percent} ads to page-height ratio"},_q=bq.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/viewport-ad-density.js",xq);vq.exports=class ViewportAdDensity extends Tq{static get meta(){return{id:"viewport-ad-density",title:_q(xq.title),failureTitle:_q(xq.failureTitle),description:_q(xq.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){const t=e.ViewportDimensions,r=e.IFrameElements.filter((e=>Eq(e)&&e.clientRect.width*e.clientRect.height>1));if(!r.length)return wq.NoVisibleSlots;if(t.innerHeight<=0)throw new Error(Sq.ViewportAreaZero);const a=function computeAdLength(e,t){
const r=new Set([...e.map((e=>e.clientRect.left)),...e.map((e=>e.clientRect.right))].map((e=>Math.min(Math.max(1,e),t.innerWidth-1))));e=e.sort(((e,t)=>e.clientRect.top!==t.clientRect.top?e.clientRect.top-t.clientRect.top:e.clientRect.bottom-t.clientRect.bottom));let a=0;for(const t of r){let r=0,n=0;for(const a of e){if(t<a.clientRect.left||t>a.clientRect.right)continue;if(a.isPositionFixed){r+=a.clientRect.height;continue}const e=a.clientRect.bottom-Math.max(n,a.clientRect.top);e>0&&(r+=e),n=Math.max(n,a.clientRect.bottom)}a=Math.max(a,r)}return a}(r,t),n=Math.max(...r.map((e=>e.clientRect.top+e.clientRect.height/2)))+t.innerHeight,i=Math.min(1,a/n);return{score:i>.3?0:1,numericValue:i,numericUnit:"unitless",displayValue:_q(xq.displayValue,{adDensity:i})}}},vq.exports.UIStrings=xq;var Aq={exports:{}};const Rq=oi,{auditNotApplicable:kq}=MO.exports,{Audit:Dq}=JF,{getScriptUrl:Cq}=IF,{isAdIframe:Iq,isAdRelated:Nq,isImplTag:Lq}=dF,{overlaps:Mq,toClientRect:Pq}=bj,Oq={
title:"Cumulative ad shift",failureTitle:"Reduce ad-related layout shift",description:"Measures layout shifts that were caused by ads or happened near ads. Reducing cumulative ad-related layout shift will improve user experience. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/cumulative-ad-shift)."},Fq=Rq.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/cumulative-ad-shift.js",Oq);Aq.exports=class CumulativeAdShift extends Dq{static get meta(){return{id:"cumulative-ad-shift",title:Fq(Oq.title),failureTitle:Fq(Oq.failureTitle),description:Fq(Oq.description),scoreDisplayMode:Dq.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","IFrameElements"]}}static get defaultOptions(){return{p10:.05,median:.25}}static isAdExpansion(e,t){if(!e.args||!e.args.data)return!1;for(const r of e.args.data.impacted_nodes||[]){const e=Pq(r.old_rect||[]),a=Pq(r.new_rect||[]);if(!(e.top>a.top||e.height!==a.height))for(const r of t){
const t=r.clientRect;if((e.top>=t.top||a.top>=t.bottom)&&Mq(e,t))return!0}}return!1}static isAttributableToTask(e,t){if(!e.args||!e.args.data)return!1;return!!t.find((t=>t.ts<e.ts&&e.ts-t.ts<5e4))}static compute(e,t,r,a){let n=0,i=0,o=0,s=0,c=0,l=0;for(const u of e)u.args&&u.args.data&&u.args.data.is_main_frame&&(n+=u.args.data.score,i++,(this.isAdExpansion(u,r)||this.isAttributableToTask(u,t))&&(o+=u.args.data.score,s++,u.ts<a&&(c+=u.args.data.score,l++)));return{cumulativeShift:n,numShifts:i,cumulativeAdShift:o,numAdShifts:s,cumulativePreImplTagAdShift:c,numPreImplTagAdShifts:l}}static getLayoutShiftEventsByWindow(e){let t=0,r=[],a=0,n=[];for(const i of e){if("LayoutShift"!==i.name||!i.args||!i.args.data)continue;if(n.length){const e=n[0],o=n[n.length-1];(o.ts-e.ts>5e6||i.ts-o.ts>1e6)&&(a>t&&(r=n,t=a),n=[],a=0)}n.push(i);const e=i.args.data;a+=e.weighted_score_delta||e.score||0}return r.length||(r=n),r}static async audit(e,t){
const r=e.traces[Dq.DEFAULT_PASS],a=this.getLayoutShiftEventsByWindow(r.traceEvents);if(!a.length)return kq.NoLayoutShifts;const n=r.traceEvents.filter((e=>Nq(Cq(e)||""))),i=n.find((e=>Lq(Cq(e)||"")))||{ts:1/0},o=e.IFrameElements.filter(Iq),s=this.compute(a,n,o,i.ts),c=s.cumulativeAdShift;return o.length||c?{numericValue:c,numericUnit:"unitless",score:Dq.computeLogNormalScore({p10:t.options.p10,median:t.options.median},c),displayValue:c.toLocaleString(t.settings.locale),details:s}:kq.NoAdRendered}},Aq.exports.UIStrings=Oq;var Uq={exports:{}};const jq=oi,Bq=Lo,{auditNotApplicable:$q}=MO.exports,{Audit:qq}=JF,{isGpt:zq,isGptImplTag:Vq}=dF,Wq={title:"Deprecated GPT API Usage",failureTitle:"Avoid deprecated GPT APIs",description:"Deprecated GPT API methods should be avoided to ensure your page is tagged correctly. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/deprecated-gpt-api-usage).",
displayValue:"{numErrors, plural, =1 {1 error} other {# errors}} found"},Gq=jq.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/deprecated-api-usage.js",Wq);Uq.exports=class DeprecatedApiUsage extends qq{static get meta(){return{id:"deprecated-gpt-api-usage",title:Gq(Wq.title),failureTitle:Gq(Wq.failureTitle),description:Gq(Wq.description),scoreDisplayMode:"informative",requiredArtifacts:["ConsoleMessages","devtoolsLogs"]}}static async audit(e,t){const r=e.devtoolsLogs[qq.DEFAULT_PASS];if(!(await Bq.request(r,t)).find((e=>Vq(e.url))))return $q.NoGpt;const a=e.ConsoleMessages.filter((e=>"warning"===e.level||"error"===e.level)).filter((e=>e.url&&zq(e.url))).filter((e=>e.text.toLowerCase().includes("deprecated")||e.text.toLowerCase().includes("discouraged"))).map((e=>({source:e.source,description:e.text,url:e.url,timestamp:e.timestamp}))).sort(((e,t)=>(e.timestamp||0)-(t.timestamp||0))),n=[{key:"url",itemType:"url",text:Gq(jq.UIStrings.columnURL)},{
key:"description",itemType:"code",text:Gq(jq.UIStrings.columnDescription)}],i=qq.makeTableDetails(n,a),o=a.length;return{score:Number(0===o),details:i,displayValue:Gq(Wq.displayValue,{numErrors:o})}}},Uq.exports.UIStrings=Wq;var Hq={exports:{}};const Yq=oi,Kq=Lo,{auditNotApplicable:Jq}=MO.exports,{Audit:Xq}=JF,{isGpt:Zq,isGptImplTag:Qq}=dF,ez={title:"GPT Errors",failureTitle:"Fix GPT errors",description:"Fix GPT errors to ensure your page is tagged as intended. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/gpt-errors-overall).",displayValue:"{numErrors, plural, =1 {1 error} other {# errors}} found"},tz=Yq.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/gpt-errors-overall.js",ez);Hq.exports=class GptErrorsOverall extends Xq{static get meta(){return{id:"gpt-errors-overall",title:tz(ez.title),failureTitle:tz(ez.failureTitle),description:tz(ez.description),scoreDisplayMode:"informative",
requiredArtifacts:["ConsoleMessages","devtoolsLogs"]}}static async audit(e,t){const r=e.devtoolsLogs[Xq.DEFAULT_PASS];if(!(await Kq.request(r,t)).find((e=>Qq(e.url))))return Jq.NoGpt;const a=e.ConsoleMessages.filter((e=>"error"===e.level||"warning"===e.level)).filter((e=>e.url&&Zq(e.url))).filter((e=>!e.text.toLowerCase().includes("deprecated")&&!e.text.toLowerCase().includes("discouraged"))).map((e=>({source:e.source,description:e.text,url:e.url,timestamp:e.timestamp}))).sort(((e,t)=>(e.timestamp||0)-(t.timestamp||0))),n=[{key:"url",itemType:"url",text:tz(Yq.UIStrings.columnURL)},{key:"description",itemType:"code",text:tz(Yq.UIStrings.columnDescription)}],i=Xq.makeTableDetails(n,a),o=a.length;return{score:Number(0===o),details:i,displayValue:tz(ez.displayValue,{numErrors:o})}}},Hq.exports.UIStrings=ez;var rz={exports:{}};const az=oi,nz=KF,iz=Lo,{auditNotApplicable:oz}=MO.exports,{Audit:sz}=JF,{getAttributableUrl:cz}=jF,{isAdRelated:lz,getNameOrTld:uz}=dF,dz={
title:"Total ad JS blocking time",failureTitle:"Reduce ad JS blocking time",description:"Ad-related scripts are blocking the main thread. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/total-ad-blocking-time).",failureDisplayValue:"{timeInMs, number, seconds} s blocked",columnName:"Name",columnBlockingTime:"Blocking Time"},mz=az.createMessageInstanceIdFn("node_modules/lighthouse-plugin-publisher-ads/audits/total-ad-blocking-time.js",dz),pz=[{key:"name",itemType:"text",text:mz(dz.columnName)},{key:"blockingTime",itemType:"ms",text:mz(dz.columnBlockingTime),granularity:1}];class TotalAdBlockingTime extends sz{static get meta(){return{id:"total-ad-blocking-time",title:mz(dz.title),failureTitle:mz(dz.failureTitle),description:mz(dz.description),requiredArtifacts:["traces","devtoolsLogs"]}}static get defaultOptions(){return{simulate:{p10:290,median:600},provided:{p10:150,median:350}}}static async audit(e,t){
const r=e.traces[sz.DEFAULT_PASS],a=e.devtoolsLogs[sz.DEFAULT_PASS];if(!(await iz.request(a,t)).find((e=>lz(e.url))))return oz.NoAdRelatedReq;const n={trace:r,devtoolsLog:a,settings:t.settings};let i=[];try{i=await nz.request(n,t)}catch(e){return oz.InvalidTiming}let o=0;const s=new Map;for(const e of i){const t=cz(e);if(!t||!lz(t))continue;if(e.parent)continue;const r=e.duration-50;o+=r;const a=uz(t),n=s.get(a)||0;s.set(a,n+r)}const c=[];for(const[e,t]of s.entries())c.push({name:e,blockingTime:t});c.sort(((e,t)=>t.blockingTime-e.blockingTime));const l=t.options[t.settings.throttlingMethod]||t.options.provided;return{score:sz.computeLogNormalScore(l,o),numericValue:o,numericUnit:"millisecond",displayValue:mz(dz.failureDisplayValue,{timeInMs:o}),details:TotalAdBlockingTime.makeTableDetails(pz,c)}}}rz.exports=TotalAdBlockingTime,rz.exports.UIStrings=dz;const hz=bn,gz=la,fz=mn,yz=Tu,vz=xu,bz=pu,wz=oi,Sz=Su;function isBundledEnvironment(){
if(globalThis.isDevtools||globalThis.isLightrider)return!0;try{return require.resolve("lighthouse-logger"),!1}catch(e){return!0}}const mergeOptionsOfItems=function(e){const t=[];for(const r of e){const e=r.path&&t.find((e=>e.path===r.path));e?e.options=Object.assign({},e.options,r.options):t.push(r)}return t};const Tz=function _mergeConfigFragment(e,t,r=!1){if(null==e)return t;if(void 0===t)return e;if(Array.isArray(t)){if(r)return t;if(!Array.isArray(e))throw new TypeError("Expected array but got "+typeof e);const a=e.slice();return t.forEach((e=>{a.some((t=>gz(t,e)))||a.push(e)})),a}if("object"==typeof t){if("object"!=typeof e)throw new TypeError("Expected object but got "+typeof e);if(Array.isArray(e))throw new TypeError("Expected object but got Array");return Object.keys(t).forEach((a=>{const n=r||"settings"===a&&"object"==typeof e[a];e[a]=_mergeConfigFragment(e[a],t[a],n)})),e}return t}
;const Ez=new Map([["../gather/gatherers/accessibility",ku],["../gather/gatherers/anchor-elements",Lu],["../gather/gatherers/cache-contents",Pu],["../gather/gatherers/console-messages",Fu],["../gather/gatherers/css-usage",$u],["../gather/gatherers/devtools-log-compat",Vu],["../gather/gatherers/devtools-log",Ws],["../gather/gatherers/dobetterweb/doctype",Gu],["../gather/gatherers/dobetterweb/domstats",Ku],["../gather/gatherers/dobetterweb/optimized-images",nd],["../gather/gatherers/dobetterweb/password-inputs-with-prevented-paste",sd],["../gather/gatherers/dobetterweb/response-compression",gm],["../gather/gatherers/dobetterweb/tags-blocking-first-paint",bm],["../gather/gatherers/full-page-screenshot",_m],["../gather/gatherers/global-listeners",Rm],["../gather/gatherers/iframe-elements",Cm],["../gather/gatherers/image-elements",Fm],["../gather/gatherers/inputs",Bm],["../gather/gatherers/inspector-issues",Vm],["../gather/gatherers/installability-errors",$s],["../gather/gatherers/js-usage",Gm],["../gather/gatherers/link-elements",ip],["../gather/gatherers/main-document-content",dp],["../gather/gatherers/meta-elements",hp],["../gather/gatherers/network-user-agent",Ys],["../gather/gatherers/script-elements",Tp],["../gather/gatherers/seo/embedded-content",_p],["../gather/gatherers/seo/font-size",Im.exports],["../gather/gatherers/seo/robots-txt",Rp],["../gather/gatherers/seo/tap-targets",Lp],["../gather/gatherers/service-worker",Op],["../gather/gatherers/source-maps",jp],["../gather/gatherers/stacks",Xs],["../gather/gatherers/trace-compat",qp],["../gather/gatherers/trace-elements",hh],["../gather/gatherers/trace",oo],["../gather/gatherers/viewport-dimensions",fh],["../gather/gatherers/web-app-manifest",Us],["../audits/accessibility/accesskeys",yh.exports],["../audits/accessibility/aria-allowed-attr",_h.exports],["../audits/accessibility/aria-command-name",Dh.exports],["../audits/accessibility/aria-hidden-body",Lh.exports],["../audits/accessibility/aria-hidden-focus",Fh.exports],["../audits/accessibility/aria-input-field-name",$h.exports],["../audits/accessibility/aria-meter-name",Wh.exports],["../audits/accessibility/aria-progressbar-name",Kh.exports],["../audits/accessibility/aria-required-attr",Qh.exports],["../audits/accessibility/aria-required-children",ag.exports],["../audits/accessibility/aria-required-parent",sg.exports],["../audits/accessibility/aria-roles",dg.exports],["../audits/accessibility/aria-toggle-field-name",gg.exports],["../audits/accessibility/aria-tooltip-name",bg.exports],["../audits/accessibility/aria-treeitem-name",Eg.exports],["../audits/accessibility/aria-valid-attr-value",Rg.exports],["../audits/accessibility/aria-valid-attr",Ig.exports],["../audits/accessibility/button-name",Pg.exports],["../audits/accessibility/bypass",jg.exports],["../audits/accessibility/color-contrast",zg.exports],["../audits/accessibility/definition-list",Hg.exports],["../audits/accessibility/dlitem",Xg.exports],["../audits/accessibility/document-title",tf.exports],["../audits/accessibility/duplicate-id-active",of.exports],["../audits/accessibility/duplicate-id-aria",uf.exports],["../audits/accessibility/form-field-multiple-labels",hf.exports],["../audits/accessibility/frame-title",vf.exports],["../audits/accessibility/heading-order",Tf.exports],["../audits/accessibility/html-has-lang",Af.exports],["../audits/accessibility/html-lang-valid",Cf.exports],["../audits/accessibility/image-alt",Mf.exports],["../audits/accessibility/input-image-alt",Uf.exports],["../audits/accessibility/label",qf.exports],["../audits/accessibility/link-name",Gf.exports],["../audits/accessibility/list",Jf.exports],["../audits/accessibility/listitem",ey.exports],["../audits/accessibility/manual/custom-controls-labels",sy],["../audits/accessibility/manual/custom-controls-roles",ly],["../audits/accessibility/manual/focus-traps",dy],["../audits/accessibility/manual/focusable-controls",py],["../audits/accessibility/manual/interactive-element-affordance",gy],["../audits/accessibility/manual/logical-tab-order",yy],["../audits/accessibility/manual/managed-focus",by],["../audits/accessibility/manual/offscreen-content-hidden",Sy],["../audits/accessibility/manual/use-landmarks",Ey],["../audits/accessibility/manual/visual-order-follows-dom",_y],["../audits/accessibility/meta-refresh",Ay.exports],["../audits/accessibility/meta-viewport",Cy.exports],["../audits/accessibility/object-alt",My.exports],["../audits/accessibility/tabindex",Uy.exports],["../audits/accessibility/td-headers-attr",qy.exports],["../audits/accessibility/th-has-data-cells",Gy.exports],["../audits/accessibility/valid-lang",Jy.exports],["../audits/accessibility/video-caption",ev.exports],["../audits/apple-touch-icon",nv.exports],["../audits/autocomplete",cv.exports],["../audits/bootup-time",yv.exports],["../audits/byte-efficiency/duplicated-javascript",Bv.exports],["../audits/byte-efficiency/efficient-animated-content",Jb.exports],["../audits/byte-efficiency/legacy-javascript",rw.exports],["../audits/byte-efficiency/modern-image-formats",mw.exports],["../audits/byte-efficiency/offscreen-images",vw.exports],["../audits/byte-efficiency/render-blocking-resources",zw.exports],["../audits/byte-efficiency/total-byte-weight",dS.exports],["../audits/byte-efficiency/unminified-css",vS.exports],["../audits/byte-efficiency/unminified-javascript",kS.exports],["../audits/byte-efficiency/unused-css-rules",PS.exports],["../audits/byte-efficiency/unused-javascript",$S.exports],["../audits/byte-efficiency/uses-long-cache-ttl",QS.exports],["../audits/byte-efficiency/uses-optimized-images",lT.exports],["../audits/byte-efficiency/uses-responsive-images-snapshot",gT.exports],["../audits/byte-efficiency/uses-responsive-images",fT.exports],["../audits/byte-efficiency/uses-text-compression",LT.exports],["../audits/content-width",jT.exports],["../audits/critical-request-chains",zT.exports],["../audits/csp-xss",aE.exports],["../audits/deprecations",tx.exports],["../audits/diagnostics",mx],["../audits/dobetterweb/charset",px.exports],["../audits/dobetterweb/doctype",Sx.exports],["../audits/dobetterweb/dom-size",_x.exports],["../audits/dobetterweb/geolocation-on-start",Cx.exports],["../audits/dobetterweb/inspector-issues",Ux.exports],["../audits/dobetterweb/js-libraries",qx.exports],["../audits/dobetterweb/no-document-write",Hx.exports],["../audits/dobetterweb/no-vulnerable-libraries",Zx.exports],["../audits/dobetterweb/notification-on-start",l_.exports],["../audits/dobetterweb/password-inputs-can-be-pasted-into",h_.exports],["../audits/dobetterweb/uses-http2",b_.exports],["../audits/dobetterweb/uses-passive-event-listeners",M_.exports],["../audits/errors-in-console",j_.exports],["../audits/final-screenshot",Z_],["../audits/font-display",Q_.exports],["../audits/full-page-screenshot",dA],["../audits/image-aspect-ratio",mA.exports],["../audits/image-size-responsive",vA.exports],["../audits/installable-manifest",xA.exports],["../audits/is-on-https",MA.exports],["../audits/largest-contentful-paint-element",qA.exports],["../audits/layout-shift-elements",HA.exports],["../audits/lcp-lazy-loaded",ZA.exports],["../audits/long-tasks",aR.exports],["../audits/main-thread-tasks",yR],["../audits/mainthread-work-breakdown",vR.exports],["../audits/manual/pwa-cross-browser",_R.exports],["../audits/manual/pwa-each-page-has-url",DR.exports],["../audits/manual/pwa-page-transitions",LR.exports],["../audits/maskable-icon",FR.exports],["../audits/metrics",MD],["../audits/metrics/cumulative-layout-shift",PD.exports],["../audits/metrics/experimental-interaction-to-next-paint",$D.exports],["../audits/metrics/first-contentful-paint-3g",JD],["../audits/metrics/first-contentful-paint",XD.exports],["../audits/metrics/first-meaningful-paint",aC.exports],["../audits/metrics/interactive",lC.exports],["../audits/metrics/largest-contentful-paint",gC.exports],["../audits/metrics/max-potential-fid",TC.exports],["../audits/metrics/speed-index",kC.exports],["../audits/metrics/total-blocking-time",MC.exports],["../audits/network-requests",zC],["../audits/network-rtt",VC.exports],["../audits/network-server-latency",XC.exports],["../audits/no-unload-listeners",nI.exports],["../audits/non-composited-animations",uI.exports],["../audits/oopif-iframe-test-audit",{
meta:{id:"oopif-iframe-test-audit",title:"IFrame Elements",failureTitle:"IFrame Elements",description:"Audit to force the inclusion of IFrameElements artifact",requiredArtifacts:["IFrameElements"]},audit:()=>({score:1})
}],["../audits/performance-budget",fI.exports],["../audits/predictive-perf",jI],["../audits/preload-fonts",BI.exports],["../audits/preload-lcp-image",YI.exports],["../audits/redirects",nN.exports],["../audits/resource-summary",hN.exports],["../audits/screenshot-thumbnails",RN],["../audits/script-treemap-data",NN],["../audits/seo/canonical",LN.exports],["../audits/seo/crawlable-anchors",jN.exports],["../audits/seo/font-size",zN.exports],["../audits/seo/hreflang",eL.exports],["../audits/seo/http-status-code",cL.exports],["../audits/seo/is-crawlable",hL.exports],["../audits/seo/link-text",EL.exports],["../audits/seo/manual/structured-data",DL.exports],["../audits/seo/meta-description",LL.exports],["../audits/seo/plugins",FL.exports],["../audits/seo/robots-txt",HL.exports],["../audits/seo/tap-targets",iM.exports],["../audits/server-response-time",wM.exports],["../audits/service-worker",kM.exports],["../audits/splash-screen",LM.exports],["../audits/themed-omnibox",BM.exports],["../audits/third-party-facades",GM.exports],["../audits/third-party-summary",HM.exports],["../audits/timing-budget",pP.exports],["../audits/unsized-images",SP.exports],["../audits/user-timings",RP.exports],["../audits/uses-rel-preconnect",OP.exports],["../audits/uses-rel-preload",JP.exports],["../audits/valid-source-maps",cO.exports],["../audits/viewport",hO.exports],["../audits/work-during-interaction",bO.exports],["lighthouse-plugin-publisher-ads",LO.exports],["lighthouse-plugin-publisher-ads/audits/ad-blocking-tasks",$O.exports],["lighthouse-plugin-publisher-ads/audits/ad-render-blocking-resources",cU.exports],["lighthouse-plugin-publisher-ads/audits/ad-request-critical-path",bU.exports],["lighthouse-plugin-publisher-ads/audits/bid-request-from-page-start",$U.exports],["lighthouse-plugin-publisher-ads/audits/ad-request-from-page-start",rj.exports],["lighthouse-plugin-publisher-ads/audits/ad-top-of-viewport",uj.exports],["lighthouse-plugin-publisher-ads/audits/ads-in-viewport",vj.exports],["lighthouse-plugin-publisher-ads/audits/async-ad-tags",kj.exports],["lighthouse-plugin-publisher-ads/audits/blocking-load-events",$j.exports],["lighthouse-plugin-publisher-ads/audits/bottleneck-requests",aB.exports],["lighthouse-plugin-publisher-ads/audits/duplicate-tags",pB.exports],["lighthouse-plugin-publisher-ads/audits/first-ad-render",AB.exports],["lighthouse-plugin-publisher-ads/audits/full-width-slots",BB.exports],["lighthouse-plugin-publisher-ads/audits/gpt-bids-parallel",KB.exports],["lighthouse-plugin-publisher-ads/audits/loads-gpt-from-official-source",s$.exports],["lighthouse-plugin-publisher-ads/audits/loads-ad-tag-over-https",f$.exports],["lighthouse-plugin-publisher-ads/audits/script-injected-tags",_$.exports],["lighthouse-plugin-publisher-ads/audits/serial-header-bidding",F$.exports],["lighthouse-plugin-publisher-ads/audits/tag-load-time",aq.exports],["lighthouse-plugin-publisher-ads/audits/viewport-ad-density",vq.exports],["lighthouse-plugin-publisher-ads/audits/cumulative-ad-shift",Aq.exports],["lighthouse-plugin-publisher-ads/audits/deprecated-api-usage",Uq.exports],["lighthouse-plugin-publisher-ads/audits/gpt-errors-overall",Hq.exports],["lighthouse-plugin-publisher-ads/audits/total-ad-blocking-time",rz.exports]])
;function requireWrapper(e){return Ez.get(e)||function commonjsRequire(e){throw new Error('Could not dynamically require "'+e+'". Please configure the dynamicRequireTargets or/and ignoreDynamicRequires option of @rollup/plugin-commonjs appropriately for this require call to work.')}(e)}function resolveModulePath(e,t,r){try{return require.resolve(e)}catch(e){}try{return require.resolve(e,{paths:[process.cwd()]})}catch(e){}const a=hz.resolve(process.cwd(),e);try{return require.resolve(a)}catch(e){}const n="Unable to locate "+(r?`${r}: `:"")+`\`${e}\`.\n     Tried to require() from these locations:\n       lighthouse-core/config\n       ${a}`;if(!t)throw new Error(n);const i=hz.resolve(t,e);try{return require.resolve(i)}catch(e){}try{return require.resolve(e,{paths:[t]})}catch(e){}throw new Error(n+`\n       ${i}`)}function shallowClone(e){return"object"==typeof e?Object.assign(Object.create(Object.getPrototypeOf(e)),e):e}function deepClone$2(e){return JSON.parse(JSON.stringify(e))}
var xz={deepClone:deepClone$2,deepCloneConfigJson:function deepCloneConfigJson$2(e){const t=deepClone$2(e);if(Array.isArray(t.passes)&&Array.isArray(e.passes))for(let r=0;r<t.passes.length;r++){t.passes[r].gatherers=(e.passes[r].gatherers||[]).map((e=>shallowClone(e)))}return Array.isArray(e.audits)&&(t.audits=e.audits.map((e=>shallowClone(e)))),Array.isArray(e.artifacts)&&(t.artifacts=e.artifacts.map((e=>({...e,gatherer:shallowClone(e.gatherer)})))),t},mergeConfigFragment:Tz,mergeConfigFragmentArrayByKey:function mergeConfigFragmentArrayByKey$1(e,t,r){const a=new Map,n=e||[];for(let e=0;e<n.length;e++){const t=n[e];a.set(r(t),{index:e,item:t})}for(const e of t||[]){const t=a.get(r(e));if(t){const r=t.item,a="object"==typeof e&&"object"==typeof r?Tz(r,e,!0):e;n[t.index]=a}else n.push(e)}return n},mergeOptionsOfItems,mergePlugins:function mergePlugins$2(e,t,r){const a=e.plugins||[],n=new Set([...a,...r?.plugins||[]]);for(const r of n){Sz.assertValidPluginName(e,r)
;const a=requireWrapper(isBundledEnvironment()?r:resolveModulePath(r,t,"plugin")),n=vz.parsePlugin(a,r);e=Tz(e,n)}return e},resolveAuditsToDefns:function resolveAuditsToDefns$2(e,t){if(!e)return null;const r=bz.getAuditList(),a=e.map((e=>{const a=function expandAuditShorthand(e){if("string"==typeof e)return{path:e,options:{}};if("implementation"in e&&"function"==typeof e.implementation.audit)return e;if("path"in e&&"string"==typeof e.path)return e;if("audit"in e&&"function"==typeof e.audit)return{implementation:e,options:{}};throw new Error("Invalid Audit type "+JSON.stringify(e))}(e);let n;return n="implementation"in a?a.implementation:function requireAudit(e,t,r){const a=`${e}.js`;let n=`../audits/${e}`;if(!t.find((e=>e===a)))if(isBundledEnvironment())n=e;else{const t=resolveModulePath(e,r,"audit");n=hz.relative("lighthouse-core/config",t)}return requireWrapper(n)}(a.path,r,t),{implementation:n,path:a.path,options:a.options||{}}})),n=mergeOptionsOfItems(a)
;return n.forEach((e=>Sz.assertValidAudit(e))),n},resolveGathererToDefn:function resolveGathererToDefn$2(e,t,r){const a=function expandGathererShorthand(e){if("string"==typeof e)return{path:e};if("implementation"in e||"instance"in e)return e;if("path"in e){if("string"!=typeof e.path)throw new Error("Invalid Gatherer type "+JSON.stringify(e));return e}if("function"==typeof e)return{implementation:e};if(e&&"function"==typeof e.beforePass)return{instance:e};throw new Error("Invalid Gatherer type "+JSON.stringify(e))}(e);if(a.instance)return{instance:a.instance,implementation:a.implementation,path:a.path};if(a.implementation){return{instance:new(0,a.implementation),implementation:a.implementation,path:a.path}}if(a.path){return function requireGatherer(e,t,r){const a=t.find((t=>t===`${e}.js`));let n=`../gather/gatherers/${e}`;a||(n=resolveModulePath(e,r,"gatherer"));const i=requireWrapper(n);return{instance:new i,implementation:i,path:e}}(a.path,t,r)}
throw new Error("Invalid expanded Gatherer: "+JSON.stringify(a))},resolveModulePath,resolveSettings:function resolveSettings$2(e={},t){const r=wz.lookupLocale(t?.locale||e.locale),{defaultSettings:a}=fz,n=Tz(deepClone$2(a),e,!0),i=Tz(n,function cleanFlagsForSettings(e={}){const t={};for(const r of Object.keys(e))r in fz.defaultSettings&&(t[r]=e[r]);return t}(t),!0);return i.budgets&&(i.budgets=yz.initializeBudget(i.budgets)),i.locale=r,!0===i.emulatedUserAgent&&(i.emulatedUserAgent=fz.userAgents[i.formFactor]),Sz.assertValidSettings(i),i}};const _z=gu.exports,Az=mn,Rz=Vn,kz=Su,Dz=on.default,Cz=bn,Iz=pu,{mergePlugins:Nz,mergeConfigFragment:Lz,resolveSettings:Mz,resolveAuditsToDefns:Pz,resolveGathererToDefn:Oz,deepClone:Fz,deepCloneConfigJson:Uz}=xz,jz=Object.keys({fetchTime:"",LighthouseRunWarnings:"",HostFormFactor:"",HostUserAgent:"",NetworkUserAgent:"",BenchmarkIndex:"",WebAppManifest:"",GatherContext:"",InstallabilityErrors:"",Stacks:"",traces:"",devtoolsLogs:"",settings:"",URL:"",
Timing:"",PageLoadError:""});class Config$1{constructor(e,t){const r={msg:"Create config",id:"lh:init:config"};Dz.time(r,"verbose");let a=t?.configPath;if(e||(e=_z,a=Cz.resolve("lighthouse-core/config","./default-config.js")),a&&!Cz.isAbsolute(a))throw new Error("configPath must be an absolute path.");if((e=Uz(e)).extends){if("lighthouse:default"!==e.extends)throw new Error("`lighthouse:default` is the only valid extension method.");e=Config$1.extendConfigJSON(Uz(_z),e)}const n=a?Cz.dirname(a):void 0;e=Nz(e,n,t),t&&function assertValidFlags(e){if("devtools"===e.channel&&e.internalDisableDeviceScreenEmulation&&(e.formFactor=e.emulatedFormFactor,e.emulatedFormFactor=e.internalDisableDeviceScreenEmulation=void 0),e.emulatedFormFactor||e.internalDisableDeviceScreenEmulation)throw new Error("Invalid emulation flag. Emulation configuration changed in LH 7.0. See https://github.com/GoogleChrome/lighthouse/blob/master/docs/emulation.md")}(t)
;const i=Mz(e.settings||{},t),o=Config$1.augmentPassesWithDefaults(e.passes);Config$1.adjustDefaultPassForThrottling(i,o);const s=Config$1.requireGatherers(o,n);this.settings=i,this.passes=s,this.audits=Config$1.requireAudits(e.audits,n),this.categories=e.categories||null,this.groups=e.groups||null,Config$1.filterConfigIfNeeded(this),function assertValidPasses(e,t){if(!Array.isArray(e))return;const r=Config$1.getGatherersRequestedByAudits(t),a=new Set(jz);e.forEach(((e,t)=>{0===t&&"fatal"!==e.loadFailureMode&&(Dz.warn(`"${e.passName}" is the first pass but was marked as non-fatal. The first pass will always be treated as loadFailureMode=fatal.`),e.loadFailureMode="fatal"),e.gatherers.forEach((e=>{const t=e.instance;if(a.add(t.name),!r.has(t.name)){const e=`${t.name} gatherer requested, however no audit requires it.`;Dz.warn("config",e)}}))}));for(const e of t||[]){const t=e.implementation.meta
;for(const e of t.requiredArtifacts)if(!a.has(e))throw new Error(`${e} gatherer, required by audit ${t.id}, was not found in config.`)}const n=new Set;e.forEach((e=>{const t=e.passName;if(n.has(t))throw new Error(`Passes must have unique names (repeated passName: ${t}.`);n.add(t)}))}(this.passes,this.audits),kz.assertValidCategories(this.categories,this.audits,this.groups),Dz.timeEnd(r)}getPrintString(){const e=Fz(this);if(e.passes)for(const t of e.passes)for(const e of t.gatherers)e.implementation=void 0,e.instance=void 0;if(e.audits)for(const t of e.audits)t.implementation=void 0,0===Object.keys(t.options).length&&(t.options=void 0);return Rz.replaceIcuMessages(e,e.settings.locale),JSON.stringify(e,null,2)}static extendConfigJSON(e,t){if(t.passes&&e.passes){for(const r of t.passes){const t=r.passName||Az.defaultPassConfig.passName,a=e.passes.find((e=>e.passName===t));a?Lz(a,r):e.passes.push(r)}delete t.passes}return Lz(e,t)}static augmentPassesWithDefaults(e){if(!e)return null
;const{defaultPassConfig:t}=Az;return e.map((e=>Lz(Fz(t),e)))}static adjustDefaultPassForThrottling(e,t){if(!t||"devtools"!==e.throttlingMethod&&"provided"!==e.throttlingMethod)return;const r=t.find((e=>"defaultPass"===e.passName));if(!r)return;const a=Az.nonSimulatedPassConfigOverrides;r.pauseAfterFcpMs=Math.max(a.pauseAfterFcpMs,r.pauseAfterFcpMs),r.pauseAfterLoadMs=Math.max(a.pauseAfterLoadMs,r.pauseAfterLoadMs),r.cpuQuietThresholdMs=Math.max(a.cpuQuietThresholdMs,r.cpuQuietThresholdMs),r.networkQuietThresholdMs=Math.max(a.networkQuietThresholdMs,r.networkQuietThresholdMs)}static filterConfigIfNeeded(e){const t=e.settings;if(!t.onlyCategories&&!t.onlyAudits&&!t.skipAudits)return;const{categories:r,requestedAuditNames:a}=Config$1.filterCategoriesAndAudits(e.categories,t),n=e.audits&&e.audits.filter((e=>a.has(e.implementation.meta.id))),i=Config$1.getGatherersRequestedByAudits(n),o=Config$1.generatePassesNeededByGatherers(e.passes,i);e.categories=r,e.audits=n,e.passes=o}
static filterCategoriesAndAudits(e,t){if(!e)return{categories:null,requestedAuditNames:new Set};if(t.onlyAudits&&t.skipAudits)throw new Error("Cannot set both skipAudits and onlyAudits");const r={},a=!!t.onlyCategories,n=!!t.onlyAudits,i=t.onlyCategories||[],o=t.onlyAudits||[],s=t.skipAudits||[];i.forEach((t=>{e[t]||Dz.warn("config",`unrecognized category in 'onlyCategories': ${t}`)}));const c=new Set(o.concat(s));for(const t of c){const r=Object.keys(e).find((r=>!!e[r].auditRefs.find((e=>e.id===t))));if(r)o.includes(t)&&i.includes(r)&&Dz.warn("config",`${t} in 'onlyAudits' is already included by ${r} in 'onlyCategories'`);else{const e=s.includes(t)?"skipAudits":"onlyAudits";Dz.warn("config",`unrecognized audit in '${e}': ${t}`)}}const l=new Set(o);s.forEach((e=>l.delete(e))),Object.keys(e).forEach((t=>{const c=Fz(e[t]);if(a&&n)i.includes(t)||(c.auditRefs=c.auditRefs.filter((e=>o.includes(e.id))));else if(a){if(!i.includes(t))return
}else n&&(c.auditRefs=c.auditRefs.filter((e=>o.includes(e.id))));c.auditRefs=c.auditRefs.filter((e=>!s.includes(e.id))),c.auditRefs.length&&(r[t]=c,c.auditRefs.forEach((e=>l.add(e.id))))}));return t.skipAudits&&t.skipAudits.includes("full-page-screenshot")||!t.onlyCategories&&!t.skipAudits||l.add("full-page-screenshot"),{categories:r,requestedAuditNames:l}}static getGatherersRequestedByAudits(e){if(!e)return new Set;const t=new Set;for(const r of e){const{requiredArtifacts:e,__internalOptionalArtifacts:a}=r.implementation.meta;e.forEach((e=>t.add(e))),a&&a.forEach((e=>t.add(e)))}return t}static generatePassesNeededByGatherers(e,t){if(!e)return null;const r=t.has("traces");return e.map((e=>{if(e.gatherers=e.gatherers.filter((e=>{const r=e.instance;return t.has(r.name)})),e.recordTrace&&!r){const t=e.passName||"unknown pass";Dz.warn("config",`Trace not requested by an audit, dropping trace in ${t}`),e.recordTrace=!1}return e
})).filter((e=>!!e.recordTrace||("defaultPass"===e.passName||e.gatherers.length>0)))}static requireAudits(e,t){const r={msg:"Requiring audits",id:"lh:config:requireAudits"};Dz.time(r,"verbose");const a=Pz(e,t);return Dz.timeEnd(r),a}static requireGatherers(e,t){if(!e)return null;const r={msg:"Requiring gatherers",id:"lh:config:requireGatherers"};Dz.time(r,"verbose");const a=Iz.getGathererList(),n=e.map((e=>{const r=e.gatherers.map((e=>Oz(e,a,t))),n=Array.from(new Map(r.map((e=>[e.instance.name,e]))).values());return n.forEach((e=>function assertValidGatherer(e,t){if(t=t||e.name||"gatherer","function"!=typeof e.beforePass)throw new Error(`${t} has no beforePass() method.`);if("function"!=typeof e.pass)throw new Error(`${t} has no pass() method.`);if("function"!=typeof e.afterPass)throw new Error(`${t} has no afterPass() method.`)}(e.instance,e.path))),Object.assign(e,{gatherers:n})}));return Dz.timeEnd(r),n}}var Bz=Config$1;var $z=class Gatherer{get name(){return this.constructor.name}
beforePass(e){}pass(e){}afterPass(e,t){}};const qz=pu,zz=on.default,Vz=hu,Wz=Bz,Gz=ji;async function lighthouse(e,t={},r,a){t.logLevel=t.logLevel||"error",zz.setLevel(t.logLevel);const n={config:generateConfig(r,t),computedCache:new Map},i=a||new Vz(t.port,t.hostname),o=await qz.gather((()=>{const t=Gz.normalizeUrl(e);return qz._gatherArtifactsFromBrowser(t,n,i)}),n);return qz.audit(o,n)}function generateConfig(e,t){return new Wz(e,t)}lighthouse.generateConfig=generateConfig,lighthouse.getAuditList=qz.getAuditList,lighthouse.traceCategories=To.traceCategories,lighthouse.Audit=kc,lighthouse.Gatherer=$z,lighthouse.NetworkRecords=Lo;var Hz=lighthouse;const Yz=vi.exports,Kz=Symbol("monkeypatch");class ProtocolSession$1{constructor(e){this._session=e,this._targetInfo=void 0,this._nextProtocolTimeout=void 0,this._callbackMap=new WeakMap;const t=e.emit;t[Kz]||(e.emit=(r,...a)=>{const n=this._targetInfo&&"iframe"===this._targetInfo.type?this._targetInfo.targetId:void 0;return t.call(e,"*",{
method:r,params:a[0],sessionId:n}),t.call(e,r,...a)},e.emit[Kz]=!0)}setTargetInfo(e){this._targetInfo=e}hasNextProtocolTimeout(){return void 0!==this._nextProtocolTimeout}getNextProtocolTimeout(){return this._nextProtocolTimeout||3e4}setNextProtocolTimeout(e){this._nextProtocolTimeout=e}on(e,t){this._session.on(e,t)}once(e,t){this._session.once(e,t)}addSessionAttachedListener(e){const listener=t=>e(new ProtocolSession$1(t));this._callbackMap.set(e,listener),this._getConnection().on("sessionattached",listener)}removeSessionAttachedListener(e){const t=this._callbackMap.get(e);t&&this._getConnection().off("sessionattached",t)}addProtocolMessageListener(e){this._session.on("*",e)}removeProtocolMessageListener(e){this._session.off("*",e)}off(e,t){this._session.off(e,t)}sendCommand(e,...t){const r=this.getNextProtocolTimeout();let a;this._nextProtocolTimeout=void 0;const n=new Promise(((t,n)=>{r!==1/0&&(a=setTimeout(n,r,new Yz(Yz.errors.PROTOCOL_TIMEOUT,{protocolMethod:e})))
})),i=this._session.send(e,...t);return Promise.race([i,n]).finally((()=>{a&&clearTimeout(a)}))}async dispose(){this._session.removeAllListeners(),await this._session.detach()}_getConnection(){const e=this._session.connection();if(!e)throw new Error("Connection has been closed.");return e}}var Jz=ProtocolSession$1;const Xz=on.default,Zz=Jz,Qz=yi,eV=gi,throwNotConnectedFn=()=>{throw new Error("Session not connected")},tV={setTargetInfo:throwNotConnectedFn,hasNextProtocolTimeout:throwNotConnectedFn,getNextProtocolTimeout:throwNotConnectedFn,setNextProtocolTimeout:throwNotConnectedFn,on:throwNotConnectedFn,once:throwNotConnectedFn,off:throwNotConnectedFn,addProtocolMessageListener:throwNotConnectedFn,removeProtocolMessageListener:throwNotConnectedFn,addSessionAttachedListener:throwNotConnectedFn,removeSessionAttachedListener:throwNotConnectedFn,sendCommand:throwNotConnectedFn,dispose:throwNotConnectedFn};var rV=class Driver$3{constructor(e){this._page=e,this._session=void 0,
this._executionContext=void 0,this._fetcher=void 0,this.defaultSession=tV}get executionContext(){return this._executionContext?this._executionContext:throwNotConnectedFn()}get fetcher(){return this._fetcher?this._fetcher:throwNotConnectedFn()}async url(){return this._page.url()}async connect(){if(this._session)return;const e={msg:"Connecting to browser",id:"lh:driver:connect"};Xz.time(e);const t=await this._page.target().createCDPSession();this._session=this.defaultSession=new Zz(t),this._executionContext=new Qz(this._session),this._fetcher=new eV(this._session,this._executionContext),Xz.timeEnd(e)}async disconnect(){this._session&&await this._session.dispose()}};const aV=on.default;function createDependencyError(e,t){return new Error(`Dependency "${e.id}" failed with exception: ${t.message}`)}const nV={startInstrumentation:void 0,startSensitiveInstrumentation:"startInstrumentation",stopSensitiveInstrumentation:"startSensitiveInstrumentation",
stopInstrumentation:"stopSensitiveInstrumentation",getArtifact:"stopInstrumentation"};async function collectArtifactDependencies(e,t){if(!e.dependencies)return{};const r=Object.entries(e.dependencies).map((async([e,r])=>{const a=t[r.id];if(void 0===a)throw new Error(`"${r.id}" did not run`);if(a instanceof Error)throw createDependencyError(r,a);const n=Promise.resolve().then((()=>a)).catch((e=>Promise.reject(createDependencyError(r,e))));return[e,await n]}));return Object.fromEntries(await Promise.all(r))}var iV={getEmptyArtifactState:function getEmptyArtifactState$3(){return{startInstrumentation:{},startSensitiveInstrumentation:{},stopSensitiveInstrumentation:{},stopInstrumentation:{},getArtifact:{}}},awaitArtifacts:async function awaitArtifacts$3(e){const t={};for(const[r,a]of Object.entries(e.getArtifact)){const e=await a.catch((e=>e));void 0!==e&&(t[r]=e)}return t},collectPhaseArtifacts:async function collectPhaseArtifacts$3(e){
const{driver:t,artifactDefinitions:r,artifactState:a,baseArtifacts:n,phase:i,gatherMode:o,computedCache:s,settings:c,url:l}=e,u=nV[i],d=u&&a[u]||{};for(const e of r){aV["getArtifact"===i?"log":"verbose"](`artifacts:${i}`,e.id);const r=e.gatherer.instance,u=(d[e.id]||Promise.resolve()).then((async()=>{const u="getArtifact"===i?await collectArtifactDependencies(e,a.getArtifact):{};return r[i]({url:l,gatherMode:o,driver:t,baseArtifacts:n,dependencies:u,computedCache:s,settings:c})}));await u.catch((()=>{})),a[i][e.id]=u}},collectArtifactDependencies};const oV=gu.exports,sV=yu,{deepClone:cV}=xz,lV={performance:[{id:"uses-responsive-images-snapshot",weight:0},{id:"experimental-interaction-to-next-paint",weight:0,group:"metrics",acronym:"INP",relevantAudits:sV.inpRelevantAudits},{id:"work-during-interaction",weight:0}]};const uV={DevtoolsLog:"",Trace:"",Accessibility:"",AnchorElements:"",CacheContents:"",ConsoleMessages:"",CSSUsage:"",Doctype:"",DOMStats:"",EmbeddedContent:"",FontSize:"",
Inputs:"",FullPageScreenshot:"",GlobalListeners:"",IFrameElements:"",ImageElements:"",InstallabilityErrors:"",InspectorIssues:"",JsUsage:"",LinkElements:"",MainDocumentContent:"",MetaElements:"",NetworkUserAgent:"",OptimizedImages:"",PasswordInputsWithPreventedPaste:"",ResponseCompression:"",RobotsTxt:"",ServiceWorker:"",ScriptElements:"",SourceMaps:"",Stacks:"",TagsBlockingFirstPaint:"",TapTargets:"",TraceElements:"",ViewportDimensions:"",WebAppManifest:"",devtoolsLogs:"",traces:""};for(const e of Object.keys(uV))uV[e]=e;var dV={artifacts:[{id:uV.DevtoolsLog,gatherer:"devtools-log"},{id:uV.Trace,gatherer:"trace"},{id:uV.Accessibility,gatherer:"accessibility"},{id:uV.AnchorElements,gatherer:"anchor-elements"},{id:uV.CacheContents,gatherer:"cache-contents"},{id:uV.ConsoleMessages,gatherer:"console-messages"},{id:uV.CSSUsage,gatherer:"css-usage"},{id:uV.Doctype,gatherer:"dobetterweb/doctype"},{id:uV.DOMStats,gatherer:"dobetterweb/domstats"},{id:uV.EmbeddedContent,
gatherer:"seo/embedded-content"},{id:uV.FontSize,gatherer:"seo/font-size"},{id:uV.Inputs,gatherer:"inputs"},{id:uV.GlobalListeners,gatherer:"global-listeners"},{id:uV.IFrameElements,gatherer:"iframe-elements"},{id:uV.ImageElements,gatherer:"image-elements"},{id:uV.InstallabilityErrors,gatherer:"installability-errors"},{id:uV.InspectorIssues,gatherer:"inspector-issues"},{id:uV.JsUsage,gatherer:"js-usage"},{id:uV.LinkElements,gatherer:"link-elements"},{id:uV.MainDocumentContent,gatherer:"main-document-content"},{id:uV.MetaElements,gatherer:"meta-elements"},{id:uV.NetworkUserAgent,gatherer:"network-user-agent"},{id:uV.OptimizedImages,gatherer:"dobetterweb/optimized-images"},{id:uV.PasswordInputsWithPreventedPaste,gatherer:"dobetterweb/password-inputs-with-prevented-paste"},{id:uV.ResponseCompression,gatherer:"dobetterweb/response-compression"},{id:uV.RobotsTxt,gatherer:"seo/robots-txt"},{id:uV.ServiceWorker,gatherer:"service-worker"},{id:uV.ScriptElements,gatherer:"script-elements"},{
id:uV.SourceMaps,gatherer:"source-maps"},{id:uV.Stacks,gatherer:"stacks"},{id:uV.TagsBlockingFirstPaint,gatherer:"dobetterweb/tags-blocking-first-paint"},{id:uV.TapTargets,gatherer:"seo/tap-targets"},{id:uV.TraceElements,gatherer:"trace-elements"},{id:uV.ViewportDimensions,gatherer:"viewport-dimensions"},{id:uV.WebAppManifest,gatherer:"web-app-manifest"},{id:uV.devtoolsLogs,gatherer:"devtools-log-compat"},{id:uV.traces,gatherer:"trace-compat"},{id:uV.FullPageScreenshot,gatherer:"full-page-screenshot"}],navigations:[{id:"default",pauseAfterFcpMs:1e3,pauseAfterLoadMs:1e3,networkQuietThresholdMs:1e3,cpuQuietThresholdMs:1e3,
artifacts:[uV.DevtoolsLog,uV.Trace,uV.Accessibility,uV.AnchorElements,uV.CacheContents,uV.ConsoleMessages,uV.CSSUsage,uV.Doctype,uV.DOMStats,uV.EmbeddedContent,uV.FontSize,uV.Inputs,uV.GlobalListeners,uV.IFrameElements,uV.ImageElements,uV.InstallabilityErrors,uV.InspectorIssues,uV.JsUsage,uV.LinkElements,uV.MainDocumentContent,uV.MetaElements,uV.NetworkUserAgent,uV.OptimizedImages,uV.PasswordInputsWithPreventedPaste,uV.ResponseCompression,uV.RobotsTxt,uV.ServiceWorker,uV.ScriptElements,uV.SourceMaps,uV.Stacks,uV.TagsBlockingFirstPaint,uV.TapTargets,uV.TraceElements,uV.ViewportDimensions,uV.WebAppManifest,uV.devtoolsLogs,uV.traces,uV.FullPageScreenshot]}],settings:oV.settings,audits:[...(oV.audits||[]).map((e=>"string"==typeof e?{path:e}:e)),"byte-efficiency/uses-responsive-images-snapshot","metrics/experimental-interaction-to-next-paint","work-during-interaction"],categories:function mergeCategories(){if(!oV.categories)return{};const e=cV(oV.categories)
;for(const t of Object.keys(lV))e[t]&&e[t].auditRefs.push(...lV[t]);return e}(),groups:oV.groups};const mV=on.default,pV=kc,hV=Object.keys({fetchTime:"",LighthouseRunWarnings:"",BenchmarkIndex:"",settings:"",Timing:"",URL:"",PageLoadError:"",HostFormFactor:"",HostUserAgent:"",GatherContext:""}),gV=["full-page-screenshot"],fV=["HostUserAgent","HostFormFactor","Stacks","GatherContext"];function getAuditIdsInCategories(e,t){if(!e)return new Set;const r=(t=t||Object.keys(e)).map((t=>e[t])).flatMap((e=>e?.auditRefs||[]));return new Set(r.map((e=>e.id)))}function filterArtifactsByAvailableAudits(e,t){if(!e)return null;if(!t)return e;const r=new Map(e.map((e=>[e.id,e]))),a=new Set([...fV,...t.flatMap((e=>e.implementation.meta.requiredArtifacts))]);let n=0;for(;n!==a.size;){n=a.size;for(const e of a){const t=r.get(e);if(t&&t.dependencies)for(const e of Object.values(t.dependencies))a.add(e.id)}}return e.filter((e=>a.has(e.id)))}function filterArtifactsByGatherMode(e,t){
return e?e.filter((e=>e.gatherer.instance.meta.supportedModes.includes(t))):null}function filterNavigationsByAvailableArtifacts(e,t){if(!e)return e;const r=new Set(t.map((e=>e.id)).concat(hV));return e.map((e=>({...e,artifacts:e.artifacts.filter((e=>r.has(e.id)))}))).filter((e=>e.artifacts.length))}function filterAuditsByAvailableArtifacts(e,t){if(!e)return null;const r=new Set(t.map((e=>e.id)).concat(hV));return e.filter((e=>e.implementation.meta.requiredArtifacts.every((e=>r.has(e)))))}function filterAuditsByGatherMode(e,t){return e?e.filter((e=>{const r=e.implementation.meta;return!r.supportedModes||r.supportedModes.includes(t)})):null}function filterCategoriesByGatherMode(e,t){if(!e)return null;const r=Object.entries(e).filter((([e,r])=>!r.supportedModes||r.supportedModes.includes(t)));return Object.fromEntries(r)}function filterCategoriesByExplicitFilters(e,t){if(!e||!t)return e;const r=Object.entries(e).filter((([e])=>t.includes(e)));return Object.fromEntries(r)}
function filterCategoriesByAvailableAudits(e,t){if(!e)return e;const r=new Map(t.map((e=>[e.implementation.meta.id,e.implementation.meta]))),a=Object.entries(e).map((([e,t])=>{const a={...t,auditRefs:t.auditRefs.filter((e=>r.has(e.id)))},n=a.auditRefs.length<t.auditRefs.length,i=a.auditRefs.every((e=>{const t=r.get(e.id);return!!t&&t.scoreDisplayMode===pV.SCORING_MODES.MANUAL}));return n&&i&&(a.auditRefs=[]),[e,a]})).filter((e=>"object"==typeof e[1]&&e[1].auditRefs.length));return Object.fromEntries(a)}var yV={filterConfigByGatherMode:function filterConfigByGatherMode$1(e,t){const r=filterArtifactsByGatherMode(e.artifacts,t),a=filterAuditsByAvailableArtifacts(filterAuditsByGatherMode(e.audits,t),r||[]),n=filterCategoriesByAvailableAudits(filterCategoriesByGatherMode(e.categories,t),a||[]);return{...e,artifacts:r,audits:a,categories:n}},filterConfigByExplicitFilters:function filterConfigByExplicitFilters$1(e,t){const{onlyAudits:r,onlyCategories:a,skipAudits:n}=t
;!function warnOnUnknownOnlyCategories(e,t){if(t)for(const r of t)e?.[r]||mV.warn("config",`unrecognized category in 'onlyCategories': ${r}`)}(e.categories,a);let i=getAuditIdsInCategories(e.categories,void 0);a?i=getAuditIdsInCategories(e.categories,a):r&&(i=new Set);const o=new Set([...i,...r||[],...gV].filter((e=>!n||!n.includes(e)))),s=o.size&&e.audits?e.audits.filter((e=>o.has(e.implementation.meta.id))):e.audits,c=filterCategoriesByExplicitFilters(filterCategoriesByAvailableAudits(e.categories,s||[]),a),l=filterArtifactsByAvailableAudits(e.artifacts,s),u=filterNavigationsByAvailableArtifacts(e.navigations,l||[]);return{...e,artifacts:l,navigations:u,audits:s,categories:c}},filterArtifactsByGatherMode,filterArtifactsByAvailableAudits,filterNavigationsByAvailableArtifacts,filterAuditsByAvailableArtifacts,filterAuditsByGatherMode,filterCategoriesByAvailableAudits,filterCategoriesByExplicitFilters,filterCategoriesByGatherMode}
;const vV=bn,bV=on.default,wV=pu,SV=dV,{defaultNavigationConfig:TV,nonSimulatedPassConfigOverrides:EV}=mn,{isFRGathererDefn:xV,throwInvalidDependencyOrder:_V,isValidArtifactDependency:AV,throwInvalidArtifactDependency:RV,assertArtifactTopologicalOrder:kV,assertValidConfig:DV}=Su,{filterConfigByGatherMode:CV,filterConfigByExplicitFilters:IV}=yV,{deepCloneConfigJson:NV,resolveSettings:LV,resolveAuditsToDefns:MV,resolveGathererToDefn:PV,mergePlugins:OV,mergeConfigFragment:FV,mergeConfigFragmentArrayByKey:UV}=xz,jV=vV.join("lighthouse-core/fraggle-rock/config","./default-config.js");function resolveWorkingCopy(e,t){let{configPath:r}=t;if(r&&!vV.isAbsolute(r))throw new Error("configPath must be an absolute path");e||(e=SV,r=jV);const a=r?vV.dirname(r):void 0;return{configWorkingCopy:NV(e),configPath:r,configDir:a}}function resolveArtifactDependencies(e,t,r){if(!("dependencies"in t.instance.meta))return;const a=Object.entries(t.instance.meta.dependencies).map((([a,n])=>{const i=r.get(n)
;i||_V(e.id,a);return AV(t,i.gatherer)||RV(e.id,a),[a,{id:i.id}]}));return Object.fromEntries(a)}function resolveNavigationsToDefns(e,t,r){if(!e)return null;if(!t)throw new Error("Cannot use navigations without defining artifacts");const a={msg:"Resolve navigation definitions",id:"lh:config:resolveNavigationsToDefns"};bV.time(a,"verbose");const n=new Map(t.map((e=>[e.id,e]))),i=e.map((e=>{const t={...TV,...e},a=t.id,i=t.artifacts.map((e=>{const t=n.get(e);if(!t)throw new Error(`Unrecognized artifact "${e}" in navigation "${a}"`);return t})),o={...t,artifacts:i};return function overrideNavigationThrottlingWindows(e,t){e.disableThrottling||"simulate"!==t.throttlingMethod&&(e.cpuQuietThresholdMs=Math.max(e.cpuQuietThresholdMs||0,EV.cpuQuietThresholdMs),e.networkQuietThresholdMs=Math.max(e.networkQuietThresholdMs||0,EV.networkQuietThresholdMs),e.pauseAfterFcpMs=Math.max(e.pauseAfterFcpMs||0,EV.pauseAfterFcpMs),e.pauseAfterLoadMs=Math.max(e.pauseAfterLoadMs||0,EV.pauseAfterLoadMs))}(o,r),o
}));return kV(i),bV.timeEnd(a),i}var BV={resolveWorkingCopy,initializeConfig:function initializeConfig$4(e,t){const r={msg:"Initialize config",id:"lh:config"};bV.time(r,"verbose");let{configWorkingCopy:a,configDir:n}=resolveWorkingCopy(e,t);a=function resolveExtensions(e){if(!e.extends)return e;if("lighthouse:default"!==e.extends)throw new Error("`lighthouse:default` is the only valid extension method.");const{artifacts:t,navigations:r,...a}=e,n=NV(SV),i=FV(n,a);return i.artifacts=UV(n.artifacts,t,(e=>e.id)),i.navigations=UV(n.navigations,r,(e=>e.id)),i}(a),a=OV(a,n,t.settingsOverrides);const i=LV(a.settings||{},t.settingsOverrides);!function overrideSettingsForGatherMode(e,t){"timespan"===t.gatherMode&&"simulate"===e.throttlingMethod&&(e.throttlingMethod="devtools")}(i,t);const o=function resolveArtifactsToDefns(e,t){if(!e)return null;const r={msg:"Resolve artifact definitions",id:"lh:config:resolveArtifactsToDefns"};bV.time(r,"verbose")
;const a=new Map,n=wV.getGathererList(),i=e.map((e=>{const r=e.gatherer,i=PV(r,n,t);if(!xV(i))throw new Error(`${i.instance.name} gatherer does not have a Fraggle Rock meta obj`);const o={id:e.id,gatherer:i,dependencies:resolveArtifactDependencies(e,i,a)},s=o.gatherer.instance.meta.symbol;return s&&a.set(s,o),o}));return bV.timeEnd(r),i}(a.artifacts,n);let s={artifacts:o,navigations:resolveNavigationsToDefns(a.navigations,o,i),audits:MV(a.audits,n),categories:a.categories||null,groups:a.groups||null,settings:i};const{warnings:c}=DV(s);return s=CV(s,t.gatherMode),s=IV(s,i),bV.timeEnd(r),{config:s,warnings:c}}};const $V=on.default,qV=rV,zV=pu,{getEmptyArtifactState:VV,collectPhaseArtifacts:WV,awaitArtifacts:GV}=iV,{initializeConfig:HV}=BV,{getBaseArtifacts:YV,finalizeArtifacts:KV}=ac;var JV={snapshotGather:async function snapshotGather$2(e){const{configContext:t={}}=e;$V.setLevel(t.logLevel||"error");const{config:r}=HV(e.config,{...t,gatherMode:"snapshot"}),a=new qV(e.page)
;await a.connect();const n=new Map,i=await a.url(),o={config:r,computedCache:n};return{artifacts:await zV.gather((async()=>{const e=await YV(r,a,{gatherMode:"snapshot"});e.URL.requestedUrl=i,e.URL.finalUrl=i;const t=r.artifacts||[],o=VV();await WV({url:i,phase:"getArtifact",gatherMode:"snapshot",driver:a,baseArtifacts:e,artifactDefinitions:t,artifactState:o,computedCache:n,settings:r.settings}),await a.disconnect();const s=await GV(o);return KV(e,s)}),o),runnerOptions:o}}};const XV=on.default,ZV=rV,QV=pu,{getEmptyArtifactState:eW,collectPhaseArtifacts:tW,awaitArtifacts:rW}=iV,{prepareTargetForTimespanMode:aW}=es,{initializeConfig:nW}=BV,{getBaseArtifacts:iW,finalizeArtifacts:oW}=ac;var sW={startTimespanGather:async function startTimespanGather$2(e){const{configContext:t={}}=e;XV.setLevel(t.logLevel||"error");const{config:r}=nW(e.config,{...t,gatherMode:"timespan"}),a=new ZV(e.page);await a.connect();const n=new Map,i=r.artifacts||[],o=await a.url(),s=await iW(r,a,{gatherMode:"timespan"
}),c=eW(),l={url:o,driver:a,artifactDefinitions:i,artifactState:c,baseArtifacts:s,computedCache:n,gatherMode:"timespan",settings:r.settings};return await aW(a,r.settings),await tW({phase:"startInstrumentation",...l}),await tW({phase:"startSensitiveInstrumentation",...l}),{async endTimespanGather(){const e=await a.url();l.url=e;const t={config:r,computedCache:n};return{artifacts:await QV.gather((async()=>{s.URL.requestedUrl=o,s.URL.finalUrl=e,await tW({phase:"stopSensitiveInstrumentation",...l}),await tW({phase:"stopInstrumentation",...l}),await tW({phase:"getArtifact",...l}),await a.disconnect();const t=await rW(c);return oW(s,t)}),t),runnerOptions:t}}}}};const cW=on.default,lW=rV,uW=pu,{getEmptyArtifactState:dW,collectPhaseArtifacts:mW,awaitArtifacts:pW}=iV,hW=es,{gotoURL:gW}=_s,fW=Ko,yW=Wo,{defaultNavigationConfig:vW}=mn,{initializeConfig:bW}=BV,{getBaseArtifacts:wW,finalizeArtifacts:SW}=ac,TW=Vn,EW=vi.exports,xW=ji,{getPageLoadError:_W}=Bo,AW=oo,RW=Ws,kW=Lo
;async function _setup({driver:e,config:t,requestor:r,options:a}){await e.connect(),a?.skipAboutBlank||await gW(e,vW.blankPage,{waitUntil:["navigated"]});const n=await wW(t,e,{gatherMode:"navigation"});return"string"==typeof r&&(n.URL.requestedUrl=r),await hW.prepareTargetForNavigationMode(e,t.settings),{baseArtifacts:n}}async function _setupNavigation({requestor:e,driver:t,navigation:r,config:a,options:n}){n?.skipAboutBlank||await gW(t,r.blankPage,{...r,waitUntil:["navigated"]});const{warnings:i}=await hW.prepareTargetForIndividualNavigation(t.defaultSession,a.settings,{...r,requestor:e});return{warnings:i}}async function _navigate(e){const{driver:t,config:r,requestor:a}=e;try{const{requestedUrl:n,finalUrl:i,warnings:o}=await gW(t,a,{...e.navigation,debugNavigation:r.settings.debugNavigation,maxWaitForFcp:r.settings.maxWaitForFcp,maxWaitForLoad:r.settings.maxWaitForLoad,waitUntil:e.navigation.pauseAfterFcpMs?["fcp","load"]:["load"]});return{requestedUrl:n,finalUrl:i,
navigationError:void 0,warnings:o}}catch(e){if(!(e instanceof EW))throw e;if("NO_FCP"!==e.code&&"PAGE_HUNG"!==e.code)throw e;if("string"!=typeof a)throw e;return{requestedUrl:a,finalUrl:a,navigationError:e,warnings:[]}}}async function _computeNavigationResult(e,t,r,a){const{navigationError:n,finalUrl:i}=a,o=[...r.warnings,...a.warnings],s=await async function _collectDebugData(e,t){const r=t.artifactDefinitions.find((e=>e.gatherer.instance.meta.symbol===RW.symbol)),a=t.artifactDefinitions.find((e=>e.gatherer.instance.meta.symbol===AW.symbol)),n=[r,a].filter((e=>Boolean(e)));if(!n.length)return{};await mW({...t,phase:"getArtifact",artifactDefinitions:n});const i=t.artifactState.getArtifact,o=r?.id,s=o&&await i[o],c=s&&await kW.request(s,e),l=a?.id;return{devtoolsLog:s,records:c,trace:l&&await i[l]}}(e,t),c=s.records?_W(n,{url:i,loadFailureMode:e.navigation.loadFailureMode,networkRecords:s.records}):n;if(c){const t=e.config.settings.locale,r=TW.getFormatted(c.friendlyMessage,t)
;cW.error("NavigationRunner",r,a.requestedUrl);const n={},l=`pageLoadError-${e.navigation.id}`;return s.devtoolsLog&&(n.devtoolsLogs={[l]:s.devtoolsLog}),s.trace&&(n.traces={[l]:s.trace}),{requestedUrl:a.requestedUrl,finalUrl:i,pageLoadError:c,artifacts:n,warnings:[...o,c.friendlyMessage]}}{await mW({phase:"getArtifact",...t});const e=await pW(t.artifactState);return{requestedUrl:a.requestedUrl,finalUrl:i,artifacts:e,warnings:o,pageLoadError:void 0}}}async function _navigation(e){const t=dW(),r={url:await e.driver.url(),gatherMode:"navigation",driver:e.driver,computedCache:e.computedCache,artifactDefinitions:e.navigation.artifacts,artifactState:t,baseArtifacts:e.baseArtifacts,settings:e.config.settings},a=await _setupNavigation(e);await mW({phase:"startInstrumentation",...r}),await mW({phase:"startSensitiveInstrumentation",...r});const n=await _navigate(e);return r.url=n.finalUrl,await mW({phase:"stopSensitiveInstrumentation",...r}),await mW({phase:"stopInstrumentation",...r}),
await async function _cleanupNavigation({driver:e}){await yW.clearThrottling(e.defaultSession)}(e),_computeNavigationResult(e,r,a,n)}async function _navigations({driver:e,config:t,requestor:r,baseArtifacts:a,computedCache:n,options:i}){if(!t.navigations)throw new Error("No navigations configured");const o={},s=[];for(const c of t.navigations){const l={driver:e,navigation:c,requestor:r,config:t,baseArtifacts:a,computedCache:n,options:i};let u=!1;const d=await _navigation(l);if("fatal"===c.loadFailureMode&&(d.pageLoadError&&(o.PageLoadError=d.pageLoadError,u=!0),o.URL={requestedUrl:d.requestedUrl,finalUrl:d.finalUrl}),s.push(...d.warnings),Object.assign(o,d.artifacts),u)break}return{artifacts:{...o,LighthouseRunWarnings:s}}}async function _cleanup({requestedUrl:e,driver:t,config:r}){!r.settings.disableStorageReset&&e&&await fW.clearDataForOrigin(t.defaultSession,e),await t.disconnect()}var DW={navigationGather:async function navigationGather$2(e,t){const{page:r,configContext:a={}}=t
;cW.setLevel(a.logLevel||"error");const{config:n}=bW(t.config,{...a,gatherMode:"navigation"}),i=new Map,o={skipAboutBlank:a.skipAboutBlank};"string"!=typeof e&&(o.skipAboutBlank=!0);const s={config:n,computedCache:i};return{artifacts:await uW.gather((async()=>{const t={driver:new lW(r),config:n,requestor:"string"==typeof e?xW.normalizeUrl(e):e,options:o},{baseArtifacts:a}=await _setup(t),{artifacts:s}=await _navigations({...t,baseArtifacts:a,computedCache:i});return await _cleanup(t),SW(a,s)}),s),runnerOptions:s}},_setup,_setupNavigation,_navigate,_navigation,_navigations,_cleanup};const{generateFlowReportHtml:CW}=Zl,{snapshotGather:IW}=JV,{startTimespanGather:NW}=sW,{navigationGather:LW}=DW,MW=pu,{initializeConfig:PW}=BV;async function auditGatherSteps$1(e,t){if(!e.length)throw new Error("Need at least one step before getting the result");const r=[];for(const a of e){const{artifacts:e,name:n,configContext:i}=a;let o=t.gatherStepRunnerOptions?.get(a);if(!o){
const r=a.config||t.config,{gatherMode:n}=e.GatherContext,{config:s}=PW(r,{...i,gatherMode:n});o={config:s,computedCache:new Map}}const s=await MW.audit(e,o);if(!s)throw new Error(`Step "${n}" did not return a result`);r.push({lhr:s.lhr,name:n})}const a=new URL(e[0].artifacts.URL.finalUrl);return{steps:r,name:t.name||`User flow (${a.hostname})`}}var OW={UserFlow:class UserFlow$1{constructor(e,t){this.options={page:e,...t},this.name=t?.name,this._gatherSteps=[],this._gatherStepRunnerOptions=new WeakMap}_shortenUrl(e){const t=new URL(e);return`${t.hostname}${t.pathname}`}_getDefaultStepName(e){const t=this._shortenUrl(e.URL.finalUrl);switch(e.GatherContext.gatherMode){case"navigation":return`Navigation report (${t})`;case"timespan":return`Timespan report (${t})`;case"snapshot":return`Snapshot report (${t})`}}_getNextNavigationOptions(e){const t={...this.options,...e},r={...t.configContext},a={...r.settingsOverrides};void 0===r.skipAboutBlank&&(r.skipAboutBlank=!0)
;return this._gatherSteps.some((e=>"navigation"===e.artifacts.GatherContext.gatherMode))&&void 0===a.disableStorageReset&&(a.disableStorageReset=!0),r.settingsOverrides=a,t.configContext=r,t}_addGatherStep(e,t){const r=t?.stepName,a={artifacts:e.artifacts,name:r||this._getDefaultStepName(e.artifacts),config:t.config,configContext:t.configContext};this._gatherSteps.push(a),this._gatherStepRunnerOptions.set(a,e.runnerOptions)}async navigate(e,t){if(this.currentTimespan)throw new Error("Timespan already in progress");const r=this._getNextNavigationOptions(t),a=await LW(e,r);return this._addGatherStep(a,r),a}async startTimespan(e){if(this.currentTimespan)throw new Error("Timespan already in progress");const t={...this.options,...e},r=await NW(t);this.currentTimespan={timespan:r,options:t}}async endTimespan(){if(!this.currentTimespan)throw new Error("No timespan in progress");const{timespan:e,options:t}=this.currentTimespan,r=await e.endTimespanGather();return this.currentTimespan=void 0,
this._addGatherStep(r,t),r}async snapshot(e){if(this.currentTimespan)throw new Error("Timespan already in progress");const t={...this.options,...e},r=await IW(t);return this._addGatherStep(r,t),r}async createFlowResult(){return auditGatherSteps$1(this._gatherSteps,{name:this.name,config:this.options.config,gatherStepRunnerOptions:this._gatherStepRunnerOptions})}async generateReport(){const e=await this.createFlowResult();return CW(e)}createArtifactsJson(){return{gatherSteps:this._gatherSteps,name:this.name}}},auditGatherSteps:auditGatherSteps$1};const{UserFlow:FW,auditGatherSteps:UW}=OW,{snapshotGather:jW}=JV,{startTimespanGather:BW}=sW,{navigationGather:$W}=DW,{generateFlowReportHtml:qW}=Zl,zW=pu;var VW=async function snapshot(...e){const t=await jW(...e);return zW.audit(t.artifacts,t.runnerOptions)},WW=async function startTimespan(...e){const{endTimespanGather:t}=await BW(...e);return{endTimespan:async()=>{const e=await t();return zW.audit(e.artifacts,e.runnerOptions)}}
},GW=async function navigation(...e){const t=await $W(...e);return zW.audit(t.artifacts,t.runnerOptions)};const HW=uo;var YW=class RawConnection extends HW{constructor(e){super(),this._port=e,this._port.on("message",this.handleRawMessage.bind(this)),this._port.on("close",this.dispose.bind(this))}connect(){return Promise.resolve()}disconnect(){return this._port.close(),Promise.resolve()}sendRawMessage(e){this._port.send(e)}};globalThis.Buffer=Buffer$2,"undefined"!=typeof self?(globalThis.isDevtools=!0,self.setUpWorkerConnection=function setUpWorkerConnection(e){return new YW(e)},self.runLighthouse=Hz,self.runLighthouseNavigation=GW,self.startLighthouseTimespan=WW,self.runLighthouseSnapshot=VW,self.createConfig=function createConfig(e,t){const r={onlyCategories:e,screenEmulation:{disabled:!0}};return"desktop"===t&&(r.throttling=mn.throttling.desktopDense4G,r.emulatedUserAgent=mn.userAgents.desktop,r.formFactor="desktop"),{extends:"lighthouse:default",
plugins:["lighthouse-plugin-publisher-ads"],settings:r}},self.listenForStatus=function listenForStatus(e){Log.events.addListener("status",e)},self.registerLocaleData=Vn.registerLocaleData,self.lookupLocale=function lookupCanonicalLocale(e){return oi.lookupLocale(e,Vn.getCanonicalLocales())}):global.runBundledLighthouse=Hz}();
